var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Animation Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Animation Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"animation-controllers\"></a></div>\n\
<p>All animation in <strong>3ds Max</strong> is implemented using one of the many <strong>controller</strong> classes accessible in the Track View and Motion Panel, or assigned automatically by <strong>3ds Max</strong> when you use the Animate button to do keyframing. Certain controllers (keyframeable controllers) store their animation values as <strong>keys</strong>.</p>\n\
<p>This section includes topics that discuss all aspects of scripting <strong>3ds Max</strong> controllers and the Key classes used in keyframing.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Common-Properties-1.html\' title=\'\'>Controller Common Properties, Operators, and Methods</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Time-Functions.html\' title=\'\'>Controller Time Functions</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Key-Functions.html\' title=\'\'>Controller Key Functions</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Time-and-Key-Functions-on-Object.html\' title=\'\'>Time and Key Functions on Object Hierarchies</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Out-Of-Range.html\' title=\'\'>Controller Out-Of-Range Functions</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Ease-and-Multiplier.html\' title=\'\'>Controller Ease and Multiplier Curve Functions</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Key-Reducer.html\' title=\'\'>Controller Key Reducer</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Controllers-Superclass-Level.html\' title=\'\'>Controllers - Superclass Level</a></p>\n\
<p>The controllers are arranged in a hierarchy of superclasses and classes. All classes in a superclass output a specific data type (for example, Float or Point3). Each animatable property in <strong>3ds Max</strong> has a data type, and any of the classes in the superclass that outputs that data type can be assigned that property. So, for example, the linear_float and noise_float controllers are classes in the Float superclass, and either can be assigned to the <span class=\'code\'>height</span> property of a box, which has a Float data type.</p>\n\
<p>The list of controller superclasses can be determined using the <span class=\'code\'>apropos()</span> function:</p>\n\
<div class=\'codeBlock\'><pre>apropos &quot;controller:super&quot;\n\
\n\
</pre></div><p><strong>EXAMPLE:</strong></p>\n\
<div class=\'codeBlock\'><pre>apropos&quot;controller:super&quot;\n\
PointControllerContainer (const MAXSuperClass): PointControllerContainer\n\
DriverBlockController (const MAXSuperClass): DriverBlockController\n\
MorphController (const MAXSuperClass): MorphController\n\
Matrix3Controller (const MAXSuperClass): Matrix3Controller\n\
Point2Controller (const MAXSuperClass): Point2Controller\n\
floatController (const MAXSuperClass): floatController\n\
point3Controller (const MAXSuperClass): point3Controller\n\
point4Controller (const MAXSuperClass): point4Controller\n\
positionController (const MAXSuperClass): positionController\n\
rotationController (const MAXSuperClass): rotationController\n\
scaleController (const MAXSuperClass): scaleController\n\
OK\n\
\n\
</pre></div><p>The list of available controllers can be determined using the <span class=\'code\'>showClass()</span> function:</p>\n\
<div class=\'codeBlock\'><pre>showClass &quot;*: *controller*&quot;\n\
\n\
</pre></div><p>which lists all the known classes that have &quot;controller&quot; in their superclass name.</p>\n\
<p>The controllers include, at least, <strong>3ds Max</strong>’s core controllers and any 3 rd -party plug-in controllers. In some cases, embedded controllers for some complex plug-ins may be visible in the <span class=\'code\'>showClass()</span> listing (such as for Character Studio). You should <strong>not</strong> attempt to create and use these controllers individually, this may result in system exceptions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";