var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Layer Controller Interfaces</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Layer Controller Interfaces</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"layer-controller-interfaces\"></a></div>\n\
<p>The <strong>LayerInterface</strong> is exposed by all Animation Layer Controllers.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Layer interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:layer \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerController&gt;.count : integer : Read   \n\
</pre></div><p>Get the number of layers in the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerController&gt;.active : index : Read|Write \n\
</pre></div><p>Get/Set the index of the active layer.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;LayerController&gt;.getCount() \n\
</pre></div><p>Returns the number of layers in the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.setLayerActive &lt;index&gt;listIndex \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Activates the indexed layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;LayerController&gt;.getLayerActive() \n\
</pre></div><p>Returns the index of the current layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.copyLayer &lt;index&gt;listIndex \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Copies the indexed layer into the clipboard.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.pasteLayer &lt;index&gt;listIndex \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Pastes the indexed layer from the clipboard.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.deleteLayer &lt;index&gt;listIndex \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Deletes the indexed layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;LayerController&gt;.getLayerName &lt;index&gt;listIndex \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Returns the name of the indexed layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.setLayerName &lt;index&gt;listIndex &lt;string&gt;name \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Sets the name of the indexed layer to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;&lt;LayerController&gt;.getSubCtrl &lt;index&gt;index \n\
</pre></div><p><span class=\'code\'>index</span> Validated by Validator function</p>\n\
<p>Returns the indexed sub-controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;LayerController&gt;.getLayerWeight &lt;index&gt;index &lt;time&gt;atTime \n\
</pre></div><p><span class=\'code\'>index</span> Validated by Validator function</p>\n\
<p>Returns the weigth of the indexed layer at the given time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.setLayerWeight &lt;index&gt;listIndex &lt;time&gt;atTime &lt;float&gt;weight \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Sets the weigth of the indexed layer at the given time to the specified float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;LayerController&gt;.getLayerMute &lt;index&gt;index \n\
</pre></div><p><span class=\'code\'>index</span> Validated by Validator function</p>\n\
<p>Returns true if the indexed layer is muted, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.setLayerMute &lt;index&gt;listIndex &lt;boolean&gt;mute \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Sets the muted state of the indexed layer to the given boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.collapseLayer &lt;index&gt;listIndex \n\
</pre></div><p><span class=\'code\'>listIndex</span> Validated by Validator function</p>\n\
<p>Collapses the indexed layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;LayerController&gt;.disableLayer () \n\
</pre></div><p>Disables layers by removing all layer information from the track.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h2 id=\"example\">Example</h2></div>\n\
<p>This example iterates through all the Animation Layers for the selected object, printing their name. It then makes the last layer active.</p>\n\
<div class=\'codeBlock\'><pre>s = $\n\
ctls = s.position.controller\n\
for i = 1 to ctls.count do\n\
    print ctls[i].name\n\
-- set last layer active:\n\
ctls.setLayerActive ctls.count\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";