var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>LookAt_Constraint - superclass: RotationController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>LookAt_Constraint - superclass: RotationController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lookat_constraint---superclass-rotationcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>LookAt_Constraint - superclass: RotationController; super-superclass:MAXWrapper - 11:0 - classID: #(8225, 0) \n\
</pre></div><p>The <strong>LookAt Constraint</strong> constrains an object&#39;s orientation so that it&#39;s always looking at another object.</p>\n\
<p>Note:</p>\n\
<p>The old Look At Controller, which is a full transform controller, will be invisible to the user unless an old file is loaded. The new LookAt Constraint Controller is a rotation controller and NOT a TM controller which the old LookAt was. The old LookAt will be phased out.</p>\n\
<p>At this time, old <strong>LookAt.IsPublic</strong> returns zero, so that the users won&#39;t see the old LookAt. However, the old MAX files will still load the old LookAt and the camera and the light will continue to use the old LookAt.</p>\n\
<p>Also, assigning a node to the <strong>.lookat</strong> property of another node will create an old-style transform Look At Controller and not a LookAt Constraint.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>LookAt_Constraint ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.relative Boolean default: false -- boolean \n\
</pre></div><p>Get/set the state of the &quot;Keep Initial Offset&quot; checkbox. When set to <span class=\'code\'>true</span> , the original rotation of the object will be kept and the look at effect will be applied relatively to it. When set to <span class=\'code\'>false</span> (default), the specified axis will be rotated absolutely to look at the target(s).</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.lookat_vector_length Float default: 100.0 -- animatable; float; Vector_Length \n\
</pre></div><p>Get/set the length of the lookat vector in the viewport either in generic units (when <span class=\'code\'>.viewline_length_abs</span> is set to <span class=\'code\'>true</span> , the default) or as percentage of the distance from the object to the target point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.viewline_length_abs Boolean default: true -- boolean; Viewline_Abs \n\
</pre></div><p>Get/set the state of the Viewline Length Absolute checkbox. When set to <span class=\'code\'>true</span> (default), the lookat line in the viewport will have a length in absolute generic units. When set to <span class=\'code\'>false</span> , the length will be relative to the distance from the object to the target. See <span class=\'code\'>.lookat_vector_length</span> description above.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.set_orientation Boolean default: false -- boolean \n\
</pre></div><p>Get/set the state of the Set Orientation checkbutton. When set to <span class=\'code\'>true</span> , the Set Orientation checkbutton will be pressed and will allow the interactive adjustment of the initial rotation, provided the <span class=\'code\'>.relative</span> property is set to false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.target_axis Integer default: 0-- integer \n\
</pre></div><p>Get/set the state of theLookAt Axis radiobuttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.target_axisFlip Boolean default: false -- boolean \n\
</pre></div><p>Get/set the state of theLookAt Axis &gt;Flip checkbox. When set to <span class=\'code\'>true</span> , the axis defined by <span class=\'code\'>.target_axis</span> will be taken with negative sign: -X, -Y or -Z.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.pickUpNode UndefinedClass default: undefined -- node; Pick_Upnode \n\
</pre></div><p>Get/set the Upnode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.upnode_world Boolean default: true -- boolean \n\
</pre></div><p>Get/set the state of the World checkbox in the Select Upnode group of controls. When set to <span class=\'code\'>true</span> (default), the World Up Axis will be used. When set to <span class=\'code\'>false</span> , the Upnode local axis will be used (if available).</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.StoUP_axis Integer default: 0 -- integer \n\
</pre></div><p>Get/set the state of the Source/Upnode Alignment &gt; Source Axis radiobuttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.StoUP_axisFlip Boolean default: false -- boolean \n\
</pre></div><p>Get/set the state of the Source/Upnode Alignment &gt; Source Axis &gt; Flip checkbox. When set to <span class=\'code\'>true</span> , the axis defined by <span class=\'code\'>.StoUP_axis</span> will be taken with negative sign: -X, -Y or -Z.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LookAt_Constraint&gt;.upnode_axis Integer default: 2 -- integer \n\
</pre></div><p>Get/set the stare of the Aligned To Upnode Axis radiobuttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<p><strong>LookAt_Constraint interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:constraints \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumTargets () \n\
</pre></div><p>Returns the number of target nodes on the target list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getNode &lt;index&gt;targetNumber \n\
</pre></div><p>Returns the indexed target node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getWeight &lt;index&gt;targetNumber \n\
</pre></div><p>Returns the weight of the indexed target if the <span class=\'code\'>targetNumber</span> is relevant, 0.0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setWeight &lt;index&gt;targetNumber&lt;float&gt;weight \n\
</pre></div><p>Sets the weight of the indexed node specified by <span class=\'code\'>targetNumber</span> . Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;appendTarget &lt;node&gt;target &lt;float&gt;weight \n\
</pre></div><p>Appends the specified node to the list and sets its weight to the specified value. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber \n\
</pre></div><p>Deletes the indexed target. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<p>See Also Class IposConstPosition, in the SDK Help file accompanying this product.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";