var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Path_Constraint - superclass: PositionController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Path_Constraint - superclass: PositionController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"path_constraint---superclass-positioncontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Path_Constraint - superclass: PositionController; super-superclass:MAXWrapper - 12:0 - classID: #(8209, 0) \n\
</pre></div><p>A <strong>PathConstraint</strong> restricts an object’s movement along a spline or at an averaged distance between multiple splines.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Path_Constraint ... path ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.path UndefinedClass default: undefined -- node; Path_Constraint \n\
</pre></div><p>Gets/sets the first path on the list of paths to constrain to.</p>\n\
<p>Note:</p>\n\
<p>This property is exposed mainly for backwards compatibility with the legacy <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Position-Controllers/Path-PositionController.html\' title=\'\'>PathPositionController</a> available in <strong>3ds Max prior to version 4</strong> before the Path_Constraint was introduced. The old controller supported <strong>only one path</strong> that can be get/set using the <span class=\'code\'>.path</span> property.</p>\n\
<p>The <span class=\'code\'>.path</span> property in the Path_Constraint always returns <strong>the first object</strong> from the list of paths.</p>\n\
<p>Setting the <span class=\'code\'>.path</span> property will always <strong>replace the top path</strong> on the list with a new one.</p>\n\
<p>If there are two or more objects on the list and the object assigned to the <span class=\'code\'>.path</span> property is already on the list, but not the first one, the new object will replace the first entry on the list and because the path can only be on the list once, the second entry will be removed.</p>\n\
<p>To set and manage <strong>multiple paths</strong>, use the methods exposed in the <span class=\'code\'>constraints</span> interface that is described later in this topic.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.percent Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>Sets the percent that the object is positioned along the path. Corresponds to the <strong>% Along Path</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.follow Boolean default: false -- boolean \n\
</pre></div><p>Aligns one object axis to the tangent at the current position along the spline. The axis to follow with can be specified using the <span class=\'code\'>.axis</span> and <span class=\'code\'>.axisflip</span> properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.bank Boolean default: false -- boolean \n\
</pre></div><p>Allows the object to bank (roll about the follow axis) as it negotiates the curves of the spline. This property only has effect when the <span class=\'code\'>.follow</span> property is set to <span class=\'code\'>true</span> . The axis to roll about when banking is the same as for the follow behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.bankAmount Float default: 0.5 -- animatable; float; Bank_Amount \n\
</pre></div><p>Adjusts the amount of banking to one side or the other, depending on whether the value is positive or negative.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.smoothness Float default: 0.5 -- animatable; float \n\
</pre></div><p>Controls how rapidly the roll angle changes as the object moves through bends in the trajectory. Smaller values will make the object more responsive to subtle changes in the curve, while larger values smooth out jerking. The default value is a good value for general damping along the curve. Values below two tend to make the action jerky, but values around three can be very useful for simulating a certain degree of realistic instability.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.allowUpsideDown Boolean default: false -- boolean; Allow_Upside_Down \n\
</pre></div><p>Set to <span class=\'code\'>true</span> to avoid the situation in which an object flips when going around a vertically oriented path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.constantVel Boolean default: false -- boolean; Constant_Velocity \n\
</pre></div><p>When set to true, provides a constant velocity along the path using path length interpolation. When set to false, the velocity of the object along the path varies depending on the distance between the vertices on the path.</p>\n\
<p>See notes and examples in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/SplineShape/SplineShape-Shape.html\' title=\'\'>SplineShape-VertexandLengthInterpolationMethods</a> for details on the two interpolation methods.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.loop Boolean default: true -- boolean \n\
</pre></div><p>If set to <span class=\'code\'>false</span> and the constrained object reaches the end of a path, it can no longer move past the end point. When set to <span class=\'code\'>true</span> (default) and the constrained object reaches the end of the path, it loops back to the starting point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.relative Boolean default: false -- boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the constrained object will maintain its original position. The object will follow the path(s) with an offset distance based on its original world space position. When set to <span class=\'code\'>false</span> (default), the object will be moved to the path or the weighted position between the multiple paths.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.axis Integer default: 0 -- integer \n\
</pre></div><p>Gets/sets which axis of the object is aligned to the tangent of the path when the <span class=\'code\'>.follow</span> property is set to <span class=\'code\'>true</span> .</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X axis</p>\n\
<p>1 - Y axis</p>\n\
<p>2 - Z axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Constraint&gt;.axisFlip Boolean default: false -- boolean; Axis_Flip \n\
</pre></div><p>When set to <span class=\'code\'>false</span> , the axis specified by the .axis property will be used. When set to <span class=\'code\'>true</span> , the axis specified by the <span class=\'code\'>.axis</span> property will be taken with the negative sign (flipped).</p>\n\
<p><strong>Path_Constraint interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:constraints \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumTargets () \n\
</pre></div><p>Returns the number of target nodes (paths) in the Target list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getNode &lt;index&gt;targetNumber \n\
</pre></div><p>Returns the indexed node from the list of paths.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getWeight &lt;index&gt;targetNumber \n\
</pre></div><p>Gets the weight of the indexed path node from the list of Targets. Returns the target&#39;s weight value at the current time if the target Number is less then the number of targets, 0.0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setWeight &lt;index&gt;targetNumber&lt;float&gt;weight \n\
</pre></div><p>Sets the weight of the indexed node specified by <span class=\'code\'>targetNumber</span> to the given value. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;appendTarget &lt;node&gt;target&lt;float&gt;weight \n\
</pre></div><p>Appends the specified node to the list. The default weight is 50.0. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber \n\
</pre></div><p>Deletes the indexed target. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<blockquote>\n\
<p><strong>NOTES ON PATH TARGET OBJECTS:</strong></p>\n\
<p>A path target can be any type of Shape. The spline curve (target) defines a path of motion for the constrained object. Targets can be animated using any of the standard translation, rotation, and scale tools.</p>\n\
<p>Setting keys on the path&#39;s sub object level such as, vertex or segment, or deforming the path using modifiers and space warps will animate the path while affecting the constrained object.</p>\n\
<p>If the shape contains multiple splines (for example, the Donut Shape), the first spline from the shape will be used.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` path1 = Circle()--create a circular path --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000] path2 = Ellipse length:20 width:200--create another path --&gt; $Ellipse:Ellipse001 @ [0.000000,0.000000,0.000000] s = sphere radius:5--create a sphere --&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000] pc = path_constraint()--create a path constraint --&gt; Controller:Path_Constraint s.position.controller = pc--assign it to the sphere&#39;s position --&gt; Controller:Path_Constraint pc.path = path1--assign the first path to the path property --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000] pc.path = path2--assign the second path - it replaces the first --&gt; $Ellipse:Ellipse001 @ [0.000000,0.000000,0.000000] pc.appendTarget path2 50--try to append the second path --&gt; false--you cannot because it is already assigned! pc.appendTarget path1 50--try to append the first path --&gt; true--you can because it was not assigned to the list yet pc.getNumTargets()--see how many paths there are on the list --&gt; 2 pc.getWeight 1--get the weight of the first path --&gt; 50.0 pc.getWeight 2--get the weight of the first path --&gt; 50.0 pc.getWeight 3--get the weight of thethirdpath --&gt; 0.0--returns zero because there is no such path! pc.setWeight 1 100--set the weight of the first path to 100 --&gt; true--success, the sphere moves closer to the ellipse pc.setWeight 2 0--set the weight of the second path to 0 --&gt; true--success, the sphere moves to the ellipse pc.path = path1--try to assign the circle to the path --At this point, the Circle replaces the Ellispe on the list, --and the second entry which used to be the Circle is removed --because &quot;There can be only one&quot;! --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000] pc.deleteTarget 2--try to delete the second path --&gt; false--you cannot, there is no second path anymore pc.deleteTarget 1--try to delete the first path (the Circle) --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";