var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Position_Constraint - superclass: PositionController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Position_Constraint - superclass: PositionController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"position_constraint---superclass-positioncontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Position_Constraint - superclass: PositionController; super-superclass:MAXWrapper - 1:0 - classID: #(8217, 0) \n\
</pre></div><p>A position constraint causes an object to follow the position of an object or the averaged position of several objects.</p>\n\
<p>In order to activate, a position constraint requires an object and a target object. Once assigned the object becomes constrained to the target objects position. Animating the target&#39;s position causes the constrained object to follow.</p>\n\
<p>Each target has a weight value defining its influence. A value of 0 is equal to off. Any value greater than 0 will cause the target to influence the constrained object. Weight values might be animated to create effects such as, a ball being picked up from a table.</p>\n\
<p>Multiple targets can be used to influence a constrained object. When using multiple targets, each target&#39;s weight value defines how much it influences the constrained object. For example, if a sphere is Position constrained between two targets and each target&#39;s weight value is 100, then the sphere will maintain an equal distance between both targets even when they are in motion. If one of the weight values is 0 and the other is 50, then the Sphere is only influenced by the target with the higher value.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Position_Constraint...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Constraint&gt;.relative Boolean default: false -- boolean \n\
</pre></div><p><strong>Position_Constraint interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:constraints \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumTargets () \n\
</pre></div><p>Returns the number of target nodes in the target list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getNode &lt;index&gt;targetNumber \n\
</pre></div><p>Returns the indexed target node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getWeight &lt;index&gt;targetNumber \n\
</pre></div><p>Returns the weight of the indexed target if the <span class=\'code\'>targetNumber</span> is relevant, 0.0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setWeight &lt;index&gt;targetNumber &lt;float&gt;weight \n\
</pre></div><p>Sets the weight of the indexed node specified by <span class=\'code\'>targetNumber</span> . Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;appendTarget &lt;node&gt;target&lt;float&gt;weight \n\
</pre></div><p>Appends the specified node to the list and sets its weight to the specified value. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteTarget &lt;index&gt;targetNumber \n\
</pre></div><p>Deletes the indexed target. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` s = sphere pos:[20,20,20] b = box pos:[-20,-20,-20] posCtrl =Position_Constraint() s.pos.controller = posCtrl posConstraintInterface = posCtrl.constraints posConstraintInterface.appendTarget $box001 20.0 node1 = posConstraintInterface.getNode 1 weight = posConstraintInterface.getWeight 1 posConstraintInterface.setWeight 1 0.0</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";