var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controller Ease and Multiplier Curve Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controller Ease and Multiplier Curve Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controller-ease-and-multiplier-curve-functions\"></a></div>\n\
<div class=\'codeBlock\'><pre>addEaseCurve &lt;controller&gt; [ &lt;float_controller&gt; ]     \n\
</pre></div><p>Adds an ease curve to the specified controller.</p>\n\
<p>You can provide an optional float controller for the curve or have the function generate a default float controller for you.</p>\n\
<p>When you add an ease curve in Track View, keys are automatically created at the beginning and end of the current animation range. The <strong><span class=\'code\'>addEaseCurve()</span></strong> method does not generate these keys, so you need to add them to the ease curve controller.</p>\n\
<p>An instance of the procedural <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Retimer-Controllers/Retimer-Controller.html\' title=\'\'>Retimer Controller</a> introduced in <strong>3ds Max 2013</strong> can be passed as second argument to enable the new Retimer workflow using markers instead of keys.</p>\n\
<div class=\'codeBlock\'><pre>deleteEaseCurve &lt;controller&gt; &lt;index&gt;   \n\
</pre></div><p>Deletes the indexed ease curve from the controller. The index is <strong>1- based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<div class=\'codeBlock\'><pre>numEaseCurves &lt;controller&gt; \n\
</pre></div><p>Returns the number of ease curves currently operating on the controller.</p>\n\
<div class=\'codeBlock\'><pre>applyEaseCurve &lt;controller&gt; &lt;time&gt; \n\
</pre></div><p>Applies the combined ease curves in the specified controller to the given time value, returning the transformed time.</p>\n\
<div class=\'codeBlock\'><pre>getEaseCurve &lt;controller&gt; &lt;index&gt; \n\
</pre></div><p>Returns the indexed ease curve (a <span class=\'code\'>bezier_float</span> controller) on the specified controller. The index is <strong>1- based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<div class=\'codeBlock\'><pre>addMultiplierCurve &lt;controller&gt; [ &lt;float_controller&gt; ] \n\
</pre></div><p>Adds a multiplier curve to the specified controller.</p>\n\
<p>You can provide an optional float controller for the curve or have the function generate a default float controller for you.</p>\n\
<p>When you add a multiplier curve in Track View, keys are automatically created at the beginning and end of the current animation range. The <span class=\'code\'>addMultiplierCurve()</span> method does not generate these keys, so you need to add them to the multiplier curve controller.</p>\n\
<div class=\'codeBlock\'><pre>deleteMultiplierCurve &lt;controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed multiplier curve from the controller. The index is <strong>1- based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<div class=\'codeBlock\'><pre>numMultiplierCurves &lt;controller&gt; \n\
</pre></div><p>Returns the number of multiplier curves currently operating on the controller.</p>\n\
<div class=\'codeBlock\'><pre>getMultiplierValue &lt;controller&gt; &lt;time&gt; \n\
</pre></div><p>Returns the combined (float) value of the multiplier curves in the specified controller at the given time value.</p>\n\
<div class=\'codeBlock\'><pre>getMultiplierCurve &lt;controller&gt; &lt;index&gt; \n\
</pre></div><p>Returns the multiplier curve (a <span class=\'code\'>bezier_float</span> controller) at the specified index. The index is <strong>1-based</strong> and corresponds to the order in which the curves were originally added to the controller.</p>\n\
<p><strong>Associated Properties</strong></p>\n\
<p>If an Ease Curve is assigned to a controller, the following controller-related sub-property is available:</p>\n\
<div class=\'codeBlock\'><pre>&lt;controller&gt;.Ease_Curve -- the controller&#39;s ease curve value \n\
&lt;controller&gt;.Ease_Curve.controller -- the ease curve controller itself\n\
</pre></div><p>If a Multiplier Curve is assigned to a controller, the following controller-related sub-property is available:</p>\n\
<div class=\'codeBlock\'><pre>&lt;controller&gt;.Multiplier_Curve -- the controller&#39;s multiplier curve value \n\
&lt;controller&gt;.Multiplier_Curve.controller -- the multiplier curve controller itself\n\
</pre></div><p>Note:</p>\n\
<p>The values stored in an Ease Curve controller are stored as integer time ticks.</p>\n\
<p>The following script shows examples of some of the above methods.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --controller test bed 3 b=box height:10 at time 5 animate on b.height=50 at time 10 animate on b.height=100 bhc=b.height.controller ec=bezier_float() at time 0 animate on ec.value = 0 at time 100 animate on ec.value=100*ticksPerFrame setBeforeORT ec #linear setAfterORT ec #linear addEaseCurve bhc ec applyEaseCurve bhc 50 addEaseCurve bhc ec numEaseCurves bhc deleteEaseCurve bhc 2 numEaseCurves bhc at time 50 bhc.ease_curve mc=bezier_float() at time 0 animate on mc.value = 1 at time 100 animate on mc.value = 2 addMultiplierCurve bhc mc at time 50 bhc.multiplier_curve</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";