var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controller Key Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controller Key Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controller-key-functions\"></a></div>\n\
<div class=\'codeBlock\'><pre>addNewKey &lt;controller&gt; &lt;time&gt; [#select]      \n\
</pre></div><p>Adds a new key to the controller track at the specified time. The value for the new key is the interpolated controller value at the specified time. The new key is also selected if the <span class=\'code\'>#select</span> optional argument is specified. The value for the new key is the interpolated controller value at that time. <span class=\'code\'>addNewKey()</span> will not add a key if it already exists at the specified time. The return value in this case is the key located at the specified time.</p>\n\
<p>Note: If the controller is a compound controller (like a <span class=\'code\'>Position_XYZ</span> controller), a value of <span class=\'code\'>OK</span> is returned. A single key value cannot be returned because <span class=\'code\'>addNewKey</span> creates a key in each of the sub-controllers.</p>\n\
<p>This function returns a MAXKey value representing the key, so you can set its various properties. See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/MAXKey-Values/MAXKey-Values-1.html\' title=\'\'>MAXKey Values</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>deleteKeys &lt;controller&gt; [#allKeys | #selection]   \n\
</pre></div><p>Deletes keys from the controller according to the optional symbolic argument supplied.</p>\n\
<p><span class=\'code\'>#allKeys</span> (default): deletes <strong>all</strong> keys in the controller.</p>\n\
<p><span class=\'code\'>#selection</span> : deletes the currently selected keys</p>\n\
<div class=\'codeBlock\'><pre>deleteKey &lt;controller&gt; &lt;index&gt; \n\
</pre></div><p>Deletes the indexed key. Key indexes are <strong>1- based</strong>.</p>\n\
<div class=\'codeBlock\'><pre>selectKeys &lt;controller&gt; [ &lt;interval&gt; | &lt;time&gt; ] \n\
</pre></div><p>Selects the specified keys in the track view. If an interval is given, all the keys within the interval are selected. If a single time is given, the key at that time is selected. If no time or interval is given, <strong>all</strong> keys are selected.</p>\n\
<div class=\'codeBlock\'><pre>deselectKeys &lt;controller&gt; [ &lt;interval&gt; | &lt;time&gt; ] \n\
</pre></div><p>Deselects specified keys. Arguments are as described in <span class=\'code\'>selectKeys()</span> .</p>\n\
<div class=\'codeBlock\'><pre>selectKey &lt;controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Selects the indexed key. Key indexes are <strong>1- based</strong>.</p>\n\
<div class=\'codeBlock\'><pre>isKeySelected &lt;controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if indexed key is selected, <span class=\'code\'>false</span> otherwise. Key indexes are <strong>1- based</strong>.</p>\n\
<div class=\'codeBlock\'><pre>deselectKey &lt;controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deselects the indexed key. Key indexes are <strong>1 -based</strong>.</p>\n\
<div class=\'codeBlock\'><pre>moveKeys &lt;controller&gt; &lt;time&gt; [#selection] \n\
</pre></div><p>Moves the specified keys by the time given. If <span class=\'code\'>#selection</span> is specified, move the current selection otherwise move all keys. The <span class=\'code\'>moveKeys</span> function only works on track properties: <span class=\'code\'>.controller</span> and <span class=\'code\'>.track</span> . It is not defined on the keys’ virtual array.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` moveKeys $box01.pos.controller 5 moveKeys $box01.pos.track 5</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>moveKey &lt;controller&gt; &lt;index_integer&gt; &lt;time&gt; \n\
</pre></div><p>Move the indexed key by the specified time.</p>\n\
<div class=\'codeBlock\'><pre>numKeys &lt;controller&gt; \n\
</pre></div><p>Returns the number of keys in the controller. Returns <strong>-1</strong> if you call it on a controller that does not support keyframing.</p>\n\
<div class=\'codeBlock\'><pre>getKey &lt;controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the indexed key as a MAXKey instance. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Key-Functions.html\' title=\'\'>Controller Key Functions</a> for MAXKey class information.</p>\n\
<div class=\'codeBlock\'><pre>getKeyTime &lt;controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the time of indexed key.</p>\n\
<div class=\'codeBlock\'><pre>getKeyIndex &lt;controller&gt; &lt;time&gt; \n\
</pre></div><p>Returns the index of the key at the specified time.</p>\n\
<div class=\'codeBlock\'><pre>numSelKeys &lt;controller&gt; \n\
</pre></div><p>Returns the number of keys currently selected in the track view.</p>\n\
<div class=\'codeBlock\'><pre>sortKeys &lt;controller&gt; \n\
</pre></div><p>Re-sorts keys according to their times. Some MAXKey operations can result in out of order keys and this function must be called to correctly order keys. See the Controller Keys and Key Properties topic for MAXKey properties information.</p>\n\
<div class=\'codeBlock\'><pre>createLockKey &lt;controller&gt; &lt;time&gt; &lt;rot_or_pos_integer&gt; \n\
</pre></div><p>This method is called to create a locking key at the specified time. This is a key that looks back to the previous key and creates a new key at the specified time that matches the previous key in value. It also adjusts the parameters for the key such that the value stays constant from the previous key to this key. For instance, for a TCB controller the continuity of the previous key and new key will set to 0. For a Bezier controller the out tangent type of the previous key is set to linear and the in tangent type of the new key is set to linear.</p>\n\
<p>If the controller passed to this method is a transform level controller, <span class=\'code\'>&lt;rot_or_pos_integer&gt;</span> specifies whether to create the key in the transform controller’s position or rotation (or roll angle) sub-controller. If <span class=\'code\'>rot_or_pos_integer</span> = 0, the key is created in the position controller. For all other values, the key is created in the rotation (or roll angle) controller.</p>\n\
<p>If the controller passed to this method is not a transform level controller, the <span class=\'code\'>&lt;rot_or_pos_integer&gt;</span> value is not used.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the key creation was successful, <span class=\'code\'>false</span> otherwise.</p>\n\
<p>The following script shows example usages of some of the above methods.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` -- controller test bed 2 b=box height:10 at time 5 animate on b.height=50 at time 10 animate on b.height=100 bhc=b.height.controller bhk=bhc.keys addnewkey bhc 7 addnewkey bhc 9 for k in bhk do format &quot;%:%\\n&quot; k.time k.value selectKeys bhc (interval 7 9) deleteKeys bhc #selection bhk addnewkey bhc 7 addnewkey bhc 9 selectKeys bhc (interval 7 9) deleteKeys bhc #selection #slide bhk addnewkey bhc 7 addnewkey bhc 9 selectKeys bhc (interval 7 9) deleteKeys bhc #selection #slide #rightToLeft bhk addnewkey bhc 8 i=getKeyIndex bhc 8 selectKey bhc i moveKey bhc i 10 bhk getKeyTime bhc 4 b.width.controller=noise_float() numkeys b.width.controller</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>appendKey &lt;key_array&gt; &lt;max_key&gt; \n\
</pre></div><p>Appends the given key to the specified key array at the key’s original time.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Create a Box and a Sphere source_obj = box() target_obj = sphere() -- Animate the position of the Box on frames 50 and 100. with animate on ( at time 50 source_obj.pos.controller.x_position = 100 at time 100 source_obj.pos.controller.x_position = 200 ) --Animate the position of the Sphere on frames 40 and 80 with animate on ( at time 40 target_obj.pos.controller.x_position = 50 at time 80 target_obj.pos.controller.x_position = 60 ) --Print keys of both controllers format &quot;Source Keys X Pos: %\\n&quot;source_obj.pos.x_position.controller.keys format &quot;Target Keys X Pos: %\\n&quot;target_obj.pos.x_position.controller.keys --Get the 2nd key from the X axis controller of the position transformation source_key = source_obj.pos.x_position.controller.keys[2] --Get the X axis position controller keys array of the target object target_keys = target_obj.pos.x_position.controller.keys --Assign the key from the source to the target controller appendKey target_keys source_key --The Sphere now has a 3rd key on frame 50 with the value 100 format &quot;Target Keys After appendKey: %\\n&quot; target_obj.pos.x_position.controller.keys</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p>``` $Box:Box008 @ [0.000000,0.000000,0.000000] $Sphere:Sphere001 @ [0.000000,0.000000,0.000000] 200 60 Source Keys X Pos: #keys(0f, 50f, 100f) OK Target Keys X Pos: #keys(0f, 40f, 80f) OK #Bezier Float key(2 @ 50f) #keys(0f, 40f, 80f) #Bezier Float key(3 @ 50f) Target Keys After appendKey: #keys(0f, 40f, 50f, 80f) OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>assignKey &lt;key_array&gt; &lt;max_key&gt; &lt;index&gt; \n\
</pre></div><p>Deletes the key specified by <span class=\'code\'>&lt;index&gt;</span> from the target key array and inserts the source key into the target key array at the source key’s time.</p>\n\
<p>Note:</p>\n\
<p>The source key first overwrites the target key specified by <index>, then the resulting array is sorted by time. The result is the same as described above.<p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Create a Box and a Sphere source_obj = box() target_obj = sphere() -- Animate the position of the Box on frames 50 and 100. with animate on ( at time 50 source_obj.pos.controller.x_position = 100 at time 100 source_obj.pos.controller.x_position = 200 ) --Animate the position of the Sphere on frames 10 and 20 with animate on ( at time 10 target_obj.pos.controller.x_position = 50 at time 20 target_obj.pos.controller.x_position = 60 ) --Print keys of both controllers format&quot;Source Keys X Pos: %\\n&quot; source_obj.pos.x_position.controller.keys format&quot;Target Keys X Pos: %\\n&quot; target_obj.pos.x_position.controller.keys --Get the 2nd key from the X axis controller of the position transformation source_key = source_obj.pos.x_position.controller.keys[2] --Get the X axis position controller keys array of the target object target_keys = target_obj.pos.x_position.controller.keys --Assign the key from the source to the target controller, --delete original sourcekey 3 assignKey target_keys source_key 3 --The Sphere now has a 3rd key on frame 50 with the value 100, --original 3rd key on frame 20 has been deleted: format &quot;Target Keys After assignKey: %\\n&quot; target_obj.pos.x_position.controller.keys</p>\n\
<p>```</p>\n\
<p><strong>LISTENER OUTPUT</strong></p>\n\
<p>``` $Box:Box009 @ [0.000000,0.000000,0.000000] $Sphere:Sphere002 @ [0.000000,0.000000,0.000000] 200 60 Source Keys X Pos: #keys(0f, 50f, 100f) OK Target Keys X Pos: #keys(0f, 10f, 20f) OK #Bezier Float key(2 @ 50f) #keys(0f, 10f, 20f) #Bezier Float key(3 @ 50f) Target Keys After assignKey: #keys(0f, 10f, 50f) OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p><span class=\'code\'>appendKey</span> and <span class=\'code\'>assignKey</span> only work on controllers that directly support key frames. The source and target need to be of the same type. The controller level property <span class=\'code\'>&lt;control&gt;.supportsKeys</span> (boolean, read-only) returns <span class=\'code\'>true</span> if the controller implements the I_KEYCONTROL interface and thus can be used as argument of the <span class=\'code\'>appendKey</span> and <span class=\'code\'>assignKey</span> functions. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Common-Properties-1.html\' title=\'\'>supportsKeys</a>.</p>\n\
<p>To copy a key between controllers:</p>\n\
<ul>\n\
<li><p>Make sure that the source and target controllers are of the same type</p></li>\n\
<li><p>Check to see if they support keys using the <span class=\'code\'>.supportsKeys</span> property</p>\n\
<ul>\n\
<li><p>If not, see if they have subanims</p></li>\n\
<li><p>If they have, recurse down into the subanims</p></li>\n\
</ul></li>\n\
<li><p>Repeat the check for the subanims and so on.</p></li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>copyPasteKeys &lt;controller&gt; (&lt;map_struct&gt; | &lt;fn&gt; &lt;arg&gt;) [#replacekeys] [#insertkeys] \n\
</pre></div><p>This function is pretty similar to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/ControllermapKeys-Method.html\' title=\'\'>mapKeys() method</a>, but implies that some keys have been selected. Upon calling <span class=\'code\'>copyPasteKeys(),</span> selected keys will first get copied, then copied keys get selected and pasted, using either the map_struct or a mapping function as described in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/ControllermapKeys-Method.html\' title=\'\'>mapKeys() method</a> topic. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Using the <span class=\'code\'>#replacekeys</span> argument deletes any unselected key within the copied keys&#39; range. Additionally, using the <span class=\'code\'>#insertkeys</span> argument shifts any unselected key that is located on or after the copied keys&#39; insertion point to the right (the location of the first copied key) with a time value equal to the length of the copied keys&#39; range.</p>\n\
</index>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";