var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controller Time Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controller Time Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controller-time-functions\"></a></div>\n\
<div class=\'section\'><a id=\"time-range-operations\"></a><h2 id=\"time-range-operations\">Time Range Operations:</h2></div>\n\
<div class=\'codeBlock\'><pre>getTimeRange &lt;controller&gt; [#selOnly] [#allKeys] [#children]         \n\
</pre></div><p>Returns a time Interval value specifying the range of time covered by keys in the controller. The optional symbolic arguments specify options:</p>\n\
<div class=\'section\'><a id=\"selonly-return-the-time-range-covered-by-the-currently-selected-keys-in-the-track-view\"></a><h1 id=\"selonly-return-the-time-range-covered-by-the-currently-selected-keys-in-the-track-view\"><span class=\'code\'>selOnly</span> : return the time range covered by the currently selected keys (in the track view)</h1></div>\n\
<div class=\'section\'><a id=\"allkeys-default-the-time-range-for-all-keys-in-the-controller\"></a><h1 id=\"allkeys-default-the-time-range-for-all-keys-in-the-controller\"><span class=\'code\'>allKeys</span> (default): the time range for all keys in the controller</h1></div>\n\
<div class=\'section\'><a id=\"children-descends-into-sub-controllers-and-returns-the-total-time-interval-covering-all-keys-in-all-sub-controllers\"></a><h1 id=\"children-descends-into-sub-controllers-and-returns-the-total-time-interval-covering-all-keys-in-all-sub-controllers\"><span class=\'code\'>children</span> : descends into sub-controllers and returns the total time interval covering all keys in all sub-controllers</h1></div>\n\
<div class=\'codeBlock\'><pre>setTimeRange &lt;controller&gt; [&lt;interval&gt;] [#linkToKeys]     \n\
</pre></div><p>Sets the time range to be an interval other than that covered by existing keys, typically to influence when the out-of-range methods take over. If the optional <span class=\'code\'>#linkToKeys</span> argument is given any keys exactly at the start or end of the given interval become anchors for the time range and moving them move the time range for the controller.</p>\n\
<p>If you call <span class=\'code\'>setTimeRange()</span> with just the single argument, <span class=\'code\'>#linkToKeys</span> , it will set the time range to the current start and end keysin all the controllers affected,</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` setTimeRange $box* #linkToKeys</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This is equivalent to the Recouple Ranges function in the Position Ranges mode in Track View.</p>\n\
<p>Note: When the <span class=\'code\'>#linkToKeys</span> argument is not supplied, only the supplied controller will be affected. When the <span class=\'code\'>#linkToKeys</span> argument is supplied, the function will also affect recursively all sub-controllers.</p>\n\
<div class=\'section\'><a id=\"time-operations\"></a><h2 id=\"time-operations\">Time Operations:</h2></div>\n\
<div class=\'codeBlock\'><pre>supportsTimeOperations &lt;ctrl&gt;   \n\
</pre></div><p>returns <span class=\'code\'>true</span> or <span class=\'code\'>false</span> depending on whether the controller supports the following time operations</p>\n\
<div class=\'codeBlock\'><pre>deleteTime &lt;controller&gt; &lt;interval&gt; [#incLeft] [#incRight] [#noSlide] \n\
</pre></div><p>Deletes an interval of time from the controller, removing all the keys with that interval and, by default, sliding the keys to the right of the interval to the left by the width of the interval. The optional symbolic arguments choose one of several options:</p>\n\
<div class=\'section\'><a id=\"incleft-includes-any-key-exactly-at-the-start-time-of-the-interval\"></a><h1 id=\"incleft-includes-any-key-exactly-at-the-start-time-of-the-interval\"><span class=\'code\'>incLeft</span> : includes any key exactly at the start time of the interval</h1></div>\n\
<div class=\'section\'><a id=\"incright-includes-any-key-exactly-at-the-end-time-of-the-interval\"></a><h1 id=\"incright-includes-any-key-exactly-at-the-end-time-of-the-interval\"><span class=\'code\'>incRight</span> : includes any key exactly at the end time of the interval</h1></div>\n\
<div class=\'section\'><a id=\"noslide-doesnt-slide-the-later-keys-to-fill-in-the-gap-removed--this-effectively-just-deletes-any-keys-in-the-interval.\"></a><h1 id=\"noslide-doesnt-slide-the-later-keys-to-fill-in-the-gap-removed--this-effectively-just-deletes-any-keys-in-the-interval.\"><span class=\'code\'>noSlide</span> : doesn’t slide the later keys to fill in the gap removed- this effectively just deletes any keys in the interval.</h1></div>\n\
<p>The <span class=\'code\'>&lt;interval&gt;</span> argument can be specified as an Interval value or as two numbers or time values defining the start and end times. Number values are taken as <strong>frame</strong> numbers.</p>\n\
<div class=\'codeBlock\'><pre>reverseTime &lt;controller&gt; &lt;interval&gt; [#incLeft] [#incRight] \n\
</pre></div><p>Reverses time in the given interval, essentially swapping keys around so that their time placements are reversed within the interval. The notes on inclusion and interval arguments from <span class=\'code\'>deleteTime()</span> apply.</p>\n\
<div class=\'codeBlock\'><pre>scaleTime &lt;controller&gt; &lt;interval&gt; &lt;float_scale&gt; \n\
</pre></div><p>Scales the times of the keys within the given interval. Again, the <span class=\'code\'>&lt;interval&gt;</span> argument can be specified as an Interval value or as two numbers or time values defining the start and end times. Number values are taken as <strong>frame</strong> counts.</p>\n\
<div class=\'codeBlock\'><pre>insertTime &lt;controller&gt; &lt;at_time&gt; &lt;amount_time&gt; \n\
</pre></div><p>Inserts a block of time at the specified time, effectively moving all later keys out in time by the amount inserted. The times can be numbers or Time values. Numbers are taken as frame counts.</p>\n\
<p>The following script shows example usages of some of the above methods.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` -- controller test bed 1 b=box height:10 at time 5 animate on b.height=50 at time 10 animate on b.height=100 bhc=b.height.controller bhk=bhc.keys supportstimeoperations bhc deletetime bhc 4 5 bhk deletetime bhc 4 5 #incLeft bhk deletetime bhc 1 4 #noslide bhk at time 5 animate on b.height=50 deletetime bhc (interval 5 8) #incLeft bhk at time 10 animate on b.height=150 for k in bhk do format &quot;%:%\\n&quot;k.time k.value reversetime bhc 5 15 #incLeft #incRight for k in bhk do format &quot;%:%\\n&quot;k.time k.value insertTime bhc 12 5 bhk getTimeRange bhc</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";