var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ControllermapKeys() Method</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ControllermapKeys() Method</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controllermapkeys-method\"></a></div>\n\
<p>The <strong>mapKeys</strong>() method gives access to the SDK function Control::MapKeys().</p>\n\
<p>The form is:</p>\n\
<div class=\'codeBlock\'><pre>mapKeys &lt;max_object&gt; (&lt;map_struct&gt; | &lt;fn&gt; &lt;arg&gt;) [#allKeys] [#selection] [#slide] [#rightToLeft]\n\
\n\
</pre></div><p>This is like other recursive <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Key-Functions.html\' title=\'\'>controller key functions</a> in MAXScript such as, <span class=\'code\'>moveKeys</span> , <span class=\'code\'>deleteKeys</span> , and others, which operate on all the keys in nested controllers in the object you supply. The thing to be mapped is either a scripted function and argument pair or a struct instance. If a function is supplied, it must take two arguments, the time value to be mapped and the <span class=\'code\'>&lt;arg&gt;</span> from the mapKeys() call, and pass back the mapped time.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` fn bumpTime t delta = t + delta mapKeys $Box01 bumpTime 23 #selection</p>\n\
<p>```</p>\n\
<p>will add 23 to all the selected keys in controllers within $Box01.</p>\n\
</blockquote>\n\
<p>If a struct is supplied, it should have at least a &#39;map&#39; member function that takes time to be mapped and returns the mapped time.</p>\n\
<p>The advantage of a struct is that it is a way to set up complex parameterized mapping by having as many data members as needed to hold the parameters.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b=box() struct mapper ( scale, offset, fn map t = return t * scale * offset ) mapKeys b (mapper scale:0.5 offset:10)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>will execute a combination time scale and offset in one pass.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";