var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Time and Key Functions on Object Hierarchies</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Time and Key Functions on Object Hierarchies</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"time-and-key-functions-on-object-hierarchies\"></a></div>\n\
<p>Certain of the controller time and key functions can be called on any <strong>3ds Max</strong> object or collection of <strong>3ds Max</strong> objects, not just individual controllers. If called in this way, they apply recursively to all the nested controllers within those objects and on any on sub-objects and sub-controllers within those objects. In this way, they work in a manner similar to the object-level tracks in the <strong>3ds Max</strong> Track View that allow you to manipulate keys and time for all the sub-objects and sub-controllers within them.</p>\n\
<p>The time and controller functions that work this way are:</p>\n\
<div class=\'codeBlock\'><pre> deleteTime reverseTime scaleTime insertTime setTimeRange \n\
 addNewKey deleteKeys selectKeys deselectKeys moveKeys sortKeys reduceKeys \n\
 addEaseCurve deleteEaseCurve setBeforeORT setAfterORT enableORTs \n\
</pre></div><p>The above functions can be called on any <strong>3ds Max</strong> object collection (such as a wild-card pathname or object set or array of objects ) and will recursively apply to all animation within those objects. If they are called on components <strong>within</strong> an object that themselves have nested controllers, they are applied to all those nested controllers - see the examples below.</p>\n\
<p>Note: An exception to the above behavior is the <span class=\'code\'>setTimeRange</span> function which will be applied recursively only when a <span class=\'code\'>#linkToKeys</span> argument is provided. See<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/GUID-71299FC9-9EE4-45EB-AF7D-146F31EB6AC6.html\' title=\'\'>setTimeRange</a> for details.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` insertTime $box01.xform 0f 10f</p>\n\
<p>```</p>\n\
<p>all keys after <span class=\'code\'>0f</span> in all controllers in the <span class=\'code\'>xform</span> modifier are moved by <span class=\'code\'>10f</span></p>\n\
<p>``` insertTime $box01 0f 10f</p>\n\
<p>```</p>\n\
<p>all keys after <span class=\'code\'>0f</span> in <span class=\'code\'>box01</span> are moved (transform, creation, modifiers)</p>\n\
<p>``` selectKeys $box02.xform.gizmo.rotation.controller 0f 100f</p>\n\
<p>```</p>\n\
<p>selects keys in <span class=\'code\'>0-100f</span> , if controller is Euler, e.g., will select x, y and z keys</p>\n\
<p><span class=\'code\'>deleteTime $box* 10f 20f</span></p>\n\
<p>delete time from frame 10 and frame 20 in all objects named <span class=\'code\'>$box*</span> (works with any pathname or array of objects)</p>\n\
<p>``` insertTime $box03.children 0f 10f</p>\n\
<p>```</p>\n\
<p>inserts time in all controllers of all children of <span class=\'code\'>$box03</span></p>\n\
<p>``` reduceKeys $box01.modifiers 0.5 1f</p>\n\
<p>```</p>\n\
<p>applies key reductions to all controllers in all modifiers in <span class=\'code\'>$box01</span> (leaves transform and creation parameters alone)</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";