var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Attachment Controller Keys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Attachment Controller Keys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"attachment-controller-keys\"></a></div>\n\
<p>Attachment controllers use different keys than most other controllers. The MAXAKey class implements the keys of Attachment controllers with all their specific properties like face index and barycentric coordinates inside the face.</p>\n\
<p>The <span class=\'code\'>AttachCtrl.getKey()</span> method returns keys of class MAXAKey. The method expects two arguments - the attachment controller and the index of the key to get. (See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Position-Controllers/Attachment-PositionController.html\' title=\'\'>Attachment : PositionController</a> for a list of all available AttachCtrl methods).</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. face: Integer (0-based)   \n\
</pre></div><p>Get/Set the 0-based index of the face to attach to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. coord: Point2 (barycentric coordinates)   \n\
</pre></div><p>Get/Set the barycentric coordinates inside the face to attach to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. time: Time \n\
</pre></div><p>Get/Set the time of the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. selected: Boolean \n\
</pre></div><p>Get/Set the selected state of the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. tension: Float \n\
</pre></div><p>Get/Set the tension.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. continuity: Float \n\
</pre></div><p>Get/Set the continuity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. bias: Float \n\
</pre></div><p>Get/Set the bias.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. easeTo: Float \n\
</pre></div><p>Get/Set the EaseTo value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXAKey&gt;. easeFrom: Float \n\
</pre></div><p>Get/Set the EaseFrom value.</p>\n\
<p>The followingscript will create an animated cylinder with a geosphere attached to its topandfollowing alldeformations:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` c = cylinder height:100 heightsegs:10--create a tall segmented cylinder addModifier c (Bend())--add a Bend Modifier to the cylinder s = geosphere()--create a default geosphere actrl = Attachment()--create an Attachment controller s.position.controller = actrl--assign to the position of the geosphere actrl.node = c--set the cylinder as the node to attach to addNewKey actrl 0f--add a key at frame 0 theAKey = AttachCtrl.getKey actrl 1--get the first key --Set the face index (0-based) by reading the number of faces in the mesh --The last face of a cylinder is always on top near the central vertex! theAKey.face = c.mesh.numfaces - 1 --Set the coordinates for the center. --The barycentric coordinates of the central vertex are [1,0] theAKey.coord = [1,0] with animate on at time 100--animate on frame 100 ( c.height = 200--animate the height of the cylinder c.bend.angle = 90--and the bend angle )</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-1C9FD9A5-B090-4D88-A87F-AA778B233BE2-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3D29575C-C9CF-4557-9B02-91EA593106DD-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";