var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bezier Controller Keys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bezier Controller Keys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bezier-controller-keys\"></a></div>\n\
<p>For Bezier controller keys, the following properties are accessible:</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.time Time\n\
</pre></div><p>Time value or number (interpreted as frames)</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.selected Boolean\n\
</pre></div><p>Specifies whether the key is selected</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.value varies\n\
</pre></div><p>Class determined by its containing controller</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.inTangent varies-- float or point3 (see below)\n\
&lt;key&gt;.outTangent varies-- float or point3 (see below)\n\
&lt;key&gt;.inTangentType Name-- see list of permitted names below\n\
&lt;key&gt;.outTangentType Name-- see list of permitted names below\n\
&lt;key&gt;.inTangentLength Float\n\
&lt;key&gt;.outTangentLength Float\n\
&lt;key&gt;.freeHandle Boolean\n\
&lt;key&gt;.x_locked Boolean default: true\n\
&lt;key&gt;.y_locked Boolean default: true\n\
&lt;key&gt;.z_locked Boolean default: true\n\
&lt;key&gt;.constantVelocity Boolean default: false\n\
</pre></div><p>The <span class=\'code\'>.inTangent</span> and <span class=\'code\'>.outTangent</span> values are Floats in keys of float controllers and Point3s for the other appropriate controllers. Default value is 0 for float controllers, [0,0,0] otherwise.</p>\n\
<p>The <span class=\'code\'>.inTangentType</span> and <span class=\'code\'>.outTangentType</span> properties have symbolic name values representing the possible tangent types available in the drop-down menu in the Bezier key property dialog:</p>\n\
<div class=\'codeBlock\'><pre>#smooth #linear #step #fast #slow #custom #auto\n\
</pre></div><p><span class=\'code\'>.inTangentLength</span> and <span class=\'code\'>.outTangentLength</span> , (typically a fraction from 0 to 1) represent how long the handle is towards the adjacent key. For example, a value of 0.5 means the handle reaches halfway from the current key to the adjacent key, and a value of 1 reaches all the way. If the handle reaches beyond the adjacent key, it will be greater than one. If there is no previous key, the value of <span class=\'code\'>.inTangentLength</span> will be -1.</p>\n\
<p>There is a check box to the key property/Driver Point control dialog found in the Motion Panel. It is called Free Handle. When Free Handle is checked, the user can move the horizontal handle. Otherwise, the user is constrained to prevent discontinuities.</p>\n\
<p>Correspondingly, there is a bezier key property called <span class=\'code\'>.freeHandle</span> that implements the functionality described above.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<div class=\'codeBlock\'><pre>s = sphere()\n\
c = bezier_position ()-- create and assign new controller\n\
s.pos.controller = c\n\
k = addNewKey c 0f-- add a key at frame 0\n\
k.value = [10,0,0]-- set value there\n\
k.outTangentType = #slow-- and outgoing tangent type\n\
k = addNewKey c 100f-- add another key at 100\n\
k.value = [200,10,0]-- set value\n\
k.inTangentType = #custom-- make inTangent custom\n\
k.inTangent = [0.2, 0.02, 0.112]-- set its tangents\n\
k.x_locked = false-- and unlock handles\n\
\n\
</pre></div><p>Note: There are a fair number of classes that do not implement the <span class=\'code\'>showproperties</span> method. MAXKey is one of them. <span class=\'code\'>.getPropNames</span> is not implemented for it either.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";