var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DriverBlock : DriverBlockController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DriverBlock : DriverBlockController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"driverblock-driverblockcontroller\"></a></div>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this class was called <span class=\'code\'>MasterBlock</span>.</p>\n\
</blockquote>\n\
<p><strong>Constructor</strong></p>\n\
<p>The DriverBlock controller cannot be created by MAXScript. It can only be created in the Block Control node in the Global Tracks node of Track View. If multiple DriverBlocks are present, you will need to access the DriverBlocks as a subAnim of <span class=\'code\'>trackviewnodes.global_tracks.block_control</span> . This is because all DriverBlocks have the same name (DriverBlock).</p>\n\
<p><strong>Properties</strong></p>\n\
<p>Once a DriverBlock has been created in Track View, the following DriverBlock property is available:</p>\n\
<div class=\'codeBlock\'><pre>&lt;DriverBlock&gt;.blend Float\n\
</pre></div><p>Once a track has been added to the DriverBlock, a Block controller is added to the DriverBlock and the track’s controller is added as an input controller to the Block controller. The name assigned to the Block controller is the name specified for the block. The Block controller is then available as a property of the DriverBlock and the track’s controller is available as a property of the Block controller. In addition, the track’s controller is replaced with a list controller and the track’s original controller is placed in the list controller along with a Driven controller. This Driven controller is controlled by the Block controller. For example, if a block with the name &quot;BoxHeight&quot; is present and contains the height controller for a box object, the block and its track can be accessed as follows:</p>\n\
<blockquote>\n\
<p>``` mb=trackviewnodes.global_tracks.block_control[1] --&gt; SubAnim:DriverBlock getpropnames mb --&gt; #(#Blend, #height) h=mb.height --&gt; SubAnim:height h.object --&gt; Controller:Block getpropnames h --&gt; #(#Box01_Height) h.box01_height --&gt; 157.083-- the box&#39;s height h.box01_height.controller --&gt; Controller:Bezier_Float-- the box&#39;s height controller</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";