var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Expression Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Expression Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"expression-controllers\"></a></div>\n\
<p>The <strong>Expression</strong> controllers in <strong>3ds Max 8 and higher</strong> have been completely exposed to MAXScript via the <strong>IExprCtrl</strong> interface documented below.</p>\n\
<p>In versions prior to <strong>3ds Max 8</strong>, there were no properties or methods accessible for Expression controllers.</p>\n\
<p><strong>The following Expression controllers are available:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/Float_Expression-FloatController.html\' title=\'\'>Float_Expression : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Point3-Controllers/Point3_Expression.html\' title=\'\'>Point3_Expression : Point3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Position-Controllers/Position_Expression.html\' title=\'\'>Position_Expression : PositionController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Scale-Controllers/Scale_Expression-ScaleController.html\' title=\'\'>Scale_Expression : ScaleController</a></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;expression_controller&gt;.ThrowOnError Bool default:true   \n\
</pre></div><p>Controls whether to throw when an error occurs in the expression.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<p>All expression controllers expose the <strong>IExprCtrl</strong> Interface since <strong>3ds Max 8</strong> . This interface provides all methods to access the controller through MAXScript:</p>\n\
<div class=\'codeBlock\'><pre>IExprCtrl - Expression Controller Interface\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetExpression &lt;string&gt;Expression \n\
</pre></div><p>Sets the expression string to the string passed by-reference. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;GetExpression()\n\
</pre></div><p>Returns the expression string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;NumScalars () \n\
</pre></div><p>Returns the number of scalars defined in the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;NumVectors () \n\
</pre></div><p>Returns the number of vectors defined in the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AddScalarTarget &lt;string&gt;Name &lt;value&gt;Target Offset:&lt;time&gt; Owner:&lt;maxObject&gt;\n\
       Offset default value: 0f\n\
       Owner default value: undefined\n\
</pre></div><p>Adds a scalar target. The first argument is the name of the scalar. The second argument is the target to be connected to the scalar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AddVectorTarget &lt;string&gt;Name &lt;value&gt;Target Offset:&lt;time&gt; Owner:&lt;maxObject&gt;\n\
       Offset default value: 0f\n\
       Owner default value: undefined\n\
</pre></div><p>Adds a vector target. The first argument is the name of the vector. The second argument is the target to be connected to the vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AddVectorNode &lt;string&gt;Name &lt;node&gt;Node Offset:&lt;time&gt;\n\
       Offset default value: 0f\n\
</pre></div><p>Adds a vector node. The first argument is the name of the vector. The second argument is the node to be connected to the vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AddScalarConstant &lt;string&gt;Name &lt;float&gt;Constant \n\
</pre></div><p>Adds a scalar constant. The first argument is the name of the scalar. The second argument is the constant value to be assigned to the scalar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AddVectorConstant &lt;string&gt;Name &lt;point3&gt;Constant\n\
</pre></div><p>Adds a vector constant. The first argument is the name of the vector. The second argument is the constant value to be assigned to the vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetScalarTarget &lt;value&gt;Which &lt;value&gt;Target Owner:&lt;maxObject&gt;\n\
       Owner default value: undefined\n\
</pre></div><p>Sets the target of the given scalar variable. Returns true on success, false otherwise. The optional Owner parameter can be supplied to specify the owner of the target track in case the target is instanced across multiple objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetVectorTarget &lt;value&gt;Which &lt;value&gt;Target Owner:&lt;maxObject&gt; \n\
\n\
Owner default value: undefined \n\
</pre></div><p>Sets the target of the given vector variable. Returns true on success, false otherwise. The optional Owner parameter can be supplied to specify the owner of the target track in case the target is instanced across multiple objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetVectorNode &lt;value&gt;Which &lt;node&gt;Node \n\
</pre></div><p>Sets the node of the given vector variable. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetScalarConstant &lt;value&gt;Which &lt;float&gt;Constant \n\
</pre></div><p>Sets the value of the given scalar variable to the specified constant value. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetVectorConstant &lt;value&gt;Which &lt;point3&gt;Constant \n\
</pre></div><p>Sets the value of the given vector variable to the specified constant value. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DeleteVariable &lt;string&gt;Name \n\
</pre></div><p>Deletes the variable with the given name. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;GetDescription()\n\
</pre></div><p>Returns the description string of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetDescription &lt;string&gt;Description\n\
</pre></div><p>Sets the description string of the controller to the specified by-reference string argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;GetOffset &lt;string&gt;Name\n\
</pre></div><p>Returns the offset of the given variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetOffset &lt;string&gt;Name &lt;time&gt;Offset\n\
</pre></div><p>Sets the offset of the given variable to the specified time value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Update () \n\
</pre></div><p>Updates the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;VariableExists &lt;string&gt;Name\n\
</pre></div><p>Returns true if the named variable exists, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;GetScalarConstant &lt;value&gt;Which \n\
</pre></div><p>Returns the value of the given scalar constant.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetScalarTarget &lt;value&gt;Which asController:&lt;boolean&gt; \n\
\n\
asController default value: false \n\
</pre></div><p>Returns the target of the given scalar variable. If the optional asController parameter is set to true, the result will be a controller value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;GetVectorConstant &lt;value&gt;Which \n\
</pre></div><p>Returns the value of the given vector constant.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetVectorTarget &lt;value&gt;Which asController:&lt;boolean&gt; \n\
\n\
asController default value: false \n\
</pre></div><p>Returns the target of the given vector variable. If the optional asController parameter is set to true, the result will be a controller value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;GetVectorNode &lt;value&gt;Which \n\
</pre></div><p>Returns the node of the given vector variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;GetScalarValue &lt;value&gt;Which \n\
</pre></div><p>Returns the value of the given scalar variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;GetVectorValue &lt;value&gt;Which \n\
</pre></div><p>Returns the value of the given vector variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetValue &lt;string&gt;Name\n\
</pre></div><p>Returns the value of the named variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetScalarType &lt;value&gt;Which \n\
\n\
GetScalarType enums: {#unknown | #scalarTarget | #scalarConstant | #vectorTarget | #vectorConstant | #vectorNode} \n\
</pre></div><p>Returns the type of the given scalar variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetVectorType &lt;value&gt;Which \n\
\n\
GetVectorType enums: {#unknown | #scalarTarget | #scalarConstant | #vectorTarget | #vectorConstant | #vectorNode} \n\
</pre></div><p>Returns the type of the given vector variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetValueType &lt;string&gt;Name\n\
    GetValueType enums: {#unknown | #scalarTarget | #scalarConstant | #vectorTarget | #vectorConstant | #vectorNode} \n\
</pre></div><p>Returns the value type of the given variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;GetScalarName &lt;index&gt;Index \n\
</pre></div><p>Returns the name of the indexed scalar variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;GetVectorName &lt;index&gt;Index \n\
</pre></div><p>Returns the name of the indexed vector variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetScalarIndex &lt;string&gt;Name\n\
</pre></div><p>Returns the index of the named scalar variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetVectorIndex &lt;string&gt;Name\n\
</pre></div><p>Returns the index of the named vector variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;PrintDetails () \n\
</pre></div><p>Prints information about the expression controller, including description string, expression code, scalars and vectors details.</p>\n\
<p>Note:</p>\n\
<ul>\n\
<li>To change the existing value for a variable, you can also use the appropriate <span class=\'code\'>AddScalarTarget(),</span> <span class=\'code\'>AddVectorTarget(),</span> <span class=\'code\'>AddVectorNode(),</span> <span class=\'code\'>AddScalarConstant(),</span> or <span class=\'code\'>AddVectorConstant().</span> Using these methods will also set the offset value.</li>\n\
<li>You <strong>cannot</strong> change the type of a variable (Scalar/Vector) - you must remove the variable and add it as the new type.</li>\n\
<li>The <span class=\'code\'>&lt;value&gt; Target</span> argument to <span class=\'code\'>AddScalarTarget(),</span> <span class=\'code\'>AddVectorTarget()</span> and <span class=\'code\'>AddVectorNode()</span> can be either a controller or a subAnim value. If it is a controller, the methods will look for the controller under the specified Owner value if supplied, otherwise it will use the first owner found.</li>\n\
<li>For methods that take an argument of <span class=\'code\'>&lt;value&gt;Which</span>, the value of Which can be either an integer index or a string name,</li>\n\
<li>Expression controller variable names are <strong>case sensitive!</strong>.</li>\n\
<li>All Function Publishing System operations support undo/redo.</li>\n\
<li>The expression controller’s expression is only evaluated by calling <span class=\'code\'>SetExpression()</span> and <span class=\'code\'>Update()</span> .</li>\n\
</ul>\n\
<p>Note:</p>\n\
<p>There is a <strong>discontinuity</strong> between the MAXScript Debugger window, getting variable values via Function Publishing System and evaluating the expression controller.</p>\n\
<ul>\n\
<li>When working with the Debugger dialog, variable values are shown based on the current slider time.</li>\n\
<li>When accessed via Function Publishing System, the variable values returned are based on the current MXS time.</li>\n\
<li>When evaluating the controller, the result is based on the current time value, but also the range of the controller, the Out-Of-Range Type set for the controller, and any Ease curves applied to the controller.</li>\n\
</ul>\n\
<p>This means that while &#39;NT&#39; might show one value in the Debugger dialog, its value in the evaluation may be different!</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";