var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>float_list : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>float_list : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"float_list-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>float_list - superclass: FloatController; super-superclass:MAXWrapper - 1:1 - classID: #(1263210496, 0) \n\
</pre></div><p>The List controller combines multiple controllers into a single effect. It is a compound controller with tools for managing the order in which its internal controllers are calculated. Controllers are evaluated in a top to bottom order; the controller at the top of the list is evaluated first.</p>\n\
<p>When you assign a List controller to a parameter, the current controller is moved one level below the List controller; it becomes the first controller in the list. A second parameter is added below the List controller and is named Available. This is an empty placeholder for the next controller you add to the list.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>float_list...    \n\
floatList...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float_list&gt;.available Float default: 0.0 -- animatable; float \n\
</pre></div><p>Represents the Available sub-controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float_list&gt;.average Boolean default: false -- boolean; Average_Weights \n\
</pre></div><p>Controls the state of the &quot;Average Weights&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float_list&gt;.weight ArrayParameter default: #(100.0) -- float array; SubAnim \n\
</pre></div><p>Get/set the array of the weights for the List controller’s sub-controllers.</p>\n\
<p><strong>List Interfaces</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:list \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.count: integer : Read \n\
.active: index : Read|Write \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getCount () \n\
</pre></div><p>This method returns the number of items that appear in the List controllers list box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setActive &lt;index&gt;listIndex \n\
</pre></div><p>This method allows you to sets the indexed item in the list active so its parameters appear in the motion panel, and any input is directed to the indexed sub controller.</p>\n\
<p><span class=\'code\'>&lt;index&gt;listIndex:</span> The index of the item to set as the active item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getActive () \n\
</pre></div><p>This method returns the index of the currently active item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;delete &lt;index&gt;listIndex \n\
</pre></div><p>This method allows you to delete the indexed sub controller from the list.</p>\n\
<p><span class=\'code\'>&lt;index&gt;listIndex:</span> The index of the item to delete from the list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;cut &lt;index&gt; listIndex \n\
</pre></div><p>This method allows you to cut the index sub controller from the list and stores it in the buffer to paste later.</p>\n\
<p><span class=\'code\'>&lt;index&gt;listIndex</span>: The index of the item you wish to cut.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paste &lt;index&gt;listIndex \n\
</pre></div><p>This method allows you to paste the sub-controller from the buffer into the indexed slot in the list.</p>\n\
<p><span class=\'code\'>&lt;index&gt;listIndex</span>: The index of the slot to paste into.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getName &lt;index&gt;listIndex \n\
</pre></div><p>This method allows you to paste the sub-controller from the buffer into the indexed slot in the list.</p>\n\
<p><span class=\'code\'>&lt;index&gt;listIndex</span>: The index of the item for which to get the name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setName &lt;index&gt;listIndex &lt;string&gt;name \n\
</pre></div><p>This method allows you to set the name of an indexed item.</p>\n\
<p><span class=\'code\'>&lt;index&gt;listIndex</span>: The index of the item.</p>\n\
<p><span class=\'code\'>&lt;string&gt;name</span>: The name to set it to.</p>\n\
<p>See Also Class <strong>IlistControl</strong>, in the SDK Help file accompanying this product.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";