var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>AlembicXform : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>AlembicXform : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"alembicxform-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre> AlembicXform - superclass: Matrix3Controller; super-superclass:MAXWrapper - 7:0 - classID: #(1560678688, 632583420)\n\
</pre></div><p>Used to load the transformations of a single Object entity from a specified Alembic .ABC cache file into a 3ds Max scene. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>AlembicXform ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.source     String    default: &quot;&quot;   --  filename\n\
</pre></div><p>Gets/sets the Alembic .ABC source file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.object     UndefinedClass    default: undefined   --  string;\n\
</pre></div><p>Gets/sets the object path definition string within the Alembic ABC file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.maxcoords     BooleanClass    default: false   --  boolean\n\
</pre></div><p>When set to true, the 3ds Max Z-up coordinate system will be used.</p>\n\
<p>When set to false, the file&#39;s coordinate system will be used and will depend on the coordinate system of the source application.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.playbackType     Integer    default: 0   --  integer; Playback_Type\n\
</pre></div><p>Gets/sets the playback type drop-down list selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Original Range</strong> (default) - use the start and end values stored in the ABC file.</p>\n\
<p>1 - <strong>Custom Start</strong> - use the <span class=\'code\'>.playbackStart</span> property to define the scene time on which to start the playback. This can be used to offset the beginning of the playback while keeping the same playback speed.</p>\n\
<p>2 - <strong>Custom Range</strong> - use the <span class=\'code\'>.playbackStart</span> and <span class=\'code\'>.playbackEnd</span> properties to define a custom range within which to play back the original animation.</p>\n\
<p>3 - <strong>Playback Graph</strong> - keyframe the <span class=\'code\'>.playbackFrame</span> property to define the file&#39;s frame to be loaded on each scene frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.playbackStart     Float    default: 0.0   --  float\n\
</pre></div><p>Gets/sets the start frame of the playback range.</p>\n\
<p>Applicable when . <strong><span class=\'code\'>playbackType</span></strong> is set to 1 or 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.playbackEnd     Float    default: 0.0   --  float\n\
</pre></div><p>Gets/sets the end frame of the playback range.</p>\n\
<p>Applicable when . <strong><span class=\'code\'>playbackType</span></strong> is set to 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.playbackFrame     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the current playback frame.</p>\n\
<p>Keyframe this property to produce custom playback within the defined range, or set to a static value to load a single frame.</p>\n\
<p>Applicable when . <strong><span class=\'code\'>playbackType</span></strong> is set to 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AlembicXform&gt;.playbackStartGen     Integer    default: 0   --  integer\n\
&lt;AlembicXform&gt;.playbackEndGen     Integer    default: 0   --  integer\n\
&lt;AlembicXform&gt;.playbackTypeGen     Integer    default: 0   --  integer\n\
&lt;AlembicXform&gt;.playbackFrameGen     Integer    default: 0   --  integer\n\
\n\
</pre></div><p>Used by the versioning system for Alembic properties. For internal use only.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";