var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Driven_Control : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Driven_Control : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"driven_control-matrix3controller\"></a></div>\n\
<p>The <span class=\'code\'>Driven_Control</span> is used as the transform controller for the boxes in a RingArray system object. You cannot create a RingArray system using MAXScript in <strong>3ds Max</strong>, but properties for this controller are accessible by MAXScript for existing RingArray systems. A RingArray system actually consists of two types of controllers - the driver controller and <span class=\'code\'>Driven_Control</span> controllers. The <span class=\'code\'>Driven_Control</span> controllers are used as the transform controller for all the boxes in the RingArray system, and the driver controller controls the individual <span class=\'code\'>Driven_Control</span> controllers. Changing a property value for one <span class=\'code\'>Driven_Control</span> in a RingArray system changes the property value for all Driven_Controls in the system.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this class was called <span class=\'code\'>Slave_Control</span>.</p>\n\
</blockquote>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Driven_Control&gt;.radius Float default: 100.0 -- animatable\n\
</pre></div><p>Get/Set the Radius value of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Driven_Control&gt;.cycles Float default: 3.0 -- animatable\n\
</pre></div><p>Get/Set the Cycles value of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Driven_Control&gt;.amplitude Float default: 20.0 -- animatable\n\
</pre></div><p>Get/Set the Amplitude value of the controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Driven_Control&gt;.phase Float default: 1.0 -- animatable\n\
</pre></div><p>Get/Set the Phase value of the controller.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";