var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>LookAt : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>LookAt : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lookat-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>lookat - superclass: Matrix3Controller; super-superclass:MAXWrapper - 3:3 - classID: #(8198, 0) \n\
</pre></div><p>The LookAt controller is obsolete and available only for backwards compatibility. You are encouraged to use the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Constraints/LookAt_Constraint-superclass.html\' title=\'\'>LookAt Constraint</a> (which is a Rotation Controller and not a Matrix3 Controller) instead.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>lookat ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;lookAt&gt;.position Bezier_Position -- the position controller \n\
</pre></div><p>Get/Set the Position sub-controller of the LookAt controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;lookAt&gt;.roll_angle Bezier_Float -- the roll controller \n\
</pre></div><p>Get/Set the Roll sub-controller of the LookAt controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;lookAt&gt;.scale Bezier_Scale -- the scale controller \n\
</pre></div><p>Get/Set the Scale sub-controller of the LookAt controller.</p>\n\
<p>There presently are no methods for directly accessing or setting the target node in the LookAt controller. To set the target node, the LookAt controller needs to be assigned to a node, and then the <span class=\'code\'>lookat</span> property of the node is set to the target node. If the transform controller for a node is not a LookAt controller, and a target node is assigned to the <span class=\'code\'>lookat</span> property of the node, a LookAt controller is automatically assigned to the node.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` \\(box01.lookat=\\)box02</p>\n\
<p>```</p>\n\
<p>is equivalent to</p>\n\
<p>``` $box01.transform.controller=lookat() \\(box01.lookat=\\)box02</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>lookat interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:ILookatControl \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.UseTargetAsUpNode: boolean : Read|Write \n\
</pre></div><p>Get/Set whether to use the target as the Up Node.</p>\n\
<div class=\'codeBlock\'><pre>.Axis: integer : Read|Write|Validated by Range: 0 to 2 \n\
</pre></div><p>Get/Set the axis. Possible values are:</p>\n\
<p>0 - X Axis</p>\n\
<p>1 - Y Axis</p>\n\
<p>2 - Z Axis</p>\n\
<div class=\'codeBlock\'><pre>.Flip: boolean : Read|Write \n\
</pre></div><p>Get/Set whether to flip the orientation.Normally, a node will look at the target with the negative axis. Setting Flip to true will make the node to look at the target with the positive axis.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";