var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Barycentric_Morph_Controller Keys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Barycentric_Morph_Controller Keys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"barycentric_morph_controller-keys\"></a></div>\n\
<p>The morph key functions operate on MAXScript key values that are accessed on Barycentric morph controllers in the same way as keys on other keyable controllers. For Barycentric_Morph_Controller keys, the following properties and methods are accessible:</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.time Time\n\
</pre></div><p>Time value or number (interpreted as frames). Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.selected Boolean\n\
</pre></div><p>Specifies whether the key is selected. Read/write access.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getMKTime &lt;morph_key&gt;\n\
</pre></div><p>Returns the given morph key’s time.</p>\n\
<div class=\'codeBlock\'><pre>setMKTime &lt;morph_key&gt; &lt;time&gt;\n\
</pre></div><p>Sets the time of the given morph key.</p>\n\
<div class=\'codeBlock\'><pre>getMKWeight &lt;morph_key&gt; &lt;target_index_integer&gt;\n\
</pre></div><p>Gets the weight as a percentage for the numbered target on the given morph key. Targets are numbered in order as seen in the target list in the morph key Track View dialog. This is the order in which the targets were added.</p>\n\
<div class=\'codeBlock\'><pre>setMKWeight &lt;morph_key&gt; &lt;target_index_integer&gt; &lt;pcnt_float&gt; &lt;keep100%_boolean&gt;\n\
</pre></div><p>Sets the percentage weight of the numbered target on the given morph key. The last argument is a boolean, if <span class=\'code\'>true</span> adjusts other target weights so the maximum is 100%.</p>\n\
<p>Note: When using the <span class=\'code\'>addnewkey()</span> method to create a key for the Barycentric_Morph_Controller controller, the time component of the key value returned is usually not correct. Use the <span class=\'code\'>getMKKey()</span> method to access the created key.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` sel1 = sphere radius:30-- target 1 sel2 = sphere radius:50-- target 2 createMorphObject sel1-- create the morph object from sel1 mobj1= sel1.morph-- grab morph controller addmorphtarget mobj1 sel2 3-- add sel2 as target - creates key with --target weights of 0 and 100% k=mobj1.keys[1]-- grab the key setMKWeight k 1 100 true-- set target 1 to 100%, keep total 100% addnewkey mobj1 50-- create morph key at frame 50 k=getMKKey mobj1 50-- grab the key setMKWeight k 2 100 true-- set target 2 to 100%, keep total 100%</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p>``` $Sphere:Sphere001 @ [0.000000,0.000000,0.000000] -- result line 1 $Sphere:Sphere002 @ [0.000000,0.000000,0.000000] -- result line 2 $Editable_Mesh:Sphere001 @ [0.000000,0.000000,0.000000] -- result line 3 Controller:Barycentric_Morph_Controller -- result line 4 2 -- result line 5 #Barycentric Morph Controller key(1 @ 0f)-- result line 7 1 -- result line 8 #Barycentric Morph Controller <invalid key=\"\"> -- result line 9 #Barycentric Morph Controller key(3 @ 50f)-- result line 10 2 -- result line 11<p>\n\
<p>```</p>\n\
</invalid></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";