var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Barycentric_Morph_Controller : MorphController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Barycentric_Morph_Controller : MorphController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"barycentric_morph_controller-morphcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Barycentric_Morph_Controller - superclass: MorphController; super-superclass:MAXWrapper - classID: #(160575522, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>createMorphObject &lt;source_node&gt;   \n\
</pre></div><p>Turns the given scene node into a Morph compound object - does nothing if it already is a Morph object. The returned morph object has a morph controller created accessible via the <span class=\'code\'>morph</span> property.</p>\n\
<p>You can access the morph controller on a morph compound object via the <node> <span class=\'code\'>morph</span> property, for example:<p>\n\
<div class=\'codeBlock\'><pre>c = $foo.morph-- get the morph controllermk1 = c.keys[1]-- get the first morph key\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addMorphTarget &lt;morph_controller&gt; &lt;target_node&gt; &lt;add_method&gt; \n\
</pre></div><p>Adds a new morph target object to the given morph controller.</p>\n\
<p>The <span class=\'code\'>&lt;add_method&gt;</span> argument defines the method of attaching the target and should be a number between 1 and 4 with the following interpretation:</p>\n\
<p>1 - <strong>by reference</strong></p>\n\
<p>2 - <strong>by copy</strong></p>\n\
<p>3 - <strong>by move</strong></p>\n\
<p>4 - <strong>by instance</strong></p>\n\
<p>The return value is an Integer giving the target index of the added target object.</p>\n\
<div class=\'codeBlock\'><pre>setMorphTarget &lt;morph_controller&gt; &lt;target_index_integer&gt; &lt;target_node&gt; &lt;add_method&gt; \n\
</pre></div><p>Replaces an existing target with a different scene node. The arguments are the same as for <span class=\'code\'>addMorphTarget()</span> .</p>\n\
<div class=\'codeBlock\'><pre>getMKTargetNames &lt;morph_controller&gt; \n\
</pre></div><p>Returns an array of names of the targets in the given morph controller.</p>\n\
<div class=\'codeBlock\'><pre>deleteMorphTarget &lt;morph_controller&gt; &lt;target_index_integer&gt; \n\
</pre></div><p>Deletes the numbered morph target in the given controller.</p>\n\
<div class=\'codeBlock\'><pre>setMorphTargetName &lt;morph_controller&gt; &lt;target_index_integer&gt; &lt;name_string&gt; \n\
</pre></div><p>Changes the target name of the numbered target in the given morph controller.</p>\n\
<div class=\'codeBlock\'><pre>getMKTargetWeights &lt;morph_controller&gt; &lt;time&gt; &lt;dest_array&gt; \n\
</pre></div><p>A quick way of retrieving all the target weights for a given key at the time specified. The targets are placed into <span class=\'code\'>&lt;dest_array&gt;</span> which must be an array of the right size. You can find out how many targets there by getting the size of the array returned by the <span class=\'code\'>getMKTargetNames()</span> function which returns an array of target names.</p>\n\
<div class=\'codeBlock\'><pre>getMKKey &lt;morph_controller&gt; &lt;time&gt; \n\
</pre></div><p>Returns the morph key on the given controller at the specified time, yields undefined if there is no key at that time.</p>\n\
<div class=\'codeBlock\'><pre>getMKKeyIndex &lt;morph_controller&gt; &lt;time&gt; \n\
</pre></div><p>Returns the index of the key at the specified time, yields undefined if there is no key at that time.</p>\n\
<p>Note: When using the <span class=\'code\'>addnewkey()</span> method to create a key for the Barycentric_Morph_Controller controller, the time component of the key value returned is usually not correct. Use the <span class=\'code\'>getMKKey()</span> method to access the created key.</p>\n\
</node>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";