var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Path : PositionController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Path : PositionController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"path-positioncontroller\"></a></div>\n\
<p>Note: The Path controller has been replaced by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Constraints/Path_Constraint-superclass.html\' title=\'\'>Path_Constraint PositionController</a> in <strong>3ds Max 4 and higher</strong>. The description below applies to versions prior to <strong>3ds Max 4</strong> and is thus obsolete and provided for historical and backwards compatibility reference only.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Constraints/Path_Constraint-superclass.html\' title=\'\'>Path_Constraint : PositionController</a></p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>path...      \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.allowUpsideDown Boolean default: false -- alias: Allow_Upside_Down   \n\
</pre></div><p>Turn on to avoid the situation in which an object flips when going around a vertically oriented path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.axis Integer default: 0 \n\
</pre></div><p>axis = 0 - X; 1 - Y; 2 - Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.axisFlip Boolean default: false -- alias: Axis_Flip \n\
</pre></div><p>Flips the direction of the object on the path 180 degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.bank Boolean default: false \n\
</pre></div><p>Allows the object to bank (roll) as it negotiates the curves of the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;. bankAmount Float default: 0.5 -- animatable, alias: Bank_Amount \n\
</pre></div><p>The amount of the banking to one side or the other, depending on whether the value is positive or negative.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.constantVel Boolean default: false -- alias: Constant_Velocity \n\
</pre></div><p>Provides a constant velocity along the path. When off, the velocity of the object along the path varies depending on the distance between the vertices on the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.follow Booleandefault: false \n\
</pre></div><p>Aligns the object to the trajectory as it follows the contour.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.loop Boolean default: false -- boolean \n\
</pre></div><p>When turned on, the path controlled object will loop back to the start point of the path, after the end point is reached.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.path Node default: undefined&amp;emdash;node; Path_Constraint \n\
</pre></div><p>The spline in the scene that you want the selected object to follow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.pathlist Array default: #() -- node array; SubAnim \n\
</pre></div><p>The object will follow the resultant path which is the weighted average of the paths in this array. The weight for each path is found in the corresponding entry in <span class=\'code\'>&lt;path&gt;.weightlist</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.percent Floatdefault: 0.0 -- animatable, percentage \n\
</pre></div><p>The percent that the object is positioned along the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.relative Boolean default: false -- booleanExample \n\
</pre></div><p>When turned on, the path controlled object will maintain the position offset between its initial position and the start point of the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.smoothness Float default: 0.5 -- animatable \n\
</pre></div><p>Controls how rapidly the roll angle changes as the object moves through bends in the trajectory. Smaller values will make the object more responsive to subtle changes in the curve, while larger values smooth out jerking. The default value is a good value for general damping along the curve. Values below 2 tend to make the action jerky, but values around 3 can be very useful for simulating a certain degree of realistic instability.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path&gt;.weightlist Array default: #() -- float array; Weight; SubAnim \n\
</pre></div><p>Array containing weights corresponding to entries in the <span class=\'code\'>&lt;path&gt;.pathlist</span> array. The object will follow the resultant path which is the weighted average of the selected paths.</p>\n\
<p>The following script shows an example of assigning and animating a path controller.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` thePath=circle radius:50-- create shape node for path theObj=cone radius1:6 radius2:0 height: 15-- create object to travel on path theObj.pos.controller=path follow:true -- assign path controller to object PosCont=theObj.pos.controller -- grab the path controller PosCont.path=thePath -- set path to shape node PosCont.axis=2 -- point local Z axis along path animate on -- create keys at&amp;ldots; ( at time 30 PosCont.percent=25 -- frame 30 - 25% along path at time 100 PosCont.percent=95 -- frame 100 - 95% along path )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";