var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Reactor Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Reactor Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"reactor-controllers\"></a></div>\n\
<div class=\'codeBlock\'><pre>float_Reactor : floatController  point3_Reactor : point3Controller position_Reactor : positionController rotation_Reactor : rotationController scale_Reactor : scaleController \n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>float_Reactor ... point3_Reactor ... position_Reactor ... rotation_Reactor ... scale_Reactor ... \n\
</pre></div><p><strong>Individual Controller ClassDescriptions:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Float-Controllers/FloatReactor-superclass.html\' title=\'\'>FloatReactor: FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Point3-Controllers/Point3Reactor-superclass.html\' title=\'\'>Point3Reactor: Point3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Position-Controllers/PositionReactor-superclass.html\' title=\'\'>PositionReactor: PositionController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Rotation-Controllers/Rotation_Reactor.html\' title=\'\'>Rotation_Reactor : RotationController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Scale-Controllers/Scale_Reactor-ScaleController.html\' title=\'\'>Scale_Reactor : ScaleController</a></p>\n\
<p><strong>Reaction Manager Interface:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-reactionMgr.html\' title=\'\'>Interface: reactionMgr</a></p>\n\
<p><strong>CommonMethods</strong></p>\n\
<div class=\'codeBlock\'><pre>createReaction &lt;reactor_controller&gt; \n\
</pre></div><p>Creates a new reaction for the specified reactor controller.</p>\n\
<div class=\'codeBlock\'><pre>deleteReaction &lt;reactor_controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the specified reaction. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to delete. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>reactTo &lt;reactor_controller&gt; ( &lt;controller&gt; | &lt;node&gt; ) \n\
</pre></div><p>Sets the controller that the reactor controller reacts to. You can either specify either a controller you want to react to or a node whose world position to react to.</p>\n\
<div class=\'codeBlock\'><pre>getReactionCount &lt;reactor_controller&gt; \n\
</pre></div><p>Returns the number of reactions for the specified reactor controller.</p>\n\
<div class=\'codeBlock\'><pre>selectReaction &lt;reactor_controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Selects the specified reaction. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to select. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>getSelectedReactionNum &lt;reactor_controller&gt; \n\
</pre></div><p>Returns the number of the selected reaction.</p>\n\
<div class=\'codeBlock\'><pre>getReactionFalloff &lt;reactor_controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the specified reaction’s falloff. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to get the falloff from. The order of reactions is the order in which they are created, and the order in which the reactions are listed in the Reactor Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>setReactionFalloff &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;float&gt; \n\
</pre></div><p>Sets the specified reaction’s falloff to the specified value. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to set the falloff for. The order of reactions is the order in which they are created, and the order in which the reactions are listed in the Reactor Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>getReactionInfluence &lt;reactor_controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the specified reaction’s influence. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to get the influence from. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>setReactionInfluence &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;float&gt; \n\
</pre></div><p>Sets the specified reaction’s influence to the specified value. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to set the influence for. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>getReactionStrength &lt;reactor_controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the specified reaction’s strength. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to get the strength from. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>setReactionStrength &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;float&gt; \n\
</pre></div><p>Sets the specified reaction’s strength to the specified value. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to set the strength for. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>getReactionState &lt;reactor_controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the specified reaction’s state. The value type returned matches the reactor controller type. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to get the state from. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>setReactionState &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;value&gt; \n\
</pre></div><p>Sets the specified reaction’s state to the specified value. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to set the state for. The order of reactions is the order in which they are created. The <span class=\'code\'>&lt;value&gt;</span> type must match the reactor controller type.</p>\n\
<div class=\'codeBlock\'><pre>getReactionValue &lt;reactor_controller&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the specified reaction’s value. The return value type is the same as the controller type being reacted to. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to get the value from. The order of reactions is the order in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>setReactionValue &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;value&gt; \n\
</pre></div><p>Sets the specified reaction’s value to the specified value. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to set the value for. The order of reactions is the order in which they are created. The <span class=\'code\'>&lt;value&gt;</span> type must match the controller type being reacted to.</p>\n\
<div class=\'codeBlock\'><pre>setReactionName &lt;reactor_controller&gt; &lt;index_integer&gt; &lt;string&gt; \n\
</pre></div><p>Sets the name of the specified reaction. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to set the name for. The order of reactions is theorder in which they are created.</p>\n\
<div class=\'codeBlock\'><pre>getReactionName &lt;reactor_controller&gt; &lt;which&gt; \n\
</pre></div><p>Returns the specified reaction’s name. <span class=\'code\'>&lt;index_integer&gt;</span> is the reaction you want to get the name of. The order of reactions is the order in which they are created.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Setup a scene b1 = box name:&quot;box01&quot; pos:[-32.5492,-21.2796,0] -- create two boxes b2 = box name:&quot;box02&quot; pos:[51.3844,-17.2801,0] animate on at time 100 b1.pos = [-48.2522,167.132,0]-- animate position of one box -- --Assign a reactor, pick the react to object, and create reactions cont = b2.pos.controller = position_Reactor () -- --you can either react to a controller reactTo cont b1.pos.controller --or a node (the World Space position of the box) --reactTo cont b1 -- slidertime = 100 createReaction cont slidertime = 50 createReaction cont deleteReaction cont 3 -- --Set the reaction parameters setReactionState cont 2 [65.8385,174.579,0] selectReaction cont 1 setReactionInfluence cont 1 100 setReactionStrength cont 1 1.2 setReactionFalloff cont 1 1.0 setReactionValue cont 1 [-40.5492,-20.0,0] setReactionName cont 1 &quot;My Reaction&quot; -- --get the reaction parameters getReactionInfluence cont 1 getReactionStrength cont 1 getReactionFalloff cont 1 getReactionState cont 1 getReactionValue cont 1 getSelectedReactionNum cont getReactionCount cont getReactionName cont 1</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";