var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Reactor controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Reactor controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"reactor-controller\"></a></div>\n\
<p>The Reactor controller is a procedural controller that reacts to changes in any other controller within the software.</p>\n\
<p>Reactor comes in five different forms: Position Reactor, Rotation Reactor, Point3 Reactor, Scale Reactor, and Float Reactor.</p>\n\
<p>Any animatable parameter in the software can react to changes in any other animatable parameter. Reactor is not based on time, but is based on other variables in your scene.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- Setup a scene ball = sphere name:&quot;ball&quot;pos:[-40,0,50] radius:10 ball.pos.controller = position_XYZ() -- create some keys key = addNewKey ball.pos.Zposition.controller 0 key.outTangentType = #slow key.value = 50 key = addNewKey ball.pos.Xposition.controller 0 key.value = -40 key = addNewKey ball.pos.Zposition.controller 25 key.InTangentType = #fast key.outTangentType = #fast key.value = 4 key = addNewKey ball.pos.Xposition.controller 25 key.value = -10 key = addNewKey ball.pos.Zposition.controller 50 key.InTangentType = #slow key.value = 50 key = addNewKey ball.pos.Xposition.controller 50 key.value = 20 ball.showtrajectory = true -- assign a reactor controller to the scale of the ball reactorCtrl= Scale_Reactor() ball.scale.controller = reactorCtrl -- Pick the react to object, and create reactions reactorCtrl.reactions.reactTo ball.pos.ZPosition.controller reactorCtrl.reactions.setName 1 &quot;UnSquashed&quot; reactorCtrl.reactions.setVectorState 1 [1,1,1] reactorCtrl.reactions.create name: &quot;Squashed&quot; reactorCtrl.reactions.setVectorState 2 [1.5,1.5,.4] reactorCtrl.reactions.setValueAsFloat 2 10 reactorCtrl.reactions.setInfluence 1 6 reactorCtrl.reactions.setInfluence 2 5.5 reactorCtrl.reactions.setStrength 2 1.5 reactorCtrl.reactions.setFalloff 1 1.75 ss = StringStream&quot;&quot; reactorCtrl.reactions.getType() ct = reactorCtrl.reactions.getCount () format &quot;Reactor Statistics: \\n------------------------------\\n \\n&quot; to:ss format &quot;Count : %\\n&quot; ct to:ss format &quot;\\n&quot; to:ss for i =1 to ct do ( format &quot;Reaction #: % \\n------------------------------------------------ Name : % State: % Value: % Strength: % Influence : % Falloff: % \\n\\n&quot;(i)<br> (reactorCtrl.reactions.getName i)<br> (getReactionState reactorCtrl i)<br> (getReactionValue reactorCtrl i)<br> (reactorCtrl.reactions.getStrength i)<br> (reactorCtrl.reactions.getInfluence i )<br> (reactorCtrl.reactions.getFalloff i )to:ss ) print ss</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-DB031BA7-2F52-44C2-8174-FEEC34517624-low.gif\' title=\'\'> <img src=\'developer/images/GUID-B0CC4779-3D34-4FE0-BDA9-1F4F35934DE1-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-F811AF9A-50EB-448D-A8A6-2E49BB0EB9AF-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BB8A30CF-E68C-44F7-A8B5-C77D26A493C0-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";