var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scale_Reactor : ScaleController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scale_Reactor : ScaleController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scale_reactor-scalecontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Scale_Reactor - superclass: ScaleController; super-superclass:MAXWrapper - 0:0 - classID: #(331629852, 751514504) \n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Scale_Reactor...     \n\
ScaleReactor...   \n\
</pre></div><p><strong>ScaleReactor interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:reactions \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.editStateMode : boolean : Read|Write \n\
</pre></div><p>This property sets or gets the state of the Edit Reaction State toggle.</p>\n\
<div class=\'codeBlock\'><pre>.useCurve : boolean : Read|Write \n\
</pre></div><p>Specifies whether or not to use the curve.</p>\n\
<div class=\'codeBlock\'><pre>.createMode : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the Create mode.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;reactTo &lt;maxObject&gt;object \n\
</pre></div><p>The default influence value depends on the time the reaction was created. This is a time variant function so it will use the MAXScript time context instead of requiring a Time value as an argument.</p>\n\
<p><span class=\'code\'>&lt;maxObject&gt;object</span>: The object to react to. This can either be a controller or a node.</p>\n\
<p>Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;createname:&lt;string&gt; \n\
</pre></div><p>Create a new reaction and give it a name. The default influence value depends on the time the reaction was created. This is a time variant function. It will also use the name supplied if there is one, but a name is not necessary. The default value of name is: &quot;scriptCreated&quot;. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<p>Note: All index parameters below are <strong>1- based</strong>!</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;delete &lt;index&gt;index \n\
</pre></div><p>Delete the indexed reaction. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getCount () \n\
</pre></div><p>Returns the reaction count.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;select &lt;index&gt;index \n\
</pre></div><p>Selects the indexed reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getSelected () \n\
</pre></div><p>Returns the index of the currently selected reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setStateToCurrent &lt;index&gt;index \n\
</pre></div><p>This is a Time Variant function. Sets the reaction state to the current state at the given MAXScript time. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setFloatState &lt;index&gt;index&lt;float&gt;state \n\
</pre></div><p>Set the reaction state to the value passed in. The function you use depends on the type of reactor controller it is. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setVectorState &lt;index&gt;index&lt;point3&gt;state \n\
</pre></div><p>Set the reaction state to the value passed in. The function you use depends on the type of reactor controller it is. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setRotationState &lt;index&gt;index&lt;quat&gt;state \n\
</pre></div><p>Set the reaction state to the value passed in. The function you use depends on the type of reactor controller it is. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueToCurrent &lt;index&gt;index \n\
</pre></div><p>This is a Time Variant function. Sets the reaction value to value of the ReactTo object at the given MAXScript time. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueAsFloat &lt;index&gt;index&lt;float&gt;value \n\
</pre></div><p>Set the reaction value to the value passed in. The function you use depends on the type of object or controller you are reacting to. See <span class=\'code\'>getType</span> () below. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueAsVector &lt;index&gt;index &lt;point3&gt;value \n\
</pre></div><p>Set the reaction value to the value passed in. The function you use depends on the type of object or controller you are reacting to. See <span class=\'code\'>getType</span> () below. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueAsQuat &lt;index&gt;index&lt;quat&gt;value \n\
</pre></div><p>Set the reaction value to the value passed in. The function you use depends on the type of object or controller you are reacting to. See <span class=\'code\'>getType</span> () below. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setInfluence &lt;index&gt;index&lt;float&gt;influence \n\
</pre></div><p>Sets the influence for the specified reaction. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setStrength &lt;index&gt;index&lt;float&gt;strength \n\
</pre></div><p>Sets the strength for the specified reaction. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setFalloff &lt;index&gt;index &lt;float&gt;influence \n\
</pre></div><p>Sets the falloff for the specified reaction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setName &lt;index&gt;index &lt;string&gt;name \n\
</pre></div><p>Set the name of the reaction specified by the index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getName &lt;index&gt;index \n\
</pre></div><p>Returns the reaction name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getInfluence &lt;index&gt;index \n\
</pre></div><p>Returns the reaction influence.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getStrength &lt;index&gt;index \n\
</pre></div><p>Returns the reaction strength.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getFalloff &lt;index&gt;index \n\
</pre></div><p>Returns the reaction falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;getType () \n\
getType enums: {#floatReaction | #positionalReaction | #rotationalReaction | #scaleReaction} \n\
</pre></div><p>Returns the type of object you are reacting to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getState &lt;index&gt;index \n\
</pre></div><p>Returns the reaction state. This value can be either a Point3, a Quat, or a float depending on the type of reactor controller this is.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getValue &lt;index&gt;index \n\
</pre></div><p>Returns the reaction value. This value can be either a Point3, a Quat, or a float depending on the type of reactor controller this is.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";