var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Referencing Nodes and Controllers in Script Controllers FAQ</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Referencing Nodes and Controllers in Script Controllers FAQ</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"referencing-nodes-and-controllers-in-script-controllers-faq\"></a></div>\n\
<p>The following Questions and Answers discuss the various variable types available in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>Script Controllers</a> in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"what-is-the-difference-between-the-new-and-the-old-script-controllers\"></a><h2 id=\"what-is-the-difference-between-the-new-and-the-old-script-controllers\">What is the difference between the new and the old script controllers?</h2></div>\n\
<p>The main difference between the old script controllers available <strong>prior to 3ds Max 8</strong> and the new ones in <strong>3ds Max 8 and higher</strong> is that there is an &quot;Assign Node&quot; button that allows you to pick a node.</p>\n\
<p>What is special about this is that the node is not held as a direct reference of the script controller, rather it is held as in indirect reference. This is done through an intermediate class called <strong>NodeTransformMonitor</strong>.</p>\n\
<p>The only messages that propagate from the referenced node to the scripted controller are node transform messages and node deletion messages. This allows you to place a scripted controller on a sphere&#39;s radius track, and then in the scripted controller have a variable pointing at the node holding the sphere without creating a circular dependency.</p>\n\
<p>Note that the expression controller also uses the NodeTransformMonitor when you have a variable pointing at a node.</p>\n\
<p>See Also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controller-Avoiding.html\' title=\'\'>Script Controller - Avoiding Circular Dependency</a></p>\n\
<div class=\'section\'><a id=\"what-can-i-assign-through-the-assign-constant-button\"></a><h2 id=\"what-can-i-assign-through-the-assign-constant-button\">What can I assign through the Assign Constant button?</h2></div>\n\
<p>If you click <strong>Assign Constant</strong>, you can type in any valid MAXScript expression. If the result is a MAXWrapper (like a node, material, modifier, controller etc.), the result is stored as an Object. If the result is a subAnim, it is stored as a Target.</p>\n\
<p>You can assign either a constant value from a MAXScript expression, or a dynamic value if the expression evaluates to a controller.</p>\n\
<p>If you create the variable myVar and use the <strong>Assign Constant</strong> button to assign the expression</p>\n\
<p>$Box01.position.x_position.controller.value</p>\n\
<p>in the Assign Constant dialog, the value of the controller on the current frame will be taken as a constant value and assigned to the variable myVar.</p>\n\
<p>But if you say</p>\n\
<p>$Box01.position.x_position.controller</p>\n\
<p>this will create an Object value that points at the controller. In the controller&#39;s expression code, you can use &#39;myVar.value&#39; to get the current value. The value will not be stored as a constant, but will be dynamic and change as the current time changes.</p>\n\
<div class=\'section\'><a id=\"what-is-the-difference-between-assigning-an-object-and-a-node-to-a-variable\"></a><h2 id=\"what-is-the-difference-between-assigning-an-object-and-a-node-to-a-variable\">What is the difference between assigning an Object and a Node to a variable?</h2></div>\n\
<p>Let&#39;s say that you have two scripted controllers X and Y, and a node N that has a sphere base object. A variable in X points at N as an Object. A variable in Y points at N as a Node. If you change the sphere&#39;s radius, only X is re-evaluated. If you move N, both X and Y are re-evaluated.</p>\n\
<p>If stored as a Node value, the controller is invalidated only if the node&#39;s transform changes or the node is deleted. But it does allow you to specify nodes that would create a circular reference if specified as an Object value.</p>\n\
<p>To specify whether to store an Object or a Node, you should use the Assign Track / Assign Node buttons, or the MAXScript methods. When using the Assign Constant expression, a MAXWrapper will always be stored as Object.</p>\n\
<div class=\'section\'><a id=\"what-is-the-difference-between-accessing-an-object-property-through-node-and-object\"></a><h2 id=\"what-is-the-difference-between-accessing-an-object-property-through-node-and-object\">What is the difference between accessing an object property through Node and Object</h2></div>\n\
<p>If you want, you can just create variables that hold Nodes as Object values, and then reference the parameter you want as you would normally in the expression. For example, myNode would point at a sphere node, and your expression would be &quot;myNode.radius&quot;. But this is not going to have as good performance as pointing to the sphere&#39;s radius track as a Target. In the former, any change to the node (for example, moving the node) will result in a controller re-evaluation. In the latter, only changes to the sphere base object will result in a controller re-evaluation.</p>\n\
<p>Also, if you just specify a Node variable and then access base object parameters on it (for example, its radius), you will get an error if you bring in the node as an XRef. An XRef object doesn&#39;t expose the properties of the object it wraps, so there is no &#39;radius&#39; parameter. Thus an error will be generated when the expression is evaluated. If you point a variable at the sphere&#39;s radius track and use that variable instead, the expression will still work when XRef-ed in.</p>\n\
<div class=\'section\'><a id=\"what-is-the-difference-between-using-explicit-paths-names-in-the-expression-like-in-releases-prior-to-3ds-max-8-and-using-the-new-variables-pointing-at-nodes\"></a><h2 id=\"what-is-the-difference-between-using-explicit-paths-names-in-the-expression-like-in-releases-prior-to-3ds-max-8-and-using-the-new-variables-pointing-at-nodes\">What is the difference between using explicit paths names in the Expression (like in releases prior to 3ds Max 8) and using the new variables pointing at nodes?</h2></div>\n\
<p>There are multiple important differences.</p>\n\
<p>Let&#39;s say you have an object $Sphere01 using a script controller pointing at an object called $Box01.</p>\n\
<ul>\n\
<li>If you would say</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>$Box01.position.x_position.controller\n\
\n\
</pre></div><p>every time the expression is evaluated MAXScript needs to resolve the node name &#39;Box01&#39; to a node value, resolve the position property to the position controller, resolve the x_position property to the x_position subAnim, get the controller from the subAnim, and get the MAXScript MAXControl value wrapping the controller.</p>\n\
<p>If you had a Target variable pointing at the controller, <strong>all that needs to happen is to get the MAXScript MAXControl value wrapping the controller</strong>.</p>\n\
<ul>\n\
<li><p>The second difference is that if you rename &#39;Box01&#39;, your scripted controller would stop working. When using a variable, there is <strong>no node name dependency</strong>!</p></li>\n\
<li><p>The third difference is that if you select and clone &#39;Box01&#39; and the &#39;Sphere01&#39;, your newly cloned scripted controller will continue to point at &#39;Box01&#39;, not the clone of &#39;Box01&#39;. As a variable, it will point at the <strong>cloned</strong> controller.</p></li>\n\
<li><p>The fourth difference is that if you XRef Scene with &#39;Box01&#39; and the &#39;Sphere01&#39;,your scripted controller will fail because it cannot resolve &#39;Box01&#39; since the node is in an xref scene node tree, not the main <strong>3ds Max</strong> scene node tree. As a variable, the scripted controller holds a reference to the node, so it doesn&#39;t matter where that node is.</p></li>\n\
<li><p>If you do Save Selected on &#39;Sphere01&#39;, then &#39;Box01&#39; will also be saved because it is dependent on the controller. Likewise, if you merge &#39;Sphere01&#39;, &#39;Box01&#39; should also be merged. This would not happen when using explicit path names.</p></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"should-i-use-dependson-in-the-new-script-controller\"></a><h2 id=\"should-i-use-dependson-in-the-new-script-controller\">Should I use dependsOn in the new Script Controller?</h2></div>\n\
<p>You do not need &#39;dependsOn&#39; in the scripted controller&#39;s expression since <strong>3ds Max 8</strong>.</p>\n\
<p>&#39;dependsOn&#39; should <strong>not</strong> be used in new scripts, and should actually be <strong>removed</strong> from old ones.</p>\n\
<p>When you have &#39;dependsOn&#39; in a script controller expression, a new variable will be automatically created (Depends_#) that points at the node as an object. This will cause all changes to the node to result in a script controller re-evaluation.</p>\n\
<p>The automatic creation of the dependson_# variable is a special case. It is created based on the &#39;dependsOn&#39; command being executed and by definition the arguments to dependsOn are MAXWrapper objects.</p>\n\
<p>This is also needed to ensure that existing script controllers using &#39;dependsOn&#39; would continue to work correctly without tweaking the controller.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";