var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Script Controller Assignment Behavior Changes in 3ds Max 8</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Script Controller Assignment Behavior Changes in 3ds Max 8</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"script-controller-assignment-behavior-changes-in-3ds-max-8\"></a></div>\n\
<p>In versions <strong>prior to 3ds Max 8</strong>, it was possible to provide a script string as a construction parameter, but it did not work as expected.</p>\n\
<p>When assigning a script controller to a track, <strong>3ds Max 7 and earlier</strong> automatically reads the current value of the track and assigns it to the new controller to make it valid and to preserve the original value. For example, if the track contains the value 12.6, after assigning the script controller, the string inside the controller will be automatically set to &quot;12.6&quot; to preserve the last known value. For that reason, trying to assign the script in a single pass did not work in <strong>3ds Max 7 and earlier</strong>:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` $Box01.height.controller = float_script script:&quot;random 0 100&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The above would not work because the script controller instance is first created on the right-hand side, the script string &quot;random 0 100&quot; is assigned to it, then the controller is assigned to the left-hand side, and its script string is immediately overwritten with a new string containing the current value of the left-hand side track.</p>\n\
<p>You always had to assign the controller first, then assign to its <span class=\'code\'>.script</span> property.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` fs =float_script () $Box01.height.controller =fs fs.script=&quot;random 0 100&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In <strong>3ds Max 8 and higher</strong>, the behavior described above has been corrected. An internal flag has been added to all controllers to denote whether the controller is &quot;new&quot; or &quot;not new&quot;, thus using the current track value only when a new controller is being assigned.</p>\n\
<p>Thanks to this new behavior, the script string in controllers where the script property has already been set will not be replaced.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";