var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Script Controller - Avoiding Circular Dependency</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Script Controller - Avoiding Circular Dependency</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"script-controller---avoiding-circular-dependency\"></a></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/GUID-569BE1BC-216E-496F-9EDE-1E8D2DB42194.html\' title=\'\'>Target</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/GUID-569BE1BC-216E-496F-9EDE-1E8D2DB42194.html\' title=\'\'>Object variables</a> in Script Controllers will cause the whole object subAnim tree to be evaluated when the controller value is updated.</p>\n\
<p>In cases where the final result of the script controller has to depend on other properties of the same object it is assigned to, creating a Target or Object Variable is prevented by MAXScript with a Runtime error to avoid &quot;vicious circle&quot; conditions. Otherwise, the update of the controller will cause other properties to update and in turn cause the controller to be updated again, without an end.</p>\n\
<blockquote>\n\
<p><strong>DOES NOT WORK:</strong></p>\n\
<p>``` obj = Teapot () --&gt;$Teapot:Teapot001 @ [0.000000,0.000000,0.000000] obj.scale.controller = scale_script() --&gt;Controller:Scale_Script obj.scale.controller.addTarget &quot;pos&quot; obj.position.controller -- Runtime error: Cannot add/set object, would create circular dependency: Controller:Position_XYZ obj.scale.controller.setExpression &quot;[0.01*pos.x,1,1]&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In these circumstances, a Node Variable can be used instead.</p>\n\
<p>The variable will contain a reference to the scene node and the script controller&#39;s expression will access the necessary property from the node instead of pointing directly at a subAnim or MAXWrapper object:</p>\n\
<blockquote>\n\
<p><strong>WORKS:</strong></p>\n\
<p>``` obj = Teapot () --&gt;$Teapot:Teapot001 @ [0.000000,0.000000,0.000000] obj.scale.controller = scale_script() --&gt;Controller:Scale_Script obj.scale.controller.addNode &quot;obj&quot; obj --&gt;true obj.scale.controller.setExpression &quot;[0.01*obj.pos.x,1,1]&quot; --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Moving the teapot along the X axis will automatically scale its X axis according to the distance to the world origin.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";