var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Weak References To Nodes in the Expression/Script Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Weak References To Nodes in the Expression/Script Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"weak-references-to-nodes-in-the-expressionscript-controller\"></a></div>\n\
<p><strong>NodeTransformMonitor</strong> is derived from <strong>ReferenceTarget</strong>, and holds a pointer to a <strong>RefTargMonitorRefMaker</strong>, which derives from <strong>ReferenceMaker</strong>.</p>\n\
<p><strong>RefTargMonitorRefMaker</strong> holds a reference to the node, and passes notification messages to the <strong>NodeTransformMonitor</strong> through a callback method. The <strong>NodeTransformMonitor</strong> just looks for REFMSG_CHANGE/PART_TM messages and passes those on to its dependents, unless a message is already being passed on. This prevents potential recursion. Since the <strong>NodeTransformMonitor</strong> doesn&#39;t hold the node as a reference, we don&#39;t have a circular reference hierachy. If object A has a <strong>NodeTransformMonitor</strong> that points at Node B, and object A is saved, Node B is also saved. Likewise on merge/xref object, loading object A will cause Node B to be loaded. Also, using <strong>NodeTransformMonitor</strong> the base object of a node can point at its owning node to get its TM changed messages.</p>\n\
<p>Expression controller variables that point at nodes use the <strong>NodeTransformMonitor</strong> class to hold the reference to the node.</p>\n\
<div class=\'section\'><a id=\"nodetransformmonitor-referencetarget\"></a><h2 id=\"nodetransformmonitor-referencetarget\">NodeTransformMonitor : ReferenceTarget</h2></div>\n\
<div class=\'codeBlock\'><pre>NodeTransformMonitor - superclass: ReferenceTarget; super-superclass:MAXWrapper - 2:2 - classID: #(418912514, 419643346)\n\
</pre></div><div class=\'section\'><a id=\"nodetransformmonitor-interfaces\"></a><h3 id=\"nodetransformmonitor-interfaces\">NodeTransformMonitor interfaces:</h3></div>\n\
<div class=\'codeBlock\'><pre>Interface:INodeTransformMonitor\n\
.node: node : Read|Write\n\
</pre></div><p>Get/set the node to monitor.</p>\n\
<div class=\'codeBlock\'><pre>.forwardTransformChangeMsgs: boolean : Read|Write\n\
</pre></div><p>If true (default), node transform messages from the monitored node invalidate the dependents of the NodeTransformMonitor instance. If false, only deletion of the monitored node invalidates the dependents of the NodeTransformMonitor instance.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";