var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>dependsOn For Scripted Controllers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>dependsOn For Scripted Controllers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dependson-for-scripted-controllers\"></a></div>\n\
<p>Note:</p>\n\
<p>This is <strong>obsolete</strong> in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>You should assign Nodes to User Variables instead. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Script-Controllers/Script-Controllers-1.html\' title=\'\'>Script Controllers</a></p>\n\
<p><span class=\'code\'>dependsOn</span> was used with scripted controllers <strong>in versions prior to 3ds Max 8</strong> to enable interactive update of scripted controllers when the code in them depends on other objects in the scene.</p>\n\
<p>Place a call to <span class=\'code\'>dependsOn</span> in the controller script somewhere (usually at the top), with a list of objects on which the controller depends. Interactive changes to any of these objects will cause the object containing the script controller to also update.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` A $foo.pos controller script:</p>\n\
<p>```</p>\n\
<p>``` dependsOn $foo2 \\(foo3  (\\)foo2.pos + $foo3.pos) / 2</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>will always keep <span class=\'code\'>$foo</span> centered between <span class=\'code\'>$foo1</span> and <span class=\'code\'>$foo2</span> . The objects given to the <span class=\'code\'>dependsOn()</span> function can be any MAX object, controllers, base object, nodes, materials, etc. They must be individual, explicit objects, not wild-card path names or arrays of objects. The object can be the exact controller you want to depend on or any containing object. The strict dependency for the above script would be,</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` dependsOn$foo2.pos.controller $foo3.pos.controller</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The simpler <span class=\'code\'>$foo2</span> <span class=\'code\'>$foo3</span> will catch *any* kind of changes to those nodes or components in them like base objects, modifiers, or materials and update the script-controlled object. The dependency is established the first time the controller is evaluated after any script change or recompile. This can be when editing in a controller property box, or after a scene load.</p>\n\
<p>You can programmatically force a recompile and reset of the dependents by setting the control script to itself:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` $foo.pos.controller.script = $foo.pos.controller.script</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";