var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HD IK controller chains can be assigned to existing hierarchies</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HD IK controller chains can be assigned to existing hierarchies</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hd-ik-controller-chains-can-be-assigned-to-existing-hierarchies\"></a></div>\n\
<p>The IKChainControl uses a boolean controller for turning the IK solver on/off. On/off implies an opposite referencing structure. When it is on, joints reference the ik goal, whereas when it is off, the goal references the end joint, ie. the goal has to snap to the end effector. This means that the direction of message propagation is decided on the state of this boolean controller. To avoid evaluating an animatable attribute during message propagation, we require that this controller cannot be replaced by a possibly arbitrarily wired controller.</p>\n\
<p>HD IK controller chains can be assigned to existing hierarchies.</p>\n\
<p><strong>Prototype:</strong></p>\n\
<div class=\'codeBlock\'><pre>HDIKSys.ikChain &lt;startJoint&gt; &lt;endJoint&gt; &lt;assignEE&gt;\n\
&lt;startJoint&gt;\n\
</pre></div><p>The first node in the new chain, called the ancestor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;endJoint&gt;\n\
</pre></div><p>The last node in the chain, called the decendent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;assignEE&gt;\n\
</pre></div><p>A boolean parameter: when TRUE, a position end effector is created at the endJoint.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>If 4 boxes existed in the scene and Box02 was a child of Box01, Box03 was a child of Box02, and Box04 was a child of Box03:</p>\n\
<p><span class=\'code\'>HDIKSys. $Box01 $Box04 TRUE                                             ikChain</span></p>\n\
<p>would assign HD IK controllers and create anend effector at Box04.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"posrotationscale-property-access\"></a><h2 id=\"posrotationscale-property-access\">Pos/Rotation/Scale Property Access</h2></div>\n\
<p>Pos/Rotation/Scale properties of the nodes are accessible immediately. Instead of writing $node.transform.controller.ik_goal.controller.pos, you can say, in MAXScript, $node.pos.controller, etc.</p>\n\
<p>Note:</p>\n\
<p>Both IKControl and IKChainControl can not be instanced.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";