var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>IKLimb Solver</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>IKLimb Solver</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"iklimb-solver\"></a></div>\n\
<p>The IK Limb Solver is specifically meant for animating the limbs of human characters; for example, the hip to the ankle, or the shoulder to the wrist. It affects only two bones in a chain. It is an analytical solver that is very fast and accurate in viewports.</p>\n\
<p>Note: To use with the IK Limb solver, a bones system must have <span class=\'code\'>three</span> bones in the chain. The goal is placed at the pivot point of the third bone, and the IK solution is calculated for the first and second bones.</p>\n\
<p>The IK Limb solver works not only with bone hierarchies, but with any linked hierarchy that has three elements, and is set up to model a human limb. The additional requirements are:</p>\n\
<ul>\n\
<li><p>The first joint is &quot;spherical.&quot; That is, it has 3 degrees of freedom.</p></li>\n\
<li><p>The second joint is &quot;revolute.&quot; That is, it has 1 degree of freedom.</p></li>\n\
</ul>\n\
<p>If you attempt to put an IK Limb solver on an inappropriate chain, a warning message informs you that your IK Limb solver assignment has no effect.</p>\n\
<p>The IK Limb solver uses the same controls as the HI IK solver, so it follows the model of setting preference angles for joints, and allows for mixing periods of forward and inverse kinematics in the same animation period. It does not use the HD IK Solver methods of damping, precedence, and setting joint limits.</p>\n\
<p>The source code of the IK Limb solver is provided as is, so it can be exported directly to a game engine.</p>\n\
<p>The joint angles are obtained by computing the transformation (rotation) between the initial chain plane and the target chain plane. The initial chain plane is defined by three unit vectors:</p>\n\
<ol>\n\
<li><p>shoulder-to-elbow unit vector (at the initial pose)</p></li>\n\
<li><p>projection of end-effector-axis on a plane perpendicular to the shoulder-to-elbow unit vector (at the initial pose)</p></li>\n\
<li><p>cross product of the above two.</p></li>\n\
</ol>\n\
<p>Similarly, the target plane is defined by three analogous vectors at the target pose.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";