var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Fire_Effect : Atmospheric</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Fire_Effect : Atmospheric</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"fire_effect-atmospheric\"></a></div>\n\
<div class=\'codeBlock\'><pre>Fire_Effect - superclass: atmospheric; super-superclass:MAXWrapper - classID: #(682623303, 58464731) \n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Fire_Effect ... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Inner_Color Color default: (color 252 202 0) -- animatable \n\
</pre></div><p>Sets the color of the densest part of the effect. For a typical fire, this color represents the hottest part of the flame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Outer_Color Color default: (color 225 30 30) -- animatable \n\
</pre></div><p>Sets the color of the sparsest part of the effect. For a typical fire, this color represents the cooler, dissipating edge of the flame. The fire effect is colored using a gradient between the inner and outer colors. The dense areas of the effect use the inner color and gradually blend to the outer color near the edges of the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Smoke_Color Color default: (color 25.5 25.5 25.5) -- animatable \n\
</pre></div><p>Sets the color of smoke for use with the Explosion option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Flame_Type Integer default: 0 \n\
</pre></div><p>Sets the flame type:</p>\n\
<p>0- <strong>Fire Ball</strong> (Creates round puffy flames. Fireballs are well suited for explosions.)</p>\n\
<p>1- <strong>Tendril</strong> (Creates directional pointed flames with veins along their center. The flames orient along the local Z axis of the fire apparatus. Tendril creates campfire-like flames.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Stretch Float default: 1.0 -- animatable \n\
</pre></div><p>Scales flames along the Z axis of the apparatus. Stretch works best with Tendril flames, but you can use it to give Fireballs an oval shape. Values less than 1.0 compress flames, making them shorter and thicker. Values greater than 1.0 stretch flames, making them long and skinny.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Regularity Float default: 0.2 -- animatable \n\
</pre></div><p>Modifies how the flames fill the apparatus. A value of 1.0 completely fills the apparatus. The effect fades near the edges of the apparatus, but the overall shape is still very noticeable. A value of 0.0 produces a very irregular effect that might occasionally reach the boundary of the apparatus, but usually gets trimmed back and is smaller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Flame_Size Float default: 35.0 -- animatable \n\
</pre></div><p>Sets the size of individual flames inside the apparatus. The size of the apparatus affects the flame size. A larger apparatus requires a larger flame size. Use a range from 15.0 to 30.0 for the best results. Large values work best for Fireballs. Small values work best for Tendrils.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Flame_Detail Float default: 3.0 -- animatable \n\
</pre></div><p>Controls the amount of color change and edge sharpness seen within each flame. Low values produce smooth, fuzzy flames and render faster. High values produce patterned, sharp flames and render slower.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Density Float default: 15.0 -- animatable \n\
</pre></div><p>Sets the opacity and brightness of the fire effect. The size of the apparatus affects the density. A large apparatus with the same density as a small apparatus appears more opaque and brighter because of its larger size. Low values make the effect less opaque and use more of the outer color. High values make the effect more opaque and brighten the effect by gradually replacing the inner color with white. The higher the value, the more white the center of the effect is.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Samples Integer default: 15 -- animatable \n\
</pre></div><p>Sets the rate at which the effect is sampled. Higher values produce more accurate results but take longer to render.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Controls the rate of change for the fire effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Drift Float default: 0.0 -- animatable \n\
</pre></div><p>Sets how flames are rendered along the Z-axis of the fire apparatus. The value is the amount of rise in units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Explosion Integer default: 0 \n\
</pre></div><p>When on, animates size, density, and color automatically based on the animation of the <span class=\'code\'>phase</span> value.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Smoke Integer default: 1 \n\
</pre></div><p>Controls whether or not the explosion creates smoke.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Fire_Effect&gt;.Fury Float default: 1.0 \n\
</pre></div><p>Varies the churning effect of the Phase parameter. Values greater than 1.0 cause faster churning. Values less than 1.0 cause slower churning.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";