var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Atmospheric Effects Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Atmospheric Effects Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"atmospheric-effects-common-properties-operators-and-methods\"></a></div>\n\
<p><strong>Atmospheric Effects</strong> have the following common properties and methods:</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;atmos&gt;.name String default: varies      \n\
</pre></div><p>The name as it appears in the Environment dialog list. The class name is used as the default name when no <span class=\'code\'>name:</span> creation parameter is supplied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;atmos&gt;.numGizmos Integer -- read-only   \n\
</pre></div><p>The number of gizmos <span class=\'code\'>ever</span> assigned to the atmospheric. A gizmo obtained via <span class=\'code\'>.getGizmo</span> may be undefined, meaning a gizmo was added and then deleted. The atmospheric maintains an array of gizmos, and not every slot is necessarily in use. <span class=\'code\'>.numGizmos</span> is the size of the array, not the number of used slots.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>isActive &lt;atmos&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the atmospheric is set to active; false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>getGizmo &lt;atmos&gt; &lt;index_integer&gt; \n\
</pre></div><p>Retrieves the indexed gizmo node from the atmospheric. The gizmo node will be a light or atmospheric helper. The Index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>deleteGizmo &lt;atmos&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed gizmo from the atmospheric.</p>\n\
<div class=\'codeBlock\'><pre>appendGizmo &lt;atmos&gt; &lt;node&gt; \n\
</pre></div><p>Appends the node to the gizmo list on the atmospheric. It must be of the right kind for the atmospheric, lights for volumeLights, helper gizmos for fire_effect, etc.</p>\n\
<div class=\'codeBlock\'><pre>setActive &lt;atmos&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets the atmospheric active or inactive. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> the atmospheric is set to active; if <span class=\'code\'>false</span> , inactive.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` atmos = fire_effect density:20 outer_color:red appendGizmo atmos $SphereGizmo01</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Associated Methods</strong></p>\n\
<p>You can use the following functions for maintaining the list of atmospherics in the global rendering environment:</p>\n\
<div class=\'codeBlock\'><pre>addAtmospheric &lt;atmos&gt; \n\
</pre></div><p>Appends the atmospheric to the Atmospheric Effects list</p>\n\
<div class=\'codeBlock\'><pre>getAtmospheric &lt;index_integer&gt; \n\
setAtmospheric &lt;index_integer&gt; &lt;atmos&gt; \n\
</pre></div><p>Sets the atmospheric at the indexed position in the Atmospheric Effects list to the specified atmospheric. If the Atmospheric Effects dialog is displayed when this method is called, the displayed Atmospheric Effects list is not updated.</p>\n\
<div class=\'codeBlock\'><pre>deleteAtmospheric &lt;index_integer&gt; \n\
</pre></div><p>Deletes the atmospheric at the indexed position in the Atmospheric Effects list. Index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>editAtmosphere &lt;atmos&gt; &lt;node&gt; \n\
</pre></div><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric’s gizmo list.</p>\n\
<div class=\'codeBlock\'><pre>editAtmospheric &lt;atmos&gt; [gizmo: &lt;node&gt;] \n\
</pre></div><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the optional <span class=\'code\'>gizmo:</span> argument is specified, and the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric’s gizmo list.</p>\n\
<p>In <strong>3ds Max 6 and higher,</strong> Calling <span class=\'code\'>editAtmosphere()</span> or <span class=\'code\'>editAtmospheric()</span> without an argument will open the Environment dialog.</p>\n\
<p><strong>System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>numAtmospherics \n\
</pre></div><p>This <strong>3ds Max system global variable</strong> contains the number of atmospheric effects on the Effects list in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>. This variable is read-only.</p>\n\
<p>Note:</p>\n\
<p>Unlike most MAXWrapper objects, you can not copy an Atmospheric.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";