var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RLA : BitmapIO</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RLA : BitmapIO</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rla-bitmapio\"></a></div>\n\
<p>The <strong>RLA BitmapIO</strong> class provides a function published interface for <strong>RLA I/O</strong> that gives access to the settings of the image format to be saved.</p>\n\
<p>As with all FP interfaces, you can access the interface properties directly without explicitly supplying the interface name, for example <span class=\'code\'>rla.colorDepth</span> is the same but shorter than <span class=\'code\'>rla.iRLAio.colorDepth</span></p>\n\
<div class=\'section\'><a id=\"interfaces\"></a><h2 id=\"interfaces\">Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: iRLAio \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.colorDepth : integer : Read|Write   \n\
</pre></div><p>Get/Set the color depth in bits per channel. Possible values are 8, 16 and 32.</p>\n\
<div class=\'codeBlock\'><pre>.alpha : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the saving of alpha channel.</p>\n\
<div class=\'codeBlock\'><pre>.premultAlpha : boolean : Read|Write \n\
</pre></div><p>Enable/Disable premultiplied alpha.</p>\n\
<div class=\'codeBlock\'><pre>.description : string : Read|Write \n\
</pre></div><p>Get/Set the file description string.</p>\n\
<div class=\'codeBlock\'><pre>.author : string : Read|Write \n\
</pre></div><p>Get/Set the author string.</p>\n\
<div class=\'codeBlock\'><pre>.zChannel : boolean : Read|Write \n\
</pre></div><p>Get/Set Z-buffer channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.mtlIDChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable material ID channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.nodeIDChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable node ID channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.uvChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable texture coordinates channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.normalChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable normal vector channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.realpixChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable non-clamped color channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.coverageChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable coverage channel saving.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` x = rla.colorDepth--color depth value of 8, 16, or 32 rla.colorDepth = 16--set color depth to 16 bpp rla.description =&quot;First Revision&quot;--set the file description string rla.author =&quot;Bobo&quot;--set the author name string rla.zChannel = true--enable Z-Buffer saving</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";