var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RPF : BitmapIO</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RPF : BitmapIO</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rpf-bitmapio\"></a></div>\n\
<p>The <strong>RPF BitmapIO</strong> class provides a function published interface for <strong>RPF I/O</strong> that gives access to the settings of the image format to be saved.</p>\n\
<p>As with all FP interfaces, you can access the interface properties directly without explicitly supplying the interface name, for example <span class=\'code\'>rpf.colorDepth</span> is the same but shorter than <span class=\'code\'>rpf.iRPFio.colorDepth</span></p>\n\
<div class=\'section\'><a id=\"interfaces\"></a><h2 id=\"interfaces\">Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: iRPFio \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.colorDepth : integer : Read|Write   \n\
</pre></div><p>Get/Set the color depth in bits per channel. Possible values are 8, 16 and 32.</p>\n\
<div class=\'codeBlock\'><pre>.alpha : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the saving of alpha channel.</p>\n\
<div class=\'codeBlock\'><pre>.premultAlpha : boolean : Read|Write \n\
</pre></div><p>Enable/Disable premultiplied alpha.</p>\n\
<div class=\'codeBlock\'><pre>.description : string : Read|Write \n\
</pre></div><p>Get/Set the file description string.</p>\n\
<div class=\'codeBlock\'><pre>.author : string : Read|Write \n\
</pre></div><p>Get/Set the author string.</p>\n\
<div class=\'codeBlock\'><pre>.zChannel : boolean : Read|Write \n\
</pre></div><p>Get/Set Z-buffer channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.mtlIDChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable material ID channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.nodeIDChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable node ID channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.uvChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable texture coordinates channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.normalChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable normal vector channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.realpixChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable non-clamped color channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.coverageChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable coverage channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.nodeRenderIDChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable node render ID channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.colorChannel: boolean : Read|Write \n\
</pre></div><p>Enable/Disable color channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.transpChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable transparency channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.velocChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable velocity channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.weightChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable sub-pixel weight channel saving.</p>\n\
<div class=\'codeBlock\'><pre>.maskChannel : boolean : Read|Write \n\
</pre></div><p>Enable/Disable sub-pixel mask channel saving.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` x = rpf.colorDepth--color depth value of 8, 16, or 32 rpf.colorDepth = 32--set color depth to 8bpp rpf.description =&quot;Final Rendering&quot;--set the file description string rpf.author =&quot;Da Masta of Pixelz&quot;--set the author name string rpf.zChannel = true--enable Z-Buffer saving</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";