var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Access to Custom Attributes Virtual Array</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Access to Custom Attributes Virtual Array</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"access-to-custom-attributes-virtual-array\"></a></div>\n\
<p>Custom attributes in MAXScript can now be applied to any type of MAX object, including nodes and the scene rootnode. However, the rollouts associated with the custom attributes will only be displayed for materials, modifiers, and base objects.</p>\n\
<p>A <span class=\'code\'>.custAttributes</span> property has been added to MAXWrapper in <strong>3ds Max 5.1</strong>. It contains a virtual array of the custom attributes assigned to the object. Standard array methods and operations can be performed on this virtual array, with the exception of <span class=\'code\'>join</span> and <span class=\'code\'>sort</span>.</p>\n\
<p>The class of the virtual array is <span class=\'code\'>MAXCustAttribArray</span> .</p>\n\
<div class=\'section\'><a id=\"supported-methods\"></a><h2 id=\"supported-methods\">Supported Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>findItem &lt;MAXCustAttribArray&gt; &lt; cust_attrib &gt;    \n\
</pre></div><p>Find the given custom attribute in the supplied virtual array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXCustAttribArray&gt; [&lt; integer &gt; | &lt; cust_attrib_name &gt;]\n\
</pre></div><p>Get a custom attribute by index or name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXCustAttribArray&gt; [&lt; integer &gt; | &lt; cust_attrib_name &gt;] = &lt; cust_attrib &gt;\n\
</pre></div><p>Set a custom attribute by index or name.</p>\n\
<p>Note: NULL/undefined values cannot be stored in a MAXCustAttribArray, so if you perform an indexed write where the index is greater than the number of existing custom attributes, the custom attribute will be appended to the MAXCustAttribArray.</p>\n\
<div class=\'codeBlock\'><pre>append &lt;MAXCustAttribArray&gt; &lt; cust_attrib &gt;   \n\
</pre></div><p>Add a custom attribute to the end of the virtual array.</p>\n\
<div class=\'codeBlock\'><pre>deleteItem &lt;MAXCustAttribArray&gt; (&lt; cust_attrib &gt; | &lt; cust_attrib_name &gt;) \n\
</pre></div><p>Delete a custom attribute from the virtual array by providing the custom attribute or its name.</p>\n\
<p>You can also map across the MAXCustAttribArray.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MAXCustAttribArray&gt;.owner\n\
</pre></div><p>Returns the owner of this custom attribute array. Available in <strong>3ds Max 2019.3 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>isDeleted &lt;MAXCustAttribArray&gt;\n\
</pre></div><p>Returns true if the virtual array is deleted. A MAXCustAttribArray is considered deleted if the owner is deleted.</p>\n\
<div class=\'section\'><a id=\"supported-operators\"></a><h2 id=\"supported-operators\">Supported Operators</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;MAXCustAttribArray&gt; == &lt;MAXCustAttribArray&gt;\n\
&lt;MAXCustAttribArray&gt; != &lt;MAXCustAttribArray&gt;\n\
</pre></div><p>Standard comparison operators. Note that these compare the attribute container, not whether they contain the same elements.</p>\n\
<div class=\'section\'><a id=\"for-example\"></a><h2 id=\"for-example\">For Example:</h2></div>\n\
<div class=\'codeBlock\'><pre>t = teapot()\n\
--&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
cac = t.custAttributes\n\
--&gt; #CustAttribs()\n\
cac.owner\n\
--&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000]\n\
delete t\n\
isDeleted t\n\
--&gt; true\n\
isDeleted cac\n\
--&gt; true\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";