var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Custom Attributes Definition Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Custom Attributes Definition Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"custom-attributes-definition-values\"></a></div>\n\
<p>Attribute definition values have several directly accessible properties:</p>\n\
<div class=\'codeBlock\'><pre>&lt;def&gt;.name \n\
</pre></div><p>Get and set a descriptive name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;def&gt;.version \n\
</pre></div><p>Read-only, the version of the definition.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;def&gt;.source \n\
</pre></div><p>Read-only, the source code for the definition.</p>\n\
<div class=\'codeBlock\'><pre>&lt;def&gt;.defData \n\
</pre></div><p>Get and set the user-supplied def data value</p>\n\
<div class=\'codeBlock\'><pre>&lt;def&gt;.attribID \n\
</pre></div><p>Read-only, a two-element array containing the attribID for the def</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.getDefSource &lt;attrib_def&gt; \n\
</pre></div><p>Returns the source code for the attributes definition as a string.</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.getOwner &lt;attrib_def&gt; \n\
</pre></div><p>Returns the object the custom attribute is applied to.</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.getDefClass &lt;attrib_def&gt; \n\
</pre></div><p>Returns the MAXClass associated with an attrib_def.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.getDefInstances &lt;attrib_def&gt; \n\
</pre></div><p>Returns an array of the MSCustAttrib instances of the attrib_def.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.setDefData &lt;def&gt; &lt;data&gt; \n\
</pre></div><p>Adds user-supplied data to an attributes definition.</p>\n\
<p>The &lt; <span class=\'code\'>data</span> &gt; value supplied here will be stored persistently with the definition and loaded on scene loads containing attribute sets of this definition.</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.getDefData &lt;attrib_def&gt; \n\
</pre></div><p>Returns the saved user-supplied data.</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.getPBlockDefs &lt;attrib_def&gt; \n\
</pre></div><p>These methods return an array containing a runtime readable encoding of all of the parameter block definitions in the custAttributes definition.</p>\n\
<p>The array is presented in the following form:</p>\n\
<div class=\'codeBlock\'><pre>#(&lt;paramblock&gt;, &lt;paramblock2&gt;, ...) \n\
&lt;paramblock&gt; \n\
</pre></div><p>An array of details for one parameter block in this form:</p>\n\
<div class=\'codeBlock\'><pre>#(&lt;name&gt;, &lt;id&gt;, &lt;refno&gt;, &lt;keyword_params&gt;, &lt;parameter1&gt;, &lt;parameter2&gt;, &lt;parameter3&gt;, ....)   &lt;id&gt; \n\
</pre></div><p>The parameter block’s internal ID number</p>\n\
<div class=\'codeBlock\'><pre>&lt;refno&gt; \n\
</pre></div><p>The reference number of the parameter block in the owning plug-in instance</p>\n\
<div class=\'codeBlock\'><pre>&lt;keyword_params&gt; \n\
</pre></div><p>An array of the keyword parameters given on the parameter block definition in the form:</p>\n\
<div class=\'codeBlock\'><pre>#(&lt;keyword&gt;, &lt;value&gt;, &lt;keyword2_name&gt;, &lt;value2&gt;, ...) &lt;Parameter1 to ParameterN \n\
</pre></div><p>Definition details for each parameter in the block in the following form:</p>\n\
<div class=\'codeBlock\'><pre>#(&lt;param_name&gt; &lt;keyword_params&gt;) \n\
&lt;keyword_params&gt; \n\
</pre></div><p>An array containing all of the keyword parameters specified on that parameter&#39;s definition in the cust attrib definition, in the same form as the <span class=\'code\'>&lt;keyword_params&gt;</span> above.</p>\n\
<p>Here is a function that will extract ParameterBlock data from a custom attribute.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` mapped fn custAttribute_showPBlockDefs obj = ( format &quot;%\\n&quot; obj.name for objDef in (custAttributes.getDefs obj) do ( format &quot;\\t%\\n&quot; objDef format &quot;\\tname: %\\n&quot; objDef.name format &quot;\\tattribute id: %\\n&quot; objDef.attribID<br> format &quot;\\tParameter Blocks:&quot; pbArray = custAttributes.getPBlockDefs objdef for a = 1 to pbArray.count do ( itms = pbArray [a]<br> format &quot;\\n\\t\\tname = %\\n&quot; itms[1] format &quot;\\t\\tid = %\\n&quot; itms[2] format &quot;\\t\\towners reference number = %\\n&quot; itms[3] keywordParams = itms[4] format &quot;\\t\\tparameter block keywords:\\n&quot; for x = 1 to keywordParams.Count/2 do ( format &quot;\\t\\t\\t% = %\\n&quot; keywordParams[x] keywordParams[x+1] x = x+1 ) format &quot;\\t\\tparameters:&quot; for y = 5 to itms.Count do ( format &quot;\\n\\t\\t\\t#name = %\\n&quot; itms[y][1] for z = 1 to itms[y][2].Count by 2 do ( format &quot;\\t\\t\\t% = %\\n&quot; itms[y][2][z] itms[y][2][z+1] ) ) ) ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>custAttributes.getSceneDefs () \n\
</pre></div><p>Returns an array of all the attribute definitions in the current scene.</p>\n\
<div class=\'codeBlock\'><pre>custAttributes.deleteDef &lt;attrib_def&gt; \n\
</pre></div><p>Deletes the given attribute definition from the current scene and the current running <strong>3ds Max</strong> session. There must be no objects in the scene containing custom attributes added using this definition.</p>\n\
<p>Note: The name can be obtained via the <span class=\'code\'>.name</span> property.</p>\n\
<p><strong>Next Topic:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Custom-Attributes/Access-to-Custom-Attributes.html\' title=\'\'>Access to Custom Attributes Virtual Array</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";