var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Custom Attributes Version Number Handling</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Custom Attributes Version Number Handling</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"custom-attributes-version-number-handling\"></a></div>\n\
<p>Handling of version numbers when loading scripted custom attributes from scene files was added in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'section\'><a id=\"technical-overview\"></a><h2 id=\"technical-overview\">Technical Overview</h2></div>\n\
<p>The definition of scripted custom attributes is stored in the scene file in the &quot;ScriptedCustAttribDefs&quot; stream, which is read in ILoadImp::LoadDllDir. This is called early in the file load process, immediately before reading in the list of used classes, since the used classes will include the scripted custom attribute classes.</p>\n\
<p>In <strong>3ds Max</strong> versions <strong>prior to 3ds Max 2012</strong>, when reading the scripted custom attributes definitions, if a scripted custom attributes definition did not exactly match an existing definition, the loaded definition was evaluated, which converted <strong>any existing instances</strong> of that scripted custom attribute to the <strong>loaded definition</strong>.</p>\n\
<p>We now want to evaluate the loaded definition only if it <strong>does not exactly match</strong> an existing definition <strong>and</strong> the loaded definition has a <strong>higher version number</strong> than the existing version number.</p>\n\
<p>Since earlier versions of <strong>3ds Max</strong> were always updating the scripted custom attributes definitions to the loaded definitions, they never had to migrate the instances created while loading the scene file to the existing definition, but starting with <strong>3ds Max 2012</strong>, this has to be done.</p>\n\
<p>Note:</p>\n\
<p>Note that the internal logic for migrating was already present, since the same process is performed for scripted plugins.</p>\n\
<p>However, to do this migration requires data loaded from the &quot;Config&quot; stream, which hasn&#39;t been read yet.</p>\n\
<p><strong>Loading order in versions prior to 3ds Max 2012:</strong></p>\n\
<ol>\n\
<li>Load ScriptedCustAttribDefs, updating current instances to loaded defs</li>\n\
<li>Load reference hierarchy</li>\n\
<li>Run postload callbacks</li>\n\
<li>Load config data, which includes the MAXScript data containing the pb2 definitions for scripted plugins</li>\n\
<li>Run postload callbacks, which will migrate scripted plugin paramblocks to the current scripted plugin definitions</li>\n\
</ol>\n\
<p>Note that in some cases, <strong>scene evaluations</strong> can occur at <strong>step 3</strong>. If those evaluations include the evaluation of the scripted plugin,** errors could occur** because at that point their param blocks may not correspond to the scripted plugin definitions.</p>\n\
<p><strong>Loading order since 3ds Max 2012:</strong></p>\n\
<ol>\n\
<li>Load ScriptedCustAttribDefs, updating current instances to loaded defs <strong>if loaded def are newer version</strong>.</li>\n\
<li>Load reference hierarchy</li>\n\
<li><strong>Load part of the config data</strong> - the MAXScript data containing the pb2 definitions for scripted plugins</li>\n\
<li>Run postload callbacks, which will migrate scripted plugin paramblocks to the current scripted plugin definitions</li>\n\
<li><strong>Load remaining config data</strong> - excludes the MAXScript data containing the pb2 definitions for scripted plugins</li>\n\
<li>Run postload callbacks.</li>\n\
</ol>\n\
<p>Note that if you <strong>evaluate</strong> a scripted custom attribute definition (or a scripted plugin definition), the evaluated definition is <strong>always used </strong>regardless of the version number of a previously existing definition.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";