var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Mesh Modify Panel Command Modes and Operations</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Mesh Modify Panel Command Modes and Operations</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_mesh-modify-panel-command-modes-and-operations\"></a></div>\n\
<p>A suite of methods provide the ability for a script to invoke Editable Mesh and Edit Mesh Modify panel modes and operations, corresponding to buttons available at various mesh sub-object levels. These methods reside in the <span class=\'code\'>meshOps</span> global structure. These methods effectively &quot;push the button&quot; in the <strong>3ds Max</strong> Modify panel. In order to use these methods, the node must be selected and the Modify panel open. In the description of these methods, the first argument <span class=\'code\'>&lt;editable_mesh_node_or_modifier&gt;</span> should be interpreted as either an Editable Mesh node where the modifier stack level is at the base object, or an Edit Mesh modifier where the modifier stack level is at the Edit Mesh. In all cases, the following methods work at the current sub-object level, but only if that level is appropriate for the invoked operation.</p>\n\
<blockquote>\n\
<p>Note: This page describes the meshOps structure related to controlling the Modify Panel command modes and operations.For methods directly manipulating <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Vertex-Methods.html\' title=\'\'>vertex</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Edge-Methods.html\' title=\'\'>edge</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\' title=\'\'>face</a> data, please see the meshOp structure and the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a> topic!</p>\n\
</blockquote>\n\
<p>If you have made scripted changes to the mesh you <strong>must</strong> call the <span class=\'code\'>update()</span> method on the mesh before calling these methods. You do not need to call <span class=\'code\'>update()</span> after just calling one of these methods, as <strong>3ds Max</strong> will take care of updating the mesh.</p>\n\
<p>The following methods invoke one of the &#39;user-interaction&#39; button operations in the Editable Mesh Modify panel, acting on the currently selected sub-objects. These methods highlight the corresponding button in the Edit Geometry rollout and start the operation, at which point the user interactively completes the operation. These methods return after starting the operation, and before the user completes the operation, so care should be taken to ensure that your script does not interfere with the operation. Invoking any of these methods is the same as clicking on the associated button in the Modify panel. Calling a method when the operation is already in effect (either due to a user action or a MAXScript command) causes the operation to be terminated and the highlight is removed from the button.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startAttach &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Attach&quot; command mode - valid in Vertex, Face, Polygon, and Element Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startBevel &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Bevel&quot; command mode - valid in Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startChamfer &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Chamfer&quot; command mode - valid in Vertex and Edge Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startCreate &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Create&quot; command mode, valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startCut &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Cut&quot; command mode - valid in Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startDivide &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Divides selected edges into 2 edges, for selected face into 3 faces - valid in Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startExtrude &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Extrude&quot; command mode - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startFlipNormalMode &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Flip Normal&quot; command mode - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startSlicePlane &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Slice Plane&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startTurn &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Turn&quot; command mode - valid in Edge Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.startWeldTarget &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Weld Target&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<p><strong>The following methods invoke one of the &#39;instantaneous&#39; button operations in the Editable Mesh Modify panel, acting on the currently selected sub-objects:</strong></p>\n\
<div class=\'codeBlock\'><pre>meshOps.autoEdge &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Automatically sets the edge visibility on the selected sub-objects - valid in Edge Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.break &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Creates a new vertex for each face attached to the selected sub-objects - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.collapse &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Collapses the selected sub-objects - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.createShapeFromEdges &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Displays Create Shape dialog allowing the user to specify an object name, shape type, and whether to ignore hidden edges. Valid in Edge Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.delete &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Deletes the selected sub-objects - valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.detach &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Displays Detach dialog allowing the user to specify an object name or to detach as element, and whether to clone the selected subobjects. Valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.explode &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Displays Explode to Objects dialog allowing the user to specify an object name.Explodes the selected faces into multiple elements or objects based on the angles of its edges. Valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.flipNormal &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Flips the normal of the selected faces - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.gridAlign &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Aligns the selected sub-objects to the construction plane - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.hide &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Hides the selected sub-objects - valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.invisibleEdge &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Sets selected edges invisible.Valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.makePlanar &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Forces all selected sub-objects to become coplanar - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.removeIsolatedVerts &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Deletes all isolated vertices in the object regardless of the current selection.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.selectOpenEdges &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Selects all edges with only one face. Valid in Edge Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.slice &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Subdivides edges and faces based on Slice Plane. <span class=\'code\'>meshOps.startSlicePlane()</span> must be called to enter the &quot;Slice Plane&quot; command mode before <span class=\'code\'>slice</span> is valid. Valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.tessellate &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Tessellates the selected sub-objects - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.unhideAll &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Unhides the hidden sub-objects at the current Sub-Object level - valid in Vertex, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.unifyNormal &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Unifies the normals of the selected faces - valid in Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.viewAlign &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Aligns all selected sub-objects to the 0,0,0 plane of the active viewport - valid in Vertex, Edge, Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.visibleEdge &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Sets selected edges visible.Valid in Edge Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.weld &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Welds the selected vertices - valid in Vertex Sub-Object level.</p>\n\
<p>The <span class=\'code\'>meshOps</span> methods depend on the Modify panel being open and the desired object, either an Editable Mesh base object or Edit Mesh modifier, being currently open in the panel. The <span class=\'code\'>meshOps</span> methods do not perform any operation if these conditions aren&#39;t met. You will need to use MAXScript functions like <span class=\'code\'>max modify mode</span> or <span class=\'code\'>setCommandPanelTaskMode mode:#modify</span> to open the Modify panel, <span class=\'code\'>select &lt;obj&gt;</span> to select the object, <span class=\'code\'>subObjectLevel = &lt;n&gt;</span> to set the Sub-Object level, and <span class=\'code\'>modPanel.setCurrentObject &lt;obj_or_modifier&gt;</span> to establish the right context for the new functions to operate. For example:</p>\n\
<div class=\'codeBlock\'><pre>meshOps.clearAllSG &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Clears all smoothing group assignments for the selected items. Valid in Face, Polygon and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.selectBySG &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Opens the &quot;Select By Smooth Groups&quot; dialog. Valid in Face, Polygon and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.selectByColor &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Selects vertices by color, which is specified in the &quot;Select Vertices By&quot; panel. Valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.showNormal &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Toggles the &quot;Show Normals&quot; checkbox in the Selection panel. Valid for Vertex, Face, Polygon and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.autoSmooth &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Applies auto-smooth to the selected items on the mesh. Equivalent to clicking &quot;Auto Smooth&quot; under &quot;Smoothing Groups&quot;. Valid for Face, Polygon, and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.selectByID &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Selects sub-objects by material ID. This is the same as selecting &quot;Select ID&quot; under Surface Properties. If there is a selection, the material ID of the current selection is used, otherwise the default material ID of 1 is selected. Valid for Face, Polygon and Element Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>meshOps.attachList &lt;editable_mesh_node_or_modifier&gt;\n\
</pre></div><p>Opens the &quot;Attach List&quot; dialog, to perform an attach operation on a selected list of scene nodes. Only valid in Object level.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` s=sphere() -- create a sphere ConvertToMesh s -- convert to an Editable Mesh s.selectedfaces=#{1..112} -- select half the faces max modify mode -- open the Modify panel select s -- select the sphere modPanel.setCurrentObject s -- set modifier stack to the base object -- (not really needed in this example) subObjectLevel = 4 -- set Sub-Object level to polygon meshOps.startExtrude s -- start the face extrude command mode, -- highlighting its button in the Edit -- Geometry rollout, at which point the -- user interactively performs the extrude.</p>\n\
<p>```</p>\n\
<p><strong>ANOTHER EXAMPLE IS</strong></p>\n\
<p>``` meshOps.Hide (modPanel.getCurrentObject())</p>\n\
<p>```</p>\n\
<p>which would invoke the Hide button operation on the current object open in the Modify panel if it was an Edit Mesh modifier or Editable Mesh base object.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";