var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mesh Color-Per-Vertex Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mesh Color-Per-Vertex Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mesh-color-per-vertex-methods\"></a></div>\n\
<p>The following methods provide basic access to the Color Per Vertex channel.</p>\n\
<p>Note: When MAXScript was first introduced in <strong>3ds Max 2</strong>, there were only two mapping channels, with Channel 0 being used to store either color information or a second texture coordinates channel.For generalized access to all map channels, you should consider using the methods described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-General-Mapping-Methods.html\' title=\'\'>Meshop General Mapping Methods</a>.</p>\n\
<p><strong>For legacy methods providing access only to the Texture Channel 1, see also</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Texture-Vertex-Methods.html\' title=\'\'>Mesh Texture Vertex Methods</a></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>getNumCPVVerts &lt;mesh&gt;\n\
</pre></div><p>Returns number of Color-Per-Vertex vertices as an integer, equivalent to using <span class=\'code\'>&lt;node&gt;.numcpvverts</span></p>\n\
<div class=\'codeBlock\'><pre>setNumCPVVerts &lt;mesh&gt; &lt;integer&gt; [ &lt;boolean&gt; ]\n\
</pre></div><p>Sets the number of Color-Per-Vertex vertices. If the optional boolean argument is <span class=\'code\'>true</span> , the existing topology remains intact. If it is <span class=\'code\'>false</span> or not supplied, the topology is lost.</p>\n\
<p>When setting the number of CPV vertices using the <span class=\'code\'>numCPTVerts</span> property or <span class=\'code\'>setNumCPVVerts</span> method, the new verts are initialized to [0.,0.,0.]</p>\n\
<div class=\'codeBlock\'><pre>buildVCFaces &lt;mesh&gt; [ &lt;boolean&gt; ]\n\
</pre></div><p>Builds the Color-Per-Vertex face array after you have set the c-p-v vertex count. If the optional boolean argument is <span class=\'code\'>true</span> , the existing topology remains intact. If it is <span class=\'code\'>false</span> or not supplied, the topology is lost.</p>\n\
<div class=\'codeBlock\'><pre>defaultVCFaces &lt;mesh&gt;\n\
</pre></div><p>Sets the number of Color-Per-Vertex vertices and Color-Per-Vertex faces to match exactly the current mesh&#39;s geometry and topology and calls <span class=\'code\'>buildVCFaces()</span></p>\n\
<div class=\'codeBlock\'><pre>getVertColor &lt;mesh&gt; &lt;CPVvert_index_integer&gt;\n\
</pre></div><p>Returns the color of the indexed Color-Per-Vertex vertex as a color.</p>\n\
<div class=\'codeBlock\'><pre>setVertColor &lt;mesh&gt; &lt;CPVvert_index_integer&gt; &lt;color&gt;\n\
</pre></div><p>Sets the color of the indexed Color-Per-Vertex vertex.</p>\n\
<div class=\'codeBlock\'><pre>getVCFace &lt;mesh&gt; &lt;CPVface_index_integer&gt;\n\
</pre></div><p>Returns the topology for the indexed Color-Per-Vertex face as a point3 containing 3 Color-Per-Vertex vertex indexes.</p>\n\
<div class=\'codeBlock\'><pre>setVCFace &lt;mesh&gt; &lt;CPVface_index_integer&gt; &lt;CPVvert_indices_point3&gt;\n\
</pre></div><p>Sets the indexed Color-Per-Vertex face topology from a point3 containing 3 Color-Per-Vertex vertex indexes.</p>\n\
<div class=\'codeBlock\'><pre>setVCFace &lt;mesh&gt; &lt;CPVface_index_integer&gt; &lt;CPVvert_index_integer&gt; &lt;CPVvert_index_integer&gt; &lt;CPVvert_index_integer&gt;\n\
</pre></div><p>The Color-Per-Vertex vertex and face indexes are 1-based as with other mesh indexes in MAXScript. Remember that you need to call <span class=\'code\'>update()</span> on the mesh after making changes to it for the changes to be reflected in the scene.</p>\n\
<p>Note:</p>\n\
<p>The mesh class contains a list of color vertices which are completely independent of the regular vertices in the mesh. There is no correlation between the number of vertices in a mesh and the number of color vertices. In addition to the color vertices there are also color faces. There needs to be one color face for every regular face in the mesh. For details, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Understanding-Texture.html\' title=\'\'>Understanding Texture Coordinatesand Vertex Colors</a> topic.</p>\n\
<p>Each color face has three indices into the color vertex array. The coordinates of a color vertex are RGB coordinates, and are accessed as Color values.</p>\n\
<p>The techniques for building and accessing color vertices and faces is virtually identical to the techniques for building and accessing texture vertices and faces. An example script for creating planar texture mapping on an object is shown in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Working-with-Editable-Meshes-1.html\' title=\'\'>Working with Editable Meshes</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";