var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mesh Edge Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mesh Edge Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mesh-edge-methods\"></a></div>\n\
<p>The following methods provide basic access to the mesh edges.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"edge-visibility\"></a><h2 id=\"edge-visibility\">Edge Visibility</h2></div>\n\
<div class=\'codeBlock\'><pre>getEdgeVis &lt;mesh&gt; &lt;face_index_integer&gt; &lt;edge_index_integer&gt;\n\
</pre></div><p>Returns the edge visibility for given edge (1,2,3) on indexed face as a boolean.</p>\n\
<div class=\'codeBlock\'><pre>setEdgeVis &lt;mesh&gt; &lt;face_index_integer&gt; &lt;edge_index_integer&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the edge visibility for given edge (1,2,3) on indexed face.</p>\n\
<div class=\'section\'><a id=\"edge-selection\"></a><h2 id=\"edge-selection\">Edge Selection</h2></div>\n\
<div class=\'codeBlock\'><pre>getEdgeSelection &lt;node&gt; [&lt;modifier_or_index&gt;] [name:&lt;name&gt; ]\n\
getEdgeSelection &lt;mesh&gt;\n\
</pre></div><p>Retrieves the edge selection set, or the specified named selection set if the optional <span class=\'code\'>name:</span> parameter is specified, as a BitArray. See the <span class=\'code\'>getVertSelection()</span> method for more information.</p>\n\
<div class=\'codeBlock\'><pre>setEdgeSelection &lt;node&gt; [&lt;modifier_or_index&gt;] ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [name:&lt;name&gt; ] [keep:&lt;boolean&gt; ]\n\
setEdgeSelection &lt;mesh&gt; ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [keep:&lt;boolean&gt; ]\n\
</pre></div><p>Sets the edge selections in an Editable Mesh base object, Mesh Select modifier, Edit Mesh Modifier, Poly Select Modifier, or TriMesh. This mirrors the selection getting method above. See the <span class=\'code\'>setVertSelection()</span> method for more information.</p>\n\
<div class=\'codeBlock\'><pre>deselectHiddenEdges &lt;mesh&gt;\n\
</pre></div><p>Deselects the hidden edges in the mesh. This method is not applicable to TriMeshes.</p>\n\
<p>Note: <strong>3ds Max</strong> defines an edge as the edge of a face. In any mesh object, the number of edges is 3 times the number of faces. A face has 3 vertices, and the face edges connect these vertices. Edges 1, 2, and 3 are the edges between vertices 1 and 2, 2 and 3, and 3 and 1, respectively. The first edge in a mesh is edge 1 on face 1, and the last edge is edge 3 on the last face. The following script selects all of the visible edges in the specified mesh:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` obj = convertToMesh (Sphere()) -- Create a Sphere, turn to EMesh obj.allEdges = true -- Show all edges select obj -- Select the mesh max modify mode -- Switch to Modify panel subObjectLevel = 2 -- Set Sub-Object level to Edge edgeSelSet=#() -- Init. an Array for face = 1 to obj.numfaces do -- Go through all faces for edge = 1 to 3 do -- And for every of the 3 edges if (getedgevis obj face edge) do -- If the visibility is true, append edgeSelSet (((face-1)*3)+edge) --collect the edge setedgeselection obj edgeSelSet -- Select all visible edges</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-60A1BF8D-6DF4-410C-9D1E-A0190255D55F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-01EC9C1F-80B5-474D-9EBD-E6D1053C3110-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<p>The following function returns the indices of the 2 vertices that define an edge as a Point2 value. The two arguments to the function are an editable mesh node or TriMesh value and the edge index. A value of <span class=\'code\'>undefined</span> is returned if the first argument isn&#39;t an editable mesh node or TriMesh value, or if the edge index is out of range.</p>\n\
<blockquote>\n\
<p><strong>FUNCTION</strong></p>\n\
<p>``` fn edgeVerts theObj theEdge = ( if not (classof theObj == Editable_mesh or classof theObj == triMesh) do return undefined if theEdge &lt; 1 or theEdge &gt;(theObj.numfaces*3) do return undefined local theFace = ((theEdge-1)/3)+1 local theVerts = getFace theObj theFace case ((mod (theEdge-1)3) as integer) of ( 0: point2 theVerts.x theVerts.y 1: point2 theVerts.y theVerts.z 2: point2 theVerts.z theVerts.x ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";