var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mesh Face Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mesh Face Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mesh-face-methods\"></a></div>\n\
<p>The following methods provide basic access to the mesh faces.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"face-number\"></a><h2 id=\"face-number\">Face Number</h2></div>\n\
<div class=\'codeBlock\'><pre>getNumFaces &lt;mesh&gt;\n\
</pre></div><p>Returns number of faces as an integer, equivalent to using <span class=\'code\'>&lt;mesh&gt;.numfaces</span></p>\n\
<div class=\'codeBlock\'><pre>setNumFaces &lt;mesh&gt; &lt;face_index_integer&gt; [ &lt;boolean&gt; ]\n\
</pre></div><p>Set the number of faces as specified. If the optional boolean argument is true, the existing topology remains intact. If it is false or left off, the topology is lost.</p>\n\
<p>For all new faces, the following occurs:</p>\n\
<ul>\n\
<li><p>Smoothing group set to 1</p></li>\n\
<li><p>Vertices are set to [1,1,1] (1-based, if # verts is 0 at update, you will crash. It is expected at this point)</p></li>\n\
<li><p>Material ID is set to 1 (1-based)</p></li>\n\
<li><p>For each map channel in use:</p>\n\
<ul>\n\
<li><p>the map face verts are set to [1,1,1]</p></li>\n\
<li><p>if keep is false, the number of map verts is set to 1 its verts are set to [1,1,1] (1-based)</p></li>\n\
</ul></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"get-and-set-face\"></a><h2 id=\"get-and-set-face\">Get and Set Face</h2></div>\n\
<div class=\'codeBlock\'><pre>getFace &lt;mesh&gt; &lt;face_index_integer&gt;\n\
</pre></div><p>Returns the face vertex indexes for the indexed face as a point3. Each component of the point3 value contains a vertex index.</p>\n\
<div class=\'codeBlock\'><pre>setFace &lt;mesh&gt; &lt;face_index_integer&gt; &lt;vert_indices_point3&gt;\n\
</pre></div><p>Sets the face vertex indexes for the indexed face from a point3.</p>\n\
<div class=\'codeBlock\'><pre>setFace &lt;mesh&gt; &lt;face_index_integer&gt; &lt;vert_index_integer&gt; &lt;vert_index_integer&gt; &lt;vert_index_integer&gt;\n\
</pre></div><p>Sets the face vertex indexes for the indexed face from 3 vertex indexes.</p>\n\
<div class=\'section\'><a id=\"delete-and-collapse-face\"></a><h2 id=\"delete-and-collapse-face\">Delete And Collapse Face</h2></div>\n\
<div class=\'codeBlock\'><pre>deleteFace &lt;mesh&gt; &lt;face_index_integer&gt;\n\
</pre></div><p>Deletes indexed face from the mesh. Renumbers faces accordingly.</p>\n\
<div class=\'codeBlock\'><pre>collapseFace &lt;mesh&gt; &lt;face_index_integer&gt;\n\
</pre></div><p>Deletes indexed face from the mesh, welding its 3 vertices together at the center of the original face. Renumbers faces accordingly.</p>\n\
<div class=\'section\'><a id=\"face-normal\"></a><h2 id=\"face-normal\">Face Normal</h2></div>\n\
<div class=\'codeBlock\'><pre>getFaceNormal &lt;mesh&gt; &lt;face_index_integer&gt;\n\
</pre></div><p>Returns the normal of the indexed face as a point3.</p>\n\
<div class=\'codeBlock\'><pre>setFaceNormal &lt;mesh&gt; &lt;face_index_integer&gt; &lt;point3&gt;\n\
</pre></div><p>Sets the indexed face&#39;s normal vector. As soon as you run <span class=\'code\'>update()</span> on the mesh, this value is overwritten.</p>\n\
<div class=\'section\'><a id=\"face-material-id\"></a><h2 id=\"face-material-id\">Face Material ID</h2></div>\n\
<div class=\'codeBlock\'><pre>getFaceMatID &lt;mesh&gt; &lt;face_index_integer&gt;\n\
</pre></div><p>Returns the indexed face&#39;s material ID as an integer.</p>\n\
<div class=\'codeBlock\'><pre>setFaceMatID &lt;mesh&gt; &lt;face_index_integer&gt; &lt;integer&gt;\n\
</pre></div><p>Sets the indexed face&#39;s material ID.</p>\n\
<div class=\'section\'><a id=\"face-smoothing-groups\"></a><h2 id=\"face-smoothing-groups\">Face Smoothing Groups</h2></div>\n\
<div class=\'codeBlock\'><pre>getFaceSmoothGroup &lt;mesh&gt; &lt;face_index_integer&gt;\n\
</pre></div><p>Returns the indexed face&#39;s smoothing groups as a 32-bit integer. There are 32 possible smoothing groups. Each bit in the returned value corresponds to a smoothing group. If a bit is turned on, the face is part of that smoothing group. You can retrieve the list of smoothing groups for a face as a BitArray using the following function:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` fn getFaceSmoothGroupB obj face = ( local sgroup_val=getFaceSmoothGroup obj face local sg_bitarray=#{} if sgroup_val &lt; 0 do ( sg_bitarray[32]=true sgroup_val -= 2^31 ) for i = 1 to 31 do ( sg_bitarray[i]= (mod sgroup_val 2 &gt; .5) sgroup_val /= 2 ) sg_bitarray )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>setFaceSmoothGroup &lt;mesh&gt; &lt;face_index_integer&gt; &lt;smoothing_group_integer&gt;\n\
</pre></div><p>Sets the indexed face&#39;s smoothing groups. If you have a face&#39;s desired smoothing groups as a BitArray, you could set the face&#39;s smoothing group data using the following function:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` fn setFaceSmoothGroupB obj face sg_bitarray = ( local sgroup_val=0 for i in sg_bitarray do sgroup_val += 2^(i-1) setFaceSmoothGroup obj face sgroup_val update obj )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"face-selection\"></a><h2 id=\"face-selection\">Face Selection</h2></div>\n\
<div class=\'codeBlock\'><pre>getFaceSelection &lt;node&gt; [ &lt;modifier_or_index&gt; ] [name:&lt;name&gt; ]\n\
\n\
getFaceSelection &lt;mesh&gt;\n\
</pre></div><p>Retrieves the face selection set, or the specified named selection set if the optional <span class=\'code\'>name:</span> parameter is specified, as a BitArray. See the <span class=\'code\'>getVertSelection()</span> method for more information.</p>\n\
<div class=\'codeBlock\'><pre>setFaceSelection &lt;node&gt; [ &lt;modifier_or_index&gt; ] ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [name:&lt;name&gt; ] [keep:&lt;boolean&gt; ]\n\
\n\
setFaceSelection &lt;mesh&gt; ( &lt;sel_bitarray&gt; | &lt;sel_array&gt; ) [keep:&lt;boolean&gt; ]\n\
\n\
</pre></div><p>Sets the face selections in an Editable Mesh base object, Mesh Select modifier, Edit Mesh modifier, Poly Select Modifier, or TriMesh. This mirrors the selection getting method above. See the <span class=\'code\'>setVertSelection()</span> method for more information.</p>\n\
<div class=\'codeBlock\'><pre>deselectHiddenFaces &lt;mesh&gt;\n\
</pre></div><p>Deselects the hidden faces in the mesh. This method is not applicable to TriMeshes.</p>\n\
<div class=\'section\'><a id=\"extrude-face\"></a><h2 id=\"extrude-face\">Extrude Face</h2></div>\n\
<div class=\'codeBlock\'><pre>extrudeFace &lt;mesh&gt; ( &lt;index&gt; | &lt;bitarray&gt; | &lt;integer_array&gt; | #selection) &lt;amount&gt; &lt;scale&gt; [dir:(&lt;point3&gt; | #common | #independent) ]\n\
</pre></div><p>Provides capabilities equivalent to the Extrude Face modifier. This function works only on Editable Mesh nodes. The second argument defines which faces to extrude, either a single face index, a BitArray of face indexes, an integer array of face indexes, or the name literal <span class=\'code\'>#selection</span> meaning the current face selection in the Editable Mesh. The <span class=\'code\'>&lt;amount&gt;</span> argument specifies the extrude distance and the <span class=\'code\'>&lt;scale&gt;</span> specifies a % amount to scale each face cluster.</p>\n\
<p>If the optional <span class=\'code\'>dir:</span> keyword argument is not specified, face clusters are extruded by moving their vertices independently along the average normal at each vertex, as does the Extrude Face modifier. If it is specified, it can be a point3 giving a direction vector in which <strong>all</strong> vertices are moved, or it can be the value <span class=\'code\'>#independent</span> which is the same as the default direction, or it can be the value <span class=\'code\'>#common</span> which extrudes face clusters along the average normal of all the face normals in each cluster. <span class=\'code\'>#common</span> is equivalent to the Group Normal option in EditableMesh, and <span class=\'code\'>#independent</span> is equivalent to the Local Normal option.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` s=sphere() convertToMesh s extrudeface s #{1..16} 10 100 dir:#independent update s</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-75ACDCB4-DB76-46E7-BF9B-861C3656DCD4-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";