var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Meshop Edge Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Meshop Edge Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"meshop-edge-methods\"></a></div>\n\
<p>The following methods exposed by the meshOp Struct provide advanced access to the mesh edges.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"chamfer-extrude-collapse-edges\"></a><h2 id=\"chamfer-extrude-collapse-edges\">Chamfer, Extrude, Collapse Edges</h2></div>\n\
<div class=\'codeBlock\'><pre> meshop.chamferEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; &lt;float amount&gt; \n\
\n\
</pre></div><p>Chamfers the specified edges by the specified amount.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = Box() convertToMesh obj meshop.chamferEdges obj #{7,8,11,14,17} 5 update obj</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\' title=\'\'> <img src=\'developer/images/GUID-6640AE60-C9A8-4F88-AEB3-2B72B71ED6BA-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.extrudeEdges&lt;Mesh mesh&gt; &lt;edgelist&gt; &lt;float height&gt; dir:&lt;{&lt;point3 dir&gt; | #independent | #common}=#independent&gt; node:&lt;node=unsupplied&gt;   \n\
</pre></div><p>Creates new edges corresponding to the specified edges, and then moves the new edges by <span class=\'code\'>&lt;height&gt;</span>.</p>\n\
<p>The direction the edges are moved is determined by <span class=\'code\'>&lt;dir&gt;</span>. If <span class=\'code\'>&lt;dir&gt;</span> is a point3 value, the edges will be moved in that direction. (If <span class=\'code\'>&lt;mesh&gt;</span> is a node, or if <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is specified, the direction is in the current coordinate system context. If <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is not specified, the direction is in the mesh&#39;s local coordinate system.)</p>\n\
<p>If <span class=\'code\'>dir:#independent</span> is specified, the edges are moved based on the normals of the faces using the edge. If <span class=\'code\'>dir:#common</span> is specified, the edges are moved based on the normals of the face clusters using the edge.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = Box() --create a Box convertToMesh obj --collapse to EMesh meshop.extrudeEdges obj #{5,7,14,17} 10.0 --extrude edges update obj --update the mesh addmodifier obj (normalmodifier unify:true) --unify normals addmodifier obj (smooth auto:true) --auto-smooth convertToMesh obj --collapse to EMesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\' title=\'\'> <img src=\'developer/images/GUID-20843FED-C5BD-4F9A-A343-E4B47F29E93B-low.gif\' title=\'\'> <img src=\'developer/images/GUID-EDC7831E-2246-48CF-94B9-10522C4D8911-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.collapseEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; \n\
</pre></div><p>Collapses the specified edges.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = Box() convertToMesh obj meshop.collapseEdges obj #{14,17} update obj</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\' title=\'\'> <img src=\'developer/images/GUID-A91EACED-BB71-46AE-832B-D57E8C6AB32E-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"clone-and-delete-edges\"></a><h2 id=\"clone-and-delete-edges\">Clone and Delete Edges</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.cloneEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; \n\
</pre></div><p>Clones the specified edges.</p>\n\
<div class=\'codeBlock\'><pre>meshop.deleteEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; delIsoVerts:&lt;boolean=true&gt; \n\
</pre></div><p>Deletes the specified edges.</p>\n\
<p>If <span class=\'code\'>delIsoVerts:</span> is <span class=\'code\'>true</span> , any isolated vertices are deleted.</p>\n\
<div class=\'section\'><a id=\"divide-edges\"></a><h2 id=\"divide-edges\">Divide Edges</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.divideEdge &lt;Mesh mesh&gt; &lt;int edgeIndex&gt; &lt;float edgef&gt; visDiag1:&lt;boolean=false&gt; visDiag2:&lt;boolean=false&gt; fixNeighbors:&lt;boolean=true&gt; split:&lt;boolean=false&gt; \n\
</pre></div><p>Divides the specified edge at a fractional distance of <span class=\'code\'>&lt;edgef&gt;</span> along its length.</p>\n\
<p><span class=\'code\'>visDiag1:</span> and <span class=\'code\'>visDiag2:</span> specify whether each of the two new edges will be visible.</p>\n\
<p>If <span class=\'code\'>fixNeighbors:</span> is <span class=\'code\'>true</span> , the face on the other side of this edge, that is, the &quot;reverse face&quot;, should be divided as well to prevent the introduction of a seam.</p>\n\
<p>If <span class=\'code\'>split:</span> is <span class=\'code\'>true</span> , separate vertices for the two halves of the edge will be created, splitting the mesh open along the diagonal(s).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = Box() --create a Box convertToMesh obj --collapse to EMesh meshop.divideEdge obj 5 0.33 --divide bottom edge at 1/3 meshop.divideEdge obj 5 0.5 --divide remaining 2/3 at half -&gt; 2 * 1/3 update obj --update the mesh obj.vertexTicks = True --show the vertices obj.allEdges=True --show all edges</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\' title=\'\'> <img src=\'developer/images/GUID-456BF80D-A037-432D-A95F-B9FF7B13FABE-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.divideEdges &lt;Mesh mesh&gt; &lt;edgelist&gt; \n\
</pre></div><p>Divides all the specified edges in half, creating new points and subdividing faces.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = Box() --create a Box convertToMesh obj --collapse to EMesh meshop.divideEdges obj #{5,7,14,17} --divide edges update obj --update the mesh obj.vertexTicks = True --show the vertices obj.allEdges=True --show all edges</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\' title=\'\'> <img src=\'developer/images/GUID-71320A8B-0541-4912-9C95-639E83092AD8-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.edgeTessellate &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float tension&gt; \n\
</pre></div><p>Tessellates the specified edges. This algorithm is exactly the one used in the Tessellate modifier, when operating on Faces and Edge SO elements.</p>\n\
<p><span class=\'code\'>&lt;tension&gt;</span> specifies the tension for the edge tessellation. This value should be fairly small, between 0 and .5, and corresponds to the value in the Tessellate, Edit Mesh, or Editable Mesh UI&#39;s divided by 400.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = Box() --create a Box convertToMesh obj --collapse to EMesh meshop.EdgeTessellate obj #{5,6} 0.0 --tessellate faces based on edges update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-53A7A749-CC5F-47FB-9822-E6FCDE9CD000-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BD81DA94-3222-492F-848C-5B4A4E449614-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.turnEdge &lt;Mesh mesh&gt; &lt;int edgeIndex&gt; \n\
</pre></div><p>Turns the specified edge. Only works on edges that have a face on both sides. These two faces are considered as a quad, where this edge is the diagonal, and remapped so that the diagonal flows the other way, between the vertices that were opposite this edge on each face.</p>\n\
<div class=\'section\'><a id=\"get-a-using-b...\"></a><h2 id=\"get-a-using-b...\">Get A Using B...</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getVertsUsingEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; \n\
</pre></div><p>Returns a bitarray of size=(#vertices in <span class=\'code\'>mesh</span>) with bits set for all vertices that are used by the specified edges.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript Edge2VertSel category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1]--get selected object edgeSel = getEdgeSelection obj --get selected Edges --get Verts of selected Edges: vertsSel = meshop.getVertsUsingEdge obj edgeSel setVertSelection obj vertsSel --select the Verts max modify mode --switch to Modify panel subObjectLevel =1--set Vertex SO level ) --end on ) --end macro</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-A54F821D-D434-4B89-9373-1BC1C51A559F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E46E01DA-C31E-4722-A911-2540960C2A0B-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.getFacesUsingEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; \n\
</pre></div><p>Returns a bitarray of size=(#faces in <span class=\'code\'>mesh</span>) with bits set for all faces that use the specified edges.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript Edge2FaceSel category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1] --get selected object edgeSel = getEdgeSelection obj --get selected Edges --get Faces of selected Edges: faceSel = meshop.getFacesUsingEdge obj edgeSel setFaceSelection obj faceSel --select the Faces maxmodify mode --switch to Modify panel subObjectLevel =3 --set Face SO level ) --end on ) --end macro</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-A54F821D-D434-4B89-9373-1BC1C51A559F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E603E662-11BC-4DDA-A23C-17F76BBB315F-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.getPolysUsingEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; ignoreVisEdges:&lt;boolean=false&gt; threshhold:&lt;float=45.&gt; \n\
</pre></div><p>Returns a bitarray of size equal to the number of faces in <span class=\'code\'>mesh</span> with bits set for all faces that are in &#39;polygons&#39; containing the specified edges.</p>\n\
<p>The definition of a polygon is all faces sharing invisible edges with edge angles below the threshhold angle. The default threshhold angle is 45 degrees.</p>\n\
<p>If <span class=\'code\'>ignoreVisEdges:</span> is set to <span class=\'code\'>true</span> , the edge visibility is ignored but the threshhold is still relevant.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript Edge2PolySel category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1] --get selected object edgeSel = getEdgeSelection obj --get selected Edges --get Polygons of selected Edges: faceSel = meshop.getPolysUsingEdge obj edgeSel setFaceSelection obj faceSel --select the Faces max modify mode --switch to Modify panel subObjectLevel =4 --set Polygon SO level ) --end on ) --end macro</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-A54F821D-D434-4B89-9373-1BC1C51A559F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-F1B5D05F-CFA8-4270-B8FA-67707273BE9D-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.getEdgesUsingVert &lt;Mesh mesh&gt; &lt;vertlist&gt; \n\
</pre></div><p>Returns a bitarray of size=(#edges in mesh) with bits set for all edges that use the specified vertices.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript Vert2EdgeSel category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1] --get selected object vertsSel = getVertSelection obj --get selected Verts --get Edges of selected Verts: edgeSel = meshop.getEdgesUsingVert obj vertsSel setEdgeSelection obj edgeSel --select the edges max modify mode --switch to Modify panel subObjectLevel =2 --set Edge SO level ) ) --end macro</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-38DCDBEA-090F-4107-A496-617F5FA81693-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E990C34A-910A-4DCD-A28C-A11E51D30848-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.getEdgesReverseEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; \n\
</pre></div><p>Returns a bitarray of size=(#edges in mesh) with bits set for all additional edges that use the same vertices as the specified edges. These are edges on the adjacent faces.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` Plane length:100 width:100 isSelected:on convertTo $ TriMeshGeometry max modify mode subobjectLevel = 1 select $.verts[13] --get edges that use vertex 13 edges = meshop.getEdgesUsingVert $ (getVertSelection $) --select the vertices used by those edges $.selectedVerts = meshop.getVertsUsingEdge $ edges update $ --not what we wanted, really want all vertices -- &quot;surrounding&quot; vertex 13 faces = meshop.getPolysUsingVert $ 13 $.selectedVerts = meshop.getVertsUsingFace $ faces update $ --or ... faces = meshop.getFacesUsingVert $ #(13) edges = meshop.getEdgesUsingFace $ faces --turn off all visible edges for e in edges do edges[e]=not (getEdgeVis $ (1+(e-1)/3)(1+mod (e-1) 3)) --get the edges on the adjacent faces that are the &quot;reverse&quot; of these edges --&quot;OR&quot; that bitarray with the initial edges bitarray edges = (meshop.getEdgesReverseEdge $ edges) + edges --get the faces that use the edges, and &quot;OR&quot; that bitarray with the initial --face bitarray faces = (meshop.getFacesUsingEdge $ edges) + faces $.selectedVerts = meshop.getVertsUsingFace $ faces update $</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.getOpenEdges &lt;Mesh mesh&gt; \n\
</pre></div><p>Returns a bitarray of size=(#edges in <span class=\'code\'>mesh</span> ) with bits set for all edges that are used by a single face.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript SelOpenEdges category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1] --get selected object max modify mode --switch to Modify panel subObjectLevel =2 --set Edge SO level openEdges = meshop.getOpenEdges obj --get open edges setEdgeSelection obj openEdges --select the open edges ) ) --end macro</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-74D037DB-B84E-4442-BCCE-70B97939EE13-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"autoedge-visibility\"></a><h2 id=\"autoedge-visibility\">AutoEdge Visibility</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.autoEdge &lt;Mesh mesh&gt; &lt;edgelist&gt; &lt;float threshold&gt; type:&lt;{#SetClear| #Set| #Clear}=#SetClear&gt; \n\
</pre></div><p>Sets/clears the edge visibility for the specified edges based on the threshold angle.</p>\n\
<p>Note:</p>\n\
<p>For an edge to be autoEdged, both it and the &quot;reverse&quot; edge on the face sharing the same vertices must be specified in the edge specification.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";