var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Meshop Face Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Meshop Face Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"meshop-face-methods\"></a></div>\n\
<p>The following methods exposed by the <strong>meshOp Struct</strong> provide advanced access to the mesh faces.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"face-number\"></a><h2 id=\"face-number\">Face Number</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;meshop.getNumFaces &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the number of faces in the mesh.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setNumFaces &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the number of faces in the mesh.</p>\n\
<div class=\'section\'><a id=\"get-face\"></a><h2 id=\"get-face\">Get Face</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt; meshop.getFace &lt;Mesh mesh&gt; &lt;int faceIndex&gt; \n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: Returns the face vertex indices for the indexed face as a point3. Each component of the point3 value contains a vertex index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3_array&gt; meshop.getFaces &lt;Mesh mesh&gt; &lt;facelist&gt; \n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: Returns the face vertex indices for the indexed faces as a point3 array. Each component of each point3 value contains a vertex index.</p>\n\
<div class=\'section\'><a id=\"get-face-info\"></a><h2 id=\"get-face-info\">Get Face Info</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;meshop.getFaceArea &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Returns the area of the specified faces as a float.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --Select all faces with area smaller than 20.0 obj = sphere radius:20 --create a Sphere convertToMesh obj --collapse to EditableMesh faceSel= #() --init. an array --Loop through all faces in the mesh, --compare the face area to the threshold and --append the face to the array to be selected for f = 1 to obj.numfaces do if meshop.getFaceArea obj #{f} &lt; 20.0 then append faceSel f setFaceSelection obj faceSel --select all collected faces update obj --update the mesh max modify mode --switch to modify mode select obj --select the mesh subObjectLevel = 3 --switch to face sub-object level</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-184E5C3E-34C5-4FE5-A7A5-61C9A0A7B004-low.gif\' title=\'\'> <img src=\'developer/images/GUID-2571AB56-3787-4586-8DA2-2E6B33BBD0DB-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;meshop.getBaryCoords &lt;Mesh mesh&gt; &lt;int faceIndex&gt; &lt;point3 pos&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\' title=\'\'>barycentric coordinates</a> of the specified point in the plane of the specified face, relative to the face.</p>\n\
<p>If <span class=\'code\'>&lt;mesh&gt;</span> is a node, or if <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is not specified, the position is in the mesh&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;meshop.getFaceCenter &lt;Mesh mesh&gt; &lt;int faceIndex&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Returns the center of the specified face. The face center is the average of the face&#39;s three vertex coordinates.</p>\n\
<p>If <span class=\'code\'>&lt;mesh&gt;</span> is a node, or if <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is not specified, the position is in the mesh&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getFaceRNormals &lt;Mesh mesh&gt; &lt;int faceIndex&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Returns a three element array of the render normals for the face&#39;s three vertices.</p>\n\
<p>If <span class=\'code\'>&lt;mesh&gt;</span> is a node, or if <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is specified, the position is in the current coordinate system context. If <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is not specified, the position is in the mesh&#39;s local coordinate system.</p>\n\
<div class=\'section\'><a id=\"delete-faces\"></a><h2 id=\"delete-faces\">Delete Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.deleteFaces &lt;Mesh mesh&gt; &lt;facelist&gt; delIsoVerts:&lt;boolean=true&gt;\n\
</pre></div><p>Deletes the specified faces. If <span class=\'code\'>delIsoVerts:</span> is <span class=\'code\'>true</span> , any isolated vertices are deleted.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = geosphere() --create a GeoSphere convertToMesh obj --collapse to EditableMesh --Delete all faces in the mesh but leave the vertices: meshop.deleteFaces obj #{1..obj.numfaces} delIsoVerts:false update obj --update the mesh max modify mode --switch to modify mode select obj --select the mesh SubObjectLevel = 1 --switch to vertex level to see the vertices</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-DEF86599-E88B-4F5E-9725-D449F96E3326-low.gif\' title=\'\'> <img src=\'developer/images/GUID-8408F804-0611-495D-B77E-FE49E7E10065-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.removeDegenerateFaces &lt;Mesh mesh&gt;\n\
</pre></div><p>Deletes any degenerate faces in the mesh. A degenerate face has two or more equal vertex indices.</p>\n\
<div class=\'codeBlock\'><pre>meshop.removeIllegalFaces &lt;Mesh mesh&gt;\n\
</pre></div><p>Deletes any illegal faces in the mesh. An illegal face has one or more vertex indices that are out of range.</p>\n\
<div class=\'section\'><a id=\"hidden-faces\"></a><h2 id=\"hidden-faces\">Hidden Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.setHiddenFaces &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Sets the specified faces as hidden, and non-specified faces as visible.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getHiddenFaces &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns a bitarray of size=(#faces in <span class=\'code\'>mesh</span>) with bits set for all faces that are hidden.</p>\n\
<div class=\'section\'><a id=\"bevel-extrude-clone-collapse-and-detach-faces\"></a><h2 id=\"bevel-extrude-clone-collapse-and-detach-faces\">Bevel, Extrude, Clone, Collapse and Detach Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.bevelFaces &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float height&gt; &lt;float outline&gt; dir:&lt;{&lt;point3 dir&gt; | #independent | #common}=#independent&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Moves the specified faces by <span class=\'code\'>&lt;height&gt;</span> and outlines them by <span class=\'code\'>&lt;outline&gt;</span> .</p>\n\
<p>Note: This method does not correspond to the Bevel functionality in the EditableMesh UI. It moves and outlines faces without creating new faces. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Meshop-Face-Methods.html\' title=\'\'>meshop.ExtrudeFaces</a> further on this page for the corresponding method that creates new beveled faces.</p>\n\
<p>The direction the faces are moved is determined by <span class=\'code\'>&lt;dir&gt;</span> .</p>\n\
<p>If <span class=\'code\'>dir</span> is a point3 value, the faces will be moved in that direction.</p>\n\
<p>(If <span class=\'code\'>&lt;mesh&gt;</span> is a node, or if <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is specified, the direction is in the current coordinate system context. If <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is not specified, the direction is in the mesh&#39;s local coordinate system.)</p>\n\
<p>If <span class=\'code\'>dir:#independent</span> is specified, the faces are moved based on the individual face normals.</p>\n\
<p>If <span class=\'code\'>dir:#common</span> is specified, the faces are moved based on the face cluster normals.</p>\n\
<div class=\'codeBlock\'><pre>meshop.extrudeFaces &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float height&gt; &lt;float outline&gt; dir:&lt;{&lt;point3 dir&gt; | #independent | #common}=#independent&gt; node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Creates new faces corresponding to the specified faces, and then moves the new faces by <span class=\'code\'>&lt;height&gt;</span> and outlines them by <span class=\'code\'>&lt;outline&gt;</span> .</p>\n\
<p>The direction the faces are moved is determined by <span class=\'code\'>dir</span> .</p>\n\
<p>If <span class=\'code\'>dir:</span> is a point3 value, the faces will be moved in that direction.</p>\n\
<p>(If <span class=\'code\'>&lt;mesh&gt;</span> is a node, or if <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is specified, the direction is in the current coordinate system context. If <span class=\'code\'>&lt;mesh&gt;</span> is an Editable Mesh or a Mesh value and <span class=\'code\'>node:</span> is not specified, the direction is in the mesh&#39;s local coordinate system.)</p>\n\
<p>If <span class=\'code\'>dir:#independent</span> is specified, the faces are moved based on the individual face normals.</p>\n\
<p>If <span class=\'code\'>dir:#common</span> is specified, the faces are moved based on the face cluster normals.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = geosphere() --create a GeoSphere convertToMesh obj --collapse to Editable_Mesh --Loop from half the face count back to 1. --Since ExtrudeFaces creates new faces, counting backwards --ensures the loop will go only through the original faces: for f = obj.numfaces/2 to 1 by -1 do meshop.extrudeFaces obj #{f} 5.0 -1.0 --extrude the single face update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\' title=\'\'> <img src=\'developer/images/GUID-8A2D99CB-967D-4CC4-8FFB-EC95C0A563EF-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.cloneFaces &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Clones the specified faces.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = geosphere() --create a GeoSphere convertToMesh obj --collapse to EditableMesh --Clone half of the faces - they get selected automatically: meshop.cloneFaces obj #{1..obj.numfaces/2} --Offset the selected Faces at 20 units along their local normals meshop.bevelFaces obj (getFaceSelection obj) 20 0 dir:#independent update obj--update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-DEF86599-E88B-4F5E-9725-D449F96E3326-low.gif\' title=\'\'> <img src=\'developer/images/GUID-14AF902B-4355-4774-A737-7945294CAAB6-low.gif\' title=\'\'> <img src=\'developer/images/GUID-2D5954DD-B31F-4968-8E95-D937B96A0813-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.collapseFaces &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Collapses the specified faces.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = geosphere() --create a GeoSphere convertToMesh obj --collapse to EditableMesh --Collapse half the faces: meshop.collapseFaces obj #{1..obj.numfaces/2} update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-DEF86599-E88B-4F5E-9725-D449F96E3326-low.gif\' title=\'\'> <img src=\'developer/images/GUID-1085CE13-7D5A-4AE5-96E0-CD5F856E2E55-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.detachFaces &lt;Mesh mesh&gt; &lt;facelist&gt; delete:&lt;boolean=true&gt; asMesh:&lt;boolean=false&gt;\n\
</pre></div><p>Detaches the specified faces.</p>\n\
<p>If <span class=\'code\'>delete:</span> is <span class=\'code\'>true</span> , the faces are deleted after being detached. If <span class=\'code\'>delete:</span> is <span class=\'code\'>false</span> , the faces are not deleted.</p>\n\
<p>If <span class=\'code\'>asMesh:</span> is <span class=\'code\'>true</span> , the faces are detached and returned as a Mesh value. If <span class=\'code\'>asMesh:</span> is <span class=\'code\'>false</span> , the faces are detached as an element in the mesh and a value of OK is returned.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Let&#39;s detach faces as element inside the original mesh: obj = geosphere pos:[100,0,0] --create a GeoSphere convertToMesh obj --collapse to EditableMesh --Detach half of the faces as element, delete the originalfaces meshop.detachFaces obj #{1..obj.numfaces/2} delete:true update obj --update the mesh --In this example, the same mesh will be detached as a separate object obj = geosphere pos:[0,0,0] --create another GeoSphere convertToMesh obj --collapse to EditableMesh -- Detach the faces as Mesh and --get the resulting TriMesh in a variable: newMesh = meshop.detachFaces obj #{1..obj.numfaces/2} delete:true asMesh:true update obj --update the mesh emesh = Editable_mesh() --create an empty Editable_mesh emesh.mesh = newMesh --assign the detached faces to the new mesh update emesh --update the mesh</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CBEDDBBC-8203-4225-BAAD-ED758C46F415-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"divide-faces\"></a><h2 id=\"divide-faces\">Divide Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.divideFace &lt;Mesh mesh&gt; &lt;int faceIndex&gt; baryCoord:&lt;point3=unsupplied&gt;\n\
</pre></div><p>Divides the specified face.</p>\n\
<p>If <span class=\'code\'>baryCoord:</span> is specified, the new vertex will be created at the corresponding position.</p>\n\
<p>If <span class=\'code\'>baryCoord:</span> is not specified, the new vertex will be created at the center of the face.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\' title=\'\'>BarycentricCoordinates</a></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = plane() --create a plane convertToMesh obj --collapse to Editable_Mesh --Loop backwards through all original faces. --This will ignore any new faces added to the face array for f = obj.numfaces to 1 by -1 do meshop.divideFace obj f barycoord:[0.1,0.1,0.5] --divide the face update obj --update the mesh --Note that if the sum of the barycentric coordinates&#39; components is not --equal to 1.0, the values will be scaled proportionally. Thus the above --coordinates are equivalent to [0.142857,0.142857,0.714285].</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-C8E4B018-ADAC-4FEB-A368-E5D2E252D708-low.gif\' title=\'\'> <img src=\'developer/images/GUID-D2F4F762-BAB9-4FA4-8977-8BDC7E86A865-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.divideFaceByEdges &lt;Mesh mesh&gt; &lt;int faceIndex&gt; &lt;int edge1Index&gt; &lt;float edge1f&gt; &lt;int edge2Index&gt; &lt;float edge2f&gt; fixNeighbors:&lt;boolean=true&gt; split:&lt;boolean=false&gt;\n\
</pre></div><p>Divides the specifed face. New vertices are created on the specified edges at the specified fractional distance along their length.</p>\n\
<p>If <span class=\'code\'>fixNeighbors:</span> is <span class=\'code\'>true</span> , the face on the other side of the edges, that is, the &quot;reverse faces&quot;, should be divided as well to prevent the introduction of a seam.</p>\n\
<p>If <span class=\'code\'>split:</span> is <span class=\'code\'>true</span> , separate vertices for the two halves of the edges will be created, splitting the mesh open along the diagonal(s).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = plane lengthsegs:1 widthsegs:1 --create a simple plane of 2 faces convertToMesh obj --collapse to Editable_mesh obj.allEdges = true --show all edges --Divide face 1 connecting edges 2 and 3 at 0.25 resp. 0.75 along --their length. This gives a new edge parallel to edge 1 meshop.divideFaceByEdges obj 1 2 0.25 3 0.75 update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-BFC8CB63-8202-4D59-8E64-60C965A103E7-low.gif\' title=\'\'> <img src=\'developer/images/GUID-4B5F0EFC-1113-4292-B252-B4CB37C51101-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.divideFaces &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Divides the specified faces, with new vertices created at the center of the faces.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The following code does the same as Tessellate in Face-Center mode obj = plane() --create a plane convertToMesh obj --collapse to Editable_Mesh --Divide all faces by placing a new vertex at the face center: meshop.divideFaces obj #{1..obj.numfaces} update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-C8E4B018-ADAC-4FEB-A368-E5D2E252D708-low.gif\' title=\'\'> <img src=\'developer/images/GUID-9F5EC380-5964-4BCC-897F-DC1DA657ECF7-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"explode-faces\"></a><h2 id=\"explode-faces\">Explode Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.explodeAllFaces &lt;Mesh mesh&gt; &lt;float threshold&gt;\n\
</pre></div><p>&quot;Explodes&quot; the mesh into separate elements.</p>\n\
<p><span class=\'code\'>&lt;threshold&gt;</span> specifies the angle between faces that indicates whether they should be in the same or different element.</p>\n\
<blockquote>\n\
<p>Warning: The float threshold parameter is currently expected in <strong>radians</strong>!</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = geosphere() --create a GeoSphere convertToMesh obj --collapse to EditableMesh --Explode all faces in the mesh to elements, disregarding the angle: meshop.explodeAllFaces obj 0 update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\' title=\'\'> <img src=\'developer/images/GUID-F1727255-EAFD-4539-8274-F96501A8161E-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.explodeFaces &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float threshold&gt;\n\
</pre></div><p>&quot;Explodes&quot; the specified faces into separate elements.</p>\n\
<p><span class=\'code\'>&lt;threshold&gt;</span> specifies the angle between faces that indicates whether they should be in the same or different element.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = geosphere() --create a GeoSphere convertToMesh obj --collapse to EditableMesh --Explode half of the faces regardless the angle meshop.explodeFaces obj #{1..obj.numfaces/2} 0 --Move the exploded faces (selected by the explodeFaces method) --along their normals at 10 units without outline: meshop.bevelFaces obj (getFaceSelection obj) 10 0 dir:#independent update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\' title=\'\'> <img src=\'developer/images/GUID-41C83FBD-B154-41AD-885F-A401DE8B0A32-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3C093166-980A-42C5-9C3C-A93D5823D8AD-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"get-a-using-b\"></a><h2 id=\"get-a-using-b\">Get A Using B</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getVertsUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Returns a bitarray of size=(#vertices inmesh) with bits set for all vertices that are used by the specified faces.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript Face2VertSel category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1]--get selected object faceSel = getFaceSelection obj--get selected Faces --get Verts of selected Faces: vertsSel = meshop.getVertsUsedFace obj faceSel setVertSelection obj vertsSel --select the Verts update obj --update the mesh max modify mode--switch to Modify panel subObjectLevel = 1--set Vertex SO level ) ) --end macro</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>A common mistake would be to pass an array with a single face to <strong><span class=\'code\'>meshop.getVertsUsingFace()</span></strong> and to assume that the result converted to an array is the definition of the face (all its vertices).</p>\n\
<p>This would be the case only in the special case where the face definition happens to have the vertex indices in ascending order. This is because the return value is a bitarray where the indices are always sorted in ascending order.</p>\n\
<p><strong>For example</strong>, it a face definition is [4,6,9], the assumption would be correct. But if the face definition was [6,9,4], the result of <strong><span class=\'code\'>meshop.getVertsUsingFace()</span></strong> converted to array would be #(4,6,9) and would not match. Any operations requiring the correct vertex order, for example those involving calculations with barycentric coordinates would turn out incorrect.</p>\n\
<p>The <strong>correct approach</strong> for getting the three vertices of a face in the correct order is by calling <strong><span class=\'code\'>getFace()</span></strong> and accessing the .x, .y and .z components of the returned Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getEdgesUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Returns a bitarray of size=(#edges in <span class=\'code\'>mesh</span> ) with bits set for all edges that are used by the specified faces.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript Face2EdgeSel category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1] --get selected object faceSel = getFaceSelection obj --get selected Faces --get Edges of selected Faces: edgeSel = meshop.getEdgesUsingFace obj faceSel setEdgeSelection obj edgeSel --select the edges update obj --update the mesh max modify mode --switch to Modify panel subObjectLevel = 2 --set Edge SO level ) ) --end macro</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.getPolysUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt; ignoreVisEdges:&lt;boolean=false&gt; threshhold:&lt;float=45.&gt;\n\
</pre></div><p>Returns a bitarray of size=(#faces inmesh) with bits set for all faces that are in &#39;polygons&#39; containing the specified faces. The definition of a polygon is all faces sharing invisible edges with edge angles below the threshhold angle. The default threshhold angle is 45 degrees. If <span class=\'code\'>ignoreVisEdges:</span> is set to <span class=\'code\'>true</span> , the edge visibility is ignored but the threshhold is still relevant.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getFacesUsingVert &lt;Mesh mesh&gt; &lt;vertlist&gt;\n\
</pre></div><p>Returns a bitarray of size=(#faces in mesh) with bits set for all faces that use the specified vertices.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj =Sphere() --create a Sphere convertToMesh obj --collapse to EditableMesh --Get the faces used by the first vertex (north pole) verts= meshop.getFacesUsingVert obj #{1} --Add the faces used by the last vertex (south pole) verts+= meshop.getFacesUsingVert obj #{obj.numverts} --Select the faces used by both pole vertices setFaceSelectionobjverts update obj --update the mesh max modify mode --switch to modify mode select obj --select the mesh subObjectLevel = 3 --switch to face sub-object level</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-6A4F500A-A512-430B-8E92-16227B6694A5-low.gif\' title=\'\'> <img src=\'developer/images/GUID-467D4756-72C0-4BFF-BE6A-81213049D445-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript Vert2FaceSel category:&quot;MXS Help&quot; ( --make sure a single EMesh object is selected on isEnabled return selection.count == 1 and classof selection[1] == Editable_Mesh on execute do ( obj = selection[1] --get selected object vertSel = getVertSelection obj --get selected Vertices --get Faces of selected Verts: faceSel = meshop.getFacesUsingVert obj vertSel setFaceSelection obj vertsSel --select the Faces update obj --update the mesh max modify mode --switch to Modify panel subObjectLevel =3 --set Face SO level ) ) --end macro</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>meshop.getElementsUsingFace &lt;Mesh mesh&gt; &lt;facelist&gt; fence:&lt;facelist=unsupplied&gt;\n\
</pre></div><p>Returns a bitarray of size=(#faces inmesh) with bits set for all faces in elements where at least one face in the element is specified in <span class=\'code\'>&lt;facelist&gt;</span>. If <span class=\'code\'>fence:</span> is specified, its faces are considered as barriers to the element and are not processed.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getVertsUsedOnlyByFaces &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Returns a bitarray of size=(#vertices inmesh) with bits set for all vertices used by the specified faces.</p>\n\
<div class=\'section\'><a id=\"flip-and-unify-normals\"></a><h2 id=\"flip-and-unify-normals\">Flip and Unify Normals</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.unifyNormals &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Unifies the normals of the specified faces.</p>\n\
<div class=\'codeBlock\'><pre>meshop.flipNormals &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Flips the normal of the specified faces.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` obj =sphere() --create a Sphere convertToMesh obj --collapse to EditableMesh --Flip the normals of the top half of the faces: meshop.flipNormals obj #{1..obj.numfaces/2} update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-6A4F500A-A512-430B-8E92-16227B6694A5-low.gif\' title=\'\'> <img src=\'developer/images/GUID-4B478664-B744-4BD9-8922-0F0A1606A7C5-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"make-planar\"></a><h2 id=\"make-planar\">Make Planar</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.makeFacesPlanar &lt;Mesh mesh&gt; &lt;facelist&gt;\n\
</pre></div><p>Moves the specified faces so that they are planar.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` obj = sphere() convertToMesh obj --make the faces of the top half of the sphere planar: meshop.makeFacesPlanar obj #{1..obj.numfaces/2.0} update obj</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-6A4F500A-A512-430B-8E92-16227B6694A5-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E294C4AE-E2D5-4141-A8D3-458CB692C8B0-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"autosmooth-faces\"></a><h2 id=\"autosmooth-faces\">AutoSmooth Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.autoSmooth &lt;Mesh mesh&gt; &lt;facelist&gt; &lt;float threshold&gt;\n\
</pre></div><p>Smooths the specified faces based on the threshold angle.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` obj =geosphere() --create a GeoSphere convertToMesh obj --collapse to EditableMesh --Smooth half of the faces: meshop.autoSmooth obj #{obj.numfaces/2..obj.numfaces} 0.0 update obj --update the mesh</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-69B109D9-2F70-43C3-81C4-FFAE0DB08571-low.gif\' title=\'\'> <img src=\'developer/images/GUID-CBE5E3AA-DF60-4163-AD36-EFF6C155960B-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";