var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Meshop General Mapping Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Meshop General Mapping Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"meshop-general-mapping-methods\"></a></div>\n\
<p>The following methods provide general access to the Mapping channels, the mapping vertices and faces.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Topic Navigation:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"number-of-map-channels\"></a><h2 id=\"number-of-map-channels\">Number Of Map Channels</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.setNumMaps &lt;Mesh mesh&gt; &lt;int count&gt; keep:&lt;bool1ean=false&gt;\n\
</pre></div><p>Sets the number of map channels available. The number of map channels can be set from 2 to 100. Map channels 1 and 2 are the Vertex Color and default Texture Map channels. If <span class=\'code\'>keep:</span> is <span class=\'code\'>false</span> , the old mapping information is discarded. If <span class=\'code\'>true</span> , the old mapping information is retained after the resize.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getNumMaps &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the number of map channels available as aninteger.</p>\n\
<div class=\'section\'><a id=\"map-channel-support\"></a><h2 id=\"map-channel-support\">Map Channel Support</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.setMapSupport &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Boolean support&gt;\n\
</pre></div><p>Sets whether the specified mapping channel is supported or not. If support is <span class=\'code\'>true</span> , and the channel support state is currently <span class=\'code\'>false</span> , a new map face array of the same size as the number of faces in the mesh is allocated, but no map vertex array is allocated. If support is <span class=\'code\'>false</span> , and the channel support state is currently <span class=\'code\'>true</span> , existing map channel face and vertex arrays are deallocated. If support and the current channel support state are both the same, no action is performed. <span class=\'code\'>SetNumMaps()</span> is automatically called if the specified map channel is not available.</p>\n\
<p><span class=\'code\'>mapChannel</span> index values are 0-based, with Map channels 0 and 1 being the Vertex Color and default Texture Map channels.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getMapSupport &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Returns whether the specified map channel is supported. This signifies that a map face arrayis present, but not necessarily a map vertex array.</p>\n\
<div class=\'section\'><a id=\"number-of-map-vertices-and-faces\"></a><h2 id=\"number-of-map-vertices-and-faces\">Number Of Map Vertices And Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.setNumMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer count&gt; keep:&lt;boolean=FALSE&gt;\n\
</pre></div><p>Sets the number of vertices for the map channel, initializing the map vertex array. If <span class=\'code\'>keep:</span> is <span class=\'code\'>false</span> or not specified, the old map vertex information is discarded. If <span class=\'code\'>true</span> , the old map vertex information is retained after the resize.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getNumMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Returns the number of vertices for the map channel as an <span class=\'code\'>&lt;integer&gt;</span>.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setNumMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer count&gt; keep:&lt;boolean=false&gt; keepCount:&lt;int=0&gt;\n\
</pre></div><p>Sets the number of faces for the map channel. If <span class=\'code\'>keep:</span> is <span class=\'code\'>false</span> or not specified, the old map face information is discarded. If <span class=\'code\'>true</span> , the old map face information from the number of faces specified by <span class=\'code\'>keepCount:</span> is retained after the resize. Dangerous to use with map channels 0 and 1, so miminummapChannelvalue is 2.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getNumMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Returns the number of faces for the map channel as an <span class=\'code\'>&lt;integer&gt;</span>.</p>\n\
<div class=\'section\'><a id=\"color-per-vertex-channel-channel-0\"></a><h2 id=\"color-per-vertex-channel-channel-0\">Color per vertex channel (Channel 0)</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getNumCPVVerts &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the number of Color Per Vertex mapping channel vertices.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setNumCPVVerts &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the number of Color Per Vertex mapping channel vertices.</p>\n\
<div class=\'section\'><a id=\"default-texture-mapping-channel-channel-1\"></a><h2 id=\"default-texture-mapping-channel-channel-1\">Default texture mapping channel (Channel 1)</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getNumTVerts &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the number of Default Texture mapping channel vertices.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setNumTVerts &lt;Mesh mesh&gt; &lt;int&gt;\n\
</pre></div><p>Sets the number of Default Texture mapping channel vertices.</p>\n\
<div class=\'section\'><a id=\"build-map-faces\"></a><h2 id=\"build-map-faces\">Build Map Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.buildMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Boolean keep&gt;\n\
</pre></div><p>Sets the number of map faces to the number of mesh faces, retaining existing mapping data if keep is true. Deletes any map vertices that are not used by the map faces.</p>\n\
<div class=\'codeBlock\'><pre>meshop.defaultMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Sets the number of map faces to the number of mesh faces, and the number of map vertices to the number of mesh vertices. The map face vertices are set to the same vertex index as the corresponding mesh face vertices (i.e., there will be a 1-to-1 correspondence between map faces/vertices and the mesh faces/vertices). The map vertex UVW coordinates are set to the normalized (0 to 1) position of the corresponding mesh vertex in the mesh&#39;s bounding box.</p>\n\
<div class=\'section\'><a id=\"apply-mapping\"></a><h2 id=\"apply-mapping\">Apply Mapping</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.makeMapPlanar &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Applies a simple planar mapping to the specified channel. This is done by copying the mesh topology and vertex locations into the map, resizing the face and vertex arrays if necessary.</p>\n\
<div class=\'codeBlock\'><pre>meshop.applyUVWMap &lt;TriMesh mesh&gt; {#planar | #cylindrical | #spherical | #ball | #box&gt; | #face} \\\n\
utile:&lt;float=1.0&gt; vtile:&lt;float=1.0&gt; wtile:&lt;float=1.0&gt; uflip:&lt;boolean=false&gt; vflip:&lt;boolean=false&gt; wflip:&lt;boolean=false&gt; cap:&lt;boolean=true&gt; tm:&lt;Matrix3=identity matrix&gt; channel:&lt;int=1&gt;\n\
</pre></div><p>Applies the specified mapping type to the mapping channel.</p>\n\
<p><span class=\'code\'>utile/vtile/wtile</span> - Number of tiles in the U/V/W directions.</p>\n\
<p><span class=\'code\'>uflip/vflip/wflip</span> - U/V/W are mirrored if <span class=\'code\'>true</span> .</p>\n\
<p><span class=\'code\'>cap</span> - used with <span class=\'code\'>#cylindrical</span> . If <span class=\'code\'>true</span> , then any face normal that is pointing more vertically than horizontally will be mapped using planar coordinates.</p>\n\
<p><span class=\'code\'>tm</span> - defines the mapping space. As each point is mapped, it is multiplied by this matrix, and then it is mapped.</p>\n\
<p><span class=\'code\'>channel</span> - the mapping channel the mapping is applied to, defaults to channel 1.</p>\n\
<div class=\'section\'><a id=\"map-vertices-and-faces-access\"></a><h2 id=\"map-vertices-and-faces-access\">Map Vertices And Faces Access</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.setMapVert &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt; &lt;Point3 xyz&gt;\n\
</pre></div><p>Sets the coordinates of the specified map vertex.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Accessing-the-Viewport-Vertex.html\' title=\'\'>Accessing the Viewport Vertex Alpha Values</a> for some more details.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getMapVert &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt;\n\
</pre></div><p>Returns the coordinates of the specified map vertex as a <span class=\'code\'>&lt;point3&gt;</span>.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Accessing-the-Viewport-Vertex.html\' title=\'\'>Accessing the Viewport Vertex Alpha Values</a> for some more details.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setMapFace &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt; &lt;Point3 face&gt;\n\
</pre></div><p>Sets the map vertices for the specified map face.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getMapFace &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; &lt;Integer index&gt;\n\
</pre></div><p>Returns the vertices of the specified map face as a <span class=\'code\'>&lt;point3&gt;</span>.</p>\n\
<div class=\'section\'><a id=\"get-a-using-b\"></a><h2 id=\"get-a-using-b\">Get A Using B</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getMapFacesUsingMapVert &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;mapVertlist&gt;\n\
</pre></div><p>Returns a bitarray of size=(#map faces for channel inmesh) with bits set for all map faces that use the specified map vertices.</p>\n\
<p>See <a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\' title=\'\'>splitMeshByUVElements</a> script in the FAQ for example usage.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getMapVertsUsingMapFace &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;mapFacelist&gt;\n\
</pre></div><p>Returns a bitarray of size=(#map vertices for channel inmesh) with bits set for all map vertices that use the specified map faces.</p>\n\
<p>See <a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Working-with-Editable-Meshes/How-do-I-Split-a-Mesh-by-UV.html\' title=\'\'>splitMeshByUVElements</a> script in the FAQ for example usage.</p>\n\
<div class=\'section\'><a id=\"vertex-and-face-color-and-alpha\"></a><h2 id=\"vertex-and-face-color-and-alpha\">Vertex And Face Color And Alpha</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.setFaceAlpha &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;facelist&gt; &lt;float alpha&gt;\n\
</pre></div><p>For the specified map channel, sets the map vertex color to value between 0 (transparent) and 1 (opaque) for the map vertices used by the map faces associated with the specified faces.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setFaceColor &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;facelist&gt; &lt;color color&gt;\n\
</pre></div><p>For the specified map channel, sets the map vertex color to <span class=\'code\'>&lt;color&gt;</span> for the map vertices used by the map faces associated with the specified faces.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVertAlpha &lt;Mesh mesh&gt; &lt;intmapChannel&gt; &lt;vertlist&gt; &lt;float alpha&gt;\n\
</pre></div><p>For the specified map channel, sets the map vertex color to a value between 0 (transparent) and 1 (opaque) for the map vertices associated with the specified mesh vertices.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Accessing-the-Viewport-Vertex.html\' title=\'\'>Accessing the Viewport Vertex Alpha Values</a> for some more details.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVertColor &lt;Mesh mesh&gt; &lt;int mapChannel&gt; &lt;vertlist&gt; &lt;color color&gt;\n\
</pre></div><p>For the specified map channel, sets the map vertex color to <span class=\'code\'>&lt;color&gt;</span> for the specified map vertices.</p>\n\
<div class=\'section\'><a id=\"isolated-map-vertices\"></a><h2 id=\"isolated-map-vertices\">Isolated Map Vertices</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getIsoMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Returns a <span class=\'code\'>&lt;bitarray&gt;</span> with a bit set for each isolated map vertex (unreferenced by any map face) for the specified channel.</p>\n\
<div class=\'codeBlock\'><pre>meshop.deleteIsoMapVertsAll &lt;Mesh mesh&gt;\n\
</pre></div><p>For all mapping channels, deletes all mapping vertices that are not used by a mapping face.</p>\n\
<div class=\'codeBlock\'><pre>meshop.deleteIsoMapVerts &lt;Mesh mesh&gt; &lt;mapChannel channel&gt;\n\
</pre></div><p>For the specified mapping channel, deletes all mapping vertices that are not used by a mapping face.</p>\n\
<div class=\'section\'><a id=\"delete-map-vertices\"></a><h2 id=\"delete-map-vertices\">Delete Map Vertices</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.deleteMapVertSet &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt; {&lt;BitArray set&gt; | &lt;Integer index&gt; | &lt;integer array&gt;}\n\
</pre></div><p>Deletes the specified map vertices. Returns a <span class=\'code\'>&lt;bitarray&gt;</span> with a bit set for each map face that used one of the deleted map vertices. Normally, you should delete or modify the map faces using the map vertices before deleting the map vertices, as after the vertex deletion you can&#39;t tell which vertex on a face was a vertex that was deleted.</p>\n\
<div class=\'section\'><a id=\"free-map-vertices-and-faces\"></a><h2 id=\"free-map-vertices-and-faces\">Free Map Vertices And Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.freeMapVerts &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Deallocates the map vertex array and sets the number of map vertices to 0.</p>\n\
<div class=\'codeBlock\'><pre>meshop.freeMapFaces &lt;Mesh mesh&gt; &lt;Integer mapChannel&gt;\n\
</pre></div><p>Deallocates the map face array and sets the number of map faces to 0.</p>\n\
<div class=\'codeBlock\'><pre>meshop.freeMapChannel &lt;Mesh mesh&gt; &lt;int mapChannel&gt;\n\
</pre></div><p>Deletes the map vertex and face arrays for the specified channel, and sets their count to 0.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";