var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Meshop Vertex Data Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Meshop Vertex Data Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"meshop-vertex-data-methods\"></a></div>\n\
<p>The following methods provide access to the Vertex Data channels.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"data-methods---general-channel-access\"></a><h2 id=\"data-methods---general-channel-access\">Data methods - General Channel Access</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.setNumVDataChannels &lt;Mesh mesh&gt; &lt;Integer count&gt; [keep:&lt;boolean=false&gt;]\n\
</pre></div><p>Sets the number of vertex data channels available. The number of vertex data channels can be set from 0 to 100. The first ten channels are for internal use only.</p>\n\
<p>If <span class=\'code\'>keep:</span> is <span class=\'code\'>fals</span> or not specified, the old channel data is discarded.</p>\n\
<p>If <span class=\'code\'>true</span> , the old channel data is retained after the resize.</p>\n\
<p>The predefined channels are:</p>\n\
<p>channel 1: <strong>Soft Selection</strong></p>\n\
<p>channel 2 <strong>Vertex weights</strong> (for NURMS MeshSmooth)</p>\n\
<p>channel 3 <strong>Vertex Alpha values</strong></p>\n\
<p>channel 4 <strong>Cornering values for subdivision use</strong></p>\n\
<div class=\'codeBlock\'><pre>meshop.getNumVDataChannels &lt;Mesh mesh&gt;\n\
</pre></div><p>Returns the number of vertex data channels available as an <span class=\'code\'>&lt;integer&gt;</span>.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVDataChannelSupport &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt; &lt;Boolean support&gt;\n\
</pre></div><p>Sets whether the specified vertex data channel is supported or not.</p>\n\
<p>If <span class=\'code\'>&lt;support&gt;</span> is <span class=\'code\'>true</span> , and the channel support state is currently <span class=\'code\'>false</span> , a new vertex data array of the same size as the number of vertices in the mesh is allocated.</p>\n\
<p>If <span class=\'code\'>&lt;support&gt;</span> is <span class=\'code\'>false</span> , and the channel support state is currently <span class=\'code\'>true</span> , the existing vertex data channel array is deallocated.</p>\n\
<p>If <span class=\'code\'>&lt;support&gt;</span> and the current channel support state are both the same, no action is performed.</p>\n\
<p><span class=\'code\'>setNumVDataChannels()</span> is automatically called if the specified vertex data channel is not available. <span class=\'code\'>vdChannel</span> index values are 1-based, with channels 1 and 2 being the Vertex Soft Selection and Vertex Weight channels.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getVDataChannelSupport &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt;\n\
</pre></div><p>Returns whether the specified vertex data channel is supported.</p>\n\
<div class=\'codeBlock\'><pre>meshop.getVDataValue &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt; &lt;Integer vert_index&gt;\n\
</pre></div><p>Returns the floating point data value associated with vertexvert_indexin vertex data channelvdChannelas a <span class=\'code\'>&lt;float&gt;</span>.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVDataValue &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt; &lt;Integer vert_index&gt; &lt;Float value&gt;\n\
</pre></div><p>Sets the floating point data value associated with vertexvert_indexin vertex data channelvdChannel.</p>\n\
<div class=\'codeBlock\'><pre>meshop.freeVData &lt;Mesh mesh&gt; &lt;Integer vdChannel&gt;\n\
</pre></div><p>Deallocates the existing vertex data channel array and turns off the vertex data channel support state.</p>\n\
<div class=\'section\'><a id=\"data-methods---vertex-selection-weight-channel-channel-1\"></a><h2 id=\"data-methods---vertex-selection-weight-channel-channel-1\">Data methods - Vertex selection weight channel (Channel 1)</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getVSelectWeight &lt;Mesh mesh&gt; &lt;int vertIndex&gt;\n\
</pre></div><p>Returns the Vertex Selection Weight data value for the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVSelectWeight &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float weight&gt;\n\
</pre></div><p>Sets the Vertex Selection Weight data value for the specified vertex.</p>\n\
<p>Note: Setting the Vertex Selection Weight of an Editable Mesh will not have the desired effect because the mesh is owned by the Editable Mesh base object and its Soft-Selection properties control the actual Vertex Selection Weight channel&#39;s content.</p>\n\
<div class=\'codeBlock\'><pre>meshop.resetVSelectWeights &lt;Mesh mesh&gt;\n\
</pre></div><p>Sets the Vertex Selection Weight data value to 1.0 for all vertices.</p>\n\
<div class=\'codeBlock\'><pre>meshop.supportVSelectWeights &lt;Mesh mesh&gt;\n\
</pre></div><p>Enables support of the Vertex Selection Weight channel.</p>\n\
<div class=\'codeBlock\'><pre>meshop.freeVSelectWeights &lt;Mesh mesh&gt;\n\
</pre></div><p>Deletes (deallocates) the Vertex Selection Weight data array.</p>\n\
<div class=\'section\'><a id=\"data-methods---vertex-weight-channel-channel-2\"></a><h2 id=\"data-methods---vertex-weight-channel-channel-2\">Data methods - Vertex weight channel (Channel 2)</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getVertWeight &lt;Mesh mesh&gt; &lt;int vertIndex&gt;\n\
</pre></div><p>Returns the Vertex Weight data value for the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVertWeight &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float weight&gt;\n\
</pre></div><p>Sets the Vertex Weight data value for the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>meshop.resetVertWeights &lt;Mesh mesh&gt;\n\
</pre></div><p>Sets the Vertex Weight data value to 1.0 for all vertices.</p>\n\
<div class=\'codeBlock\'><pre>meshop.supportVertWeights &lt;Mesh mesh&gt;\n\
</pre></div><p>Enables support of the Vertex Weight channel.</p>\n\
<div class=\'codeBlock\'><pre>meshop.freeVertWeights &lt;Mesh mesh&gt;\n\
</pre></div><p>Deletes (deallocates) the Vertex Weight data array.</p>\n\
<div class=\'section\'><a id=\"data-methods---vertex-alpha-channel-channel-3\"></a><h2 id=\"data-methods---vertex-alpha-channel-channel-3\">Data methods - Vertex Alpha channel (Channel 3)</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getVAlpha &lt;Mesh mesh&gt; &lt;int vertIndex&gt;\n\
</pre></div><p>Returns the Vertex Alpha data value for the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVAlpha &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float alpha&gt;\n\
</pre></div><p>Sets the Vertex Alpha data value for the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>meshop.resetVAlphas &lt;Mesh mesh&gt;\n\
</pre></div><p>Sets the Vertex Alpha data value to 1.0 for all vertices.</p>\n\
<div class=\'codeBlock\'><pre>meshop.supportVAlphas &lt;Mesh mesh&gt;\n\
</pre></div><p>Enables support of the Vertex Alpha channel.</p>\n\
<div class=\'codeBlock\'><pre>meshop.freeVAlphas &lt;Mesh mesh&gt;\n\
</pre></div><p>Deletes (deallocates) the Vertex Alpha data array.</p>\n\
<div class=\'section\'><a id=\"data-methods---vertex-corner-channel-channel-4\"></a><h2 id=\"data-methods---vertex-corner-channel-channel-4\">Data methods - Vertex corner channel (Channel 4)</h2></div>\n\
<div class=\'codeBlock\'><pre>meshop.getVertCorner &lt;Mesh mesh&gt; &lt;int vertIndex&gt;\n\
</pre></div><p>Returns the Vertex Corner data value for the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>meshop.setVertCorner &lt;Mesh mesh&gt; &lt;vertlist&gt; &lt;float weight&gt;\n\
</pre></div><p>Sets the Vertex Corner data value for the specified vertex.</p>\n\
<div class=\'codeBlock\'><pre>meshop.resetVertCorners &lt;Mesh mesh&gt;\n\
</pre></div><p>Sets the Vertex Corner data value to 0.0 for all vertices.</p>\n\
<div class=\'codeBlock\'><pre>meshop.supportVertCorners &lt;Mesh mesh&gt;\n\
</pre></div><p>Enables support of the Vertex Corner channel.</p>\n\
<div class=\'codeBlock\'><pre>meshop.freeVertCorners &lt;Mesh mesh&gt;\n\
</pre></div><p>Deletes (deallocates) the Vertex Corner data array.</p>\n\
<p><strong>For more mesh-related methods, see</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";