var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Mapping Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Mapping Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-mapping-methods\"></a></div>\n\
<p><strong>The following methods are specific to Editable_Poly Mapping, Vertex and Edge Data:</strong></p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"mapping-channels-methods\"></a><h2 id=\"mapping-channels-methods\">Mapping Channels Methods</h2></div>\n\
<blockquote>\n\
<p>Warning: All channels are <strong>0-based</strong>!</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>polyop.setNumMaps &lt;Poly poly&gt; &lt;int count&gt; keep:&lt;boolean=true&gt;\n\
</pre></div><p>Sets the number of map channels available.</p>\n\
<p>The number of map channels can be set from 0 to 100.</p>\n\
<p>Map channels 0 and 1 are the Vertex Color and default Texture Map channels.</p>\n\
<p>If <span class=\'code\'>&lt;keep&gt;</span> is <span class=\'code\'>false</span> , the old mapping information is discarded. If <span class=\'code\'>true</span> , the old mapping information is retained after the resize.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getNumMaps &lt;Poly poly&gt;\n\
</pre></div><p>Returns the number of map channels available as an <span class=\'code\'>&lt;integer&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setMapSupport &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;Boolean support&gt;\n\
</pre></div><p>Sets whether the specified mapping channel is supported or not.</p>\n\
<p>If <span class=\'code\'>&lt;support&gt;</span> is <span class=\'code\'>true</span> , and the channel support state is currently <span class=\'code\'>false</span> , a new map face array of the same size as the number of faces in the mesh is allocated, but no map vertex array is allocated.</p>\n\
<p>If <span class=\'code\'>&lt;support&gt;</span> is <span class=\'code\'>false</span> , and the channel support state is currently <span class=\'code\'>true</span> , existing map channel face and vertex arrays are deallocated.</p>\n\
<p>If <span class=\'code\'>&lt;support&gt;</span> and the current channel support state are both the same, no action is performed. <span class=\'code\'>SetNumMaps()</span> is automatically called if the specified map channel is not available.</p>\n\
<p><span class=\'code\'>&lt;mapChannel&gt;</span> index values are 0-based, with Map channels 0 and 1 being the Vertex Color and default Texture Map channels.</p>\n\
<p>This method was previously broken but was fixed in <strong>3ds Max 2008</strong>.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getMapSupport &lt;Poly poly&gt; &lt;int mapChannel&gt;\n\
</pre></div><p>Returns whether the specified map channel is supported.</p>\n\
<p>This signifies that a map face array is present, but not necessarily a map vertex array.</p>\n\
<div class=\'codeBlock\'><pre>polyop.setNumMapVerts &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int count&gt; keep:&lt;boolean=false&gt;\n\
</pre></div><p>Sets the number of vertices for the map channel, initializing the map vertex array.</p>\n\
<p>If <span class=\'code\'>&lt;keep&gt;</span> is <span class=\'code\'>fals</span> , the old map vertex information is discarded.</p>\n\
<p>If <span class=\'code\'>true</span> , the old map vertex information is retained after the resize.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getNumMapVerts &lt;Poly poly&gt; &lt;int mapChannel&gt;\n\
</pre></div><p>Returns the number of vertices for the map channel as an <span class=\'code\'>&lt;integer&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setNumMapFaces &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int count&gt; keep:&lt;boolean=false&gt;\n\
</pre></div><p>Sets the number of faces for the map channel.</p>\n\
<p>If <span class=\'code\'>keep</span> is <span class=\'code\'>false</span> , the old map face information is discarded.</p>\n\
<p>If <span class=\'code\'>true</span> , the old map face information is retained after the resize.</p>\n\
<p>Dangerous to use with map channels 0 and 1.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getNumMapFaces &lt;Poly poly&gt; &lt;int mapChannel&gt;\n\
</pre></div><p>Returns the number of faces for the map channel as an <span class=\'code\'>&lt;integer&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setMapVert &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int index&gt; &lt;Point3 uvw&gt;\n\
</pre></div><p>Sets the coordinates of the specified map vertex.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getMapVert &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int index&gt;\n\
</pre></div><p>Returns the coordinates of the specified map vertex as a <span class=\'code\'>&lt;point3&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setMapFace &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int map face index&gt; &lt;map vertex array&gt;\n\
</pre></div><p>Sets the map vertices for the specified map face.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getMapFace &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;int index&gt;\n\
</pre></div><p>Returns the vertex indices of the specified map face as an array.</p>\n\
<div class=\'codeBlock\'><pre>polyop.defaultMapFaces &lt;Poly poly&gt; &lt;int mapChannel&gt;\n\
</pre></div><p>Allocates and initializes a basic planar map, or a white map for the vertex color hannel.</p>\n\
<div class=\'codeBlock\'><pre>polyop.applyUVWMap &lt;Poly poly&gt; \\\n\
&lt;#planar | #cylindrical | #spherical | #ball | #box&gt; | &lt;#face&gt; \\\n\
utile:&lt;float=1.0&gt; vtile:&lt;float=1.0&gt; wtile:&lt;float=1.0&gt; \\\n\
uflip:&lt;boolean=false&gt; vflip:&lt;boolean=false&gt; wflip:&lt;boolean=false&gt; \\\n\
cap:&lt;boolean=true&gt; tm:&lt;Matrix3=identity matrix&gt; channel:&lt;integer=1&gt;\n\
\n\
</pre></div><p>Applies the specified mapping type to the mapping channel.</p>\n\
<p><span class=\'code\'>utile/vtile/wtile</span> - Number of tiles in the U/V/W directions.</p>\n\
<p><span class=\'code\'>uflip/vflip/wflip</span> - U/V/W are mirrored if <span class=\'code\'>true</span> .</p>\n\
<p><span class=\'code\'>cap</span> - used with <span class=\'code\'>#cylindrical</span> . If <span class=\'code\'>true</span> , then any face normal that is pointing more vertically than horizontally will be mapped using planar coordinates.</p>\n\
<p><span class=\'code\'>tm</span> - defines the mapping space. As each point is mapped, it is multiplied by this matrix, and then it is mapped.</p>\n\
<p><span class=\'code\'>channel</span> - the mapping channel the mapping is applied to, defaults to channel 1.</p>\n\
<div class=\'section\'><a id=\"vertex-colors-methods\"></a><h2 id=\"vertex-colors-methods\">Vertex Colors Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>polyop.getVertsByColor &lt;Poly poly&gt; &lt;Color color&gt;&lt;Float red_thresh&gt;\\\n\
&lt;Float green_thresh&gt;&lt;Float blue_thresh&gt;\\\n\
channel:&lt;int=0&gt;\n\
\n\
</pre></div><p>Returns the vertices whose vertex color is within the color range as a <span class=\'code\'>&lt;bitarray&gt;</span> .</p>\n\
<p>The range values should be in the range of 0 to 255.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getVertsByColor &lt;Poly poly&gt; &lt;Point3 uvw&gt; &lt;Float u_thresh&gt; \\\n\
&lt;Float v_thresh&gt; &lt;Float w_thresh&gt; channel:&lt;int=0&gt;\n\
\n\
</pre></div><p>Returns the vertices whose UVW is within the UVW range as a <span class=\'code\'>&lt;bitarray&gt;</span> .</p>\n\
<p>The range values should be in the range of 0 to 1.</p>\n\
<div class=\'codeBlock\'><pre>polyop.setVertColor &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;vertlist&gt; &lt;Color color&gt;\n\
</pre></div><p>Sets the vertex color for the specified vertices in the specified <span class=\'code\'>&lt;mapChannel&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.SetFaceColor &lt;Poly poly&gt; &lt;int mapChannel&gt; &lt;facelist&gt; &lt;Color color&gt;\n\
</pre></div><p>Sets the vertex color for the vertices used by the specified faces in the specified <span class=\'code\'>&lt;mapChannel&gt;</span> .</p>\n\
<div class=\'section\'><a id=\"vdata-channels-methods\"></a><h2 id=\"vdata-channels-methods\">VData Channels Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>polyop.setNumVDataChannels &lt;Poly poly&gt; &lt;int count&gt; keep:&lt;boolean=true&gt;\n\
\n\
</pre></div><p>Sets the number of vertex data channels available. The number of vertex data channels can be set from 0 to 100.</p>\n\
<p>If <span class=\'code\'>&lt;keep&gt;</span> is <span class=\'code\'>false</span> , the old channel data is discarded. If <span class=\'code\'>true</span> , the old channel data is retained after the resize. The first ten channels for Discreet&#39;s use only.</p>\n\
<p>channel 1: Soft Selection</p>\n\
<p>channel 2: Vertex weights (for NURMS MeshSmooth)</p>\n\
<p>channel 3: Vertex Alpha values</p>\n\
<p>channel 4: Cornering values for subdivision use</p>\n\
<div class=\'codeBlock\'><pre>polyop.getNumVDataChannels &lt;Poly poly&gt;\n\
</pre></div><p>Returns the number of vertex data channels available as an <span class=\'code\'>&lt;integer&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setVDataChannelSupport &lt;Poly poly&gt; &lt;int vdChannel&gt; &lt;boolean support&gt;\n\
</pre></div><p>Sets whether the specified vertex data channel is supported or not.</p>\n\
<p><span class=\'code\'>&lt;vdChannel&gt;</span> index values are 1-based, The first ten channels for Autodesk&#39;s use only.</p>\n\
<p>channel 1: Soft Selection</p>\n\
<p>channel 2: Vertex weights (for NURMS MeshSmooth)</p>\n\
<p>channel 3: Vertex Alpha values</p>\n\
<p>channel 4: Cornering values for subdivision use</p>\n\
<div class=\'codeBlock\'><pre>polyop.getVDataChannelSupport &lt;Poly poly&gt; &lt;int vdChannel&gt;\n\
</pre></div><p>Returns whether the specified vertex data channel is supported.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getVDataValue &lt;Poly poly&gt; &lt;int vdChannel&gt; &lt;int vertex_index&gt;\n\
</pre></div><p>Returns the floating point data value associated with vertex <span class=\'code\'>vertex_index</span> in vertex data channel <span class=\'code\'>&lt;vdChannel&gt;</span> as a <span class=\'code\'>&lt;float&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setVDataValue &lt;Poly poly&gt; &lt;int vdChannel&gt; &lt;vertlist&gt; &lt;float&gt;\n\
</pre></div><p>Sets the floating point data value associated with the specified vertices in vertex data channel <span class=\'code\'>&lt;vdChannel&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.freeVData &lt;Poly poly&gt; &lt;int vdChannel&gt;\n\
\n\
polyop.resetVData &lt;Poly poly&gt; &lt;int vdChannel&gt;\n\
</pre></div><p>Deallocates the existing vertex data channel and turns off the vertex data channel support state.</p>\n\
<p>These methods do the exact same thing.</p>\n\
<div class=\'section\'><a id=\"edata-channels-methods\"></a><h2 id=\"edata-channels-methods\">EData Channels Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>polyop.setNumEDataChannels &lt;Poly poly&gt; &lt;int count&gt; keep:&lt;boolean=true&gt;\n\
</pre></div><p>Sets the number of edge data channels available. The number of edge data channels can be set from 0 to 10.</p>\n\
<p>If <span class=\'code\'>&lt;keep&gt;</span> is <span class=\'code\'>false</span> , the old channel data is discarded.</p>\n\
<p>If <span class=\'code\'>true</span> , the old channel data is retained after the resize.</p>\n\
<p>The first two channels for Autodesk&#39;s use only.</p>\n\
<p>channel 1: edge knot data</p>\n\
<p>channel 2: edge crease data</p>\n\
<div class=\'codeBlock\'><pre>polyop.getNumEDataChannels &lt;Poly poly&gt;\n\
</pre></div><p>Returns the number of edge data channels available as an <span class=\'code\'>&lt;integer&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setEDataChannelSupport &lt;Poly poly&gt;&lt;int edChannel&gt;&lt;Boolean support&gt;\n\
</pre></div><p>Sets whether the specified edge data channel is supported or not.</p>\n\
<p><span class=\'code\'>&lt;edChannel&gt;</span> index values are 1-based, the first two channels for Autodesk&#39;s use only.</p>\n\
<p>channel 1: edge knot data</p>\n\
<p>channel 2: edge crease data</p>\n\
<div class=\'codeBlock\'><pre>polyop.getEDataChannelSupport &lt;Poly poly&gt; &lt;int edChannel&gt;\n\
</pre></div><p>Returns whether the specified edge data channel is supported.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getEDataValue &lt;Poly poly&gt; &lt;int edChannel&gt; &lt;int edge_index&gt;\n\
</pre></div><p>Returns the floating point data value associated with edge <span class=\'code\'>edge_index</span> in edge data channel <span class=\'code\'>&lt;edChannel&gt;</span> as a <span class=\'code\'>&lt;float&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.setEDataValue &lt;Poly poly&gt; &lt;int edChannel&gt; &lt;edgelist&gt; &lt;float&gt;\n\
</pre></div><p>Sets the floating point data value associated with the specified edges in edge data channel <span class=\'code\'>&lt;edChannel&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>polyop.freeEData &lt;Poly poly&gt; &lt;int edChannel&gt;\n\
\n\
resetEData &lt;Poly poly&gt; &lt;int edChannel&gt;\n\
\n\
</pre></div><p>Deallocates the existing edge data channel and turns off the edge data channel support state.</p>\n\
<p>These methods do the exact same thing.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";