var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Delete Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Delete Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-delete-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.deleteVerts &lt;Poly poly&gt; &lt;vertlist&gt;\n\
</pre></div><p>Deletes the specified vertices.</p>\n\
<div class=\'codeBlock\'><pre>polyop.deleteFaces &lt;Poly poly&gt; &lt;facelist&gt; \\\n\
delIsoVerts:&lt;boolean=true&gt;\n\
</pre></div><p>Deletes the specified faces.</p>\n\
<p>If <span class=\'code\'>&lt;delIsoVerts&gt;</span> is <span class=\'code\'>true</span> , any vertices that are no longer used by faces are also deleted.</p>\n\
<div class=\'codeBlock\'><pre>polyop.deleteEdges &lt;Poly poly&gt; &lt;edgelist&gt; \\\n\
delIsoVerts:&lt;boolean=true&gt;\n\
</pre></div><p>Deletes the specified edges.</p>\n\
<p>If <span class=\'code\'>&lt;delIsoVerts&gt;</span> is <span class=\'code\'>true</span> , any vertices that are no longer used by edges are also deleted.</p>\n\
<p>The behavior of the methods <span class=\'code\'>PolyOp.deleteEdges()</span> , <span class=\'code\'>PolyOp.deleteVerts()</span> , and <span class=\'code\'>PolyOp.deleteFaces()</span> changed in <strong>3ds Max 5</strong>. When using these methods, all sub-object elements that use the deleted elements are also deleted. What used to be the (internal) Delete method is now the (internal) Remove method. This new method is not exposed through the <strong><span class=\'code\'>polyOp</span></strong> structure, so you need to work through the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html\' title=\'\'>EditablePoly interface, Remove method</a>.</p>\n\
<p>An example replacement function which works in both <strong>version 4 and higher</strong> is:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` fn polyop_deleteEdges obj which delIsoVerts = ( if (MaxVersion())[1] &gt;= 5000 then ( local bit30 = bit.set 0 30 true polyop.setEdgeFlags obj which bit30 obj.EditablePoly.remove selLevel:#edge flag:bit30 if delIsoVerts == true do polyop.deleteIsoVerts obj ) else polyop.deleteEdges obj which delIsoVerts:delIsoVerts )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>polyop.deleteIsoVerts &lt;Poly poly&gt;\n\
</pre></div><p>Deletes any vertices not used by any faces.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";