var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Get By Flag Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Get By Flag Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-get-by-flag-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.getVertsByFlag &lt;Poly poly&gt; &lt;int flag&gt; mask:&lt;int maskflag&gt;\n\
</pre></div><p>Each vertex in a poly contains a 32 bit flag variable.</p>\n\
<p>This method returns a bitarray of the vertices that have specific bits in this flag variable set, where the bits being tested are based on a combination of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>.</p>\n\
<p>The default value for <span class=\'code\'>&lt;maskflag&gt;</span> is 0.</p>\n\
<p>Internally, if <span class=\'code\'>&lt;maskflag&gt;</span> is 0 then <span class=\'code\'>&lt;maskflag&gt;</span> is set to the <span class=\'code\'>&lt;flag&gt;</span> value, otherwise <span class=\'code\'>&lt;flag&gt;</span> is set to the bitwise-AND of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>. Bit 2 of <span class=\'code\'>&lt;maskflag&gt;</span> is then set, which prevents dead vertices from being included in the resulting bitarray unless this bit was set in <span class=\'code\'>&lt;mask&gt;</span>. Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and <span class=\'code\'>&lt;maskflag&gt;</span> is equal to the bitwise-AND of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>.</p>\n\
<p>The vertex level flags are:</p>\n\
<p><span class=\'code\'>bit 1</span> : vertex is selected</p>\n\
<p><span class=\'code\'>bit 2</span> : vertex is dead</p>\n\
<p><span class=\'code\'>bit 3</span> : reserved</p>\n\
<p><span class=\'code\'>bit 4</span> : indicates the vertex faces &quot;backwards&quot; in the current viewport</p>\n\
<p><span class=\'code\'>bit 5-24</span> : reserved</p>\n\
<p><span class=\'code\'>bit 25-32</span> : available for general use</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theObj = plane isSelected:true convertto theObj editable_poly nVerts = theObj.numverts bit30 = bit.set 0 30 true bit31 = bit.set 0 31 true bit32 = bit.set 0 32 true -- set a bit on first 3/4 or so verts ( flagsToSet = bit30 flagsToMask = 0 vertexSet = #{1..(3*nVerts/4)} theObj.setVertexFlags vertexSet flagsToSet flagMask:flagsToMask generateUndoRecord:true ok ) -- and another on middle block ( flagsToSet = bit31 flagsToMask = 0 vertexSet = #{(nVerts/3)..(nVerts-4)} theObj.setVertexFlags vertexSet flagsToSet flagMask:flagsToMask generateUndoRecord:true ok ) -- set a bit on last 2 verts ( flagsToSet = bit32 flagsToMask = 0 vertexSet = #{(nVerts-2)..nVerts} theObj.setVertexFlags vertexSet flagsToSet flagMask:flagsToMask generateUndoRecord:true ok ) ( -- get verts with bit30, 31, 32 set format &quot;30: %\\n&quot; (polyOp.getVertsByFlag theObj bit30) format &quot;31: %\\n&quot; (polyOp.getVertsByFlag theObj bit31) format &quot;32: %\\n&quot; (polyOp.getVertsByFlag theObj bit32) -- get verts with bit30 set, but not bit31 format &quot;30 and !31: %\\n&quot; (polyOp.getVertsByFlag theObj bit30 mask:(bit30+bit31)) -- get verts with bit31 not set, doesn&#39;t matter what the <flag> -- value is as long as it&#39;s not bit31 format &quot;!31: %\\n&quot; (polyOp.getVertsByFlag theObj bit30 mask:(bit31)) -- get verts with bit30 and bit31 set format &quot;30 and 31: %\\n&quot; (polyOp.getVertsByFlag theObj (bit30+bit31)) -- get verts with neither bit31 or bit32 set, doesn&#39;t matter what -- the <flag> value is as long as it&#39;s not bit31 or bit32 format &quot;!(31 or 32): %\\n&quot; (polyOp.getVertsByFlag theObj bit30 mask:(bit31+bit32)) )<p>\n\
<p>```</p>\n\
</flag></flag></blockquote>\n\
<div class=\'codeBlock\'><pre>polyop.getVertFlags &lt;Poly poly&gt; &lt;int vert&gt;\n\
</pre></div><p>Returns the flags bits for the vertex as an integer.</p>\n\
<div class=\'codeBlock\'><pre>polyop.setVertFlags &lt;Poly poly&gt; &lt;vertlist&gt; &lt;int flag&gt; \\\n\
mask:&lt;int=0&gt; undoable:&lt;boolean=false&gt;\n\
</pre></div><p>Sets the flag bits on the specified vertices to the bits in <span class=\'code\'>&lt;flag&gt;</span>.</p>\n\
<p>If the mask is specified, the bits set in the <span class=\'code\'>mask:</span> value are cleared for all vertices in the poly prior to setting the flag bits on the specified vertices.</p>\n\
<p>If <span class=\'code\'>undoable:true</span> is specified, this operation is undoable. If bits 1 or 2 of <span class=\'code\'>&lt;flag&gt;</span> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p=convertToPoly (plane()) p.selectedVerts = #{10..20} i=1 -- selected bit j=bit.set 0 30 true -- bit 30 set oldflags = for k = 1 to p.numverts collect polyop.getVertFlags p k theSet=#{5..15} polyop.setvertflags p theSet j mask:i for k = 1 to p.numverts do ( nf=polyop.getVertFlags p k format &quot;% : % : %\\n&quot; k nf oldflags[k] oldflags[k]=nf ) j=bit.set 0 1 true -- bit 1 set polyop.setvertflags p theSet j for k = 1 to p.numverts do ( nf=polyop.getVertFlags p k format &quot;% : % : %\\n&quot; k nf oldflags[k] )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>polyop.getEdgesByFlag &lt;Poly poly&gt; &lt;int flag&gt; \\\n\
mask:&lt;int maskflag&gt;\n\
</pre></div><p>Each edge in a poly contains a 32 bit flag variable. This method returns a bitarray of the edges that have specific bits in this flag variable set, where the bits being tested are based on a combination of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>.</p>\n\
<p>The default value for <span class=\'code\'>&lt;maskflag&gt;</span> is 0.</p>\n\
<p>Internally, if <span class=\'code\'>&lt;maskflag&gt;</span> is 0 then <span class=\'code\'>&lt;maskflag&gt;</span> is set to the <span class=\'code\'>&lt;flag&gt;</span> value, otherwise <span class=\'code\'>&lt;flag&gt;</span> is set to the bitwise-AND of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>. Bit 2 of <span class=\'code\'>&lt;maskflag&gt;</span> is then set, which prevents dead edges from being included in the resulting bitarray unless this bit was set in <span class=\'code\'>&lt;mask&gt;</span>. Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and <span class=\'code\'>&lt;maskflag&gt;</span> is equal to the bitwise-AND of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>.</p>\n\
<p>The edge level flags are:</p>\n\
<p><span class=\'code\'>bit 1</span> : edge is selected</p>\n\
<p><span class=\'code\'>bit 2</span> : edge is dead</p>\n\
<p><span class=\'code\'>bit 3</span> : reserved</p>\n\
<p><span class=\'code\'>bit 4</span>: indicates that the vertex faces &quot;backwards&quot; in the current viewport</p>\n\
<p><span class=\'code\'>bit 5-24</span>: reserved</p>\n\
<p><span class=\'code\'>bit 25-32:</span> available for general use</p>\n\
<div class=\'codeBlock\'><pre>polyop.getEdgeFlags &lt;Poly poly&gt; &lt;int edge&gt;\n\
</pre></div><p>Returns the flag bits for the edge as an integer.</p>\n\
<div class=\'codeBlock\'><pre>polyop.setEdgeFlags &lt;Poly poly&gt; &lt;edgelist&gt; &lt;int flag&gt; \\\n\
mask:&lt;int=0&gt; undoable:&lt;boolean=false&gt;\n\
</pre></div><p>Sets the flag bits on the specified edges to the bits in <span class=\'code\'>&lt;flag&gt;</span>. If mask is specified, the bits set in the <span class=\'code\'>mask:</span> value are cleared for all edges in the poly prior to setting flag bits on the specified edges. If <span class=\'code\'>undoable:true</span> is specified, this operation is undoable. If bits 1 or 2 of <span class=\'code\'>&lt;flag&gt;</span> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getFacesByFlag &lt;Poly poly&gt; &lt;int flag&gt; mask:&lt;int maskflag&gt;\n\
</pre></div><p>Each face in a poly contains a 32 bit flag variable. This method returns a bitarray of the faces that have specific bits in this flag variable set, where the bits being tested are based on a combination of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>.</p>\n\
<p>The default value for <span class=\'code\'>&lt;maskflag&gt;</span> is 0.</p>\n\
<p>Internally, if <span class=\'code\'>&lt;maskflag&gt;</span> is 0 then <span class=\'code\'>&lt;maskflag&gt;</span> is set to the <span class=\'code\'>&lt;flag&gt;</span> value, otherwise <span class=\'code\'>&lt;flag&gt;</span> is set to the bitwise-AND of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>. Bit 2 of <span class=\'code\'>&lt;maskflag&gt;</span> is then set, which prevents dead faces from being included in the resulting bitarray unless this bit was set in <span class=\'code\'>&lt;mask&gt;</span>. Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and <span class=\'code\'>&lt;maskflag&gt;</span> is equal to the bitwise-AND of <span class=\'code\'>&lt;flag&gt;</span> and <span class=\'code\'>&lt;maskflag&gt;</span>.</p>\n\
<p>The face level flags are:</p>\n\
<p><span class=\'code\'>bit 1</span> : face is selected</p>\n\
<p><span class=\'code\'>bit 2</span> : face is dead</p>\n\
<p><span class=\'code\'>bit 3</span> : reserved</p>\n\
<p><span class=\'code\'>bit 4</span> : indicates the vertex faces &quot;backwards&quot; in the current viewport</p>\n\
<p><span class=\'code\'>bit 5-24</span> : reserved</p>\n\
<p><span class=\'code\'>bit 25-32</span> : available for general use</p>\n\
<div class=\'codeBlock\'><pre>polyop.getFaceFlags &lt;Poly poly&gt; &lt;int face&gt;\n\
</pre></div><p>Returns the flags bits for the face as an integer.</p>\n\
<div class=\'codeBlock\'><pre>polyop.setFaceFlags &lt;Poly poly&gt; &lt;facelist&gt; &lt;int flag&gt; \\\n\
mask:&lt;int=0&gt; undoable:&lt;boolean=false&gt;\n\
</pre></div><p>Sets the flag bits on the specified faces to the bits in <span class=\'code\'>&lt;flag&gt;</span>.</p>\n\
<p>If <span class=\'code\'>mask:</span> is specified, the bits set in the <span class=\'code\'>mask:</span> value are cleared for all faces in the poly prior to setting flag bits on the specified faces.</p>\n\
<p>If <span class=\'code\'>undoable:true</span> is specified, this operation is undoable.</p>\n\
<p>If bits 1 or 2 of <span class=\'code\'>&lt;flag&gt;</span> are set (selected and dead flag bits), this operation is always undoable.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";