var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Get Face Center, Normal and Area Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Get Face Center, Normal and Area Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-get-face-center-normal-and-area-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.getFaceCenter &lt;Poly poly&gt; &lt;int face&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Returns the center of the face by taking the average of all its vertices.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the position returned is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the return value is in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getSafeFaceCenter &lt;Poly poly&gt; &lt;int face&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Returns the &quot;safe&quot; center of the face, if possible.</p>\n\
<p>For non-convex faces, the average point found using <span class=\'code\'>getFaceCenter</span> is unsuitable for some applications because it can lie outside the face completely, or in a region where it cannot see all the face&#39;s vertices (line segments from the center to the corner pass outside of the face).</p>\n\
<p>If a safe center cannot be found, a value of <strong><span class=\'code\'>undefined</span></strong> is returned.</p>\n\
<p>This routine provides a better solution in some cases by finding the center of the convex hull of the face. The convex hull is defined as the region in a face with a clear line-of-sight to all the corners. Some faces such as, the top face in an extruded letter M have an empty convex hull, in which case this routine fails and merely provides the regular center given by <span class=\'code\'>ComputeCenter</span> .</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the position returned is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the return value is in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getFaceNormal &lt;Poly poly&gt; &lt;int face&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Returns the face normal of the face.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the direction vector returned is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the return value is in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>polyop.getFaceArea &lt;Poly poly&gt; &lt;int face&gt;\n\
</pre></div><p>Returns the area of the specified face.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";