var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable_Poly Manipulate Vertex Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable_Poly Manipulate Vertex Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable_poly-manipulate-vertex-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>polyop.getVert &lt;Poly poly&gt; &lt;int vertex&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Returns the position of the specified vertex. If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the position returned is in the current coordinate system context. If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the return value is in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3_array&gt; polyop.getVerts &lt;Poly poly&gt; &lt;verlist&gt; \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p><strong>Available in 3ds Max 2018.2 and higher</strong>: Returns the positions of the specified vertices as an array of point3. If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the position returned is in the current coordinate system context. If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the return values are in the poly&#39;s local coordinate system.</p>\n\
<div class=\'codeBlock\'><pre>polyop.setVert &lt;Poly poly&gt; &lt;vertlist&gt; {&lt;point3 pos&gt;|&lt;point3 pos_array&gt;} \\\n\
node:&lt;node=unsupplied&gt;\n\
</pre></div><p>Sets the position of the specified vertices.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the position is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the position is in the poly&#39;s local coordinate system.</p>\n\
<p>In <strong>3ds Max 2008 and higher</strong>, this method allows the position to be specified as array. In that case, the number of values in <span class=\'code\'>&lt;pos_array&gt;</span> must match the number of vertices specified in <span class=\'code\'>&lt;vertlist&gt;</span>. This feature was previously part of the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>polyop.moveVert &lt;Poly poly&gt; &lt;vertlist&gt; {&lt;point3 offset&gt;|&lt;point3 offset_array&gt;} \\\n\
node:&lt;node&gt; useSoftSel:&lt;boolean&gt;\n\
</pre></div><p>Moves the specified vertices by <span class=\'code\'>&lt;offset&gt;</span>.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is a node, or if <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is specified, the offset is in the current coordinate system context.</p>\n\
<p>If <span class=\'code\'>&lt;poly&gt;</span> is an Editable Poly and <span class=\'code\'>&lt;node&gt;</span> is not specified, the offset is in the poly&#39;s local coordinate system.</p>\n\
<p>In <strong>3ds Max 2008 and higher</strong>, this method allows the position to be specified as array. In that case, the number of values in <span class=\'code\'>&lt;pos_array&gt;</span> must match the number of vertices specified in <span class=\'code\'>&lt;vertlist&gt;</span>. This feature was previously part of the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a> .</p>\n\
<p>If <span class=\'code\'>useSoftSel:</span> is true, and the mesh&#39;s soft selection data channel is present, the specified offsets are multiplied by the vertex&#39;s soft selection value.</p>\n\
<p>Note: It is very important to pass the <span class=\'code\'>&lt;vertlist&gt;</span> argument as a bitArray value and not as an array. Passing the argument as an array causes a significant performance hit (orders of magnitude). This applies to all methods operating on sub-object lists.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";