var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: EditablePoly</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: EditablePoly</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-editablepoly\"></a></div>\n\
<p>The <strong>EditablePoly</strong> Interface was added to the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-GeometryClass.html\' title=\'\'>Editable_Poly</a> class in <strong>3ds Max 5</strong>.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"editable_poly-interfaces\"></a><h2 id=\"editable_poly-interfaces\">Editable_Poly interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: EditablePoly\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"hideunhide\"></a><h3 id=\"hideunhide\">Hide/Unhide</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.Hide &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p><span class=\'code\'>flags</span> default value: 1</p>\n\
<p>Hide the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.unhideAll &lt;enum&gt;mnSelLevel\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p>Unhide the specified sub-object level. The modify panel does not have to be in the same sub-object level for this method to have effect. Returns <span class=\'code\'>true</span> on success.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to EPoly polyop.setFaceSelection p #{1,2} --select the first two polygons p.Hide #Face --hide the two polygons sleep 1 --wait a second p.UnHideAll #Face --unhide all hidden faces again</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"copypaste-named-selection-sets\"></a><h3 id=\"copypaste-named-selection-sets\">Copy/Paste Named Selection Sets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.EditablePoly.namedSelCopy &lt;string&gt;Name\n\
</pre></div><p>Copy selection to the given name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.namedSelPaste &lt;boolean&gt;useRenameDialog\n\
</pre></div><p>Paste named selection. Enables the Rename Dialog when useRenameDialog is supplied as true.</p>\n\
<div class=\'section\'><a id=\"create\"></a><h3 id=\"create\">Create</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;createVertex &lt;point3&gt;point [pointInLocalCoords:&lt;boolean&gt;] [select:&lt;boolean&gt;]\n\
\n\
pointInLocalCoords default value: true\n\
select default value: false\n\
</pre></div><p>Create a new vertex with the specified coordinates. If the optional pointInLocalCoords argument is true, the coordinates are taken in local space. If the optional <span class=\'code\'>select</span> argument is <span class=\'code\'>true</span> , the new vertex will be selected after creation. Returns the index of the new vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.createEdge &lt;index&gt;vertex1 &lt;index&gt;vertex2 [select:&lt;boolean&gt;]\n\
\n\
select default value: false\n\
</pre></div><p>Create a new edge between the two specified vertices. If the optional <span class=\'code\'>select</span> argument is <span class=\'code\'>true</span> , the new edge will be selected after creation. Returns the index of the new edge.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to EPoly p.createEdge 1 7 --create edge between vertices 1 and 7</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-18ECD103-5792-4D38-AE9E-FD858981D5A8-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.createFace &lt;index array&gt;vertexArray [select:&lt;boolean&gt;] \n\
\n\
select default value: false\n\
</pre></div><p>Creates a new face using the specified array of vertices. If the optional select argument is true, the new face will be selected after creation. Returns the index of the new face.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to EPoly polyop.DeleteFaces p #(1) --delete the first polygon p.createFace #(1,6,5) --create a new polygon on its place</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-EEDE4C46-5507-4D68-B761-710741A6C33A-low.gif\' title=\'\'> <img src=\'developer/images/GUID-6AF5AF69-4153-46FE-937D-35765B8E3218-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.capHoles &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p><span class=\'code\'>flags</span> default value: 1</p>\n\
<p>Create new faces to cap open edge loops. Acquire open edge loop defining the hole using the msSelLevel enums. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to EPoly polyop.DeleteFaces p # (6) --delete a polygon --select all polygons surrounding the deleted one polyop.SetFaceSelection p #(1,2,3,5,6,8,9,10) select p --select the plane max modify mode --switch to Modify panel subObjectLevel = 4 --go to Face level to see the selection p.capHoles #Face --cap the hole using the selection</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-55EADD9E-2B2A-47E8-8F52-127DF0A3D23B-low.gif\' title=\'\'> <img src=\'developer/images/GUID-878D42A1-E732-4167-9509-EA6600E7FA12-low.gif\' title=\'\'></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5616356F-D42C-4792-A096-85F7C7B417BC-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"delete\"></a><h3 id=\"delete\">Delete</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.delete &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;] [deleteIsoVerts:&lt;boolean&gt;]\n\
\n\
mnSelLevelenums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p><span class=\'code\'>flags</span> default value: 1</p>\n\
<p><span class=\'code\'>deleteIsoVerts</span> default value: true</p>\n\
<p>Delete the sub-objects in the specified sub-object level. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.deleteIsoVerts()\n\
</pre></div><p>Delete isolated vertices. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.DeleteIsoMapVerts()\n\
</pre></div><p>Delete the isolated vertices. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'section\'><a id=\"attachdetach\"></a><h3 id=\"attachdetach\">Attach/Detach</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.attach &lt;node&gt;nodeToAttach &lt;node&gt;myNode\n\
</pre></div><p>Attach a node to the Editable_Poly object. The additional node provides the transformation of the node to be attached. You can use the <span class=\'code\'>nodeToAttach</span> as <span class=\'code\'>myNode</span> to use its own transforms.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to EPoly s = sphere radius:5 --create a sphere primitive p.attach s s --attach sphere to EPoly p = convertToPoly(Plane()) --create a plane, convert to EPoly b = Box() --create a box primitive b.rotation = eulerangles 45 45 0 --rotate the box t = teapot radius:5 --create a teapot primitive p.attach t b --attach teapot to EPoly using the box&#39;s transformation</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.detachToElement &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;] [keepOriginal:&lt;boolean&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p><span class=\'code\'>flags</span> default value: 1</p>\n\
<p><span class=\'code\'>keepOriginal</span> default value: false</p>\n\
<p>Detach the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level to element. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to EPoly polyop.SetFaceSelection p #(6) --select polygon 6 --Detach the selected polygon to element, keeping the original: p.detachToElement #Face keepOriginal:true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"breaksplitdivide\"></a><h3 id=\"breaksplitdivide\">Break/Split/Divide</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.breakVerts &lt;integer&gt;vertFlags\n\
</pre></div><p>Break the vertices defined by <span class=\'code\'>edgeFlags</span> . See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.splitEdges edgeFlags:&lt;integer&gt;\n\
\n\
edgeFlags default value: 1\n\
\n\
</pre></div><p>Split the edges defined by <span class=\'code\'>edgeFlags</span> . See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.divideEdge &lt;index&gt;edgeID &lt;float&gt;proportion [select:&lt;boolean&gt;]\n\
\n\
select default value: false\n\
</pre></div><p>Divides the specified edge using the proportions for placement control. Returns the index of the new vertex. If select is true, the new vertex will be selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.divideFace &lt;index&gt;faceID &lt;&amp;float array&gt;vertexCoefficients [select:&lt;boolean&gt;]\n\
\n\
vertexCoefficients is In and Out parameter\n\
</pre></div><p><span class=\'code\'>select</span> default value: false</p>\n\
<p>Divides the specified polygon using the <span class=\'code\'>vertexCoefficients</span> to place the new edges. Returns the index of the new vertex. If <span class=\'code\'>select</span> is <span class=\'code\'>true</span> , the new vertex will be selected.</p>\n\
<div class=\'section\'><a id=\"insert-vertex\"></a><h3 id=\"insert-vertex\">Insert Vertex</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.insertVertexInFace &lt;index&gt;faceID &lt;&amp;float array&gt;vertexCoefficients [select:&lt;boolean&gt;]\n\
\n\
vertexCoefficients is In and Out parameter\n\
</pre></div><p><span class=\'code\'>select</span> default value: false</p>\n\
<p>Insert a vertex inside the specified polygon. Returns the index of the new vertex.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly --Insert new vertex in the middle of polygon 6. --new_vert will contain the index of the newly created vertex: new_vert = p.insertVertexInFace 6 #(0.5,0.0,0.5)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4629C76C-C1F0-4618-BB02-CBB0304842AA-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.insertVertexInEdge &lt;index&gt;edgeID &lt;float&gt;proportion [select:&lt;boolean&gt;]\n\
\n\
select default value: false\n\
</pre></div><p>Inserts a vertex in the specified edge using the proportions for placement control. Returns the index of the new vertex. If select is true, the new vertex will be selected.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly --Insert new vertex and split edge 17 at 1/3 of its edge. --new_vert will contain the index of the newly created vertex: new_vert = p.insertVertexInEdge 17 0.3 polyOp.setVertSelection p #{new_vert} --select the new vertex select p --select the plane max modify mode --switch to modify panel subObjectLevel = 1 --go to Vertex level and check it out</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FA4A21D-FAD0-4CF9-8FBC-7E276A14036C-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"collapse\"></a><h3 id=\"collapse\">Collapse</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.collapse &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p><span class=\'code\'>flags</span> default value: 1</p>\n\
<p>Collapses the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly polyop.setVertSelection p #{7,8,12,13} --select some vertices p.EditablePoly.collapse #Vertex --collapse the selected vertices</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-EBB2FC3E-B502-470E-94F6-188ADB708A9D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E1E2A054-C005-400E-833B-9420F819BA85-low.gif\' title=\'\'></p>\n\
<div class=\'section\'><a id=\"extrude-faces\"></a><h3 id=\"extrude-faces\">Extrude Faces</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.extrudeFaces &lt;float&gt;amount [faceFlags:&lt;integer&gt;]\n\
\n\
faceFlags default value: 1\n\
</pre></div><p>Extrudes the polygons defined by <span class=\'code\'>faceFlags</span> by the specified amount.</p>\n\
<p>By default uses flag 1 that means selected polygons.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>SAMPLE SCRIPT</strong></p>\n\
<p>``` --create a skyscraper-like structure through random extrusions p = convertToPoly(Plane()) --create a plane, convert to Epoly for i = 1 to 50 do --repeat 50 times ( polyop.setFaceSelection p #{(random 1 16)} --select a random polygon p.extrudeFaces 5.0 --extrude the selection )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-01227615-9935-478F-9125-F7AB1A1C26AC-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.ExtrudeAlongSpline faceFlag:&lt;integer&gt;\n\
\n\
faceFlag default value: 1\n\
</pre></div><p>Extrude along spline the polygons defined by the flags.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.HingeFromEdge faceFlag:&lt;integer&gt;\n\
\n\
faceFlag default value: 1\n\
</pre></div><p>Hinge from edge the polygons defined by the flags.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"bevel\"></a><h3 id=\"bevel\">Bevel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.bevelFaces &lt;float&gt;height &lt;float&gt;outline [faceFlags:&lt;integer&gt;]\n\
\n\
faceFlags default value: 1\n\
</pre></div><p>Bevels the polygons defined by <span class=\'code\'>faceFlags</span> using the specified amount and outline values.</p>\n\
<p>By default, uses flag 1 that means selected polygons.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --create a futuristic skyline through random bevels p = convertToPoly(Plane()) --create a plane, convert to Epoly for i = 1 to 50 do --repeat 50 times ( polyop.setFaceSelection p #{(random 1 16)} --select a random polygon p.bevelFaces 5.0 (random 0.0 -1.0) --randomly bevel the selection )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A3614E9F-069E-47B3-A0D7-7AE73329F82F-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"chamfer\"></a><h3 id=\"chamfer\">Chamfer</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.chamferVertices &lt;float&gt;amount open:&lt;boolean&gt;\n\
\n\
open default value: false\n\
</pre></div><p>Chamfer the selected vertices using the specified amount.</p>\n\
<p>If the optional <span class=\'code\'>open:</span> keyword is supplied and set to <span class=\'code\'>true</span> , the new faces generated by the chamfer operation will be removed leaving an opening.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly (Plane()) --create a plane, convert to Epoly polyop.setVertSelection p #{1,5,21,25} --select the corner vertices p.EditablePoly.chamferVertices 5.0 --chamfer the selection</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.chamferEdges &lt;float&gt;amount open:&lt;boolean&gt;\n\
\n\
open default value: false\n\
</pre></div><p>Chamfers the selected edges using the specified amount.</p>\n\
<p>If the optional <span class=\'code\'>open:</span> keyword is supplied and set to <span class=\'code\'>true</span> , the new faces generated by the chamfer operation will be removed leaving an opening.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly (Plane()) --create a plane, convert to Epoly polyop.setEdgeSelection p #{7,10} --select two side edges p.EditablePoly.chamferEdges 5.0 --chamfer the selection</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-F9A3535A-3407-4FAC-8105-F0B05DF98B19-low.gif\' title=\'\'> <img src=\'developer/images/GUID-056FECD2-5BF9-42D9-98B0-76A266CB697A-low.gif\' title=\'\'></p>\n\
<div class=\'section\'><a id=\"bridge\"></a><h3 id=\"bridge\">Bridge</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.Bridgesel Level:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1\n\
</pre></div><p>Creates a bridge using the specified selection level and flags.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<p>Note: There are a number of Properties controlling the result of the Bridge method. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#bridge\' title=\'\'>Editable Poly Properties - Bridge</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b = box() --create a box b.heightsegs = b.widthsegs = b.lengthsegs = 5 --set segments to 5 convertToPoly(b) --convert to Editable Poly --select the central faces on both sides of the box: polyOp.setFaceSelection b #{57..59, 62..64, 67..69, 107..109, 112..114, 117..119} b.bridgeSegments = 5 --set the bridge segments property to 5 b.bridge selLevel: #Face --bridge the selected polygons</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-0798A6CC-3BD2-48F6-A5CD-EFABEFEFD8D8-low.gif\' title=\'\'> <img src=\'developer/images/GUID-C5E8F0E8-10AC-47A9-B709-5D3CD2EB4187-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.ReadyToBridgeFlagged selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1\n\
</pre></div><p>Returns true if the specified selection level and flags are ready to be bridged, false otherwise.</p>\n\
<div class=\'section\'><a id=\"relax\"></a><h3 id=\"relax\">Relax</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.Relax selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1\n\
</pre></div><p>Relaxes the vertices using the specified selection level and flags.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<p>Note: There are a number of Properties controlling the result of the Relax method. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#relax\' title=\'\'>Editable Poly Properties - Relax</a> for details.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b = box() --create a box b.heightsegs = b.widthsegs = b.lengthsegs = 5 --set segments to 5 convertToPoly(b) --convert to Editable Poly b.relaxAmount = 1.5 --set the relax amount property to 1.5 b.relax selLevel:#Object --relax the whole mesh b2 = box() --create another box b2.heightsegs = b2.widthsegs = b2.lengthsegs = 5 --set segments to 5 convertToPoly(b2) --convert to Editable Poly b2.relaxAmount = -1.5 --set the relax amount property to-1.5 b2.pos = [40,0,0] --place the box 40 units from the first one b2.relax selLevel:#Object --relax the whole mesh</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E1745D64-7AED-4007-85A3-735C5D4FF13B-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"slice\"></a><h3 id=\"slice\">Slice</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.slice &lt;point3&gt;slicePlaneNormal &lt;point3&gt;slicePlaneCenter [flaggedFacesOnly:&lt;boolean&gt;] [faceFlags:&lt;integer&gt;]\n\
\n\
flaggedFacesOnly default value: false\n\
faceFlags default value: 1\n\
</pre></div><p>Slices using a slice plane defined by the normal vector and center. Both values are specified in local coordinates.</p>\n\
<p>When <span class=\'code\'>flaggedFacesOnly</span> is set to <span class=\'code\'>true</span> , only polygons specified by <span class=\'code\'>faceFlags</span> will be affected (the flag is 1 by default, in other words, selected polygons). Operates by default on the whole EditablePoly object. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --create a box, convert to Epoly p = convertToPoly(Box()) --slice using a diagonal plane at height 10 p.slice [0,1,1] [0,0,10] --select a side polygon polyop.setFaceSelection p #{3} --slice the selected polygon only using a horizontal plane at height 15 p.slice [0,0,1] [0,0,15] flaggedFacesOnly:true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-60092B87-E0C8-40ED-9149-76CFD08F1A22-low.gif\' title=\'\'> <img src=\'developer/images/GUID-926ACFDE-F2F0-4999-9902-12288EA40B7E-low.gif\' title=\'\'></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DA0582DF-28B2-492A-A4D5-E00D8846D2F9-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;inSlicePlaneMode ()\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the EditablePoly is in slice plane mode.</p>\n\
<div class=\'section\'><a id=\"cut\"></a><h3 id=\"cut\">Cut</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.cutVertices &lt;index&gt;startVertex &lt;point3&gt;endPosition &lt;point3&gt;viewDirection\n\
</pre></div><p>Cut using a plane defined by the start vertex, the specified point, and the view direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.cutEdges &lt;index&gt;startEdge &lt;float&gt;startProportion &lt;index&gt;endEdge &lt;float&gt;endProportion &lt;point3&gt;viewDirection\n\
</pre></div><p>Cut using a plane defined by the point specified by the two edges and proportions, and the view direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.cutFaces &lt;index&gt;startFace &lt;point3&gt;startPosition &lt;point3&gt;endPosition &lt;point3&gt;viewDirection\n\
</pre></div><p>Cut using a plane defined by the point specified by the two face positions and the view direction.</p>\n\
<div class=\'section\'><a id=\"weld\"></a><h3 id=\"weld\">Weld</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.weldVerts &lt;index&gt;vertex1 &lt;index&gt;vertex2 &lt;point3&gt;destinationPoint\n\
</pre></div><p>Weld the two specified vertices and move the resulting vertex to the specified position.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.weldEdges &lt;index&gt;edge1 &lt;index&gt;edge2\n\
</pre></div><p>Weld the two specified edges.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.weldFlaggedVertices [vertexFlags:&lt;integer&gt;]\n\
\n\
vertexFlags default value: 1\n\
</pre></div><p>Weld the vertices defined by the supplied flags.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.weldFlaggedEdges [edgeFlags:&lt;integer&gt;]\n\
\n\
edgeFlags default value: 1\n\
</pre></div><p>Weld the edges defined by the supplied flags.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"create-shape-from-edges\"></a><h3 id=\"create-shape-from-edges\">Create Shape from edges</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.createShape &lt;string&gt;shapeName &lt;boolean&gt;curved &lt;node&gt;myNode edgeFlags:&lt;integer&gt;\n\
\n\
edgeFlags default value: 1\n\
</pre></div><p>Create a shape from the edges defined by the supplied flags.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"make-planar\"></a><h3 id=\"make-planar\">Make Planar</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.makePlanar &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1\n\
</pre></div><p>Make the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level planar.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.moveToPlane &lt;point3&gt;planeNormal &lt;float&gt;planeOffset &lt;enum&gt;mnSelLevel flags:&lt;integer&gt;\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1\n\
</pre></div><p>Move the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level to the specified plane. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly polyop.setVertSelection p #{7,8,12,13} --select some vertices p.movetoplane [0,0,1] 5.0 #Vertex --move 5.0 units along +Z</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2729842E-216B-460B-B5AF-04480CB707D9-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.alignToGrid &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1\n\
</pre></div><p>Align the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level to the active grid. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Box()) --create a Box, convert to Epoly polyop.setVertSelection p #{5,6} --select two top vertices select p --select the EPoly p.AlignToGrid #Vertex --align vertices to current grid</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-2FCE7421-7122-46C6-8EB3-15172DA1D848-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BAABBF49-F97A-4018-8747-97273E7AE701-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.alignToView &lt;enum&gt;mnSelLevel [flags:&lt;integer&gt;]\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1\n\
</pre></div><p>Align the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level to the active view. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly polyop.setVertSelection p #{7,8,12,13} --select some vertices p.EditablePoly.alignToView #Vertex --align to current view</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.MakePlanarIn &lt;enum&gt;axis selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
axis enums: {#X|#Y|#Z}\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value:#CurrentLevel\n\
flag default value: 1\n\
</pre></div><p>Makes the elements in the given sub-level specified by the flag bits planar relatively to the specified axis.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"subdivide\"></a><h3 id=\"subdivide\">Subdivide</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.meshSmooth &lt;enum&gt;mnSelLevel flags:&lt;integer&gt;\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1\n\
</pre></div><p>Apply MeshSmooth the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Box()) --create a Box, convert to Epoly polyop.setVertSelection p #{1} --select a vertex --apply meshSmooth 3 times to the selected vertex: for i = 1 to 3 do p.meshSmooth #Vertex</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-741C16B0-39C4-45BB-ACCF-9541DB8252B0-low.gif\' title=\'\'> <img src=\'developer/images/GUID-FB0B3748-382C-4ACE-A37D-18F038F698B6-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-1C3C5663-F3CF-45BC-AC6F-5DFE67F7CCE0-low.gif\' title=\'\'> <img src=\'developer/images/GUID-FF863BEA-DA93-4D81-8A31-B763001930FE-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.tessellate &lt;enum&gt;mnSelLevelflags:&lt;integer&gt;\n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
flags default value: 1\n\
</pre></div><p>Tessellate the sub-objects defined by <span class=\'code\'>flags</span> in the specified sub-object level.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Box()) --create a Box, convert to Epoly polyop.setVertSelection p #{1} --select a vertex --apply tessellate 3 times to the selected vertex: for i = 1 to 3 do p.tessellate #Vertex</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-741C16B0-39C4-45BB-ACCF-9541DB8252B0-low.gif\' title=\'\'> <img src=\'developer/images/GUID-0A7A9E84-4FA1-4E01-B33F-46922BAACAC8-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-A3812433-D81B-488C-A541-5B3001728C63-low.gif\' title=\'\'> <img src=\'developer/images/GUID-6375EA18-7590-456E-8CC3-B54D7C7A9DB0-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.forceSubdivision()\n\
</pre></div><p>Force subdivision.</p>\n\
<div class=\'section\'><a id=\"triangulation\"></a><h3 id=\"triangulation\">Triangulation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setDiagonal &lt;index&gt;face &lt;index&gt;corner1 &lt;index&gt;corner2\n\
</pre></div><p>Set a diagonal in the specified face from corner1 to corner2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.retriangulate &lt;integer&gt;faceFlags\n\
</pre></div><p>Retriangulate the faces defined by <span class=\'code\'>faceFlags</span> .</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.TurnDiagonal &lt;index&gt;face &lt;index&gt;diagonal\n\
</pre></div><p>Turn the indexed diagonal of the indexed face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.flipNormals &lt;integer&gt;faceFlags\n\
</pre></div><p>Flip the normals of the faces defined by <span class=\'code\'>faceFlags</span> .</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"select-faces-by...\"></a><h3 id=\"select-faces-by...\">Select Faces By...</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.selectByMaterial &lt;index&gt;materialID [clearCurrentSelection:&lt;boolean&gt;]\n\
\n\
clearCurrentSelection default value: true\n\
</pre></div><p>Select the faces with the specified materialID.</p>\n\
<p>If the optional <span class=\'code\'>clearCurrentSelection</span> is set to <span class=\'code\'>false</span> , the existing selection will be kept.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.selectBySmoothGroup &lt;integer&gt;smoothingGroups [clearCurrentSelection:&lt;boolean&gt;]\n\
\n\
clearCurrentSelection default value: true\n\
</pre></div><p>Select the faces with the specified smoothing groups.</p>\n\
<p>If the optional <span class=\'code\'>clearCurrentSelection</span> is set to <span class=\'code\'>false</span> , the existing selection will be kept.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.autosmooth()\n\
</pre></div><p>Generate smoothing groups automatically based on face angles.</p>\n\
<div class=\'section\'><a id=\"ui-commands\"></a><h3 id=\"ui-commands\">UI Commands</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.buttonOp &lt;enum&gt;buttonOpID\n\
\n\
buttonOpID enums: {#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | \n\
#SelectEdgeRing | #HideSelection | #HideUnselected | #UnhideAll | #NamedSelectionCopy | \n\
#NamedSelectionPaste | #Cap | #Delete | #Remove | #Detach | #AttachList | #SplitEdges | \n\
#BreakVertex | #Collapse | #ResetSlicePlane | #Slice | #WeldSelected | #CreateShape | \n\
#MakePlanar | #AlignGrid | #AlignView | #RemoveIsoVerts | #MeshSmooth | #Tessellate | \n\
#Update | #SelectByVertexColor | #Retriangulate | #FlipNormals | #SelectByMatID | \n\
#SelectBySmoothingGroups | #Autosmooth | #ClearSmoothingGroups| \n\
#Extrude | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | \n\
#ConnectEdges | #ConnectVertices | #Chamfer | #Cut | #RemoveIsoMapVerts | \n\
#ToggleShadedFaces | #MakePlanarInX | #MakePlanarInY |#MakePlanarInZ |#Relax | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges}\n\
</pre></div><p>Presses the specified Editable_Poly UI button.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Box, convert to Epoly polyop.setFaceSelection p #{6} --select a single polygon select p --select the object max modify mode --go to modify panel subobjectlevel = 4 --go to polygon sub-object level p.ButtonOp #GrowSelection --grow the selection</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.toggleCommandMode &lt;enum&gt;commandModeID\n\
\n\
commandModeID enums: { #CreateVertex | #CreateEdge | #CreateFace | #DivideEdge | #DivideFace | \n\
#ExtrudeVertex | #ExtrudeEdge | #ExtrudeFace | #ChamferVertex | #ChamferEdge | #Bevel | \n\
#SlicePlane | #CutVertex | #CutEdge | #CutFace | #Weld | #EditTriangulation | #InsetFace | \n\
#QuickSlice | #HingeFromEdge | #PickLiftEdge | #OutlineFace}\n\
\n\
</pre></div><p>Presses the specified Editable_Poly UI button to enter a command mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;EditablePoly&gt;.getCommandMode \n\
</pre></div><p>Returns the current command mode (see the enums for <span class=\'code\'>toggleCommandMode()</span> above), or -1 if no command mode is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.enterPickMode &lt;enum&gt;pickModeID\n\
\n\
pickModeID enums: {#Attach|#PickShape}\n\
</pre></div><p>Presses the button to enter the specified pick mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.exitCommandModes ()\n\
</pre></div><p>Exits any active command mode.</p>\n\
<div class=\'section\'><a id=\"getset-by-flag\"></a><h3 id=\"getset-by-flag\">Get/Set By Flag</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.getVerticesByFlag &lt;&amp;bitArray&gt;vertexSet &lt;integer&gt;flagsRequested [flagMask:&lt;integer&gt;]\n\
\n\
vertexSet is In and Out parameter\n\
flagMask default value: 0\n\
</pre></div><p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>Each vertex in a poly contains a 32 bit flag variable.</p>\n\
<p>This method returns a by-reference bitarray of the vertices that have specific bits in this flag variable set, where the bits being tested are based on a combination of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Internally, if &lt; <span class=\'code\'>flagMask</span> &gt; is 0 then &lt; <span class=\'code\'>flagMask</span> &gt; is set to the &lt; <span class=\'code\'>flagsRequested</span> &gt; value, otherwise &lt; <span class=\'code\'>flagsRequested</span> &gt; is set to the bitwise-AND of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Bit 2 of &lt; <span class=\'code\'>flagMask</span> &gt; is then set, which prevents dead vertices from being included in the resulting bitarray unless this bit was set in &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and &lt; <span class=\'code\'>flagMask</span> &gt; is equal to the bitwise-AND of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` my_array= #{} --define an empty bitarray b = bit.Set 0 1 true --set the first bit to true --now call the function and supply the empty array as --In parameter by reference and the flag bit to filter out $.getVerticesByFlag&amp;my_array b --Now look at the content of the bitarray - --it will contain the vertices that have their first flag bit set --(bit 1 stands for selected, so it will contain the vertex selection) print my_array</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.getEdgesByFlag &lt;&amp;bitArray&gt;edgeSet &lt;integer&gt;flagsRequested [flagMask:&lt;integer&gt;]\n\
\n\
edgeSet is In and Out parameter\n\
flagMask default value: 0\n\
</pre></div><p>Get all edges whose flag bits are set to the ones supplied by <span class=\'code\'>flagsRequested</span> . Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>Each edge contains a 32 bit flag variable. This method returns a by-reference bitarray of the edges that have specific bits in this flag variable set, where the bits being tested are based on a combination of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Internally, if &lt; <span class=\'code\'>flagMask</span> &gt; is 0 then &lt; <span class=\'code\'>flagMask</span> &gt; is set to the &lt; <span class=\'code\'>flagsRequested</span> &gt; value, otherwise &lt; <span class=\'code\'>flagsRequested</span> &gt; is set to the bitwise-AND of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Bit 2 of &lt; <span class=\'code\'>flagMask</span> &gt; is then set, which prevents dead edges from being included in the resulting bitarray unless this bit was set in &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and &lt; <span class=\'code\'>flagMask</span> &gt; is equal to the bitwise-AND of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` my_array= #{} --define an empty bitarray b = bit.Set 0 1 true --set the first bit to true --now call the function and supply the empty array as --In parameter by reference and the flag bit to filter out $.getEdgesByFlag&amp;my_array b --Now look at the content of the bitarray: --it will contain the edges that have their first flag bit set --(bit 1 stands for selected, so it will contain the edge selection) print my_array</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.getFacesByFlag &lt;&amp;bitArray&gt;faceSet &lt;integer&gt;flagsRequested [flagMask:&lt;integer&gt;]\n\
\n\
faceSet is In and Out parameter\n\
flagMask default value: 0\n\
</pre></div><p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>Each face contains a 32 bit flag variable.</p>\n\
<p>This method returns a by-reference bitarray of the faces that have specific bits in this flag variable set, where the bits being tested are based on a combination of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Internally, if &lt; <span class=\'code\'>flagMask</span> &gt; is 0 then &lt; <span class=\'code\'>flagMask</span> &gt; is set to the &lt; <span class=\'code\'>flagsRequested</span> &gt; value, otherwise &lt; <span class=\'code\'>flagsRequested</span> &gt; is set to the bitwise-AND of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Bit 2 of &lt; <span class=\'code\'>flagMask</span> &gt; is then set, which prevents dead faces from being included in the resulting bitarray unless this bit was set in &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>Each bit in the resulting bitarray is set if the bitwise-AND of the flag variable and &lt; <span class=\'code\'>flagMask</span> &gt; is equal to the bitwise-AND of &lt; <span class=\'code\'>flagsRequested</span> &gt; and &lt; <span class=\'code\'>flagMask</span> &gt;.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` my_array= #{} --define an empty bitarray b = bit.Set 0 1 true --set the first bit to true --now call the function and supply the empty array as --In parameter by reference and the flag bit to filter out $.getFacesByFlag&amp;my_array b --Now look at the content of the bitarray: --it will contain the faces that have their first flag bit set --(bit 1 stands for selected, so it will contain the face selection) print my_array</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setVertexFlags &lt;&amp;bitArray&gt;vertexSet &lt;integer&gt;flagsToSet [flagMask:&lt;integer&gt;] generateUndoRecord:&lt;boolean&gt;\n\
\n\
vertexSet is In and Out parameter\n\
flagMask default value: 0\n\
</pre></div><p>Set the flag bits of the vertices supplied by the <span class=\'code\'>vertexSet</span> bitarray to the bits supplied by <span class=\'code\'>flagsToSet</span> .</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly my_array= #{1,2,3,4} --define an bitarray with some bits set b = bit.Set 0 1 true --set the first bit to true --now call the function and supply the array as --In parameter by reference and the flag bit to get p.setVertexFlags&amp;my_array b --Since flag bit 1 stands for selected, the above will basically select --the first 4 vertices in the EditablePoly by setting the --corresponding flag bits. So let&#39;s take a look: select p --select the plane max modify mode --go to modify panel subObjectLevel = 1 --set sub-object level to vertex - --the first 4 vertices should be selected</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setEdgeFlags &lt;&amp;bitArray&gt;edgeSet &lt;integer&gt;flagsToSet [flagMask:&lt;integer&gt;] generateUndoRecord:&lt;boolean&gt;\n\
\n\
edgeSet is In and Out parameter\n\
flagMask default value: 0\n\
</pre></div><p>Set the flag bits of the edges supplied by the <span class=\'code\'>edgeSet</span> bitarray to the bits supplied by <span class=\'code\'>flagsToSet</span> .</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly my_array= #{1,2,3,4} --define an bitarray with some bits set b = bit.Set 0 1 true --set the first bit to true --now call the function and supply the array as --In parameter by reference and the flag bit to get p.setEdgeFlags&amp;my_array b --Since flag bit 1 stands for selected, the above will basically select --the first 4 vertices in the EditablePoly by setting the --corresponding flag bits. So let&#39;s take a look: select p --select the plane max modify mode --go to modify panel subObjectLevel = 2 --set sub-object level to edge - --the first 4 edges should be selected</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setFaceFlags &lt;&amp;bitArray&gt;faceSet &lt;integer&gt;flagsToSet [flagMask:&lt;integer&gt;] generateUndoRecord:&lt;boolean&gt;\n\
\n\
faceSet is In and Out parameter\n\
flagMask default value: 0\n\
</pre></div><p>Set the flag bits of the faces supplied by the <span class=\'code\'>faceSet</span> bitarray to the bits supplied by <span class=\'code\'>flagsToSet</span> .</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a plane, convert to Epoly my_array= #{1,2,3,4} --define an bitarray with some bits set b = bit.Set 0 1 true --set the first bit to true --now call the function and supply the array as --In parameter by reference and the flag bit to get p.setFaceFlags&amp;my_array b --Since flag bit 1 stands for selected, the above will basically select --the first 4 vertices in the EditablePoly by setting the --corresponding flag bits. So let&#39;s take a look: select p --select the plane max modify mode --go to modify panel subObjectLevel = 4 --set sub-object level to face - --the first 4 faces should be selected</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"slice-plane\"></a><h3 id=\"slice-plane\">Slice Plane</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.resetSlicePlane ()\n\
</pre></div><p>Reset the slice plane transformations to their defaults.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.getSlicePlane &lt;&amp;point3&gt;planeNormal &lt;&amp;point3&gt;planeCenter &lt;*float&gt;planeSize\n\
\n\
planeNormal is In and Out parameter\n\
planeCenter is In and Out parameter\n\
planeSize is In and Out parameter\n\
</pre></div><p>Get the orientation, center, and size of the slice plane.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Define variables to hold the Out parameters: plane_normal = Point3 0 0 0 plane_center = Point3 0 0 0 plane_size = 1.0 --Call the function and supply the variables by reference as In parameters $.getSlicePlane &amp;plane_normal &amp;plane_center &amp;plane_size --The variables will now contain the actual values of the slice plane: plane_normal plane_center plane_size</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setSlicePlane &lt;&amp;point3&gt;planeNormal &lt;&amp;point3&gt;planeCenter &lt;float&gt;planeSize\n\
\n\
planeNormal is In and Out parameter\n\
planeCenter is In and Out parameter\n\
\n\
</pre></div><p>Set the orientation, center, and size of the slice plane.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Define variables to hold the In parameters: plane_normal = Point3 0 1 0 plane_center = Point3 5 5 6 --Call the function and supply the variables by reference as In parameters $.setSlicePlane &amp;plane_normal &amp;plane_center 20.0 --The slice plane transforms should have changed</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"getset-data\"></a><h3 id=\"getset-data\">Get/Set Data</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;EditablePoly&gt;.getVertexData &lt;integer&gt;vertexDataChannel &lt;*integer&gt;numberSelected &lt;*bool&gt;uniformData [vertexFlags:&lt;integer&gt;]\n\
\n\
numberSelected is In and Out parameter\n\
uniformData is In and Out parameter\n\
vertexFlags default value: 1\n\
</pre></div><p>Get the vertex data stored in the specified <span class=\'code\'>vertexDataChannel</span> .</p>\n\
<p>The number of vertices with stored values in this channel will be written to the passed by reference variable <span class=\'code\'>numberSelected</span> .</p>\n\
<p>If all vertices contain the same value, the passed by reference boolean variable <span class=\'code\'>uniformData</span> will contain <span class=\'code\'>true</span> , otherwise <span class=\'code\'>false</span> .</p>\n\
<p>If <span class=\'code\'>vertexFlags</span> is specified, only values from the flagged vertices will be read.</p>\n\
<p>Returns the value stored in the first vertex encountered (the vertex with lower index).</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a> for descriptions of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;EditablePoly&gt;.getEdgeData &lt;integer&gt;edgeDataChannel &lt;*integer&gt;numberSelected &lt;*bool&gt;uniformData [edgeFlags:&lt;integer&gt;]\n\
\n\
numberSelected is In and Out parameter\n\
uniformData is In and Out parameter\n\
edgeFlags default value: 1\n\
</pre></div><p>Get the edge data stored in the specified <span class=\'code\'>edgeDataChannel</span> .</p>\n\
<p>The number of edges with stored values in this channel will be written to the passed by reference variable <span class=\'code\'>numberSelected</span> .</p>\n\
<p>If all edges contain the same value, the passed by reference boolean variable <span class=\'code\'>uniformData</span> will contain <span class=\'code\'>true</span> , otherwise <span class=\'code\'>false</span> .</p>\n\
<p>If <span class=\'code\'>edgeFlags</span> is specified, only values from the flagged edges will be read.</p>\n\
<p>Returns the value of the first edge encountered (the edge with lower index)</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setVertexData &lt;integer&gt;vertexDataChannel &lt;float&gt;value vertexFlags:&lt;integer&gt;\n\
\n\
vertexFlags default value: 1\n\
</pre></div><p>Set the vertex data stored in the specified <span class=\'code\'>vertexDataChannel</span> to the provided value. If <span class=\'code\'>vertexFlags</span> is specified, only flagged vertices will be affected.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setEdgeData &lt;integer&gt;edgeDataChannel &lt;float&gt;value [edgeFlags:&lt;integer&gt;]\n\
\n\
edgeFlags default value: 1\n\
</pre></div><p>Set the edge data stored in the specified <span class=\'code\'>edgeDataChannel</span> to the provided value. If <span class=\'code\'>edgeFlags</span> is specified, only flagged edges will be affected.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --&gt;$Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000] polyop.setVertSelection p #{1,2} --select vertices 1 and 2 --&gt;OK numsel = 1 --define a variable to pass by reference --&gt;1 --it will contain the number of vertices uniform = false --define a boolean var. for uniformity --&gt;false --will be true when values are uniform p.getVertexData 1 &amp;numsel &amp;uniform --check default values --&gt;1.0 --default value returned is 1.0 numsel--look at the selection number again --&gt;2 --two vertices were encountered uniform --check the uniformity --&gt;true --both vertices had the same value p.setVertexData 1 100.0 --now change values to 100.0 --&gt;OK p.getVertexData 1 &amp;numsel &amp;uniform --and read it back --&gt;100.0 --the value has changed! numsel --look at the selection number again --&gt;2 --still two vertices encountered uniform --check the uniformity --&gt;true --both vertices still have the same value polyop.setVertSelection p #{3} --select vertex 3 alone --&gt;OK p.setVertexData 1 200.0 --change value to 200.0 --&gt;OK p.getVertexData 1 &amp;numsel &amp;uniform --get the value --&gt;200.0 --it is 200.0 as desired polyop.setVertSelection p #{1,2,3} --select all 3 vertices --&gt;OK p.getVertexData 1 &amp;numsel &amp;uniform --get all 3 values --&gt;100.0 --result is 100.0 because vert.1 is the first encountered numsel --check how many vertices have been selected --&gt;3 --we selected 3 and there were actually 3 uniform --were the values uniform? --&gt;false --we have two 100.0 and one 200.0 value, not uniform</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.resetVertexData &lt;integer&gt;vertexDataChannel\n\
</pre></div><p>Reset the vertex data stored in the specified <span class=\'code\'>vertexDataChannel</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.resetEdgeData &lt;integer&gt;edgeDataChannel\n\
</pre></div><p>Reset the vertex data stored in the specified <span class=\'code\'>edgeDataChannel</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.beginModifyPerData &lt;enum&gt;mnSelLevel &lt;integer&gt;dataChannel \n\
\n\
mnSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p>Puts the EditablePoly object into ModifyPerData state.</p>\n\
<p>This makes all changes to the specified sub-object level and dataChannel conditional.</p>\n\
<p>At the end of the data changes, <span class=\'code\'>endModifyPerData</span> has to be called with a boolean parameter to commit or discard the changes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.inModifyPerData ()\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the object is currently in ModfyPerData state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.endModifyPerData &lt;boolean&gt;success\n\
</pre></div><p>Exits the ModifyPerData state.</p>\n\
<p>If <span class=\'code\'>true</span> is supplied for success, the changes will be committed.</p>\n\
<p>If <span class=\'code\'>false</span> is supplied for success, the changes will be discarded.</p>\n\
<p>See also <span class=\'code\'>beginModifyPerData</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --&gt;$Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000] polyop.setVertSelection p #{1,2} --select vertices 1 and 2 --&gt;OK numsel = 1 --define a variable to pass by reference --&gt;1 --it will contain the number of vertices uniform = false --define a boolean var. for uniformity --&gt;false --will be true when values are uniform p.getVertexData 1 &amp;numsel &amp;uniform --check default values --&gt;1.0 --default value returned is 1.0 p.beginModifyPerData #vertex 1 --begin Modify Data state --&gt;OK p.setVertexData 1 100.0 --change values to 100.0 --&gt;OK p.endModifyPerData false --end Modify state, say it failed --&gt;OK p.getVertexData 1 &amp;numsel &amp;uniform --check the value --&gt;1.0 --the value has NOT changed! p.beginModifyPerData #vertex 1 --again Modify Data state --&gt;OK p.setVertexData 1 100.0 --change values to 100.0 --&gt;OK p.endModifyPerData true --end Modify state with success! --&gt;OK p.getVertexData 1 &amp;numsel &amp;uniform --check the value --&gt;100.0 --the value has changed as we notified success!</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.getMaterialIndex &lt;*bool&gt;determined\n\
\n\
determined is In and Out parameter\n\
</pre></div><p>Returns the material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setMaterialIndex &lt;index&gt;index &lt;integer&gt;faceFlags\n\
</pre></div><p>Set the material ID of the faces specified by the supplied flags.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.getSmoothingGroups &lt;integer&gt;faceFlag &lt;*DWORD&gt;anyFaces &lt;*DWORD&gt;allFaces\n\
\n\
\n\
anyFaces is In and Out parameter\n\
allFaces is In and Out parameter\n\
\n\
</pre></div><p>Get the smoothing groups of the specified faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setSmoothingGroups &lt;integer&gt;bitValues &lt;integer&gt;bitMask &lt;integer&gt;faceFlags\n\
</pre></div><p>Set the smoothing groups of the specified faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.collapseDeadStructures()\n\
</pre></div><p>Collapses all dead structures.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.propogateComponentFlags &lt;enum&gt;mnSelLevelTo &lt;integer&gt;flagSetTo &lt;enum&gt;mnSelLevelFrom &lt;integer&gt;flagTestFrom \\\n\
[allBitsMustMatch:&lt;boolean&gt;] [set:&lt;boolean&gt;] [undoable:&lt;boolean&gt;]\n\
\n\
mnSelLevelTo enums: { #Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
mnSelLevelFrom enums: { #Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
allBitsMustMatch default value: false\n\
set default value: true\n\
undoable default value: false\n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"preview-mode\"></a><h3 id=\"preview-mode\">Preview Mode</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.PreviewBegin &lt;enum&gt;previewOperation\n\
\n\
previewOperation enums:{ #GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | \n\
#HideSelection | #HideUnselected | UnhideAll | #NamedSelectionCopy | #NamedSelectionPaste | \n\
#Cap | #Delete | #Remove | #Detach | #AttachList | #SplitEdges | #BreakVertex | #Collapse | \n\
#ResetSlicePlane | #Slice | #WeldSelected | #CreateShape | #MakePlanar | #AlignGrid | #AlignView | \n\
#RemoveIsoVerts | #MeshSmooth | #Tessellate | #Update | #SelectByVertexColor | #Retriangulate | \n\
#FlipNormals | #SelectByMatID | #SelectBySmoothingGroups | #Autosmooth | #ClearSmoothingGroups | \n\
#Extrude | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | \n\
#ConnectEdges | #ConnectVertices | #Chamfer | #Cut | #RemoveIsoMapVerts | #ToggleShadedFaces | \n\
#MakePlanarInX | #MakePlanarInY |#MakePlanarInZ | #Relax | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #MakeHardEdges | #MakeSmoothEdges | #SelectHardEdges | #SelectSmoothEdges}\n\
</pre></div><p>Preview the specified operation. Lets you create interactive dialogs for manipulating sub-object selections in realtime.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The following script creates a plane and a small menu to interactively --extrude selected polygons. p = convertToPoly(Plane()) --create a plane, turn to Epoly. select p --select the plane max modify mode --enter Modify panel subobjectlevel = 4 --set Sub-Object mode to Polygon rollout extrude_faces&quot;Extrude&quot; --define a rollout ( button try_it&quot;Preview&quot;across:3 --a button to start a new extrusion button cancel_it&quot;Cancel&quot; --a button to cancel preview button accept_it&quot;Accept&quot; --a button to accept the extrusion on cancel_it pressed do p.previewCancel() --cancel on accept_it pressed do p.previewAccept() --accept on try_it pressed do p.previewBegin #Extrude --begin again ) createDialog extrude_faces 200 30 --create a dialog with the rollout --Run the script, select some polygons, press Preview --and watch them extrude interactively. --Press Accept if you like the result, press Cancel to discard. --Press Preview again for next extrusion etc.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.PreviewCancel ()\n\
</pre></div><p>Cancel the interactive preview.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.PreviewAccept ()\n\
</pre></div><p>Accept the interactive preview results.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.PreviewInvalidate ()\n\
</pre></div><p>Invalidates the preview results.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.PreviewOn ()\n\
</pre></div><p>Enables preview mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.PreviewSetDragging &lt;boolean&gt;dragging\n\
</pre></div><p>Enables/Disables preview dragging.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.PreviewGetDragging ()\n\
</pre></div><p>Returns true if preview dragging is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.PopupDialog &lt;enum&gt;popupOperation\n\
\n\
popupOperation enums:{#GrowSelection | #ShrinkSelection | #SelectEdgeLoop | #SelectEdgeRing | \n\
#HideSelection | #HideUnselected | #UnhideAll | #NamedSelectionCopy | #NamedSelectionPaste | \n\
#Cap | #Delete | #Remove | #Detach | #AttachList | #SplitEdges | #BreakVertex | #Collapse | \n\
#ResetSlicePlane | #Slice | #WeldSelected | #CreateShape | #MakePlanar | #AlignGrid | #AlignView | \n\
#RemoveIsoVerts | #MeshSmooth | #Tessellate | #Update | #SelectByVertexColor | #Retriangulate | \n\
#FlipNormals | #SelectByMatID | #SelectBySmoothingGroups #Autosmooth | #ClearSmoothingGroups | \n\
#Extrude | #Bevel | #Inset | #Outline | #ExtrudeAlongSpline | #HingeFromEdge | \n\
#ConnectEdges | #ConnectVertices | #Chamfer | #Cut | #RemoveIsoMapVerts | #ToggleShadedFaces | \n\
#MakePlanarInX | #MakePlanarInY |#MakePlanarInZ | #Relax | #BridgeBorder | #BridgePolygon | #BridgeEdge | #PreserveUVSettings | #MakeHardEdges | #MakeSmoothEdges |#SelectHardEdges | #SelectSmoothEdges}\n\
</pre></div><p>Push the popup dialog&#39;s button for the specified interactive operation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.ClosePopupDialog ()\n\
</pre></div><p>Close the popup dialog.</p>\n\
<div class=\'section\'><a id=\"last-operation\"></a><h3 id=\"last-operation\">Last Operation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.RepeatLastOperation ()\n\
</pre></div><p>Repeat the last operation in the current sub-object level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetLastOperation ()\n\
</pre></div><p>Returns the ID of the last operation in the current sub-object level.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"convert-selection\"></a><h3 id=\"convert-selection\">Convert Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.GrowSelection selLevel:&lt;enum&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value: #CurrentLevel\n\
</pre></div><p>Grow the selection in the specified sub-object level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.ShrinkSelection selLevel:&lt;enum&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value: #CurrentLevel\n\
</pre></div><p>Shrink the selection in the specified sub-object level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.ConvertSelection &lt;enum&gt;fromSelLevel &lt;enum&gt;toSelLevel [requireAll:&lt;boolean&gt;]\n\
\n\
fromSelLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
toSelLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
requireAll default value: false\n\
</pre></div><p>Convert the selection from the specified source sub-object level to the specified target sub-object level. Returns the number of selected target sub-object elements.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.SelectBorder ()\n\
</pre></div><p>Select the borders containing the currently selected edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.SelectElement ()\n\
</pre></div><p>Select the elements containing the currently selected faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.SelectEdgeLoop ()\n\
</pre></div><p>Select the edge loops containing the currently selected edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.SelectEdgeRing ()\n\
</pre></div><p>Select the edge rings using the currently selected edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setRingShift &lt;integer&gt;RingShiftValue &lt;boolean&gt;MoveOnly &lt;boolean&gt;Add\n\
</pre></div><p>Moves the Ring selection.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>RingShiftValue is the quantity of edges to shift.</p>\n\
<p>If MoveOnly is true, the selected edges will be moved, If Add is true and MoveOnly is true, newly selected edges will be added to the current selection.</p>\n\
<p>If MoveOnly is true and Add is false, newly selected edges will be removed to the current selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.setLoopShift &lt;integer&gt;LoopShiftValue &lt;boolean&gt;MoveOnly &lt;boolean&gt;Add\n\
</pre></div><p>Moves the Loop selection.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>LoopShiftValue is the quantity of edges to shift.</p>\n\
<p>If MoveOnly is true, the selected edges will be moved, If Add is true and MoveOnly is true, newly selected edges will be added to the current selection.</p>\n\
<p>If MoveOnly is true and Add is false, newly selected edges will be removed to the current selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.ConvertSelectionToBorder &lt;enum&gt;fromSelLevel &lt;enum&gt;toSelLevel\n\
\n\
fromSelLevel enums:{#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
toSelLevel enums:{#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
</pre></div><p>Converts the current selection to border selection. The first argument represents the sub-object type to convert from, the second one represents the sub-object type to convert to. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"remove\"></a><h3 id=\"remove\">Remove</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.Remove selLevel:&lt;enum&gt; flag:&lt;integer&gt;\n\
\n\
selLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
selLevel default value: #CurrentLevel\n\
flag default value: 1\n\
</pre></div><p>Remove the sub-objects defined by flags from the specified sub-object level. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly polyop.setVertSelection p #{13} --select a vertex p.EditablePoly.Remove selLevel:#Vertex p = convertToPoly(Plane()) --create a Plane, convert to Epoly polyop.setVertSelection p #{13} --select a vertex select p --select object subobjectlevel = 1 --change to vertex level p.Remove() --remove the current selection</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"outline\"></a><h3 id=\"outline\">Outline</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.Outline [faceFlag:&lt;integer&gt;]\n\
\n\
faceFlag default value: 1\n\
</pre></div><p>Outline the polygons defined by the flags. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getFacesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"connect\"></a><h3 id=\"connect\">Connect</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.ConnectEdges edgeFlag:&lt;integer&gt;\n\
\n\
edgeFlag default value: 1\n\
</pre></div><p>Connect the edges defined by the flags. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getEdgesByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.ConnectVertices vertexFlag:&lt;integer&gt;\n\
\n\
vertexFlag default value: 1\n\
</pre></div><p>Connect the vertices defined by the flags. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods/Editable_Poly-Get-By-Flag.html\' title=\'\'>polyOp.getVertsByFlag</a> for a description of the flag bits.</p>\n\
<div class=\'section\'><a id=\"toggle-shaded-faces\"></a><h3 id=\"toggle-shaded-faces\">Toggle Shaded Faces</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.ToggleShadedFaces ()\n\
</pre></div><p>Toggles shaded polygons.</p>\n\
<div class=\'section\'><a id=\"getset-selections\"></a><h3 id=\"getset-selections\">Get/Set Selections</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;EditablePoly&gt;.GetEPolySelLevel ()\n\
\n\
GetEPolySelLevel enums: {#Object|#Vertex|#Edge|#Border|#Face|#Element|#CurrentLevel}\n\
</pre></div><p>Returns the EditablePoly selection level set in the Modify panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;EditablePoly&gt;.GetMeshSelLevel ()\n\
\n\
GetMeshSelLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p>Returns the mesh selection level, this means the sub-object that can be selected in the current sub-object level.</p>\n\
<p>Edge and Border sub-object levels both return #Edge. Polygon and Element sub-object levels both return #Face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;EditablePoly&gt;.GetSelection &lt;enum&gt;selectionLevel\n\
\n\
selectionLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p>Returns the selection from the specified sub-object level as bitarray</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.SetSelection &lt;enum&gt;selectionLevel &lt;bitArray&gt;selection\n\
\n\
selectionLevel enums: {#Object|#Vertex|#Edge|#Face|#CurrentLevel}\n\
</pre></div><p>Set the selection in the specified sub-object level using a bitarray.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly p.SetSelection #Face #{1,2,3} --select polygons 1,2 and 3 p.SetSelection #Vertex #{1,2,3} --select vertices 1,2 and 3</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"get-vertex\"></a><h3 id=\"get-vertex\">Get Vertex</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetNumVertices ()\n\
</pre></div><p>Returns the number of vertices in the EditablePoly.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly num_vert = p.GetNumVertices() --num_vert will contain 25</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;EditablePoly&gt;.GetVertex &lt;index&gt;vertexID\n\
</pre></div><p>Returns the coordinates of the vertex with the specified index.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly --loop through all vertices in the plane and print --the coordinates of each one of them: for i = 1 to p.GetNumVertices() do print (p.GetVertex i)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetVertexFaceCount &lt;index&gt;vertexID\n\
</pre></div><p>Returns the coordinates of the vertex with the specified index.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly --loop through all vertices in the plane and print the number --of polygons that are using each of them: for i = 1 to p.GetNumVertices() do print (p.GetVertexFaceCount i)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.GetVertexFace &lt;index&gt;vertexID &lt;index&gt;face\n\
</pre></div><p>Returns the face index of the Nth polygon sharing the specified vertex (where, N is between 1 and the number of polygons using the vertex).</p>\n\
<p>If the face argument is higher than the number of polygon sharing the vertex, the function will return 0.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly --Print the indices of all faces sharing vertex 13 in the plane. for i = 1 to (p.EditablePoly.GetVertexFaceCount 13) do print (p.EditablePoly.GetVertexFace 13 i)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetVertexEdgeCount &lt;index&gt;vertexID\n\
</pre></div><p>Returns the number of edges sharing the specified vertex.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly p.GetVertexEdgeCount 1 --returns 2 for a corner vertex p.GetVertexEdgeCount 2 --returns 3 for a side vertex p.GetVertexEdgeCount 13 --returns 4 for an inside vertex</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.GetVertexEdge &lt;index&gt;vertexID &lt;index&gt;edge\n\
</pre></div><p>Returns the edge index of the Nth edge sharing the specified vertex (where, N is between 1 and the number of edges sharing the vertex).</p>\n\
<p>If the edge argument is higher than the number of edges sharing the vertex, the function will return 0.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane())--create a Plane, convert to Epoly --Print the indices of all edges sharing vertex 13 in the plane. for i = 1 to (p.GetVertexEdgeCount 13) do print (p.GetEdgeFace 13 i)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"get-edge\"></a><h3 id=\"get-edge\">Get Edge</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetNumEdges ()\n\
</pre></div><p>Returns the number of edges in the EditablePoly.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly num_edges = p.GetNumEdges() --num_edges will contain 40</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.GetEdgeVertex &lt;index&gt;edgeID &lt;index&gt;end\n\
</pre></div><p>Returns the vertex index used by the specified edge.</p>\n\
<p>Since an edge has two vertices, the end argument is needed to define which of the two vertices of the edge to get.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly p.GetEdgeVertex 1 1 --returns vertex 6 p.GetEdgeVertex 1 2 --returns vertex 1 p.GetEdgeVertex 4 1 --returns vertex 1 p.GetEdgeVertex 4 2 --returns vertex 2</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.GetEdgeFace &lt;index&gt;edgeID &lt;index&gt;side\n\
</pre></div><p>Returns the face index used by the specified edge. Since an edge can have two faces, the side argument is needed to define which of the two possible faces to get.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly p.GetEdgeFace 18 1 --returns face 6 p.GetEdgeFace 18 2 --returns face 7 p.GetEdgeFace 4 1 --returns face 1 p.GetEdgeFace 4 2 --returns 0 as there is no second face</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"get-face\"></a><h3 id=\"get-face\">Get Face</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetNumFaces ()\n\
</pre></div><p>Returns the number of faces in the EditablePoly.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly num_faces = p.GetNumFaces() --num_faces will contain 16</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetFaceDegree &lt;index&gt;faceID\n\
</pre></div><p>Returns the number of corners of the specified polygon. 3 means triangle, 4 means quad, and so on.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly p.setSelection #Vertex #{13} --select the middle vertex p.GetFaceDegree 1 -- degree of the corner face is 4 p.Remove selLevel:#Vertex --remove the middle vertex p.GetFaceDegree 6 -- degree of the middle face is 8</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.GetFaceVertex &lt;index&gt;faceID &lt;index&gt;corner\n\
</pre></div><p>Returns the vertex index of the Nth vertex used by the specified face (where, N is between 1 and the number of face corners).</p>\n\
<p>If the corner argument is higher than the number of face corners, the function will return 0.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly p.GetFaceVertex 1 1 --returns face 6 p.GetFaceVertex 1 2 --returns face 1 p.GetFaceVertex 1 3 --returns face 2 p.GetFaceVertex 1 4 --returns face 7 p.GetFaceVertex 1 5 --returns 0, there is no fifth corner</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.GetFaceEdge &lt;index&gt;faceID &lt;index&gt;side\n\
</pre></div><p>Returns the vertex index of the Nth vertex used by the specified face (where, N is between 1 and the number of face corners).</p>\n\
<p>If the corner argument is higher than the number of face corners, the function will return 0.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = convertToPoly(Plane()) --create a Plane, convert to Epoly p.GetFaceEdge 1 1 --returns edge 1 p.GetFaceEdge 1 2 --returns edge 4 p.GetFaceEdge 1 3 --returns edge 3 p.GetFaceEdge 1 4 --returns edge 2 p.GetFaceEdge 1 5 --returns 0, there is no fifth edge</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;EditablePoly&gt;.GetFaceMaterial &lt;index&gt;faceID\n\
</pre></div><p>Returns the material ID of the specified face.</p>\n\
<p>If the face index is higher than the number of faces in the EditablePoly, the function will return 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetFaceSmoothingGroups &lt;index&gt;faceID\n\
</pre></div><p>Returns the Smoothing Groups of the specified face.</p>\n\
<p>If the face index is higher than the number of faces in the EditablePoly, the function will return 0.</p>\n\
<div class=\'section\'><a id=\"get-map-channel\"></a><h3 id=\"get-map-channel\">Get Map Channel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetNumMapChannels ()\n\
</pre></div><p>Returns the number of mapping channels in the EditablePoly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;EditablePoly&gt;.GetMapChannelActive &lt;integer&gt;mapChannel\n\
</pre></div><p>Returns true if the specified mapping channel is active, false if not.</p>\n\
<p>If the mapChannel argument is higher than the number of available mapping channels, the function will return false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetNumMapVertices &lt;integer&gt;mapChannel\n\
</pre></div><p>Returns the number of texture vertices in the specified mapping channel.</p>\n\
<p>Returns 0 if the mapChannel argument is higher than the number of available mapping channels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;EditablePoly&gt;.GetMapVertex &lt;integer&gt;mapChannel &lt;index&gt;vertexID\n\
</pre></div><p>Returns the value of the specified texture vertices in the specified mapping channel.</p>\n\
<p>Returns [0,0,0] if the mapChannel argument is higher than the number of available mapping channels or the vertex index is higher than the number of texture vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;EditablePoly&gt;.GetMapFaceVertex &lt;integer&gt;mapChannel &lt;index&gt;faceID &lt;index&gt;corner\n\
</pre></div><p>Returns the texture vertex index of the Nth texture vertex used by the specified face (where, N is between 1 and the number of face corners). If the corner argument is higher than the number of face corners, the function will return -1.</p>\n\
<div class=\'section\'><a id=\"getset-vertex-color-illumination-and-alpha\"></a><h3 id=\"getset-vertex-color-illumination-and-alpha\">Get/Set Vertex Color, Illumination and Alpha</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.SetVertexColor &lt;color&gt;color &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}\n\
</pre></div><p>Sets the Vertex Color, Illumination or Alpha value of the selected vertices to the specified color value.</p>\n\
<p>Corresponds to using the color picker in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#edit-vertex-colors\' title=\'\'>Edit Vertex Colors</a> rollout of the Editable Poly UI.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.SetFaceColor &lt;color&gt;color &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}\n\
</pre></div><p>Sets the Vertex Color, Illumination or Alpha value of the selected polygons to the specified color value.</p>\n\
<p>This affects all vertices used by the selected polygons.</p>\n\
<p>Corresponds to using the color picker in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#edit-vertex-colors\' title=\'\'>Edit Vertex Colors</a> rollout of the Editable Poly UI.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;&lt;EditablePoly&gt;.GetVertexColor &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}\n\
</pre></div><p>Gets the Vertex Color, Illumination or Alpha value of the selected vertices</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;&lt;EditablePoly&gt;.GetFaceColor &lt;enum&gt;Channel\n\
\n\
Channel enums: {#VertexColor|#Illumination|#Alpha}\n\
</pre></div><p>Gets the Vertex Color, Illumination or Alpha value of the selected polygons</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"paint-deform\"></a><h3 id=\"paint-deform\">Paint Deform</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.CommitPaintDeform ()\n\
</pre></div><p>Commits the painted deformations and resets the deformation cache.</p>\n\
<p>Corresponds to pressing the Commit button in the UI.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;EditablePoly&gt;.CancelPaintDeform ()\n\
</pre></div><p>Cancels the painted deformations and resets the deformation cache.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"hardsmooth-edges\"></a><h3 id=\"hardsmooth-edges\">Hard/Smooth Edges</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Editable_Poly.makeHardEdges &lt;integer&gt;flag\n\
</pre></div><p>Sets the edges specified by the flag to Hard.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Editable_Poly.makeSmoothEdges &lt;integer&gt;flag\n\
</pre></div><p>Sets the edges specified by the flag to Smooth.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Editable_Poly.selectHardEdges()\n\
</pre></div><p>Selects all Hard Edges.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Editable_Poly.selectSmoothEdges()\n\
</pre></div><p>Selects all Smooth Edges.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";