var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PolyToolsModeling : GlobalUtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PolyToolsModeling : GlobalUtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"polytoolsmodeling-globalutilityplugin\"></a></div>\n\
<p>The <strong>PolyToolsModeling</strong> Global Utility Plugin introduced in <strong>3ds Max 2011</strong> exposes an interface that provides MAXScript access to the Graphite Modeling tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods, and lets MAXScript users apply them in their own tools.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><div class=\'section\'><a id=\"polytoolsmodeling-interfaces\"></a><h2 id=\"polytoolsmodeling-interfaces\">PolyToolsModeling interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:  PolyToolsModeling\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"loops-panel\"></a><h3 id=\"loops-panel\">Loops Panel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.DistanceConnect ()       \n\
</pre></div><p>Creates connections between sub-object elements across distance and other topology.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select two edges and apply to make a connection between them that goes across the mesh between them.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select two end vertices and apply to make a connection between them that goes across the mesh between them.</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>Connecting the two selected edges over a distance:</p>\n\
<p>``` --Step 1: p = plane lengthsegs:10 widthsegs:10 wirecolor:blue convertTo p Editable_Poly select p max modify mode subObjectLevel = 2 polyOp.setEdgeSelection p #{76,92} --Step 2: PolyToolsModeling.DistanceConnect ()</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-D726C32C-3CA3-45EC-8194-E76F97C0FC59-low.gif\' title=\'\'> <img src=\'developer/images/GUID-FFFC09F7-E59F-4637-B641-0E22F17D8691-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.RemoveLoop ()     \n\
</pre></div><p>Removes a loop in the current sub-object level and automatically removes any left over vertices.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select two or more polygons and apply to remove whole rows of polygons.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select one or more edges and apply to remove the loops which the selected edges is on.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select two or more vertices and apply to remove loops of vertices.</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>Removing Edge Loops using two Polygons, one Edge and two Vertices:</p>\n\
<p>``` --Step 1: p = plane lengthsegs:10 widthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert the plane to Editable_Poly select p --select the plane to be able to see the results max modify mode --switch Command Panel to Modify mode subObjectLevel = 4 --switch topolygonsub-object level polyOp.setFaceSelection p #{22,23} --select two polygons to define the loops --Step 2: PolyToolsModeling.RemoveLoop () --remove the loops defined by the two polygons</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-B7A32330-2569-4CA2-9624-BF6A7115A613-low.gif\' title=\'\'> <img src=\'developer/images/GUID-7D733D27-1332-42E6-8726-D56A4961D27A-low.gif\' title=\'\'></p>\n\
<p>``` --Step 3: subObjectLevel = 2 --switch to edge sub-object level polyOp.setEdgeSelection p #{101} --select one edge --Step 4: PolyToolsModeling.RemoveLoop() --remove the loop defined by the one edge</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-F099C235-2756-4D0F-A96D-1275D46A6208-low.gif\' title=\'\'> <img src=\'developer/images/GUID-A969CC12-D286-489B-9FE8-07070ADF6DE7-low.gif\' title=\'\'></p>\n\
<p>``` --Step 5: subObjectLevel =1 --switch to vertex sub-object level polyOp.setVertSelection p #{101} --select two vertices --Step 6: PolyToolsModeling.RemoveLoop () --remove the loop defined by the two vertices</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-9748235F-5D44-4D76-9A22-71F4F8953225-low.gif\' title=\'\'> <img src=\'developer/images/GUID-95307D4C-7B56-4239-8E10-6F9683A64234-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SetFlow &lt;boolean&gt;autoLoop   \n\
</pre></div><p>Automatically fits selected edges or vertices to the surrounding flow of the mesh.</p>\n\
<p>If autoLoop is supplied as true, a full edge loop will be created in the Edge sub-object level.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select one or more edges and apply to fit to surrounding topology.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select one or more vertices and apply to fit to surrounding topology.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SetFlowVertex ()\n\
</pre></div><p>Automatically fits the selected vertex to the surrounding flow of the mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.BuildEnd ()\n\
</pre></div><p>Inserts two loops and builds a quad ending on both endings.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select edges in a row (edge ring) and call this method to insert two loops connecting the selected edges and build quad endings.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select two vertices at the ends of two parallel loops and apply to build quad end.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.BuildCorner ()\n\
</pre></div><p>Builds a quad corner based on vertex selection to make an edge loop turn.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edges</strong></td>\n\
<td align=\"left\">Select one or more edges at the corner of an edge loop and apply to build quad corner.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select two vertices and apply to build quad corner.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.RandomConnect &lt;float&gt;jitter &lt;boolean&gt;autoLoop\n\
</pre></div><p>Connects edges and randomizes the position of the newly created vertex within each edge.</p>\n\
<p>Returns true on success, false on failure (for example, if called while not in Edge Sub-Object Level).</p>\n\
<p>The first argument controls the Random Jitter factor.</p>\n\
<ul>\n\
<li><p>A jitter value of 0 produces a connection through the centers of the selected edges without any randomness.</p></li>\n\
<li><p>A value of 0.5 jitters the position of the new vertices within the length of the edge (between its two vertices).</p></li>\n\
<li><p>Values above 0.5 will produce vertices outside the selected edge, potentially causing polygon overlaps and z-fighting geometry.</p></li>\n\
</ul>\n\
<p>The second argument controls whether the initial selection needs to be expanded to neighbor edge loops to facilitate connecting when the initial selection is not enough to produce any.</p>\n\
<ul>\n\
<li><p>If set to false, connections will be produced only within the initial selection.</p></li>\n\
<li><p>If set to true, the initial selection will be expanded first by selecting edge rings from the existing selected edge loops, then the resulting selection will be used to create the random connections.</p></li>\n\
</ul>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>Random Connecting Within a 10x10 Grid using autoLoop passed as true:</p>\n\
<p>``` --Step 1: p = plane lengthsegs:10 widthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert the plane to Editable_Poly select p --select the plane to be able to see the results max modify mode --switch Command Panel to Modify mode subObjectLevel =2 --switch to polygonsub-object level polyOp.setEdgeSelection p #{82} --select one edge to define a loop --Step 2: PolyToolsModeling.RandomConnect 0.3 true --create loops and connect randomly</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-A077B027-59B2-48B8-A711-E4277A282247-low.gif\' title=\'\'> <img src=\'developer/images/GUID-2A7309DB-0E1B-4BDB-A977-DF4D5AFBE826-low.gif\' title=\'\'></p>\n\
<p>Note that although there was just a single edge selected, the AutoLoop second argument set to true produced an edge ring from the selected edge, then performed the random connect over the new selection. With autoLoop false, no connection edges are created.</p>\n\
<p>``` --Step 3: PolyToolsModeling.RandomConnect 0.3 true --create loops and connect randomly --Step 4: PolyToolsModeling.RandomConnect 0.3 true --create loops and connect randomly</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-35FE4DEF-545E-4778-82C1-DE803456EE95-low.gif\' title=\'\'> <img src=\'developer/images/GUID-03184C16-4838-4C58-8F22-865DD596CB8C-low.gif\' title=\'\'></p>\n\
<p>In the third step, we start once again from a single edge loop which, if used with autoLoop set to false, would not produce any connections. Now we produce a large number of parallel random loops, but they are &quot;blocked&quot; by unselected straight edgeloops which would once again produce no connections if autoLoop would be passed as false in the fourth step.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7E1DE7E5-1C00-4E70-A83D-B897740C613F-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>Random Connecting Within a 10x10 Grid using autoLoop passed as false:</p>\n\
<p>``` --Step 1: p = plane lengthsegs:10 widthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert the plane to Editable_Poly select p --select the plane to be able to see the results max modify mode --switch Command Panel to Modify mode subObjectLevel =2 --switch to polygon sub-object level polyOp.setEdgeSelection p #{80,82,84,86,88} --select edges to define a ring --Step 2: PolyToolsModeling.RandomConnect 0.5 false --connect selected only</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-A0897B84-1D90-4AB5-BEA7-5D43C97DABD7-low.gif\' title=\'\'> <img src=\'developer/images/GUID-FE7201EA-A8F5-4869-A885-5C88DA4C1B2C-low.gif\' title=\'\'></p>\n\
<p>In this case, our initial selection already contains enough edges in a ring to create a valid random connection. We do not want the selected edge ring to be expanded further, so we pass false as the second argument, producing a random connection only within the existing selection.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"edges-panel\"></a><h3 id=\"edges-panel\">Edges Panel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SpinEdge &lt;boolean&gt;alternativeDir\n\
</pre></div><p>Spins the selected edge/edges in the polygon, changing their direction.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">alternativeDir = false</th>\n\
<th align=\"left\">alternativeDir = true</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select edge/edges and apply to spin edges clockwise.</td>\n\
<td align=\"left\">Select edge/edges and apply to spin edges counter-clockwise.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.InsertVertex &lt;integer&gt;number\n\
</pre></div><p>Inserts the specified number of vertices in the selected edges. The inserted vertices are evenly spaced along the edge.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select an edge and apply to insert vertices on the selected edge/edges.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"geometry-all-panel\"></a><h3 id=\"geometry-all-panel\">Geometry (All) Panel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.Quadrify &lt;boolean&gt;withinSel &lt;boolean&gt;selectOnly\n\
</pre></div><p>Remove triangulation from the model to achieve mainly four sided polygons.</p>\n\
<p>When <span class=\'code\'>withinSel</span> is set to true, applies to the current sub-object selection only.</p>\n\
<p>When selectOnly is set to true, does not remove, but only selects the edges to be removed.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"polygons-panel\"></a><h3 id=\"polygons-panel\">Polygons Panel</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.GeoPoly ()\n\
</pre></div><p>Untangles a polygon and organizes the vertices to form a perfect geometric shape.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select polygons and apply to make geometric shape. If several adjacent polygons are selected, the result will be averaged between the polygons.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"loop-tools\"></a><h3 id=\"loop-tools\">Loop Tools</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.CenterLoop &lt;boolean&gt;autoLoop\n\
</pre></div><p>Centers edges or edgeloops on the edgerings they are on and places the vertices in the middle of the edges.</p>\n\
<p>Select an edge or more edges and apply.</p>\n\
<p>If the autoLoop argument is <span class=\'code\'>true</span> , the selection will be automatically looped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SpaceLoop &lt;boolean&gt;autoLoop\n\
</pre></div><p>Spaces the vertices evenly along the selected edges/edgeloops so that the distances between the vertices become equal.</p>\n\
<p>If the autoLoop argument is true, the selection will be automatically looped.</p>\n\
<p>If the SHIFT key is pressed while this method is being executed, it will also space loops on the top and bottom of a cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.CurveLoop &lt;boolean&gt;autoLoop &lt;boolean&gt;spaceLoop\n\
</pre></div><p>Adjusts each set of selected edges/edgeloops into smooth curves.</p>\n\
<p>The curvature of each loop is determined by the position of the selected vertices along the loop. Think of the curve that you can create as a spline going from the endpoints of the edges/loop with a smoothly interpolated spline knot at each selected vertex.</p>\n\
<p>If the autoLoop argument is <span class=\'code\'>true</span> , the initial selection will be automatically looped before the tool is applied.</p>\n\
<p>If the spaceLoop argument is <span class=\'code\'>true</span> , all vertices will be evenly spaced along the loop.</p>\n\
<p>If the spaceLoop argument is <span class=\'code\'>false</span> , the initial relationship between vertices on the loop will be kept.</p>\n\
<p>Note:</p>\n\
<p>The edgeloop selection <strong>must not be closed</strong> (like a circle) for this tool to work because there needs to be a start and end-point for a curve.</p>\n\
<p>The actual edgeloop can be closed, but not the selected edgeloop.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.StraightLoop &lt;boolean&gt;autoLoop &lt;boolean&gt;spaceLoop\n\
</pre></div><p>Straightens each set of selected edges/edgeloops into straight lines.</p>\n\
<p>If any of the vertex &quot;endpoints&quot; of the set of edges/edgeloop are selected, the line will go from the first edge that the selected vertex is on and straight out from that edge. If no vertices are selected, the line will go between the two endpoints of the edges/edgeloop.</p>\n\
<p>If the autoLoop argument is <span class=\'code\'>true</span> , the initial selection will be automatically looped before the tool is applied.</p>\n\
<p>If the spaceLoops argument is <span class=\'code\'>true</span> , all vertices will be evenly spaced along the loop.</p>\n\
<p>If the spaceLoops argument is <span class=\'code\'>false</span> , the initial relationship between vertices on the loop will be kept.</p>\n\
<p>If the SHIFT key is pressed while this method is being executed, it will also straighten loops on the top and bottom of a cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.CircleLoop &lt;boolean&gt;autoLoop\n\
</pre></div><p>Turns each set of selected edges/edgeloops into the form of a circle.</p>\n\
<p>The selected vertex along each loop determines the beginning point for the circle.</p>\n\
<p>For open loops one of the &quot;endpoints&quot; of the edges/loop must be selected.</p>\n\
<p>For closed loops (like around a cylinder), the vertex you want to least have change position must be selected.</p>\n\
<p>If the autoLoop argument is <span class=\'code\'>true</span> , the initial selection will be automatically looped before the tool is applied.</p>\n\
<p>If the SHIFT key is pressed while this method is being executed, it will also circle loops on the top and bottom of a cylinder.</p>\n\
<p>Tip: Make sure that the vertex next after the first on the loop goes in the general direction of the intended circle so that the circle is not &quot;inverted&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.RelaxLoop &lt;boolean&gt;autoLoop\n\
</pre></div><p>Relaxes/smooths out the curvature of each set of selected edges/edgeloops.</p>\n\
<p>Call multiple times to relax more.</p>\n\
<p>If the autoLoop argument is true, checked the initial selection will be automatically looped before the tool is applied.</p>\n\
<p>If the SHIFT key is pressed while this method is being executed, it will also relax loops on the top and bottom of a cylinder.</p>\n\
<div class=\'section\'><a id=\"symmetry\"></a><h3 id=\"symmetry\">Symmetry</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SymmetryGather &lt;node&gt;node &lt;value&gt;axis &lt;float&gt;threshold\n\
</pre></div><p>Collects symmetry data from the node specified as the first argument.</p>\n\
<p>The second argument defines the symmetry axis as name- <span class=\'code\'>#x</span>, <span class=\'code\'>#y</span>, or <span class=\'code\'>#z</span>.</p>\n\
<p>The third argument defines the position variation threshold to use when searching for symmetry vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SymmetryPosToNeg &lt;value&gt;axis\n\
</pre></div><p>Copies the vertex positions from the positive side of the symmetry axis to the negative side.</p>\n\
<p>The axis argument can be either #x, #y, or #z.</p>\n\
<p>Corresponds to the &quot;+To-&quot; button in the Symmetry Tools floating dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SymmetryNegToPos &lt;value&gt;axis\n\
</pre></div><p>Copies the vertex positions from the negative side of the symmetry axis to the positive side.</p>\n\
<p>The axis argument can be either #x, #y, or #z.</p>\n\
<p>Corresponds to the &quot;-To+&quot; button in the Symmetry Tools floating dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SymmetryFlip &lt;value&gt;axis\n\
</pre></div><p>Swaps the symmetry data about the specified axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SymmetryCopy ()\n\
</pre></div><p>Copies the vertex positions of the currently selected vertices into an internal &quot;clipboard&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.SymmetryPaste ()\n\
</pre></div><p>Pastes the vertex positions back onto the same vertices, even if not selected.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>Using the Symmetry methods:</p>\n\
<p>``` --Step 1: s = sphere radius:12 segs:32 wirecolor:blue convertTo s Editable_Poly select s max modify mode subObjectLevel = 1 PolyToolsModeling.SymmetryGather s #x 0.01</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C3823590-0C7F-4510-969B-16D8F1930D2B-low.gif\' title=\'\'></div>\n\
<p>``` --Step 2: PolyOp.moveVert s #{122} [5,0,5] --Step 3: PolyToolsModeling.SymmetryPosToNeg #x</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-A052F4ED-9E79-4819-AC51-3F3526E66F28-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BA83F62A-6F93-4437-B869-049E16EF8055-low.gif\' title=\'\'></p>\n\
<p>``` --Step 4: PolyOp.moveVert s # {170} [-5,0,0] --Step 5: PolyToolsModeling.SymmetryNegToPos #x</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-65E36042-133D-4FE8-9424-285E2ED59E44-low.gif\' title=\'\'> <img src=\'developer/images/GUID-A897125A-778D-4548-9DCB-FD5C1BBE5D4E-low.gif\' title=\'\'></p>\n\
<p>``` --Step 6: PolyOp.moveVert s #{58} [3,0,5] --Step 7: PolyToolsModeling.SymmetryFlip #x</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-808E0861-C6C6-41BC-B0E2-5A95A6825B6F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BFB909E1-01F0-4B3B-9092-236D0E6203C2-low.gif\' title=\'\'></p>\n\
<p>``` --Step 8: PolyOp.setVertSelection s #{122,170} PolyToolsModeling.SymmetryCopy() PolyOp.moveVert s #{122,170} [5,0,-20] --Step 9: PolyToolsModeling.SymmetryPaste()</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-F6D74E4C-F8C4-48FA-9DF0-C481029BECE2-low.gif\' title=\'\'> <img src=\'developer/images/GUID-1B3B7B0B-3F63-498A-BD44-F160E54AA33A-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"other-modeling-methods\"></a><h3 id=\"other-modeling-methods\">Other Modeling Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.MultiHide ()\n\
</pre></div><p>Hides either selected polygons or selected vertices based on the current sub-object level.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select polygons and apply to hide them.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select vertices and apply to hide them.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.RotateSelection &lt;float&gt;degree &lt;integer&gt;coordsys &lt;point3&gt;viewDirection\n\
</pre></div><p>Rotates the current sub-selection at the specified degree in the coordinate system defined by the second argument counter-clockwise relative to the view direction specified by the third argument.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a sub-object level.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>Rotating a Polygon Selection at 30 degrees CCW:</p>\n\
<p>``` --Step 1: p = plane lengthsegs:10 widthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert the plane to Editable_Poly select p --select the plane to be able to see the results max modify mode --switchCommand PaneltoModify mode subObjectLevel = 4 --switch topolygonsub-object level polyOp.setFaceSelection p #{22,23} --select two polygons to define the loops --Step 2: PolyToolsModeling.RotateSelection 30 1 -(viewport.getTM()).row3</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-B7A32330-2569-4CA2-9624-BF6A7115A613-low.gif\' title=\'\'> <img src=\'developer/images/GUID-6FCDE8FD-7969-4D16-8EF3-B7C2D087E382-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsModeling.MirrorElement &lt;value&gt;axis &lt;boolean&gt;clone\n\
</pre></div><p>Mirror the selected element about the specified axis.</p>\n\
<p>If the clone argument is passed as true, the element will be duplicated.</p>\n\
<p>If the clone argument is false, the original element will be mirrored.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PolyToolsModeling.CreateFace &lt;bitArray&gt;bitarray\n\
</pre></div><p>Creates a Polygon from the vertex indices provided by the bitarray argument.</p>\n\
<p>Returns the index of the new polygon.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";