var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PolyToolsPaintDeform : GlobalUtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PolyToolsPaintDeform : GlobalUtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"polytoolspaintdeform-globalutilityplugin\"></a></div>\n\
<p>The <strong>PolyToolsPaintDeform</strong> Global Utility Plugin introduced in <strong>3ds Max 2011</strong> exposes an interface which provides MAXScript access to the Graphite Paint Deform tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods in one place and let MAXScript users apply them in their own tools.</p>\n\
<p>Alsosee <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/PolyTools-Interfaces/PolyToolsShift.html\' title=\'\'>PolyToolsShift : GlobalUtilityPlugin</a> for properties and methods related to the Shift tool also found in the Paint Deform panel of the Ribbon.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>PolyToolsPaintDeform interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:  PolyToolsPaintDeform \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPaintDeform.CapOffset: boolean : Read|Write\n\
</pre></div><p>Get/set thestate of the Cap Offset option.</p>\n\
<p>When set to true, the deformation over the same vertices within the same stroke will be capped at the Offset value.</p>\n\
<p>When set to false, the deformation over the same vertices within the same stroke will be applied continuously.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPaintDeform.NormalDirection: integer : Read|Write\n\
</pre></div><p>Get/set the Normal Direction mode for all tools.</p>\n\
<p>Corresponds to the selection of the &quot;Normal Direction&quot; flyout in the Ribbon.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Original</p>\n\
<p>1 - Deformed</p>\n\
<p>2 - Brush</p>\n\
<p>3 - View</p>\n\
<p>4 - Transform X</p>\n\
<p>5 - Transform Y</p>\n\
<p>6 - Transform Z</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.PushPull ()\n\
</pre></div><p>EntersPush/PullPaint Deformationmode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.RelaxSoften ()\n\
</pre></div><p>Enters Relax/Soften Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.Flatten ()\n\
</pre></div><p>Enters Flatten Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.PinchSpread ()\n\
</pre></div><p>Enters Pinch/Spread Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.Smudge ()\n\
</pre></div><p>Enters Smudge Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.Noise ()\n\
</pre></div><p>Enters Noise Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.Exaggerate ()\n\
</pre></div><p>Enters Exaggerate Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.Revert ()\n\
</pre></div><p>Enters Revert Paint Deformation mode.</p>\n\
<p>Returns true if the mode was entered successfully, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.Commit ()\n\
</pre></div><p>Commits the deformations applied during the current Paint Deformation session.</p>\n\
<p>Equivalent to pressing the Commit button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.Cancel ()\n\
</pre></div><p>Discards the deformations applied during the current Paint Deformation session.</p>\n\
<p>Equivalent to pressing the Cancel button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.RefreshNormals ()\n\
</pre></div><p>Updates theBrush tousethe current normals instead of the original normals.</p>\n\
<p>This method is only valid when the NormalDirection property is set to 0 (Original).</p>\n\
<p>To perform automatic update of the normals and always use the deformed ones, set the NormalDirection property to 1 (Deformed).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.BrushOptions ()\n\
</pre></div><p>Opens the Brush Options dialog.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\' title=\'\'>PainterInterface : ReferenceTarget</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPaintDeform.EndTool ()\n\
</pre></div><p>Exits the current Deformation Painting mode, while also commiting the changes.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";