var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PolyToolsPolyDraw : GlobalUtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PolyToolsPolyDraw : GlobalUtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"polytoolspolydraw-globalutilityplugin\"></a></div>\n\
<p>This GlobalUtilityPlugin introduced in <strong>3ds Max 2011</strong> exposes an interface providing access to the Graphite PolyDraw tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods in one place and let MAXScript users apply them in their own tools.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><div class=\'section\'><a id=\"polytoolspolydraw-interfaces\"></a><h2 id=\"polytoolspolydraw-interfaces\">PolyToolsPolyDraw interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: PolyToolsPolyDraw \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPolyDraw.offset: float : Read|Write \n\
</pre></div><p>Get/set the Offset value defining the distance from the Grid/Surface to draw at.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPolyDraw.MinDistance: float : Read|Write \n\
</pre></div><p>Get/set the Minimum Distance value defining the size of the smallest polygon generated during drawing.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPolyDraw.DistanceType: integer : Read|Write \n\
</pre></div><p>Get/set the Distance type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - in Pixels</p>\n\
<p>1 - in Units</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPolyDraw.BranchTaper: float : Read|Write \n\
</pre></div><p>Get/set the Branch Taper value which defines the amount of tapering applied to branches while being drawn.</p>\n\
<p>Negative values shrink the branches, positive values make them thicker, and a value of 0.0 causes no tapering.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPolyDraw.TopoAutoWeld: boolean : Read|Write \n\
</pre></div><p>When set to true, geometry generated after using the Topology tool will be welded to the original geometry.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsPolyDraw.SurfaceDoQuads: boolean : Read|Write \n\
</pre></div><p>When set to true, painting a surface after calling the .Surface() method will produce mainly quads.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"polydraw-methods\"></a><h3 id=\"polydraw-methods\">PolyDraw Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Drag () \n\
</pre></div><p>Activates the Drag tool which lets you move around elements on the surface or on the grid.</p>\n\
<p>The functionality of the Drag tool depending on the keys pressed is as follows:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to move vertices.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Shift</td>\n\
<td align=\"left\">Click and drag to move edges.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Ctrl</td>\n\
<td align=\"left\">Click and drag to move polygons.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Shift+Ctrl</td>\n\
<td align=\"left\">Click and drag to move edgeloops.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Shift+Ctrl+Alt</td>\n\
<td align=\"left\">Click and drag to move element.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.StepBuild () \n\
</pre></div><p>Enters Step Build drawing mode.</p>\n\
<p>Below are the different functions of the Step Build tool, depending on which keys are pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click to place vertices on grid or surface.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Hold shift and click+drag over unconnected vertices to fill in the gaps between vertices with quad polygons. It will always create a polygon from the closest 4 vertices.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click to delete a polygon. The vertices will remain in the mesh so that if you accidently create a face in the wrong place it&#39;s easy to just delete the face and draw again closer to the vertices you want.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Alt</strong></td>\n\
<td align=\"left\">Click to remove a vertex.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click to remove an edge.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl+Shift</strong></td>\n\
<td align=\"left\">Click to place and select, or select vertices. When 4 vertices are selected a polygon will be automatically created. The 2 last vertices from the last created polygon are included in the new selection so the user only needs to click 2 times to create the next polygon. Release ctrl and shift to clear the selection.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Shift+Alt</strong></td>\n\
<td align=\"left\">Hold and drag to select vertices. Click to create polygon from the selected vertices. Good for creating polygons with as an example 3 or 5 sides. When the keys are released the selection is automatically cleared.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl+Shift+Alt</strong></td>\n\
<td align=\"left\">Click and drag to move a vertex around on the grid or surface. By moving the mouse around over the vertices with the keys pressed you will see which vertex the tool has snapped to.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Extend () \n\
</pre></div><p>Activates theBorder tool which lets you work on the open edges of the object. Open edges are edges that have only one polygon attached to them.</p>\n\
<p>Below are the different functions of the Border tool:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to create polygons by dragging from border vertices.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Create polygons by dragging from a border edges.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Shift+Ctrl</strong></td>\n\
<td align=\"left\">Click and drag to create a polygon between 2 edges.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click to delete a polygon and its isolated vertices.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Shift+Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click and drag to move a vertex around on the grid or surface.</td>\n\
</tr>\n\
</table>\n\
<p>You can also use this tool to <strong>edit the object in screenspace</strong>. Sub-object elements will be moved perpendicular to the current view. There is no need to change the active coordinate system for this to work:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Alt</strong></td>\n\
<td align=\"left\">Click and drag to create polygons in screenspace by dragging from border vertices.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Alt+Shift</strong></td>\n\
<td align=\"left\">Create polygons in screenspace by dragging from a border edges.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Alt+Ctrl</strong></td>\n\
<td align=\"left\">Click and drag to move a vertex around in screenspace.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Optimize () \n\
</pre></div><p>Activates the Optimizer tool which can be effectively used to optimize meshes by quickly sketching away details.</p>\n\
<p>Here are the functions of the Optimize tool depending on the keys pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to move vertices.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift+Ctrl</strong></td>\n\
<td align=\"left\">Click on edges to remove the edgeloops they are on.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Click and drag target weld vertices, collapsing the first selected vertex into the next dragged over. Several vertices can be welded in a single stroke.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift+Alt</strong></td>\n\
<td align=\"left\">Click on an edge to collapse all the edges in the edgering it resides on.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Alt</strong></td>\n\
<td align=\"left\">Click to remove vertex.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click to remove edge.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click and drag to paint connections between vertices.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift+Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click and drag to move a vertex around on the grid or surface.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Shapes () \n\
</pre></div><p>Activates theShapes tool which lets you quickly draw polygon shapes on grid or surface.</p>\n\
<p>The result after one click-drag will be a single polygon shaped as you drew it, projected onto a model or grid. This tool has the complementary tool &quot;SolveSurf&quot; to create a workable mesh from the shape. With these two tools combined it is very easy and fast to create as an example details on the surfaces of other object. See below for more info about SolveSurf.</p>\n\
<p>Here are the different functions for the Shapes tool depending on the keys pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to draw polygon shape.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click to delete polygon.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Shift+Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click and drag to move a polygon.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Splines () \n\
</pre></div><p>Activates the Splines tool which lets you draw spline shapes on a geometry surface or grid. These splines can then be made renderable or used in a loftting operation to create quick details.</p>\n\
<p>The functions of the Splines tool:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to draw splines.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click to delete spline.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Shift+Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click and drag to move the closest spline.</td>\n\
</tr>\n\
</table>\n\
<p>Note: Due to certain technical limitations this tools has <strong>no Undo</strong> functionality.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Surface () \n\
</pre></div><p>Enters Surface mode - drawing on the grid or other objects will create a mesh of polygons. If the property <span class=\'code\'>PolyToolsPolyDraw.SurfaceDoQuads</span> is set to <span class=\'code\'>true</span> , the polygons will be mostly quads.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Topology () \n\
</pre></div><p>Activates the Topology tool.</p>\n\
<p>It lets you draw lines on a surface where the lines form a grid of quads or triangles, then automatically create a mesh from that grid.</p>\n\
<p>When the user right-clicks to step out of the tool a polygon mesh is automatically created from the lines.</p>\n\
<p>If the <span class=\'code\'>PolyToolsPolyDraw.TopoAutoWeld</span> property is set to <span class=\'code\'>true</span> , the created mesh will be attached to the selected Editable poly object and vertices that are close on the border will be welded together. This way you can continue adding to the surface of the selected object.</p>\n\
<p>The distance set in the <span class=\'code\'>PolyToolsPolyDraw.MinDistance</span> property will determine the resolution of the lines. If the value is too small some faces might be missed in the polygon creation. A value of 10 with the unit type set to pixels should work well in most cases.</p>\n\
<p>Here are the different functions of the PolyTopo tool that depend on which keyboard key is pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to draw lines on surface or grid.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Click and drag to continue a line from the closest endpoint of the line.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click to delete a line.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Mouse RightClick</strong></td>\n\
<td align=\"left\">Exit tool and create polygon mesh.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Strips () \n\
</pre></div><p>Activates the Strips tool which lets you paint strips of polygons where the strips turns to follow the movements of the mouse. This provides a good way to quickly lay out the topology foundation for a mesh.</p>\n\
<p>Here are the functions of the Strips tool depending on the keys pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to draw polygon strips.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Click and drag to start painting strip from existing edge The closest edge will be picked.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Alt</strong></td>\n\
<td align=\"left\">Press while drawing strip to enter a mode where the strip currently being painted will be closed by dragging close to another edge. A polygon will be created between the &quot;front&quot; edge of the strip and the close edge.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.Branch () \n\
</pre></div><p>Activates the Branch tool which lets you paint multi segmented extrusions from polygons with optional tapering to form &quot;branches&quot;. The extrusions will be aligned to the screen.</p>\n\
<p>The value of the <span class=\'code\'>PolyToolsPolyDraw.BranchTaper</span> property determines the difference in size between the first and the last polygon in the branch. A value of -1.0 will make the last polygon as small as possible. The <span class=\'code\'>PolyToolsPolyDraw.MinDistance</span> property lets you set the distance between the segments in the extrusion.</p>\n\
<p>Here are the functions of the Branch tool depending on the keys pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to draw extruded branches from the polygon closest to the mouse.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Click and drag to draw extruded branches from the selected polygon(s).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click to select a polygon.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click to select/deselect additional polygons.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.EndTool () \n\
</pre></div><p>Exits the current tool.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"modeling-tools-drawing-methods\"></a><h3 id=\"modeling-tools-drawing-methods\">Modeling Tools Drawing Methods:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.SwiftLoop () \n\
</pre></div><p>Activates the Swiftloop tool which lets you place edgeloops at the position you pick on an edge. It also lets you slide edges or edge loops in different ways.</p>\n\
<p>Below are the different functions of the tool, that depend on which keyboard keys are pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click to insert edgeloop on an edgering at the position of the click.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Click to insert edgeloop on an edgering and fit the new loop to the flow of the surrounding surface.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click to select edgeloop. This will also automatically enter edge subobject level.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Alt</strong></td>\n\
<td align=\"left\">Click and drag over a vertex on a selected edgeloop to slide the edgeloop on the edgering that the loop is on. Move the mouse along the edges to the sides of the initial vertex.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl+Alt</strong></td>\n\
<td align=\"left\">Same as with Alt but since Ctrl is pressed the distance to the sides for all vertices of the loop will be made the same as the distance for the initial vertex.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl+Shift</strong></td>\n\
<td align=\"left\">Click to remove an edgeloop.</td>\n\
</tr>\n\
</table>\n\
<p>Note:</p>\n\
<p>It does not matter which &quot;Draw on&quot; type is selected for this tool. It will function the same in all modes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsPolyDraw.PaintConnect () \n\
</pre></div><p>Enters Paint Connect mode.</p>\n\
<p>The Connect tool lets you paint and edit connections between edges and vertices. If the &quot;Set Flow&quot; checkbox is checked the created edges will be automatically adjusted to fit the flow of the mesh. Below are the different functions of the tool, that depend on which keyboard keys are pressed:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Keys Pressed</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>No Keys Pressed</strong></td>\n\
<td align=\"left\">Click and drag to paint a connection between edges.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Shift</strong></td>\n\
<td align=\"left\">Click and drag to paint a connection between edges in the middle of the edges.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl</strong></td>\n\
<td align=\"left\">Click and drag to select and connect vertices.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Alt</strong></td>\n\
<td align=\"left\">Click to remove a vertex.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Ctrl+Alt</strong></td>\n\
<td align=\"left\">Click to remove an edge.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl+Shift</strong></td>\n\
<td align=\"left\">Click to remove an edgeloop.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Shift+Alt</strong></td>\n\
<td align=\"left\">Click and drag to paint a double connection between edges.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Ctrl+Shift+Alt</strong></td>\n\
<td align=\"left\">Click and drag to move a vertex around on the grid or surface.</td>\n\
</tr>\n\
</table>\n\
<p>Note:</p>\n\
<p>This tools works the same in all &quot;Draw on&quot; modes except if you move vertices with Ctrl+Shift+Alt.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";