var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PolyToolsSelect : GlobalUtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PolyToolsSelect : GlobalUtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"polytoolsselect-globalutilityplugin\"></a></div>\n\
<p>The <strong>PolyToolsSelect</strong> Global Utility Plugin introduced in <strong>3ds Max 2011</strong> exposes an interface that provides MAXScript access to the Graphite Selection tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods and lets MAXScript users apply them in their own tools.</p>\n\
<p>{{toc}}</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>PolyToolsSelect interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: PolyToolsSelect \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"modify-selection\"></a><h2 id=\"modify-selection\">Modify Selection</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Loop &lt;boolean&gt;cylinderEnds      \n\
</pre></div><p>Selects a loop based on the current sub-object selection:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">ShiftPressed = False</th>\n\
<th align=\"left\">ShiftPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select sets of neighboring polygons and apply to select loops.</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select edges and apply to select loops.</td>\n\
<td align=\"left\">The tool can also perform loops on the top and bottom edges of a cylinder. Specifically designed for this purpose.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select sets of neighboring vertices and apply to select loops.</td>\n\
<td align=\"left\">The tool can also perform loops on the top and bottom vertices of a cylinder. Specifically designed for this purpose.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Ring ()   \n\
</pre></div><p>Selects a ring based on the current sub-object selection:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select a few polygons in a row and apply to select ring. If you select more rows, more rings can be made if the additional rows are going in the same direction as the first.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Works like the normal edge ring tool.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select a few vertices in a row and apply to select ring. If you select more rows, more rings can be made if the additional rows are going in the same direction as the first.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.GrowLoop () \n\
</pre></div><p>Grows a loop based on the current sub-object selection:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">ShiftPressed = False</th>\n\
<th align=\"left\">ShiftPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Works if two or more polygons in a row are selected. Select polygons on crossing loop to turn and keep growing loop.</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Grow edge loop in steps.</td>\n\
<td align=\"left\">The tool can also grow loops on the top and bottom edges of a cylinder. Specifically designed for this purpose.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select sets of neighboring vertices and apply to grow loops.</td>\n\
<td align=\"left\">The tool can also grow loops on the top and bottom vertices of a cylinder. Specifically designed for this purpose.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.ShrinkLoop () \n\
</pre></div><p>Shrinks a loop based on the current sub-object selection:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Shrink polygon loop.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Shrink edge loop.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Shrink vertex loop.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.GrowRing () \n\
</pre></div><p>Grows the edge ring based on the current sub-object selection:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Grow polygon ring.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Grow edge ring.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Grow vertex ring.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.ShrinkRing () \n\
</pre></div><p>Shrinks the edge ring based on the current sub-object selection:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Shrink polygon ring.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Shrink edge ring.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Shrink vertex ring.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.DotLoop &lt;integer&gt;value &lt;boolean&gt;cylinderEnds &lt;boolean&gt;opposite \n\
</pre></div><p>Selects sub-object elements in a loop (or ring for edges) with gaps defined by the first argument.</p>\n\
<p>Multiple dotted loops/rings can be performed at once.</p>\n\
<p>In polygon and vertex sub-object level that requires the sets of initial selections to be not surrounded by any other selected elements.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">ShiftPressed = False AltPressed = False</th>\n\
<th align=\"left\">ShiftPressed = True AltPressed = False</th>\n\
<th align=\"left\">AltPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select sets of two or more polygons in a row and apply to select <strong>polygon loops</strong> with gaps.</td>\n\
<td align=\"left\">Shift which polygons will act as the first in the <strong>loops</strong>.</td>\n\
<td align=\"left\">No effect.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select edges and apply to select <strong>edge loops</strong> with gaps.</td>\n\
<td align=\"left\">Select edges and apply to select <strong>edge rings</strong> with gaps.</td>\n\
<td align=\"left\">The tool can also perform a <strong>loop</strong> on the top and bottom edges of a cylinder.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select sets of two or more vertices in a row and apply to select <strong>vertex loops</strong> with gaps.</td>\n\
<td align=\"left\">Shift which vertices will act as the first in the <strong>loops</strong>.</td>\n\
<td align=\"left\">The tool can also perform a <strong>loop</strong> on the top and bottom edges of a cylinder.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.DotRing &lt;integer&gt;value \n\
</pre></div><p>Selects sub-object elements in a ring with gaps defined by the argument.</p>\n\
<p>Multiple dotted loops/rings can be performed at once.</p>\n\
<p>In polygon and vertex sub-object level that requires the sets of initial selections to be not surrounded by any other selected elements.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">ShiftPressed = False AltPressed = False</th>\n\
<th align=\"left\">ShiftPressed = True AltPressed = False</th>\n\
<th align=\"left\">AltPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select sets of two or more polygons in a row and apply to select <strong>polygon loops</strong> with gaps.</td>\n\
<td align=\"left\">Shift which polygons will act as the first in the <strong>loops</strong>.</td>\n\
<td align=\"left\">No effect</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select edges and apply to select <strong>edge loops</strong> with gaps.</td>\n\
<td align=\"left\">Select edges and apply to select <strong>edge rings</strong> with gaps.</td>\n\
<td align=\"left\">The tool will also be able to perform a <strong>loop</strong> on the top and bottom edges of a cylinder.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select sets of two or more vertices in a row and apply to select <strong>vertex loops</strong> with gaps.</td>\n\
<td align=\"left\">Shift which vertices will act as the first in the <strong>loops</strong>.</td>\n\
<td align=\"left\">The tool will also be able to perform a <strong>loop</strong> on the top and bottom edges of a cylinder.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.StepLoop &lt;boolean&gt;longestDir \n\
</pre></div><p>Selects vertices, edges, or faces on sub-object loops between two selected elements.</p>\n\
<p>If the loop is closed, the shortest distance will be picked unless <span class=\'code\'>longestDir</span> is passed as true, in which case the longest distance will be selected.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">AltPressed = False</th>\n\
<th align=\"left\">AltPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select two polygons on the polygon loop and apply to select elements in between.</td>\n\
<td align=\"left\">If the loop is closed then the longest distance will be selected instead of the shortest like default.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select two edges on the edge loop and apply to select elements in between.</td>\n\
<td align=\"left\">If the loop is closed then the longest distance will be selected instead of the shortest one.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select two vertices on the vertex loop and apply to select elements in between.</td>\n\
<td align=\"left\">If the loop is closed then the longest distance will be selected instead of the shortest one.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Outline () \n\
</pre></div><p>Outlines the current sub-object selection.</p>\n\
<p>Selects the outer border.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">ShiftPressed = False</th>\n\
<th align=\"left\">ShiftPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Selects the polygon border of the current polygon selection.</td>\n\
<td align=\"left\">Selects the edge border of the current polygon selection.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Selects the edge border of the current edge selection.</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Selects the vertex border of the current vertex selection.</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Fill () \n\
</pre></div><p>Fills the area between two selected sub-object elements. Note that this method will only work well if there is no extreme angle between the two selected sub-object elements.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Shift NotPressed</th>\n\
<th align=\"left\">ShiftPressed</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select two polygons and apply to fill the area between them. The two polygons will become the lower and upper corner of the fill. The outer border of the area to fill needs to be quad polygons.</td>\n\
<td align=\"left\">Select two polygons and apply to fill a ring. The two polygons will become the lower and upper corner of the fill. The outer border of the area to fill needs to be quad polygons.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select two vertices and apply to fill the area between them. The two vertices will become the lower and upper corner of the fill. The outer border of the area to fill needs to be clean loops.</td>\n\
<td align=\"left\">Select two vertices and apply to fill a ring. The two vertices will become the lower and upper corner of the fill. The outer border of the area to fill needs to be clean loops.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.FillHole () \n\
</pre></div><p>Fills an enclosed area. Select one sub-object element within the hole and fill. The selected part must stand free from the surrounding selection, so as an example the selected polygon cannot have any selected polygons right next to it.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select one polygon within the hole and fill.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select one edge within the hole and fill.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select one vertex within the hole and fill.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Similar &lt;boolean&gt;edgeCount &lt;boolean&gt;edgeLength &lt;boolean&gt;faceCount &lt;boolean&gt;faceArea&lt;boolean&gt;topology &lt;boolean&gt;normal \n\
</pre></div><p>Selects sub-object elements which have similar properties as the selected elements. The five arguments define the rules to determine the similarity.</p>\n\
<p>These rules vary depending on the current sub-object level:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Argument1</th>\n\
<th align=\"left\">Argument2</th>\n\
<th align=\"left\">Argument3</th>\n\
<th align=\"left\">Argument4</th>\n\
<th align=\"left\">Argument5</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\"><strong>Edge Count</strong> Faces with the same number of sides as the selected faces.</td>\n\
<td align=\"left\"><strong>Face Areas</strong> Faces with roughly the same area/size as the selected faces.</td>\n\
<td align=\"left\"><strong>Topology</strong> Faces with the same surrounding edge topology as the selected faces.</td>\n\
<td align=\"left\"><strong>Normal Dir.</strong> Faces that share roughly the same normal direction.</td>\n\
<td align=\"left\">not used</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\"><strong>Edge Lengths</strong> Edges with roughly the same length as the selected edges.</td>\n\
<td align=\"left\"><strong>Face Areas</strong> Edges with roughly the same combined face areas of the surrounding faces as the selected edges</td>\n\
<td align=\"left\"><strong>Topology</strong> Edges with the same surrounding face topology as the selected edges.</td>\n\
<td align=\"left\"><strong>Normal Dir.</strong> Edges that share roughly the same normal direction.</td>\n\
<td align=\"left\">not used</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\"><strong>Edge Count</strong> Vertices with the same number of edges going from them as the selected vertices.</td>\n\
<td align=\"left\"><strong>Edge Length</strong> Vertices with roughly the same combined edge length of the vertices edges as the selected vertices.</td>\n\
<td align=\"left\"><strong>Face Counts</strong> Vertices with the same number of surrounding faces as the selected vertices.</td>\n\
<td align=\"left\"><strong>Face Areas</strong> Vertices with roughly the same combined face area of the surrounding faces as the selected vertices.</td>\n\
<td align=\"left\"><strong>Normal Dir.</strong> Vertices that share roughly the same normal direction.</td>\n\
</tr>\n\
</table>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select polygon/polygons and apply to select all polygons which are similar based on the above rules.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select edge/edges and apply to select all edges which are similar based on the above rules.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select vertex/vertices and apply to select all vertices which are similar based on the above rules.</td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"select\"></a><h2 id=\"select\">Select</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Tops &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects the tops of extruded parts in the model.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">ShiftPressed = False</th>\n\
<th align=\"left\">ShiftPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Apply to select the tops of extruded polygons.</td>\n\
<td align=\"left\">Select the tops of extruded polygons only within the current selection.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Apply to select the edge outline of the tops of extruded polygons.</td>\n\
<td align=\"left\">Select the edge outline of the tops of extruded polygons only within the current selection.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Apply to select the vertices of the tops of extruded polygons.</td>\n\
<td align=\"left\">Select the vertices of the tops of extruded polygons only within the current selection.</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.HardEdges () \n\
</pre></div><p>Selects all edges in a model where the faces of the edge do not share the same smoothing-groups.</p>\n\
<p>Note that if the smoothing group value of a face is 0 (no groups set at all), it will shade as hard edge, but this method will not detect these hard edges because they are technically sharing a group of 0.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Selects all edges in a model where the faces of the edge do not share the same smoothing groups.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Not supported.</td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"selection---by-random\"></a><h2 id=\"selection---by-random\">Selection - By Random</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-86598DD1-7F53-4F3D-BE04-4AE034AAD2F1-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Random &lt;float&gt;percent &lt;integer&gt;number &lt;integer&gt;type &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects random sub-object elements by percentage or absolute count.</p>\n\
<p>The first argument is the percentage in the range of 0.0 to 100.0. It is used only when the third argument is set to 1.</p>\n\
<p>The second argument is the absolute sub-object count to select. It is used only when the third argument is set to 0.</p>\n\
<p>The third argument determines the selection mode: 0 = use absolute count and 1 = use percentage.</p>\n\
<p>The fourth argument determines whether to select within all sub-objects or only the selected ones:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">ShiftPressed = False</th>\n\
<th align=\"left\">ShiftPressed = True</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select random polygons.</td>\n\
<td align=\"left\">Select random polygons only within the current selection.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select random edges.</td>\n\
<td align=\"left\">Select random edges only within the current selection.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select random vertices.</td>\n\
<td align=\"left\">Select random vertices only within the current selection.</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` thePlane = Plane widthsegs:20 lengthsegs:20 --create a plane convertTo thePlane Editable_Poly --convert to EPoly select thePlane --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Polygon level PolyToolsSelect.Random 0.0 20 0 false --select 20 randompolygons subObjectLevel = 2 --switch toEdgelevel PolyToolsSelect.Random 50.0 0 1 false --select50% of the edges</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.RandomGrow () \n\
</pre></div><p>Grows the selection by selecting random sub-object elements outside the border of the selection area.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.RandomShrink () \n\
</pre></div><p>Shrinks the selection by deselecting random sub-object elements on the border of the selection.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Even &lt;integer&gt;skip &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects every Nth sub-object element, starting with the second and skipping the number of sub-objects specified by the first argument.</p>\n\
<p>If the second argument is false, all sub-objects will be considered for selection.</p>\n\
<p>If the second argument is true, only already selected sub-objects will be considered.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Odd &lt;integer&gt;skip &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects every Nth sub-object element, starting with the first and skipping the number of sub-objects specified by the first argument.</p>\n\
<p>If the second argument is false, all sub-objects will be considered for selection.</p>\n\
<p>If the second argument is true, only the selected sub-objects will be considered.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"selection---by-symmetry\"></a><h2 id=\"selection---by-symmetry\">Selection - By Symmetry</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3C80C6B9-1890-4CD3-A9C3-959435029E91-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Symmetry &lt;integer&gt;axis \n\
</pre></div><p>Selects subobject elements in the mirror axis of a symmetrical model.</p>\n\
<p>The argument defines the axis as follows:</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<p>The center of the object is determined by the object&#39;s pivot point.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Sub-Object Level</th>\n\
<th align=\"left\">Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Polygon</strong></td>\n\
<td align=\"left\">Select polygons on one side of the model and apply to select polygons on the symmetrical side in the chosen axis.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Edge</strong></td>\n\
<td align=\"left\">Select edges on one side of the model and apply to select edges on the symmetrical side in the chosen axis.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Vertex</strong></td>\n\
<td align=\"left\">Select vertices on one side of the model and apply to select vertices on the symmetrical side in the chosen axis.</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{38..40, 49, 50, 59, 60, 70, 80} --select some --Step2: PolyToolsSelect.Symmetry 0 --select symmetrical along X --Step3: PolyToolsSelect.Symmetry 1 --select symmetrical along Y</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-E729487B-0B2C-44A4-8155-E335D60A4634-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BF5DBAB0-9B5D-407F-8FFE-424962539ECB-low.gif\' title=\'\'></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F831F0D9-F839-4DE4-8C3E-EAF0167B9A55-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---by-numeric\"></a><h2 id=\"selection---by-numeric\">Selection - By Numeric</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A3A09CCB-6C1B-4D04-9E4E-DD81EC80305F-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.NumericVertex &lt;integer&gt;edges &lt;integer&gt;type &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects vertices based on the number of edges specified as the first argument.</p>\n\
<p>The second argument controls the type of comparison as follows:</p>\n\
<p>1 - Equal</p>\n\
<p>2 - Less than</p>\n\
<p>3 - Greater than</p>\n\
<p>The third argument controls whether only vertices within the current vertex selection must be tested (true) or whether all vertices in the object must be used (false).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p= Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode--switch to modify panel subObjectLevel = 2 --switch to Edge level PolyToolsSelect.NumericVertex 4 1 false -- vertices with 4 edges --Step2: PolyToolsSelect.NumericVertex 4 2 false --vertices with less than 4 edges</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-842EE823-8BC6-420C-A913-B99DB561FA64-low.gif\' title=\'\'> <img src=\'developer/images/GUID-8326358F-BC90-4FD9-AF9E-411904AA9A78-low.gif\' title=\'\'></p>\n\
<p>``` --Step 2: PolyToolsSelect.NumericVertex 3 1 false --vertices with 3 edges --Step 4: PolyToolsSelect.NumericVertex 2 1 false --vertices with 2 edges</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-6C449165-DF57-4994-93A9-BD4CC6E2031E-low.gif\' title=\'\'> <img src=\'developer/images/GUID-F501E33A-21F7-4ABE-8DD6-E0E858EC5C7A-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.NumericEdge &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects edges that have only one adjacent polygon (&quot;open edges&quot;).</p>\n\
<p>The first argument controls whether only edges within the current edge selection must be tested (true) or whether all edges in the object must be used (false).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel PolyOp.deleteFaces p #{45..48,58} --delete some faces to add open edges subObjectLevel = 2 --switch toEdgelevel PolyToolsSelect.NumericEdge false --select open edges</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-04F16080-9860-492C-9B11-44615598E1B7-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.NumericFace &lt;integer&gt;sides &lt;integer&gt;type &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects faces based on the number of sides specified as the first argument.</p>\n\
<p>The second argument controls the type of comparison as follows:</p>\n\
<p>1 - Equal</p>\n\
<p>2 - Less than</p>\n\
<p>3 - Greater than</p>\n\
<p>The third argument controls whether only faces within the current face selection must be tested (true) or whether all faces in the object must be used (false).</p>\n\
<div class=\'section\'><a id=\"selection---by-half\"></a><h2 id=\"selection---by-half\">Selection - By Half</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D0AE7EBD-6F17-49E3-89D1-240C3982B40A-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Half &lt;integer&gt;axis &lt;boolean&gt;invert &lt;boolean&gt;withinSel \n\
</pre></div><p>Selects half of the sub-object elements at the current Sub-Object Level.</p>\n\
<p>The first argument specifies the axis as follows:</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<p>The second argument controls whether the positive side of the object (true) or the negative side of the object (false) will be selected.</p>\n\
<p>The third argument controls whether to use the whole object (false) or only the current selection (true).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: s = sphere radius:12 segs:40 wirecolor:blue convertTo s Editable_Poly --convert to EPoly select s --select the sphere max modify mode --switch to modify panel subObjectLevel = 4 --switch to facelevel --Step 2: Select positive (right) side along X using all faces PolyToolsSelect.Half 1 true false --Step 3: Select negative (front) side along Y using the existing selection PolyToolsSelect.Half 2 false true --Step 4:Select positive (top) side along Z using the existing selection PolyToolsSelect.Half 3 true true</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-B0BCA650-9AD2-456E-993A-F7EB0AF0AD6E-low.gif\' title=\'\'> <img src=\'developer/images/GUID-4C331ACD-4040-4D32-9F0E-BBC635B45D67-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-7A94CE1A-61AB-4636-ABAC-AEBF3AAF6F20-low.gif\' title=\'\'> <img src=\'developer/images/GUID-91ED79D1-13CD-4A1C-88D6-7880D60D097E-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---by-normal\"></a><h2 id=\"selection---by-normal\">Selection - By Normal</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A26D58C5-316D-45AE-A95C-01271FDFBDA4-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Normal &lt;integer&gt;axis &lt;float&gt;value &lt;boolean&gt;invert \n\
</pre></div><p>Selects sub-object elements in the current Sub-Object Level based on normal vector.</p>\n\
<p>The first argument defines the reference world axis as follows:</p>\n\
<p>1 - World X</p>\n\
<p>2 - World Y</p>\n\
<p>3 - World Z</p>\n\
<p>The second argument defines the angle threshold. Sub-objects with normals that define an angle with the reference world axis that is less than the threshold will be selected.</p>\n\
<p>The third argument defines whether to select the sub-objects whose normals are below the threshold (false) or the ones whose normals are above the threshold (true).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: s = geosphere radius:12 segs:10 wirecolor:blue pos:[0,0,-5] convertTo s Editable_Poly --convert to EPoly select s--select the geosphere max modify mode --switch to modify panel subObjectLevel = 1 --switch to Vertex level PolyToolsSelect.Normal 3 15 false --select vertices within 15 degrees to +Z --Step2: subObjectLevel = 2 --switch to Edge level PolyToolsSelect.Normal 3 15 false --selectedgeswithin 15 degrees to +Z --Step3: subObjectLevel = 4 --switch to Face level PolyToolsSelect.Normal 3 15 false --select faces within 15 degrees to +Z --Step4: PolyToolsSelect.Normal 3 15 true --selectfaces outside of15 degrees to +Z</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-679EE7A3-3490-4B0E-AB93-A7C893BA7BB1-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3E8241C0-EFA0-4211-AE33-D47C62B9DD89-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-F68D0A52-E7A8-4E1B-A2BA-28489CD3B321-low.gif\' title=\'\'> <img src=\'developer/images/GUID-09C9B787-F287-4C4E-9F14-9B730BF388BD-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---by-perspective\"></a><h2 id=\"selection---by-perspective\">Selection - By Perspective</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-70A30EB7-8225-4847-BCC9-E3EC3119C729-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Perspective &lt;float&gt;value &lt;boolean&gt;outline \n\
</pre></div><p>Selects sub-object elements at the current Sub-Object Level whose normals are within the given threshold to the current view&#39;s Z axis.</p>\n\
<p>The first argument defines the angle threshold.</p>\n\
<p>The second argument controls whether all sub-objects within the Threshold must be selected (false) or only the ones adjacent to the outline of the selection (true).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: s = geosphere radius:12 segs:10 wirecolor:blue convertTo s Editable_Poly --convert to EPoly select s --select the geosphere max modify mode --switch to modify panel subObjectLevel = 1 --switch to Vertex level PolyToolsSelect.Perspective 30 false --Step 2: PolyToolsSelect.Perspective 30 true</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-2C697F2C-38C7-46CF-B488-5AAF442BF873-low.gif\' title=\'\'> <img src=\'developer/images/GUID-C02B9F53-E6AE-4CB6-A8DB-BAE4BD6DF337-low.gif\' title=\'\'></p>\n\
<p>``` --Step 3: subObjectLevel = 2 --switch to Edge level PolyToolsSelect.Perspective 30 false --Step 4: PolyToolsSelect.Perspective 30 true</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-03D11668-6456-43B6-BA47-8C528472F2A3-low.gif\' title=\'\'> <img src=\'developer/images/GUID-7A427DA2-BEFA-44A4-8EAC-C825B9CB488E-low.gif\' title=\'\'></p>\n\
<p>``` --Step 5: subObjectLevel = 4 --switch to Face level PolyToolsSelect.Perspective 30 false --Step 6: PolyToolsSelect.Perspective 30 true</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-5D39956E-D9E7-4DB1-BE75-631F1DD71746-low.gif\' title=\'\'> <img src=\'developer/images/GUID-CDB2CB3E-CD70-4538-9D6E-450FC192BDE3-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---grow-from-perspective-view\"></a><h2 id=\"selection---grow-from-perspective-view\">Selection - Grow From Perspective View</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-63E2B17E-43DF-4D89-8079-C984CCE82F26-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.PerspectiveGrow &lt;float&gt;value \n\
</pre></div><p>Grows the sub-selection in the current view space by assuming the closest sub-object element to the viewer&#39;s position as 0 and growing the selection away from the viewer in world units.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: s = geosphere radius:12 segs:10 wirecolor:blue convertTo s Editable_Poly --convert to EPoly select s --select the geosphere max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyToolsSelect.PerspectiveGrow 2</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-F219A1EE-581C-41AA-9EA6-A4D25407BB44-low.gif\' title=\'\'> <img src=\'developer/images/GUID-640F0093-D93E-44FB-9D9F-6BB45C2D7A4B-low.gif\' title=\'\'></p>\n\
<p>``` --Step 2: PolyToolsSelect.PerspectiveGrow 12</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-6677FA30-2E4C-4C61-8102-2FEA3B5CEA80-low.gif\' title=\'\'> <img src=\'developer/images/GUID-1AEDDEBB-0F1B-4E4D-8192-6CE3D28DB815-low.gif\' title=\'\'></p>\n\
<p>Because the Radius of the Geosphere is 12 units, selecting with a value of 12 selects approximately half of the sphere in the current view (Camera001 - left image).</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---by-pivot-distance\"></a><h2 id=\"selection---by-pivot-distance\">Selection - By Pivot Distance</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-823C5C67-4441-4707-B752-B3E05703ED98-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Distance &lt;float&gt;value \n\
</pre></div><p>Selects sub-objects in the current level based on a percentage of the largest distance to the pivot point of the object.</p>\n\
<p>The percentage is provided by the first argument.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: t = teapot radius:10 segs:10 wirecolor:blue convertTo t Editable_Poly --convert to EPoly select t --select the teapot max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyToolsSelect.Distance 70.0 --and select using 70% --Step2: PolyToolsSelect.Distance 60.0 -- select using60%</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-5D50EC48-F762-4204-B6C3-8E6201494D3E-low.gif\' title=\'\'> <img src=\'developer/images/GUID-EC028499-DF51-4A05-A190-4CE0669B747B-low.gif\' title=\'\'></p>\n\
<p>``` --Step 3: s.pivot = [0,0,5] --move pivot up by half the radius resetxform s --reset XForm collapseStack s --and collapse the stack subObjectLevel = 4 --switch toFacelevel PolyToolsSelect.Distance 70.0 --and select again using 70% --Step 4: PolyToolsSelect.Distance 60.0</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-6E8E5C5F-AF5D-46F0-B230-4A95696CD81A-low.gif\' title=\'\'> <img src=\'developer/images/GUID-B8692B97-81A3-4298-BE76-AE65EFA72C93-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---by-surface\"></a><h2 id=\"selection---by-surface\">Selection - By Surface</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-25F8A60F-FDAF-4CE4-A549-A90E6020AF2B-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.ConvexConcave &lt;float&gt;value &lt;integer&gt;isConcave \n\
</pre></div><p>Selects sub-objects in the current Sub-Object Level based on a convexity/concavity threshold.</p>\n\
<p>The first argument is the threshold value.</p>\n\
<p>The second argument is the index of the Concave/Convex flyout in the UI as follows:</p>\n\
<p>1 - Concave</p>\n\
<p>2 - Convex</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: t = teapot radius:10 segs:10 wirecolor:blue convertTo t Editable_Poly --convert to EPoly select t --select theteapot max modify mode --switch to modify panel subObjectLevel = 4 --switch to Facelevel PolyToolsSelect.ConvexConcave 0.05 1 --Select Concave Faces --Step 2: PolyToolsSelect.ConvexConcave 0.001 2 --Select Convex Faces</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-EB93FA68-0EDD-40C6-B244-A1F4F70B4D6C-low.gif\' title=\'\'> <img src=\'developer/images/GUID-DEFE3294-CCE7-48BE-9B30-4F19DA59CB7D-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---patterns\"></a><h2 id=\"selection---patterns\">Selection - Patterns</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern1 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 1 for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.Pattern1 1 --Step 3: PolyToolsSelect.Pattern1 1 --Step 4: PolyToolsSelect.Pattern1 1 --Step 5: PolyToolsSelect.Pattern1 1 --Step 6: PolyToolsSelect.Pattern1 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-ED9EFC3E-796B-4F8C-B4FB-C761E995252B-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-FFA596A2-8BC8-4C4F-80F3-B69EB69ED02A-low.gif\' title=\'\'> <img src=\'developer/images/GUID-355FB09B-8E26-4A3C-87F4-788F19E75A4E-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-47D68099-5E4A-4EA8-AEA9-432580BB9854-low.gif\' title=\'\'> <img src=\'developer/images/GUID-449F3A19-014F-45D7-B980-E82D0BE21B2E-low.gif\' title=\'\'></p>\n\
<p>Note that you can achieve the look seen on the above right screenshot by calling</p>\n\
<p>``` PolyToolsSelect.Pattern1 5</p>\n\
<p>```</p>\n\
<p>right after evaluating Step 1 to perform the iterations internally.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern2 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 2 for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.Pattern2 1 --Step 3: PolyToolsSelect.Pattern2 1 --Step 4: PolyToolsSelect.Pattern2 1 --Step 5: PolyToolsSelect.Pattern2 1 --Step 6: PolyToolsSelect.Pattern2 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-FD85FADA-90B1-44C6-AB8E-61D53EED5B3B-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-8F4B8D2F-B559-4C1F-A2D3-0D745E36BFAF-low.gif\' title=\'\'> <img src=\'developer/images/GUID-66556C81-16AA-453E-BDA0-8EEAD41AD1AF-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-91C5401B-5D7F-4EFA-A3CD-783914A67A4B-low.gif\' title=\'\'> <img src=\'developer/images/GUID-295A374F-C0DE-41B4-BFEC-7CE7BDEA1A8C-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern3 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 3 the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch toFacelevel PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.Pattern3 1 --Step 3: PolyToolsSelect.Pattern3 1 --Step 4: PolyToolsSelect.Pattern3 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-6A5C998F-6200-44BD-B568-E248ECE84D29-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-E54E64DE-7140-44F9-84A1-310875881BFE-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BF2E5CC5-87E0-4172-9A44-62313837C6A4-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern4 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 4 for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch toFacelevel PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.Pattern4 1 --Step 3: PolyToolsSelect.Pattern4 1 --Step 4: PolyToolsSelect.Pattern4 1 --Step 5: PolyToolsSelect.Pattern4 1 --Step 6: PolyToolsSelect.Pattern4 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-A002B095-3761-4FA1-98AA-D78FCEA33149-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-F19E1C06-3C7E-427A-90FA-930F6EB0E455-low.gif\' title=\'\'> <img src=\'developer/images/GUID-0D6BCDC0-1349-4177-9F44-98844382563B-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-6E078F67-8F54-4221-95C7-539CF70B9724-low.gif\' title=\'\'> <img src=\'developer/images/GUID-2AE31AAE-D42C-4723-8745-65E61FDAAD7B-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern5 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 5 for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.Pattern5 1 --Step 3: PolyToolsSelect.Pattern5 1 --Step 4: PolyToolsSelect.Pattern5 1 --Step 5: PolyToolsSelect.Pattern5 1 --Step 6: PolyToolsSelect.Pattern5 1 --Step 7: PolyToolsSelect.Pattern5 1 --Step 8: PolyToolsSelect.Pattern5 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-FCE97205-0997-40C4-AAB4-4AFFE86BA134-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-348D3AD5-42E5-4A35-9146-C948BC3C1681-low.gif\' title=\'\'> <img src=\'developer/images/GUID-54277E9A-3054-461D-9CB2-CEB195C1A6B3-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-80016044-D2E2-42B1-89A2-5AE5496BABC6-low.gif\' title=\'\'> <img src=\'developer/images/GUID-B55F2A5C-B6EA-48C8-B3AA-203694B794ED-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-7FAC02CD-952D-407B-9C06-47BDCF05E4A8-low.gif\' title=\'\'> <img src=\'developer/images/GUID-329D242B-C6C7-4804-A1C5-2CEF80FB6F28-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern6 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 6 for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch toFacelevel PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.Pattern6 1 --Step 3: PolyToolsSelect.Pattern6 1 --Step 4: PolyToolsSelect.Pattern6 1 --Step 5: PolyToolsSelect.Pattern6 1 --Step 6: PolyToolsSelect.Pattern6 1 --Step 7: PolyToolsSelect.Pattern6 1 --Step 8: PolyToolsSelect.Pattern6 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-07F7ADFE-E61A-44CE-B7E6-785B4DDF05C0-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-29FB856C-5E07-4582-8C2C-6C4DE5659905-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E77AD0A6-25B1-4B1B-8FCC-D5FC34BEEFF9-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-3230786F-FAEF-4D08-B5B3-0B519168CA26-low.gif\' title=\'\'> <img src=\'developer/images/GUID-C0ABA645-F17B-4BA6-A7AB-8E776C1A569A-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-274A76A5-B168-43C0-B1DB-9982B9C0A7C3-low.gif\' title=\'\'> <img src=\'developer/images/GUID-329D242B-C6C7-4804-A1C5-2CEF80FB6F28-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern7 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 7 for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.Pattern7 1 --Step 3: PolyToolsSelect.Pattern7 1 --Step 4: PolyToolsSelect.Pattern7 1 --Step 5: PolyToolsSelect.Pattern7 1 --Step 6: PolyToolsSelect.Pattern7 1 --Step 7: PolyToolsSelect.Pattern7 1 --Step 8: PolyToolsSelect.Pattern7 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-31283BF2-B576-42B3-8420-EF19CE31EACD-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-E6125443-B637-47E8-9A65-C22050CC4CAE-low.gif\' title=\'\'> <img src=\'developer/images/GUID-DB8DAD0E-BE98-4B59-8C53-0758549AB08F-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-E3C74C72-0832-4703-AB42-F02121E4BB7F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-BB489304-385F-4198-B002-449DD80E68B7-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-082E73C6-657E-415A-B8DE-552711044ABF-low.gif\' title=\'\'> <img src=\'developer/images/GUID-D3480EB5-2665-44D0-A9F5-036662CCA62D-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.Pattern8 &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern 8 for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45}--select a central face --Step 2: PolyToolsSelect.Pattern8 1 --Step 3: PolyToolsSelect.Pattern8 1 --Step 4: PolyToolsSelect.Pattern8 1 --Step 5: PolyToolsSelect.Pattern8 1 --Step 6: PolyToolsSelect.Pattern8 1 --Step 7: PolyToolsSelect.Pattern8 1 --Step 8: PolyToolsSelect.Pattern8 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-192DF491-329F-48FF-B835-5ACF27E22DB6-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-3F639069-666A-480E-894C-60DAE4CA69F4-low.gif\' title=\'\'> <img src=\'developer/images/GUID-F5902610-6E02-402B-9298-F4C7A59C01A2-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-DF0EA1E5-698C-4913-9ADF-ECC7B61862E4-low.gif\' title=\'\'> <img src=\'developer/images/GUID-7725A685-6137-4138-B1AE-9AC0D3546B9D-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-86BC434C-3222-4C4D-9997-CE73FBB2F474-low.gif\' title=\'\'> <img src=\'developer/images/GUID-ED33D13F-21B6-45B0-A0F0-8BFF9B9C0776-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.PatternDots &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern Dots for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.PatternDots 1 --Step 3: PolyToolsSelect.PatternDots 1 --Step 4: PolyToolsSelect.PatternDots 1 --Step 5: PolyToolsSelect.PatternDots 1 --Step 6: PolyToolsSelect.PatternDots 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-6BF79812-29F9-4573-B3E9-836F108C5041-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-4F3D78B9-3A04-4527-9D94-2CDD1C7A6107-low.gif\' title=\'\'> <img src=\'developer/images/GUID-5E097758-5CC0-48C6-B4C2-3388386651DE-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-9479EBB9-F5C4-4F3E-9554-C91F197F4283-low.gif\' title=\'\'> <img src=\'developer/images/GUID-C4A10908-BFE4-4DA0-9F89-F2731F94CAC3-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.PatternChecker &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern Checker for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.PatternChecker 1 --Step 3: PolyToolsSelect.PatternChecker 1 --Step 4: PolyToolsSelect.PatternChecker 1 --Step 5: PolyToolsSelect.PatternChecker 1 --Step 6: PolyToolsSelect.PatternChecker 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-DB30D3FA-B513-424A-9C23-2C02311300F3-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-1D6A93BB-0C22-49DE-8D48-081ED9B2E6EA-low.gif\' title=\'\'> <img src=\'developer/images/GUID-546B10A4-AF8E-472C-A4C6-F82FC7846DD5-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-CF6E86BB-9108-4415-B370-8C9495C2B7E9-low.gif\' title=\'\'> <img src=\'developer/images/GUID-A59E0EEF-E7B7-4A9A-AE8E-7A1445C0FDAD-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.PatternGrowLine &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern Grow Line for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.PatternGrowLine 1 --Step 3: PolyToolsSelect.PatternGrowLine 1 --Step 4: PolyToolsSelect.PatternGrowLine 1 --Step 5: PolyToolsSelect.PatternGrowLine 1 --Step 6: PolyToolsSelect.PatternGrowLine 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-7563628F-7209-4931-A43D-5DBD6CC26CC8-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-F937072E-263D-43FA-AE50-D9E76AFC2CF4-low.gif\' title=\'\'> <img src=\'developer/images/GUID-C54745B2-64A1-4171-95F6-724E736A06F7-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-4E20E43C-B3FE-4601-8D0C-21FB5FD35C4A-low.gif\' title=\'\'> <img src=\'developer/images/GUID-47F6526A-A8AE-4852-9630-C95EB9D9D6C6-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.PatternOneRing &lt;integer&gt;times \n\
</pre></div><p>Applies Selection Pattern One Ring for the specified number of times.</p>\n\
<p>Returns true on success, false on failure. For example, if not in a valid sub-object mode.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:10 lengthsegs:10 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Face level PolyOp.SetFaceSelection p #{45} --select a central face --Step 2: PolyToolsSelect.PatternOneRing 1 --Step 3: PolyToolsSelect.PatternOneRing 1 --Step 4: PolyToolsSelect.PatternOneRing 1 --Step 5: PolyToolsSelect.PatternOneRing 1 --Step 6: PolyToolsSelect.PatternOneRing 1</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-4F254901-E902-435E-BF83-EE146B74E51D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-5707D56A-583A-4213-AE12-3F763F184586-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-4D1CC660-AA1B-4A2F-B1AE-1D93AD44F209-low.gif\' title=\'\'> <img src=\'developer/images/GUID-F00EA60D-896B-4F11-BB58-567D2BF921C7-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-336E658E-022B-49F8-A296-8225F446115C-low.gif\' title=\'\'> <img src=\'developer/images/GUID-15B81F33-A0A6-4B68-93A4-AC83BEEF969B-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection---by-bitmap\"></a><h2 id=\"selection---by-bitmap\">Selection - By Bitmap</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsSelect.BitmapToSel &lt;string&gt;file &lt;integer&gt;mapchannel &lt;point3&gt;color \n\
</pre></div><p>Selects sub-objects in the current Sub-Object Level based on a color from a bitmap file using a given mapping channel for the bitmap application.</p>\n\
<p>The first argument is the file name of the bitmap.</p>\n\
<p>The second argument is the mapping channel to use for the mapping of the bitmap onto the geometry.</p>\n\
<p>The third argument is the color from the bitmap to use for selecting.</p>\n\
<p>Internally, the color will be compared with a built-in threshold of +/- 8.0 (256/8= 32, so the threshold is 1/32 or about 3%).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Step 1: p = Plane widthsegs:50 lengthsegs:50 wirecolor:blue --create a plane convertTo p Editable_Poly --convert to EPoly select p --select the plane max modify mode --switch to modify panel subObjectLevel = 4 --switch to Edge level --Select faces where the bitmap color is pure white. PolyToolsSelect.BitmapToSel &quot;ELMLEAF.TGA&quot; 1 white --Step 2: Select faces where color is black. PolyToolsSelect.BitmapToSel &quot;ELMLEAF.TGA&quot; 1 black</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-1534B8F1-3AF4-4BF5-B906-5FFAC84F9697-low.gif\' title=\'\'> <img src=\'developer/images/GUID-8F2F5148-AC13-4DD7-85DB-D9CA6B996148-low.gif\' title=\'\'></p>\n\
<p>``` --Step 3: PolyToolsSelect.BitmapToSel &quot;ELMLEAF.TGA&quot; 1 (white<em>0.97) --Step 4: PolyToolsSelect.BitmapToSel &quot;ELMLEAF.TGA&quot; 1 (white</em>0.96)</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-69D851CC-8B79-44DD-895D-A8A345158F48-low.gif\' title=\'\'> <img src=\'developer/images/GUID-730DA380-2A4E-40DD-A1CC-1B7E7DC4D818-low.gif\' title=\'\'></p>\n\
<p>``` --Step 3: PolyToolsSelect.BitmapToSel &quot;ELMLEAF.TGA&quot; 1 (white<em>0.04) --Step 4: PolyToolsSelect.BitmapToSel &quot;ELMLEAF.TGA&quot; 1 (white</em>0.03)</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-0B1B1896-E663-4497-A66E-2AAE2B29444B-low.gif\' title=\'\'> <img src=\'developer/images/GUID-2E5ABD27-FD39-4B0D-A41F-0E5B8EB1FE59-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";