var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PolyToolsShift : GlobalUtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PolyToolsShift : GlobalUtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"polytoolsshift-globalutilityplugin\"></a></div>\n\
<p>The <strong>PolyToolsShift</strong> Global Utility Plugin introduced in <strong>3ds Max 2011</strong> exposes an interface that provides MAXScript access to the Graphite Shift tools.</p>\n\
<p>The functionality was first implemented in <strong>3ds Max 2010</strong> using different functions that were not officially supported as MAXScript tools. This interface consolidates all relevant properties and methods in one place and let MAXScript users apply them in their own tools.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>PolyToolsShift interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: PolyToolsShift \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>PolyToolsShift.  FullStrength: integer : Read|Write \n\
</pre></div><p>Get/set the Shift Full Strength value.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsShift.Falloff: integer : Read|Write \n\
</pre></div><p>Get/Set the Shift Falloff value.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsShift.UseMirror: boolean : Read|Write \n\
</pre></div><p>Get/set the state of the Use Mirror option.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsShift.Strength: integer : Read|Write \n\
</pre></div><p>Get/set the Strength % Value.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsShift.UseSelectedVerts: boolean : Read|Write \n\
</pre></div><p>Get/set the state of the Use Selected Vertices option.</p>\n\
<div class=\'codeBlock\'><pre>PolyToolsShift.IgnoreBackfacing: boolean : Read|Write \n\
</pre></div><p>Get/set the state of the Ignore Backfacing option.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsShift.StartTool() \n\
</pre></div><p>Enters Shift mode.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsShiftEndTool.() \n\
</pre></div><p>Exits Shift mode.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsShift.GetAxisFrozen &lt;value&gt;axis \n\
</pre></div><p>Returns the state of the Freeze Axis specified by the argument.</p>\n\
<p>Possible argument values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span> - X axis</li>\n\
<li><span class=\'code\'>#y</span> - Y axis</li>\n\
<li><span class=\'code\'>#z</span> - Z axis</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsShift.SetAxisFrozen &lt;value&gt;axis &lt;boolean&gt;onOff \n\
</pre></div><p>Sets the state of the Freeze Axis specified by the first argument to the Boolean value specified by the second argument.</p>\n\
<p>Possible first argument values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span> - X axis</li>\n\
<li><span class=\'code\'>#y</span> - Y axis</li>\n\
<li><span class=\'code\'>#z</span> - Z axis</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsShift.GetAxisFrozenEdges &lt;value&gt;axis \n\
</pre></div><p>Returns the state of the Freeze Selected Edges axis specified by the argument.</p>\n\
<p>Possible argument values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span> - X axis</li>\n\
<li><span class=\'code\'>#y</span> - Y axis</li>\n\
<li><span class=\'code\'>#z</span> - Z axis</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsShift.SetAxisFrozenEdges &lt;value&gt;axis &lt;boolean&gt;onOff \n\
</pre></div><p>Sets the state of the Freeze Selected Edges axis specified by the first argument to the Boolean value specified by the second argument.</p>\n\
<p>Possible first argument values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span> - X axis</li>\n\
<li><span class=\'code\'>#y</span> - Y axis</li>\n\
<li><span class=\'code\'>#z</span> - Z axis</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;PolyToolsShift.GetMirrorAxis () \n\
</pre></div><p>Returns the Mirror axis as a name value.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span> - X axis</li>\n\
<li><span class=\'code\'>#y</span> - Y axis</li>\n\
<li><span class=\'code\'>#z</span> - Z axis</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PolyToolsShift.SetMirrorAxis &lt;value&gt;axis \n\
</pre></div><p>Sets the Mirror axis to the name value provided by the argument.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span> - X axis</li>\n\
<li><span class=\'code\'>#y</span> - Y axis</li>\n\
<li><span class=\'code\'>#z</span> - Z axis</li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";