var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Render Surface Map</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Render Surface Map</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"render-surface-map\"></a></div>\n\
<p>These methods expose the functionality of the <strong>Render Surface Map</strong> dialog, which can generate various types of surface maps for Editable_Poly objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;cavityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;contrast &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBCavityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;contrast &lt;int&gt;bleed\n\
</pre></div><p>Generates a cavity map for the specified Editable_Poly <span class=\'code\'>poly</span> object, where <span class=\'code\'>width</span> and <span class=\'code\'>height</span> is the size of the bitmap (in pixels), <span class=\'code\'>mapchannel</span> is the object&#39;s map channel, <span class=\'code\'>contrast</span> is the amount of extra contrast to apply, and <span class=\'code\'>bleed</span> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <span class=\'code\'>cavityMap()</span> version returns the generated bitmap as a value, whereas the <span class=\'code\'>PolyBCavityMap()</span> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;densityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBDensityMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed\n\
</pre></div><p>Generates a density map for the specified Editable_Poly <span class=\'code\'>poly</span> object, where <span class=\'code\'>width</span> and <span class=\'code\'>height</span> is the size of the bitmap (in pixels), <span class=\'code\'>mapchannel</span> is the object&#39;s map channel, and <span class=\'code\'>bleed</span> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <span class=\'code\'>densityMap()</span> version returns the generated bitmap as a value, whereas the <span class=\'code\'>PolyBDensityMap()</span> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;dustMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBDustMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;bleed\n\
</pre></div><p>Generates a dust map for the specified Editable_Poly <span class=\'code\'>poly</span> object, where <span class=\'code\'>width</span> and <span class=\'code\'>height</span> is the size of the bitmap (in pixels), <span class=\'code\'>mapchannel</span> is the object&#39;s map channel, and <span class=\'code\'>bleed</span> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <span class=\'code\'>dustMap()</span> version returns the generated bitmap as a value, whereas the <span class=\'code\'>PolyBDustMap()</span> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;subSurfaceMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBSubSurfaceMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed&gt;\n\
</pre></div><p>Generates a SubSurface map for the specified Editable_Poly <span class=\'code\'>poly</span> object, where <span class=\'code\'>width</span> and <span class=\'code\'>height</span> is the size of the bitmap (in pixels), <span class=\'code\'>mapchannel</span> is the object&#39;s map channel, <span class=\'code\'>accuracy</span> is the amount of blur to apply, and <span class=\'code\'>bleed</span> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <span class=\'code\'>subSurfaceMap()</span> version returns the generated bitmap as a value, whereas the <span class=\'code\'>PolyBSubSurfaceMap()</span> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;occlusionMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed\n\
&lt;boolean&gt;PolyBOcclusionMap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;accuracy &lt;int&gt;bleed\n\
</pre></div><p>Generates an occlusion map for the specified Editable_Poly <span class=\'code\'>poly</span> object, where <span class=\'code\'>width</span> and <span class=\'code\'>height</span> is the size of the bitmap (in pixels), <span class=\'code\'>mapchannel</span> is the object&#39;s map channel, <span class=\'code\'>accuracy</span> is the amount of blur to apply, and <span class=\'code\'>bleed</span> is the number of pixels to add at UVW borders as &quot;padding&quot;.</p>\n\
<p>The <span class=\'code\'>subSurfaceMap()</span> version returns the generated bitmap as a value, whereas the <span class=\'code\'>PolyBSubSurfaceMap()</span> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;selectionToBitmap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;isEP &lt;Edit_Poly&gt;EP\n\
&lt;boolean&gt;PolyBSelToBitmap &lt;EditablePoly&gt;poly &lt;int&gt;width &lt;int&gt;height &lt;int&gt;mapchannel &lt;int&gt;isEP &lt;Edit_Poly&gt;EP\n\
</pre></div><p>Generates black-and-white bitmap based on the sub-object selection of the specified Editable_Poly <span class=\'code\'>poly</span> object, where <span class=\'code\'>width</span> and <span class=\'code\'>height</span> is the size of the bitmap (in pixels), and <span class=\'code\'>mapchannel</span> is the object&#39;s map channel. If <span class=\'code\'>isEP</span> is 0 (the default) the specified poly object is operated on; if <span class=\'code\'>isEP</span> is 1 (true), the specified Edit_Poly <span class=\'code\'>EP</span> object is operated on.</p>\n\
<p>The <span class=\'code\'>selectionToBitmap()</span> version returns the generated bitmap as a value, whereas the <span class=\'code\'>PolyBSelToBitmap()</span> displays the generated bitmap in a virtual frame buffer window.</p>\n\
<!-- still need to document: \n\
```\n\
<bitmap>textureWrap <EditablePoly>poly_snapshot <int>width <int>height <int>mapchannel <string>texturefile <Point3>poly_max\n\
<boolean>PolyBTextureWrap <EditablePoly>poly_snapshot <int>width <int>height <int>mapchannel <string>texturefile <Point3>poly_max \n\
```\n\
\n\
```\n\
<Point3>poly_min <float>tile <int>bleed <EditablePoly>poly\n\
```\n\
-->\n\
<div class=\'section\'><a id=\"example\"></a><h2 id=\"example\">Example</h2></div>\n\
<div class=\'codeBlock\'><pre>-- create an editable_poly object\n\
t = teapot()\n\
convertto t Editable_Poly\n\
-- add a map channel\n\
addmodifier t (UVWMap())\n\
collapsestack t\n\
    \n\
-- generate density map\n\
dm = densityMap t 512 512 1 3\n\
\n\
-- show bitmap:\n\
display dm caption:&quot;My Density Map&quot;\n\
-- save bitmap:\n\
dm.filename = (getDir #image) + &quot;\\\\my_density.bmp&quot;\n\
save dm quiet:false\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";