var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Editable Spline Modify Panel Command Modes and Operations</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Editable Spline Modify Panel Command Modes and Operations</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"editable-spline-modify-panel-command-modes-and-operations\"></a></div>\n\
<p>A suite of methods provide the ability for a script to invoke Editable Spline, Line, and Edit Spline Modify panel modes and operations, corresponding to buttons available at various shape sub-object levels. These methods reside in the <span class=\'code\'>splineOps</span> global structure. These methods effectively &quot;push the button&quot; in the Modify panel. In order to use these methods, the node must be selected and the Modify panel open. In the description of these methods, the first argument <span class=\'code\'>&lt;editable_spline_or_line_node_or_modifier&gt;</span> should be interpreted as either an Editable Spline or Line node where the modifier stack level is at the base object, or an Edit Spline modifier where the modifier stack level is at the Edit Spline. In all cases, the following methods work at the current sub-object level, but only if that level is appropriate for the invoked operation.</p>\n\
<p>If you have made scripted changes to the shape you <strong>must</strong> call the <span class=\'code\'>updateShape()</span> method on the mesh before calling these methods. You do not need to call <span class=\'code\'>updateShape()</span> after just calling one of these methods, as <strong>3ds Max</strong> will take care of updating the shape.</p>\n\
<p>The following methods invoke one of the &#39;user-interaction&#39; button operations in the Editable Spline Modify panel, acting on the currently selected sub-objects. These methods highlight the corresponding button in the Geometry rollout and start the operation, at which point the user interactively completes the operation. These methods return after starting the operation, and before the user completes the operation, so care should be taken to ensure that your script does not interfere with the operation. Invoking any of these methods is the same as clicking on the associated button in the Modify panel. Calling a method when the operation is already in effect (either due to a user action or a MAXScript command) causes the operation to be terminated and the highlight is removed from the button.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startUnion &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Boolean Union&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<p>Only 1 closed spline must be selected to enter this command mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startSubtract &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Boolean Subtract&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<p>Only 1 closed spline must be selected to enter this command mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.intersect &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Boolean Intersect&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<p>Only 1 closed spline must be selected to enter this command mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startAttach &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Attach&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startBind &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Bind&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startBreak &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Break&quot; command mode - valid in Vertex and Segment Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startChamfer &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Chamfer&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startConnect &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Connect&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startCreateLine &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Create Line&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startCrossInsert &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;CrossInsert&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startExtend &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Extend&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startFillet &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Fillet&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startInsert &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Insert&quot; command mode - valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startOutline &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Outline&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startRefine &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Refine&quot; command mode - valid in Vertex and Segment Sub-Object levels.</p>\n\
<p>This method does not turn off the Connect checkbox, so it is effectively the same as the <span class=\'code\'>startRefineConnect()</span> method.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startRefineConnect &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Refine&quot; command mode - valid in Vertex and Segment Sub-Object levels. This method does not turn on the Connect checkbox, so it is effectively the same as the <span class=\'code\'>startRefine()</span> method.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startTrim &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Trim&quot; command mode - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startCopyTangent &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Copy Tangent&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.startPasteTangent &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Enters &quot;Paste Tangent&quot; command mode - valid in Vertex Sub-Object level.</p>\n\
<p><strong>The following methods invoke one of the &#39;instantaneous&#39; button operations in the Editable Shape Modify panel, acting on the currently selected sub-objects:</strong></p>\n\
<div class=\'codeBlock\'><pre>splineOps.attachMultiple &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Displays Attach Multiple dialog allowing the user to select multiple shapes to attach.</p>\n\
<p>Valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.close &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Closes the selected splines - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.cycle &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Cycles through the vertices of the spline, selecting each vertex. At least one vertex must be selected before calling this method, or no vertex is selected.</p>\n\
<p>If more than one vertex is selected when this method is called, the first vertex of the first shape is selected.</p>\n\
<p>Valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.delete &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Deletes the selected sub-objects - valid in all Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.detach &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Displays Detach dialog allowing the user to specify an object name.</p>\n\
<p>Valid in all Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.divide &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Divides the selected segments - valid in Segment Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.explode &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Explodes the each segment in the selected splines into separate splines or objects.</p>\n\
<p>Valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.fuse &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Fuses the selected vertices.</p>\n\
<p>Valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.hide &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Hides the selected sub-objects - valid in all Sub-Object levels.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.makeFirst &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Makes the selected vertices the first vertex in the spline- valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.mirrorBoth &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Mirrors the selected splines horizontally and vertically - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.mirrorHoriz &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Mirrors the selected splines horizontally - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.mirrorVert &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Mirrors the selected splines vertically - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.reverse &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Reverses the order of vertices in the selected splines - valid in Spline Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.selectByID &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Presses the Select ID button</p>\n\
<div class=\'codeBlock\'><pre>splineOps.unbind &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Unbinds the selected vertices - valid in Vertex Sub-Object level.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.unhideAll &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Unhides all hidden sub-objects -valid in all Sub-Object levels, and when not in Sub-Object mode.</p>\n\
<div class=\'codeBlock\'><pre>splineOps.weld &lt;editable_spline_or_line_node_or_modifier&gt;\n\
</pre></div><p>Welds the selected vertices - valid in Vertex Sub-Object level.</p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Flatten-a-SplineShape.html\' title=\'\'>How To ... Flatten a SplineShape</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Draw-a-Freehand-Spline.html\' title=\'\'>How To ... Draw a Freehand Spline</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";