var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Passing SplineShape Knot Selections Up The Stack</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Passing SplineShape Knot Selections Up The Stack</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"passing-splineshape-knot-selections-up-the-stack\"></a></div>\n\
<p>When setting a Knot selection using the setKnotSelection method, you are <strong>always</strong> affecting the base object - the EditableSpline at the bottom of the stack. It is not directly possible to set the sub-object vertex selection of a specific <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Patch-and-Spline-Editing/Edit_Spline-Modifier.html\' title=\'\'>Edit_Spline</a> modifier using this method. The selection flows up the stack through any existing Edit_Spline modifiers and changes the sub-object selections of all of them.</p>\n\
<p>In the following example, the script has to select a single vertex at the end of a SplineShape and link it to an object using a Linked XForm modifier. Then the other vertex on the other end of the SplineShape has to be linked to a different object using a second Linked XForm modifier. In result, moving either object should stretch the spline between the two objects similar to a rope.</p>\n\
<p>Obviously, trying to set the vertex selection for both ends will fail because the second selection would flow through the whole stack and overwrite the first selection, resulting in both Linked XForm modifiers affecting the same vertex.</p>\n\
<p>To avoid this, we have to do two things - we will apply the modifiers from top to bottom instead of adding them on top of each-other, and we will use a SplineSelect modifier as a &quot;selection blocker&quot; to stop the second sub-object selection from overwriting the first one.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` resetMaxFile #noPrompt theSphere1= sphere() theSphere1.pos = [-100,0,0] theSphere2= sphere() theSphere2.pos = [100,0,0] theShape = splineShape() addnewSpline theShape addKnot theShape 1 #corner #line [-100,0,0] addKnot theShape 1 #corner #line [100,0,0] updateShape theShape max modify mode --switch to modify panel select theShape --select the spline es1 = edit_spline name:&quot;First ES&quot; --create 1st Edit_Spline addmodifier theShape es1 --add to the TOP of the stack subobjectLevel = 1 --vertex level... setKnotSelection theShape 1 #(1) --select first vertex in BASE OBJECT LX1 = Linked_XForm name:&quot;First XForm&quot; --Add Linked XForm modPanel.addModToSelection LX1 --Add to the sub-selection LX1.Control = theSphere1--Set control sselect = splineselect name:&quot;Blocker&quot; --Add a SplineSelect to stop the flow addmodifier theShape sselect before:2 --Add it BEFORE the first Edit_Spline! --Note: Since modifiers are always counted from top to bottom, --having 2 modifiers on top will place the new modifier before them --when using &quot;before:2&quot; es2 = edit_spline name:&quot;Second ES&quot; --Create second Edit_Spline addmodifier theShape es2 before:3 --Add it BEFORE the SlineSelect &quot;Blocker&quot; modPanel.setCurrentObject es2 --Set the Modifier stack to it subobjectLevel = 1 --vertex SO level setKnotSelection theShape 1 #(2) --select second vertex --Note that at this point, the selection will flow up until it --hits the SplineSelect modifier which is set to Object Level and does --not let the selection pass beyond that point. This preserves --the selection of vertex 1 in the top Edit_Spline and sets the --selection in the bottom one to vertex 2. LX2 = Linked_XForm name:&quot;Second XForm&quot; --create new Linked XForm modPanel.addModToSelection LX2 --Add on top of the current selection LX2.Control = theSphere2 --set second control</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";