var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>AnimHandle System</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>AnimHandle System</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"animhandle-system\"></a></div>\n\
<p>The <strong>AnimHandle system</strong> defines a unique ID number for every entity in the scene, including nodes, modifiers, materials, controllers, etc. When an entity is deleted from memory, its number will never be reused by any entity created later, except in the case of the so-called &quot;wrap-around&quot; - an unhealthy condition possible only when four billion entities (the 32-bit limit) are created in a single <strong>3ds Max</strong> session.</p>\n\
<p>Therefore you can determine whether an object is deleted by requesting the object using its handle, and seeing if the result is undefined.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetHandleByAnim &lt;object&gt;\n\
</pre></div><p>This method returns the unique AnimHandle ID for the given scene entity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;object&gt;GetAnimByHandle &lt;integer&gt;\n\
</pre></div><p>This method returns the scene entity corresponding to the unique AnimHandle ID, or undefined if the entity has been deleted or has not been created yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IntegerPtr&gt;getAnimPointer &lt;maxwrapper&gt; \n\
</pre></div><p>This method returns a pointer to the wrapped refTarg as an IntegerPtr, or 0 if the value is <span class=\'code\'>undefined</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxwrapper&gt;getAnimByPointer &lt;IntegerPtr&gt;\n\
</pre></div><p>Returns the corresponding maxwrapper for the specified pointer address. This means: <span class=\'code\'>(getAnimByPointer (getAnimPointer &lt;maxwrapper&gt;)) == maxwrapper</span>. This function is intended mainly for internal use and debugging.</p>\n\
<p>Available in <strong>3ds Max 2018</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` x = teapot() --create a teapot xHandle = GetHandleByAnim x --get the anim.handle x_verify = GetAnimByHandle xhandle --get by anim.handle x == x_verify --compare the two -returns true delete x --delete the teapot clearUndoBuffer() --object deleted completely from memory x_verify = GetAnimByHandle xhandle --now returns undefined</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";