var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Dynamic Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Dynamic Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dynamic-properties\"></a></div>\n\
<p>In addition to the properties listed in the reference, MAXScript provides access to the <strong>dynamic properties</strong> in <strong>3ds Max</strong> entities, those properties that are specific to an individual object and depend on the operations you&#39;ve performed on that object in the <strong>3ds Max</strong> scene. These includes such things as animatable modifier sub-objects like gizmos and FFD control points and sub-controllers like those in a List controller or P/R/S Transform or Path controller.</p>\n\
<p>These correspond to the many animatable parameters and sub-objects that you see in the Track View for an object; if you can see them in the Track View they will be visible as either static or dynamic properties in the MAXScript value that corresponds to that object.</p>\n\
<p>The property name you specify is matched against the sub-animatable name (as it would be seen in the Track View or sub-object drop-down) using the standard MAXScript conventions of mapping spaces to <span class=\'code\'>&#39;_&#39;</span> underscores and ignoring case when dealing with <strong>3ds Max</strong> class and property names. You can also simply leave out the spaces in any dynamic property names.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` p = $foo.bend.center $baz.taper.gizmo.rotation = quat 30 z_axis $foo.pos.controller.bezier_position = [10,0,0]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Because these properties are dynamic and may change as controllers are replaced and sub-objects become animated, they may vary from object to object and so are not reported in the properties section of the <span class=\'code\'>showClass()</span> function output. Instead, you can use the built-in function <span class=\'code\'>showProperties()</span> which will display the accessible properties on a <strong>3ds Max</strong> entity including the currently visible dynamic properties. Both functions are described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\' title=\'\'>Class and Object Inspector Functions</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";