var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ATF_Alias_importer : ImporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ATF_Alias_importer : ImporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"atf_alias_importer-importerplugin\"></a></div>\n\
<p>Exposes to MAXScript the Autodesk Translation Framework Alias Importer plugin. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer\n\
ATF_Alias_Import\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-11724A70-018C-4C64-9181-805AE307936E-low.png\' title=\'\'></div>\n\
</pre></div><p><strong>ATF_Alias_importer interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: Import Settings\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.ConvertToMesh : boolean : Read|Write\n\
</pre></div><p>Gets/sets the selection of the &quot;Convert to Mesh&quot; drop-down list.</p>\n\
<p>When set to True (default), the imported geometry will be converted to a mesh.</p>\n\
<p>When set to False, the geometry objects will be imported as Body_Object class instances.</p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.UpAxis : enum : Read|Write\n\
UpAxis enums: {#x|#y|#z}\n\
\n\
</pre></div><p>Gets/sets the selection of the &quot;Up Axis&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span>: <strong>X - Up</strong></li>\n\
<li><span class=\'code\'>#y</span>: <strong>Y - Up</strong></li>\n\
<li><span class=\'code\'>#z</span>: <strong>Z - Up (default)</strong></li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.HierarchyMode : enum : Read|Write\n\
HierarchyMode enums: {#UsingGrouping|#UsingLayer|#Flattened} \n\
\n\
</pre></div><p>Gets/sets the selection of the &quot;Hierarchy Mode&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#UsingGrouping</strong> (default) - creates a scene hierarchy using 3ds Max groups</li>\n\
<li><strong>#UsingLayer</strong> - creates a scene hierarchy using 3ds Max layers</li>\n\
<li><strong>#Flattened</strong> - creates a flat hierarchy</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.MeshResolution : integer : Read|Write\n\
</pre></div><p>Gets/sets the value of the &quot;Mesh Resolution&quot; slider / value.</p>\n\
<p>Possible values range is from -10 (Less) to 10 (More).</p>\n\
<p>Default is 0.</p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.KeepDummyNodes : boolean : Read|Write\n\
</pre></div><p>Gets/sets the state of the &quot;Keep Dummy Nodes&quot; checkbox.</p>\n\
<p>When set to True, dummy nodes will be preserved.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.ImportTextures : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to import textures.</p>\n\
<p>When set to True, textures are imported in the project&#39;s textures directory.</p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.ImportCameras : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to import cameras.</p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.ImportHiddenObjects : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to import hidden objects. Hidden objects remain hidden upon import. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.DoubleSidedMaterials : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to apply double-sided materials to imported faces. This will make flipped faces appear normal.</p>\n\
<div class=\'codeBlock\'><pre>ATF_Alias_importer.PreserveLayers : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to attempt to preserve layers. Layers can only be imported if <span class=\'code\'>#UsingGrouping</span> or <span class=\'code\'>#Flattened</span> is selected for the <span class=\'code\'>.HiearchyMode</span> property. <strong>Available in 3ds Max 2021 and higher.</strong> <strong>Methods:</strong></p>\n\
<p>No methods exposed.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ATF_STEP_importer.ConvertToMesh = false --keep Body Objects ATF_STEP_importer.UpAxis = #y --switch axis to Y up ATF_STEP_importer.HierarchyMode = #Flattened --flatten hierarchy ATF_STEP_importer.KeepDummyNodes = false --no dummies importFile @&quot;C:\\Temp\\mytestfile.wire&quot; #noprompt --import without UI</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";