var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ATF_SKETCHUP_Import : ImporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ATF_SKETCHUP_Import : ImporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"atf_sketchup_import-importerplugin\"></a></div>\n\
<p>Exposes the Autodesk Translation Framework Sketchup (.skp) Importer plugin to MAXScript. This is the new default Sketchup importer for .skp files which replaces the legacy <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/sketchUp-ImporterPlugin.html\' title=\'\'>sketchUp:ImporterPlugin</a>, so specifying this importer with the <span class=\'code\'>using</span> keyword parameter to <span class=\'code\'>importFile()</span> is not required.</p>\n\
<p>Available in <strong>3ds Max 2020.2 Update and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript.\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5C56C46C-D592-4B8A-8EB6-C46C101D6D92-low.png\' title=\'\'></div>\n\
</pre></div><p>Aliases:</p>\n\
<p><strong>SKETCHUP_Import interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: Import Settings   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.UpAxis : enum : Read|Write\n\
       UpAxis enums: {#x|#y|#z}\n\
</pre></div><p>Gets or sets the selection of the &quot;Up Axis&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#x</span>: <strong>X - Up</strong></li>\n\
<li><span class=\'code\'>#y</span>: <strong>Y - Up</strong></li>\n\
<li><span class=\'code\'>#z</span>: <strong>Z - Up (default)</strong></li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.HierarchyMode : enum : Read|Write\n\
       HierarchyMode enums: {#UsingGrouping|#UsingLayer|#Flattened}\n\
</pre></div><p>Gets or sets the selection of the &quot;Hierarchy Mode&quot; drop-down list, which determines how the imported scene is organized by 3ds Max.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#UsingGrouping</strong> (default) - creates a scene hierarchy using 3ds Max groups</li>\n\
<li><strong>#UsingLayer</strong> - creates a scene hierarchy using 3ds Max layers</li>\n\
<li><strong>#Flattened</strong> - creates a flat hierarchy</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.MeshResolution : integer : Read|Write\n\
</pre></div><p>Gets/sets the value of the &quot;Mesh Resolution&quot; slider / value.</p>\n\
<p>Possible values range is from -10 (Less) to 10 (More).</p>\n\
<p>Default is 0.</p>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.KeepDummyNodes : boolean : Read|Write\n\
</pre></div><p>Gets/sets the state of the &quot;Keep Dummy Nodes&quot; checkbox.</p>\n\
<p>When set to True, dummy nodes will be preserved.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.ImportTextures : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to import textures.</p>\n\
<p>When set to True, textures are imported in the project&#39;s textures directory.</p>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.ImportCameras : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to import cameras.</p>\n\
<p>When set to True, cameras are imported.</p>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.ImportHiddenObjects : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to import hidden objects. Hidden objects remain hidden upon import. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.DoubleSidedMaterials : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to import materials as double-sided.</p>\n\
<p>When set to True, faces are covered with a double-sided material so that flipped faces have the appearance of correct orientation.</p>\n\
<div class=\'codeBlock\'><pre>ATF_SKETCHUP_Import.PreserveLayers : boolean : Read|Write\n\
</pre></div><p>Gets or sets whether to attempt to preserve layers. Layers can only be imported if <span class=\'code\'>#UsingGrouping</span> or <span class=\'code\'>#Flattened</span> is selected for the <span class=\'code\'>.HiearchyMode</span> property. <strong>Available in 3ds Max 2021 and higher.</strong> <strong>Example:</strong></p>\n\
<div class=\'codeBlock\'><pre>-- ATF_SKETCHUP_Import example\n\
\n\
resetMaxFile #noPrompt\n\
\n\
-- Set all the supported options\n\
ATF_SKETCHUP_Import.UpAxis = #z\n\
ATF_SKETCHUP_Import.ImportTextures = true\n\
ATF_SKETCHUP_Import.ImportCameras = true\n\
ATF_SKETCHUP_Import.HierarchyMode = #UsingGrouping\n\
ATF_SKETCHUP_Import.DoubleSidedMaterials = true\n\
\n\
file_path = @&quot;D:\\My Documents\\3ds Max\\scripts\\TestData\\Sketchup\\TexturedHouses.skp&quot;\n\
result = importFile file_path #noPrompt using:ATF_SKETCHUP_Import\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";