var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Alembic_Export : ExporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Alembic_Export : ExporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"alembic_export-exporterplugin\"></a></div>\n\
<p>Exposes the Alembic Exporter plugin to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript.\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Alembic_Export\n\
AlembicExport\n\
\n\
</pre></div><p><strong>Alembic_Export interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: AlembicExport\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>Several properties have been renamed, are new, or have been removed. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name in 2019</th>\n\
<th align=\"left\">Name in 2018</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">AnimTimeRange</td>\n\
<td align=\"left\">CacheTimeRange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">StartFrame</td>\n\
<td align=\"left\">StartFrameTime</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">EndFrame</td>\n\
<td align=\"left\">EndFrameTime</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Removed</td>\n\
<td align=\"left\">StepFrameTime</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">SamplesPerFrame</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Hidden</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">UVs</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Normals</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">VertexColors</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ExtraChannels</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Velocity</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MaterialIDs</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Visibility</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">LayerName</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MaterialName</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ObjectID</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">CustomAttributes</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ParticleAsMesh</td>\n\
<td align=\"left\">same name</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ShapeSuffix</td>\n\
<td align=\"left\">ShapeName</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre> AlembicExport.CoordinateSystem : enum : Read|Write\n\
CoordinateSystem enums: {#Max|#Maya|#ZUp|#YUp}\n\
\n\
</pre></div><p>Sets the coordinate system of the exported Alembic file.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#Max</strong> (or <strong>#ZUp</strong>) (default) - Z-up, right-handed coordinate system used by Autodesk 3dsMax</li>\n\
<li><strong>#Maya</strong> (or <strong>#YUp</strong>) - Y-up, right-handed coordinate system used by Autodesk Maya</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre> AlembicExport.ArchiveType : enum : Read|Write\n\
ArchiveType enums: {#HDF5|#Ogawa}\n\
\n\
</pre></div><p>Sets the archive type of the exported Alembic file.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#HDF5</strong> (default) - the original storage format of Alembic version 1.0</li>\n\
<li><strong>#Ogawa</strong> - the improved storage format introduced in Alembic version 1.5</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre> AlembicExport.ParticleAsMesh : boolean : Read|Write\n\
\n\
</pre></div><p>Sets whether particle shapes are exported as meshes.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.AnimTimeRange : enum : Read|Write\n\
   CacheTimeRange enums: {#CurrentFrame|#TimeSlider|#StartEnd}\n\
\n\
</pre></div><p>Sets how the animation is saved.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#CurrentFrame</strong> - saves the current frame.</li>\n\
<li><strong>#TimeSlider</strong> (default) - saves the active time segments on the time slider.</li>\n\
<li><strong>#StartEnd</strong> - saves a range specified by the Step</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre> AlembicExport.StartFrame : integer : Read|Write\n\
\n\
</pre></div><p>Sets the start frame for an animation range, when <span class=\'code\'>CacheTimeRange</span> is <strong>#StartEnd</strong>.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.EndFrame : integer : Read|Write\n\
\n\
</pre></div><p>Sets the end frame for an animation range, when <span class=\'code\'>CacheTimeRange</span> is <strong>#StartEnd</strong>.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.ShapeSuffix : boolean : Read|Write\n\
\n\
</pre></div><p>When set to true, appends the string &quot;Shape&quot; to the name of each exported mesh. This property is set to false by default.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.SamplesPerFrame : integer : Read|Write    \n\
</pre></div><p>Sets the number of animation samples per frame for AnimTimeRange #TimeSlider and #StartEnd.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.Hidden : boolean : Read|Write     \n\
</pre></div><p>When true, export the hidden geometry.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.UVs : boolean : Read|Write    \n\
</pre></div><p>When true, export the mesh UV map channel.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.Normals : boolean : Read|Write    \n\
</pre></div><p>When true, export the mesh normals.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.VertexColors : boolean : Read|Write   \n\
</pre></div><p>When true, export the mesh vertex color map 0 and the current vertex color display data when it differs.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.ExtraChannels : boolean : Read|Write  \n\
</pre></div><p>When true, export the mesh extra map channels (map channels greater than channel 1).</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.Velocity : boolean : Read|Write   \n\
</pre></div><p>When true, export the mesh vertex and particle velocity data.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.MaterialIDs : boolean : Read|Write    \n\
</pre></div><p>When true, export the mesh material IDs as Alembic face sets.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.Visibility : boolean : Read|Write     \n\
</pre></div><p>When true, export the node visibility data.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.LayerName : boolean : Read|Write  \n\
</pre></div><p>When true, export the node layer name as an Alembic object property.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.MaterialName : boolean : Read|Write   \n\
</pre></div><p>When true, export the geometry node material name as an Alembic object property.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.ObjectID : boolean : Read|Write   \n\
</pre></div><p>When true, export the geometry node g-buffer object ID as an Alembic object property.</p>\n\
<div class=\'codeBlock\'><pre> AlembicExport.CustomAttributes : boolean : Read|Write   \n\
</pre></div><p>When true, export the node and its modifiers custom attributes into an Alembic object compound property.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>    &lt;void&gt;setDefaults()\n\
       setDefaults - no automatic redraw after invoked\n\
</pre></div><p>Reset all AlembicExport properties to their default values.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` resetMaxFile #noprompt --reset the scene c = cone() --create a Cone primitive b = bend() --create a Bend modifier addModifier c b --add the Bend to the Cone with animate on (--enable animation at time 100 ( --and set on frame 100 b.angle = 90 --the Bend Angle to 90 c.pos = [10,20,30] --and move the Cone )--end time context )--end animate on context AlembicExport.ArchiveType = #hdf5 --force the old file format AlembicExport.CoordinateSystem = #max --force Z up coordinates --Export the file without opening the dialog --The explicit using: argument is not necessary as the export plugin --needed will be resolved automatically based on the file extension: exportFile (GetDir #export +&quot;\\alembictest_hdm5_max.abc&quot;) #noPrompt using:AlembicExport</p>\n\
<p>AlembicExport.ArchiveType = #ogawa --force the new file format AlembicExport.CoordinateSystem = #maya --force Y up coordinates --Export the file without opening the dialog --This time we will ommit the explicit using: argument: exportFile (GetDir #export +&quot;\\alembictest_ogawa_maya.abc&quot;) #noPrompt</p>\n\
<p>--RESULT: We now have two files, one using Max Z up and HDF5 storage, --and one using Maya Y up and the newer Ogawa storage.</p>\n\
<p>--See the AlembicImport:ImporterPlugin topic for an example --of importing these files back into 3ds Max.</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";