var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Alembic_Import : ImporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Alembic_Import : ImporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"alembic_import-importerplugin\"></a></div>\n\
<p>Exposes the Alembic Importer plugin to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p>Several properties have been added, removed, or changed in 2019. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">2019</th>\n\
<th align=\"left\">2018</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">AnimTimeRange</td>\n\
<td align=\"left\">CacheTimeRange</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">CustomAttributes</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">EndFrame</td>\n\
<td align=\"left\">EndFrameTime</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">ExtraChannels</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">gone in 2019</td>\n\
<td align=\"left\">StepFrameTime</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Hidden</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">LayerName</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">MaterialIDs</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">MaterialName</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Normals</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ObjectID</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">SamplesPerFrame</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ShapeSuffix</td>\n\
<td align=\"left\">ShapeName</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">StartFrame</td>\n\
<td align=\"left\">StartFrameTime</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">UVs</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Velocity</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">VertexColors</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Visibility</td>\n\
<td align=\"left\">new in 2019</td>\n\
</tr>\n\
</table>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript.\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Alembic_Import\n\
AlembicImport\n\
\n\
</pre></div><p><strong>Alembic_Import interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: AlembicImport\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.CoordinateSystem : enum : Read|Write\n\
CoordinateSystem enums: {#Max|#Maya|#ZUp|#YUp}\n\
</pre></div><p>Set the coordinate system of the imported Alembic file.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.ImportToRoot : boolean : Read|Write\n\
</pre></div><p>Controls the state of the &quot;Import To Root&quot; option of the Alembic Importer.</p>\n\
<p>When set to False (default), the imported Alembic objects will be parented to an Alembic Container. This is useful if you want to transform or select all imported Alembic objects as one.</p>\n\
<p>When set to True, the imported Alembic objects will become Children Of The World without a parent.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.FitTimeRange : boolean : Read|Write\n\
</pre></div><p>When true, update the scene time range to match the imported Alembic animation time range.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.SetStartTime : boolean : Read|Write\n\
</pre></div><p>When true, set the current scene time to match the imported Alembic animation start time.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.UVs : boolean : Read|Write\n\
</pre></div><p>When true, import the mesh UV map channel. This global import option is copied locally into the created Alembic node.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.Normals : boolean : Read|Write\n\
</pre></div><p>When true, import the mesh normals. This global import option is copied locally into the created Alembic node.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.VertexColors : boolean : Read|Write\n\
</pre></div><p>When true, import the mesh vertex color map 0. This global import option is copied locally into the created Alembic node.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.ExtraChannels : boolean : Read|Write\n\
</pre></div><p>When true, import the mesh extra map channels. This global import option is copied locally into the created Alembic node.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.Velocity : boolean : Read|Write\n\
</pre></div><p>When true, import the mesh vertex velocity data. This global import option is copied locally into the created Alembic node.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.MaterialIDs : boolean : Read|Write\n\
</pre></div><p>When true, import the mesh material IDs from Alembic face sets. This global import option is copied locally into the created Alembic node.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.Visibility : boolean : Read|Write\n\
</pre></div><p>When true, import the node visibility data. This global import option is copied locally into the created Alembic node.</p>\n\
<div class=\'codeBlock\'><pre>AlembicImport.ShapeSuffix : boolean : Read|Write\n\
</pre></div><p>When set to true, the &quot;Shape&quot; suffix is stripped from the name of the imported objects. This property is set to false by default.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setDefaults()\n\
</pre></div><p>Reset all AlembicImport properties to their default values.</p>\n\
<div class=\'section\'><a id=\"alembic-file-inspection-methods\"></a><h2 id=\"alembic-file-inspection-methods\">Alembic File Inspection Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; AlembicImport.Inspect &lt;string&gt;alembicFile\n\
</pre></div><p>Loads the specified <span class=\'code\'>almembicFile</span> for inspection, and returns the &quot;root&quot; path of the Alembic file hierarchy. This method exposes the <strong>Inspect Alembic File</strong> option on the Alembic Import Options dialog.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; AlembicImport.GetNumChildren &lt;string&gt;pathToNode\n\
</pre></div><p>Returns the number of children for the specified node path.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; AlembicImport.GetParent &lt;string&gt;pathToNode\n\
</pre></div><p>Returns the path of the parent node of the specified node.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; AlembicImport.GetChild &lt;string&gt;pathToNode &lt;integer&gt;index\n\
</pre></div><p>Returns the path of the child node for the specified node, at the specified index.</p>\n\
<p>Note: Index is 0-based.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; AlembicImport.GetABCNodeName &lt;string&gt;pathToNode\n\
</pre></div><p>Returns the name of the specified node. This is the string displayed in the tree view in the Inspect Alembic File dialog.</p>\n\
<p>Available <strong>in 3ds Max 2019.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; AlembicImport.IsPropertyNode &lt;string&gt;pathToNode\n\
</pre></div><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns true if the specified node defines a property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt; AlembicImport.GetABCNodeType &lt;string&gt;pathToNode\n\
       GetABCNodeType enums: {#Compound|#Scalar|#Array\n\
</pre></div><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns the property type of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt; AlembicImport.GetABCNodeDataType &lt;string&gt;pathToNode\n\
       GetABCNodeDataType enums: {#Bool|#Int8|#UInt8|#Int16|#UInt16|#Int32|#UInt32|#Int64|#UInt64|#Float16|#Float32|#Float64|#String|#WString|#Unknown\n\
</pre></div><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns the data type of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; AlembicImport.GetABCNodeExtent &lt;string&gt;pathToNode\n\
</pre></div><p><strong>Removed in 3ds Max 2019.2 Update</strong>: Returns the extent of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;  AlembicImport.GetABCNodeProperties &lt;string&gt;pathToNode\n\
</pre></div><p>Returns the object properties node for the specified node, where <span class=\'code\'>pathToNode</span> is a string in the form of &quot;path/to/alembic/object&quot;.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; AlembicImport.GetNumProperties &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty\n\
</pre></div><p>Returns the number of properties held in the specified property node.</p>\n\
<p>The <span class=\'code\'>pathToNode</span> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <span class=\'code\'>pathToProperty</span> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;  AlembicImport.GetChildPropertyFromIndex &lt;string&gt;pathToNode\n\
  &lt;string&gt;pathToProperty &lt;integer&gt; index\n\
</pre></div><p>Returns the path to the child property node at the specified <span class=\'code\'>index</span>. The <span class=\'code\'>index</span> is 0-based.</p>\n\
<p>The <span class=\'code\'>pathToNode</span> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <span class=\'code\'>pathToProperty</span> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;  AlembicImport.GetChildPropertyFromName &lt;string&gt;pathToNode\n\
  &lt;string&gt;pathToProperty &lt;string&gt;name);\n\
</pre></div><p>Gets the property node path for the first property with the specified name. The named property can be a grandchild, since this function is recursive.</p>\n\
<p>The <span class=\'code\'>pathToNode</span> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <span class=\'code\'>pathToProperty</span> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt; AlembicImport.GetPropertyType &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty\n\
  GetPropertyType enums: {#Compound|#Scalar|#Array\n\
</pre></div><p>Gets the type of the specified property node.</p>\n\
<p>The <span class=\'code\'>pathToNode</span> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <span class=\'code\'>pathToProperty</span> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt; AlembicImport.GetPropertyDataType &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty\n\
  GetPropertyDataType enums: {#Bool|#Int8|#UInt8|#Int16|#UInt16|#Int32|#UInt32|#Int64|#UInt64|#Float16|#Float32|#Float64|#String|#WString|#Unknown\n\
\n\
</pre></div><p>Gets the data type of the specified property node.</p>\n\
<p>The <span class=\'code\'>pathToNode</span> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <span class=\'code\'>pathToProperty</span> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; AlembicImport.GetPropertyExtent &lt;string&gt;pathToNode \n\
  &lt;string&gt;pathToProperty\n\
</pre></div><p>Gets the extent of the specified property node.</p>\n\
<p>The <span class=\'code\'>pathToNode</span> argument is a string in the form &quot;path/to/alembic/object&quot;.</p>\n\
<p>The <span class=\'code\'>pathToProperty</span> argument is a string in the form &quot;path/to/parent/property&quot;. <strong>Note</strong>: only compounded properties can have children.</p>\n\
<p>Available <strong>in 3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"custom-attribute-and-object-attribute-methods\"></a><h2 id=\"custom-attribute-and-object-attribute-methods\">Custom Attribute and Object Attribute Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>    &lt;void&gt; AlembicImport.CA_AddProperty &lt;enum&gt;location &lt;string&gt;alembicObjectPath &lt;string&gt;propertyPath\n\
       CA_AddProperty - no automatic redraw after invoked\n\
       location enums: {#Modifier|#BaseObject}\n\
</pre></div><p>Adds a custom attribute to the list to be added to a base object or modifier.</p>\n\
<p><span class=\'code\'>location</span> indicates where the custom attribute will be stored, either #Modifier or #BaseObject.</p>\n\
<p><span class=\'code\'>alembicObjectPath</span> is the path alembic object that owns the custom attribute.</p>\n\
<p><span class=\'code\'>propertyPath</span> is the path to the property of the custom attribute.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;void&gt; AlembicImport.CA_Build()\n\
       CA_Build - no automatic redraw after invoked \n\
</pre></div><p>Builds the script that writes out the custom attributes and connects them to the alembic file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; AlembicImport.CA_SetNode &lt;node&gt;node &lt;string&gt;alembicFile\n\
</pre></div><p>Associates a node with an alembic file. This method needs to be called before adding properties to a node.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt; AlembicImport.OA_SetBool &lt;node&gt;node &lt;string&gt;name &lt;boolean&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetInt &lt;node&gt;node &lt;string&gt;name &lt;integer&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetFloat &lt;node&gt;node &lt;string&gt;name &lt;float&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetPoint3 &lt;node&gt;node &lt;string&gt;name &lt;point3&gt;val\n\
    &lt;boolean&gt; AlembicImport.OA_SetString &lt;node&gt;node &lt;string&gt;name &lt;string&gt;val\n\
\n\
</pre></div><p>These methods set object attributes on the specified node, and return true if the attribute was successfully set.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --This example uses the files created in the --AlembicExport:ExporterPlugin topic:<br> resetMaxFile #noprompt --reset the scene AlembicImport.ZUp = true --tell the importer to expect Z up (Max mode) AlembicImport.ImportToRoot = false --parent to an Alembic Container importFile (GetDir #export +&quot;\\alembictest_hdm5_max.abc&quot;) #noPrompt using:AlembicImport --RESULT: The loaded Cone matches the original animation</p>\n\
<p>resetMaxFile #noprompt --reset the scene --note that the importer is still in Max Z up mode importFile (GetDir #export +&quot;\\alembictest_ogawa_maya.abc&quot;) #noPrompt --RESULT: The Cone will be imported with the wrong orientation --because the file contains Y up data.</p>\n\
<p>resetMaxFile #noprompt --reset the scene AlembicImport.ZUp = false --tell the importer the file is not Z-up AlembicImport.ImportToRoot = true --import as Child Of The World --import the Maya file with Z up disabled: importFile (GetDir #export +&quot;\\alembictest_ogawa_maya.abc&quot;) #noPrompt --RESULT: The Cone will now be oriented correctly</p>\n\
<p>```</p>\n\
<p><strong>INSPECTION EXAMPLE</strong></p>\n\
<p>``` mypath = @&quot;C:\\My Documents\\3ds Max\\export\\helicopter.ABC&quot;</p>\n\
<p>pathToParent = AlembicImport.Inspect mypath</p>\n\
<p>fn getAllChildren pathToParent = ( numChildren = AlembicImport.GetNumChildren pathToParent</p>\n\
<div class=\'codeBlock\'><pre>  for i = 1 to numChildren do\n\
  (\n\
      pathToChild = AlembicImport.GetChild pathToParent (i-1)\n\
      \n\
      -- Also possible to get the parent by calling\n\
      -- pathToParent = AlembicImport.GetParent pathToChild \n\
      \n\
      nodeName = AlembicImport.GetABCNodeName pathToChild\n\
\n\
      format &quot;Name: %\\n&quot; nodeName\n\
      \n\
      propPath = AlembicImport.GetABCNodeProperties pathToChild\n\
      \n\
      if propPath != undefined then\n\
      (\n\
          numProps = AlembicImport.GetNumProperties pathToChild propPath\n\
          nodeType = AlembicImport.GetPropertyType pathToChild propPath\n\
          dataType = AlembicImport.GetPropertyDataType pathToChild propPath\n\
          extent = AlembicImport.GetPropertyExtent pathToChild propPath\n\
          \n\
          format &quot;%, %, %, %\\n&quot; numProps nodeType dataType extent\n\
      )\n\
\n\
    getAllChildren pathToChild\n\
 )\n\
</pre></div><p>)</p>\n\
<p>getAllChildren pathToParent ```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";