var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>InventorImport : ImporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>InventorImport : ImporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"inventorimport-importerplugin\"></a></div>\n\
<p>The InventorImport ImportPlugin implements the import of Autodesk Inventor files into <strong>3ds Max</strong>.</p>\n\
<div class=\'section\'><a id=\"inventorimport-interfaces\"></a><h2 id=\"inventorimport-interfaces\">InventorImport interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: InventorImport\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>InventorImport.ImportBody : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Import As&quot; radio buttons in the Autodesk Inventor File Import dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>True - Import As Body Objects</p>\n\
<p>False - Import As Meshes</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.ReferenceDuplicatedParts : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Reference Duplicated Parts&quot; checkbox in the &quot;Assembly Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>Default is true.</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.LayerByMaterial : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Create Layers By Material&quot; checkbox in the &quot;Assembly Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to true (default), a layer will be created for each unique object material.</p>\n\
<p>When set to false, all objects will be imported into the current layer.</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.AppendObjectName : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Add Object Name To Material&quot; checkbox in the &quot;Assembly Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to false (default), the material name will be used as is.</p>\n\
<p>When set to true, the object name will be added to the material name.</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.ReplaceScene : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Merge/Replace Options&quot; radio buttons in the Autodesk Inventor File Import dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>False - Merge With Current Scene</p>\n\
<p>True (default) - Completely Replace Current Scene</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.ImportMaterials : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Import Inventor Material&quot; checkbox in the &quot;Material Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to true (default), the Inventor materials will be imported.</p>\n\
<p>When set to false, no materials will be assigned.</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.AssignMaterialIDs : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Assign Material IDs&quot; checkbox in the &quot;Material Options&quot; group of controls of the Autodesk Inventor File Import dialog.</p>\n\
<p>When set to true (default), the Inventor materials will be imported.</p>\n\
<p>When set to false, no materials will be assigned.</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.VerticalAxis : enum : Read|Write\n\
\n\
VerticalAxis enums: {#x|#y|#z}\n\
</pre></div><p>Get/set the state of the &quot;Inventor File Vertical Direction&quot; radio button in the Autodesk Inventor File Import dialog. Default is <strong>#y</strong>.</p>\n\
<div class=\'codeBlock\'><pre>InventorImport.MeshResolution : integer : Read|Write\n\
</pre></div><p>Get/set the value of the &quot;Mesh Resolution&quot; slider in the Autodesk Inventor File Import dialog.</p>\n\
<p>Default is 0.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";