var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Revit_importer : ImporterPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Revit_importer : ImporterPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"revit_importer-importerplugin\"></a></div>\n\
<p>Exposes the Revit Importer plugin to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript.\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre> Revit_importer\n\
Revit_Import \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties, methods or interfaces exposed.</p>\n\
<p><strong>Related Functions:</strong></p>\n\
<p>The following functions can be used to programmatically get and set the Revit Importer options:</p>\n\
<div class=\'codeBlock\'><pre>RevitImporterGetOption &lt;String&gt;optionName\n\
</pre></div><p>Returns the value of the named Revit importer option.</p>\n\
<p>Possible options are:</p>\n\
<p><strong>&quot;combineoption&quot;</strong> - range from 0 to 4, default is 0</p>\n\
<p><strong>&quot;geometrydetail&quot;</strong> - range from 0 to 15, default is 8</p>\n\
<p><strong>&quot;material&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;camera&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;light&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;rpc&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;daylight&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;biminfo&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;fullscene&quot;</strong> - boolean, default is False</p>\n\
<p><strong>&quot;viewdetail&quot;</strong> - range from 0 to 3, default is 0</p>\n\
<p><strong>&quot;view&quot;</strong> - string, default is the <span class=\'code\'>unsupplied</span> value</p>\n\
<p><strong>&quot;extrudedetect&quot;</strong> - boolean, default is True</p>\n\
<p><strong>&quot;simplifymesh&quot;</strong> - range from 0.0 to 0.5, -1 to disable, default is the <span class=\'code\'>unsupplied</span> value. You can set this to -1 to completely disable the simplify mesh option. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>RevitImporterSetOption &lt;String&gt;optionName &lt;Value&gt;newValue\n\
</pre></div><p>Sets the value of the named Revit importer option.</p>\n\
<p>See above for valid option names and value ranges.</p>\n\
<p>Returns OK.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` RevitImporterGetOption &quot;combineoption&quot; --&gt; 0 RevitImporterGetOption &quot;geometrydetail&quot; --&gt; 8 RevitImporterSetOption &quot;geometrydetail&quot; 12 --&gt;OK RevitImporterGetOption &quot;material&quot; --&gt; true RevitImporterGetOption &quot;camera&quot; --&gt; true RevitImporterGetOption &quot;light&quot; --&gt; true RevitImporterGetOption &quot;rpc&quot; --&gt; true RevitImporterGetOption &quot;daylight&quot; --&gt; true RevitImporterGetOption &quot;biminfo&quot; --&gt; true RevitImporterGetOption &quot;fullscene&quot; --&gt; false RevitImporterGetOption &quot;viewdetail&quot; --&gt; 0 RevitImporterGetOption &quot;view&quot; --&gt; unsupplied RevitImporterGetOption &quot;extrudedetect&quot; --&gt; true RevitImporterGetOption &quot;simplifymesh&quot; --&gt; unsupplied</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";