var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: AutodeskMaterialManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: AutodeskMaterialManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-autodeskmaterialmanager\"></a></div>\n\
<p>The <strong>AutodeskMaterialManager Core Interface</strong> introduced in <strong>3ds Max 2011</strong> exposes methods for accessing the unified Autodesk Material Manager.</p>\n\
<div class=\'codeBlock\'><pre>Interface: AutodeskaterialManager \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;AutodeskMaterialManager.GetCategoryCount()   \n\
</pre></div><p>Returns the number of Autodesk Material Categories.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;AutodeskMaterialManager.GetCategoryUiName &lt;integer&gt;categoryIndex \n\
</pre></div><p>Returns the name of indexed Autodesk Material Category.</p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;AutodeskMaterialManager.GetDefinitionCount &lt;integer&gt;categoryIndex \n\
</pre></div><p>Returns the number of Autodesk Material definitions in the indexed Autodesk Material Category.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;AutodeskMaterialManager.GetDefinitionUiName &lt;integer&gt;categoryIndex &lt;integer&gt;definitionIndex \n\
</pre></div><p>Returns the name of the indexed Autodesk Material definition in the indexed Autodesk Material Category.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;AutodeskMaterialManager.GetDefinitionThumbnailURL &lt;integer&gt;categoryIndex &lt;integer&gt;definitionIndex \n\
</pre></div><p>Returns the URL of the indexed Autodesk Material definition&#39;s Thumbnail in the indexed Autodesk Material Category.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;AutodeskMaterialManager.GetDefinitionIdentifier &lt;integer&gt;categoryIndex &lt;integer&gt;definitionIndex \n\
</pre></div><p>Returns the identifier of the indexed Autodesk Material definition in the indexed Autodesk Material Category.</p>\n\
<p>The return string value string can be used as argument in the following two methods:</p>\n\
<div class=\'codeBlock\'><pre> &lt;material&gt;AutodeskMaterialManager.CreateAutodeskMaterial &lt;string&gt;definitionIdentifier \n\
</pre></div><p>Creates a material from the supplied Autodesk Material definition identifier.</p>\n\
<p>See <span class=\'code\'>.CreateAutodeskMaterial()</span> above for a method returning the identifier string by category and material index.</p>\n\
<div class=\'codeBlock\'><pre> &lt;material&gt;AutodeskMaterialManager.CreateAutodeskTexmap &lt;string&gt;definitionIdentifier \n\
</pre></div><p>Creates a texture map from the supplied Autodesk Material definition identifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";