var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ActiveShadeFragmentManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ActiveShadeFragmentManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-activeshadefragmentmanager\"></a></div>\n\
<p>The <strong>ActiveShadeFragmentManager Interface</strong> provides MAXScript access to the viewport ActiveShade mode, where a viewport can display using the ActiveShade renderer but maintain interactive capabilities. Available in <strong>3ds Max 2019.3 Update and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ToggleInActiveViewport()\n\
</pre></div><p>Toggles the ActiveShade viewport mode. Returns true if the mode was toggled on or off, and false if something went wrong and the mode was not toggled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetRenderRegionInActiveViewport &lt;float&gt;left &lt;float&gt;top &lt;float&gt;right &lt;float&gt;bottom\n\
</pre></div><p>Sets the region to render in the active viewport. The <strong>left</strong>, <strong>top</strong>, <strong>right</strong>, and <strong>bottom</strong> parameters are floats in the range of 0.0 to 1.0, and specify 2D coordinates to set as the ActiveShade render region where (0.0, 0.0) is the top left corner, and (1.0, 1,0) is the bottom right. The rest of the viewport will be rendered with the default viewport renderer (typically Nitrous). For example, passing <span class=\'code\'>0.0 0.0 0.5 0.5</span> will cause the top left quarter of the viewport to render with ActiveShade.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemoveActiveShadeFragmentFromAllViewports()\n\
</pre></div><p>Turns ActiveShade mode off for all viewports.</p>\n\
<p>Currently, only one viewport at a time can run in ActiveShade render mode, but this might change in the future.</p>\n\
<div class=\'codeBlock\'><pre>&lt;int by value array&gt;GetRunningActiveShadeViewportsIndices()\n\
       GetRunningActiveShadeViewportsIndices - no automatic redraw after invoked\n\
</pre></div><p>Returns an array of two integers indicating which viewport is running in ActiveShade render mode. The first integer is the index of the view panel, and the second is the index of the viewport in the panel running in ActiveShade render mode. Note that these indices are 0-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsRunningInActiveViewport()\n\
       IsRunningInActiveViewport - no automatic redraw after invoked\n\
</pre></div><p>Returns true if the currently active viewport is running in ActiveShade mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsRunningInViewport &lt;integer&gt;ZeroBasedViewPanelIndex &lt;integer&gt;ZeroBasedViewportIndex\n\
       IsRunningInViewport - no automatic redraw after invoked\n\
</pre></div><p>Returns true if the viewport specified by view panel index and viewport index is running in ActiveShade render mode. Note that these indices are 0-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsRunningInAtLeastOneViewport()\n\
       IsRunningInAtLeastOneViewport - no automatic redraw after invoked\n\
</pre></div><p>Returns true if at least one viewport is running in ActiveShade mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CurrentActiveShadeRendererSupportsConcurrentRendering()\n\
       CurrentActiveShadeRendererSupportsConcurrentRendering - no automatic redraw after invoked\n\
</pre></div><p>Returns true if the currently selected ActiveShade renderer supports concurrent rendering (rendering multiple scenes at once).</p>\n\
<div class=\'section\'><a id=\"for-example\"></a><h3 id=\"for-example\">For Example</h3></div>\n\
<p>``` global asfm = ActiveShadeFragmentManager</p>\n\
<p>vp_indices = asfm.GetRunningActiveShadeViewportsIndices() format &quot;This should be 0: %&quot; vp_indices.count -- check that there is no ActiveShade isASFMRunning() -- now toggle asfm.ToggleInActiveViewport() -- should be running in the active viewport isASFMRunning() -- set the active render region to the top left quarter of the viewport asfm.SetRenderRegionInActiveViewport 0.0 0.0 0.5 0.5 -- now turn off again asfm.RemoveActiveShadeFragmentFromAllViewports()</p>\n\
<p>function isASFMRunning = ( format &quot;Is running in active viewport? %\\n&quot; (asfm.IsRunningInActiveViewport()) format &quot;Is running in any viewport? %\\n&quot; (asfm.IsRunningInAtLeastOneViewport()) format &quot;Lets check each viewport&quot; panel_index = ViewPanelManager.GetActiveViewPanelIndex() -- note that the panel index and viewport index are 0-based, so we must subtract 1 for MXS interop for i = 0 to viewport.numViews-1 do ( format &quot;Running in viewport index %? %\\n&quot; i (asfm.IsRunningInViewport (panel_index-1) i) )</p>\n\
<p>) ```</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";