var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ATSCustomDepsOps</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ATSCustomDepsOps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-atscustomdepsops\"></a></div>\n\
<p>A <strong>Core Interface</strong> to access <strong>Custom Dependencies</strong> in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-ATSOps.html\' title=\'\'>Asset Tracking System</a>.</p>\n\
<p>Custom Dependencies are reported as external file dependencies.</p>\n\
<p>Any file can be added to the Custom Dependency list.</p>\n\
<p>Available in <strong>3ds Max 8</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ATSCustomDepsOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSCustomDepsOps.LaunchDialog()   \n\
</pre></div><p>Opens the Custom Dependencies dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSCustomDepsOps.NumFiles() \n\
</pre></div><p>Returns the number of Custom Dependency files.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSCustomDepsOps.GetFiles &lt;&amp;filenamearray&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Collects the files into the by-reference FileList array.</p>\n\
<p>Returns the number of collected files.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSCustomDepsOps.AddFile &lt;filename&gt;Filename \n\
</pre></div><p>Gets the specified file to the list. Returns the index of the new file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSCustomDepsOps.SetFile &lt;index&gt;Index &lt;filename&gt;Filename \n\
</pre></div><p>Sets the indexed file to the specified filename. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSCustomDepsOps.RemoveFileByIndex &lt;index&gt;Index \n\
</pre></div><p>Removes the specified file by index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSCustomDepsOps.RemoveFileByName &lt;filename&gt;Filename \n\
</pre></div><p>Removes the specified file by name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSCustomDepsOps.RemoveAll() \n\
</pre></div><p>Removes all files.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";