var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ATSOps</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ATSOps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-atsops\"></a></div>\n\
<p>This <strong>Core Interface</strong> provided access to the <strong>Asset Tracking System</strong>.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong> .</p>\n\
<div class=\'codeBlock\'><pre>Interface: ATSOps \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.Visible: boolean : Read|Write   \n\
</pre></div><p>Get/set the visibility of the Asset Tracking dialog.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.Silent: boolean : Read|Write \n\
</pre></div><p>Get/set the silent mode of the Asset Tracking dialog.</p>\n\
<p>If connected to an ATS Provider, the provider might not respect the silent flag and display dialogs.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.Disabled: boolean : Read|Write \n\
</pre></div><p>Enable/disable asset tracking.</p>\n\
<p>Corresponds to the <strong>Options&gt;Disable Asset Tracking</strong> menu item in the Asset Tracking dialog.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.AutoLogin: boolean : Read|Write \n\
</pre></div><p>Enable/disable auto-login.</p>\n\
<p>When true, the Asset Tracker will attempt to login to all registered ATS Providers when a project (scene file) is open.</p>\n\
<p>Corresponds to the <strong>Options&gt;Auto Login</strong> menu item in the Asset Tracking dialog.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.TreeView: boolean : Read|Write \n\
</pre></div><p>Enable/disable tree view display.</p>\n\
<p>Corresponds to the <strong>Options&gt;Tree View</strong> menu item in the Asset Tracking dialog.</p>\n\
<p>If in table view and the <span class=\'code\'>.TreeView</span> property has been set to true, the <span class=\'code\'>.TableView</span> property will be set to false automatically.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.TableView: boolean : Read|Write \n\
</pre></div><p>Enable/disable table view display.</p>\n\
<p>Corresponds to the <strong>Options&gt;Table View</strong> menu item in the Asset Tracking dialog.</p>\n\
<p>If in tree view and the <span class=\'code\'>.TableView</span> property has been set to true, the <span class=\'code\'>.TreeView</span> property will be set to false automatically.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.DisplayExcluded: boolean : Read|Write \n\
</pre></div><p>Enable/disable the display of excluded files.</p>\n\
<p>Corresponds to the <strong>Options&gt;Display Excluded Files</strong> item in the Asset Tracking dialog.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.ExcludeOutputFiles: boolean : Read|Write \n\
</pre></div><p>Enable/disable the exclusion of output files.</p>\n\
<p>Corresponds to the <strong>Options&gt;Exclude Output Files</strong> item in the Asset Tracking dialog.</p>\n\
<div class=\'codeBlock\'><pre>ATSOps.CheckNetworkPaths: boolean : Read|Write \n\
</pre></div><p>Enable/disable the checking of network paths.</p>\n\
<p>When set to true,theAsset Tracker system checks for the existence of files on network drives.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.Refresh() \n\
</pre></div><p>Refreshes the Asset Tracking dialog.</p>\n\
<p>This method both updates the dependent file list and if connected to an ATS Provider it will also query the server for updated version control status.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.ShowPromptsDialog() \n\
</pre></div><p>Opens the Prompts dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.ShowWorkingCommentDialog() \n\
</pre></div><p>Opens the Working Comment dialog. Corresponds to the <strong>File&gt;Working Comment...</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.ShowStatusLogDialog() \n\
</pre></div><p>Opens the Asset Tracking Log dialog.</p>\n\
<div class=\'section\'><a id=\"provider\"></a><h2 id=\"provider\">Provider</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.NumProviders() \n\
</pre></div><p>Returns the number of registered ATS providers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ATSOps.GetProviderName &lt;index&gt;ProviderIndex \n\
</pre></div><p>Returns the name of the indexed provider as string.</p>\n\
<p>If the index is less than 1 and higher than the number of available providers, returns undefined.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ATSOps.GetActiveProvider() \n\
</pre></div><p>Returns the index of the active provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.SetActiveProvider &lt;index&gt;ProviderIndex \n\
</pre></div><p>Sets the the active provider to the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.IsInitialized &lt;index&gt;ProviderIndex \n\
</pre></div><p>Returns true if the indexed provider is initialized, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.Login &lt;index&gt;ProviderIndex \n\
</pre></div><p>Logs in to the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Log in...</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.Logout &lt;index&gt;ProviderIndex \n\
</pre></div><p>Logs out of the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Logout</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.LaunchProvider&lt;index&gt;ProviderIndex \n\
</pre></div><p>Launches the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Launch Provider...</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ATSOps.GetNotificationProviderIndex() \n\
</pre></div><p>Returns the notification provider index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.LaunchOptions &lt;index&gt;ProviderIndex \n\
</pre></div><p>Opens the Options dialog of the indexed provider.</p>\n\
<p>Corresponds to the <strong>Server&gt;Options...</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<div class=\'section\'><a id=\"asset-selection-access\"></a><h2 id=\"asset-selection-access\">Asset Selection Access</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.NumFilesSelected() \n\
</pre></div><p>Returns the number of selected files.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetSelectedFiles &lt;&amp;filename array&gt;FileList\n\
\n\
FileListis In and Out parameter \n\
</pre></div><p>Collects the selected files into the by-reference FileList array.</p>\n\
<p>Returns the number of files collected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.SelectFiles &lt;filename array&gt;FileList useResolvedFileNames:&lt;boolean&gt;\n\
       SelectFiles - no automatic redraw after invoked\n\
       useResolvedFileNames default value: true\n\
</pre></div><p>Selects the asset files specified by the by-reference <span class=\'code\'>FileList</span> array.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong> When <span class=\'code\'>useResolvedFileNames</span> is set to true (the default), files are selected based on their resolved file names. When false, the files are selected based on their specified file names.</p>\n\
<p>The method <strong>does not clear</strong> the existing selection, but <strong>adds</strong> to it. To replace the existing selection, call <span class=\'code\'>ATSOps.ClearSelection()</span> beforehand.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.ClearSelection() \n\
</pre></div><p>Clears the selection in the Asset Tracking dialog.</p>\n\
<div class=\'section\'><a id=\"asset-files-access\"></a><h2 id=\"asset-files-access\">Asset Files Access</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.NumFiles() \n\
</pre></div><p>Returns the total number of files in the Asset Tracking dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetFiles &lt;&amp;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Collects all files in the Asset Tracker into the by-reference FileList array.</p>\n\
<p>Returns the number of files collected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetDependentFiles &lt;string&gt;Filename &lt;boolean&gt;Recurse &lt;&amp;filename array&gt;FileList IncludeOutputFiles:&lt;boolean&gt; \n\
\n\
FileList is In and Out parameter \n\
IncludeOutputFiles default value: true \n\
</pre></div><p>Collects the dependent files of the specified filename into the by-reference FileList array.</p>\n\
<p>If the Recurse boolean parameter is set to true, also recurses through all collected files, collecting their dependent files too.</p>\n\
<p>If the <span class=\'code\'>IncludeOutputFiles:</span> optional keyword argument is not specified or specified and set to true, output files will also be included in the dependency list. If it is specified and set to false, output files will not be included.</p>\n\
<p>Returns the number of files collected in the FileList array.</p>\n\
<div class=\'section\'><a id=\"open-and-close-projects\"></a><h2 id=\"open-and-close-projects\">Open and Close Projects</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.OpenFromVault() \n\
</pre></div><p>Launches the Opens from Autodesk Vault dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.OpenProject &lt;index&gt;ProviderIndex &lt;filename&gt;ProjectPath \n\
</pre></div><p>Opens the specified project using the indexed provider.</p>\n\
<p>The call to <span class=\'code\'>atsops.openproject()</span> is required in order to stay compliant with MSSCC and 3 rd party providers like Perforce, Alienbrain, VSS etc. For consistency, <strong>Autodesk Vault</strong> also requires a call to <span class=\'code\'>atsops.openproject()</span> if no scene file is open in <strong>3ds Max</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` atsops.login 2 --using the second provider... atsops.openproject 2 &quot;C:\\myVault\\3dsmax\\DWFTest&quot;--open the project fl = #(&quot;C:\\myVault\\3dsmax\\DWFTest\\noload.max&quot;)--define a file list atsops.addfiles 2 fl &quot;comment&quot; --add the file list atsops.logout 2 --log out from the second provider</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.IsProjectOpen &lt;index&gt;ProviderIndex \n\
</pre></div><p>Returns true if a project is open for the indexed provider, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.CloseProject &lt;index&gt;ProviderIndex \n\
</pre></div><p>Closes the current project in the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.GetFromProvider &lt;index&gt;ProviderIndex &lt;string&gt;FilterName &lt;string&gt;FilterExtensions &lt;boolean&gt;AddAllFilesFilter &lt;boolean&gt;MultiSelect &lt;boolean&gt;Download &lt;&amp;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Opens the Gets Files dialog from the indexed provider using the specified filter Name and filter Extensions strings to initialize the dialog.</p>\n\
<p>If the AddAllFilesFilter parameter is supplied as true, adds the All files (<em>.</em>) filter to the dialog.</p>\n\
<p>If MultiSelect is supplied as true, allows multiple selections.</p>\n\
<p>The FileList array passed by-reference will contain the resulting list of files returned by the provider.</p>\n\
<div class=\'section\'><a id=\"test-file-status\"></a><h2 id=\"test-file-status\">Test File Status</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.IsFileExcluded &lt;index&gt;ProviderIndex &lt;string&gt;Filename \n\
</pre></div><p>Returns true if the specified file is excluded by the indexed provider, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.IsFileShareLocked &lt;index&gt;ProviderIndex &lt;filename&gt;Filename \n\
</pre></div><p>Returns true if a file is share locked by an ATS Provider.</p>\n\
<p>A file is considered share locked if the file is checked out by another user at a shared location. Share locked files should be treated as read-only by users who are accessing the file and are not the owner of the lock.</p>\n\
<p>Provider Index is the index of ATS Provider. If ProviderIndex is -1, the method will check all providers for a share locked status.</p>\n\
<p>Filename is the string that contains the file name.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.IsInputFile &lt;filename&gt;Filename \n\
</pre></div><p>Returns true if the specified file is an input file and a true dependent file, false if it is an output file or if it is not found.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;namesarray&gt;ATSOps.GetFileStatus &lt;index&gt;ProviderIndex &lt;string&gt;Filename \n\
</pre></div><p>Returns an array of Name Literals based on the status of the file.</p>\n\
<p>ProviderIndex is the index of ATS Provider. If ProviderIndex is -1, the method will check all providers for the status.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Status</th>\n\
<th align=\"left\">Description</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#Unknown</span></td>\n\
<td align=\"left\">The status of the file is unknown</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#NotControlled</span></td>\n\
<td align=\"left\">The file is not controlled by the Provider</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#Controlled</span></td>\n\
<td align=\"left\">The file is version controlled by the Provider</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#CheckedOut</span></td>\n\
<td align=\"left\">The file is checked out by the user</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#CheckedOutOther</span></td>\n\
<td align=\"left\">The file is checked out by another user</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#OutOfDate</span></td>\n\
<td align=\"left\">The file is out of date</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#Deleted</span></td>\n\
<td align=\"left\">The file has been deleted from server</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#Missing</span></td>\n\
<td align=\"left\">The file does not exist locally</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#Modified</span></td>\n\
<td align=\"left\">The file has been modified locally</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#Hidden</span></td>\n\
<td align=\"left\">The file is hidden</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#ShareLock</span></td>\n\
<td align=\"left\">The file is shared and locked by another user</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#CanCheckin</span></td>\n\
<td align=\"left\">The file can be checked in</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#CanCheckout</span></td>\n\
<td align=\"left\">The file can be checked out</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#CanUndoCheckout</span></td>\n\
<td align=\"left\">The checkout of the file can be undone</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#CanGetLatest</span></td>\n\
<td align=\"left\">The latest version of the file can be returned by the Provider</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#CanAddFile</span></td>\n\
<td align=\"left\">The file can be added</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#CanShowHistory</span></td>\n\
<td align=\"left\">The History of the file can be shown</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#CanShowProperties</span></td>\n\
<td align=\"left\">The Properties of the file can be shown</td>\n\
</tr>\n\
</table>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` myStatus = ATSOps.GetFileStatus 1&quot;C:\\myVault\\myScene.max&quot; #(#Controlled, #OutOfDate, #Modified)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.TestFileStatus &lt;index&gt;ProviderIndex &lt;string&gt;Filename &lt;enum&gt;Status \n\
\n\
Status enums : {#Unknown | #NotControlled | #Controlled | #CheckedOut | #CheckedOutOther | #OutOfDate | #Deleted | #Missing | #Modified | #Hidden | #ShareLock | #CanCheckin | #CanCheckout | #CanUndoCheckout | #CanGetLatest | #CanAddFile | #CanShowHistory | #CanShowProperties} \n\
</pre></div><p>Returns true if the specified file has the supplied status on the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.GetFilesByStatus&lt;index&gt;ProviderIndex &lt;enum&gt;Status &lt;&amp;filename array&gt;FileList \n\
\n\
Status enums: {#Unknown | #NotControlled | #Controlled | #CheckedOut | #CheckedOutOther | #OutOfDate | #Deleted | #Missing | #Modified | #Hidden | #ShareLock | #CanCheckin | #CanCheckout | #CanUndoCheckout | #CanGetLatest | #CanAddFile | #CanShowHistory | #CanShowProperties} \n\
FileList is In and Out parameter \n\
</pre></div><p>Returns all files that have the supplied status on the indexed provider into the by-reference FileList array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;namesarray&gt;ATSOps.GetFileSystemStatus &lt;string&gt;Filename \n\
</pre></div><p>Returns an array of Name Literals based on the system status of the file.</p>\n\
<p>Possible status Name Literals are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Status</th>\n\
<th align=\"left\">Description</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#Unknown</span></td>\n\
<td align=\"left\">The status of the file is unknown</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#Ok</span></td>\n\
<td align=\"left\">The file was found at the specified location</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#Missing</span></td>\n\
<td align=\"left\">The file was not found at the specified location nor in the search paths</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#Found</span></td>\n\
<td align=\"left\">The file was not found at the specified location but was found in one of the search paths.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#NetworkPath</span></td>\n\
<td align=\"left\">The file is on a network path</td>\n\
</tr>\n\
</table>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.TestFileSystemStatus &lt;filename&gt;Filename &lt;enum&gt;Status \n\
\n\
Status enums: {#Unknown | #Ok | #Missing | #Found | #NetworkPath} \n\
</pre></div><p>Returns true if the given file name has the specified status, false otherwise.</p>\n\
<p>See table above for details.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetFilesByFileSystemStatus &lt;enum&gt;Status &lt;&amp;filename array&gt;FileList \n\
\n\
Status enums: {#Unknown | #Ok | #Missing | #Found | #NetworkPath} \n\
FileListis In and Out parameter \n\
</pre></div><p>Returns the number of files with the specified system status and and array of the file names via the by-reference parameter FileList.</p>\n\
<div class=\'section\'><a id=\"checking-files-in-and-out\"></a><h2 id=\"checking-files-in-and-out\">Checking Files In and Out</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.Checkin &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList &lt;&amp;string&gt;Comment\n\
       Checkin - no automatic redraw after invoked\n\
       Comment is In and Out parameter\n\
</pre></div><p>Checks in the files specified by the by-reference FileList array of strings using the by-reference Comment string into the indexed provider.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<p>Note: The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <span class=\'code\'>ATSOps.GetFileStatus()</span> or <span class=\'code\'>ATSOps.Refresh()</span> for a server update.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.Checkout &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList &lt;&amp;string&gt;Comment\n\
       Checkout - no automatic redraw after invoked\n\
       Comment is In and Out parameter\n\
</pre></div><p>Checks out the files specified by the by-reference FileList array of strings using the by-reference Comment string into the indexed provider.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<p>Note: The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <span class=\'code\'>ATSOps.GetFileStatus()</span> or <span class=\'code\'>ATSOps.Refresh()</span> for a server update.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.UndoCheckout &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Undoes the check out of the files specified by the by-reference FileList array of strings on the indexed provider.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<p>Note: The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <span class=\'code\'>ATSOps.GetFileStatus()</span> or <span class=\'code\'>ATSOps.Refresh()</span> for a server update.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.GetLatest &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Gets the latest version of the files specified by the by-reference FileList array of strings from the indexed provider.</p>\n\
<p>Corresponds to the <strong>File&gt;Get Latest</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<p>Note: The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <span class=\'code\'>ATSOps.GetFileStatus()</span> or <span class=\'code\'>ATSOps.Refresh()</span> for a server update.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.AddFiles &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList &lt;&amp;string&gt;Comment IsHidden:&lt;boolean array&gt;\n\
       AddFiles - no automatic redraw after invoked\n\
       Comment is In and Out parameter\n\
       IsHidden default value: #()\n\
</pre></div><p>Adds the files specified by the by-reference FileList array of strings to the indexed provider, using the by-reference Comment string.</p>\n\
<p>The optional <strong><span class=\'code\'>isHidden:</span></strong> keyword argument can be used to provide an array of Boolean values, one for each file on the FileList. A value of true means that the file will be added with a hidden status (if supported by the Provider).</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, returns true if the action can be performed, false otherwise.</p>\n\
<p>Note: The return value does NOT indicate whether the operation succeeded or failed- if you need that level of verification, you should call <span class=\'code\'>ATSOps.GetFileStatus()</span> or <span class=\'code\'>ATSOps.Refresh()</span> for a server update.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.Properties &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Opens the Properties... dialog for the files specified by the by-reference FileList array of strings with the indexed provider.</p>\n\
<p>Corresponds to the <strong>File&gt;Properties...</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.ShowHistory &lt;index&gt;ProviderIndex &lt;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Opens the History... dialog for the files specified by the by-reference FileList array of strings with the indexed provider.</p>\n\
<p>Corresponds to the <strong>File&gt;History...</strong> option in the Asset Tracking dialog&#39;s menu.</p>\n\
<p>The following 8 methods are implemented as <strong>menu utility functions</strong> which return true when a file is selected in the ATS dialog and the corresponding operation can be performed. When automating ATS functionality using MAXScript, <strong>these methods will generally return false!</strong> You can use the <span class=\'code\'>atsops.TestFileStatus()</span> method to perform these tests as described in the notes below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.CanCheckin() \n\
</pre></div><p>Returns true if checking in is possible in the ATS dialog, false otherwise.</p>\n\
<p>Note:</p>\n\
<p>To test whether the <span class=\'code\'>atsops.Checkin()</span> method can be called successfully, you should use</p>\n\
<div class=\'codeBlock\'><pre>atsops.TestFileStatus providerIndex filename #CanCheckin\n\
&lt;boolean&gt;ATSOps.CanCheckout() \n\
</pre></div><p>Returns true if checking out is possible in the ATS dialog, false otherwise.</p>\n\
<p>Note:</p>\n\
<p>To test whether the <span class=\'code\'>atsops.Checkout()</span> method can be called successfully, you should use</p>\n\
<div class=\'codeBlock\'><pre>atsops.TestFileStatus providerIndex filename #CanCheckout\n\
&lt;boolean&gt;ATSOps.CanUndoCheckout() \n\
</pre></div><p>Returns true if checking out can be undone in the ATS dialog, false otherwise.</p>\n\
<p>Note:</p>\n\
<p>To test whether the <span class=\'code\'>atsops.undoCheckout()</span> method can be called successfully, you should use</p>\n\
<div class=\'codeBlock\'><pre>atsops.TestFileStatus providerIndex filename #CanUndoCheckout\n\
&lt;boolean&gt;ATSOps.CanGetLatest() \n\
</pre></div><p>Returns true if getting latest is possible in the ATS dialog, false otherwise.</p>\n\
<p>Note:</p>\n\
<p>To test whether the <span class=\'code\'>atsops.getLatest()</span> method can be called successfully, you should use</p>\n\
<div class=\'codeBlock\'><pre>atsops.TestFileStatus providerIndex filename #CanGetLatest\n\
&lt;boolean&gt;ATSOps.CanAddFiles() \n\
</pre></div><p>Returns true if adding files is possible in the ATS dialog, false otherwise.</p>\n\
<p>Note:</p>\n\
<p>To test whether the method <span class=\'code\'>atsops.addFiles()</span> can be called successfully, you should use</p>\n\
<div class=\'codeBlock\'><pre>atsops.TestFileStatus providerIndex filename #CanAddFile\n\
&lt;boolean&gt;ATSOps.CanProperties() \n\
</pre></div><p>Returns true if getting the properties is possible in the ATS dialog, false otherwise.</p>\n\
<p>Note:</p>\n\
<p>To test whether the method <span class=\'code\'>atsops.Properties()</span> can be called successfully, you should use</p>\n\
<div class=\'codeBlock\'><pre>atsops.TestFileStatus providerIndex filename #CanProperties\n\
&lt;boolean&gt;ATSOps.CanShowHistory() \n\
</pre></div><p>Returns true if showing history is possible in the ATS dialog, false otherwise.</p>\n\
<p>Note:</p>\n\
<p>To test whether the method <span class=\'code\'>atsops.showHistory()</span> can be called successfully, you should use</p>\n\
<div class=\'codeBlock\'><pre>atsops.TestFileStatus providerIndex filename #CanShowHistory\n\
&lt;boolean&gt;ATSOps.CanGetFromProvider &lt;index&gt;ProviderIndex \n\
</pre></div><p>Returns true if getting from provider is possible in the ATS dialog, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.CheckForDependentFiles &lt;index&gt;ProviderIndex &lt;string&gt;Filename \n\
</pre></div><p>Checks for files dependent on the supplied file in the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.CheckForCheckedOutFiles &lt;index&gt;ProviderIndex \n\
</pre></div><p>Checks for checked out files in the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.CheckForUnControlledFiles &lt;index&gt;ProviderIndex \n\
</pre></div><p>Checks for uncontrolled files in the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.CheckForOutDatedFiles &lt;index&gt;ProviderIndex \n\
</pre></div><p>Checks for outdated files in the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.CheckForSceneFileCheckOut &lt;index&gt;ProviderIndex \n\
</pre></div><p>Checks for scene file check-out in the indexed provider.</p>\n\
<div class=\'section\'><a id=\"working-comments\"></a><h2 id=\"working-comments\">Working Comments</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.SetWorkingComment &lt;string&gt;Comment \n\
</pre></div><p>Sets the working comment to the supplied string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ATSOps.GetWorkingComment() \n\
</pre></div><p>Returns the working comment as string.</p>\n\
<div class=\'section\'><a id=\"status-log\"></a><h2 id=\"status-log\">Status Log</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.AppendStatusLog &lt;string&gt;Status \n\
</pre></div><p>Adds the supplied string to the Status Log.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.ClearStatusLog() \n\
</pre></div><p>Clears the Status Log.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ATSOps.GetStatusLog() \n\
</pre></div><p>Returns the Status Log as string.</p>\n\
<div class=\'section\'><a id=\"notifications\"></a><h2 id=\"notifications\">Notifications</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.RegisterNotification &lt;value&gt;Callback &lt;integer&gt;ID \n\
</pre></div><p>Registers a notification callback with the specified integer ID.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">ID</th>\n\
<th align=\"left\">Enum</th>\n\
<th align=\"left\">Notification IsSent...</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>1</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreLogin</span></td>\n\
<td align=\"left\">Before Login</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>2</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostLogin</span></td>\n\
<td align=\"left\">After Login</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>3</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreLogout</span></td>\n\
<td align=\"left\">Before Logging out</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>4</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostLogout</span></td>\n\
<td align=\"left\">After Logging out</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>5</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreOpenProject</span></td>\n\
<td align=\"left\">Before Opening a Project</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>6</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostOpenProject</span></td>\n\
<td align=\"left\">After Opening a Project</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>7</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreCloseProject</span></td>\n\
<td align=\"left\">Before Closing a Project</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>8</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostCloseProject</span></td>\n\
<td align=\"left\">After Closing a Project</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>9</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreLaunchOptions</span></td>\n\
<td align=\"left\">Before Launching the Options</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>10</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostLaunchOptions</span></td>\n\
<td align=\"left\">After Launching the Options</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>11</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreLaunchProvider</span></td>\n\
<td align=\"left\">Before Launching a Provider</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>12</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostLaunchProvider</span></td>\n\
<td align=\"left\">After Launching a Provider</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>13</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreCheckin</span></td>\n\
<td align=\"left\">Before Checking In a File</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>14</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostCheckin</span></td>\n\
<td align=\"left\">After Checking In a File</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>15</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreCheckout</span></td>\n\
<td align=\"left\">Before Checking Out a File</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>16</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostCheckout</span></td>\n\
<td align=\"left\">After Checking Out a File</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>17</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreUndoCheckout</span></td>\n\
<td align=\"left\">Before a Checkout is Undone</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>18</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostUndoCheckout</span></td>\n\
<td align=\"left\">After a Checkout is Undone</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>19</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreAddFiles</span></td>\n\
<td align=\"left\">Before Files are Added</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>20</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostAddFiles</span></td>\n\
<td align=\"left\">After Files are Added</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>21</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreGetLatest</span></td>\n\
<td align=\"left\">Before Getting Latest Version</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>22</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostGetLatest</span></td>\n\
<td align=\"left\">After Getting Latest Version</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>23</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreProperties</span></td>\n\
<td align=\"left\">Before Getting Properties</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>24</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostProperties</span></td>\n\
<td align=\"left\">After Getting Properties</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>25</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreShowHistory</span></td>\n\
<td align=\"left\">Before Showing History</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>26</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostShowHistory</span></td>\n\
<td align=\"left\">After Showing History</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>27</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyFileListUpdate</span></td>\n\
<td align=\"left\">On File List Update</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>28</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreExploreProvider</span></td>\n\
<td align=\"left\">Before Exploring a Provider</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>29</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostExploreProvider</span></td>\n\
<td align=\"left\">After Exploring a Provider</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>30</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPreGetVersion</span></td>\n\
<td align=\"left\">Before Getting File Version</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>31</strong></td>\n\
<td align=\"left\"><span class=\'code\'>#NotifyPostGetVersion</span></td>\n\
<td align=\"left\">After Getting File Version</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.UnRegisterNotification &lt;integer&gt;ID \n\
</pre></div><p>Unregisters the notification callback with the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;ATSOps.GetNotificationID() \n\
\n\
GetNotificationID enums: {#NotifyPreLogin | #NotifyPostLogin | #NotifyPreLogout | #NotifyPostLogout | #NotifyPreOpenProject | #NotifyPostOpenProject | #NotifyPreCloseProject | #NotifyPostCloseProject | #NotifyPreLaunchOptions | #NotifyPostLaunchOptions | #NotifyPreLaunchProvider | #NotifyPostLaunchProvider | #NotifyPreCheckin | #NotifyPostCheckin | #NotifyPreCheckout | #NotifyPostCheckout | #NotifyPreUndoCheckout | #NotifyPostUndoCheckout | #NotifyPreAddFiles | #NotifyPostAddFiles | #NotifyPreGetLatest | #NotifyPostGetLatest | #NotifyPreProperties | #NotifyPostProperties | #NotifyPreShowHistory | #NotifyPostShowHistory | #NotifyFileListUpdate | #NotifyPreExploreProvider | #NotifyPostExploreProvider | #NotifyPreGetVersion | #NotifyPostGetVersion} \n\
</pre></div><p>Returns the notification ID as a Name Literal.</p>\n\
<p>See table above for description and Integer ID value of the enum.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetNotificationFileList &lt;&amp;filename array&gt;FileList \n\
\n\
FileList is In and Out parameter \n\
</pre></div><p>Writes the notification file list into the by-reference array of strings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.AddAttachmentToNotificationFileListEntry &lt;index&gt;FileListIndex &lt;string&gt;Filename \n\
</pre></div><p>Adds the file specified by the supplied Filename string as an attachment to the indexed file in the notification file list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.IsNotificationCancelled() \n\
</pre></div><p>Returns true if notification was cancelled, false otherwise.</p>\n\
<p>If a message is cancelled by an object that has registered for notifications, all objects that received the notification before it was cancelled will be notified again, but this method will return true to allow the objects to perform any cleanup or undo any action taken.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.AddFileToNotificationFileList &lt;string&gt;Filename \n\
</pre></div><p>Adds the supplied file name string to the notification file list. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.RemoveFileFromNotificationFileList &lt;index&gt;FileListIndex \n\
</pre></div><p>Removes the indexed file name from the notification file list.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<div class=\'section\'><a id=\"re-targetting\"></a><h2 id=\"re-targetting\">Re-targetting</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.SetPathOnSelection &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false \n\
</pre></div><p>Assigns the new path to the selection.If the optional <span class=\'code\'>CreateOutputFolder:</span> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Note that calling this method will clear the existing selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.RetargetCommonRootOfSelection &lt;filename&gt;NewPath CreateOutputFolder:&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false \n\
</pre></div><p>The method will retarget the common root of assets selected in the Asset Tracker to the value passed in. For example, if the selected assets belong to C:/resources/projectA/ but are found in different sub-directories of that folder, then only the C:/resources/projectA/ portion will be re-pathed.</p>\n\
<p>All selected assets <strong>must</strong> have a common-root portion.</p>\n\
<p>NewPath is the path portion that will be prepended in place of the common root.</p>\n\
<p>If the optional <span class=\'code\'>CreateOutputFolder:</span> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Returns true if the action succeeded and the assets were re-pathed.</p>\n\
<p>Note:</p>\n\
<p>If the &quot;Resolve files and folders to UNC paths option&quot; is turned on then this function will automatically convert mapped-drive paths to their UNC equivalent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.RetargetSelection &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false \n\
</pre></div><p>Retargets a single selected asset to a new path and file name.</p>\n\
<p>The newPath argument <strong>must</strong> specify both the path and the file name.</p>\n\
<p>If the optional <span class=\'code\'>CreateOutputFolder:</span> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Note:</p>\n\
<p>If the &quot;Resolve files and folders to UNC paths option&quot; is turned on then this function will automatically convert mapped-drive paths to their UNC equivalent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.SetPath &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false \n\
</pre></div><p>Sets the path component of all listed assets to the path passed as first argument.</p>\n\
<p>NewPath is the path value that will be applied to all listed assets.</p>\n\
<p>If the optional <span class=\'code\'>CreateOutputFolder:</span> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Returns true if the action succeeds and the asset(s) are re-pathed.</p>\n\
<p>Note:</p>\n\
<p>If the &quot;Resolve files and folders to UNC paths option&quot; is turned on then this function will automatically convert mapped-drive paths to their UNC equivalent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.RetargetCommonRoot &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
CreateOutputFolder default value: false \n\
</pre></div><p>Retargets the common root of all assets listed in the Asset Tracker dialog.</p>\n\
<p>For example, if all assets belong to C: but are found in different sub-directories of C:\\, then only the C: portion of the path will be re-pathed.</p>\n\
<p>All editable assets must have some common root portion.</p>\n\
<p>NewPath is the path portion that will be prepended in place of the common root.</p>\n\
<p>If the optional <span class=\'code\'>CreateOutputFolder:</span> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>Returns true if the action succeeded and the assets were re-pathed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.RetargetAssets &lt;&amp;maxObject&gt;AssetOwner &lt;filename&gt;OldPath &lt;filename&gt;NewPath CreateOutputFolder :&lt;boolean&gt; \n\
\n\
AssetOwner is In and Out parameter \n\
CreateOutputFolder default value: false \n\
</pre></div><p>Retargets the assets of the specified asset owner from the given old path to the new path.</p>\n\
<p><span class=\'code\'>AssetOwner</span> - The ReferenceTarget object from which assets are declared</p>\n\
<p><span class=\'code\'>OldPath</span> - Used to determine which asset to retarget. Any asset declared with this path will be retargeted to NewPath.</p>\n\
<p><span class=\'code\'>NewPath</span> - The retarget value.</p>\n\
<p>If the optional <span class=\'code\'>CreateOutputFolder:</span> keyword parameter is supplied and is true, the new path will be created if it does not exist.</p>\n\
<p>This method calls the EnumAuxFiles implementation of ReferenceTarget to get a listing of assets.</p>\n\
<p>Returns true if the action succeeded and at least one assets was re-pathed, false if no asset was re-pathed.</p>\n\
<div class=\'section\'><a id=\"file-resolution\"></a><h2 id=\"file-resolution\">File Resolution</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.ResolveSelectionToUNC() \n\
</pre></div><p>Resolve the paths of the currently selected assets in the Asset Tracker dialog to their UNC equivalents regardless of the current application setting.</p>\n\
<p>One or more assets must be selected in the Asset Tracker dialog - one of the assets must have an absolute path.</p>\n\
<p>Returns true if one or more assets have been resolved to UNC.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.ResolveSelectionRelativeToProjectFolder() \n\
</pre></div><p>Converts paths selected in the Asset Tracker dialog to relative paths with respect to the project folder.</p>\n\
<p>If the asset is <strong>found</strong> (meaning that it is found in the search path) in a location other than that pointed to by the absolute path,then the relative path will be calculated based on this found location. Otherwise, the absolute path is converted to a relative path relative to the current Project Folder setting, if possible.</p>\n\
<p>One or more assets must be selected and at least one of the assets must have an absolute path.</p>\n\
<p>Returns true if one or more assets are resolved to a path relative to the current Project Folder setting, as long as the absolute path exists on the same drive (or UNC) as the current Project Folder.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.ResolveSelectionToAbsolute() \n\
</pre></div><p>Converts the paths of one or more assets selected in the Asset Tracker dialog to absolute paths. At least one of the selected assets must have a relative path.</p>\n\
<p>If the asset is <strong>found</strong> (meaning that it is found in the search path), then the absolute path will point to the found location. If not, then the relative path is converted to an absolute path relative to the current Project Folder setting.</p>\n\
<p>Returns true if one or more assets have been resolved to absolute paths.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetResolvedPaths &lt;filename array&gt;FileList &lt;&amp;filename array&gt;ResolvedFileList\n\
       GetResolvedPaths - no automatic redraw after invoked\n\
       ResolvedFileList is Out parameter\n\
</pre></div><p>Returns the number of resolved paths.</p>\n\
<p>Resolved files are files not found in the location specified within the scene file but found using the standard and user defined search paths.</p>\n\
<p>The list of the files to check should be passed via the FileList parameter.</p>\n\
<p>The by-reference ResolvedFileList parameter will be filled with the resolved file names.</p>\n\
<p>If the file was found at the original location or is still missing (could not be resolved via the search paths), the entry in resolvedFileList will be the same as in fileList.</p>\n\
<p>If the file was resolved the entry in resolvedFileList will contain the resolved file path.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetDependencyFileList &lt;maxObject&gt;Dependent &lt;&amp;filename array&gt;FileList &lt;boolean&gt;includeRefHierarchy \\\n\
  caseSensitiveFilenames:&lt;boolean&gt; getResolvedFileNames:&lt;boolean&gt;\n\
       GetDependencyFileList - no automatic redraw after invoked\n\
       FileList is Out parameter\n\
       caseSensitiveFilenames default value: true\n\
       getResolvedFileNames default value: true\n\
</pre></div><p>Gets the list of files that are used by the given maxObject. Duplicate files are not included.</p>\n\
<p><span class=\'code\'>Dependent</span> is the maxObject for which the file dependencies are to be listed.</p>\n\
<p><span class=\'code\'>fileList</span> is the by-reference array through which the file list is returned.</p>\n\
<p>When <span class=\'code\'>includeRefHierarchy</span> is set to true, the method will list dependencies of the entire reference hierarchy. When set to false, the list will be limited to the maxObject itself.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong> When <span class=\'code\'>caseSensitiveFilenames</span> is set to true (the default), two files with the same name are considered different if there is a difference in the letter case of the filenames. Setting this parameter to false can reduce the number of files returned by detecting duplicates.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong> When <span class=\'code\'>getResolvedFileNames</span> is set to true (the default), files names returned are the resolved file names. When false, the files returned are the specified file names.</p>\n\
<p>Returns the number of files found.</p>\n\
<div class=\'section\'><a id=\"working-folder-access\"></a><h2 id=\"working-folder-access\">Working Folder Access</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ATSOps.SetWorkingFolder &lt;index&gt;ProviderIndex &lt;filename&gt;Folder \n\
</pre></div><p>Sets the working folder of the indexed provider to the specified file name.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;ATSOps.GetWorkingFolder &lt;index&gt;ProviderIndex \n\
</pre></div><p>Returns the working folder file name of the indexed provider.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"versionaccess\"></a><h2 id=\"versionaccess\">VersionAccess</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetMinVersion &lt;index&gt;ProviderIndex &lt;filename&gt;Filename \n\
</pre></div><p>Returns the lowest version of the given filename using the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ATSOps.GetMaxVersion &lt;index&gt;ProviderIndex &lt;filename&gt;Filename \n\
</pre></div><p>Returns the highest version of the given filename using the indexed provider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ATSOps.GetVersion &lt;index&gt;ProviderIndex &lt;filename&gt;Filename &lt;integer&gt;VersionNumber \n\
</pre></div><p>Gets the specified version of the given file using the indexed provider.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";