var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: AnimLayerManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: AnimLayerManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-animlayermanager\"></a></div>\n\
<p>This <strong>Core Interface</strong> exposes the Animation Layer Manager to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>AnimLayerManager.filterActiveOnly: boolean : Read|Write      \n\
</pre></div><p>Get/Set the state of the Filter Active Only option.</p>\n\
<div class=\'codeBlock\'><pre>AnimLayerManager.justUpToActive: boolean : Read|Write   \n\
</pre></div><p>Get/Set the state of the Just Up To Active option.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.showAnimLayersManagerToolbar &lt;boolean&gt;show \n\
</pre></div><p>Show/hide the Animation Layers Manager toolbar. When the argument is true, the toolbar will be displayed. When the argument is false, the toolbar will be hidden.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` AnimLayerManager.showAnimLayersManagerToolbar true--show the toolbar AnimLayerManager.showAnimLayersManagerToolbar false--hide the toolbar</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;AnimLayerManager.enableLayersDlg &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Shows the Enable Anim Layers dialog for the specified objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;AnimLayerManager.enableLayers &lt;&amp;node array&gt;nodes pos:&lt;boolean&gt; rot:&lt;boolean&gt; scale:&lt;boolean&gt; ik:&lt;boolean&gt; object:&lt;boolean&gt; customAtt:&lt;boolean&gt; mod:&lt;boolean&gt; mat:&lt;boolean&gt; other:&lt;boolean&gt; \n\
\n\
nodes is In and Out parameter \n\
pos default value: true \n\
rot default value: true \n\
scale default value: true \n\
ik default value: false \n\
object default value: false \n\
customAtt default value: false \n\
mod default value: false \n\
mat default value: false \n\
other default value: false \n\
</pre></div><p>Enables the Animation Layers for the specified objects without user interaction via the Enable Anim Layers dialog. The optional keyword parameters can be used to enable or disable animation layers for the given track types.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AnimLayerManager.canEnableLayer &lt;maxObject&gt;anim &lt;maxObject&gt;client &lt;index&gt;subNum \n\
</pre></div><p>Returns true if the Animation Layer can be enabled for the specified object and track, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AnimLayerManager.enableLayer &lt;maxObject&gt;anim &lt;maxObject&gt;client &lt;index&gt;subNum \n\
</pre></div><p>Enables the Animation Layer for the specified object and track. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;AnimLayerManager.getLayerCount() \n\
</pre></div><p>Returns the number of layers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index array&gt;AnimLayerManager.getNodesLayers &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Returns an array of indices representing the layers used by the specified nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.setLayerActive &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Sets the indexed layer as the current layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.setLayerActiveNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter \n\
</pre></div><p>Sets the active nodes for the indexed layer to the by-reference array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index array&gt;AnimLayerManager.getActiveLayersNodes &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Writes the active layers nodes into the by-reference array of nodes. Returns an array of layer indices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.getNodesActiveLayer &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Returns the nodes using the active layer into the by-reference array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.addLayer &lt;&amp;string&gt;name &lt;&amp;node array&gt;nodes &lt;boolean&gt;useActiveControllerType \n\
\n\
name is In and Out parameter \n\
nodes is In and Out parameter \n\
</pre></div><p>Adds a layer with the given name to the nodes specified by the second argument. The third argument controls whether to use the active controller type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.addLayerDlg &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Opens the Add Layer dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.deleteLayer &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Deletes the indexed Animation Layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.deleteLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter \n\
</pre></div><p>Deletes the indexed Animation Layer from the specified scene nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.copyLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function\n\
nodes is In and Out parameter \n\
</pre></div><p>Copies the indexed Animation Layer from the specified scene nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.pasteLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter \n\
</pre></div><p>Pastes the copied Animation Layer into the specified scene nodes at the indexed position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stringby value&gt;AnimLayerManager.getLayerName &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Returns the name of the indexed Animation Layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.setLayerName &lt;index&gt;listIndex &lt;Stringby value&gt;name \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Sets the name of the indexed Animation Layer to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;AnimLayerManager.getLayerWeight &lt;index&gt;listIndex &lt;time&gt;atTime \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Returns the weight of the indexed Animation Layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.setLayerWeight &lt;index&gt;listIndex &lt;time&gt;atTime &lt;float&gt;weight \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Sets the weight of the indexed Animation Layer to the given value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AnimLayerManager.getLayerMute &lt;index&gt;listIndex   \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Returns the Mute state of the indexed Animation Layer as a boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.setLayerMute &lt;index&gt;listIndex &lt;boolean&gt;mute \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Sets the Mute state of the indexed Animation Layer to the given boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AnimLayerManager.getLayerLocked &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Gets the Locked state of the indexed Animation Layer as boolean value.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.setLayerLocked &lt;index&gt;listIndex &lt;boolean&gt;locked \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Sets the Locked state of the indexed Animation Layer to the given boolean value.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AnimLayerManager.getLayerOutputMute &lt;index&gt;listIndex \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Returns the Output Mute state of the indexed Animation Layer as a boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.setLayerOutputMute &lt;index&gt;listIndex &lt;boolean&gt;mute \n\
\n\
listIndex Validated by Validator function \n\
</pre></div><p>Sets the Output Mute state of the indexed Animation Layer to the given boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.collapseLayerNodes &lt;index&gt;listIndex &lt;&amp;node array&gt;nodes \n\
\n\
listIndex Validated by Validator function \n\
nodes is In and Out parameter \n\
</pre></div><p>Collapses theindexedAnimation Layer of the given scene nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.disableLayerNodes &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Disables the Animation Layers of the given scene nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.animLayerPropertiesDlg() \n\
</pre></div><p>Opens the Layer Properties dialog.</p>\n\
<div class=\'codeBlock\'><pre>void&gt;refreshAnimLayerPropertiesDlg() \n\
</pre></div><p>Refreshes the Layer Properties dialog.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.SetCollapseControllerType &lt;enum&gt;controllerType \n\
\n\
controllerType enums: {#Bezier|#Linear|#Default} \n\
</pre></div><p>Sets the Controller Type to collapse to. Corresponds to the radio buttons in the Layer Properties dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;AnimLayerManager.GetCollapseControllerType() \n\
\n\
GetCollapseControllerType enums: {#Bezier|#Linear|#Default \n\
</pre></div><p>Returns the Controller Type to collapse to. Corresponds to the radio buttons in the Layer Properties dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.SetCollapsePerFrame &lt;boolean&gt;keyable \n\
</pre></div><p>Sets whether to collapse to keys only when possible (false) or to keys per frame (true). Note that this value is the inverse of the checkbox&#39; state in the Layer Properties dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AnimLayerManager.GetCollapsePerFrame() \n\
</pre></div><p>Returns whether to collapse to keys only when possible (false) or to keys per frame (true). Note that this value is the inverse of the checkbox&#39; state in the Layer Properties dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.SetCollapsePerFrameActiveRange &lt;boolean&gt;activeRange \n\
</pre></div><p>Sets whether to collapse the active range (true) or the user-defined range (false). Corresponds to the radio buttons in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AnimLayerManager.GetCollapsePerFrameActiveRange() \n\
</pre></div><p>Get whether to collapse the active range (true) or the user-defined range (false).Corresponds to the radio buttons in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AnimLayerManager.SetCollapseRange &lt;interval&gt;range \n\
</pre></div><p>Sets the Collapse Range to the given interval value. Corresponds to the value spinners in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;interval&gt;AnimLayerManager.GetCollapseRange() \n\
</pre></div><p>Returns the Collapse Range interval value. Corresponds to the value spinners in the Layer Properties dialog &gt; Per Frame Collapse Range.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";