var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: AutoTangentMan</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: AutoTangentMan</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-autotangentman\"></a></div>\n\
<p>This Core Interface provides access to the AutoTangent algorithm settings of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> Interface: AutoTangentMan\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>AutoTangentMan.NewControllersAutoTangentAlgorithm : enum : Read|Write\n\
\n\
NewControllersAutoTangentAlgorithm enums: {#unsupported | #legacy | #unified}\n\
</pre></div><p>Get/set the default Auto Tangent algorithm for new controllers.</p>\n\
<p>Possible return values are:</p>\n\
<p><strong>#unsupported</strong> - Auto Tangents are not supported.</p>\n\
<p><strong>#legacy</strong> - Use the legacy algorithm of <strong>3ds Max 2011 and earlier</strong>.</p>\n\
<p><strong>#unified</strong> - Use the unified Auto Tangent algorithm implemented in <strong>Autodesk 3ds Max 2012</strong>, <strong>Autodesk Maya 2012</strong> and <strong>Autodesk Softimage 2012</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AutoTangentMan.SupportsAutoTangent &lt;maxObject&gt;anim\n\
</pre></div><p>Returns true if the supplied Anim supports Auto Tangents, false if it does not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;AutoTangentMan.GetAutoTangentAlgorithm &lt;maxObject&gt;anim\n\
\n\
GetAutoTangentAlgorithm enums: {#unsupported | #legacy | #unified}\n\
</pre></div><p>Returns the Auto Tangent Algorithm of the supplied Anim argument.</p>\n\
<p>Possible return values are:</p>\n\
<p><strong>#unsupported</strong> - the controller does not support Auto Tangents.</p>\n\
<p><strong>#legacy</strong> - the controller uses the legacy algorithm of <strong>3ds Max 2011 and earlier</strong>.</p>\n\
<p><strong>#unified</strong> - the controller uses the unified Auto Tangent algorithm implemented in <strong>Autodesk 3ds Max 2012</strong>, <strong>Autodesk Maya 2012</strong> and <strong>Autodesk Softimage 2012</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AutoTangentMan.SetAutoTangentAlgorithm &lt;enum&gt;algorithm &lt;&amp;maxObject array&gt;anims\n\
\n\
algorithm enums: {#unsupported | #legacy | #unified}\n\
anims is In and Out parameter \n\
</pre></div><p>Sets the Auto Tangent Algorithm of the Anims passed in the second argument&#39;s array to the mode specified by the first argument.</p>\n\
<p>See above for description of the possible algorithm enums.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>--none--</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";