var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: autosave</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: autosave</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-autosave\"></a></div>\n\
<p>This interface provides access to the Auto Backup functionality.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>autosave.Enable : boolean : Read|Write   \n\
</pre></div><p>Get/Set the Auto-Backup enabled state. Equivalent to the System Global variable <span class=\'code\'>autobackup.enabled</span> .</p>\n\
<div class=\'codeBlock\'><pre>autosave.NumberOfFiles : integer : Read|Write   \n\
</pre></div><p>Get/Set the number of Auto-Backup files. Possible values are between 1 and 99.</p>\n\
<div class=\'codeBlock\'><pre>autosave.Interval : float : Read|Write \n\
</pre></div><p>Get/Set the Auto-Backup interval in minutes.</p>\n\
<div class=\'codeBlock\'><pre>autosave.filename : string : Read|Write \n\
</pre></div><p>Get/Set the Auto-Backup filename as a string. Default is &quot;AutoBackup&quot;.</p>\n\
<div class=\'codeBlock\'><pre>autosave.BailoutEnabled : boolean : Read|Write\n\
</pre></div><p>When set to false, 3ds Max cannot escape out of auto-backup. In some cases setting this to false can significantly improve auto-backup performance. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;autosave.resettimer() \n\
</pre></div><p>Resets the Auto-Backup timer. After the rest, the next save will occur after the number of minutes specified by the <span class=\'code\'>.interval</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;autosave.isactive() \n\
</pre></div><p>Returns true if the Auto-Backup is currently saving, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;autobackupnow()\n\
</pre></div><p>Starts the auto-backup process. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";