var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ActionItemOverrideManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ActionItemOverrideManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-actionitemoverridemanager\"></a></div>\n\
<p>The <strong>ActionItemOverrideManager Core Interface</strong> exposes the keyboard shortcuts overriding mechanism to MAXScript.</p>\n\
<p>The Action Item Override lets the user temporarily override the current mode with one of the Action supporting Overriding (shown in bold in the Customize User Interface dialog) by pressing and holding the key while performing the action, then releasing to exit the override mode.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>Interface:ActionItemOverrideManager \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ActionItemOverrideManager.overridesActive: boolean : Read|Write   \n\
</pre></div><p>When set to <span class=\'code\'>true</span> (default), the Action Item Override is enabled. When set to <span class=\'code\'>false</span> , the Override will be turned off.</p>\n\
<div class=\'codeBlock\'><pre>ActionItemOverrideManager.timeToStartOverride: float : Read|Write \n\
</pre></div><p>Get/set the time in seconds before the override kicks in. Default is 0.1.</p>\n\
<p>These properties correspond to the controls found in the Customize User Interface dialog &gt; Keyboard tab:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D4CE87CA-5E6C-4814-BD91-5719C0CE0FE4-low.gif\' title=\'\'></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-417E7668-82C8-40E5-B034-A218545C233A-low.gif\' title=\'\'></div>\n\
<p><strong>Left:</strong> Rotate in local coordinate system.</p>\n\
<p><strong>Right:</strong> Pressing and holding the custom Use Working Pivot keyboard shortcuts overrides the current mode and switches to using the working pivot coordinate system.</p>\n\
<p>The Viewport shows the mode and the keyboard shortcut being pressed.</p>\n\
<p>Releasing the keys returns the system to local coordinate rotation.</p>\n\
<p>Pressing the same shortcut and releasing within the time defined by <span class=\'code\'>ActionItemOverrideManager.timeToStartOverride</span> switches to the Use Working Pivot mode permanently - the viewport hint helps the user exit the mode.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";