var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: BatchProOptimizer</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: BatchProOptimizer</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-batchprooptimizer\"></a></div>\n\
<p>This Interface provides access to the <strong>Batch Processing</strong> feature of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/ProOptimizer-Modifier.html\' title=\'\'>ProOptimizer modifier</a>.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p>Note: The properties and methods listed below do NOT change the settings of the Batch Optimization dialog used in interactive mode. They affect the MAXScript Batch Optimizer which is executed using the <strong>BatchProOptimizer.batch()</strong> method call. This means that you can get and set these properties and process your files using your own MAXScript tool, but the interactive version of the Batch ProOpimizer will keep its own settings and can be used independently.</p>\n\
<div class=\'codeBlock\'><pre>Interface: BatchProOptimizer \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"source-files-tab\"></a><h2 id=\"source-files-tab\">Source Files Tab</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A90745C3-8627-492D-83E0-FC313C1FD5DE-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"source-directory-section\"></a><h3 id=\"source-directory-section\">Source Directory Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.SourceFileMode : integer : Read|Write      \n\
</pre></div><p>Get/set the internal value equivalent to the index of the &quot;Source Directory&quot; radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>File Selection</strong> - uses the files array specified via the <span class=\'code\'>BatchProOptimizer.SourceFileFiles</span> property.</p>\n\
<p>1 - <strong>Current Directory</strong></p>\n\
<p>2 - <strong>Selected Directory</strong></p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.SourceFileFiles : filename by value array : Read|Write   \n\
</pre></div><p>Get/set the array of source files to process when the <span class=\'code\'>.SourceFileMode</span> property is set to 0. Default is #().</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.SourceFileDir : string : Read|Write \n\
</pre></div><p>Get/set the source directory to process when the <span class=\'code\'>.SourceFileMode</span> property is set to 2. Default is &quot;&quot;</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.SourceFileSubDir : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the internal option equivalent to the &quot;Include Subdirectories&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"optimization-tab\"></a><h2 id=\"optimization-tab\">Optimization Tab</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5B225401-7776-4070-8AEA-000BFBDF4904-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"optimization-level-section\"></a><h3 id=\"optimization-level-section\">Optimization Level Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizationLevelMode : integer : Read|Write \n\
</pre></div><p>Get/set the internal value equivalent to the Optimization Level Mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Predefined Vertex %</strong></p>\n\
<p>1 - <strong>Automatic Vertex %</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizationLevel1 : integer : Read|Write \n\
</pre></div><p>Get/set the value equivalent to the first optimization level value. Default value is 25.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizationLevel2 : integer : Read|Write \n\
</pre></div><p>Get/set the value equivalent to the second optimization level value. Default value is 50.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizationLevel3 : integer : Read|Write \n\
</pre></div><p>Get/set the value equivalent to the third optimization level value. Default value is 65.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizationLevel4 : integer : Read|Write \n\
</pre></div><p>Get/set the value equivalent to the fourth optimization level value. Default value is 75.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizationLevel5 : integer : Read|Write \n\
</pre></div><p>Get/set the value equivalent to the fifth optimization level value. Default value is 90.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizationLevelSteps : integer : Read|Write \n\
</pre></div><p>Get/set the value equivalent to the &quot;Optimization Levels&quot; value. Default value is 9.</p>\n\
<div class=\'section\'><a id=\"optimization-options-section\"></a><h3 id=\"optimization-options-section\">Optimization Options Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizeBordersMode : integer : Read|Write \n\
</pre></div><p>Get/set the internal value equivalent to the Optimize Borders mode radio buttons.</p>\n\
<p>Possible values:</p>\n\
<p>0 - <strong>Crunch Borders</strong></p>\n\
<p>1 - <strong>Protect Borders</strong> (default)</p>\n\
<p>2 - <strong>Exclude Border</strong></p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.OptimizeHidden : boolean : Read|Write \n\
</pre></div><p>Get/set the internal value corresponding to the &quot;Optimize Hidden Objects&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.MergePoints : boolean : Read|Write \n\
</pre></div><p>Get/set the internal value corresponding to the &quot;Merge Vertices&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.MergePointsThreshold : float : Read|Write \n\
</pre></div><p>Get/set the internal value corresponding to the &quot;Merge Vertices Threshold&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.MergeFaces : boolean : Read|Write \n\
</pre></div><p>Get/set the internal value corresponding to the &quot;Merge Faces&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.MergeFacesThreshold : float : Read|Write \n\
</pre></div><p>Get/set the internal value corresponding to the &quot;Merge Faces Threshold&quot; value.</p>\n\
<div class=\'section\'><a id=\"materials-and-uvs-section\"></a><h3 id=\"materials-and-uvs-section\">Materials and UVs Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.KeepMaterialBoundaries : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Keep Material Boundaries&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.KeepTexture : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Keep Textures&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.KeepUVBoundaries : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Keep UV Boundaries&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.UVTolerance : float : Read|Write \n\
</pre></div><p>Get/set the internal Floating Point value equivalent to the &quot;UV Tolerance (0.0 to 1.0)&quot; field. Default is 0.0.</p>\n\
<div class=\'section\'><a id=\"vertex-colors-section\"></a><h3 id=\"vertex-colors-section\">Vertex Colors Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.KeepVertexColors : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Keep Vertex Colors&quot; checkbox. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.KeepVertexColorsBoundaries : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Keep VC Boundaries&quot; checkbox. Default is true, but is only used if <span class=\'code\'>.KeepVertexColor</span> is true.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.VertexColorsTolerance : integer : Read|Write \n\
</pre></div><p>Get/set the internal integer value equivalent to the &quot;RGB Tolerance (0 to 255)&quot; field. Default is 128.</p>\n\
<div class=\'section\'><a id=\"symmetry-options-section\"></a><h3 id=\"symmetry-options-section\">Symmetry Options Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.SymmetryMode : integer : Read|Write \n\
</pre></div><p>Get/set the internal integer value equivalent to the Symmetry Options mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>No Symmetry</strong> (default)</p>\n\
<p>1 - <strong>XY Symmetry</strong></p>\n\
<p>2 - <strong>YZ Symmetry</strong></p>\n\
<p>3 - <strong>XZ Symmetry</strong></p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.SymmetryTolerance : integer : Read|Write \n\
</pre></div><p>Get/set the internal integer value equivalent to the &quot;Tolerance (0 to 100%)&quot; field&#39;s value.</p>\n\
<div class=\'section\'><a id=\"normals-section\"></a><h3 id=\"normals-section\">Normals Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.KeepNormals : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Keep Normals&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.NormalMode : integer : Read|Write \n\
</pre></div><p>Get/set the internal integer value equivalent to the Normals mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crunch Normals</strong></p>\n\
<p>1 - <strong>Protect Normals</strong> (default)</p>\n\
<p>2 - <strong>Exclude Normals</strong></p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.NormalThreshold : float : Read|Write \n\
</pre></div><p>Get/set the internal float value equivalent to the &quot;Normal Threshold&quot; field&#39;s value.</p>\n\
<div class=\'section\'><a id=\"advanced-options\"></a><h3 id=\"advanced-options\">Advanced Options</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.CompactFaces : boolean : Read|Write \n\
</pre></div><p>Get/set the internal value corresponding to the &quot;Favor Compact Faces&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.PreventFlippedNormals : boolean : Read|Write \n\
</pre></div><p>Get/set the internal value corresponding to the Prevent Flipped Normals checkbox.</p>\n\
<div class=\'section\'><a id=\"optimized-files-tab\"></a><h2 id=\"optimized-files-tab\">Optimized Files Tab</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-ED987703-7DE2-41CA-BF40-C69D609A87E5-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"file-names-section\"></a><h3 id=\"file-names-section\">File Names Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.DestFileNameMode : integer : Read|Write \n\
</pre></div><p>Get/set the internal integer value equivalent to the File Name Mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Number by order of creation (scene1, scene2, scene3...)</strong></p>\n\
<p>1 - <strong>Number by optimization level (scene25, scene50, scene75...)</strong></p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.AutoRename : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Auto rename duplicate files&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.DestFileNamePrefix : string : Read|Write \n\
BatchProOptimizer.DestFileNameSuffix : string : Read|Write \n\
</pre></div><div class=\'section\'><a id=\"optimized-files-directory-section\"></a><h3 id=\"optimized-files-directory-section\">Optimized Files Directory Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.DestFolderMode : integer : Read|Write \n\
</pre></div><p>Get/set the internal integer value equivalent to the Optimized Files Directory mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In the same directory as the source files</strong></p>\n\
<p>1 - <strong>In a subdirectory of the source files</strong></p>\n\
<p>2 - <strong>In the selected directory</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.DestFolderName : string : Read|Write \n\
</pre></div><p>Get/set the name of the destination folder to use when <span class=\'code\'>.DestFolderMode</span> is set to 1 or 2. Default is &quot;.\\Results&quot; which is a relative directory to the currently optimized file&#39;s path.</p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.RecreateFolderTree : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Re-create directory Tree&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"optimized-files-format-section\"></a><h3 id=\"optimized-files-format-section\">Optimized Files Format Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.DestFormatMode : integer : Read|Write \n\
</pre></div><p>Get/set the internal integer value equivalent to the Optimized Files Format mode radio buttons selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Keep source file format if possible, otherwise convert to selected format</strong> (default)</p>\n\
<p>1 - <strong>Convert to the selected format</strong></p>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.DestFormatExt : string : Read|Write \n\
</pre></div><p>Get/set the internal string vale defining the file format extension to use. Default is &quot;.obj&quot;. Note that the Batch Optimizer uses a drop-down list in the User Interface in interactive mode.</p>\n\
<div class=\'section\'><a id=\"other-settings-section\"></a><h3 id=\"other-settings-section\">Other Settings Section</h3></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.LogFilePath : string : Read|Write \n\
</pre></div><p>Get/set the file name of the log file. Default is &quot;&quot; (no log).</p>\n\
<div class=\'section\'><a id=\"modifier-application\"></a><h2 id=\"modifier-application\">Modifier Application</h2></div>\n\
<div class=\'codeBlock\'><pre>BatchProOptimizer.ApplyModifier : boolean : Read|Write \n\
</pre></div><p>Get/set the internal Boolean value equivalent to the &quot;Apply Modifier&quot; checkbox in the Utility&#39;s User Interface. When set to true, ProOptimizer modifiers will be added to the objects in the batch-processed scenes. When set to false, only existing modifiers will be used without adding new ones.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BatchProOptimizer.batch() \n\
</pre></div><p>Performs the batch optimization according to the settings specified using the above properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";