var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: BitmapProxyMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: BitmapProxyMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-bitmapproxymgr\"></a></div>\n\
<p>This Core Interface exposes the <strong>Bitmap Proxy System</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>BitmapProxyMgr.globalProxyEnable : boolean : Read|Write      \n\
</pre></div><p>Enables Bitmap Proxies globally.Corresponds to the &quot;Enable Proxy System&quot; checkbox in the Bitmap Proxies dialog.</p>\n\
<div class=\'codeBlock\'><pre>BitmapProxyMgr.globalProxyRenderMode : enum : Read|Write   \n\
\n\
globalProxyRenderMode enums: {#renderMode_UseProxies | #renderMode_UseFullRes_KeepInMemory | #renderMode_UseFullRes_FlushFromMemory} \n\
</pre></div><p>Gets/Sets the global Proxy Render Mode. Corresponds to the Render Mode drop-down list in the Bitmap Proxies dialog.</p>\n\
<div class=\'codeBlock\'><pre>BitmapProxyMgr.globalProxySizeFactor : enum : Read|Write \n\
\n\
globalProxySizeFactor enums: {#full|#half|#third|#quarter|#eighth} \n\
</pre></div><p>Gets/Sets the global Proxy Size Factor. Corresponds to the &quot;Downscale map to...&quot; drop-down list in the Bitmap Proxies dialog.</p>\n\
<div class=\'codeBlock\'><pre>BitmapProxyMgr.globalProxySizeMin : integer : Read|Write \n\
</pre></div><p>Gets/Sets the global Proxy minimum size in pixels. Corresponds to the &quot;pixels&quot; spinner in the Bitmap Proxies dialog.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-180A8E14-BB13-4C26-82BC-BAE5EB90D99E-low.gif\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;BitmapProxyMgr.GetProxySizeFactor &lt;string&gt;bitmap \n\
\n\
GetProxySizeFactor enums: {#full|#half|#third|#quarter|#eighth} \n\
</pre></div><p>Returns the local Proxy size factor for the specified bitmap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BitmapProxyMgr.SetProxySizeFactor &lt;string&gt;bitmap &lt;enum&gt;factor \n\
\n\
factor enums:{#full|#half|#third|#quarter|#eighth} \n\
</pre></div><p>Sets the local Proxy size factor for the specified bitmap to the given enum. This setting will be used only if the <span class=\'code\'>.SetProxyUseGlobal</span> property has been set to false for the bitmap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BitmapProxyMgr.GetProxyUseGlobal &lt;string&gt;bitmap \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified bitmap is using the global proxy settings, <span class=\'code\'>false</span> if it is using the local settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BitmapProxyMgr.SetProxyUseGlobal &lt;string&gt;bitmap &lt;boolean&gt;useGlobal \n\
</pre></div><p>When the second argument is passed as <span class=\'code\'>true</span> , the global settings will be used for the bitmap specified by the first argument. When the second argument is <span class=\'code\'>false</span> , the local settings will be used instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BitmapProxyMgr.GetProxyReady &lt;string&gt;bitmap \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the proxy of the specified bitmap filename is ready, <span class=\'code\'>false</span> if it has not been cached yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BitmapProxyMgr.RefreshAll requestRefresh :&lt;enum&gt; \n\
\n\
requestRefresh enums: {#updateStale|#refreshAll|#generateAll} \n\
requestRefresh default value: #updateStale \n\
</pre></div><p>Regenerates proxies of some or all the bitmaps.</p>\n\
<p>When <span class=\'code\'>requestRefresh</span> is not supplied or is set to <span class=\'code\'>#updateStale</span> , only stale proxies will be updated.</p>\n\
<p>When <span class=\'code\'>requestRefresh</span> is set to <span class=\'code\'>#refreshAll</span> , only bitmaps that are newer than their proxies will be updated..</p>\n\
<p>When <span class=\'code\'>requestRefresh</span> is set to <span class=\'code\'>#generateAll</span> , all proxies will be regenerated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BitmapProxyMgr.GenerateAll requestRefresh :&lt;enum&gt; \n\
\n\
requestRefresh enums: {#updateStale|#refreshAll|#generateAll} \n\
requestRefresh default value: #updateStale \n\
</pre></div><p>Same as <strong>RefreshAll</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BitmapProxyMgr.ShowConfigDialog bitmapFielnames :&lt;string array&gt; \n\
\n\
bitmapFielnames default value: #() \n\
</pre></div><p>Opens the Bitmap Proxies configuration dialog.</p>\n\
<p>If the optional bitmap Filenames argument is #() or not supplied, the dialog will be titled &quot;Global Settings and Defaults for Bitmap Proxies&quot; and will affect all bitmaps globally.</p>\n\
<p>If it contains a list of bitmap filenames, the dialog will be titled &quot;Per-Bitmap Resolution for Bitmap Proxies&quot; and the settings will apply to the specified bitmaps only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BitmapProxyMgr.ShowPrecacheDialog bitmapFilenames :&lt;string array&gt; \n\
\n\
bitmapFilenames default value: #() \n\
</pre></div><p>Opens the Precache dialog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";