var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: BooleanExplorerManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: BooleanExplorerManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-booleanexplorermanager\"></a></div>\n\
<p>This Core Interface exposes methods for controlling the Boolean Explorer dialog. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanExplorerManager.OpenBooleanExplorer()\n\
</pre></div><p>Opens the Boolean Explorer.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanExplorerManager.CloseBooleanExplorer()\n\
</pre></div><p>Closes the Boolean Explorer.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanExplorerManager.IsBooleanExplorerOpen()\n\
</pre></div><p>Returns True if the Boolean Explorer is currently open, False if it is closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanExplorerManager.LoadBooleanExplorerConfiguration &lt;string&gt;configurationFile\n\
       LoadBooleanExplorerConfiguration - no automatic redraw after invoked\n\
</pre></div><p>Loads a Boolean Explorer configuration from the specified file.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanExplorerManager.SaveBooleanExplorerConfiguration &lt;string&gt;outputConfigurationFile\n\
       SaveBooleanExplorerConfiguration - no automatic redraw after invoked\n\
</pre></div><p>Saves the current Boolean Explorer configuration to the specified file.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` BooleanExplorerManager.IsBooleanExplorerOpen() --check if already open --&gt; false –- it is not open yet BooleanExplorerManager.OpenBooleanExplorer() -- open the Boolean Explorer --&gt; true -- success! BooleanExplorerManager.IsBooleanExplorerOpen() -- check again --&gt; true -- now it is open BooleanExplorerManager.CloseBooleanExplorer() -- close it --&gt; true -- success!</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";