var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface : BooleanObjectManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface : BooleanObjectManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-booleanobjectmanager\"></a></div>\n\
<p>This Core Interface exposes methods for managing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Compound-Objects/Boolean3-GeometryClass.html\' title=\'\'>Boolean3</a> objects. Note that the Boolean3 object itself provides a MixinInterface that exposes the same functionality. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetNumBooleanObjects &lt;&amp;integer&gt;count\n\
count is Out parameter\n\
</pre></div><p>Gets the number of Boolean3 objects in the scene, and writes it into the by-reference argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetNumberOfOperands &lt;index&gt;index &lt;&amp;integer&gt;count\n\
count is Out parameter\n\
</pre></div><p>Gets the number of operand in the indexed Boolean3 Object, and writes it into the by-reference second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetOperandName &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;string&gt;name\n\
name is Out parameter\n\
</pre></div><p>Gets the name of the indexed operand in the indexed Boolean3 Object, and writes it into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetOperandName &lt;index&gt;index &lt;index&gt;operandIndex &lt;string&gt;name\n\
</pre></div><p>Sets the name of the indexed operand in the indexed Boolean3 Object to the string value supplied by the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetOperandType &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;enum&gt;type\n\
type enums: {#system|#generated}\n\
type is Out parameter\n\
</pre></div><p>Gets the type of the indexed operand in the indexed Boolean3 Object, and writes it into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetNumberOfChildren &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;integer&gt;children\n\
children is Out parameter\n\
</pre></div><p>Gets the number of children of the indexed operand in the indexed Boolean3 Object, and writes it into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetOperationType &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;enum&gt;type\n\
type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert}\n\
type is Out parameter\n\
</pre></div><p>Gets the operation type of the indexed operand in the indexed Boolean3 Object, and writes the enum into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetOperationType &lt;index&gt;index &lt;index&gt;operandIndex &lt;enum&gt;type\n\
type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert}\n\
</pre></div><p>Sets the operation type of the indexed operand in the indexed Boolean3 Object to the enum value supplied by the third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetOperationOptions &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;enum&gt;options\n\
options enums: {#none|#imprint|#cookie}\n\
options is Out parameter\n\
</pre></div><p>Gets the operation option of the indexed operand in the indexed Boolean3 Object, and writes it into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetOperationOptions &lt;index&gt;index &lt;index&gt;operandIndex &lt;enum&gt;options\n\
options enums: {#none|#imprint|#cookie}\n\
</pre></div><p>Sets the operation option of the indexed operand in the indexed Boolean3 Object to the enum value supplied by the third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetSeamType &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;enum&gt;type\n\
type enums: {#simple|#fillet}\n\
type is Out parameter\n\
</pre></div><p>Gets the seam type of the indexed operand in the indexed Boolean3 Object, and writes it into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetSeamType &lt;index&gt;index &lt;index&gt;operandIndex &lt;enum&gt;type\n\
type enums: {#simple|#fillet}\n\
</pre></div><p>Sets the seam type of the indexed operand in the indexed Boolean3 Object to the enum value supplied by the third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetSeamSize &lt;index&gt;index &lt;index&gt;operandIndex &lt;time&gt;time &lt;&amp;float&gt;size &lt;&amp;interval&gt;interval\n\
size is Out parameter\n\
interval is In and Out parameter\n\
</pre></div><p>Gets the seam size of the indexed operand in the indexed Boolean3 Object in the interval specified by the fourth argument, and writes it into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetSeamSize &lt;index&gt;index &lt;index&gt;operandIndex &lt;time&gt;time &lt;float&gt;size\n\
</pre></div><p>Sets the seam size of the indexed operand in the indexed Boolean3 Object at the time specified by the third argument to the value supplied by the fourth argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetSolo &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;boolean&gt;solo\n\
solo is Out parameter\n\
</pre></div><p>Gets the Solo property of the indexed operand in the indexed Boolean3 Object, and writes it into the by-reference third argument as a boolean - True when solo, False when not.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetSolo &lt;index&gt;index &lt;index&gt;operandIndex &lt;boolean&gt;solo\n\
</pre></div><p>Sets the Solo property of the indexed operand in the indexed Boolean3 Object to the Boolean value supplied by the third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetSoloOperandIndex &lt;index&gt;index &lt;&amp;index&gt;operandIndex\n\
operandIndex is Out parameter\n\
</pre></div><p>Gets the index of the Solo operand in the indexed Boolean3 Object, and writes it into the by-reference second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetDisable &lt;index&gt;index &lt;index&gt;operandIndex &lt;&amp;boolean&gt;disable\n\
disable is Out parameter\n\
</pre></div><p>Gets the disabled property of the indexed operand in the indexed Boolean3 Object, and writes it into the by-reference third argument - True when disabled, False when enabled.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetDisable &lt;index&gt;index &lt;index&gt;operandIndex &lt;boolean&gt;disable\n\
</pre></div><p>Sets the disabled property of the indexed operand in the indexed Boolean3 Object to the bool values supplied by the third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.HasSubdivs &lt;index&gt;index &lt;index&gt;operandIndex &lt;time&gt;time &lt;&amp;boolean&gt;sub\n\
sub is Out parameter\n\
</pre></div><p>Gets the existence of Subdivs in the indexed operand in the indexed Boolean3 Object, and writes the result into the by-reference third argument - True when the operand has Subdivs, False when it does not.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.GetSubdivs &lt;index&gt;index &lt;index&gt;operandIndex &lt;time&gt;time &lt;&amp;integer&gt;subdivs &lt;&amp;interval&gt;interval\n\
subdivs is Out parameter\n\
interval is In and Out parameter\n\
</pre></div><p>Gets the Subdivs in the indexed operand in the indexed Boolean3 Object in the time interval given by the by-reference fourth argument, and writes the result into the by-reference third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.SetSubdivs &lt;index&gt;index &lt;index&gt;operandIndex &lt;time&gt;time &lt;integer&gt;subdivs\n\
</pre></div><p>Sets the Subdivs of the indexed operand in the indexed Boolean3 Object at the time given by the third argument, and writes the result into the by-reference fourth argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.RemoveOperand &lt;index&gt;index &lt;index&gt;operandIndex\n\
</pre></div><p>Removes the indexed operand from the indexed Boolean3 Object.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.AppendOperand &lt;index&gt;index &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;boolean&gt;hold\n\
</pre></div><p>Appends the node specified by the third argument to the operands list of the indexed Boolean3 Object.</p>\n\
<p>The fourth argument controls the hold.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BooleanObjectManager.InsertOperand &lt;index&gt;index &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;index&gt;where &lt;boolean&gt;hold\n\
</pre></div><p>Inserts the node specified by the third argument into the operands list of the indexed Boolean3 Object.</p>\n\
<p>The fourth argument controls the position to insert at.</p>\n\
<p>The fifth argument controls the hold.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";