var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: batchRenderMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: batchRenderMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-batchrendermgr\"></a></div>\n\
<p>This Interface provides access to the <strong>Batch Render Manager</strong> feature.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface: batchRenderMgr \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>batchRenderMgr.numViews : integer : Read   \n\
</pre></div><p>Returns the number of views defined in the Batch Render manager.</p>\n\
<div class=\'codeBlock\'><pre>batchRenderMgr.displayRenderedViews : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Display Rendered Views</strong> checkbox in the Batch Render UI. When set to true, the rendered views will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>batchRenderMgr.netRender : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Net Render</strong> checkbox in the Batch Render UI. When set to true, the rendering will be sent to the network.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;batchRenderMgr.GetView &lt;index&gt;index \n\
</pre></div><p>Returns a batchRenderViewOps MixinInterface to the indexed view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;batchRenderMgr.FindView &lt;string&gt;name \n\
</pre></div><p>Returns the index of the named view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;batchRenderMgr.CreateView &lt;node&gt;camera \n\
</pre></div><p>Creates a new view from the specified camera and returns a batchRenderViewOps MixinInterface to the new view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;batchRenderMgr.DeleteView &lt;index&gt;index \n\
</pre></div><p>Deletes the indexed view. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;batchRenderMgr.DuplicateView &lt;index&gt;index \n\
</pre></div><p>Duplicates the indexed view and returns a batchRenderViewOps MixinInterface to the new view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;batchRenderMgr.Render() \n\
</pre></div><p>Starts the batch rendering.</p>\n\
<p><strong><mixininterface:batchrenderviewops></mixininterface:batchrenderviewops></strong></p>\n\
<p>This MixinInterface is returned by the <span class=\'code\'>GetView(), CreateView()</span> and <span class=\'code\'>DuplicateView()</span> methods of the <span class=\'code\'>batchRenderMgr</span> Interface in <strong>3ds Max 8 and higher</strong> and provides the following properties:</p>\n\
<div class=\'codeBlock\'><pre>Interface: batchRenderViewOps \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.enabled : boolean : Read|Write \n\
</pre></div><p>Get/set the enabled state of the view.</p>\n\
<p>This property was exposed incorrectly in previous versions of <strong>3ds Max</strong> and has been fixed in <strong>3ds Max 2009</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.overridePreset : boolean : Read|Write \n\
</pre></div><p>Get/set whether to override the Render Preset with the view&#39;s .</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.startFrame : time : Read|Write \n\
</pre></div><p>Get/set the start frame to be used when rendering this view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.endFrame: time : Read|Write \n\
</pre></div><p>Get/set the end frame to be used when rendering this view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.width : integer : Read|Write \n\
</pre></div><p>Get/set the render width to be used when rendering this view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.height : integer : Read|Write \n\
</pre></div><p>Get/set the render height to be used when rendering this view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.pixelAspect : float : Read|Write \n\
</pre></div><p>Get/set the pixel aspect to be used when rendering this view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.name : string : Read|Write \n\
</pre></div><p>Get/set the name of the view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.outputFilename :filename: Read|Write \n\
</pre></div><p>Get/set the output file name to be used when rendering this view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.camera : node : Read|Write \n\
</pre></div><p>Get/set the Camera to be used when rendering this view with Override Preset turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.sceneStateName : string : Read|Write \n\
</pre></div><p>Get/set the name of the Scene State to be used when rendering this view.</p>\n\
<p>This property was exposed incorrectly in previous versions of <strong>3ds Max</strong> and has been fixed in <strong>3ds Max 2009</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:batchRenderViewOps&gt;.presetFile : filename : Read|Write \n\
</pre></div><p>Get/set the Render Preset file to be used when rendering this view.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";