var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: DaylightSimulationUtilities</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: DaylightSimulationUtilities</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-daylightsimulationutilities\"></a></div>\n\
<p>The <strong>DaylightSimulationUtilities Interface</strong> exposes methods used by the Light Analysis Utility to collect objects and ensure the validity of render effects, lights, materials and the renderer for performing Daylight Simulation.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindValidLights()   \n\
</pre></div><p>Returns an array of valid lights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindInvalidLights()   \n\
</pre></div><p>Returns an array of invalid lights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindActiveLights() \n\
</pre></div><p>Returns an array of active lights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindInactiveLights() \n\
</pre></div><p>Returns an array of inactive lights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithValidType() \n\
</pre></div><p>Returns an array of lights with valid type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithInvalidType() \n\
</pre></div><p>Returns an array of lights with invalid type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithShadowsOn() \n\
</pre></div><p>Returns an array of lights that have shadow casting enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsWithShadowsOff() \n\
</pre></div><p>Returns an array of lights that have shadow casting disabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsUsingRaytracedShadows() \n\
</pre></div><p>Returns an array of lights that have shadow set to raytraced.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindLightsNotUsingRaytracedShadows() \n\
</pre></div><p>Returns an array of lights that have shadow set to any type but raytraced.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindRenderableObjects() \n\
</pre></div><p>Returns an array of all renderable objects in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindInvalidMaterials() \n\
</pre></div><p>Returns an array of objects that have materials that are invalid for daylight simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.FixInvalidMaterials() \n\
</pre></div><p>Fixed the materials that are invalid for daylight simulation. Returns true on success, false if nothing was fixed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;DaylightSimulationUtilities.FindDaylightSystems() \n\
</pre></div><p>Returns an array of daylight system lights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.LightAnalysisRenderEffectExists() \n\
</pre></div><p>Returns true if a Light Analysis Render Effect has already been added to the Effects list, false if it does not exist on the Effects list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsLightAnalysisRenderEffectActive() \n\
</pre></div><p>Returns true if a Light Analysis Render Effect has already been added to the Effects list and is active, false if it is not active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;DaylightSimulationUtilities.GetLightAnalysisRenderEffectCount() \n\
</pre></div><p>Returns the number of LightAnalysis Render Effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsValidRenderer() \n\
</pre></div><p>Returns true if the current renderer is valid (mental ray), false if it is not valid (Default Scanline Renderer, 3 rd party renderers)</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsMentalRaySunDaylightSystem &lt;Interface&gt;daylightSystem \n\
</pre></div><p>Returns true if the supplied daylight system uses the mental ray Sun, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsMentalRaySkyDaylightSystem &lt;Interface&gt;daylightSystem \n\
</pre></div><p>Returns true if the supplied daylight system uses the mental ray Sky, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsShadowCastingDaylightSystem &lt;Interface&gt;daylightSystem \n\
</pre></div><p>Returns true if the supplied daylight system is set to cast shadows, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsValidSunMultiplier &lt;Interface&gt;daylightSystem \n\
</pre></div><p>Returns true if the Sun Multiplier in the Daylight System represented by the given Interface is valid, false if it is invalid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsValidSkyMultiplier &lt;Interface&gt;daylightSystem \n\
</pre></div><p>Returns true if the Sky Multiplier in the Daylight System represented by the given Interface is valid, false if it is invalid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsSunOn &lt;Interface&gt;daylightSystem \n\
</pre></div><p>Returns true of the Sun in the Daylight System represented by the given interface is on, false if it is off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsSkyOn &lt;Interface&gt;daylightSystem \n\
</pre></div><p>Returns true of the Sky in the Daylight System represented by the given interface is on, false if it is off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DaylightSimulationUtilities.SetMentalRayAsProductionRenderer() \n\
</pre></div><p>Sets mental ray as the production renderer. Equivalent to assigning an instance of the mental_ray_renderer class to the production renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DaylightSimulationUtilities.OpenIndirectIlluminationRenderDialogPage() \n\
</pre></div><p>Opens the Render Dialog at the Indirect Illumination tab.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.Is32bitFrameBuffer() \n\
</pre></div><p>Returns true if the frame buffer is using 32 bit per channel, false if using 16 bpc.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DaylightSimulationUtilities.IsRenderIterative() \n\
</pre></div><p>Returns true if the renderer is set to Iterative mode, false if set to Production mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DaylightSimulationUtilities.SetRenderIterative &lt;boolean&gt;renderIterative \n\
</pre></div><p>Sets the renderer to Iterative mode when the argument is true or to Production mode when the argument is supplied as false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DaylightSimulationUtilities.ApplyDefaultRenderPreset() \n\
</pre></div><p>Applies the default render preset to the renderer.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";