var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ChannelInfo</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ChannelInfo</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-channelinfo\"></a></div>\n\
<p>The <strong>ChannelInfo Core Interface</strong> provides access to the new Map Channel system and the Map Channel Info dialog.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ChannelInfo.subComp : boolean : Read|Write   \n\
</pre></div><p>Enables/Disables the sub-component display. Corresponds to the SubComp button in the Map Channel Info dialog.</p>\n\
<div class=\'codeBlock\'><pre>ChannelInfo.lock : boolean : Read|Write   \n\
</pre></div><p>Sets the state of the Lock button in the Map Channel Info dialog.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.dialog() \n\
</pre></div><p>Opens the Map Channel Info dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.CopyChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel \n\
</pre></div><p>Copies the specified channel of specified channel type in the supplied node.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.CopySubChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;integer&gt;subchannel \n\
</pre></div><p>Copies the specified sub-channel of the supplied channel of specified channel type in the given node.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.PasteChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel \n\
</pre></div><p>Pastes the specified channel of specified channel type in the supplied node.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.PasteSubChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;integer&gt;subchannel \n\
</pre></div><p>Pastes the specified sub-channel of the supplied channel of specified channel type in the given node.</p>\n\
<p>Possible channelyTpe values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.AddChannel &lt;node&gt;node \n\
</pre></div><p>Adds a new channel to the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.ClearChannel &lt;node&gt;node &lt;integer&gt;channel \n\
</pre></div><p>Clears the specified channel from the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.NameChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;string&gt;name \n\
</pre></div><p>Renames the specified channel of the supplied type in the given node to the provided string.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.NameSubChannel &lt;node&gt;node &lt;integer&gt;channelType &lt;integer&gt;channel &lt;integer&gt;subchannel &lt;string&gt;name \n\
</pre></div><p>Renames the specified sub-channel of the specified channel of the supplied type in the given node to the provided string.</p>\n\
<p>Possible channelType values are:</p>\n\
<p>1 - Geometry</p>\n\
<p>2 - Selection</p>\n\
<p>3 - Map</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.update() \n\
</pre></div><p>Updates the Map Channel Info dialog. Corresponds to pressing the Update button in the Map Channel Info dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ChannelInfo.closeDialog() \n\
</pre></div><p>Closes the Map Channel Info dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ChannelInfo.isChecked() \n\
</pre></div><p>Returns true if the Map Channel Info dialog is open, false otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";