var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: Containers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: Containers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-containers\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F5247BBB-771F-4786-BC7F-71E6595DDC9A-low.gif\' title=\'\'></div>\n\
<p>The <strong>Containers Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes methods related to creation and management of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>Container Helpers</a> and their content.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Containers/Containers-1.html\' title=\'\'>Containers</a> overview topic.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;Containers.CreateContainer &lt;&amp;node array&gt;contentNodes   \n\
\n\
contentNodes is In and Out parameter     \n\
</pre></div><p>Creates a new container from the given node array and returns the resulting Container node if the creation was successful.</p>\n\
<p>The new container will be automatically selected.</p>\n\
<p>The position of the container will be the average of the positions of the content nodes, or the world origin if the node array is empty.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;Containers.CreateInheritedContainer &lt;filename&gt;asset \n\
</pre></div><p>Inherits the content stored in the given asset filename and returns a new Container node if the creation was successful.</p>\n\
<p>If the filename argument is invalid (asset file does not exist), a file selection dialog will be opened to let the user select the asset file.</p>\n\
<p>The container asset files are stored in the <strong>3ds Max</strong> scene format but have the file extension .MAXC to be distinguished from regular scene files.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;Containers.IsInContainer &lt;node&gt;isInContainer \n\
</pre></div><p>Returns the Container node if the node argument is in a container, undefined if it is not in a container.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;Containers.IsContainerNode &lt;node&gt;isContainerNode \n\
</pre></div><p>Returns the Container node if the node argument is a container node, undefined if it is not a container node.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` b = Box() --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000] s = Sphere pos:[100,0,0] --&gt; $Sphere:Sphere01 @ [100.000000,0.000000,0.000000]</p>\n\
<p>--Container created midway between the two content nodes: --Compare to creating a container using its constructor c = Containers.CreateContainer #(b,s) --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000]</p>\n\
<p>Containers.IsContainerNode b --&gt; undefined Containers.IsContainerNode s --&gt; undefined Containers.IsContainerNode c --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000] Containers.IsInContainer b --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000] Containers.IsInContainer s --&gt; $Container:Container01 @ [50.000000,0.000000,0.000000] Containers.IsInContainer c --&gt; undefined</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";