var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CreaseExplorerManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CreaseExplorerManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-creaseexplorermanager\"></a></div>\n\
<p>The CreaseExplorerManager Core Interface provides methods to manage the Crease Explorer window including programmatically opening and closing it, as well as loading and saving its configuration to disk. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseExplorerManager.OpenCreaseExplorer()\n\
</pre></div><p>Opens the Crease Explorer window.</p>\n\
<p>Returns True on success, even if the Crease Explorer window is already open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseExplorerManager.CloseCreaseExplorer()\n\
</pre></div><p>Closes the Crease Explorer window.</p>\n\
<p>Returns True on success, even if the Crease Explorer window is already closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseExplorerManager.IsCreaseExplorerOpen()\n\
</pre></div><p>Returns True if the Crease Explorer window is open, False if it is closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseExplorerManager.LoadCreaseExplorerConfiguration &lt;string&gt;configurationFile\n\
       LoadCreaseExplorerConfiguration - no automatic redraw after invoked\n\
\n\
</pre></div><p>Loads the specified Crease Explorer configuration file.</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False on failure. For example, if the specified configuration file is invalid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseExplorerManager.SaveCreaseExplorerConfiguration &lt;string&gt;outputConfigurationFile\n\
       SaveCreaseExplorerConfiguration - no automatic redraw after invoked\n\
\n\
</pre></div><p>Saves the current Crease Explorer settings to the specified configuration file.</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False on failure. For example, if the specified configuration file path is invalid.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` CreaseExplorerManager.OpenCreaseExplorer() --&gt;true CreaseExplorerManager.IsCreaseExplorerOpen() --&gt;true CreaseExplorerManager.CloseCreaseExplorer() --&gt;true CreaseExplorerManager.IsCreaseExplorerOpen() --&gt;false CreaseExplorerManager.SaveCreaseExplorerConfiguration @&quot;c:\\temp\\testcreasesettings.ini&quot; --&gt;true CreaseExplorerManager.LoadCreaseExplorerConfiguration @&quot;c:\\temp\\testcreasesettings.ini&quot; --&gt;true CreaseExplorerManager.LoadCreaseExplorerConfiguration @&quot;c:\\temp\\nosuchfile.ini&quot; --&gt;false</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";