var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CreaseSetManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CreaseSetManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-creasesetmanager\"></a></div>\n\
<p>The CreaseSetManager Core Interface provides methods to create and manage Crease Sets. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetNumCreaseSets &lt;&amp;integer&gt;count\n\
count is Out parameter\n\
\n\
</pre></div><p>Writes the number of Crease Sets into the by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetCreaseContainerName &lt;index&gt;index &lt;&amp;string&gt;name\n\
name is Out parameter\n\
\n\
</pre></div><p>Writes the name of the indexed Crease Container specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.CanSetCreaseContainerName &lt;index&gt;index\n\
</pre></div><p>Returns True if the name of the indexed Crease Container can be set.</p>\n\
<p>Returns False if the name cannot be set, for example, because the index is out of range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.SetCreaseContainerName &lt;index&gt;index &lt;string&gt;name\n\
</pre></div><p>Sets the name of the indexed Crease Container specified by the first argument to the string provided by the second argument.</p>\n\
<p>Returns True on success, False if the name cannot be set. For example, when the index is out of range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetCreaseName &lt;index&gt;index &lt;&amp;string&gt;name\n\
name is Out parameter\n\
\n\
</pre></div><p>Writes the name of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.CanSetCreaseName &lt;index&gt;index\n\
</pre></div><p>Returns True if the name of the indexed Crease can be set.</p>\n\
<p>Returns False if the name cannot be set. For example, when the index is out of range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.SetCreaseName &lt;index&gt;index &lt;string&gt;name\n\
</pre></div><p>Sets the name of the indexed Crease specified by the first argument to the string provided by the second argument.</p>\n\
<p>Returns True on success, False if the name cannot be set. For example, when the index is out of range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetCreaseType &lt;index&gt;index &lt;&amp;integer&gt;type\n\
type is Out parameter\n\
\n\
</pre></div><p>Writes the type of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetCreaseEntityCount &lt;index&gt;index &lt;&amp;integer&gt;count\n\
count is Out parameter\n\
\n\
</pre></div><p>Writes the number of crease entities of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetCreaseValue &lt;index&gt;index &lt;time&gt;time &lt;&amp;float&gt;value &lt;&amp;interval&gt;interval\n\
value is Out parameter\n\
interval is In and Out parameter\n\
\n\
</pre></div><p>Writes the value and interval of the indexed Crease specified by the first argument at the time specified by the second argument into the third and fourth by-reference Out parameters.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.CanSetCreaseValue &lt;index&gt;index\n\
</pre></div><p>Returns True if the value of the indexed Create can be set, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.SetCreaseValue &lt;index&gt;index &lt;time&gt;time &lt;float&gt;value\n\
</pre></div><p>Sets the value of the indexed Crease specified by the first argument at the time specified by the second argument to the third argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetCreaseColor &lt;index&gt;index &lt;&amp;color&gt;color\n\
color is Out parameter\n\
\n\
</pre></div><p>Writes the color of the indexed Crease specified by the first argument into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.CanSetCreaseColor &lt;index&gt;index\n\
</pre></div><p>Returns True if the color of the indexed Crease can be set, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.SetCreaseColor &lt;index&gt;index &lt;color&gt;color\n\
</pre></div><p>Sets the color of the indexed Crease specified by the first argument to the value passed as the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetNodelistAll &lt;&amp;node array&gt;nodetab\n\
nodetab is Out parameter\n\
\n\
</pre></div><p>Writes the list of all nodes into the by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetNodelistSingle &lt;index&gt;index &lt;&amp;node array&gt;nodetab\n\
nodetab is Out parameter\n\
\n\
</pre></div><p>Writes the list of nodes with the indexed Crease into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetValidity &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
interval is Out parameter\n\
\n\
</pre></div><p>Writes the validity interval at the time given by the first parameter into the second, by-reference Out parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.CanSetCreaseColorVisibility &lt;index&gt;index\n\
</pre></div><p>Returns True if the color visibility of the indexed Crease can be set, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.GetCreaseColorVisibility &lt;index&gt;index\n\
</pre></div><p>Returns the color visibility of the indexed Crease as a Boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CreaseSetManager.SetCreaseColorVisibility &lt;index&gt;index\n\
&lt;boolean&gt;state\n\
\n\
</pre></div><p>Sets the color visibility of the indexed Crease specified by the first argument to the Boolean value passed as the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<div class=\'codeBlock\'><pre>Interface: visualMSCA\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;CreaseSetManager.createForm()\n\
&lt;Interface&gt;CreaseSetManager.createFormFromFile &lt;filename&gt;fileName\n\
</pre></div><p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";