var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface : CustomControlsOptions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface : CustomControlsOptions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-customcontrolsoptions\"></a></div>\n\
<p>This Core Interface can be used for debugging custom controls like Qt icons and text clipping. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>CustomControlsOptions.PrintIconPaths : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the Print Icon Paths feature.</p>\n\
<p>When set to True, rolling the mouse pointer over a custom control containing an icon will print information about its path to the MAXScript Listener.</p>\n\
<p>When set to False (default), no icon path information will be printed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` CustomControlsOptions.PrintIconPaths = true --enable the printing of icon paths true</p>\n\
<p>--Roll over the Render icon in the Main Toolbar. Path of this control&#39;s QIcon: [C:\\Program Files\\Autodesk\\3ds Max 2017\\UI_LN\\IconsDark.rcc] MainToolbar\\RenderProduction\n\
  IconSize: 24x24 (native) IconState: off Available Files: RenderProduction_24.png, RenderProduction_30.png, RenderProduction_36.png, RenderProduction_48.png</p>\n\
<p>--Then roll over the “Box” button in the Create tab of the Modifier Panel which does not have an icon. Icon does not exist (no icon on this CustButton)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>CustomControlsOptions.PrintTextClippingIssues : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the Print Text Clipping Issues feature.</p>\n\
<p>When set to True, Custom Controls whose text exceeds the control&#39;s size along X or Y will be reported to the MAXScript Listener.</p>\n\
<p>When set to False (default), no issues will be reported.</p>\n\
<div class=\'codeBlock\'><pre>CustomControlsOptions.TextClippingIssuesSensitivityX : integer : Read|Write\n\
</pre></div><p>Get/set the X Sensitivity value for the Print Text Clipping Issues feature.</p>\n\
<p>This value defined the threshold above which clipping issues along X will be reported.</p>\n\
<p>Default is 1.</p>\n\
<div class=\'codeBlock\'><pre>CustomControlsOptions.TextClippingIssuesSensitivityY : integer : Read|Write\n\
</pre></div><p>Get/set the Y Sensitivity value for the Print Text Clipping Issues feature.</p>\n\
<p>This value defined the threshold above which clipping issues along Y will be reported.</p>\n\
<p>Default is 1.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` CustomControlsOptions.PrintTextClippingIssues = true --enable the clipping issues printing true --Then open Material Editor and expand the Maps rollout of any Standard Material: UI CLIPPING ERROR: hwnd: 0x60DAE - Static text clipped: &#39;Map Type&#39; (22 px missing in x ) UI CLIPPING ERROR: hwnd: 0x50E8E - Checkbox text clipped: &#39;Ambient Color . . . . . . . . . . . . . . . . .&#39; (98 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CEE - Checkbox text clipped: &#39;Diffuse Color . . . . . . . . . . . . . . . . .&#39; (93 px missing in x ) UI CLIPPING ERROR: hwnd: 0x50E4E - Checkbox text clipped: &#39;Specular Color . . . . . . . . . . . . . . . .&#39; (96 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60C80 - Checkbox text clipped: &#39;Specular Level . . . . . . . . . . . . . . . .&#39; (96 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D5A - Checkbox text clipped: &#39;Glossiness . . . . . . . . . . . . . . . . . .&#39; (90 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D40 - Checkbox text clipped: &#39;Self-Illumination . . . . . . . . . . . . . . .&#39; (93 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D38 - Checkbox text clipped: &#39;Opacity . . . . . . . . . . . . . . . . . . . .&#39; (89 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CE8 - Checkbox text clipped: &#39;Filter Color . . . . . . . . . . . . . . . . .&#39; (86 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D60 - Checkbox text clipped: &#39;Bump . . . . . . . . . . . . . . . . . . . . .&#39; (88 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D1E - Checkbox text clipped: &#39;Reflection . . . . . . . . . . . . . . . . . .&#39; (89 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D82 - Checkbox text clipped: &#39;Refraction . . . . . . . . . . . . . . . . . .&#39; (91 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CD6 - Checkbox text clipped: &#39;Displacement . . . . . . . . . . . . . . . . .&#39; (97 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D16 - Checkbox text clipped: &#39;. . . . . . . . . . . . . . . . . . . . . . . .&#39; (77 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CDA - Checkbox text clipped: &#39;. . . . . . . . . . . . . . . . . . . . . . . .&#39; (77 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CD2 - Checkbox text clipped: &#39;. . . . . . . . . . . . . . . . . . . . . . . .&#39; (77 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CBA - Checkbox text clipped: &#39;. . . . . . . . . . . . . . . . . . . . . . . .&#39; (77 px missing in x )</p>\n\
<p>CustomControlsOptions.TextClippingIssuesSensitivityX = 90 --set the threshold to 90 px 90 --Collapse and expand the Maps rollout of a Standard Material again – --only controls whose text is clipped above 90 pixels will be reported: UI CLIPPING ERROR: hwnd: 0x50E8E - Checkbox text clipped: &#39;Ambient Color . . . . . . . . . . . . . . . . .&#39; (98 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CEE - Checkbox text clipped: &#39;Diffuse Color . . . . . . . . . . . . . . . . .&#39; (93 px missing in x ) UI CLIPPING ERROR: hwnd: 0x50E4E - Checkbox text clipped: &#39;Specular Color . . . . . . . . . . . . . . . .&#39; (96 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60C80 - Checkbox text clipped: &#39;Specular Level . . . . . . . . . . . . . . . .&#39; (96 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D40 - Checkbox text clipped: &#39;Self-Illumination . . . . . . . . . . . . . . .&#39; (93 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60D82 - Checkbox text clipped: &#39;Refraction . . . . . . . . . . . . . . . . . .&#39; (91 px missing in x ) UI CLIPPING ERROR: hwnd: 0x60CD6 - Checkbox text clipped: &#39;Displacement . . . . . . . . . . . . . . . . .&#39; (97 px missing in x )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>CustomControlsOptions.UIUserScaleFactor : float : Read|Write\n\
</pre></div><p>Get/set the user-defined scale factor of the User Interface.</p>\n\
<p>Default is 0.0 (no custom scaling, equivalent to 1.0).</p>\n\
<p>A value of 1.0 performs no scaling.</p>\n\
<p>A value of 2.0 will make all custom controls 2 times larger, and so on.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CustomControlsOptions.SetPrintIconPathsPersist &lt;boolean&gt;print_paths &lt;boolean&gt;persist\n\
</pre></div><p>Sets the state and persistence of the Print Icon Paths feature.</p>\n\
<p>The first argument sets the state - True to print the icon paths, False to disable printing.</p>\n\
<p>The second argument sets the persistence - True to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CustomControlsOptions.SetPrintTextClippingIssuesPersist &lt;boolean&gt;print_issues &lt;boolean&gt;persist\n\
</pre></div><p>Sets the state and persistence of the Print Text Clipping Issues feature.</p>\n\
<p>The first argument sets the state - True to print the issues, False to disable printing.</p>\n\
<p>The second argument sets the persistence - True to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CustomControlsOptions.SetTextClippingIssuesSensitivityXPersist &lt;integer&gt;sensitivity &lt;boolean&gt;persist\n\
</pre></div><p>Sets the value and persistence of the Print Text Clipping Issues X Sensitivity threshold.</p>\n\
<p>The first argument defines the sensitivity value.</p>\n\
<p>The second argument sets the persistence - True for the value to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CustomControlsOptions.SetTextClippingIssuesSensitivityYPersist &lt;integer&gt;sensitivity &lt;boolean&gt;persist\n\
</pre></div><p>Sets the value and persistence of the Print Text Clipping Issues Y Sensitivity threshold.</p>\n\
<p>The first argument defines the sensitivity value.</p>\n\
<p>The second argument sets the persistence - True for the value to persist between <strong>3ds Max</strong> sessions, False to set for the current session only.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p><strong>Related Functions:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point2 Array&gt;getIconSizes &lt;string&gt;iconPath\n\
</pre></div><p>Returns an array of Point2 values representing the available icon sizes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point2&gt;getQtTextExtent &lt;string&gt;UItext\n\
</pre></div><p>Returns a Point2 value representing the Qt text size in pixels of the specified string.</p>\n\
<p>The custom UI scale factor will <strong>not</strong> be taken into account.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;GetUIScaleFactor &lt;int&gt;monitorID\n\
</pre></div><p>Gets the scale factor for High DPI monitors, for the specified monitor. If not specified, the default monitor (-1) is queried.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-CustomControlsOptions.html\' title=\'\'>CustomControlsOptions.UIUserScaleFactor</a> interface property for getting and setting the UI scale.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` b = getIconAsBitmap @&quot;MainToolbar\\RenderSetup&quot; --get the Render Setup icon as bitmap display b --display the bitmap</p>\n\
<p>getIconSizes @&quot;MainToolbar\\RenderSetup&quot; --get the Render Setup icon as bitmap #([24,24], [30,30], [36,36], [48,48])</p>\n\
<p>getQtTextExtent &quot;MAXScript&quot; [48,13]</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";