var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CustomFileStream</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CustomFileStream</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-customfilestream\"></a></div>\n\
<p>The <span class=\'code\'>CustomFileStream</span> interface is used to query, add, modify and remove <span class=\'code\'>CustomFileStream</span>s from an external scene file. Available in <strong>3ds Max 2019 and higher</strong>. <span class=\'code\'>CustomFileStream</span>s in the current scene file are managed with the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-4.html\' title=\'\'>CustomSceneStreamManager</a> interface. See the overview topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Custom-File-Streams.html\' title=\'\'>Custom File Streams</a>.</p>\n\
<p>For a description of the possible pre-defined flag values and the &quot;public&quot; customizable flag value, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-4.html\' title=\'\'>CustomSceneStreamManager</a>.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;string array&gt;getStreamNames\n\
    &lt;filename&gt;fileName\n\
</pre></div><p>Returns an array of the <span class=\'code\'>CustomFileStream</span> names in the specified file. If the specified file does not exist, or if it does not support custom file stream storage (for example, has a file version older than 3ds Max 2019), an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;doesStreamExist &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName\n\
</pre></div><p>Returns true if the specified <span class=\'code\'>CustomFileStream</span> is present in the specified file. If the specified file does not exist, or if it does not support custom file stream storage, an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; isCustomFileStreamOperable\n\
    &lt;filename&gt;fileName &lt;string&gt;streamName\n\
</pre></div><p>Returns true if the specified stream in the specified file is a valid <span class=\'code\'>CustomFileStream</span>. If the specified file does not exist, if it does not support custom file stream storage, or if the named stream does not exist, an exception is thrown. This method is intended primarily to test whether <span class=\'code\'>CustomFileStream</span>s written by external applications are valid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteStream &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName\n\
</pre></div><p>Deletes the specified <span class=\'code\'>CustomFileStream</span> in the specified file. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist, if it does not support custom file stream storage, or if the named <span class=\'code\'>CustomFileStream</span> does not exist, an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;readStream &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName\n\
</pre></div><p>Returns the content of the specified <span class=\'code\'>CustomFileStream</span> in the specified file as a string. If the content is an array of strings, the first string is returned. If the specified file does not exist, if it does not support custom file stream storage, or if the named <span class=\'code\'>CustomFileStream</span> does not exist, an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;writeStream &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName &lt;string&gt;content\n\
    persistent:&lt;boolean&gt; noLoadOnSceneLoad:&lt;boolean&gt;\n\
    append:&lt;boolean&gt;\n\
    persistent default value: true\n\
    noLoadOnSceneLoad default value: false\n\
    append default value: false\n\
</pre></div><p>Creates and sets the content of the specified <span class=\'code\'>CustomFileStream</span> in the specified file to the specified string, setting the corresponding flag values if it is a new stream. If the stream already exists, its contents are replaced unless <span class=\'code\'>append:true</span> is specified, in which case the specified string is appended to the current contents. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist, or if it does not support custom file stream storage, an exception is thrown. If appending and the stream has existing array content, an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string array&gt;readStreamArray\n\
    &lt;filename&gt;fileName &lt;string&gt;streamName\n\
</pre></div><p>Returns the content of the specified <span class=\'code\'>CustomFileStream</span> in the specified file as an array of strings. If the content is a single string, it is returned in a one element array. If the specified file does not exist, if it does not support custom file stream storage, or if the named <span class=\'code\'>CustomFileStream</span> does not exist, an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;writeStreamArray &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName &lt;string array&gt;contentArray\n\
    persistent:&lt;boolean&gt; noLoadOnSceneLoad:&lt;boolean&gt;\n\
    append:&lt;boolean&gt;\n\
    persistent default value: true\n\
    noLoadOnSceneLoad default value: false\n\
    append default value: false\n\
</pre></div><p>Creates and sets the content of the specified <span class=\'code\'>CustomFileStream</span> in the specified file to the specified array of strings, setting the corresponding private flag values if it is a new stream. If the stream already exists, its contents are replaced unless <span class=\'code\'>append:true</span> is specified, in which case the specified array of strings is appended to the current contents. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist or if it does not support custom file stream storage, an exception is thrown. If appending and the stream has existing string content (not an array), an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getStreamFlags &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName getPrivate:&lt;boolean&gt;\n\
    getPrivate default value: false\n\
</pre></div><p>Returns the flag value of the specified <span class=\'code\'>CustomFileStream</span> in the specified file. If the specified file does not exist, if it does not support custom file stream storage, or if the named <span class=\'code\'>CustomFileStream</span> does not exist, an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setStreamFlags &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName &lt;integer&gt;flags\n\
    setPrivate:&lt;boolean&gt;\n\
    setPrivate default value: false\n\
</pre></div><p>Sets the flag value of the specified <span class=\'code\'>CustomFileStream</span> in the specified file. Returns false if the file exists but cannot be opened with write access. If the specified file does not exist, if it does not support custom file stream storage, or if the named <span class=\'code\'>CustomFileStream</span> does not exist, an exception is thrown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isStreamDataAnArray &lt;filename&gt;fileName\n\
    &lt;string&gt;streamName\n\
</pre></div><p>Returns true if the content of the specified <span class=\'code\'>CustomFileStream</span> in the specified file is an array of strings. If the specified file does not exist, if it does not support custom file stream storage, or if the named <span class=\'code\'>CustomFileStream</span> does not exist, an exception is thrown.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";