var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: DaylightSystemFactory2</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: DaylightSystemFactory2</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-daylightsystemfactory2\"></a></div>\n\
<p>The <strong>DaylightSystemFactory2 Interface</strong> exposes a method for creating a daylight system using the given sun and sky classes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;DaylightSystemFactory2.Create sunClass:&lt;class&gt;   skyClass:&lt;class&gt;     \n\
\n\
sunClass default value: undefined\n\
skyClass default value: undefined\n\
</pre></div><p>Creates a Daylight system.</p>\n\
<p>If the optional keywords are supplied, they should define the sun and/or sky classes to be used.If any of the optional keywords is omitted, the system default settings will be used.</p>\n\
<p>Possible classes for <span class=\'code\'>sunClass:</span> are:</p>\n\
<p><strong>DirectionalLight</strong> - corresponds to Standard entry in the Daylight System UI</p>\n\
<p><strong>IES_Sun</strong></p>\n\
<p><strong>mr_Sun</strong></p>\n\
<p>Possible classes for <span class=\'code\'>skyClass:</span> are:</p>\n\
<p><strong>IES_Sky</strong></p>\n\
<p><strong>mr_Sky</strong></p>\n\
<p><strong>Skylight</strong></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` theInt = DaylightSystemFactory2.Create sunClass:mr_Sun skyClass:mr_Sky --&gt; <mixininterface:idaylightsystem> theInt.getSun() --&gt; mr Sun theInt.getSky() --&gt; mr Sky theInt = DaylightSystemFactory2.Create sunClass:DirectionalLight --&gt; <mixininterface:idaylightsystem> theInt.getSun() --&gt; Free Directional Light theInt.getSky() --&gt; Skylight<p>\n\
<p>```</p>\n\
</mixininterface:idaylightsystem></mixininterface:idaylightsystem></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";