var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: DialogMonitorOPS</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: DialogMonitorOPS</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-dialogmonitorops\"></a></div>\n\
<p>The <strong>DialogMonitorOPS Core Interface</strong> provides a callback system to monitor the <strong>3ds Max</strong> User Interface. In conjunction with the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>Interface: UIAccessor</a> it can be used to collect data and interact with dialogs and popups, for example to press the default or specific button in a pop-up dialog when running automated tasks or log data about the <strong>3ds Max</strong> UI activities to a log file.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>DialogMonitorOPS.Enabled : boolean : Read|Write      \n\
</pre></div><p>Get/Set the enabled state of the Dialog Monitor.</p>\n\
<div class=\'codeBlock\'><pre>DialogMonitorOPS.Interactive : boolean : Read|Write   \n\
</pre></div><p>Get/Set the interactive state of the Dialog Monitor.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DialogMonitorOPS.RegisterNotification &lt;value&gt;Callback  ID:&lt;name&gt; \n\
\n\
ID defaultvalue: undefined \n\
</pre></div><p>Registers a notification callback function with an optional user-defined ID.</p>\n\
<p>The callback function can be any MAXScript function and will be called each time a dialog or menu is opened, but the best way to use this feature is to access the dialog&#39;s or menu&#39;s data using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>Interface: UIAccessor</a> methods.</p>\n\
<p>The callback function MUST return a Boolean value - true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;DialogMonitorOPS.UnRegisterNotification ID:&lt;name&gt; \n\
\n\
ID defaultvalue: undefined \n\
</pre></div><p>Unregisters the notification callbacks with the user-defined ID. If no ID is specified, all callbacks will be unregistered.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DialogMonitorOPS.ShowNotification() \n\
</pre></div><p>Lists all registered notification callbacks with their ID and callback function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HWND&gt;DialogMonitorOPS.GetWindowHandle() \n\
</pre></div><p>Returns the Window Handle of the current dialog. The handle can be used as an argument in most <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>Interface: UIAccessor</a> methods to collect details about the current dialog and manipulate it.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";