var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: DwfExportPreferences</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: DwfExportPreferences</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-dwfexportpreferences\"></a></div>\n\
<p>The <strong>DwfExportPreferences Core Interface</strong> exposes the settings of the DWF Export Dialog to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E1B02823-6750-4BD5-B85D-3AD70DCF157C-low.png\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"interface-dwfexportpreferences-1\"></a><h2 id=\"interface-dwfexportpreferences-1\">Interface: DwfExportPreferences</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.groupBy : enum : Read|Write \n\
groupBy enums: {#ByObject|#ByLayer}\n\
</pre></div><p>Get/set the state of the <strong>&quot;Grouping Options&quot;</strong> radio buttons.</p>\n\
<p>You can either use the enums or 0-based integers.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <span class=\'code\'>#ByObject</span> - <strong>Group By Object</strong></p>\n\
<p>1 - <span class=\'code\'>#ByLayer</span> - <strong>Group By Layer</strong></p>\n\
<div class=\'codeBlock\'><pre>.exportProperties : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Publish Object Properties&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<div class=\'codeBlock\'><pre>.exportMaterials : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Publish Materials&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<div class=\'codeBlock\'><pre>.selectedOnly : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Publish Selected Objects Only&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>.exportHidden : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Publish Hidden Objects&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>.showViewer : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Show DWF In Viewer&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>.rescaleTextures : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Rescale Bitmaps&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<div class=\'codeBlock\'><pre>.maxTextureSize : integer : Read|Write\n\
</pre></div><p>Get/set the value of the <strong>&quot;Max.Resolution (pixels)&quot;</strong> spinner used when <span class=\'code\'>DwfExportPreferences.rescaleTextures</span> is set to True.</p>\n\
<p>Default value is 512.</p>\n\
<div class=\'codeBlock\'><pre>.defaultDwfLights : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Default DWF Lights&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<div class=\'codeBlock\'><pre>.writeLogFile : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Save Log File&quot;</strong> checkbox.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>.logFileName : filename : Read|Write\n\
</pre></div><p>Get/set the file name of the log file used when <span class=\'code\'>DwfExportPreferences.writeLogFile</span> is set to True.</p>\n\
<p>Default value is &quot;C:\\Users\\<username>\\AppData\\Local\\Autodesk\\3dsMax\\<maxversion> - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log&quot; where <span class=\'code\'>&lt;UserName&gt;</span> is the name of the user and <span class=\'code\'>&lt;MaxVersion&gt;</span> is the 3ds Max version number, for example, &quot;2014&quot;.<p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetDefaultPreferences()\n\
</pre></div><p>Resets all parameters to the default settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SavePreferences()\n\
</pre></div><p>Saves the current settings as preferences.</p>\n\
<p>The saved settings can be recalled at a later point by calling the following method:</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadPreferences()\n\
</pre></div><p>Restores the previously saved settings.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Reset to defaults, then print them to Listener: DwfExportPreferences.ResetDefaultPreferences() for p in getPropNames DwfExportPreferences do format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p>``` OK #writeLogFile=false #exportMaterials=true #selectedOnly=false #showViewer=false #rescaleTextures=true #defaultDwfLights=true #exportHidden=false #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log #groupBy=#ByObject #maxTextureSize=512 #exportProperties=true OK</p>\n\
<p>```</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Let&#39;s change a few settings - Export Hidden to True and Group By to #ByLayer: DwfExportPreferences.exportHidden=true DwfExportPreferences.groupBy=#ByLayer --Now let&#39;s store these settings for future use and print the current values: DwfExportPreferences.SavePreferences() for p in getPropNames DwfExportPreferences do format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p><span class=\'code\'>true   #ByLayer   OK   #writeLogFile=false   #exportMaterials=true   #selectedOnly=false   #showViewer=false   #rescaleTextures=true   #defaultDwfLights=true   #exportHidden=true   #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log   #groupBy=#ByLayer   #maxTextureSize=512   #exportProperties=true   OK</span></p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--let&#39;s reset the settings to defaults - as expected, we will get the original values   DwfExportPreferences.ResetDefaultPreferences()     for p in getPropNames DwfExportPreferences do      format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)</span></p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p>``` OK #writeLogFile=false #exportMaterials=true #selectedOnly=false #showViewer=false #rescaleTextures=true #defaultDwfLights=true #exportHidden=false #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log #groupBy=#ByObject #maxTextureSize=512 #exportProperties=true OK</p>\n\
<p>```</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--Let&#39;s load the previously saved settings -    --the #exportHidden will be back to True and #groupBy will be back to #ByLayer!   DwfExportPreferences.LoadPreferences()   for p in getPropNames DwfExportPreferences do      format &quot;%=%\\n&quot; p (getProperty DwfExportPreferences p)</span></p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p>``` true #writeLogFile=false #exportMaterials=true #selectedOnly=false #showViewer=false #rescaleTextures=true #defaultDwfLights=true #exportHidden=true #LogFilename=C:\\Users\\MyUserName\\AppData\\Local\\Autodesk\\3dsMax\\2014 - 64bit\\ENU\\en-US\\plugcfg\\DWF_export.log #groupBy=#ByLayer #maxTextureSize=512 #exportProperties=true OK</p>\n\
<p>```</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --To export using these settings without showing the Dialog, simply call exportMaxFile (GetDir #export + &quot;\\someFile.dwf&quot;) #noPrompt</p>\n\
<p>```</p>\n\
</blockquote>\n\
</maxversion></username>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";