var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: defaultActions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: defaultActions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-defaultactions\"></a></div>\n\
<p>The <strong>defaultActions CoreInterface</strong> exposes the default actions for several system events.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>Interface: defaultActions \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;defaultActions.getAction &lt;enum&gt;eventID &lt;&amp;enum array&gt;action   \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
action enums: {#logToFile | #logmsg | #abort} \n\
action is Out parameter \n\
</pre></div><p>Get the default actions with the event ID given as first argument into the by-reference second argument.</p>\n\
<p>Returns true on success, false if no actions were found for the given ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;defaultActions.setAction &lt;enum&gt;eventID &lt;enum array&gt;action title:&lt;string&gt; oldAction:&lt;&amp;enum array&gt;\n\
       eventID enums: {#missingExtFiles|#missingDLLs|#missingXRefs|#missingUVW|#unsupportedRendereffect|#invalidXRefFiles}\n\
       action enums: {#logToFile|#logmsg|#abort}\n\
       title default value: undefined\n\
       oldAction enums: {#logToFile|#logmsg|#abort}\n\
       oldAction default value: #()\n\
       oldAction is Out parameter\n\
</pre></div><p>Set the default actions with the event ID given as first argument to the actions specified by the second argument.</p>\n\
<p>The optional <span class=\'code\'>title:</span> string can be used to give a name to the action setup.</p>\n\
<p>The old actions will be returned into the optional <span class=\'code\'>oldAction:</span> argument.</p>\n\
<p>Returns true if an old action was found, false if no old action was previously defined for this ID.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --get the default action for missing UVW: defaultActions.getAction #missingUVW &amp;actions false actions --see the result - there are no actions defined #() --now set the default action to Log to File: defaultActions.setAction #missingUVW #(#logToFile) oldAction:oldActionsArray true oldActionsArray --see what the previous actions were #() --check to see if the new actions are defined: defaultActions.getAction #missingUVW &amp;actions true actions --yes, the default action was set correctly #(#logToFile)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;defaultActions.deleteAction &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Deletes the default actions for the event ID given as first argument.</p>\n\
<p>Returns true on success, false if no actions were found to delete.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE (CONTINUED FROM PREVIOUS EXAMPLE):</strong></p>\n\
<p>``` --get the default action for missing UVW: defaultActions.deleteAction #missingUVW true defaultActions.getAction #missingUVW &amp;actions false actions --see the content of the actions array - there are none #()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;defaultActions.getActionCount() \n\
</pre></div><p>Returns the number of default actions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stringby value&gt;defaultActions.getActionTitle &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Returns the title of the action defined for the given event ID, or empty string &quot;&quot; if no title has been defined.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stringby value&gt;defaultActions.getActionTitleByIndex &lt;index&gt;index \n\
</pre></div><p>Returns the title of the action by index, or empty string &quot;&quot; if no title has been defined.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;defaultActions.getActionIDByIndex &lt;index&gt;index \n\
\n\
getActionIDByIndex enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Returns the Action ID by index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;defaultActions.logEntry &lt;enum&gt;eventID &lt;string&gt;message \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Logs the message given by the second argument for the event ID given by the first argument. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;defaultActions.MsgLogClear &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Clears the messages for the event ID given by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;defaultActions.getMsgLogCount &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Returns the message count for the event ID given by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;defaultActions.getMsgLogMsg &lt;enum&gt;eventID &lt;index&gt;index \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Returns the indexed message logged for the event ID given by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string array&gt;defaultActions.getMsgLogMsgs &lt;enum&gt;eventID \n\
\n\
eventID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Returns an array of all message for the event ID given by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;defaultActions.getMsgLogID &lt;index&gt;index \n\
\n\
getMsgLogID enums: {#missingExtFiles | #missingDLLs | #missingXRefs | #missingUVW | #unsupportedRendereffect | #invalidXRefFiles} \n\
</pre></div><p>Returns the Log ID for the indexed message given by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;defaultActions.setMsgLogMaxCount &lt;integer&gt;count \n\
</pre></div><p>Sets the maximum number of messages in the message log.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";