var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: dragAndDrop</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: dragAndDrop</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-draganddrop\"></a></div>\n\
<p>The Drag and Drop system is managed through a Core Function Published interface. It provides control over the DnD system, manages handler registration and exposes some useful utility methods for downloading URL’s, simulating drops, etc.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;dragAndDrop.globalEnableDragAndDrop &lt;boolean&gt;onOff     \n\
</pre></div><p>This method allows you to globally enable or disable the DnD interface.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt;onOff: True</span> to enable, <span class=\'code\'>false</span> to disable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;dragAndDrop.isEnabled()   \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if the global DnD interface is enabled, otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;dragAndDrop.enableDragAndDrop &lt;HWND&gt;window &lt;boolean&gt;onOff \n\
</pre></div><p>This method allows you to enable DnD for a given window (and its children). If no custom DragAndDropHandler is supplied, a default one is used that will accept dropped scene files for opening and scripts for running. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<p><span class=\'code\'>&lt;HWND&gt;window :</span> A handle to the window you wish to enable or disable DnD for.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt;onOff : True</span> to enable, <span class=\'code\'>False</span> to disable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;dragAndDrop.dropPackage &lt;HWND&gt;window &lt;&amp;point2&gt;mousePoint &lt;&amp;filename array&gt;files applyUIScaling:&lt;boolean&gt;\n\
       mousePoint is In and Out parameter\n\
       files is In and Out parameter\n\
       applyUIScaling default value: true\n\
</pre></div><p>This method allows the simulation of a package of files into a window at a given point. A package of files, specified as a list of URL strings is the common form of DropType data from iDrop sources and files dragged from the Windows desktop. The entire package is downloaded, as needed, but only the first file in the list is actually dropped into <strong>3ds Max</strong>. The other files in the package are presumed to be support files, such as texmaps or xref sources, for the main drop file. After the drop, the URL strings in the URLTab are converted to fully-specified path names to local file copies, if any had to be downloaded from the web. Returns <span class=\'code\'>true</span> if the drop was successful, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;HWND&gt;window :</span> A handle to the window. If this is set to NULL, the default <strong>3ds Max</strong> window is used.</p>\n\
<p><span class=\'code\'>&lt;&amp;point2&gt;mousePoint :</span> The point at which to drop. <span class=\'code\'>mousePoint</span> is In and Out parameter</p>\n\
<p><span class=\'code\'>&lt;&amp;filename array&gt;files :</span> A reference to the local copies of the URL strings. <span class=\'code\'>files</span> is In and Out parameter</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;dragAndDrop.downloadPackage &lt;&amp;filename array&gt;files &lt;string&gt;directory &lt;boolean&gt;Showprogress \n\
</pre></div><p>This method serves as a utility function that can be used to download a package of URLs to the specified directory. If the hwnd argument is supplied, any progress or other messages are centered over that window. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<p><span class=\'code\'>&lt;&amp;filename array&gt;files :</span> A reference to the local copies of the URL strings. <span class=\'code\'>files</span> is In and Out parameter</p>\n\
<p><span class=\'code\'>&lt;string&gt;directory :</span> The directory path string to download to.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt;Showprogress :</span> Displays the progress dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;dragAndDrop.getDownloadDirectory() \n\
</pre></div><p>This method returns the fully-specified path to the directory in which package drops are downloaded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;dragAndDrop.DownloadUrlToDisk &lt;string&gt;url &lt;filename&gt;fileName &lt;integer&gt;flags \n\
</pre></div><p>This method allows you to download the file referenced by the URL to disk. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<p><span class=\'code\'>&lt;string&gt;url :</span> The URL string of the file to download.</p>\n\
<p><span class=\'code\'>&lt;string&gt;fileName :</span> The filename string of the URL to store on disk.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;flags :</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;dragAndDrop.ImportContextNode() \n\
</pre></div><p>Returns a pointer to the import context node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";