var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: dxshadermanager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: dxshadermanager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-dxshadermanager\"></a></div>\n\
<p>The <strong>dxshadermanager Core Interface</strong> exposes the DirectX Shader Manager to MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>Interface: dxshadermanager\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;dxshadermanager.getViewportManager &lt;material&gt;material   \n\
</pre></div><p>Returns the viewport manager’s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Viewport-Manager/ViewportManagerCustAttrib.html\' title=\'\'>ViewportManagerCustAttrib</a> object for the specified material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;dxshadermanager.IsVisible() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the manager is visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;dxshadermanager.SetVisible &lt;boolean&gt;show \n\
</pre></div><p>This method can be used to turn the manager on and off. It will not have an effect if the user is running in DirectX mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;dxshadermanager.addViewportManager &lt;material&gt;material \n\
</pre></div><p>Adds a new viewport manager to the specified material and returns the ViewportManagerCustAttrib object providing an interface to access its effects.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` -- Create a new standard material newmat = StandardMaterial() -- Get the viewport manager from the material manager = DXShaderManager.getViewportManager newmat -- If there is no manager, assign a new one if (manager==null) then manager = DXShaderManager.addViewportManager newmat -- Get the active viewport effect effect = manager.getactiveviewporteffect()</p>\n\
<p>-- If there is no active effect, create a new one. if (effect == null) then effect = manager.setviewporteffect 1 -- 1 in our case is the lightmap, 0 sets it to &quot;none&quot; -- Set the LightMap file names effect.lightmap_filename = GetDir(#image) + &quot;\\testlightmap.bmp&quot; effect.diffuse_filename = GetDir(#image) + &quot;\\testdiffuse.bmp&quot;</p>\n\
<p>-- set the mapping channel to use effect.lightmap_mapping = 1 effect.diffuse_mapping = 1 -- Search for the effect based on name -- Get the total number of effects: num = manager.getNumViewportEffects() -- Step through all effects and check for name. If found, -- then activate it. for i = 1 to num do ( if (manager.getViewportEffectName(i) == &quot;LightMap&quot;) then effect = manager.setviewporteffect i )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";