var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: EditRenderRegion</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: EditRenderRegion</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-editrenderregion\"></a></div>\n\
<p>The <strong>EditRenderRegion Interface</strong> exposes the Render Region rubber band gizmo feature in <strong>3ds Max 2009 and higher</strong> and provides the following properties and methods:</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>EditRenderRegion.IsEditing : boolean : Read\n\
</pre></div><p>Get/set whether the region is being edited. While you can set the value without an error, the setting will have no effect. Use the method <span class=\'code\'>EditRenderRegion.EditRegion()</span> described below to toggle the value.</p>\n\
<div class=\'codeBlock\'><pre>EditRenderRegion.IsEditable : boolean : Read\n\
</pre></div><p>Get/set whether the region is editable. It is <span class=\'code\'>true</span> when the renderer is set to Region, Crop or Blowup mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;EditRenderRegion.EditRegion() \n\
</pre></div><p>Toggles the Region Editing mode on and off. You can check the value in <span class=\'code\'>EditRenderRegion.IsEditing</span> to see whether the region editing is on or off.</p>\n\
<p>Calling this method will set the renderer to Region mode automatically if it is not in Region mode yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;EditRenderRegion.UpdateRegion() \n\
</pre></div><p>Updates the region after changes using the <span class=\'code\'>viewport.setRegionRect()</span> method documented under <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/GUID-8AA71F9E-F4F0-4437-A44E-9683619E89DE.html#viewport-regions\' title=\'\'>Viewport Regions</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` EditRenderRegion.IsEditing --see if the region is being edited false EditRenderRegion.IsEditable --see if it is editable (Region render mode) false viewport.activeViewport = 1 --set the viewport 1 as the current one 1 viewport.getRegionRect 1 --get the current region rectangle of view 1 (Box2 64 48 512 384) EditRenderRegion.EditRegion() --enable editing the region OK EditRenderRegion.IsEditing --see if it is in editing mode true EditRenderRegion.IsEditable --see if it is in Region mode true viewport.setRegionRect 1 (Box2 200 50 300 300) --set to a new region OK EditRenderRegion.UpdateRegion() --and update the rubbed-band gizmo OK EditRenderRegion.EditRegion() --toggle the editing off again OK EditRenderRegion.IsEditing --see if still in editing mode false EditRenderRegion.IsEditable --see if still in Region render mode true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";