var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: FileLinkMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: FileLinkMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-filelinkmgr\"></a></div>\n\
<p>Previously available in <strong>Autodesk VIZ</strong>, this Core Interface is now part of <strong>3ds Max 7 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>FileLinkMgr.numLinks : integer : Read    \n\
</pre></div><p>Returns the number of linked files. Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.Attach &lt;string&gt;filename fileformat:&lt;enum&gt; showUI:&lt;boolean&gt;\n\
       fileformat enums: {#UseFileExt|#DWG|#DXF}\n\
       fileformat default value: #UseFileExt\n\
       showUI default value: false\n\
</pre></div><p>Attaches the specified file to the current scene. By default, the file extension of the specified file will determine the file format to be linked.</p>\n\
<p>When the optional <span class=\'code\'>showUI</span> parameter is set to <span class=\'code\'>True</span> , the File Linking dialog will be displayed.</p>\n\
<p>When set to <span class=\'code\'>False</span> or not specified, the linking will be performed silently.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.AttachWithPreset &lt;string&gt;filename &lt;string&gt;preset showUI:&lt;boolean&gt;\n\
       showUI default value: false\n\
</pre></div><p>Attaches the specified file name using the supplied preset.</p>\n\
<p>When the optional <span class=\'code\'>showUI</span> parameter is set to <span class=\'code\'>True</span> , the File Linking dialog will be displayed.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> on failure.</p>\n\
<p>The preset string is the name of the preset inside &lt;3dsmax&gt;\\plugcfg\\filelink.ini, not the name of the file itself.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.Reload &lt;integer&gt;which showUI:&lt;boolean&gt; translateMaterials:&lt;boolean&gt; \n\
\n\
showUI default value: false \n\
translateMaterials default value: true \n\
</pre></div><p>Reloads the specified indexed File Link.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.Detach &lt;integer&gt;which \n\
</pre></div><p>Detaches the specified indexed File Link.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.Bind &lt;integer&gt;which \n\
</pre></div><p>Removes specified indexed File Link.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.IsAnyLinked &lt;node array&gt;nodes\n\
</pre></div><p>Returns <span class=\'code\'>True</span> if any of the specified nodes the supplied array originates from a linked file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.IsNodeLinked &lt;node&gt;node\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Returns <span class=\'code\'>True</span> if the specified node originates from a linked file. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;FileLinkMgr.GetRecord &lt;node&gt;node\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Returns the record ID from which the node originates. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject&gt;FileLinkMgr.GetRecordFile &lt;integer&gt;which\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Returns the record corresponding to the given ID. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>-- Example:\n\
record = FileLinkMgr.GetRecordFile 0\n\
filename = record.GetFileName()\n\
&lt;void&gt;FileLinkMgr.SetDefaultView &lt;string&gt;viewName\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Sets the default view based on the given viewName. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>-- Example 1 - setting the default view to View1:\n\
FileLinkMgr.SetDefaultView &quot;View1&quot;\n\
FileLinkMgr.AttachWithPreset &quot;path_to_file.ext&quot; &quot;Preset.RevitDoNotCombine&quot;\n\
\n\
-- Example 2 - resetting the default view name:\n\
FileLinkMgr.SetDefaultView &quot;&quot;\n\
&lt;boolean&gt;FileLinkMgr.ChangeFilename &lt;integer&gt;which &lt;String&gt;filename \n\
</pre></div><p>Changes the file name of the specified indexed File Link.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FileLinkMgr.SelectNodes &lt;integer&gt;which clearCurrentSel:&lt;boolean&gt; \n\
\n\
ClearCurrentSel default value: true \n\
</pre></div><p>Selects all nodes in the scene associated with specified indexed File Link.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> on failure.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";