var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: FlightStudio</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: FlightStudio</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-flightstudio\"></a></div>\n\
<p>The <strong>FlightStudio Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> exposes properties and methods related to the Flight Studio extension.</p>\n\
<p>Note:</p>\n\
<p><strong>Flight Studio</strong> ships with a <strong>Flight Studio Tools script</strong> located in the <em>scripts\\FlightStudio</em> folder.</p>\n\
<p>It can be used as a comprehensive example of the usage of the following properties and methods!</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>FlightStudio.OverrideColors : integer : Read     \n\
FlightStudio.OverrideMaterials : integer : Read   \n\
FlightStudio.OverrideTextures : integer : Read \n\
FlightStudio.OverrideLineStyles : integer : Read \n\
FlightStudio.OverrideSounds : integer : Read \n\
FlightStudio.OverrideLightSources : integer : Read \n\
FlightStudio.OverrideLightPoints : integer : Read \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"browser\"></a><h2 id=\"browser\">Browser</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudio.Browser() \n\
</pre></div><p>Opens the Flight Studio browser. Equivalent to pressing the &quot;Modify Hierarchy/Attributes&quot; button in the Flight Studio utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudio.RefreshBrowser() \n\
</pre></div><p>Refreshes the browser. Equivalent to pressing the &quot;Refresh&quot; button in the Flight Studio browser.</p>\n\
<div class=\'section\'><a id=\"level-of-detail\"></a><h2 id=\"level-of-detail\">Level Of Detail</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudio.LodMoreDetail() \n\
</pre></div><p>Increases the Level Of Detail. Equivalent to pressing the &quot;More Detail&quot; button in the Flight Studio utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudio.LodMostDetail() \n\
</pre></div><p>Increases the Level Of Detail to the maximum. Equivalent to pressing the &quot;Most Detail&quot; button in the Flight Studio utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudio.LodLessDetail() \n\
</pre></div><p>Decreases the Level Of Detail. Equivalent to pressing the &quot;Less Detail&quot; button in the Flight Studio utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudio.LodLeastDetail() \n\
</pre></div><p>Decreases the Level Of Detail to the minimum. Equivalent to pressing the &quot;Least Detail&quot; button in the Flight Studio utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;FlightStudio.GetLodDistance() \n\
</pre></div><p>Returns the Level Of Detail Distance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FlightStudio.SetLodDistance &lt;float&gt;LodDistance \n\
</pre></div><p>Sets the Level Of Detail Distance value to the given floating point number.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.IsLodDistanceSet() \n\
</pre></div><p>Returns true if the Level Of Detail Distance has been set, false otherwise.</p>\n\
<div class=\'section\'><a id=\"creation\"></a><h2 id=\"creation\">Creation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateGroup() \n\
</pre></div><p>Creates a Group node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Group&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateObject() \n\
</pre></div><p>Creates an Object node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Group&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateSwitch() \n\
</pre></div><p>Creates an Switch node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Switch&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateLOD() \n\
</pre></div><p>Creates an LOD node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Group&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateDOF() \n\
</pre></div><p>Creates an DOF node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;DOF&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateBSP() \n\
</pre></div><p>Creates an BSP node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;BSP&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateClipRegion() \n\
</pre></div><p>Creates an Clip Region node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Clip region&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateExternalRef() \n\
</pre></div><p>Creates an XRef node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;XRef&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CreateLightPoint() \n\
</pre></div><p>Creates an Light Point node in the hierarchy.</p>\n\
<p>Equivalent to setting the drop-down list in the Flight Studio browser to &quot;Light point&quot; and pressing the &quot;Create&quot; button.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"comments\"></a><h2 id=\"comments\">Comments</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;FlightStudio.GetComment &lt;node&gt;Node \n\
</pre></div><p>Returns the comment for the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.PutComment &lt;node&gt;Node &lt;string&gt;String \n\
</pre></div><p>Sets the comment for the specified node to the given string value.</p>\n\
<div class=\'section\'><a id=\"data-access\"></a><h2 id=\"data-access\">Data Access</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.HasData &lt;node&gt;node \n\
</pre></div><p>Returns true if the specified node has data, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.CopyData &lt;node&gt;srcnode &lt;node&gt;dstnode \n\
</pre></div><p>Copies the data from the source node to the destination node.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.RemoveData &lt;node&gt;node \n\
</pre></div><p>Removes the data from the given node.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"texture-attributes\"></a><h2 id=\"texture-attributes\">Texture Attributes</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.AddTextureAttr &lt;texturemap&gt;Texmap \n\
</pre></div><p>Adds the given texture as attribute.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.RemoveTextureAttr &lt;texturemap&gt;Texmap \n\
</pre></div><p>Removes the given texture attribute.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"external-references\"></a><h2 id=\"external-references\">External References</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;FlightStudio.GetExternalRefFilename &lt;node&gt;Node \n\
</pre></div><p>Returns the external reference file name of the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.PutExternalRefFilename &lt;node&gt;Node &lt;string&gt;String \n\
</pre></div><p>Sets the external reference file name of the given node to the specified string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;FlightStudio.GetExternalRefFlags &lt;node&gt;Node \n\
</pre></div><p>Returns the external reference flags of the given node as an integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.PutExternalRefFlags &lt;node&gt;Node &lt;integer&gt;Flags \n\
</pre></div><p>Sets the external reference flags of the given node to the specified integer.</p>\n\
<div class=\'section\'><a id=\"other-methods\"></a><h2 id=\"other-methods\">Other Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;FlightStudio.GetLastImport() \n\
</pre></div><p>Returns the file name of the last imported Flight Studio FLT file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.IsOfType &lt;node&gt;Node &lt;string&gt;String \n\
</pre></div><p>Returns true if the given node is of the type specified by the second string argument, false if it is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.SetKeepTriangles &lt;node&gt;Node &lt;boolean&gt;Flag \n\
</pre></div><p>Sets the Keep Triangles flag of the given node to the specified Boolean value.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FlightStudio.GetKeepTriangles &lt;node&gt;Node \n\
</pre></div><p>Returns the Keep Triangles flag of the given node as a Boolean value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";