var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: FrameTagManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: FrameTagManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-frametagmanager\"></a></div>\n\
<p>The <strong>FrameTagManager Core Interface</strong> exposes the Time Tags to MAXScript.</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Tags/Time-Tags-Access-using-the.html\' title=\'\'>Time Tags Access using the FrameTagManager Interface</a> for examples.</p>\n\
<div class=\'codeBlock\'><pre>Interface: FrameTagManager  \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;FrameTagManager.GetTagCount()   \n\
</pre></div><p>Returns the number of Time Tags.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;FrameTagManager.GetTagID &lt;index&gt;index   \n\
</pre></div><p>Returns the ID of the indexed Time Tag.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;FrameTagManager.GetTimeByID &lt;integer&gt;id relative:&lt;boolean&gt; \n\
\n\
relative default value: false\n\
</pre></div><p>Returns the time of the tag specified by ID.</p>\n\
<p>If <span class=\'code\'>relative:</span> is true, time is relative to the tag this tag is locked to, if any.</p>\n\
<p>If <span class=\'code\'>relative:</span> is false or not supplied, or this tag is not locked to another tag, the time is returned as absolute time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FrameTagManager.SetTimeByID &lt;integer&gt;id &lt;time&gt;time relative:&lt;boolean&gt; \n\
\n\
relative default value: false\n\
</pre></div><p>Sets the time of the tag specified by ID to the supplied time value.</p>\n\
<p>If <span class=\'code\'>relative:</span> is true, time is relative to the tag this tag is locked to, if any.</p>\n\
<p>If <span class=\'code\'>relative:</span> is false or not supplied, or this tag is not locked to another tag, the time is used as absolute time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;FrameTagManager.GetLockIDByID &lt;integer&gt;id \n\
</pre></div><p>Returns the ID of the tag the supplied tag is locked to.</p>\n\
<p>An ID value of 0 means not locked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FrameTagManager.SetLockIDByID &lt;integer&gt;id &lt;integer&gt;lockID \n\
</pre></div><p>Sets the ID of the tag the specified Tag is locked to.</p>\n\
<p>An ID value of 0 means not locked.</p>\n\
<p>Returns true on success.</p>\n\
<p>Attempting to set a lock that would cause a circular dependency will not change the current lock and the method will return false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;FrameTagManager.GetNameByID &lt;integer&gt;id \n\
</pre></div><p>Returns the name of the Time Tag specified by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FrameTagManager.SetNameByID &lt;integer&gt;id &lt;string&gt;name\n\
</pre></div><p>Sets the name of the tag specified by ID to the supplied string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FrameTagManager.GetScaleByID &lt;integer&gt;id \n\
</pre></div><p>Returns true if the time of the tag specified by ID will be scaled when the scene time is scaled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FrameTagManager.SetScaleByID &lt;integer&gt;id &lt;boolean&gt;scale \n\
</pre></div><p>Set whether the time of the tag specified by ID will be scaled when the scene time is scaled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;FrameTagManager.FindItemByTime &lt;time&gt;time \n\
</pre></div><p>Returns the index of the first tag in the sorted list, if any, for the given absolute time value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;FrameTagManager.FindItem &lt;integer&gt;id \n\
</pre></div><p>Returns the index of the tag with the supplied ID in the sorted tag list.</p>\n\
<p>A return value of -1 means a tag with the given ID was not found.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;FrameTagManager.CreateNewTag &lt;string&gt;name &lt;time&gt;time lockID:&lt;integer&gt; scale:&lt;boolean&gt; \n\
\n\
lockID default value: 0\n\
scale default value: true\n\
</pre></div><p>Creates a new tag with the given name at the given time.</p>\n\
<p>If lockID is 0 or not supplied, the tag is not locked to another tag.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FrameTagManager.DeleteTag &lt;integer&gt;id \n\
</pre></div><p>Deletes the tag specified by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FrameTagManager.ResetFrameTags() \n\
</pre></div><p>Deletes all tags.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FrameTagManager.CheckForLoop &lt;integer&gt;testID &lt;integer&gt;id \n\
</pre></div><p>Returns true if tag testID is dependent on tag id</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";