var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: GhostingManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: GhostingManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-ghostingmanager\"></a></div>\n\
<p>This Core Interface exposes the <strong>Ghosting Manager</strong> to MAXScript.</p>\n\
<p>It allows the configuration of the Animation Ghosting feature which displays multiple samples of a selected object over time in the viewport.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-78D088D7-235C-4C9C-847F-8CE2DC2FFB5C-low.png\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>GhostingManager.ShowGhosting : boolean : Read|Write\n\
</pre></div><p>Get/Set the Ghosting enabled state.</p>\n\
<p>When set to true, selected objects will display ghost frames according to the settings below.</p>\n\
<p>When set to false, no ghost frames will be displayed.</p>\n\
<p>Corresponds to the Main Menu &gt; Views &gt; Show Ghosting menu toggle.</p>\n\
<div class=\'codeBlock\'><pre>GhostingManager.GhostType : integer : Read|Write\n\
</pre></div><p>Get/set the ghost type.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Before</p>\n\
<p>2 - After</p>\n\
<p>3 - Both</p>\n\
<div class=\'codeBlock\'><pre>GhostingManager.TotalGhostFrames : integer : Read|Write\n\
</pre></div><p>Get/set the total number of ghost frames.</p>\n\
<p>When the <span class=\'code\'>.GhostType</span> property is set to 1 or 2, the total number of frames will be shown on the one side of the trajectory.</p>\n\
<p>When the <span class=\'code\'>.GhostType</span> property is set to 3, the total number of frames will be split between before and after the current time.</p>\n\
<div class=\'codeBlock\'><pre>GhostingManager.GhostFrameIncrement : integer : Read|Write\n\
</pre></div><p>Get/set the frame increment (every Nth frame) value. It defines the frame interval in which ghost frames are drawn.</p>\n\
<p>This affects the actual number of ghost frames being drawn.</p>\n\
<p>For example, if <span class=\'code\'>.TotalGhostFrames</span> is 10 and <span class=\'code\'>.GhostFrameIncrement</span> is set to 2, only 5 frames will be actually drawn.</p>\n\
<div class=\'codeBlock\'><pre>GhostingManager.DisplayGhostInWireframe : boolean : Read|Write\n\
</pre></div><p>When set to true, the object&#39;s ghost frames will be displayed as wireframe.</p>\n\
<p>When set to false, the object&#39;s ghost frames will be displayed as shaded.</p>\n\
<p>Applicable only in shaded display modes.</p>\n\
<p>When in wireframe display mode, both the selected object and its ghosts will be drawn as wireframe.</p>\n\
<div class=\'codeBlock\'><pre>GhostingManager.ShowGhostFrameNumbers : boolean : Read|Write\n\
</pre></div><p>Get/set whether to display the frame number at the pivot point of each ghost frame.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";