var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: Grip</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: Grip</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-grip\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-EFE761AF-E6B5-49CF-B898-4AEA200B80D4-low.gif\' title=\'\'></div>\n\
<p>This <strong>Core Interface</strong> introduced in <strong>3ds Max 2011</strong> exposes methods to control the display of the Caddy (a.k.a. Grip) manipulators.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-EPolyManipGrip.html\' title=\'\'>Interface: EPolyManipGrip</a></p>\n\
<p><strong>Interface: Grip</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>Grip.Show : boolean : Read|Write     \n\
</pre></div><p>Get/set the visibility of the Caddy manipulator.</p>\n\
<p>Default is true.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><span class=\'code\'>Grip.Show = True</span></th>\n\
<th align=\"left\"><span class=\'code\'>Grip.Show = False</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-A35B99F9-9412-491F-9D7E-A0CA86E6487D-low.gif\' title=\'\'></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>Grip.CenterOnSelected : boolean : Read|Write   \n\
</pre></div><p>Get/set whether to center the Caddy manipulator at the selection (true) or place it relative to the upper left corner of the current viewport (false).</p>\n\
<p>Default was <strong><span class=\'code\'>true</span> in </strong>3ds Max 2011<strong>, changed to <span class=\'code\'>false</span></strong> in <strong>3ds Max 2012</strong>.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><span class=\'code\'>Grip.CenterOnSelected = True</span></th>\n\
<th align=\"left\"><span class=\'code\'>Grip.CenterOnSelected = False</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-28C9862B-8FEC-4990-88E3-EC7AF5BFB5AD-low.gif\' title=\'\'></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>Grip.SelectedXOffset : integer : Read|Write \n\
</pre></div><p>Get/set the Horizontal Offset of the Caddy manipulator relatively to the current selection.</p>\n\
<p>Default was 0 in <strong>3ds Max 2011</strong>, changed to 80 in <strong>3ds Max 2012</strong>.</p>\n\
<p>Used when <span class=\'code\'>.CenterOnSelection</span> is set to true.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><span class=\'code\'>Grip.SelectedXOffset = 0</span></th>\n\
<th align=\"left\"><span class=\'code\'>Grip.SelectedXOffset = 50</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-228F7EFE-A3BA-4646-9736-D98E9852E76A-low.gif\' title=\'\'></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>Grip.SelectedYOffset : integer : Read|Write \n\
</pre></div><p>Get/set the Vertical Offset of the Caddy manipulator relatively to the current selection.</p>\n\
<p>Default was 0 in <strong>3ds Max 2011</strong>, changed to -35 in <strong>3ds Max 2012</strong>.</p>\n\
<p>Used when <span class=\'code\'>.CenterOnSelection</span> is set to true.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><span class=\'code\'>Grip.SelectedXOffset = 0``Grip.SelectedYOffset = 0</span></th>\n\
<th align=\"left\"><span class=\'code\'>Grip.SelectedXOffset = 50``Grip.SelectedYOffset = 50</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-0188AEE6-BB76-4969-9B2E-B48473A9AF81-low.gif\' title=\'\'></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>Grip.CenterXPos : float : Read|Write \n\
</pre></div><p>Get/set the Horizontal Position of the Caddy manipulator&#39;s center.</p>\n\
<p>Used when <span class=\'code\'>.CenterOnSelection</span> is set to false.</p>\n\
<div class=\'codeBlock\'><pre>Grip.CenterYPos : float : Read|Write \n\
</pre></div><p>Get/set the Vertical Position of the Caddy manipulator&#39;s center.</p>\n\
<p>Used when <span class=\'code\'>.CenterOnSelection</span> is set to false.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>Grip.CenterOnSelected = False</span><br> <span class=\'code\'>Grip.CenterXPos = 0.5</span><br> <span class=\'code\'>Grip.CenterYPos = 0.5</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-28C9862B-8FEC-4990-88E3-EC7AF5BFB5AD-low.gif\' title=\'\'></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>Grip.CenterOnSelected = False</span><br> <span class=\'code\'>Grip.CenterXPos = 0.65</span><br> <span class=\'code\'>Grip.CenterYPos = 0.4</span></td>\n\
<td align=\"left\"><span class=\'code\'>Grip.CenterOnSelected = False</span><br> <span class=\'code\'>Grip.CenterXPos = 0.65</span><br> <span class=\'code\'>Grip.CenterYPos = 0.4</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-D2D33DEC-C5BD-4303-9512-B35E8F7927E2-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-95B649FD-2916-4D3B-9A3C-1BDC7D3656AC-low.gif\' title=\'\'></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">As you can see from the above screenshots, the Caddy is offset relative to the viewport&#39;s upper left corner regardless of the location of the selected polygons being edited.This allows you place the Caddy&#39;s gizmo at a constant position in viewport space relative to the view&#39;s upper left corner to avoid &quot;hunting&quot; for the Caddy as selection changes.</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>Grip.Transparency : float : Read|Write \n\
</pre></div><p>Get/set the Transparency of the Caddy Manipulator.</p>\n\
<p>Default was 0.25 in <strong>3ds Max 2011</strong>, changed to 0.4 in <strong>3ds Max 2012</strong>.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><span class=\'code\'>Grip.Transparency = 0.25</span></th>\n\
<th align=\"left\"><span class=\'code\'>Grip.Transparency = 0.75</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-5D3E34BC-1DD5-4808-8887-54AB445BB2C3-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-1016E7DF-F148-4167-8870-1D96045B21F7-low.gif\' title=\'\'></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>Grip.HoverTransparency : float : Read|Write \n\
</pre></div><p>Get/set the Transparency of the Caddy Manipulator when the mouse hovers over it.</p>\n\
<p>Default is 0.1</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><span class=\'code\'>Grip.Transparency = 0.75``Grip.HoverTransparency = 0.1</span></th>\n\
<th align=\"left\"><span class=\'code\'>Grip.Transparency = 0.75``Grip.HoverTransparency = 0.5</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-8C6C49FD-ED6E-44B8-B042-E8366F96ECC8-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-505CE833-109F-4A20-BEE5-7E3783577EE9-low.gif\' title=\'\'></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>Grip.WidgetSpacing: float : Read|Write \n\
</pre></div><p>Get/set the Spacing of the Caddy Manipulator&#39;s Widgets.</p>\n\
<p>Default is 7.0</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><span class=\'code\'>Grip.WidgetSpacing = 0.0</span></th>\n\
<th align=\"left\"><span class=\'code\'>Grip.WidgetSpacing = 15.0</span></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-F70D920E-6524-4D89-993D-1CA3E42A8AFB-low.gif\' title=\'\'></td>\n\
<td align=\"left\"><img src=\'developer/images/GUID-6CF99790-515E-4F16-B75E-BFD93116BC1F-low.gif\' title=\'\'></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";