var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: HelpSystem</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: HelpSystem</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-helpsystem\"></a></div>\n\
<p>The <strong>HelpSystem Core Interface</strong> provides access to the Online and Local Help Files of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface: HelpSystem\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>HelpSystem.productHelpLocation : enum:Read|WritehelpLocation enums: {#onlineHelp|#localHelp}\n\
</pre></div><p>Get/set the Help System mode.</p>\n\
<p>When set to <span class=\'code\'>#onlineHelp</span> , the help will be accessed from the Autodesk Online Help servers via the Internet. This mode requires an Internet connection, but provides the latest help content available.</p>\n\
<p>When set to <span class=\'code\'>#localHelp</span> , the help will be accessed from the local drive. This mode does not require an Internet connection, but the help content can be potentially outdated compared to the online version.</p>\n\
<div class=\'codeBlock\'><pre>HelpSystem.localProductHelpPath : string:Read|Write\n\
</pre></div><p>Get/set the directory where the local help is located.</p>\n\
<div class=\'codeBlock\'><pre>HelpSystem.defaultLocalProductHelpPath : string:Read\n\
</pre></div><p>Get the default location of the local help files. It can be used to find the shipping help files or to set the <span class=\'code\'>HelpSystem.localProductHelpPath</span> to its default value.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;HelpSystem.ShowProductHelp &lt;integer&gt;helpContextId\n\
</pre></div><p>Opens the Online Help in the default web browser at the specified helpContextId, or, if the Id is not valid, at the index page.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;HelpSystem.SearchProductHelp &lt;string&gt;searchFor\n\
</pre></div><p>Searches the Online Help for the specified search string.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;HelpSystem.ShowMAXScriptHelp indexstring:&lt;string&gt; -- default indexstring: undefined\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Searches the Online MAXScript Help for the specified search string. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>-- Example 1:\n\
HelpSystem.ShowMAXScriptHelp()\n\
\n\
-- Example 2:\n\
HelpSystem.ShowMAXScriptHelp indexstring:&quot;HelpSystem&quot;\n\
&lt;boolean&gt;HelpSystem.ShowPythonHelp indexstring:&lt;string&gt; -- default indexstring: undefined\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Searches the Online Python Help for the specified search string. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>-- Example 1:\n\
HelpSystem.ShowPythonHelp()\n\
\n\
-- Example 2:\n\
HelpSystem.ShowPythonHelp indexstring:&quot;Using PySide&quot;\n\
&lt;boolean&gt;HelpSystem.OpenCHMFile &lt;filename&gt;helpfile indexstring:&lt;string&gt; -- default indexstring: undefined\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Searches the .CHM at the given helpfile file path for specified search string. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>-- Example:\n\
HelpSystem.OpenCHMFile &quot;C:\\help\\my_downloaded_help.chm&quot; indexstring:&quot;Hello World&quot;\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";