var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: globalDXDisplayManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: globalDXDisplayManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-globaldxdisplaymanager\"></a></div>\n\
<p>The <strong>globalDXDisplayManager Core Interface</strong> controls how DirectX shaders are being drawn in the viewports.</p>\n\
<p>It affects the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/DirectX_9_Shader-Material.html\' title=\'\'>DirectX 9 Shader : Material</a> and all other Viewport Manager shaders.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>globalDXDisplayManager.forceSoftware : boolean : Read|Write      \n\
</pre></div><p>If set to <span class=\'code\'>true</span> , it will prevent the shaders from being displayed, and will default to the base material viewport display handler.</p>\n\
<div class=\'codeBlock\'><pre>globalDXDisplayManager.forceSelected : boolean : Read|Write   \n\
</pre></div><p>This will only be active if Force Software is set to <span class=\'code\'>true</span> , it will allow the display of shaders on only selected objects - if they are not selected, they will use the default material viewport display code.</p>\n\
<div class=\'codeBlock\'><pre>globalDXDisplayManager.sceneEffectActive : boolean : Read|Write \n\
</pre></div><p>If set to <span class=\'code\'>true</span> , Scene Effects will be active. If set to <span class=\'code\'>false</span> , no Scene Effects will be used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;globalDXDisplayManager.isDXActive() \n\
</pre></div><p>Returns true if DirectX is active.</p>\n\
<p>The default location for setting this data is in the Material Editor Options dialog.</p>\n\
<p>There is also a Macroscript that will set these up, so they can be added by the user to the CUI system - see <em>Macro_DXDisplay.mcr</em>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";