var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IAutoCamMax</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IAutoCamMax</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-iautocammax\"></a></div>\n\
<p>This Core Interface exposes the new viewport navigation Pivot Ball gizmo which allows the orbiting about a hit point under the mouse cursor, or about a locked point in space. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IAutoCamMax.ShowPivotBall &lt;HWND&gt;hwnd &lt;&amp;point2&gt;center &lt;&amp;point3&gt;mouse &lt;boolean&gt;useMousePoint\n\
       center is In and Out parameter\n\
       mouse is In and Out parameter\n\
</pre></div><p>Shows the viewport navigation Pivot Ball in the specified viewport.</p>\n\
<p>The first ‘hwnd’ argument specifies the viewport by its Windows handle – see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>viewport.getHWND()</a> for details.</p>\n\
<p>The second ‘center’ by-reference argument supplies the 2D screen position of the Pivot Ball.</p>\n\
<p>The third ‘mouse’ by-reference argument will contain the 3D mouse position of the Pivot Ball.</p>\n\
<p>When the fourth ‘useMousePoint’ Boolean argument is set to False, the Pivot Ball will use the 2D center position. When set to True, the 3D mouse point will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IAutoCamMax.HidePivotBall &lt;HWND&gt;hwnd\n\
</pre></div><p>Hides the viewport navigation Pivot Ball in the specified viewport.</p>\n\
<p>The ‘hwnd’ argument specifies the viewport by its Windows handle – see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>viewport.getHWND()</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IAutoCamMax.SetHoldPivotBallPosition &lt;boolean&gt;hold\n\
</pre></div><p>Locks the viewport navigation Pivot Ball to its current 3D world position to provide a static point of interest for viewport orbit operations.</p>\n\
<p>When the argument is True, the Pivot Ball will be locked to its position and will not change the position if viewport navigation operations are performed.</p>\n\
<p>When the argument is False, the Pivot Ball will be unlocked and will update dynamically (default behavior).</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None</p>\n\
<blockquote>\n\
<p><strong>Example</strong></p>\n\
<p>``` centerPoint = [0.5,0.5] --use the center of the viewport mousePoint = [0,0,0] --Show the Pivot Ball at the center of the active viewport: IAutoCamMax.ShowPivotBall (viewport.getHWnd()) &amp;centerPoint &amp;mousePoint false redrawViews() --redraw the views to see the Pivot Ball p = point pos:mousePoint --create a Point helper at the Pivot Ball position</p>\n\
<p>IAutoCamMax.SetHoldPivotBallPosition true --lock the Pivot Ball at its current position</p>\n\
<p>IAutoCamMax.HidePivotBall (viewport.getHWnd()) -- hide the Pivot Ball of the active viewport ```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";