var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IDisplayGamma</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IDisplayGamma</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-idisplaygamma\"></a></div>\n\
<p>The <strong>IDisplayGamma Core Interface</strong> exposes some Display Gamma settings to MAXScript.</p>\n\
<p>The interface was exposed without any properties in <strong>3ds Max 8</strong>.</p>\n\
<p>It was changed to actually expose Color Correction properties in <strong>3ds Max 2008</strong> and was extended in <strong>3ds Max 2010</strong> to affect more aspects of the UI including Material Editor and color pickers.</p>\n\
<div class=\'codeBlock\'><pre>Interface: IDisplayGamma \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>IDisplayGamma.colorCorrectionMode : enum : Read|Write   \n\
\n\
colorCorrectionMode enums: {#LUT|#gamma|#none} \n\
</pre></div><p>Get/Set the Display Color Correction mode to LUT, Gamma, or disables it.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>IDisplayGamma.LUTFileName : filename : Read|Write \n\
</pre></div><p>Get/Set the LUT file name.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>IDisplayGamma.gamma : float : Read|Write \n\
</pre></div><p>Get/Set the Gamma value.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Equivalent to the System Global Variable <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\' title=\'\'>displayGamma</a> available in previous releases.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` IDisplayGamma.colorCorrectionMode = #gamma --enable Gamma IDisplayGamma.gamma = 1.8 --set the Gamma to 1.8</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>IDisplayGamma.colorCorrectionPrefMode : enum : Read|Write \n\
\n\
colorCorrectionPrefMode enums: {#LUT|#gamma|#none} \n\
</pre></div><p>Get/Set the Preferred Display Color Correction mode to LUT, Gamma, or disabled.</p>\n\
<p>In versions prior to <strong>3ds Max 2010</strong>, loading a file with Display Gamma/LUT Correction enabled turned the feature on and set it to the saved settings.</p>\n\
<p>Since <strong>3ds Max 2010</strong>, loading a file with Display Gamma/LUT Correction on will only turn the feature on, but use the Preferred settings which are saved locally in an INI file.</p>\n\
<div class=\'codeBlock\'><pre>IDisplayGamma.affectColorPickers : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the Gamma/LUT Correction will affect the Color Picker colors.</p>\n\
<p>Defaults to false.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>IDisplayGamma.affectMEdit : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the Gamma/LUT Correction will affect the colors in the Material Editor.</p>\n\
<p>Defaults to false.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";