var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IInteractionMode</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IInteractionMode</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-iinteractionmode\"></a></div>\n\
<p>This Core Interface exposes the <strong>Interaction Mode</strong> tab of the <strong>Preference Settings dialog</strong> to MAXScript.</p>\n\
<p>See also the related <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MouseConfigManager.html\' title=\'\'>Interface: MouseConfigManager</a>.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>IInteractionMode.CurrentMode : enum : Read|Write \n\
\n\
CurrentMode enums: {#3dsMaxMode|#MayaMode|#CustomizedMode}\n\
</pre></div><p>Get/set the current Interaction Mode for both mouse and keyboard.</p>\n\
<p>Corresponds to the Interaction Mode tab of the Preference Settings dialog.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-87C37FFA-C94A-4960-96E6-BAAF9EEC483B-low.png\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ( theProps = #(&quot;ArcRotateLocked&quot;, &quot;MayaSelectionMode&quot;, &quot;AutoFocusViewportOnKeyPress&quot;, &quot;ZoomWheelIncrement&quot;, &quot;MiddleMouseStrokeMode&quot;, &quot;ZoomAboutMousePointOrthographic&quot;, &quot;ZoomAboutMousePointPerspective&quot;, &quot;RightClickMenuOverSelectedOnly&quot;, &quot;ZoomInDirection&quot;) theMethods = #(&quot;GetZoomShortcut&quot;,&quot;GetPanShortcut&quot;,&quot;GetRotateShortcut&quot;)</p>\n\
<p>fn printInteractionSettings = ( for p in theProps do format &quot;%: %\\n&quot; p (execute (&quot;MouseConfigManager.&quot;+p)) for m in theMethods do ( (execute (&quot;MouseConfigManager.&quot;+m+&quot; &amp;theKey &amp;theButton&quot; )) format &quot;%: %+%\\n&quot; m (theKey as string) (theButton as string) )--end m loop )--end fn</p>\n\
<p>for i in #(&quot;3dsMaxMode&quot;, &quot;MayaMode&quot;, &quot;CustomizedMode&quot;) do ( format &quot;INTERACTION MODE: %\\n&quot; i IInteractionMode.CurrentMode = (i as name) printInteractionSettings() format &quot;\\n&quot; ) )</p>\n\
<p>```</p>\n\
<p><strong>SAMPLE OUTPUT</strong></p>\n\
<p>``` INTERACTION MODE: 3dsMaxMode ArcRotateLocked: false MayaSelectionMode: false AutoFocusViewportOnKeyPress: false ZoomWheelIncrement: 1.0 MiddleMouseStrokeMode: false ZoomAboutMousePointOrthographic: false ZoomAboutMousePointPerspective: false RightClickMenuOverSelectedOnly: false ZoomInDirection: #North GetZoomShortcut: CtrlAlt+MiddleButton GetPanShortcut: null+MiddleButton GetRotateShortcut: alt+MiddleButton</p>\n\
<p>INTERACTION MODE: MayaMode ArcRotateLocked: true MayaSelectionMode: true AutoFocusViewportOnKeyPress: true ZoomWheelIncrement: 1.0 MiddleMouseStrokeMode: false ZoomAboutMousePointOrthographic: false ZoomAboutMousePointPerspective: false RightClickMenuOverSelectedOnly: false ZoomInDirection: #SouthEast GetZoomShortcut: alt+RightButton GetPanShortcut: alt+MiddleButton GetRotateShortcut: alt+LeftButton</p>\n\
<p>INTERACTION MODE: CustomizedMode ArcRotateLocked: true MayaSelectionMode: true AutoFocusViewportOnKeyPress: true ZoomWheelIncrement: 1.0 MiddleMouseStrokeMode: false ZoomAboutMousePointOrthographic: false ZoomAboutMousePointPerspective: false RightClickMenuOverSelectedOnly: false ZoomInDirection: #SouthEast GetZoomShortcut: alt+RightButton GetPanShortcut: alt+MiddleButton GetRotateShortcut: alt+LeftButton</p>\n\
<p>OK ```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";