var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IKSys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IKSys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-iksys\"></a></div>\n\
<p>This <strong>Core Interface</strong> provides methods for creating <strong>IK Chains</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;IKSys.ikChain &lt;node&gt;startJoint &lt;node&gt;endJoint &lt;string&gt;solver   \n\
</pre></div><p>Creates an IK chain where startJoint is the first node in the new chain (ancestor), endJoint is the last node in the chain (descendant) and solver is the name of the IK solver to use (as returned by the <span class=\'code\'>iksys.solverName()</span> method described below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;IKSys.solverCount() \n\
</pre></div><p>Returns the number of available solvers installed on the system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;IKSys.solverName &lt;integer&gt;solverIndex \n\
</pre></div><p>Returns the name of the indexed solveras string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;IKSys.solverUIName &lt;integer&gt;solverIndex \n\
</pre></div><p>Returns the UI Name of the indexed solver.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` for i = 1 to iksys.solverCount() do format &quot;% : %\\n&quot; (iksys.solverName i) (iksys.solverUIName i)</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` IKHISolver : IKHISolver IKLimb : IKLimb SplineIKSolver : SplineIKSolver OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IKSys.suspendLinkNotify() \n\
</pre></div><p>Disables the link notification in IK systems.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IKSys.resumeLinkNotify() \n\
</pre></div><p>Enables the link notification in IK systems.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IKSys.isLinkNotifySuspended() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if IK link notification is disabled, <span class=\'code\'>false</span> if enabled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";