var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IViewportShadingMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IViewportShadingMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-iviewportshadingmgr\"></a></div>\n\
<blockquote>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Interfaces-1.html\' title=\'\'>Interfaces</a>&gt; <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-1.html\' title=\'\'>Core Interfaces</a> &gt; IViewportShadingMgr</p>\n\
</blockquote>\n\
<p>The <strong>IViewportShadingMgr Core Interface</strong> exposes some properties of the advanced hardware viewport shading (per-pixel illumination and shadow casting) to MAXScript.</p>\n\
<p>This interface is available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Some additional properties related to viewport shading have been exposed in <strong>3ds Max 2010</strong> using a different set of interfaces <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\' title=\'\'>documented here</a>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C0D9BB06-357B-4694-A942-021BCB8D8654-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>Interface: IViewportShadingMgr \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.     ShadingLimits : enum : Read|Write   \n\
\n\
ShadingLimits enums: { #None | #Good | #Best } \n\
</pre></div><p>Get/Set the Viewport Shading Limits:</p>\n\
<ul>\n\
<li><p><strong>None</strong> - old mode, light limit dependent on graphics driver, typically 8 lights per vertex lighting.</p></li>\n\
<li><p><strong>Good (SM 2.0)</strong> - shadow casting is enabled. On graphics hardware that supports only the SM2.0 shader model, only the old-style per vertex lighting will be calculated.</p></li>\n\
<li><p><strong>Best (SM 3.0)</strong> - shadow casting and per-pixel lighting are enabled, 64 lights are supported. This mode depends on the graphics hardware that must be SM 3.0 compliant.</p></li>\n\
</ul>\n\
<p>This method is equivalent to the properties <strong>ActivateViewportShading</strong> and <strong>ShadingQuality</strong> exposed by the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\' title=\'\'>ViewportBasicSettings Interface</a> in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.AutoDisplaySelLights : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Auto Display Selected Lights&quot;</strong> checkbox in the <strong>&quot;Lighting and Shadows&quot;</strong> tab of the <strong>&quot;Viewport Configuration&quot;</strong> dialog. When set to true, the currently selected lights will be enabled to illuminate/cast shadows, while unselected lights will be off. When set to false, all lights will be turned on.</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.DefaultLightCastShadows : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Cast Shadows for Default Light&quot;</strong> checkbox in the <strong>&quot;Lighting and Shadows&quot;</strong> tab of the <strong>&quot;Viewport Configuration&quot;</strong> dialog. When set to true, the default lights will cast shadows. When set to false, default lights will not cast shadows.</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.GlobalShadowIntensity : float : Read|Write \n\
</pre></div><p>Get/Set the value of the <strong>&quot;Global Shadow Intensity&quot;</strong> spinner in the <strong>&quot;Lighting and Shadows&quot;</strong> tab of the <strong>&quot;Viewport Configuration&quot;</strong> dialog. Controls the intensity of the viewport Shadows. When set to 0.5, shadows will be 50% less dense.</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.UseTransparencyInShadows : boolean : Read|Write \n\
</pre></div><p>Get/Set whether viewport shadows will respect transparency.</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.UpdateShadowsInActiveViewportOnly : boolean : Read|Write \n\
</pre></div><p>Get/Set whether viewport shadows will update in the active viewport only (true) or in all viewports (false, default).</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.MaxActiveLight : integer : Read|Write \n\
</pre></div><p>Get/Set the maximum number of lights to be displayed in the viewport. Default is 64.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.UseGITransparency : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the Ambient Occlusion mode will respect transparency or not.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.ShadowFilterSize : float : Read|Write \n\
</pre></div><p>Get/Set the soft shadows filter size. It must be in the range of 0.0 to 1.0.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.SelectShadowCastingLights() \n\
</pre></div><p>Calling this method selects all lights currently set to cast shadows in the viewports.</p>\n\
<p>Only the Light node&#39;s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\' title=\'\'>Interface: INodeShadingProperties</a> <span class=\'code\'>.ViewportShadowCasting</span> property value is taken into account, not the base object&#39;s shadow casting property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.SelectIlluminatingLights() \n\
</pre></div><p>Calling this method selects all lights currently set to illuminate in the viewports.</p>\n\
<p>Only the Light node&#39;s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\' title=\'\'>Interface: INodeShadingProperties</a> <span class=\'code\'>.ViewportIllumination</span> property value is taken into account, not the base object&#39;s <span class=\'code\'>.on</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.DisplayOnlySelectedLights() \n\
</pre></div><p>Calling this method disables the viewport illumination for all lights that are not selected, enabling only the selected lights to illuminate in the viewports.</p>\n\
<p>If no lights are selected, the illumination is disabled for all lights.</p>\n\
<p>The method manipulates the Light Node&#39;s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeShadingProperties.html\' title=\'\'>Interface: INodeShadingProperties</a> <span class=\'code\'>.ViewportIllumination</span> property, turning Viewport Illumination on and off based on the node&#39;s selected state. It does not affect the node&#39;s <span class=\'code\'>.ViewportShadowCasting</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.LockSelectedLights &lt;boolean&gt;locked \n\
</pre></div><p>Locks/Unlocks the currently selected lights.</p>\n\
<p>When the <span class=\'code\'>.AutoDisplaySelLights</span> property is set to true, lights that are not selected will not illuminate the scene.</p>\n\
<p>You can lock the current selection to keep on illuminating the scene even after it has been deselected using this method with argument of <span class=\'code\'>true</span> , or unlock the selected lights again by passing an argument of <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.GetViewportShadingLights &lt;&amp;node array&gt;nodeList &lt;enum&gt;lightProperty \n\
\n\
nodeList is In and Out parameter \n\
lightProperty enums: {#ShadowCasting|#Illuminating|#Locked} \n\
</pre></div><p>Returns the viewport shading lights into the by-reference array nodeList.</p>\n\
<p>The lightProperty enum defines whether to collect the shadow-casting, the illuminating, or the locked lights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.CastShadowsSelectedOnly &lt;boolean&gt;Enabled \n\
</pre></div><p>When the argument is true, the system will be switched to cast shadows only from the selected lights. When the argument is false, all lights will be allowed to cast shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IViewportShadingMgr.IsLightNodeSupported &lt;node&gt;LightNode \n\
</pre></div><p>Returns true if the given light is supported by the Viewport Shading system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IViewportShadingMgr.IsShadingLimitValid &lt;enum&gt;ShadingLimits \n\
\n\
ShadingLimits enums: {#None|#Good|#Best} \n\
</pre></div><p>Returns true if the given shading mode is valid on the current hardware.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.ReviewGPUDiagnostics() \n\
</pre></div><p>Prints a GPU diagnostics report to the MAXScript Listener.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` IViewportShadingMgr.ReviewGPUDiagnostics() --&gt; ////////////////////////////////////////////////////// --&gt; ////////// Review GPU Feature Support //////////// --&gt; ////////////////////////////////////////////////////// --&gt; Graphics Vendor Information: Direct3D 9.0 (NVIDIA Quadro FX 4000) --&gt; GPU Shader Model Support: SM3.0 --&gt; Maximum pixel shader instruction count: 4096 --&gt; Viewport Shading Quality: Best --&gt; Real-time Sun and Sky: Supported --&gt; Real-time Architectural Material: Supported --&gt; ////////////////////////////////////////////////////// --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IViewportShadingMgr.SetViewportShadingLimits &lt;enum&gt;ShadingLimits Quiet:&lt;boolean&gt; \n\
\n\
ShadingLimits enums: {#None|#Good|#Best} \n\
Quiet default value: true \n\
</pre></div><p>Sets the viewport shading limit to the given mode. If the quiet: optional keyword argument is specified as true, no errors will be reported if the given node is not supported on the current system.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";