var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IsolateSelection</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IsolateSelection</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-isolateselection\"></a></div>\n\
<p>This Core Interface exposes the Isolate Selection feature to MAXScript.</p>\n\
<p>In versions <strong>prior to 3ds Max 2013</strong> the Isolate Selection was implemented using MAXScript.</p>\n\
<p>In <strong>3ds Max 2013</strong>, the functionality was reimplemented as integral part of the User Interface.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A0B55D23-F269-4F76-98EA-6834AEDC58B3-low.png\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsolateSelection.EnterIsolateSelectionMode()\n\
</pre></div><p>Enters Isolate Selection mode.</p>\n\
<p>Returns True on success, False if already in Isolate Selection mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsolateSelection.ExitIsolateSelectionMode()\n\
</pre></div><p>Exits Isolate Selection mode.</p>\n\
<p>Returns True on success, False if not in Isolate Selection mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsolateSelection.IsolateSelectionModeActive()\n\
</pre></div><p>Returns True if in Isolate Selection mode, False if not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsolateSelection.IsNodeIsolated &lt;node&gt;node\n\
</pre></div><p>Returns True if the specified node is isolated (<strong>3ds Max</strong> is in Isolate Selection mode and the specified node was selected when the mode was invoked).</p>\n\
<p>Returns False if the Isolate Selection mode is not active or the node was not selected and was thus hidden in the Isolate Selection process.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IsolateSelection.SuppressIsolateSelectionWarningDialogue &lt;boolean&gt;bSuppress\n\
</pre></div><p>When the argument is True, the Isolate Selection warning will be suppressed.</p>\n\
<p>When the argument is False, the Isolate Selection warning will be issued when opening a scene with isolated objects.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` s = Sphere() --create a sphere --&gt;\\(Sphere:Sphere001 @ [0.000000,0.000000,0.000000]  b = Box pos:[50,0,0] --create a box  --&gt;\\)Box:Box001 @ [50.000000,0.000000,0.000000] c = Cone pos:[-50,0,0] --create a cone --&gt;$Cone:Cone001 @ [-50.000000,0.000000,0.000000] select s --select the sphere --&gt;OK IsolateSelection.EnterIsolateSelectionMode() --isolate it - it works! --&gt;true IsolateSelection.EnterIsolateSelectionMode() --cannot isolate again --&gt;false IsolateSelection.IsolateSelectionModeActive() --check if in Isolate Mode --&gt;true IsolateSelection.IsNodeIsolated s --check if the sphere is isolated --&gt;true IsolateSelection.IsNodeIsolated b --check if the box is isolated --&gt;false IsolateSelection.IsNodeIsolated c --check if the cone is isolated --&gt;false holdMaxFile() --hold the scene --&gt;OK IsolateSelection.SuppressIsolateSelectionWarningDialogue false --enable warning --&gt;OK fetchMaxFile() --fetch, answer prompt with Yes - an Isolation warning will follow --&gt;OK --NOTE that &#39;fetchMaxFile quiet:true&#39; will suppress both the prompt and the warning IsolateSelection.SuppressIsolateSelectionWarningDialogue true --suppress the warning --&gt;OK fetchMaxFile() --fetch, answer prompt with Yes - no Isolation warning will follow. --&gt;OK IsolateSelection.ExitIsolateSelectionMode() --exist the Isolate Mode --&gt;true IsolateSelection.ExitIsolateSelectionMode() --can&#39;t exit again, already off --&gt;false</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";