var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IsolatedVertices</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IsolatedVertices</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-isolatedvertices\"></a></div>\n\
<p>The <strong>IsolatedVertices Core Interface</strong> exposes methods for interacting with the Isolated Vertices xView Checker.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>Does not expose any properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;IsolatedVertices.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results      \n\
\n\
Check enums: { #Failed | #Vertices | #Edges | #Faces}    \n\
results is In and Out parameter   \n\
</pre></div><p>Performs an Isolated Vertices xView check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>The method itself <span class=\'code\'>always</span> returns the <span class=\'code\'>#vertex</span> enum because the Isolated Vertices check only checks vertices and the values written to the results array always represent indices of isolated vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsolatedVertices.hasPropertyDlg() \n\
</pre></div><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the Isolated Vertices checker, it <strong>always returns false</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;IsolatedVertices.showPropertyDlg() \n\
</pre></div><p>Shows the property dialog of the xView checker, if implemented.</p>\n\
<p>In the particular case of the Isolated Vertices checker this method <strong>does nothing</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>The following code creates a plane with 10x10 segments, then collapses it to editable mesh and deletes the first 20 faces, or a whole row of quads, leaving the outer vertices isolated.</p>\n\
<p>``` thePlane = plane width:100 length:100 widthsegs:10 lengthsegs:10 --&gt; $Plane:Plane01 @ [0.000000,0.000000,0.000000] convertToMesh thePlane --&gt; $Editable_Mesh:Plane01 @ [0.000000,0.000000,0.000000] meshop.deleteFaces thePlane #{1..20} delIsoVerts:false --&gt; OK</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B6322432-6027-4314-B07E-9DC05192F5C3-low.gif\' title=\'\'></div>\n\
<p>The following call to the IsolatedVertices.check() method will return the isolated vertices. It does NOT require the Isolated Vertices Checker to be active in the viewport and can be used in MAXScript code to acquire isolated vertex indices into an array:</p>\n\
<p>```</p>\n\
<p>theResults = #() --we need an array to store the results in --&gt; #()</p>\n\
<p>--We call the method by passing the time to check at, --the object to check and the by-reference array to store --the results in. The return result of the method itself --will be #vertex because the method operates on vertices --and the content of theResults array should be threated --as vertex indices: resultType = IsolatedVertices.Check currentTime thePlane &amp;theResults --&gt; #vertex</p>\n\
<p>--If we would print out the content of the array variable, --it will contain the indices of the isolated vertices: theResults --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";