var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LayerManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LayerManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-layermanager\"></a></div>\n\
<p>This <strong>Core Interface</strong> exposes the <strong>Layer Manager</strong> to MAXScript.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>LayerManager.count : integer : Read      \n\
</pre></div><p>Get the number of layers in the scene</p>\n\
<div class=\'codeBlock\'><pre>LayerManager.current : Interface : Read   \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>LayerProperties MixinInterface</a> to the current layer.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;LayerManager.getLayer &lt;integer&gt;which \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>LayerProperties MixinInterface</a> to the indexed layer.</p>\n\
<p>The index is 0-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;LayerManager.newLayer() \n\
</pre></div><p>Creates a new Layer and returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>LayerProperties MixinInterface</a> to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;LayerManager.getLayerFromName &lt;string&gt;name \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>LayerProperties MixinInterface</a> to the layer with the given name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;LayerManager.newLayerFromName &lt;string&gt;name \n\
</pre></div><p>Creates a new layer with the given name and returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>LayerProperties MixinInterface</a> to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LayerManager.editLayerByName &lt;string&gt;name \n\
</pre></div><p>Enters editing mode for the layer with the given name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LayerManager.deleteLayerByName &lt;string&gt;name \n\
</pre></div><p>Deletes the layer with the given name.</p>\n\
<p>Returns True if layer deleted, <span class=\'code\'>false</span> otherwise.</p>\n\
<p>A layer can only be deleted if no nodes are in the layer and the layer is not the currently active layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LayerManager.closeDialog() \n\
</pre></div><p>Closes the Layer Manager dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LayerManager.isDialogOpen() \n\
</pre></div><p>Returns true if the Layer Manager dialog is open, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LayerManager.layerPropDialog &lt;&amp;maxObject array&gt;layerList \n\
       layerList is In and Out parameter\n\
</pre></div><p>Opens the Layer Property Dialogs of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>LayerProperties MixinInterfaces</a> passed in a by-reference array.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ReferenceTarget&gt;LayerManager.getLayerObject {&lt;integer layer_index&gt;|&lt;string layer_name&gt;} \n\
</pre></div><p>Returns the specified layer as a ReferenceTarget.</p>\n\
<p>layer_index is 0-based, layer_name is case-insensitive.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>Note:</p>\n\
<p><strong>Deprecated</strong>.</p>\n\
<p>Use the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>LayerProperties</a> interface&#39;s <span class=\'code\'>.layerAsRefTarg</span> property instead.</p>\n\
<p>Provided for backwards compatibility with scripts written using the Avguard Extension in previous versions of <strong>3ds Max</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LayerManager.doesLayerHierarchyContainNodes &lt;string&gt;name\n\
</pre></div><p>Returns True if the Layer Hierarchy of the specified Layer Name contains nodes.</p>\n\
<p>Returns False if the Layer Hierarchy of the specified Layer Name does not contain nodes, or if the specified Layer Name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LayerManager.deleteLayerHierarchy &lt;string&gt;name forceDelete:&lt;boolean&gt;\n\
forceDelete default value: false\n\
\n\
</pre></div><p>Deletes the Layer Hierarchy of the specified Layer Name. If the Active layer was deleted, the default &quot;0&quot; layer will become the Active layer. When the optional keyword <span class=\'code\'>forceDelete:</span> is set to False or is not supplied, only deletes empty layers.</p>\n\
<p>When the optional keyword <span class=\'code\'>forceDelete:</span> is set to True, layers with nodes will be deleted and the nodes will be moved to the default &quot;0&quot; layer.</p>\n\
<p>Returns True if the deleting was successful.</p>\n\
<p>Returns False if the deleting failed because the hierarchy contained nodes while <span class=\'code\'>forceDelete:</span> was set to False or not specified, or if the specified Layer Name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LayerManager.getDuplicateLayerWithoutSameHierarchyOnMerge()\n\
</pre></div><p>Returns the state of the option controlling whether to duplicate a layer when merging if a layer to be merged has the same name but different hierarchy as an existing layer in the scene.</p>\n\
<p>When set to True, a duplicate layer will be created.</p>\n\
<p>When set to False, no duplicate will be created.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LayerManager.setDuplicateLayerWithoutSameHierarchyOnMerge &lt;boolean&gt;duplicateLayerWithoutSameHierarchyOnMerge persist:&lt;boolean&gt;\n\
persist default value: true\n\
\n\
</pre></div><p>Sets the state of the option controlling whether to duplicate a layer when merging if a layer to be merged has the same name, but different hierarchy as an existing layer in the scene.</p>\n\
<p>When set to True, a duplicate layer will be created.</p>\n\
<p>When set to False, no duplicate will be created.</p>\n\
<p>When the <span class=\'code\'>persist:</span> optional argument is set to True or omitted, the setting will persist between sessions.</p>\n\
<p>When the <span class=\'code\'>persist:</span> option is set to False, the setting will affect only the current session.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` for i = 0 to layerManager.count-1 do ( ilayer = layerManager.getLayer i layerName = ilayer.name layer = ILayerManager.getLayerObject i layerNodes = refs.dependents layer format &quot;Layer: %; nodes: %\\n&quot; layerName layerNodes )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"layermanager-interfaces\"></a><h2 id=\"layermanager-interfaces\">LayerManager Interfaces:</h2></div>\n\
<p>Interface: <strong>LayerProperties</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-LayerProperties.html\' title=\'\'>Interface: LayerProperties</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";