var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LightMeterManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LightMeterManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-lightmetermanager\"></a></div>\n\
<p>The <strong>LightMeterManager Interface</strong> exposes properties and methods related to managing LightMeter Helpers. The same methods are used by the Lighting Analysis Assistant tool.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>LightMeterManager.deleteCacheBeforeCalculation : boolean : Read|Write    \n\
</pre></div><p>Get/set the option controlling whether to delete the Cache before calculating Light Meters.</p>\n\
<p>When set to true, the Cache data will be deleted before calculating.</p>\n\
<p>When set to false, it will not be deleted.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;LightMeterManager.getNumLightMeterHelpers()   \n\
</pre></div><p>Returns the number of LightMeter Helpers in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;LightMeterManager.getNthLightMeterHelper &lt;index&gt;index \n\
</pre></div><p>Returns the LightMeter Interface of the N-th LightMeter Helper in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;LightMeterManager.getNthLightMeterHelperNode &lt;index&gt;index \n\
</pre></div><p>Returns the node of the N-th LightMeter Helper in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;LightMeterManager.getNumActiveLightMeterHelpers() \n\
</pre></div><p>Returns the number of active LightMeter Helpers in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LightMeterManager.isCalculatingMeters() \n\
</pre></div><p>Returns true if the Lighting Analysis Assistant is calculating LightMeters, false if not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LightMeterManager.calculateMeters &lt;index&gt;index &lt;boolean&gt;useRenderTimes &lt;boolean&gt;useRenderSettings \n\
</pre></div><p>Performs the LightMeter calculation for the indexed light meter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LightMeterManager.outputActiveMetersToCSVFiles &lt;string&gt;namePrefix \n\
</pre></div><p>Writes the data from the active LightMeters to a Comma-Separated Values file with the specified name prefix.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";