var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LightingUnits</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LightingUnits</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-lightingunits\"></a></div>\n\
<p>The <strong>LightingUnits Core Interface</strong> exposes the Lighting Units settings to MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>Interface: LightingUnits \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LightingUnits.IsLightingSystemSI()   \n\
</pre></div><p>Returns true if the Lighting Units are set to International (SI) system, false if set to American (AS) sytem.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LightingUnits.IsLightingSystemAS() \n\
</pre></div><p>Returns true if the Lighting Units are set to American (AS) system, false if set to International (SI) system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LightingUnits.SetLightingSystemToSI() \n\
</pre></div><p>Sets the Lighting Units to International (SI) system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LightingUnits.SetLightingSystemToAS() \n\
</pre></div><p>Sets the Lighting Units to American (AS) system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;LightingUnits.GetLuminanceUnits() \n\
</pre></div><p>Returns a string containing the Luminance Units, for example &quot;cd/m^2&quot; for SI and &quot;cd/ft^2&quot; for AS.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;LightingUnits.GetIlluminanceUnits() \n\
</pre></div><p>Returns a string containing the Illuminance Units, for example &quot;lx&quot; for SI and &quot;fc&quot; for AS.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;LightingUnits.ConvertASToSI &lt;float&gt;as_value \n\
</pre></div><p>Returns the SI value corresponding to the supplied AS value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;LightingUnits.ConvertSIToAS &lt;float&gt;si_value \n\
</pre></div><p>Returns the AS value corresponding to the supplied SI value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;LightingUnits.ConvertToCurrentSystem &lt;float&gt;value &lt;boolean&gt;is_SI_value \n\
</pre></div><p>Returns the value in the current system corresponding to the supplied value. When <span class=\'code\'>is_SI_value</span> is <span class=\'code\'>true</span> , the input value is taken as SI, when <span class=\'code\'>false</span> , it is taken as AS value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";