var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LoadSaveAnimation</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LoadSaveAnimation</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-loadsaveanimation\"></a></div>\n\
<p>The <strong>LoadSaveAnimation Core Interface</strong> provides access to the animation clip loading and saving feature.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface: LoadSaveAnimation \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;LoadSaveAnimation.loadAnimationDlg()   \n\
</pre></div><p>Opens the Load Animation dialog.</p>\n\
<p>Returns the filename of the selected file, or undefined if the dialog was canceled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;LoadSaveAnimation.saveAnimationDlg() \n\
</pre></div><p>Opens the Save Animation dialog.</p>\n\
<p>Returns the filename of the selected file, or undefined if the dialog was canceled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.saveAnimation &lt;filename&gt;fileName &lt;&amp;node array&gt;nodes &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt;userValues animatedTracks:&lt;boolean&gt; includeConstraints:&lt;boolean&gt; keyableTracks:&lt;boolean&gt; saveSegment:&lt;boolean&gt; segInterval:&lt;interval by value&gt; segKeyPerFrame:&lt;boolean&gt; \n\
\n\
nodes is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
animatedTracks default value: true \n\
includeConstraints default value: true \n\
keyableTracks default value: false \n\
saveSegment default value: false \n\
segInterval default value: (interval 0f 0f) \n\
segKeyPerFrame default value: false \n\
</pre></div><p>Saves the animation of the nodes specified by the nodes by-reference array to the specified filename, adding the supplied user attributes and user values from the by-reference string arrays.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Save Animation dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.saveAnimationNodeAnim &lt;filename&gt;fileName &lt;&amp;Interface array&gt;nodeAnims &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt; userValues animatedTracks: &lt;boolean&gt; includeConstraints:&lt;boolean&gt; keyableTracks:&lt;boolean&gt; saveSegment:&lt;boolean&gt; segInterval:&lt;inteval by value&gt; segKeyPerFrame:&lt;boolean&gt; \n\
\n\
nodeAnims is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
animatedTracks default value: true \n\
includeConstraints default value: true \n\
keyableTracks default value: false \n\
saveSegment default value: false \n\
segInterval default value: (interval 0f 0f) \n\
segKeyPerFrame default value: false \n\
</pre></div><p>Saves the animation of the node anims specified by the by-reference array of interfaces to the specified filename, adding the supplied user attributes and user values from the by-reference string arrays.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Save Animation dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.loadAnimation &lt;filename&gt;fileName &lt;&amp;node array&gt;nodes relative:&lt;boolean&gt; insert:&lt;boolean&gt; insertTime:&lt;time&gt; stripLayers:&lt;boolean&gt; useMapFile:&lt;boolean&gt; mapFileName:&lt;filename&gt; \n\
\n\
nodes is In and Out parameter \n\
relative default value: true \n\
insert default value: false \n\
insertTime default value: 0f \n\
useMapFile default value: false \n\
mapFileName default value: undefined \n\
</pre></div><p>Loads the animation from the specified filename to the nodes specified by the nodeTab by-reference array.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Load Animation dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.loadAnimationNodeAnim &lt;filename&gt;fileName &lt;&amp;Interface array&gt;nodeAnims relative:&lt;boolean&gt; insert:&lt;boolean&gt; insertTime:&lt;time&gt; useMapFile:&lt;boolean&gt; mapFileName:&lt;filename&gt; \n\
\n\
nodeAnims is In and Out parameter \n\
relative default value: true \n\
insert default value: false \n\
insertTime default value: 0f \n\
stripLayers default value: false \n\
useMapFile default value: false \n\
mapFileName default value: undefined \n\
</pre></div><p>Loads the animation from the specified filename to the nodeAnims specified by the by-reference array.</p>\n\
<p>The optional keyword parameters correspond to the options found in the Load Animation dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.createMapFile &lt;filename&gt;fileName &lt;&amp;node array&gt;nodes &lt;filename&gt;incomingAnimationFile &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt;userValues &lt;&amp;Interface array&gt;retargetData nodeMapType:&lt;enum&gt; matchControllerExactName:&lt;boolean&gt; matchControllerType:&lt;boolean&gt; stripLayers:&lt;boolean&gt; \n\
\n\
nodes is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
retargetData is In and Out parameter \n\
nodeMapType enums: {#matchExactNodeName|#matchClosestNodeName|#matchNodeHierarchy} \n\
nodeMapType default value: #matchClosestNodeName \n\
matchControllerExactName default value: true \n\
matchControllerType default value: false \n\
stripLayers default value: false \n\
</pre></div><p>Creates a map file with the given filename using the nodes specified by the by-reference array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.createMapFileNodeAnim &lt;filename&gt;fileName &lt;&amp;Interface array&gt;nodeAnims &lt;filename&gt;incomingAnimationFile &lt;&amp;string array&gt;userAttributes &lt;&amp;string array&gt;userValues &lt;&amp;Interface array&gt;retargetData nodeMapType:&lt;enum&gt; matchControllerExactName:&lt;boolean&gt; matchControllerType:&lt;boolean&gt; \n\
\n\
nodeAnims is In and Out parameter \n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
retargetData is In and Out parameter \n\
nodeMapType enums: {#matchExactNodeName|#matchClosestNodeName|#matchNodeHierarchy} \n\
nodeMapType default value: #matchClosestNodeName \n\
matchControllerExactName default value: true \n\
matchControllerType default value: false \n\
</pre></div><p>Creates a map file with the given filename using the nodeAnims specified by the by-reference array of interfaces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;LoadSaveAnimation.makeRetargetData() \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LoadSaveAnimation.html\' title=\'\'>retargetData</a> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] which can be used in the <span class=\'code\'>LoadSaveAnimation.createMapFile()</span> method. See bottom of this page for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.getUserAttributes &lt;filename&gt;fileName &lt;&amp;TSTR array&gt;userAttributes &lt;&amp;TSTR array&gt;userValues \n\
\n\
userAttributes is In and Out parameter \n\
userValues is In and Out parameter \n\
</pre></div><p>Reads the user attributes and user values from the specified XAF file and writes them into the userAttributes and userValues by-reference string arrays. Returns true on success, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;LoadSaveAnimation.getAnimFileExtension() \n\
</pre></div><p>Returns the animation format&#39;s file extension as string. Default value returned is &quot;xaf&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;LoadSaveAnimation.getAnimMapFileExtension() \n\
</pre></div><p>Returns the map format&#39;s file extension as string. Default value returned is &quot;xmm&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;LoadSaveAnimation.getAnimFileDirectory() \n\
</pre></div><p>Returns the animation files path as filename.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LoadSaveAnimation.setAnimFileDirectory &lt;filename&gt;fileName \n\
</pre></div><p>Sets the animation files path to the given file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;LoadSaveAnimation.getAnimMapFile() \n\
</pre></div><p>Returns the animation map file asfilename. Default return value is &quot;Default&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LoadSaveAnimation.setAnimMapFile &lt;filename&gt;fileName \n\
</pre></div><p>Sets the animation map file to the given file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface by value array&gt;LoadSaveAnimation.setUpAnimsForSave &lt;&amp;node array&gt;nodesToSetup animatedTracks:&lt;boolean&gt; includeContraints:&lt;boolean&gt; keyable:&lt;boolean&gt; \n\
\n\
nodesToSetup is In and Out parameter \n\
animatedTracks default value: true \n\
includeContraints default value: true \n\
keyable default value: false \n\
</pre></div><p>Prepares the specified nodes for animation saving.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface by value array&gt;LoadSaveAnimation.setUpAnimsForLoad &lt;&amp;node array&gt;nodesToSetup includePB2s:&lt;boolean&gt; stripLayers:&lt;boolean&gt; \n\
\n\
nodesToSetup is In and Out parameter \n\
includePB2s default value: false \n\
stripLayers default value: false \n\
</pre></div><p>Prepares the specified nodes for animation loading.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface by value array&gt;LoadSaveAnimation.setUpAnimsForMap &lt;&amp;node array&gt;nodesToSetup stripLayers:&lt;boolean&gt; \n\
\n\
nodesToSetup is In and Out parameter \n\
stripLayers default value: false \n\
</pre></div><p>Prepares the specified nodes for mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.replaceAttributesInMapFile &lt;filename&gt;mapFileName &lt;filename&gt;newMapFileName &lt;&amp;TSTR array&gt;oldStrings &lt;&amp;TSTR array&gt;newStrings &lt;boolean&gt;mapName \n\
\n\
oldStrings is In and Out parameter \n\
newStrings is In and Out parameter \n\
</pre></div><p>Replaces attributes specified by oldStrings from the file mapFileName with the attributes specified by newStrings and creates a file named according to newMapFileName.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LoadSaveAnimation.createDefaultMapFile &lt;&amp;node array&gt;nodes &lt;filename&gt;mapFileName \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Creates a default map file with the name provided as second argument out of the the nodes given as first argument.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LoadSaveAnimation.createNodeAnimsForLoad &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;maxObject array&gt;subNums &lt;&amp;Interface array&gt;nodeAnims \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
nodeAnims is In and Out parameter \n\
</pre></div><p>Creates node anims for loading. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LoadSaveAnimation.createNodeAnimsForSave &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;maxObject array&gt;subNums &lt;&amp;Interface array&gt;nodeAnims \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
nodeAnims is In and Out parameter \n\
</pre></div><p>Creates node anims for saving. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LoadSaveAnimation.createNodeAnimsForMap &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;maxObject array&gt;subNums &lt;&amp;Interface array&gt;nodeAnims \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
nodeAnims is In and Out parameter \n\
</pre></div><p>Creates node anims for mapping. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;LoadSaveAnimation.loadAnimationDlgFromAnims &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;integer array&gt;subNums \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
</pre></div><p>Opens a Load Animation Dialog using the provided Anims. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;LoadSaveAnimation.saveAnimationDlgFromAnims &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;integer array&gt;subNums \n\
\n\
anims is In and Out parameter \n\
clients is In and Out parameter \n\
subNums is In and Out parameter \n\
</pre></div><p>Opens a Save Animation Dialog using the provided Anims. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>The following [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] can be used to create the elements of the retarget data array required by the <span class=\'code\'>LoadSaveAnimation.createMapFile()</span> method:</p>\n\
<p><strong><mixininterface:retargetdata></mixininterface:retargetdata></strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: retargetData \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.currentNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the current node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.incomingNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the incoming node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.absolute : boolean : Read|Write \n\
</pre></div><p>Enable/disable absolute/relative retargeting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.scale : point3 : Read|Write \n\
</pre></div><p>Get/set the retarget scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.currentBaseNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the current base node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.incomingBaseNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the incoming base node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.currentBaseChainNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the current base chain node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.currentEndChainNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the current end chain node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.incomingBaseChainNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the incoming base chain node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.incomingEndChainNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the incoming end chain node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.FKRetargetingEnabled : boolean : Read|Write \n\
</pre></div><p>Enable/disable FK Retargeting. When set to true, FK Retargeting will be enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:retargetData&gt;.FKBaseChainNodeName : string : Read|Write \n\
</pre></div><p>Get/set the name of the FK base chain node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";