var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MXSDebugger</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MXSDebugger</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-mxsdebugger\"></a></div>\n\
<p>The <strong>MXSDebugger</strong> Core Interface provides access to the settings of the MAXScript Debugger in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>Interface: MXSDebugger \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.isDialogOpen : boolean : Read   \n\
</pre></div><p>Contains true when the Debugger&#39;s dialog is open, false otherwise. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.hWnd : HWND : Read \n\
</pre></div><p>Contains the Windows Handle of the Debugger&#39;s dialog. Read-only.</p>\n\
<div class=\'section\'><a id=\"configuration---parameters\"></a><h2 id=\"configuration---parameters\">Configuration - Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.allowBreakOnThrow : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Allow Break On Throw</strong> checkbox. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.breakOnError : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Break On Error</strong> checkbox. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.breakOnException : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Break On Exception</strong> checkbox. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.defaultBreakOnThrow : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Default Throw debugBreak:on</strong> checkbox. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.ignoreCaughtThrows : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Ignore Caught Throws</strong> checkbox. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.ignoreCaughtErrors : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Ignore Caught Errors</strong> checkbox. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.ignoreCaughtExceptions : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Ignore Caught Throws</strong> checkbox. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.enabledInQuietMode : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Enable in Quiet Mode</strong> checkbox. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.enabledInNetRender : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Enable in Net Render</strong> checkbox. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.allowUnsafeMethods : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Allow Unsafe Method Calls</strong> checkbox. Default is false.</p>\n\
<p>If true, methods and property sets that could potentially hang <strong>3ds Max</strong> are allowed to be performed from the debugger.</p>\n\
<p>In many cases, if a hang occurs, the hang will last only as long as the command timeout period.</p>\n\
<p>In some cases though, the hang is complete and the <strong>3ds Max</strong> session will need to be <strong>manually terminated</strong>.</p>\n\
<blockquote>\n\
<p><strong>AN EXAMPLE OF THIS IS PERFORMING</strong></p>\n\
<p>``` eval loadmaxfile &quot;ateapot.max&quot;.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.showGlobalConstants : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Show Global Constants</strong> checkbox. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.showFirstFrameOnly : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Show First Frame Only</strong> checkbox. Default is false. If true, only the information associated with the top frame is displayed.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.stayOnTop : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Stay On Top</strong> checkbox. Default is false. If true, the Debugger dialog will always stay on top.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.clearOutputOnOpen : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Clear Output On Open</strong> checkbox. When set to true, any previous output of the Debugger will be cleared before a new stack dump when a break occurs. When set to false, existing output will be preserved and added to. Default is true.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"configuration---set-periods\"></a><h2 id=\"configuration---set-periods\">Configuration - Set Periods</h2></div>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.commandTimeOutPeriod : integer : Read|Write \n\
</pre></div><p>Get/Set the Command Timeout period in seconds. Default is 15.0 sec.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.breakTimeoutPeriod : integer : Read|Write \n\
</pre></div><p>Get/Set the Break Timeout period in milliseconds. Default is 5 ms.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.gcTimeoutPeriod : integer : Read|Write \n\
</pre></div><p>Get/Set the GC Timeout period in seconds. Default is 5.0 sec.</p>\n\
<div class=\'codeBlock\'><pre>MXSDebugger.breakCyclePeriod : integer : Read|Write \n\
</pre></div><p>Get/Set the Break Cycle Timeout period in milliseconds. Default is 1 ms.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MXSDebugger.openDialog break:&lt;boolean&gt; message:&lt;string&gt; setFocus:&lt;boolean&gt; \n\
break default value: false message default value: undefined setFocus default value: false \n\
</pre></div><p>Opens the Debugger dialog.</p>\n\
<p>If the optional keyword <span class=\'code\'>break:</span> is supplied and is true, the debugger breaks 3ds Max execution and dumps the stack.</p>\n\
<p>If the optional keyword <span class=\'code\'>message:</span> is supplied and is not undefined, the string will be output to the message window before dumping the stack.</p>\n\
<p>If the optional keyword <span class=\'code\'>setFocus:</span> is supplied and is true, OR <span class=\'code\'>break:</span> is true, the focus will be set on the Debugger dialog.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` mxsdebugger.openDialog message:&quot;Welcome to MAXScript Debugger&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MXSDebugger.closeDialog() \n\
</pre></div><p>Closes the Debugger dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MXSDebugger.writeString &lt;string&gt;message \n\
</pre></div><p>Writes the given string to the Debugger&#39;s message queue without adding a new line at the end and without displaying the string.</p>\n\
<p>Consecutive messages would be added to the same line.</p>\n\
<p>If an explicit new line sequence \\n is provided, the resulting message will be displayed.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` mxsdebugger.openDialog() mxsdebugger.writeString &quot;This text is &quot; mxsdebugger.writeString &quot;on the same line.\\n&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MXSDebugger.writeLine &lt;string&gt;message \n\
</pre></div><p>Writes the given string to the Debugger&#39;s message window and adds a new line to the end automatically.</p>\n\
<p>The message is displayed immediately.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` mxsdebugger.openDialog() mxsdebugger.writeLine &quot;This message is a complete line.&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";