var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MaxRibbon</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MaxRibbon</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-maxribbon\"></a></div>\n\
<p>This Core Interface exposes methods to access the appearance of the Ribbon User Interface.</p>\n\
<div class=\'codeBlock\'><pre>Interface: MaxRibbon \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MaxRibbon.SetRibbonOrientation &lt;enum&gt;orientation   \n\
\n\
orientation enums: {#Horizontal|#Vertical}   \n\
</pre></div><p>Sets the Ribbon&#39;s orientation to horizontal or vertical.</p>\n\
<p>Note: This method is deprecated and has no effect, as of <strong>3ds Max 2013</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;enum&gt;MaxRibbon.GetRibbonOrientation() \n\
\n\
GetRibbonOrientation enums: {#Horizontal|#Vertical} \n\
</pre></div><p>Returns the Ribbon&#39;s orientation.</p>\n\
<p>Note: This method is deprecated and has no effect, as of <strong>3ds Max 2013</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MaxRibbon.ShowRibbon &lt;boolean&gt;show \n\
</pre></div><p>When the argument is true, shows the Ribbon.</p>\n\
<p>When the argument is false, hides the Ribbon.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;MaxRibbon.IsRibbonOpen() \n\
</pre></div><p>Returns true if the Ribbon is open, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MaxRibbon.LoadRibbonConfig &lt;&amp;String&gt;configFile \n\
\n\
configFile is In and Out parameter\n\
</pre></div><p>Loads the Ribbon Configuration from the specified file. The <span class=\'code\'>configFile</span> must contain the path.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MaxRibbon.SaveRibbonConfig &lt;&amp;String&gt;configFile \n\
\n\
configFile is In and Out parameter\n\
</pre></div><p>Saves the Ribbon Configuration to the specified file. The <span class=\'code\'>configFile</span> must contain the path. This command saves the configuration in two files, one named [configFile].ribbon, and the other [configFile].xaml. Only the .xaml version is actually used. The configuration contains any user customization and the ribbon&#39;s show/hide state, but not its size, position, or docking state.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MaxRibbon.ResetRibbon() \n\
</pre></div><p>Resets the Ribbon to its default show/hide state, and discards any user customization. This function does not reset the ribbon&#39;s position, size, or docking state.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MaxRibbon.SetRibbonDockState &lt;enum&gt;dockState \n\
\n\
dockState enums: {#TopDock|#BottomDock|#LeftDock|#RightDock|#Floating} \n\
</pre></div><p>Sets the Ribbon state according to the enum parameter:</p>\n\
<p><span class=\'code\'>#TopDock</span> - docks the Ribbon to the top of the <strong>3ds Max</strong> UI, switching to horizontal layout if necessary.</p>\n\
<p><span class=\'code\'>#BottomDock</span> - docks the Ribbon to the bottom of the <strong>3ds Max</strong> UI, switching to horizontal layout if necessary.</p>\n\
<p><span class=\'code\'>#LeftDock</span> - docks the Ribbon to the left of the <strong>3ds Max</strong> UI, switching to vertical layout if necessary.</p>\n\
<p><span class=\'code\'>#RightDock</span> - docks the Ribbon to the right of the <strong>3ds Max</strong> UI, switching to vertical layout if necessary.</p>\n\
<p><span class=\'code\'>#Floating</span> - undocks and floats the Ribbon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MaxWpfContent.IsRibbonFloating() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Ribbon is floating, <span class=\'code\'>false</span> if it is docked.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` MaxRibbon.ShowRibbon true --make sure the Ribbon is visible --&gt; OK MaxRibbon.GetRibbonOrientation() --check the orientation --&gt; #Horizontal MaxRibbon.SetRibbonOrientation #Vertical --switch to vertical --&gt; OK MaxRibbon.GetRibbonOrientation() --make sure it worked --&gt; #Vertical MaxRibbon.ShowRibbon false --hide the Ribbon --&gt; OK MaxRibbon.IsRibbonOpen() --check if the Ribbon is hidden --&gt; false MaxRibbon.ShowRibbon true --unhide the Ribbon --&gt; OK MaxRibbon.IsRibbonOpen() --check again, now it is visible --&gt; true MaxRibbon.SetRibbonDockState #RightDock --dock to the right side --&gt; OK MaxRibbon.SetRibbonOrientation #Horizontal --switch to Horizontal --&gt; OK MaxRibbon.SetRibbonDockState #Floating --and float the Ribbon --&gt; OK MaxRibbon.IsRibbonFloating() --check if it is Floating --&gt; true MaxRibbon.SetRibbonDockState #TopDock --dock the Ribbon to the top --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";