var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MeshInspector</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MeshInspector</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-meshinspector\"></a></div>\n\
<p>The <strong>MeshInspector Core Interface</strong> available in <strong>3ds Max 2014 and higher</strong> exposes properties for the system for checking and repairing inconsistent data in scene geometry objects.</p>\n\
<p>The Mesh Inspector runs in the background and checks geometry objects for errors after the scene is loaded, before the scene is saved, or when the topology of an object is changed at the base object level or on the stack.</p>\n\
<p>The Mesh Inspector checks for the following potential problems:</p>\n\
<ul>\n\
<li>Bad vertex position values such as NAN and or +/- Infinity</li>\n\
<li>Unallocated map channels</li>\n\
<li>Unallocated face map channels</li>\n\
<li>Unallocated vertex map channels</li>\n\
<li>Array out of bounds indices</li>\n\
<li>Dead structure references</li>\n\
<li>Degenerate faces (MNMesh only)</li>\n\
<li>Spur edges (MNMesh only)</li>\n\
<li>No degree faces (MNMesh only)</li>\n\
<li>Face degree mismatch (MNMesh only)</li>\n\
</ul>\n\
<p>The system works at two levels:</p>\n\
<ul>\n\
<li>Level 1 Errors are repaired automatically without user interaction. These errors do not change the appearance or topology of the mesh.</li>\n\
<li>Level 2 Errors are reported to the user and only repaired if explicitly requested. These errors may change the look or topology of the mesh.</li>\n\
</ul>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>MeshInspector.Enable : boolean : Read|Write\n\
</pre></div><p>When set to True (default), the Mesh Inspector will be enabled and will check geometry objects for Level 2 errors.</p>\n\
<p>When set to False, no Level 2 inspection will be performed. <strong>Level 1 errors will still be checked for and repaired automatically</strong> as long as <span class=\'code\'>MeshInspector.RepairMesh</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>MeshInspector.RepairMesh : boolean : Read|Write\n\
</pre></div><p>When set to True (default), the Mesh Inspector will fix Level 1 errors and report Level 2 errors.</p>\n\
<p>When set to False, the Mesh Inspector will not fix any Level 1 or Level 2 errors, only report them according to the settings below. The effectively sets it to Report-Only mode.</p>\n\
<div class=\'codeBlock\'><pre>MeshInspector.ShowDialog : boolean : Read|Write\n\
</pre></div><p>When set to True, the Mesh Inspector will show a dialog when one or more Level 2 errors are detected.</p>\n\
<p>When set to False (default), no dialog will be displayed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>No Methods Exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";