var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: MouseConfigManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: MouseConfigManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-mouseconfigmanager\"></a></div>\n\
<p>This Core Interface exposes the <strong>Mouse Configuration Manager</strong> to MAXScript.</p>\n\
<p>It allows the behavior of the mouse within the viewports to be customized and adapted to various user workflows, including the emulation of <strong>Autodesk Maya</strong> mouse controls.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-261CF8C6-5859-4593-9B56-64C2E1359340-low.png\' title=\'\'></div>\n\
<p>See also the related <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IInteractionMode.html\' title=\'\'>Interface IInteractionMode</a> which exposes the <strong>Interaction Mode</strong> tab of the <strong>Preference Settings</strong> dialog.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.AutoFocusViewportOnKeyPress : boolean : Read|Write\n\
</pre></div><p>Get/set the auto-focus viewport on key press behavior.</p>\n\
<p>When set to false (<strong>3ds Max</strong> default), pressing a key while the mouse is over a non-active viewport will not change focus to that viewport.</p>\n\
<p>When set to true (<strong>Maya</strong> default), pressing a keyboard shortcut will automatically switch focus to the viewport the mouse is over.</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.MayaSelectionMode : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the Maya Selection Mode option.</p>\n\
<p>When set to False (default), selection will be performed using the 3ds Max default behavior.</p>\n\
<p>When set to True, the Maya selection behavior will be used.</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.ArcRotateLocked : boolean : Read|Write\n\
</pre></div><p>Get/set the locking of the Orbit (formerly known as Arc Rotate) feature in Orthographic viewports (e.g. Top, Bottom, Front, Back, Left, Right).</p>\n\
<p>When set to False (<strong>3ds Max</strong> default), performing Orbit in an Orthographic viewport will turn it into an Orthographic (a.k.a. User) view.</p>\n\
<p>When set to True (<strong>Maya</strong> default), Orbit cannot be performed in Orthographic viewports, only in viewport already set to Perspective or Orthographic.</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.ZoomAboutMousePointOrthographic : boolean : Read|Write\n\
</pre></div><p>Get/set whether to zoom about the mouse point in Orthographic viewports.</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.ZoomAboutMousePointPerspective : boolean : Read|Write\n\
</pre></div><p>Get/set whether to zoom about the mouse point in Perspective viewports.</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.RightClickMenuOverSelectedOnly : boolean : Read|Write\n\
</pre></div><p>Get/set whether to allow the opening of QuadMenus when right-clicking anywhere in the viewport (false, default <strong>3ds Max</strong> behavior),</p>\n\
<p>or only over selected objects (true, default Maya behavior)</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.MiddleMouseStrokeMode : boolean : Read|Write\n\
</pre></div><p>Get/set whether to use the mouse wheel for Strokes or Viewport Pan.</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.ZoomWheelIncrement : float : Read|Write\n\
</pre></div><p>Get/set the zoom increment when using the mouse wheel.</p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.ZoomInDirection : enum : Read|Write\n\
\n\
ZoomInDirection enums: {#North|#NorthEast|#East|#SouthEast|#South|#SouthWest|#West|#NorthWest\n\
</pre></div><p>Get/set the Zoom In mouse direction.</p>\n\
<p>The <strong>3ds Max</strong> default is <span class=\'code\'>#North</span> .</p>\n\
<p>The <strong>Maya</strong> default is <span class=\'code\'>#SouthEast</span></p>\n\
<div class=\'codeBlock\'><pre>MouseConfigManager.UserMode : enum : Read|Write \n\
\n\
UserMode enums: {#Max|#Maya|#Customized}\n\
</pre></div><p>Get/set the current Use Mode.</p>\n\
<p>Possible mode values are:</p>\n\
<p><span class=\'code\'>#Max</span> - all mouse settings match the standard <strong>3ds Max</strong> behavior</p>\n\
<p><span class=\'code\'>#Maya</span> - all mouse settings match the standard <strong>Maya</strong> behavior</p>\n\
<p><span class=\'code\'>#Customized</span> - the mouse settings have been customized and are a mixture of <strong>3ds Max</strong> and <strong>Maya</strong> behaviors</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MouseConfigManager.GetZoomShortcut &lt;&amp;enum&gt;key &lt;&amp;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
key is Out parameter\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}\n\
button is Out parameter\n\
</pre></div><p>Returns the current Viewport Zoom shortcut into the two by-reference arguments.</p>\n\
<p>The first argument provides the keyboard key, the second provides the mouse button.</p>\n\
<p><strong>3ds Max</strong> defaults are <span class=\'code\'>#CtrlAlt</span> and <span class=\'code\'>#MiddleButton</span> .</p>\n\
<p><strong>Maya</strong> defaults are <span class=\'code\'>#Alt</span> and <span class=\'code\'>#RightButton</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` MouseConfigManager.GetZoomShortcut &amp;theKey &amp;theButton --&gt; OK theKey --&gt; #CtrlAlt theButton --&gt; #MiddleButton</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MouseConfigManager.SetZoomShortcut &lt;enum&gt;key &lt;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}  \n\
</pre></div><p>Sets the current Viewport Zoom Shortcut to the keyboard key and mouse button specified by the two arguments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MouseConfigManager.GetPanShortcut &lt;&amp;enum&gt;key &lt;&amp;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
key is Out parameter\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}\n\
button is Out parameter\n\
</pre></div><p>Returns the Viewport Pan shortcut into the two by-reference arguments.</p>\n\
<p>The first argument provides the keyboard key, the second provides the mouse button.</p>\n\
<p><strong>3ds Max</strong> defaults are <span class=\'code\'>#Null</span> and <span class=\'code\'>#MiddleButton</span> .</p>\n\
<p><strong>Maya</strong> defaults are <span class=\'code\'>#Alt</span> and <span class=\'code\'>#MiddleButton</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MouseConfigManager.SetPanShortcut &lt;enum&gt;key &lt;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}  \n\
</pre></div><p>Sets the current Viewport Pan shortcut to the keyboard key and mouse button specified by the two arguments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MouseConfigManager.GetRotateShortcut &lt;&amp;enum&gt;key &lt;&amp;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
key is Out parameter\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}\n\
button is Out parameter\n\
</pre></div><p>Returns the Viewport Rotate shortcut into the two by-reference arguments.</p>\n\
<p>The first argument provides the keyboard key, the second provides the mouse button.</p>\n\
<p><strong>3ds Max</strong> defaults are <span class=\'code\'>#Alt</span> and <span class=\'code\'>#MiddleButton</span> .</p>\n\
<p><strong>Maya</strong> defaults are <span class=\'code\'>#Alt</span> and <span class=\'code\'>#LeftButton</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MouseConfigManager.SetRotateShortcut &lt;enum&gt;key &lt;enum&gt;button\n\
\n\
key enums: {#Null|#Shift|#Ctrl|#Alt|#ShiftCtrl|#CtrlAlt|#AltShift|#ShiftCtrlAlt}\n\
button enums: {#NullButton|#LeftButton|#MiddleButton|#RightButton}  \n\
</pre></div><p>Sets the current Viewport Rotate shortcut to the keyboard key and mouse button specified by the two arguments.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";