var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: manip</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: manip</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-manip\"></a></div>\n\
<p>The <strong>manip Core Interface</strong> exposes the viewport <strong>Manipulators</strong> to MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>Interface: manip \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>manip.msXYPlane : Interface : Read   \n\
manip.msXZPlane : Interface : Read   \n\
manip.msYZPlane : Interface : Read   \n\
</pre></div><p>Return a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\' title=\'\'>manipPlane</a> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] providing methods to get intersections with the respective plane.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;manip.makeSphere &lt;point3&gt;pos &lt;float&gt;radius &lt;integer&gt;segments \n\
</pre></div><p>This returns a mesh sphere with the given position, radius, and segments.</p>\n\
<p><span class=\'code\'>&lt;point3&gt;pos</span>: Sets the mesh sphere Position</p>\n\
<p><span class=\'code\'>&lt;float&gt;radius</span>: Specifies the radius of the sphere.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;segments:</span> Sets the number of polygonal divisions for the sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;manip.makeTorus &lt;point3&gt;pos &lt;float&gt;radius &lt;float&gt;radius2 &lt;integer&gt;segs &lt;integer&gt;sides \n\
</pre></div><p>Create a torus mesh with the given values.</p>\n\
<p><span class=\'code\'>&lt;point3&gt;pos:</span> Sets the position of the torus.</p>\n\
<p><span class=\'code\'>&lt;float&gt;radius:</span> Sets the distance from the center of the torus to the center of the cross-sectional circle. This is the radius of the torus ring.</p>\n\
<p><span class=\'code\'>&lt;float&gt;radius2:</span> Sets the radius of the cross-sectional circle. The default is 10 units. This value is replaced each time you create a torus.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;segs:</span> Sets the number of radial divisions around the torus. By reducing this number, you can create polygonal rings instead of circular ones.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;sides:</span> Sets the number of sides on the cross-sectional circle of the torus. By reducing this number, you can create prism-like cross sections instead of circular ones.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;manip.makeBox &lt;point3&gt;pos &lt;float&gt;l &lt;float&gt;w &lt;float&gt;h &lt;integer&gt;lsegs &lt;integer&gt;wsegs &lt;integer&gt;hsegs \n\
</pre></div><p>Creates a box mesh with the given parameters.</p>\n\
<p><span class=\'code\'>&lt;point3&gt;pos</span> : Sets the position of the Box.</p>\n\
<p><span class=\'code\'>&lt;float&gt;l</span> : Sets the length, width, and height of the Box object. These fields also act as readouts while you drag the sides of the box. Default=0,0,0.</p>\n\
<p><span class=\'code\'>&lt;float&gt;w</span> : Sets the length, width, and height of the Box object. These fields also act as readouts while you drag the sides of the box. Default=0,0,0.</p>\n\
<p><span class=\'code\'>&lt;float&gt;h</span> : Sets the length, width, and height of the Box object. These fields also act as readouts while you drag the sides of the box. Default=0,0,0.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;lsegs</span> : Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the box is a single segment. When you reset these values, the new values become the default during a session. Default=1,1,1.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;wsegs</span> : Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the box is a single segment. When you reset these values, the new values become the default during a session. Default=1,1,1.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;hsegs</span> : Sets the number of divisions along each axis of the object. Can be set before or after creation. By default, each side of the box is a single segment. When you reset these values, the new values become the default during a session. Default=1,1,1.</p>\n\
<blockquote>\n\
<p>Tip:</p>\n\
<p>Increase the Segments settings to give objects extra resolution for being affected by modifiers. For example, if you&#39;re going to bend a box on the Z axis, you might want to set its Height Segments parameter to 4 or more.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;manip.makeCircle &lt;point3&gt;center &lt;float&gt;radius &lt;integer&gt;segments \n\
</pre></div><p>Creates a circle with the given parameters.</p>\n\
<p><span class=\'code\'>&lt;point3&gt;center</span></p>\n\
<p>Sets the position of the Circle.</p>\n\
<p><span class=\'code\'>&lt;float&gt;radius</span> : Sets the radius of the Circle.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;segments</span> : Sets the number of segments in the Circle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;manip.makeGizmoShape() \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-gizmoShape.html\' title=\'\'>gizmoShape Interface</a> representing an empty gizmo shape that can be used to create user-defined gizmos by adding points to define freeform lines.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;manip.makePlaneFromPts &lt;point3&gt;p1 &lt;point3&gt;p2 &lt;point3&gt;p3 \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\' title=\'\'>manipPlane Interface</a> representing a plane passing through the three given points.</p>\n\
<p><span class=\'code\'>&lt;point3&gt;p1</span> : first point of the plane definition</p>\n\
<p><span class=\'code\'>&lt;point3&gt;p2</span> : second point of the plane definition</p>\n\
<p><span class=\'code\'>&lt;point3&gt;p3</span> : third point of the plane definition</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;manip.makePlaneFromNormal &lt;point3&gt;normal &lt;point3&gt;point \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Manipulator-Interfaces/Interface-manipPlane.html\' title=\'\'>manipPlane Interface</a> representing a plane with the given normal that passes through the given point.</p>\n\
<p><span class=\'code\'>&lt;point3&gt;normal</span> : the normal of the plane</p>\n\
<p><span class=\'code\'>&lt;point3&gt;point</span> : the point the plane passes through</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";