var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: maxOps</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: maxOps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-maxops\"></a></div>\n\
<p>This <strong>Core Interface</strong> exposes various <strong>3ds Max</strong> system properties and methods to MAXScript.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"version-and-license-info\"></a><h2 id=\"version-and-license-info\">Version and License Info</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.IsRenderActive : boolean : Read \n\
</pre></div><p>Returns True if the renderer is active.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.productAppID: enum : Read        \n\
\n\
productAppID enums: {#max}   \n\
</pre></div><p>Returns the application ID.</p>\n\
<p>The enum value returned is:</p>\n\
<p><span class=\'code\'>#max</span> - 3ds Max</p>\n\
<p>Note: The following values were available in versions prior to <strong>3ds Max 2016</strong>:</p>\n\
<p><span class=\'code\'>#none</span> - no ID</p>\n\
<p><span class=\'code\'>#viz</span> - Autodesk VIZ</p>\n\
<p><span class=\'code\'>#gmax</span> - gmax</p>\n\
<p><span class=\'code\'>#vizR</span> -VIZrender</p>\n\
<div class=\'codeBlock\'><pre>maxOps.productID : enum : Read   \n\
\n\
productID enums: {#3dsMax} \n\
</pre></div><p>Available prior to <strong>3ds Max 2017</strong>. Returns the 3ds Max &quot;flavor&quot;.</p>\n\
<p>The enum value returned is:</p>\n\
<p><span class=\'code\'>#3dsMax</span> - 3ds Max Entertainment Version</p>\n\
<p>Note: The <span class=\'code\'>#3dsMaxDesign</span> value was available in versions prior to <strong>3ds Max 2016</strong>.</p>\n\
<p><span class=\'code\'>#3dsMaxDesign</span> - 3ds Max Design Version</p>\n\
<div class=\'codeBlock\'><pre>maxOps.productVersion : enum : Read \n\
\n\
productVersion enums: {#productVersionDevel|#productVersionTrial|#productVersionOrdinary|#productVersionEdu|#productVersionNFR} \n\
</pre></div><p>Available prior to <strong>3ds Max 2017</strong>. Returns the Product Version type.</p>\n\
<p>The enum values returned are as follows:</p>\n\
<p><span class=\'code\'>#productVersionDevel</span> - debug build, or licensed in-house</p>\n\
<p><span class=\'code\'>#productVersionTrial</span> - trial license</p>\n\
<p><span class=\'code\'>#productVersionOrdinary</span> - commercial license</p>\n\
<p><span class=\'code\'>#productVersionNFR</span> - not for resale</p>\n\
<p><span class=\'code\'>#productVersionEdu</span> - educational or student license</p>\n\
<p>Note: All copies of <span class=\'code\'>3ds Max</span> return a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>hardwarelockid</a> of &quot;-1&quot; while under the grace period and until they have been authorized. You can also check for that number and initiate your own demo mode.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.licenseBehavior : enum : Read \n\
\n\
licenseBehavior enums: {#licenseBehaviorPermanent|#licenseBehaviorExtendable|#licenseBehaviorNonextendable} \n\
</pre></div><p>Available prior to <strong>3ds Max 2017</strong>. Returns the License Behavior.</p>\n\
<p>The enum values returned are as follows:</p>\n\
<p><span class=\'code\'>#licenseBehaviorPermanent</span> - permanent license, or hardware lock</p>\n\
<p><span class=\'code\'>#licenseBehaviorExtendable</span> - term license, can be extended</p>\n\
<p><span class=\'code\'>#licenseBehaviorNonextendable</span> - term license, cannot be extended</p>\n\
<div class=\'codeBlock\'><pre>maxOps.licenseDaysLeft : integer : Read \n\
</pre></div><p>Available prior to <strong>3ds Max 2017</strong>. Its return value is an integer indicating the number of full days left in the term of the license. A value of 0 means that today is the last day of validity. For permanent licenses, a fixed value is returned indicating greater than 10 years are left.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.isNetworkLicense \n\
</pre></div><p>The property is read-only with a boolean value: <span class=\'code\'>true</span> means a network license, and <span class=\'code\'>false</span> means a local license.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --This example displays the values of your Cdilla license: rollout CdillaOPS &quot;License Properties&quot; width:220 height:270 ( groupBox grp1 &quot;License Values&quot; pos:[18,18] width:180 height:265 button btn5 &quot;Days until Expiration&quot; pos:[50,45] width:119 height:18 editText edt5 &quot;&quot; pos:[50,75] width:119 height:18 button btn6 &quot;License Version&quot; pos:[50,105] width:119 height:18 editText edt6 &quot;&quot; pos:[50,135] width:119 height:18 button btn7 &quot;License Behavior&quot; pos:[50,165] width:119 height:18 editText edt7 &quot;&quot; pos:[50,195] width:119 height:18 button btn8 &quot;Hardware Lock ID&quot; pos:[50,225] width:119 height:18 editText edt8 &quot;&quot; pos:[50,255] width:119 height:18 on btn5 pressed do ( edt5.text = (maxOps.licenseDaysLeft as string) ) on btn6 pressed do ( version = maxOps.productVersion as string edt6.text = substring version 15 version.count ) on btn7 pressed do ( version = maxOps.licenseBehavior as string edt7.text = substring version 16 version.count ) on btn8 pressed do edt8.text = (hardwarelockid as string) ) rof = newRolloutFloater &quot;License Status&quot; 230 380 addRollout CdillaOPS rof</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.isFeatureLicensed &lt;integer&gt;featureNumber \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the given feature is licensed, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'section\'><a id=\"trackbar-controllers\"></a><h2 id=\"trackbar-controllers\">Trackbar, Controllers</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.trackbar : Interface : Read \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>Trackbar Interface</a>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.overrideControllerRangeDefault : boolean : Read|Write \n\
</pre></div><p>When set to true, new procedural controllers that normally require a range will be set to infinite range. When set to false (default behavior prior to <strong>3ds Max 8</strong>), the range of such controllers will be set explicitly to the current animation range, causing the controllers to stop updating after the last frame of the range if the scene animation range is increased later. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.springQuickEditMode : boolean : Read|Write \n\
</pre></div><p>Get/set Spring Quick Edit mode on and off. Corresponds to the checkbox in the Animation tab of the Preferences dialog.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.springRollingStart : integer : Read|Write \n\
</pre></div><p>Get/set the Spring Controller&#39;s Rolling Start value. Corresponds to the Rollback value in the Animation tab of the Preferences dialog.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.getTrackBar() \n\
</pre></div><p>Returns the interface to the trackbar. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>Trackbar Interface</a> for details.</p>\n\
<div class=\'section\'><a id=\"progressive-mode\"></a><h2 id=\"progressive-mode\">Progressive Mode</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.inProgressiveMode : boolean : Read \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if <strong>3ds Max</strong> is in Progressive mode, <span class=\'code\'>false</span> otherwise.</p>\n\
<p>When a time sequence of matrices is computed and has to be assigned to the transformation matrix of a node that employs the standard PRS controller and the standard Euler XYZ controller for the rotation, we can achieve a better animation result if the euler angles for the current frame are calculated based on the angles from the previous frame. The Progressive Mode tells the Euler controller to derive angles based on the previous frame. It is assumed that in this mode, the node transformation is set in strictly forward time order.</p>\n\
<p>Also, see <span class=\'code\'>beginProgressiveMode()</span> and <span class=\'code\'>endProgressiveMode()</span> methods below.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.beginProgressiveMode() \n\
</pre></div><p>Enables Progressive mode. See also <span class=\'code\'>maxOps.inProgressiveMode</span> property above.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.endProgressiveMode() \n\
</pre></div><p>Disables Progressive mode. See also <span class=\'code\'>maxOps.inProgressiveMode</span> property above.</p>\n\
<div class=\'section\'><a id=\"delete-animation\"></a><h2 id=\"delete-animation\">Delete Animation</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;deleteSelectedAnimation() \n\
</pre></div><p>Deletes the selected animation.</p>\n\
<div class=\'section\'><a id=\"ribbon\"></a><h2 id=\"ribbon\">Ribbon</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.isRibbonSupportEnabled()\n\
</pre></div><p>Returns true if the ribbon is supported, false otherwise. The ribbon may be disabled in the 3dsmax.ini file, under the section &quot;Performance&quot;, by setting the &quot;DisableRibbon&quot; key to 1. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"create-tab\"></a><h2 id=\"create-tab\">Create Tab</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.autoGrid : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the AutoGrid option.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.startNewShapeLock : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the Start New Shape option checkbox.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;startNewShape() \n\
</pre></div><p>Start the creation of a new Shape.</p>\n\
<div class=\'section\'><a id=\"hierarchy-tab\"></a><h2 id=\"hierarchy-tab\">Hierarchy Tab</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.pivotMode : enum : Read|Write \n\
\n\
pivotMode enums: {#none | #pivotOnly | #objectOnly | #hierarchyOnly} \n\
</pre></div><p>This property corresponds to the pivot buttons in the Adjust Pivot subpanel of the Hierarchy tab.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.affectChildren : boolean : Read|Write\n\
</pre></div><p>This property corresponds to the <strong>Don&#39;t Affect Children</strong> button in the Adjust Transform subpanel of the Hierarchy tab.</p>\n\
<div class=\'section\'><a id=\"motion-tab-motion-paths\"></a><h2 id=\"motion-tab-motion-paths\">Motion Tab &gt; Motion Paths</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-92D399EA-0C66-4F74-8985-C2FEB179408A-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>maxOps.trajectoryMode : boolean : Read|Write                     \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the Hierarchy tab of the Command Panel will be switched to <strong>Motion Paths mode</strong>.</p>\n\
<p>When set to <span class=\'code\'>false</span> , the Hierarchy tab of the Command Panel will be switched to <strong>Parameters mode</strong>.</p>\n\
<p>If the Command Panel is not in the Hierarchy tab, it will be switched to it automatically.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.trajectoryKeySubMode : boolean : Read|Write                \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the <strong>Motion Paths mode</strong> will be switched to Key Sub-Object mode.</p>\n\
<p>If the Command Panel is not in the Hierarchy tab, it will be switched to it automatically.</p>\n\
<p>If the Hierarchy has not been set to Trajectories mode by setting <span class=\'code\'>maxops.trajectoryMode=true</span> or by manually switching with the mouse , it will be set to Trajectories mode automatically.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.trajectoryAddKeyMode : boolean : Read|Write              \n\
</pre></div><p>When set to true, the Add Key mode in the Trajectories rollout of the Hierarchy tab of the Command Panel will be turned on. When false, it will be turned off.</p>\n\
<p>If the Command Panel is not in the Hierarchy tab, it will be switched to it automatically.</p>\n\
<p>If the Hierarchy has not been set to Trajectories mode by setting <span class=\'code\'>maxops.trajectoryMode=true</span> or by manually switching with the mouse , it will be set to Trajectories mode automatically.</p>\n\
<p>If the Trajectories mode is not in Key Sub-Object mode by setting <span class=\'code\'>maxops.trajectoryKeySubMode=true</span> or by manually switching with the mouse, the Sub-Object mode will be set automatically.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.trajectoryPathGradation: enum : Read|Write\n\
\n\
trajectoryPathGradation enums: {#speed|#wirecolor|#uicolor|#none}\n\
</pre></div><p>Sets the gradation mode of the displayed motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.selTrajectoryDrawFrameTicks: boolean : Read|Write\n\
</pre></div><p>When set to true, the frame ticks will be displayed along the selected motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.unselTrajectoryDrawFrameTicks: boolean : Read|Write\n\
</pre></div><p>When set to true, the frame ticks will be displayed along the unselected motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.unselTrajectoryDrawKeys: boolean : Read|Write\n\
</pre></div><p>When set to true, the keys will be displayed along the unselected motion paths. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.trimTrajectories: boolean : Read|Write\n\
</pre></div><p>When set to true, trims the displayed motion paths. The motion paths are trimmed based on the value of fixedTrimRange. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.fixedTrimRange: boolean : Read|Write\n\
</pre></div><p>When set to true, the motion paths are trimmed based on the frame range, and use the values stored in trimTrajectoriesStart, and trimTrajectoriesEnd. When set to false, the motion paths are trimmed based on the value stored in trimTrajectoriesOffset. Motion path trimming is enabled or disabled based on the value of trimTrajectories. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.trimTrajectoriesOffset: integer : Read|Write\n\
</pre></div><p>Defines the frame offset applied when trimTrajectories is on, and when fixedTrimRange is set to false. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.trimTrajectoriesStart: integer : Read|Write\n\
</pre></div><p>Defines the start of the frame range applied when trimTrajectories is on, and when fixedTrimRange is set to false. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.trimTrajectoriesEnd: integer : Read|Write\n\
</pre></div><p>Defines the end of the frame range applied when trimTrajectories is on, and when fixedTrimRange is set to false. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.drawAllHandles: boolean : Read|Write\n\
</pre></div><p>When set to true, handles are drawn for knot control points along the motion path. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.drawGradientTicks: boolean : Read|Write\n\
</pre></div><p>When set to true, gradient ticks are drawn along the motion path. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.drawKeyTimes: boolean : Read|Write\n\
</pre></div><p>When set to true, key times are drawn at key points along the motion path. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.selTrajectoryDrawKeys: boolean : Read|Write\n\
</pre></div><p>When set to true, control points for keys are drawn along the motion path. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.TrimTrajectories : boolean : Read|Write\n\
</pre></div><p>When set to true, the trajectory path is trimmed according to the settings below.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.FixedTrimRange : boolean : Read|Write\n\
</pre></div><p>When set to true, the trajectory path is trimmed according to <span class=\'code\'>.TrimTrajectoriesStart</span> and <span class=\'code\'>.TrimTrajectoriesEnd</span>. When false, the offset value specified by <span class=\'code\'>.TrimTrajectoriesOffset</span> is used to trim the trajectory.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.TrimTrajectoriesOffset : integer : Read|Write\n\
</pre></div><p>When <span class=\'code\'>.FixedTrimRange</span> is false and <span class=\'code\'>.TrimTrajectories</span> is true, this specifies the offset to trim the trajectory with.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.TrimTrajectoriesStart : integer : Read|Write\n\
maxOps.TrimTrajectoriesEnd : integer : Read|Write\n\
</pre></div><p>When <span class=\'code\'>.FixedTrimRange</span> is true and <span class=\'code\'>.TrimTrajectories</span> is true, this specifies the start and end offsets to trim the trajectory with.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.deleteSelectedTrajectoryKey() \n\
</pre></div><p>Deletes the selected trajectory key. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.breakSelectedKeyTangent() \n\
</pre></div><p>Breaks the selected trajectory key&#39;s tangent handles. This allows the individual control of the two tangent handles. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.unifySelectedKeyTangent() \n\
</pre></div><p>Unifies the selected trajectory key&#39;s tangent handles. This allows the movement of one handle to affect the relative position of the other handle. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.setSelectedKeyTangentToAuto() \n\
</pre></div><p>Unifies the selected trajectory key&#39;s tangent handles, and ensures both tangent handle reside on the same line. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"display-tab\"></a><h2 id=\"display-tab\">Display Tab</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.hideFrozenObjects : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the state of the Hide Frozen Objects checkbox in the Display tab.</p>\n\
<p>Note: You have to call <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Refreshing-the-Viewports.html\' title=\'\'>completeRedraw()</a> after setting this property.</p>\n\
<div class=\'section\'><a id=\"set-key-mode\"></a><h2 id=\"set-key-mode\">Set Key Mode</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.setKeyMode : boolean : Read|Write \n\
</pre></div><p>Get/set the SetKey mode state.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.setKeySuspend : boolean : Read|Write \n\
</pre></div><p>Get/set the SetKey Suspend mode state.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.setKeyFilters : enum by value array : Read \n\
\n\
setKeyFilters enums: {#all | #position | #rotation | #scale | #ikParams | #objParams | #custAttribs | #modifiers | #materials|#other} \n\
</pre></div><p>Always returns the fixed list of the filter names.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.setKeyNodeSets : String array : Read \n\
</pre></div><p>Returns an array of node sets.</p>\n\
<p>Note:</p>\n\
<p>The array does not include &quot;Selected&quot;.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.setKeyNodeSetCurrent : String : Read|Write \n\
</pre></div><p>Returns &quot;&quot; if the current setKey node set is &quot;Selected&quot;. Setting it to &quot;&quot; sets the current setKey node set to &quot;Selected&quot;.</p>\n\
<p>Note:</p>\n\
<p>A &quot;SetKey NodeSet&quot; is what is shown in the dropdown list above the Key Filters button in the status panel. The first entry in this dropdown is &quot;Selected&quot;, which corresponds to a set name of &quot;&quot;. The remaining items are all character nodes in the scene and all named selection sets in the scene.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.getSetKeyMode() \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if Set Key mode is active, <span class=\'code\'>false</span> if not active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.activateSetKeyMode &lt;boolean&gt;onOff\n\
</pre></div><p>Sets the Set Key mode to the specified value where, true = on and false = off.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.getSetKeyFilterState &lt;enum&gt;filter \n\
\n\
filter enums: {#position | #rotation | #scale | #ikParams | #objParams | #custAttribs | #modifiers | #materials} \n\
</pre></div><p>Returns the state of the specified SetKey filter.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.setSetKeyFilterState &lt;enum&gt;filter &lt;boolean&gt;onOff \n\
\n\
filter enums: {#position | #rotation | #scale | #ikParams | #objParams | #custAttribs | #modifiers | #materials} \n\
</pre></div><p>Sets the state of the specified SetKey filter.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` -- print SetKey Filters state for filter in maxops.setKeyFilters do format &quot;% : %\\n&quot; (filter as string) (maxops.getSetKeyFilterState filter) -- turn all on for filter in maxops.setKeyFilters do maxops.setSetKeyFilterState filter true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.getDefaultTangentType&lt;&amp;enum&gt;dfltInTangentType &lt;&amp;enum&gt;dfltOutTangentType \n\
\n\
dfltInTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
dfltInTangentType is Out parameter \n\
dfltOutTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
dfltOutTangentType is Out parameter \n\
</pre></div><p>Returns the default In and Out tangent types into the two Out parameters passed by-reference.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.setDefaultTangentType &lt;enum&gt;dfltInTangentType &lt;enum&gt;dfltOutTangentType writeInCfgFile:&lt;boolean&gt; \n\
\n\
dfltInTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
dfltOutTangentType enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
writeInCfgFile default value: true \n\
</pre></div><p>Sets the default In and Out tangent types. When <span class=\'code\'>writeInCfgFile:</span> is set to <span class=\'code\'>true</span> (default), the changes will also be recorded in the configuration file, making them sticky between <strong>3ds Max</strong> sessions.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` maxops.setDefaultTangentType #slow #fast --&gt; OK maxops.getDefaultTangentType &amp;inTangent &amp;outTangent --&gt; OK inTangent --&gt; #slow outTangent --&gt; #fast</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note: The flyout in the <strong>3ds Max</strong> GUI provides icons only for the cases where the In and Out tangents are equal. The above method can be used to set the default tangents to any combination of In and Out types that cannot be represented by the flyout icons. In these cases, a special icon with a question mark &quot;?&quot; will be displayed in the GUI.</p>\n\
<div class=\'section\'><a id=\"autokey-default-key\"></a><h2 id=\"autokey-default-key\">AutoKey Default Key</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A89008EF-7E2F-43C2-8225-49281250A47E-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>maxOps.autoKeyDefaultKeyOn: boolean : Read|Write \n\
</pre></div><p>When this option is set to <span class=\'code\'>true</span> (default), creating a key in AutoKey mode on a frame other than the one specified by <span class=\'code\'>maxops.autoKeyDefaultKeyTime</span> will create a key on the frame specified by <span class=\'code\'>maxops.autoKeyDefaultKeyTime</span> with the initial value of the animated property. This is the default behavior of <strong>3ds Max</strong> since its first release.</p>\n\
<p>When this option is set to <span class=\'code\'>false</span> , no key other than the one on the current frame will be created by the AutoKey feature.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/GUID-141213A1-B5A8-457B-8838-E602022C8798.html#p\' title=\'\'>preferences.autoKeyDefaultKeyOn</a> for a System Global that exposes the same property.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.autoKeyDefaultKeyTime : time : Read|Write \n\
</pre></div><p>When <span class=\'code\'>maxops.autoKeyDefaultOn</span> is set to <span class=\'code\'>true</span> , a key will be created automatically on the frame defined by this time value.</p>\n\
<p>Available <strong>in 3ds Max 2017 and higher</strong>: The value can be set to any valid time value. In versions prior to <strong>3ds Max 2017</strong>, the only possible values were 0f and 1f. See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/GUID-141213A1-B5A8-457B-8838-E602022C8798.html#p\' title=\'\'>preferences.autoKeyDefaultKeyTime</a> for a System Global that exposes the same property as an integer value.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"paint-selection-brush\"></a><h2 id=\"paint-selection-brush\">Paint Selection Brush</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.paintSelBrushSize : integer : Read|Write \n\
maxOps.paintSelBrushSizeUnscaled : integer : Read|Write\n\
</pre></div><p>Get/Set the size of the Paint Selection brush. The Paint Selection is a selection mode accessible through the Selection Region flyout. The value corresponds to the &quot;Paint Selection Brush Size&quot; value under Customize &gt; Preferences &gt; General &gt; Scene Selection. Note that right-clicking the Paint Selection icon in the main toolbar will open the Preferences dialog.</p>\n\
<p>The <span class=\'code\'>paintSelBrushSizeUnscaled</span> property is this setting without any DPI scaling (if any) applied.</p>\n\
<div class=\'section\'><a id=\"bitmap-importer\"></a><h2 id=\"bitmap-importer\">Bitmap Importer</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.canImportBitmap &lt;filename&gt;fileName \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if a bitmap importer is present for the extension in the file name, <span class=\'code\'>false</span> otherwise. Does not check to see if the file exists or if it is a valid bitmap file.</p>\n\
<div class=\'section\'><a id=\"viewport-display\"></a><h2 id=\"viewport-display\">Viewport Display</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>bool&gt;maxOps.displayActiveCameraViewWithMultiPassEffect() \n\
</pre></div><p>If the active view is a Camera view and a multi-pass effect is turned on in the camera&#39;s properties, then this function returns <span class=\'code\'>true</span> . Otherwise, it does nothing and returns <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>maxOps.setActiveViewportTransparencyDisplay &lt;integer&gt;transparencyLevel \n\
</pre></div><p>Takes a single integer argument:</p>\n\
<p>0 - turns off transparency in the active viewport.</p>\n\
<p>1 - sets it to screen door.</p>\n\
<p>2 - sets it to blended transparency.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject&gt;maxops.getViewportShadingSettings() \n\
</pre></div><p>Returns an <span class=\'code\'>&lt;IObject:ViewportShadingSettings&gt;</span> object exposing several interfaces related to advanced viewport shading controls.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\' title=\'\'>Viewport Shading Settings</a> for details.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` vss = maxops.getViewportShadingSettings() <iobject:viewportshadingsettings> showInterfaces vss<p>\n\
<p>```</p>\n\
</iobject:viewportshadingsettings></blockquote>\n\
<div class=\'section\'><a id=\"custom-user-interface\"></a><h2 id=\"custom-user-interface\">Custom User Interface</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.loadCUIFile &lt;filename&gt;fileName \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'section\'><a id=\"iterative-rendering\"></a><h2 id=\"iterative-rendering\">Iterative Rendering</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.rendUseIterative \n\
</pre></div><p>Get/set the Iterative Rendering mode in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>When set to <span class=\'code\'>true</span> , only the current frame will be rendered and no file will be saved to disk.</p>\n\
<p>When set to <span class=\'code\'>false</span> , the Render Dialog settings for Time Output and File Saving will be respected (this is the default and the only behavior in releases prior to <strong>3ds Max 2009</strong>).</p>\n\
<p>Note:</p>\n\
<p>Iterative rendering <strong>cannot</strong> be activated using the <span class=\'code\'>render()</span> method.</p>\n\
<p>You can use <span class=\'code\'>max quick render</span> after setting <span class=\'code\'>maxOps.rendUseIterative</span> to true to perform an iterative rendering.</p>\n\
<div class=\'section\'><a id=\"render-element-manager\"></a><h2 id=\"render-element-manager\">Render Element Manager</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.GetCurRenderElementMgr() \n\
</pre></div><p>Returns the current <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Element-Manager.html\' title=\'\'>render element manager</a>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.GetRenderElementMgr &lt;enum&gt; \n\
</pre></div><p><span class=\'code\'>{#Production|#Draft}</span></p>\n\
<p>Gets a specific <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Element-Manager.html\' title=\'\'>render element manager</a>.</p>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>#Draft</span> renderer was retired in <strong>3ds Max 6</strong>.</p>\n\
<p>Calling this method with <span class=\'code\'>#Draft</span> argument will return <span class=\'code\'>undefined</span> in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"node-name-suffix-length\"></a><h2 id=\"node-name-suffix-length\">Node Name Suffix Length</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;maxOps.nameSuffixLength \n\
</pre></div><p>Controls the number of digits appended as suffix to the name of newly created scene nodes, layers, and others.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Note:</p>\n\
<p>In <strong>3ds Max 2011</strong>, the default value was changed from 2 to 3 and is now controlled by the &quot;NameSuffixLength&quot; key in the [Preferences] category of the 3dsmax.ini file.</p>\n\
<p>This is to ensure better sorting of up to 999 objects using the MAXScript <span class=\'code\'>sort()</span> method. If you intend to work with more than 1000 objects, you can increase the maxOps.nameSuffixLength value to 4 or more to ensure enough leading zeros.</p>\n\
<p>In addition, note that newly created nodes will receive a number one higher than the highest number in the scene without filling gaps. For example. if you create objects Box001, Box002, and Box003, and delete Box002, the next automatically named object will have the name Box004 and not Box002.</p>\n\
<div class=\'section\'><a id=\"collapse-and-clone-nodes\"></a><h2 id=\"collapse-and-clone-nodes\">Collapse and Clone Nodes</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.CollapseNode &lt;node&gt;node &lt;boolean&gt;noWarning \n\
</pre></div><p>Collapses the complete modifier stack of the node.</p>\n\
<p>When <span class=\'code\'>noWarning</span> is set to true, no prompt will be issued. Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.CollapseNodeTo &lt;node&gt;node &lt;index&gt;modIndex &lt;boolean&gt;noWarning \n\
</pre></div><p>Collapses the modifier stack up to the indexed modifier.</p>\n\
<p>The modifiers are counted from top of the stack. All modifiers below and including the specified one will be collapsed.</p>\n\
<p>When <span class=\'code\'>noWarning</span> is set to true, no prompt will be issued.</p>\n\
<p>Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxOps.CloneNodes &lt;node array&gt;nodes offset:&lt;point3&gt; expandHierarchy:&lt;boolean&gt; cloneType:&lt;enum&gt; actualNodeList:&lt;&amp;node array&gt; newNodes:&lt;&amp;node array&gt;\n\
       offset default value: [0,0,0]\n\
       expandHierarchy default value: false\n\
       cloneType enums: {#copy|#instance|#reference}\n\
       cloneType default value: #copy\n\
       actualNodeList default value: #()\n\
       actualNodeList is Out parameter\n\
       newNodes default value: #()\n\
       newNodes is Out parameter\n\
</pre></div><p>This method will return <span class=\'code\'>true</span> if successful, otherwise it will return <span class=\'code\'>false</span> .</p>\n\
<ul>\n\
<li><span class=\'code\'>nodes</span> - This is the list of nodes that you want to clone.</li>\n\
<li><span class=\'code\'>offset</span> - The positional offset that will be applied to the cloned nodes.</li>\n\
<li><span class=\'code\'>expandHierarchy</span> - Indicates if children will be cloned in hierarchies.</li>\n\
<li><span class=\'code\'>cloneType</span> - Specifies the clone type - Copy, Instance, or Reference.</li>\n\
<li><span class=\'code\'>actualNodeList</span> - This node array will be filled in with the original nodes to be cloned. The reason for this is that there can be dependencies between nodes that causes other nodes to be added to the list. For example light/camera targets, nodes part of systems, part of groups or expanded hierarchies, and others.</li>\n\
<li><span class=\'code\'>newNodes</span> - This node array will be filled in with the new cloned nodes. There is a one to one relationship between the nodes returned in the actualNodeList array and the newNodes array.</li>\n\
</ul>\n\
<blockquote>\n\
<p>Note: <span class=\'code\'>actualNodeList</span> and <span class=\'code\'>newNodes</span> take an argument of <span class=\'code\'>&lt;&amp;node array&gt;,</span> and are <span class=\'code\'>Out</span> parameters. This is important because: 1) the variables must be passed by reference, and 2) we do not need to initialize the variables to arrays because they are only <span class=\'code\'>Out</span> parameters (MAXScript does not convert the value passed in to an array).</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` s=sphere()</p>\n\
<p>-- variables not passed by reference, does not work right maxops.clonenodes s actualNodeList:a newNodes:b a --&gt; undefined b --&gt; undefined</p>\n\
<p>-- variables passed by reference without initializing, works right maxops.clonenodes s actualNodeList:&amp;c newNodes:&amp;d c --&gt; #(\\(sphere01)  d --&gt; #(\\)sphere03)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Also note that the first argument type is specified as <span class=\'code\'>&lt;&amp;node array&gt;nodes</span> , <span class=\'code\'>In</span> parameter. Because it is an <span class=\'code\'>In</span> parameter, we know that the method does not change the contents of the array passed, so there is no point in passing this array by reference.</p>\n\
<p>In addition, MAXScript automatically wraps the single argument passed into a temporary array, so we can use <span class=\'code\'>s</span> instead of <span class=\'code\'>#(s)</span> to supply the node array.</p>\n\
<blockquote>\n\
<p>Warning: You may <strong>not</strong> use <span class=\'code\'>maxOps.cloneNodes</span> inside an <span class=\'code\'>undo off</span> context. Doing so will crash <strong>3ds Max</strong> when using the Undo function!</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"windowcrossing-selection-type\"></a><h2 id=\"windowcrossing-selection-type\">Window/Crossing Selection Type</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.setSelectionType &lt;boolean&gt;auto &lt;enum&gt;method \n\
\n\
method enums: {#window|#crossing|#leftToRight|#rightToLeft} \n\
</pre></div><p>Controls the window/crossing modes of the selection tool.</p>\n\
<p>When the first argument is set to true, it enables the Customize&gt;Preferences&gt;General tab&gt;Auto Window/Crossing By Direction option. The second argument can be either 0 or 1 or the equivalent enums #leftToRight and #rightToLeft.</p>\n\
<p>When the first argument is set to false, it sets the state of the Window/Crossing icon in the Main Toolbar, while disabling the Customize &gt; Preferences &gt; General tab &gt; Auto Window/Crossing By Direction. The second argument can be either 0 or 1 or the equivalent enums #window and #crossing.</p>\n\
<p>In other words,</p>\n\
<p><span class=\'code\'>true 1</span> : Enables auto Window/Crossing: moving left-to-right is crossing selection</p>\n\
<p><span class=\'code\'>true 0</span> : Enables auto Window/Crossing: moving right-to-left is crossing selection</p>\n\
<p><span class=\'code\'>false 1</span> : Disables auto Window/Crossing, turns ON crossing selection</p>\n\
<p><span class=\'code\'>false 0</span> : Disables auto Window/Crossing, turns OFF crossing selection</p>\n\
<p>The method returns <span class=\'code\'>true</span> if successful, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'section\'><a id=\"node-handle\"></a><h2 id=\"node-handle\">Node Handle</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.getNodeByHandle &lt;integer&gt;handle \n\
</pre></div><p>Returns a node associated with a given handle.</p>\n\
<div class=\'section\'><a id=\"color-by-id\"></a><h2 id=\"color-by-id\">Color By ID</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.colorById &lt;integer&gt;id &lt;&amp;color&gt;color \n\
\n\
color is Out parameter   \n\
</pre></div><p>Returns a specific color for each unique ID passed. The result is written to the Out parameter by reference.</p>\n\
<p>This method is used internally to generate colors representing Material and Object IDs in the respective RenderElements.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` for i = 0 to 9 do ( maxops.colorById i &amp;theColor format &quot;ID:% Color:%\\n&quot; i theColor )</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` ID:0 Color:(color 100 100 100) ID:1 Color:(color 213 16 100) ID:2 Color:(color 70 188 100) ID:3 Color:(color 183 104 100) ID:4 Color:(color 40 20 100) ID:5 Color:(color 153 192 100) ID:6 Color:(color 10 108 100) ID:7 Color:(color 123 24 100) ID:8 Color:(color 236 196 100) ID:9 Color:(color 93 112 100)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"find-nodes\"></a><h2 id=\"find-nodes\">Find Nodes</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.findNodes &lt;node array&gt;templateNodes &lt;&amp;node array&gt;foundNodes nodePropsToMatch:&lt;enum array&gt;\n\
       foundNodes is Out parameter\n\
       nodePropsToMatch enums: {#nodePropMaterial|#nodePropLayer}\n\
       nodePropsToMatch default value: #()\n\
</pre></div><p>Finds nodes similar to the ones specified in the template. Optionally, matches material and layer properties.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` ( resetMaxFile #noPrompt --reset max file --create 10 boxes and 10 spheres: for i = 1 to 10 do box pos:[i*50,0,0] for i = 1 to 10 do sphere pos:[i*50,100,0] $Box*.material = standard() --assign standard material to all boxes \\(Box001.material = multiMaterial() --change material of first box  --find all objects similar to the Box01 and Sphere01  --that have the same material as the template object  maxOps.findNodes #(\\)Box001,$Sphere001) &amp;foundNodes nodePropsToMatch:#(#nodePropMaterial) print foundNodes --print the resulting array )</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` $Box:Box001 @ [50.000000,0.000000,0.000000] $Sphere:Sphere001 @ [50.000000,100.000000,0.000000] $Sphere:Sphere002 @ [100.000000,100.000000,0.000000] $Sphere:Sphere003 @ [150.000000,100.000000,0.000000] $Sphere:Sphere004 @ [200.000000,100.000000,0.000000] $Sphere:Sphere005 @ [250.000000,100.000000,0.000000] $Sphere:Sphere006 @ [300.000000,100.000000,0.000000] $Sphere:Sphere007 @ [350.000000,100.000000,0.000000] $Sphere:Sphere008 @ [400.000000,100.000000,0.000000] $Sphere:Sphere009 @ [450.000000,100.000000,0.000000] $Sphere:Sphere010 @ [500.000000,100.000000,0.000000] OK</p>\n\
<p>```</p>\n\
<p>As you can see, only the first box was collected because all other boxes have a different material.</p>\n\
<p>All spheres have the same material (no material at all), so they were all collected as similar to the $Sphere01.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"material-editor-mode\"></a><h2 id=\"material-editor-mode\">Material Editor Mode</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.mtlDlgMode \n\
</pre></div><p>Get/set the Material Editor Mode in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>If a Material Editor is already open, setting this property immediately switches the Editor to the given mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#basic</strong>(0) - Compact Material Editor mode</p>\n\
<p><strong>#advanced</strong>(1) - Slate Material Editor mode</p>\n\
<p>See also the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/MatEditor-Open-and-Close-the.html\' title=\'\'>MatEditor - Open and Close the Material Editor</a> topic for more related methods.</p>\n\
<p>The <span class=\'code\'>maxOps.mtlDlgMode</span> property described above is also available through the MatEditor struct for convenience.</p>\n\
<div class=\'section\'><a id=\"scene-compression-and-archiving-settings\"></a><h2 id=\"scene-compression-and-archiving-settings\">Scene Compression and Archiving Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxops.getCompressSceneFileOnSave()\n\
&lt;void&gt;maxops.setCompressSceneFileOnSave &lt;boolean&gt;compress writeInCfgFile:&lt;boolean&gt;\n\
writeInCfgFile default value: false\n\
</pre></div><p>These methods get or set the file compression setting. Available in <strong>3ds Max 2019 update 1 and higher</strong>.</p>\n\
<p><strong>Methods and higher</strong>. If <span class=\'code\'>writeInCfgFile</span> is true, this setting is persisted across sessions. These correspond to the <strong>Customize &gt; Preferences &gt; Files &gt; Compress on Save</strong> setting.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.archiveProgramName : string : Read|Write\n\
maxOps.archiveOptions : string : Read|Write\n\
</pre></div><p>These properties expose the Archive System settings found on the <strong>Files</strong> tab of the <strong>Preferences Settings</strong> dialog, and are used by the <strong>File &gt; Archive</strong> command to create an archive of the current scene file. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>The <strong>.archiveProgramName</strong> property gets or sets the name (including the full path) of the program used to create the scene archive. By default this is [max_install]\\maxzip.exe. Note that this property can only be set to an <strong>.exe</strong> or <strong>.bat</strong> file that exists. Attempting to set this property to a non-existent file or path, or an item that is not an executable or bat file, will fail with an error.</p>\n\
<p>The <strong>.archiveOptions</strong> property gets or sets any additional command-line arguments passed to the archive program held in <strong>.archiveProgramName</strong>.</p>\n\
<div class=\'section\'><a id=\"file-preferences\"></a><h2 id=\"file-preferences\">File Preferences</h2></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.overrideLanguageSpecifiedInSceneFile : boolean : Read|Write\n\
</pre></div><p>Specifies whether to use the current default language specified for 3ds Max to convert strings in the scene file, if the file was created in an instance of 3ds Max using a different language. If <strong>false</strong>, the <span class=\'code\'>useCodePageSpecifiedInSceneFile</span> (below) is used to determine the language conversion. This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.useCodePageSpecifiedInSceneFile : boolean : Read|Write\n\
</pre></div><p>Specifies how to identify the scene file language. When <strong>true</strong>, the code page data embedded in the scene file is used to determine the language. If <strong>false</strong>, the Language ID embedded in the scene file is used. The Language ID generally produces better results. This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.languageToUseForFileIO : enum : Read|Write\n\
       languageToUseForFileIO enums: {#current|#English|#German|#French|#Japanese|#Korean|#Chinese}\n\
</pre></div><p>Gets/sets the default language setting for 3ds Max Scene files. This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.legacyFilesCanBeStoredUsingUTF8 : boolean : Read|Write\n\
</pre></div><p>Specifies whether to encode strings in non-scene files such as material libraries as UTF-8. This setting appears on the Files tab of the Preferences dialog under <strong>File String Data Handling</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxOps.persistFileLanguageSettings()\n\
</pre></div><p>Saves the settings for <strong>File String Data Handling</strong> on the Files tab of the Preferences dialog to the 3ds Max settings file (<em>3dsMax.ini</em>) so that they persist between sessions of 3ds Max.</p>\n\
<div class=\'section\'><a id=\"viewport-preferences\"></a><h2 id=\"viewport-preferences\">Viewport Preferences</h2></div>\n\
<div class=\'codeBlock\'><pre>maxOps.showWorldAxis : boolean : Read|Write\n\
</pre></div><p>Specifies whether to display a world axis in the lower-left corner of all viewports. The default is <strong>true</strong>. This setting appears on the Viewports tab of the Preferences dialog as <strong>Display World Axis</strong>.</p>\n\
<div class=\'section\'><a id=\"ds-max-batch-information\"></a><h2 id=\"ds-max-batch-information\">3ds Max Batch Information</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.mxsCmdLineArgs \n\
</pre></div><p>Gets the dictionary of values passed from 3dsmaxbatch.exe in the <span class=\'code\'>-mxsString</span> and <span class=\'code\'>-mxsValue</span> command-line arguments.</p>\n\
<p>Note: This dictionary is only valid when values are passed from 3dsmaxbatch.exe. If no values are passed, or if 3ds Max is run from 3dsmax.exe, this dictionary is undefined.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h3 id=\"example\">Example:</h3></div>\n\
<p><strong>Command-line:</strong></p>\n\
<div class=\'codeBlock\'><pre>D:&lt;3dsmaxpath&gt;3dsmaxbatch demo_mxscmdline.ms -mxsString string1:&quot;Hello&quot;  -mxsValue value1:&quot;[3,12,22]&quot; -mxsValue value2:&quot;Point3 3 8 2.3&quot;\n\
</pre></div><p><strong>MAXScript:</strong></p>\n\
<div class=\'codeBlock\'><pre>opts = maxOps.mxsCmdLineArgs\n\
\n\
for k in opts.keys do (\n\
format &quot;% == % class: %\\n&quot; k opts[k] (classOf opts[k])\n\
)\n\
-- output:\n\
-- #string1 == Hello class: String\n\
-- #value2 == [3,8,2.3] class: Point3\n\
-- #value1 == [3,12,22] class: Point3\n\
</pre></div><p>For more information on the 3ds Max Batch command-line arguments, see the 3ds Max Batch help topic.</p>\n\
<p>Available in <strong>3ds Max 2018.4 Update and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxops.isInNonInteractiveMode &lt;boolean&gt;checkTestMode\n\
</pre></div><p>Returns true if 3ds Max is in non-interactive mode, such as when it is running via 3ds Max Batch (<em>3dsmaxbatch.exe</em>). Returns false if running with a user interface (<em>3dsmax.exe</em>).</p>\n\
<p>The <span class=\'code\'>checkTestMode</span> keyword argument specifies whether to check whether 3ds Max is running in &quot;Non Interactive Test Mode&quot; (see <span class=\'code\'>maxops.setInNonInteractiveTestMode()</span> below). If so, this method returns true, even if running with a UI. This is intended for testing purposes. The default is <strong>false</strong>.</p>\n\
<p>Note: In Non Interactive Mode, Max runs with the following limitations:</p>\n\
<ul>\n\
<li>No splash screen, no welcome screen</li>\n\
<li>Max starts up in minimized mode, and remains in minimized mode</li>\n\
<li>Autobackup is disabled</li>\n\
<li>Max window state and size is not loaded at startup, nor saved at shutdown</li>\n\
<li>QuietMode is always on</li>\n\
<li>NoNetworkRendering is always true</li>\n\
<li>Loaded files are not added to recent document list</li>\n\
<li>StartupTemplates are disabled</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;maxops.setInNonInteractiveTestMode()\n\
</pre></div><p>Sets 3ds Max to &quot;Non Interactive Test Mode&quot;, where <span class=\'code\'>maxops.isInNonInteractiveMode()</span> will return true, even if a UI is present, unless the <span class=\'code\'>checkTestMode</span> keyword argument is false. Intended for testing purposes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;maxops.isInSecureMode()\n\
</pre></div><p>Returns true if 3ds Max is running in secure mode. Secure mode is set by the 3dsmax.exe command line option <span class=\'code\'>secure \\[on|off\\]</span>. In secure mode:</p>\n\
<ul>\n\
<li>digital signatures are verified for plugins/assemblies</li>\n\
<li>certain functionality (such as mxsdotnet, ActiveX, OLE) is disabled or limited</li>\n\
<li>blacklisted commands are prevented from being used (dos commands, registry access)</li>\n\
<li>some .NET types and assemblies are whitelisted</li>\n\
<li>python is disabled</li>\n\
<li>Autodesk Store plugins are prevented from loading</li>\n\
<li>user defined MCG assemblies are prevented from loading</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"other-miscellaneous\"></a><h2 id=\"other-miscellaneous\">Other Miscellaneous</h2></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>maxOps.IsWelcomeScreenEnabledAtStartup : boolean : Read\n\
</pre></div><p>Returns whether the Welcome Screen is enabled for display at startup. This setting is controlled by a checkbox on the Welcome Screen.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.IsDesktopAnalyticsProgramOn : boolean : Read\n\
</pre></div><p>Returns whether analytics is running.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;maxOps.getTransformGizmoTM()\n\
</pre></div><p>Returns the world transform of the current transform gizmo in the active viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;maxOps.IncrementFileName &lt;string&gt;fileName versionSeparatorString:&lt;string&gt;\n\
       versionSeparatorString default value: &quot;&quot;\n\
&lt;string&gt;maxOps.IncrementSceneFileName &lt;string&gt;fileName\n\
&lt;string&gt;maxOps.IncrementImageFileName &lt;string&gt;fileName\n\
</pre></div><p>These functions return an incremented version of the specified <span class=\'code\'>fileName</span> string.</p>\n\
<ul>\n\
<li>The <span class=\'code\'>IncrementFileName()</span> function takes an optional <span class=\'code\'>versionSeparatorString</span> as a separator between the file string and the version number. If no separator is specified, the last punctuation character in the string (other than a period representing the file extension) is considered to be the separator.</li>\n\
<li><span class=\'code\'>IncrementSceneFileName()</span> is identical to the <span class=\'code\'>IncrementFileName()</span>, but does not have an optional separator argument.</li>\n\
<li>The <span class=\'code\'>IncrementImageFileName()</span> function is identical to <span class=\'code\'>incrementFileName()</span>, but always has a separator of <span class=\'code\'>_</span> (underscore).</li>\n\
</ul>\n\
<p>If there is no version number at the end of the filename (or if it does not match the <span class=\'code\'>versionseparatorString</span> pattern), a version is added starting at 01, and incremented when passed to the function on subsequent calls.</p>\n\
<p>For example:</p>\n\
<div class=\'codeBlock\'><pre>fname = maxOps.incrementFileName &quot;myfile&quot;\n\
--&gt; &quot;myfile01&quot;\n\
maxOps.incrementFileName fname\n\
--&gt; &quot;myfile02&quot;\n\
fname = maxOps.incrementFileName &quot;myfile-100&quot; versionSeparatorString:&quot;-&quot;\n\
--&gt; &quot;myfile-101&quot;\n\
-- But if the filename does not match the separator string:\n\
fname = maxOps.incrementFileName &quot;myfile100&quot; versionSeparatorString:&quot;-&quot;\n\
--&gt; &quot;myfile100-01&quot;\n\
-- IncrementImageFileName always uses underscore\n\
fname = maxops.IncrementImageFileName &quot;a1.jpg&quot;\n\
--&gt; &quot;a1_01.jpg&quot;\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";