var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: medit</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: medit</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-medit\"></a></div>\n\
<p>The <strong>medit Core Interface</strong> is available for Texture maps and Materials and exposes the Material Editor slots to MAXScript.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;medit.GetCurMtl()     \n\
</pre></div><p>This method returns the material currently selected in one of the 24 sample slots of the Material Editor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;medit.SetActiveMtlSlot &lt;index&gt;slot &lt;boolean&gt;forceUpdate   \n\
</pre></div><p>This method allows you to set the active material slot, where</p>\n\
<p>The first (index) argument is the material slot index, range from 1 to 24.</p>\n\
<p>The second (boolean) argument controls whether to update the slot contents or not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;medit.GetActiveMtlSlot() \n\
</pre></div><p>This method returns the index of the active material slot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;medit.PutMtlToMtlEditor &lt;maxObject&gt;mtl &lt;index&gt;slot \n\
</pre></div><p>This method allows you to put the specified material to the specified material editor slot, where</p>\n\
<p>The first argument is the material to put in the editor&#39;s slot.</p>\n\
<p>The second argument is the index of the material slot you wish to put the material into.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` MatEditor.Open() --open the material editor. theMat = multiMaterial numsubs:5 --create a new material medit.PutMtlToMtlEditor theMat 3 --add it to slot 3 medit.SetActiveMtlSlot 3 true --set slot 3 as the active slot</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;medit.GetTopMtlSlot &lt;index&gt;slot \n\
</pre></div><p>This method returns a pointer to the material base from the slot specified by the argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;medit.OkMtlForScene &lt;material&gt;mtl \n\
</pre></div><p>Before assigning material to scene, call this method to avoid duplicate names.</p>\n\
<p>Available in <strong>3ds Max 4</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;medit.UpdateMtlEditorBrackets() \n\
</pre></div><p>It makes sure the Materials Editor slots correctly reflect which materials are used in the scene, which are used by selected objects, etc. This is used internally for the drag-and-drop of materials to nodes -- there is no reason why a developer should need to call it.</p>\n\
<p>Available in <strong>3ds Max 3</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";