var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: menuMan</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: menuMan</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-menuman\"></a></div>\n\
<p>The <strong>MenuMan Core Interface</strong> provides access to the Menu Manager and allows the user to create new and access existing menus and QuadMenus and their sub-menus and menu items as well as load, save, register and unregister them.</p>\n\
<p>For details and examples of using this interface, see also the topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Menu-Manager/Menu-Manager-1.html\' title=\'\'>Menu Manager</a></p>\n\
<div class=\'section\'><a id=\"menu-loading-and-saving\"></a><h2 id=\"menu-loading-and-saving\">Menu Loading And Saving</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.loadMenuFile &lt;filename&gt;file        \n\
</pre></div><p>This method allows you to load a menu file from disk and automatically update the UI accordingly. Returns <span class=\'code\'>true</span> if the menu file was loaded, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;string&gt;file:</span> The path and filename of the menu file to load.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.saveMenuFile &lt;filename&gt;file     \n\
</pre></div><p>This method allows you to save a menu file to disk. Returns <span class=\'code\'>true</span> if the menu file was saved, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;string&gt;file:</span> The path and filename of the menu file to save.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;menuMan.getMenuFile()   \n\
</pre></div><p>This method returns the file name of the currently loaded and active menu file.</p>\n\
<div class=\'section\'><a id=\"finding-menus\"></a><h2 id=\"finding-menus\">Finding Menus</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.findMenu &lt;string&gt;menuName \n\
</pre></div><p>This method will return a pointer to a menu based on its name. Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>menu MixinInterface</a> to the menu or <span class=\'code\'>undefined</span> if the menu was not found.</p>\n\
<p><span class=\'code\'>&lt;string&gt;menuName:</span> The name of the menu to return.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.findQuadMenu &lt;string&gt;menuName \n\
</pre></div><p>This method will return a pointer to a quad menu based on its name. Returns a <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a> to the quad menu or <span class=\'code\'>undefined</span> if the menu was not found.</p>\n\
<p><span class=\'code\'>&lt;string&gt;menuName:</span> The name of the menu to return.</p>\n\
<div class=\'section\'><a id=\"querying-menu-count\"></a><h2 id=\"querying-menu-count\">Querying Menu Count</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;menuMan.numMenus() \n\
</pre></div><p>Returns the total number of menus in registered with the menu manager.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;menuMan.numQuadMenus() \n\
</pre></div><p>Returns the total number of quad menus registered with the menu manager.</p>\n\
<div class=\'section\'><a id=\"getting-menus\"></a><h2 id=\"getting-menus\">Getting Menus</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.getMenu &lt;index&gt;index \n\
</pre></div><p>Retrieves the indexed menu in the menu manager. This is a 1-based index. Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\' title=\'\'>menu MixinInterface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.getQuadMenu &lt;index&gt;index \n\
</pre></div><p>Retrieves the indexed quad menu in the menu manager. This is a 1-based index. Returns a <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a>.</p>\n\
<div class=\'section\'><a id=\"creating-menus\"></a><h2 id=\"creating-menus\">Creating Menus</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.createMenu &lt;string&gt;name \n\
</pre></div><p>This method creates a new, empty menu with the given name and returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>menu MixinInterface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.createQuadMenu &lt;string&gt;name &lt;string&gt;quad1Name &lt;string&gt;quad2Name &lt;string&gt;quad3Name &lt;string&gt;quad4Name \n\
</pre></div><p>This method creates a new, empty quad menu. It contains 4 empty menus, one for each quad. Returns a <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.createSubMenuItem &lt;string&gt;name &lt;Interface&gt;subMenu \n\
</pre></div><p>This method creates a new sub-menu item that can be added to a menu. It uses the given &quot;name&quot; and it displays the given sub-menu. Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\' title=\'\'>MenuItem MixinInterface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.createSeparatorItem() \n\
</pre></div><p>This creates a new menu separator that can be added to a menu. Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\' title=\'\'>MenuItem MixinInterface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.createActionItem &lt;string&gt;macroScriptName &lt;string&gt;macroScriptCategory \n\
</pre></div><p>This method creates a new menu item that can be added to a menu. The item is an action that executes the macro script with the given name and category. The <span class=\'code\'>macroScriptCategory</span> argument is the macroScript&#39;s <span class=\'code\'>internalCategory</span> if it is defined, or the <span class=\'code\'>category</span> if not. Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\' title=\'\'>MenuItem MixinInterface</a> when successful, or &quot;undefined&quot; if there is no macroScript with the given name and <span class=\'code\'>internalCategory</span> or <span class=\'code\'>category</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.createMenuItemFromAction &lt;string&gt;group &lt;string&gt;action category:&lt;string&gt; \n\
</pre></div><p>category default value: undefined</p>\n\
<p>This method creates a new menu item from an action and returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>menu MixinInterface</a>.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"viewport-right-click-menus\"></a><h2 id=\"viewport-right-click-menus\">Viewport Right Click Menus</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.setViewportRightClickMenu &lt;enum&gt;which &lt;Interface&gt;menu \n\
\n\
which enums: {#nonePressed | #shiftPressed | #altPressed | #controlPressed | #shiftAndAltPressed | #shiftAndControlPressed | #controlAndAltPressed | #shiftAndAltAndControlPressed}           \n\
</pre></div><p>This method method allows you to set the viewport right-click menu to the specified quad menu. Returns <span class=\'code\'>true</span> if it was set successfully.</p>\n\
<p><span class=\'code\'>&lt;enum&gt;which :</span> See the List of Right-Click Contexts above.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;menu:</span> A pointer to the quad menu you wish to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.getViewportRightClickMenu &lt;enum&gt;which \n\
\n\
which enums: {#nonePressed | #shiftPressed | #altPressed | #controlPressed | #shiftAndAltPressed | #shiftAndControlPressed | #controlAndAltPressed | #shiftAndAltAndControlPressed}\n\
</pre></div><p>This method returns a <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a> to the current viewport right-click quad menu.</p>\n\
<p><span class=\'code\'>&lt;enum&gt;which:</span> See the List of Right-Click Contexts.</p>\n\
<div class=\'section\'><a id=\"main-menu-bar\"></a><h2 id=\"main-menu-bar\">Main Menu Bar</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;menuMan.getMainMenuBar() \n\
</pre></div><p>This method returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>menu MixinInterface</a> to the main menu bar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.setMainMenuBar &lt;Interface&gt;menu \n\
</pre></div><p>This method allows you to set the main menu bar. Returns <span class=\'code\'>true</span> if it was set successfully.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;menu:</span> A <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>menu MixinInterface</a> to the menu you wish to set as the main menu bar.</p>\n\
<div class=\'section\'><a id=\"quadmenu-settings\"></a><h2 id=\"quadmenu-settings\">QuadMenu Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.getShowAllQuads &lt;Interface&gt;quadMenu \n\
</pre></div><p>This method checks if the &quot;Show All Quads&quot; flag is set for a specific QuadMenu. This method will return <span class=\'code\'>true</span> if the flag is set or <span class=\'code\'>false</span> if the flag is not set.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;quadMenu:</span> A <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a> to the QuadMenu you wish to check the flag for.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;menuMan.setShowAllQuads &lt;Interface&gt;quadMenu &lt;boolean&gt;value \n\
</pre></div><p>This method sets the &quot;Show All Quads&quot; flag for a specific QuadMenu.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;quadMenu :</span> A <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a> to the QuadMenu you wish to set the flag for.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt;</span>value: True`<span class=\'code\'>to set the flag to on,</span>false` to set the flag off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;menuMan.getQuadMenuName &lt;Interface&gt;quadMenu \n\
</pre></div><p>This method returns the name given to a specific QuadMenu as a string.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;quadMenu:</span> A <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a> to the QuadMenu for which you wish to retrieve the name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;menuMan.setQuadMenuName &lt;Interface&gt;quadMenu &lt;string&gt;name \n\
</pre></div><p>This method allows you to set the name of a specific QuadMenu.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;quadMenu :</span> A <a href=\'Interface-menuMan.html#mixin-interface--menuman-getquadmenu-----\' title=\'\'>quadMenu MixinInterface</a> to the QuadMenu for which you wish to set the name.</p>\n\
<p><span class=\'code\'>&lt;string&gt;name:</span> The string containing the name for the QuadMenu.</p>\n\
<div class=\'section\'><a id=\"update-menu\"></a><h2 id=\"update-menu\">Update Menu</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;menuMan.updateMenuBar() \n\
</pre></div><p>This method can be called to update <strong>3ds Max</strong>’ main menu bar after adding sub-menu’s or menu items.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.registerMenuContext &lt;integer&gt;contextId \n\
</pre></div><p>To add items to <strong>3ds Max</strong>’s main menu, the plug-in should check the return value of <span class=\'code\'>RegisterMenuContext()</span> , and if it is <span class=\'code\'>true</span> , that means that this is the first time it has been registered, and the plug-in can then create new menus, add items to <strong>3ds Max</strong>’s main menu and Quad menus.</p>\n\
<div class=\'section\'><a id=\"unregistering-menus\"></a><h2 id=\"unregistering-menus\">Unregistering Menus</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.unRegisterMenu &lt;Interface&gt;menu \n\
</pre></div><p>This method allows you to remove a menu form the mananger. Returns <span class=\'code\'>false</span> if the menu was not registered, <span class=\'code\'>true</span> if successfully unregistered.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;menu:</span> Points to the menu to unregister.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;menuMan.unRegisterQuadMenu &lt;Interface&gt;quadMenu \n\
</pre></div><p>This is like &quot;unregisterMenu&quot; but for quad menus.</p>\n\
<div class=\'section\'><a id=\"mixin-interface-menuman.getmenu...\"></a><h2 id=\"mixin-interface-menuman.getmenu...\">Mixin Interface: menuMan.getMenu(...)</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: menu \n\
</pre></div><p>The <span class=\'code\'>menu</span> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] is returned by several methods described earlier on this page.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:menu&gt;.setTitle &lt;string&gt;title \n\
</pre></div><p>Sets the menu title to the supplied string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;&amp;string&gt;&lt;MixinInterface:menu&gt;.getTitle() \n\
</pre></div><p>Returns the menu title.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:menu&gt;.numItems() \n\
</pre></div><p>Returns the number of menu items.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;&lt;MixinInterface:menu&gt;.getItem &lt;index&gt;position \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-menuMan.html\' title=\'\'>menuItem MixinInterface</a> to the indexed menu item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:menu&gt;.addItem &lt;Interface&gt;item &lt;index&gt;position \n\
</pre></div><p>Adds a new menu item to the menu at the specified position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:menu&gt;.removeItemByPosition &lt;index&gt;position \n\
</pre></div><p>Removes the indexed menu item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:menu&gt;.removeItem &lt;Interface&gt;item \n\
</pre></div><p>Removes the specified menu item.</p>\n\
<div class=\'section\'><a id=\"mixin-interface-menuman.getquadmenu...\"></a><h2 id=\"mixin-interface-menuman.getquadmenu...\">Mixin Interface: menuMan.getQuadMenu(...)</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: quadMenu \n\
</pre></div><p>The <span class=\'code\'>quadMenu</span> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] is returned by several methods described earlier on this page.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;&lt;MixinInterface:quadMenu&gt;.getMenu &lt;index&gt;position \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>menu MixinInterface</a> to the indexed menu (1 to 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:quadMenu&gt;.trackMenu &lt;boolean&gt;showAllQuads \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , forces the quadMenu to show all quads.</p>\n\
<div class=\'section\'><a id=\"mixin-interface-menuman.createsubmenuitem...\"></a><h2 id=\"mixin-interface-menuman.createsubmenuitem...\">Mixin Interface: menuMan.createSubMenuItem(...)</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: menuItem \n\
</pre></div><p>The <span class=\'code\'>menuItem</span> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] is returned by several methods described earlier on this page.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:menuItem&gt;.setTitle &lt;string&gt;title \n\
</pre></div><p>Sets the menu item title to the supplied string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;&amp;string&gt;&lt;MixinInterface:menuItem&gt;.getTitle() \n\
</pre></div><p>Returns the menu item title.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.setUseCustomTitle &lt;boolean&gt;value \n\
</pre></div><p>When true is supplied, forces the menu item to show the custom title.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.getUseCustomTitle() \n\
</pre></div><p>Returns true if custom title is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.setDisplayFlat &lt;boolean&gt;value \n\
</pre></div><p>When true is supplied, forces the menu item to be displayed as flat.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.getDisplayFlat() \n\
</pre></div><p>Returns true if the menu item is set to display as flat.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:menuItem&gt;.getIsSeparator() \n\
</pre></div><p>Returns true if the menu item is a separator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;&lt;MixinInterface:menuItem&gt;.getSubMenu() \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-UIAccessor.html\' title=\'\'>menu MixinInterface</a> to the sub-menu.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";