var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: NamedSelectionSetManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: NamedSelectionSetManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-namedselectionsetmanager\"></a></div>\n\
<p>This Core Interface introduced in <strong>3ds Max 2011</strong> exposes methods to access and manage Named Selection Sets.</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\' title=\'\'>SelectionSetArray Values</a> for related functionality.</p>\n\
<div class=\'codeBlock\'><pre>Interface: NamedSelectionSetManager \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;NamedSelectionSetManager.GetNumNamedSelSets()   \n\
</pre></div><p>Returns the number of named selection sets.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;NamedSelectionSetManager.GetNamedSelSetName &lt;integer&gt;setIndex   \n\
</pre></div><p>Returns the name of the indexed, zero-based Named Selection Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;NamedSelectionSetManager.GetNamedSelSetItemCount &lt;integer&gt;setIndex \n\
</pre></div><p>Returns the number of items (objects) in the indexed, zero-based Named Selection Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;NamedSelectionSetManager.GetNamedSelSetItem &lt;integer&gt;setIndex &lt;integer&gt;itemIndex \n\
</pre></div><p>Returns the indexed, zero-based scene node specified by the second argument from the indexed, zero-based Named Selection Set specified by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NamedSelectionSetManager.AddNewNamedSelSet &lt;node array&gt;nodeSet &lt;string&gt;setName\n\
       AddNewNamedSelSet - no automatic redraw after invoked\n\
</pre></div><p>Adds a new Selection Set containing the nodes passed as array by the first argument named according to the second argument.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;NamedSelectionSetManager.RemoveNamedSelSetByIndex &lt;integer&gt;setIndex \n\
</pre></div><p>Removes the zero-based indexed Named Selection Set.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NamedSelectionSetManager.RemoveNamedSelSetByName &lt;string&gt;setName\n\
       RemoveNamedSelSetByName - no automatic redraw after invoked\n\
</pre></div><p>Removes the Named Selection Set with the given name.</p>\n\
<p>Returns true on success, false on failure (name not found).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NamedSelectionSetManager.ReplaceNamedSelSetByIndex &lt;node array&gt;nodeSet &lt;integer&gt;setIndex\n\
       ReplaceNamedSelSetByIndex - no automatic redraw after invoked\n\
</pre></div><p>Replaces the node array of the zero-based indexed Named Selection Set specified by the second argument with the node array passed by the first argument.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NamedSelectionSetManager.ReplaceNamedSelSetByName &lt;node array&gt;nodeSet &lt;string&gt;setName\n\
       ReplaceNamedSelSetByName - no automatic redraw after invoked\n\
</pre></div><p>Replaces the node array of the Selection Set specified by the second argument name string with the node array passed by the first argument.</p>\n\
<p>Returns true on success, false on failure (name not found).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NamedSelectionSetManager.GetNamedSelSetList &lt;&amp;node array&gt;nodeSet &lt;integer&gt;setIndex\n\
\n\
nodeSet is In and Out parameter\n\
</pre></div><p>Returns the node array of the Selection Set specified by the zero-based index second argument into the array passed by-reference by the first argument.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NamedSelectionSetManager.SetNamedSelSetName &lt;integer&gt;setIndex &lt;string&gt;setName\n\
       SetNamedSelSetName - no automatic redraw after invoked\n\
</pre></div><p>Sets the name of the indexed Named Selection Set specified by the first argument to the string specified by the second argument.</p>\n\
<p>Returns true on success, false on failure (index out of range).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` NamedSelectionSetManager.GetNumNamedSelSets() --starting without named selection sets --&gt; 0 s = Sphere() --we create a sphere --&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000] b = Box() --and a box --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000] NamedSelectionSetManager.AddNewNamedSelSet #(s,b) &quot;TestSelectionSet&quot; --and add them to a sel.set --&gt; true NamedSelectionSetManager.GetNumNamedSelSets() --checking the count, we have created one --&gt; 1 NamedSelectionSetManager.GetNamedSelSetName 0 --indices are zero-based, so we get the first set --&gt; &quot;TestSelectionSet&quot; NamedSelectionSetManager.GetNamedSelSetItemCount 0 --which has two items inside --&gt; 2 NamedSelectionSetManager.GetNamedSelSetItem 0 0 --checking the first item returns the sphere, --&gt; $Sphere:Sphere001 @ [0.000000,0.000000,0.000000] NamedSelectionSetManager.GetNamedSelSetItem 0 1 --checking the second item returns the box --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000] NamedSelectionSetManager.RemoveNamedSelSetByIndex 0 --we can remove the only sel.set --&gt; true NamedSelectionSetManager.GetNumNamedSelSets() --which makes the number of set equal to zero --&gt; 0 NamedSelectionSetManager.AddNewNamedSelSet #(s,b) &quot;Test2&quot; --let&#39;s make another one --&gt; true NamedSelectionSetManager.GetNumNamedSelSets() --we are back to one selection set --&gt; 1 NamedSelectionSetManager.RemoveNamedSelSetByName &quot;Test1&quot; --we can try to remove it by (wrong) name --&gt; false NamedSelectionSetManager.RemoveNamedSelSetByName &quot;Test2&quot; --and successfully remove it by name --&gt; true NamedSelectionSetManager.AddNewNamedSelSet #(s,b) &quot;Test3&quot; --let&#39;s re-make it under another name --&gt; true g = Geosphere() --and create a geosphere primitive to replace the sphere --&gt; $GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000] NamedSelectionSetManager.ReplaceNamedSelSetByIndex #(g,b) 0 --we set the items in the sel.set --&gt; true NamedSelectionSetManager.GetNamedSelSetItem 0 0 --so now the first item is the geosphere --&gt; $GeoSphere:GeoSphere001 @ [0.000000,0.000000,0.000000] NamedSelectionSetManager.GetNamedSelSetItem 0 1 --and the second is the box --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000] NamedSelectionSetManager.ReplaceNamedSelSetByName #(b,s) &quot;Test2&quot; --replacing with wrong name fails --&gt; false NamedSelectionSetManager.ReplaceNamedSelSetByName #(b,s) &quot;Test3&quot;--but works with the right name --&gt; true NamedSelectionSetManager.GetNamedSelSetItem 0 0 --now we have the box as first itme --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000] NamedSelectionSetManager.GetNamedSelSetItem 0 1 --and the sphere as the second --&gt; \\(Sphere:Sphere001 @ [0.000000,0.000000,0.000000]  theNodes=#()  --&gt; #()  NamedSelectionSetManager.GetNamedSelSetList &amp;theNodes 0 --we can get the nodes by-reference  --&gt; true  theNodes --now the variable contains an array of the items in the selection set  --&gt; #(\\)Box:Box001 @ [0.000000,0.000000,0.000000], $Sphere:Sphere001 @ [0.000000,0.000000,0.000000])</p>\n\
<p>NamedSelectionSetManager.GetNamedSelSetName 0 --the current name is &quot;Test3&quot; --&gt; &quot;Test3&quot; NamedSelectionSetManager.SetNamedSelSetName 0 &quot;SelSet&quot;--we can rename it to &quot;SelSet&quot; --&gt; true NamedSelectionSetManager.GetNamedSelSetName 0 --and make sure the renaming worked: --&gt; &quot;SelSet&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";