var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: NetworkManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: NetworkManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-networkmanager\"></a></div>\n\
<p>The <strong>NetworkManager Interface</strong> exposes a method to send email messages via MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;NetworkManager.Send &lt;string&gt;to &lt;string&gt;from &lt;string&gt;subject &lt;string&gt;body &lt;string&gt;server     \n\
</pre></div><p>Sends an email message.</p>\n\
<p>The first argument is the address to send to.</p>\n\
<p>The second argument is the address the message is sent from.</p>\n\
<p>The third argument is the subject of the message.</p>\n\
<p>The fourth argument is the body of the message.</p>\n\
<p>The fifth argument is the email server to use to send the message.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` ( theAddress = &quot;youremail@yourcompany.com&quot; theSender = &quot;myemail@mycompany.com&quot; theSubject = &quot;Greetings from 3ds Max!&quot; theBody = &quot;This email was sent by MAXScript\\n&quot; theBody += &quot;from inside of 3ds Max!\\n\\n&quot; theBody += &quot;Cool, eh?&quot; theServer = &quot;smtp.myprovider.net&quot; res = NetworkManager.Send theAddress theSender theSubject theBody theServer if res then messagebox (&quot;Email sent successfully to &quot; + theAddress) else messagebox (&quot;Failed to send email to &quot; + theAddress) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";