var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: OffsetManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: OffsetManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-offsetmanager\"></a></div>\n\
<p>The <span class=\'code\'>OffsetManager</span> Core Interface exposes methods for creating and managing Offset controllers and Animation Presets. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Animation &gt; Offset Controllers menu</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.addSel()\n\
</pre></div><p>Opens the “Select Controllers” dialog and displays the controllers of the selected objects.</p>\n\
<p>Equivalent to invoking the Main Menu &gt; Animation &gt; Offset Controllers &gt; Add Offset Controllers menu item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.RemoveOffsetControlDlg()\n\
</pre></div><p>Opens the “Remove Offset Controllers” dialog.</p>\n\
<p>Equivalent to selecting the Main Menu &gt; Animation &gt; Offset Controllers &gt; Delete Offset Controllers menu item.</p>\n\
<p><strong>Animation &gt; Presets menu</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.LoadEffectDlg()\n\
</pre></div><p>Opens the Load Preset dialog and lets the user assign a Preset to the current selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.PublishLocal &lt;maxObject&gt;modifier &lt;node&gt;template &lt;&amp;node array&gt;nodes\n\
</pre></div><p>nodes is In and Out parameter</p>\n\
<p>Applies the Preset controlled by the Preset_Maker Modifier supplied as first argument from the template node specified by the second argument to the by-reference array of nodes supplied by the third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.RemoveEffectFromNodes &lt;string&gt;name &lt;&amp;node array&gt;nodes\n\
</pre></div><p>nodes is In and Out parameter</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.createTemplate()\n\
</pre></div><p>Opens the “Select Preset Controllers” dialog for the currently selected object.</p>\n\
<p>A single object must be selected for the dialog to open.</p>\n\
<p>Equivalent to invoking the Main Menu &gt; Animation &gt; Presets &gt; Create Preset menu item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.RemoveEffectFromDisk &lt;string&gt;name\n\
</pre></div><p>Removes the specified named Preset from disk.</p>\n\
<p>Roughly equivalent to opening the Main Menu &gt; Animation &gt; Presets &gt; Remove Preset From Disk menu item, but instead on opening a dialog, it deletes the specified named preset directly.</p>\n\
<p><strong>Modifier &gt; “Offset Motion Controls” rollout &gt; “Offset Order By Distance” group of controls</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.OffsetByPos &lt;node&gt;center &lt;node array&gt;nodes &lt;boolean&gt;x &lt;boolean&gt;y &lt;boolean&gt;z\n\
</pre></div><p>Applies a new position-based offset to the nodes array passed as second argument starting from the center node given as first argument.</p>\n\
<p>The three Boolean arguments enable distance measurements along the X, Y and Z axes of the center node.</p>\n\
<p>Equivalent to the “Set Offset By Distance” controls exposed in the Offset modifier’s UI.</p>\n\
<p><strong>Modifier &gt; “Preset Maker” rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.PublishToFile &lt;maxObject&gt;modifier &lt;node&gt;template\n\
</pre></div><p>Saves to disk a named Preset using the Preset_Maker modifier specified as first argument, and the template node specified as the second argument.</p>\n\
<p>The name of the preset will be taken from the Preset_Maker modifier’s .publishFile property.</p>\n\
<p>Equivalent to pressing the “Save Preset” button in the “Preset Maker” rollout of the modifier.</p>\n\
<p><strong>MAXScript-Only Functions</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.LoadEffect &lt;string&gt;name\n\
</pre></div><p>Loads from disk a previously saved named Preset and applies it to the current selection.</p>\n\
<p>This is similar to <span class=\'code\'>OffsetManager.LoadEffectDlg()</span> but operates on the named Preset directly without opening an interactive dialog.</p>\n\
<p>To get the name of a preset, use the <span class=\'code\'>OffsetManager.GetEffectList()</span> method (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.GetEffectList &lt;&amp;string array&gt;names\n\
</pre></div><p>names is Out parameter</p>\n\
<p>Returns into the by-reference argument an array of the names of previously saved to disk Preset.</p>\n\
<p>This is similar to <span class=\'code\'>OffsetManager.LoadEffectDlg()</span> but returns the names of the Presets as a MAXScript array of strings value instead of opening an interactive dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.ReorderEffect &lt;string&gt;name\n\
</pre></div><p>Goes through the offset controllers and resets their Order IDs to their original values.</p>\n\
<p>When offset controllers are first applied, the Order ID is incremented for each controller to determine the order in which the controllers are played back.</p>\n\
<p>The user can modify the Order ID to change the playback order.</p>\n\
<p>This method resets the Order IDs back to the default state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.AddNodeToEffect &lt;string&gt;name &lt;&amp;node array&gt;nodes\n\
</pre></div><p>nodes is In and Out parameter</p>\n\
<p>Adds the nodes specified by the by-reference node array as second argument to the named Preset specified by the first string argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OffsetManager.addMenu()\n\
</pre></div><p>For Internal use only.</p>\n\
<p><strong>Actions</strong>:</p>\n\
<p>None</p>\n\
<blockquote>\n\
<p><strong>Example 1</strong></p>\n\
<p>``` ( resetMaxFile #noprompt --reset the scene without prompting animationRange = interval 0 140 --set the scene time range to 140 frames c = cylinder heightsegs:32 height:100 --create a tall cylinder copiesArray = for i = 1 to 21 collect --create a few copies ( cc = copy c --copy the original cylinder cc.pos = [(i-1)*40,0,0] --move the copy 40 units along X cc.wirecolor = green --set the object color to green cc --collect the copy in the array )</p>\n\
<p>b = bend direction:90 --create a Bend modifier rotated at 90 degrees addmodifier c b --add the Bend modifier to the cylinder with animate on --enable animation ( at time 15 b.angle = 90 --set Bend Angle to 90 degrees at frame 15 at time 30 b.angle = 0 --set Bend Angle back to 0 at frame 30 )</p>\n\
<p>select c --select the original cylinder OffsetManager.createTemplate() --prompt the user to create a template c.modifiers[1].timingUI.perNodeOffset = 5 --set Per Node Delay to 5 frames</p>\n\
<p>OffsetManager.PublishLocal c.modifiers[1] c &amp;copiesArray --apply the template to the copies</p>\n\
<p>c.modifiers[1].publishFile = &quot;Bend90DegOver30F&quot; --give the preset a name OffsetManager.PublishToFile c.modifiers[1] c --and save it to disk for future use</p>\n\
<p>delete c --delete the original cylinder</p>\n\
<p>OffsetManager.OffsetByPos copiesArray[11] copiesArray true false false --start from the middle</p>\n\
<p>max zoomext sel all --zoom extents all redrawViews() --redraw the views playAnimation() --and play back the animation... ) ```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>Example 2</strong></p>\n\
<p><span class=\'code\'>(   x = box heightsegs:32 height:250 --create a tall box   copiesArray = for i = 1 to 21 collect --create a few copies   (       cx = copy x --copy the original box       cx.pos = [(i-1)*40,60,0] --move the copy 40 units along X and 60 along Y       cx.wirecolor = color 200 40 100 --set the object color to pink       cx --collect the copy   )      delete x --delete the original   select copiesArray --select the newly created box copies   OffsetManager.LoadEffect &quot;Bend90DegOver30F&quot; --load the preset saved in Example 1   max zoomext sel all --zoom extents all   )</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";