var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: OpenEdges</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: OpenEdges</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-openedges\"></a></div>\n\
<p>The <strong>OpenEdges Core Interface</strong> exposes methods for interacting with the Open Edges xView Checker.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>Does not expose any properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;OpenEdges.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results     \n\
\n\
Check enums: {#Failed|#Vertices|#Edges|#Faces}   \n\
results is In and Out parameter   \n\
</pre></div><p>Performs an Open Edges xView check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>The method <strong>always</strong> returns the <span class=\'code\'>#edges</span> enum because the values written to the results array by the Open Edges check always represent the indices of open edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;OpenEdges.hasPropertyDlg() \n\
</pre></div><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the Open Edges checker, it <strong>always returns false</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OpenEdges.showPropertyDlg() \n\
</pre></div><p>Shows the property dialog of the xView checker, if implemented.</p>\n\
<p>In the particular case of the Open Edges checker this method <strong>does nothing</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>The following code creates a plane with 5x5 segments, then collapses it to an Editable Poly and deletes some internal polygons in the shape of the letter T, thus creating some more open edges.</p>\n\
<p>``` thePlane = plane width:100 length:100 widthsegs:5 lengthsegs:5 --&gt; $Plane:Plane01 @ [0.000000,0.000000,0.000000] convertTo thePlane Editable_Poly --&gt; $Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000] polyop.deleteFaces thePlane #{7..9,13,18} --&gt; OK</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-EEE98B80-0DDB-4116-95E8-69C9C046D57E-low.gif\' title=\'\'></div>\n\
<p>The following call to the OpenEdges.check() method will return the open edges. It does not require the Open Edges Checker to be active in the viewport and can be used in the MAXScript code to acquire the open edges indices into an array or bitarray:</p>\n\
<p>``` theResults = #() --we need an array to store the results in --&gt; #()</p>\n\
<p>--We call the method by passing the time to check at, --the object to check and the by-reference array to store --the results in. The return result of the method itself --will be #Edge because the method operates on edges --and the content of theResults array should be threated --as edge indices: resultType = openEdges.Check currentTime thePlane &amp;theResults --&gt; #Edges</p>\n\
<p>--If we would print out the content of the array variable as bitarray, --it will contain the indices of the open edges as bits set to true: theResults as bitarray --&gt; #{1, 4..5, 7..8, 10..11, 13, 15..17, 19..22, 24..25, 29..30, 34..35, 39..41, 45..47, 49, 51, 53, 55..56}</p>\n\
<p>--We can check the number of returned edge indices - it will --be the same as the count reported by the Open Edges Checker --in the Viewport: theResults.count --&gt; 32</p>\n\
<p>--We could easily select the open edges now: polyOp.setEdgeSelection thePlane theResults --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";