var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: OverlappingFaces</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: OverlappingFaces</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-overlappingfaces\"></a></div>\n\
<p>The <strong>OverlappingFaces Core Interface</strong> exposes methods for interacting with the Overlapping Faces xView Checker.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>OverlappingFaces.tolerance : float : Read|Write      \n\
</pre></div><p>Get/set the tolerance value of the Overlapping Faces check. Corresponds to the value set in the Properties dialog of the test.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;OverlappingFaces.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results   \n\
\n\
Check enums: {#Failed|#Vertices|#Edges|#Faces}   \n\
results is In and Out parameter \n\
</pre></div><p>Performs an Overlapping Faces xView check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>The method itself <strong>always</strong> returns the <span class=\'code\'>#faces</span> enum because the values written to the results array always represent indices of overlapping faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;OverlappingFaces.hasPropertyDlg() \n\
</pre></div><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the Overlapping Faces checker, it <strong>always returns true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OverlappingFaces.showPropertyDlg() \n\
</pre></div><p>Shows the Properties dialog.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D2299A2F-A229-4E02-B831-F9F0515157F7-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";