var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: nodeSelectionSet</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: nodeSelectionSet</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-nodeselectionset\"></a></div>\n\
<p>The <strong>nodeSelectionSet Core Interface</strong> provides methods for querying the current node selection to determine the state of the display and render UI controls. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nodeSelectionSet.getDisplayPropState &lt;enum&gt;propID &lt;enum&gt;condition \n\
\n\
    propID enums: {#DisplayProp_Transparent | #DisplayProp_Bone | #DisplayProp_FrozenWithMaterial | \n\
        #DisplayProp_Hidden | #DisplayProp_Frozen | #DisplayProp_Box | #DisplayProp_BackfaceCull | \n\
        #DisplayProp_AllEdges | #DisplayProp_BoneOnly | #DisplayProp_BoneAsLine | #DisplayProp_ShowTrajectory | \n\
        #DisplayProp_VertexTicks | #DisplayProp_IgnoreExtents | #DisplayProp_XRay} \n\
\n\
    condition enums: {#Cond_AnyChecked | #Cond_AnyUnchecked | #Cond_Indeterminate | #Cond_Enabled}\n\
\n\
\n\
\n\
</pre></div><p>Returns True if the Display Property specified by the propID enum argument has the state specified by the condition emum argument, otherwise returns False.</p>\n\
<p>A valid scene selection is required for this method to return a meaningful result, if the selection is empty, a value of False will be returned.</p>\n\
<p><span class=\'code\'>#Cond_AnyChecked</span> will return True if the specified Display property is checked in at least one of the selected objects, and False if all objects have the property unchecked.</p>\n\
<p><span class=\'code\'>#Cond_AnyUnchecked</span> will return True if the specified Display property is unchecked in at least one of the selected objects, and False if all objects have the property checked.</p>\n\
<p><span class=\'code\'>#Cond_Indeterminate</span> will return True if at least one object has the specified Display property in a different state than the other objects, and False if all objects have the same state, regardless of whether it is checked or unchecked.</p>\n\
<p><span class=\'code\'>#Cond_Enabled</span> will return True if the checkbox is enabled and can be set using the mouse, or False if the property cannot be set interactively because the current selection does not support setting this property for all objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nodeSelectionSet.setDisplayPropState &lt;enum&gt;propID &lt;boolean&gt;val \n\
\n\
    propID enums: {#DisplayProp_Transparent | #DisplayProp_Bone | #DisplayProp_FrozenWithMaterial | \n\
        #DisplayProp_Hidden | #DisplayProp_Frozen | #DisplayProp_Box | #DisplayProp_BackfaceCull | \n\
        #DisplayProp_AllEdges | #DisplayProp_BoneOnly | #DisplayProp_BoneAsLine | #DisplayProp_ShowTrajectory | \n\
        #DisplayProp_VertexTicks | #DisplayProp_IgnoreExtents | #DisplayProp_XRay}\n\
\n\
\n\
\n\
</pre></div><p>Sets the state of the Display Property specified by the first argument to the Boolean state given by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nodeSelectionSet.getRenderPropState &lt;enum&gt;propID &lt;enum&gt;condition \n\
\n\
    propID enums: {#RenderProp_Renderable | #RenderProp_CastShadows | #RenderProp_ReceiveShadows | \n\
        #RenderProp_MotionBlur | #RenderProp_DisplayTexture | #RenderProp_InheritVisibility | #RenderProp_ColorVerts | \n\
        #RenderProp_ShadeColorVerts | #RenderProp_VelocityMotionBlur | #RenderProp_RenderOccluded | #RenderProp_CastCaustic | \n\
        #RenderProp_ReceiveCaustics | #RenderProp_ApplyAtmospherics | #RenderProp_CastGlobalIllumination | \n\
        #RenderProp_ReceiveGlobalIllumination | #RenderProp_InvisibleToCamera | #RenderProp_InvisibleToReflections} \n\
\n\
    condition enums: {#Cond_AnyChecked | #Cond_AnyUnchecked | #Cond_Indeterminate | #Cond_Enabled}\n\
\n\
\n\
\n\
</pre></div><p>Returns True if the Render Property specified by the propID enum argument has the state specified by the condition emum argument, otherwise returns False.</p>\n\
<p>A valid scene selection is required for this method to return a meaningful result, if the selection is empty, a value of False will be returned.</p>\n\
<p><span class=\'code\'>#Cond_AnyChecked</span> will return True if the specified Render Property is checked in at least one of the selected objects, and False if all objects have the property unchecked.</p>\n\
<p><span class=\'code\'>#Cond_AnyUnchecked</span> will return True if the specified Render Property is unchecked in at least one of the selected objects, and False if all objects have the property checked.</p>\n\
<p><span class=\'code\'>#Cond_Indeterminate</span> will return True if at least one object has the specified Render Property in a different state than the other objects, and False if all objects have the same state, regardless of whether it is checked or unchecked.</p>\n\
<p><span class=\'code\'>#Cond_Enabled</span> will return True if the checkbox is enabled and can be set using the mouse, or False if the property cannot be set interactively because the current selection does not support setting this property for all objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nodeSelectionSet.setRenderPropState &lt;enum&gt;propID &lt;boolean&gt;val \n\
\n\
    propID enums: {#RenderProp_Renderable | #RenderProp_CastShadows | #RenderProp_ReceiveShadows | \n\
        #RenderProp_MotionBlur | #RenderProp_DisplayTexture | #RenderProp_InheritVisibility | #RenderProp_ColorVerts | \n\
        #RenderProp_ShadeColorVerts | #RenderProp_VelocityMotionBlur | #RenderProp_RenderOccluded | #RenderProp_CastCaustic | \n\
        #RenderProp_ReceiveCaustics | #RenderProp_ApplyAtmospherics | #RenderProp_CastGlobalIllumination | \n\
        #RenderProp_ReceiveGlobalIllumination | #RenderProp_InvisibleToCamera | #RenderProp_InvisibleToReflections}\n\
\n\
\n\
\n\
</pre></div><p>Sets the state of the Render Property specified by the first argument to the Boolean state given by the second argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b = box() --&gt; $Box:Box001 @ [0.000000,0.000000,0.000000] c = cylinder pos:[0,100,0] --&gt; $Cylinder:Cylinder001 @ [0.000000,100.000000,0.000000] s = sphere pos:[100,0,0] --&gt; $Sphere:Sphere001 @ [100.000000,0.000000,0.000000] b.vertexTicks = c.vertexTicks = s.vertexTicks = true --&gt;true c.boxMode = true --&gt;true</p>\n\
<p>--Check to see if the Display As Box property is checked in any of the objects: nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyChecked --&gt;false --because nothing is selected in the scene! select #(b,c,s) --select all three objects --&gt;OK nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyChecked --&gt;true --because at least one of them has the Display As Box checked! nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_Indeterminate --&gt;true --because some are checked and some are not nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyUnchecked --&gt;true --because two are unchecked nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_Enabled --&gt;true --because the checkbox is enabled and can be set to another state with the mouse c.boxMode = false --let&#39;s turn off the Box mode of the Cylinder --&gt;false nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyChecked --&gt;false --now none of the three objects has the state checked. so we get false nodeSelectionSet.getDisplayPropState #DisplayProp_Box #Cond_AnyUnchecked --&gt;false --same reason, all are checked!</p>\n\
<p>--Now let&#39;s explore the Vertex Ticks display property: nodeSelectionSet.getDisplayPropState #DisplayProp_VertexTicks #Cond_AnyChecked --&gt;true --because the Vertex Ticks option of all three objects is checked nodeSelectionSet.getDisplayPropState #DisplayProp_VertexTicks #Cond_Indeterminate --&gt;false --the Vertex Ticks of all three objects are checked, so the checkbox is not indeterminate nodeSelectionSet.getDisplayPropState #DisplayProp_VertexTicks #Cond_AnyUnchecked --&gt;false --the Vertex Ticks of all three objects are checked, ergo none is unchecked!</p>\n\
<p>--Now let&#39;s explore the Renderable property: nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyChecked --true --right now all three objects are renderable nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyUnchecked --false --so of course none of them has the Renderable property unchecked... nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_Indeterminate --false --that&#39;s why the checkbox is not intederminate, it is checked for all three s.renderable = false --so let&#39;s uncheck the renderable property of the Sphere --&gt;false nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyUnchecked --true --now there is one property that is unchecked, so we get true as result! nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_Indeterminate --true --and of course the checkbox would now be indeterminate</p>\n\
<p>--finally, let&#39;s turn off the renderable property of all three objects nodeSelectionSet.setRenderPropState #RenderProp_Renderable false --&gt;OK nodeSelectionSet.getRenderPropState #RenderProp_Renderable #Cond_AnyChecked --&gt;false --we successfully unchecked the Renderable property of the current selection!</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";