var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: nvpx</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: nvpx</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-nvpx\"></a></div>\n\
<p>The <strong>nvpx Core Interface</strong> exposes the MassFX Physical Simulation system based on nVidia PhysX technology to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'codeBlock\'><pre> Interface: nvpx\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>nvpx.UseAdaptiveForce : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the Use Adaptive Force option.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>nvpx.gravityMode : enum : Read|Write\n\
\n\
gravityMode enums: {#none|#directional|#object}\n\
</pre></div><p>Get/set the gravity mode.</p>\n\
<p>Possible values are:</p>\n\
<p><span class=\'code\'>#none</span> - no gravity</p>\n\
<p><span class=\'code\'>#directional</span> - directional gravity</p>\n\
<p><span class=\'code\'>#object</span> - object-based gravity using the <span class=\'code\'>nvpx.gravityObject</span> property (see below)</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>nvpx.gravityObject : node : Read|Write\n\
</pre></div><p>Get/set the gravity object defining the direction of gravity.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"scene-export\"></a><h2 id=\"scene-export\">Scene Export</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.ExportPhysXScene &lt;string&gt;filename &lt;string&gt;extension\n\
</pre></div><p>Exports the scene simulation data to an external file using the file format specified by the second argument. Returns 0 on success, -1 on failure.</p>\n\
<p>Possible extension values are:</p>\n\
<p>&quot;xml&quot; - creates a default XML file</p>\n\
<p>&quot;nxb&quot; - creates an NxuStream BINARY file</p>\n\
<p>&quot;dae&quot; - creates a COLLADA XML file.</p>\n\
<p>Any other extension value will cause a warning to be printed to the MAXScript Listener, and the export will use the XML file format.</p>\n\
<p>The actual file extension used in the filename argument does not have to match the file type. For example, it is possible to save a file called &quot;collada.xml&quot; using the &quot;dae&quot; extension argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` nvpx.ExportPhysXScene &quot;c:\\temp\\physxtest.xml&quot; &quot;xml&quot; --&gt; 0 nvpx.ExportPhysXScene &quot;c:\\temp\\physxtest.nxb&quot; &quot;nxb&quot; --&gt; 0 nvpx.ExportPhysXScene &quot;c:\\temp\\physxtest.dae&quot; &quot;dae&quot; --&gt; 0 nvpx.ExportPhysXScene &quot;c:\\temp\\physxtest.abc&quot; &quot;abc&quot; --&gt; SDK does not support exporting format, abc. It will be exported with default format. --&gt; 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.ExportPhysXProjectFile &lt;string&gt;physxProjectPath &lt;string&gt;physxProjectName\n\
</pre></div><p>Exports a PhysX Project file in XML format named according to the second argument to the path specified by the first argument. The extension .PxProj will be added automatically.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>nvpx.ExportPhysXProjectFile @&quot;c:\\temp\\&quot; &quot;physxproject&quot;</span></p>\n\
<p><strong>FILE CONTENT</strong></p>\n\
<p>``` <physicsplugin> <graphicsexport file=\"physxproject.fbx\"></graphicsexport> <physicsexport sdk=\"2.8.5\" physxscene=\"\"></physicsexport> <clothingtool ctp=\"\"></clothingtool> <sceneparameters> <animationrange start=\"0\" end=\"100\" framerate=\"30\" framesubstepcount=\"0\"></animationrange> <lengthunit type=\"0\" scale=\"1\" length=\"39.3701\"></lengthunit> <groundplane enabled=\"true\" direction=\"0.0 0.0 1.0\" height=\"0\"></groundplane> <gravity enabled=\"true\" value=\"0 0 -386.221\"></gravity> <simulation solveriteration=\"4\" lastframemode=\"Continue Simulation\" loopanimationmode=\"Reset Simulation\"></simulation> </sceneparameters> <sceneobjects></sceneobjects> </physicsplugin></p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.ExportPhysXProject &lt;string&gt;physxProjectPath &lt;string&gt;physxProjectName &lt;string&gt;fbxFileName\n\
</pre></div><p>Exports the PhysX project with the name specified by the second argument to the path specified by the first argument. Includes the geometry exported as FBX file name according to the third argument.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.PrepExportPhysXScene &lt;boolean&gt;isexportphysx &lt;string&gt;extension\n\
</pre></div><p>Prepare for export.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.PrepExportAPEXClothing &lt;boolean&gt;exportAPEXClothing &lt;string&gt;apExtension &lt;boolean&gt;useModelSpace \\\n\
&lt;float&gt;scale &lt;boolean&gt;addHulls &lt;boolean&gt;exportCTW &lt;boolean&gt;exportFBX &lt;boolean&gt;exportSelected &lt;boolean&gt;launchViewer \\\n\
&lt;boolean&gt;reverseWinding &lt;boolean&gt;omitMeshSubpartName \n\
 \n\
</pre></div><p>For future use.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.PrepExportAPEXDestruction &lt;boolean&gt;exportAPEXDestruction &lt;string&gt;apExtension &lt;boolean&gt;exportSelected\n\
</pre></div><p>For future use.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.GetExporterMode &lt;integer&gt;Parameter\n\
</pre></div><p>Returns the exporter mode of the specified parameter.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetExporterMode &lt;integer&gt;Parameter &lt;boolean&gt;onOff\n\
</pre></div><p>Sets the exporter mode of the specified parameter to the boolean value of the second argument.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"world-settings\"></a><h2 id=\"world-settings\">World Settings</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>nvpx.gravityMode : enum : Read|Write\n\
\n\
gravityMode enums: {#none|#directional|#object}\n\
\n\
</pre></div><p>Get/set the Gravity mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#none</strong> - no Gravity</p>\n\
<p><strong>#directional</strong> - Use the direction specified by the <span class=\'code\'>nvpx.SetGravity()</span> and returned by the <span class=\'code\'>nvpx.GetGravity()</span> methods</p>\n\
<p><strong>#object</strong> - Use the -Z axis of the object specified by the <span class=\'code\'>nvpx.gravityObject</span> property</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>nvpx.gravityObject : node : Read|Write\n\
</pre></div><p>Get/set the reference object whose -Z axis defines the Gravity direction when <span class=\'code\'>nvpx.GravityMode</span> property is set to #object.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;nvpx.GetGravity()\n\
</pre></div><p>Returns the Gravity vector as a Point3 value expressed in Generic Units / second squared. When the System Units are set to 1GU = 1 Inch, the Gravity defaults to [0,0,-386.221] that is equivalent to [0,0,-9.81] meters per second squared - Earth&#39;s acceleration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetGravity &lt;point3 byvalue&gt;gravity\n\
</pre></div><p>Sets the Gravity vector to the given Point3 value.</p>\n\
<p>In <strong>3ds Max 2013 and higher</strong>, it is used when <span class=\'code\'>nvpx.gravityMode</span> option is set to <span class=\'code\'>#directional</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetGeometryScale()\n\
</pre></div><p>Returns the Geometry Scale factor. Default is 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.SetGeometryScale &lt;float&gt;scaleRate\n\
</pre></div><p>Sets the Geometry Scale factor to the Float argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.CreateGround &lt;float&gt;position &lt;&amp;point3&gt;normal\n\
\n\
normal is In and Out parameter\n\
</pre></div><p>Creates a Ground plane at Z height given by the <span class=\'code\'>position</span> argument and aligned to the <span class=\'code\'>normal</span> vector specified by the second argument.</p>\n\
<p>There can be only one Ground plane in the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.RemoveGround()\n\
</pre></div><p>Removes the Ground plane from the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.ReadSystemUnit &lt;integer&gt;type &lt;float&gt;scale\n\
&lt;float&gt;nvpx.GetMeterToSystemUnit()\n\
</pre></div><p>Returns the scale factor between meters and the current system units. When the System Units are set to 1GU = 1 inch, the value will be 39.3701, the number of inches in one meter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.SetMeterToSystemUnit &lt;float&gt;newValue\n\
</pre></div><p>Sets the Meter to System Units scale factor to a user value, thus defining a new world scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.SetCCDMotionThreshold &lt;float&gt;ccdMotionThreshold\n\
</pre></div><p>Sets the Continuous Collision Detection motion threshold value to the specified floating point parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetSolverIterations()\n\
</pre></div><p>Returns the number of solver iterations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetSolverIterations &lt;integer&gt;count\n\
</pre></div><p>Sets the number of Solver Iterations to the integer argument. Returns the new value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.SetShapePerElement &lt;boolean&gt;shapePerElement\n\
</pre></div><p>Sets the Shape Per Element mode to the specified boolean value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"simulation\"></a><h2 id=\"simulation\">Simulation</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.Simulate &lt;float&gt;deltat\n\
</pre></div><p>Starts the simulation using the specified time step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsSimulating()\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the simulation is currently running, <span class=\'code\'>false</span> if it is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetSimulationSubSteps &lt;integer&gt;numSteps\n\
</pre></div><p>Sets the simulation sub-steps to the given value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SimulationReset()\n\
</pre></div><p>Resets the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.SetSimulationState &lt;integer&gt;state\n\
</pre></div><p>Sets the simulation state to the specified mode without performing an actual simulation.</p>\n\
<p>In <strong>3ds Max 2012</strong>, the argument was a boolean, False meaning the simulation was reset, True the simulation was performed.</p>\n\
<p>In <strong>3ds Max 2013</strong>, the argument was changed to an integer:</p>\n\
<p>0 - simulation was reset, no simulation data available</p>\n\
<p>1 -</p>\n\
<p>2 - simulation has been performed, simulation data available</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetSimulationState()\n\
</pre></div><p>Returns the current simulation state as integer.</p>\n\
<p>See above for valid values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.PauseSimulation()\n\
</pre></div><p>Causes the simulation to be paused.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"bodies-and-constraints\"></a><h2 id=\"bodies-and-constraints\">Bodies and Constraints</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.AddRigidbody &lt;node&gt;inode\n\
</pre></div><p>Adds the node passed as argument to the simulation as a rigid body. Returns 1 on success, 0 on failure. If failed, a message will also be printed to the MAXScript Listener.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.RemoveRigidbody &lt;node&gt;inode\n\
</pre></div><p>Removes the Rigid Body data from the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.RemoveAll()\n\
</pre></div><p>Removes the Rigid Body data from all scene nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.AddConstraint &lt;node&gt;node\n\
</pre></div><p>Adds a Constraint to the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.AddDistanceJoint &lt;node&gt;node\n\
</pre></div><p>Adds a Distance Joint to the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetRigidbodyShapeFlag &lt;node&gt;inode &lt;string&gt;flagname &lt;boolean&gt;value\n\
</pre></div><p>Sets the Rigid Body Shape Flag with the name provided by the second argument in the node specified by the first argument to the boolean value passed as third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.RBBroken &lt;node&gt;inode\n\
</pre></div><p>Returns true if the Rigid Body of the given node is broken, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.ClearInvalidNodes()\n\
</pre></div><p>Clears the invalid nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.PrintNodeParams &lt;node&gt;inode\n\
</pre></div><p>Prints detailed information about the specified node.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` nvpx.PrintNodeParams $Teapot001 print Node param blocks: totally 0 Param Blocks print modifier param blocks: totally 1 Param Blocks PBlock version 9, local name: ??, flag: 0x226, 60 Params Param 0 (type): TYPE_INT, flag: 0x920020, value: 1 Param 54 (switchType): TYPE_BOOL, flag: 0x820020, value: false Param 55 (switchTypeAtFrame): TYPE_INT, flag: 0x920020, value: 0 Param 35 (EnableGravity): TYPE_BOOL, flag: 0x820020, value: true Param 53 (ContinuousCollisionDetection): TYPE_BOOL, flag: 0x820020, value: false Param 36 (SleepAtStart): TYPE_BOOL, flag: 0x820020, value: false Param 52 (CollideWithRigidBodies): TYPE_BOOL, flag: 0x820020, value: true Param 1 (): TYPE_INODE, flag: 0x810000, value: 0x0 Param 2 (extraShapes): TYPE_STRING, flag: 0x800000, value: &quot;(null)&quot; Param 3 (manualSetup): TYPE_BOOL, flag: 0x820020, value: true Param 4 (materialId): TYPE_INT, flag: 0x820020, value: 0 Param 6 (density): TYPE_FLOAT, flag: 0x820020, value: 0 Param 5 (volume): TYPE_FLOAT, flag: 0x820020, value: 0 Param 7 (mass): TYPE_FLOAT, flag: 0x820020, value: 0 Param 8 (staticFriction): TYPE_FLOAT, flag: 0x820020, value: 1073741824 Param 9 (dynamicFriction): TYPE_FLOAT, flag: 0x820020, value: 1073741824 Param 10 (bounciness): TYPE_FLOAT, flag: 0x820020, value: 0 Param 62 (EnableAdvancedSettings): TYPE_INT, flag: 0x820020, value: 0 Param 56 (SkinWidth): TYPE_BOOL, flag: 0x820020, value: false Param 57 (SkinWidthValue): TYPE_FLOAT, flag: 0x20020, value: 0 Param 58 (SolverIter): TYPE_BOOL, flag: 0x820020, value: false Param 59 (SolverIterValue): TYPE_INT, flag: 0x120020, value: 4 Param 61 (InitialMotionStyle): TYPE_INT, flag: 0x820020, value: 1 Param 39 (InitialVelocityX): TYPE_FLOAT, flag: 0x920020, value: 0 Param 40 (InitialVelocityY): TYPE_FLOAT, flag: 0x920020, value: 0 Param 41 (InitialVelocityZ): TYPE_FLOAT, flag: 0x920020, value: 0 Param 37 (velocitySpeed): TYPE_FLOAT, flag: 0x920020, value: 0 Param 42 (InitialSpinX): TYPE_FLOAT, flag: 0x920020, value: 0 Param 43 (InitialSpinY): TYPE_FLOAT, flag: 0x920020, value: 0 Param 44 (InitialSpinZ): TYPE_FLOAT, flag: 0x920020, value: 0 Param 38 (spinSpeed): TYPE_FLOAT, flag: 0x920020, value: 0 Param 45 (MassCenterX): TYPE_FLOAT, flag: 0x920020, value: 0 Param 46 (MassCenterY): TYPE_FLOAT, flag: 0x920020, value: 0 Param 47 (MassCenterZ): TYPE_FLOAT, flag: 0x920020, value: 0 Param 50 (LinearDamping): TYPE_FLOAT, flag: 0x920020, value: 0 Param 51 (AngularDamping): TYPE_FLOAT, flag: 0x920020, value: -2147483648 Param 49 (baked): TYPE_BOOL, flag: 0x820020, value: false Param 14 (): TYPE_INT, flag: 0x820020, value: 0 Param 15 (): TYPE_BOOL, flag: 0x820020, value: false Param 16 (): TYPE_BOOL, flag: 0x820020, value: false Param 17 (): TYPE_BOOL, flag: 0x820020, value: false Param 13 (meshType): TYPE_INT, flag: 0x920020, value: 4 Param 28 (meshCustomMesh): TYPE_INODE, flag: 0x810000, value: 0x0 Param 26 (meshVerticesLimit): TYPE_INT, flag: 0x820020, value: 32 Param 27 (meshInflation): TYPE_FLOAT, flag: 0x820020, value: 0 Param 60 (meshConvexStyle): TYPE_INT, flag: 0x820020, value: 0 Param 31 (meshRadius): TYPE_FLOAT, flag: 0x920020, value: -2147483648 Param 32 (meshLength): TYPE_FLOAT, flag: 0x920020, value: 0 Param 33 (meshWidth): TYPE_FLOAT, flag: 0x920020, value: 0 Param 34 (meshHeight): TYPE_FLOAT, flag: 0x920020, value: 0 Param 29 (): TYPE_BOOL, flag: 0x40800000, value: false Param 30 (): TYPE_BOOL, flag: 0x820020, value: false Param 18 (meshOverrideMaterial): TYPE_BOOL, flag: 0x820020, value: false Param 19 (meshDensity): TYPE_FLOAT, flag: 0x40800000, value: 0 Param 20 (meshMass): TYPE_FLOAT, flag: 0x40800000, value: 0 Param 21 (meshStaticFriction): TYPE_FLOAT, flag: 0x40800000, value: 0 Param 22 (meshDynamicFriction): TYPE_FLOAT, flag: 0x40800000, value: 0 Param 23 (meshBounciness): TYPE_FLOAT, flag: 0x40800000, value: 0 Param 24 (): TYPE_BOOL, flag: 0x40800000, value: false Param 25 (): TYPE_BOOL, flag: 0x40800000, value: false</p>\n\
<p>Animatable[2] : Transform, classID = (2005, 0) Animatable[0]: Position, classID = (118f7e02, ffee238a) Animatable[1]: Rotation, classID = (2012, 0) Animatable[3] : Modified Object, classID = (3, 0) Animatable[0]: MassFX Rigid Body, classID = (a750e, 6e6ba) Animatable[0]: no name, classID = (2005, 0) Animatable[0]: Position, classID = (118f7e02, ffee238a) Animatable[1]: Rotation, classID = (2012, 0) Animatable[1]: no name, classID = (2005, 0) Animatable[0]: Position, classID = (118f7e02, ffee238a) Animatable[1]: Rotation, classID = (2012, 0) Animatable[2]: no name, classID = (118f7e02, ffee238a) Animatable[3]: no name, classID = (2005, 0) Animatable[0]: Position, classID = (118f7e02, ffee238a) Animatable[1]: Rotation, classID = (2012, 0) Animatable[1]: Teapot (Object), classID = (acad13d3, acad26d9) Animatable[0]: Parameters, classID = (8, 0) 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetAsDynamic &lt;node&gt;inode &lt;boolean&gt;onoff\n\
</pre></div><p>Sets the node passed as first argument to Dynamic Rigid Body when the second argument is passed as true, or to Static Rigid Body if the second argument is false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.PrintTM &lt;node&gt;inode\n\
</pre></div><p>Prints detailed information about the various transformation matrices of the specified node.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` nvpx.PrintTM $Teapot001 PivotTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000]) nodeTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [1.576996, -11.519989, 0.000000]) parentTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000]) objectTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [1.576996, -11.519989, 0.000000]) --pivot = [0.000000, 0.000000, 0.000000] --nodeObjectTM &lt;==&gt; PhysicsNodeTM == PhysicsNodeScaleTM * PhysicsNodePivotTM * PhysicsNodePoseTM PhysicsNodeScaleTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000]) PhysicsNodePivotTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000]) PhysicsPoseTM = (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [1.576996, -11.519989, 0.000000]) --Node Pos in Physics = [1.576996, -11.519989, 0.000000]</p>\n\
<p>--Node is convex = 0 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;class&gt;nvpx.GetObjectClass &lt;node&gt;node\n\
</pre></div><p>Returns the class of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.UpdateCCDCtrlState &lt;node&gt;node\n\
</pre></div><p>Updates the Continuous Collision Detection control state of the specified node.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"rigid-body-copy-and-paste\"></a><h3 id=\"rigid-body-copy-and-paste\">Rigid Body Copy And Paste</h3></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.CopyRigidbody &lt;node&gt;fromNode &lt;node&gt;toNode\n\
</pre></div><p>Copies the Rigid Body Modifier from the node specified as first argument to the node specified as second argument. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.ClipboardCopyRBMesh &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Copies the Rigid Body Mesh with index specified by the second argument from the node specified by the first argument to the Clipboard. Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.ClipboardPasteRBMesh &lt;node&gt;inode\n\
</pre></div><p>Pastes the Rigid Body Mesh from the Clipboard to the specified node. Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'section\'><a id=\"rigid-body-mesh-access\"></a><h3 id=\"rigid-body-mesh-access\">Rigid Body Mesh Access</h3></div>\n\
<p>The following methods interact with the node&#39;s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\' title=\'\'>MassFX_RBody Modifier</a>&#39;s settings. They can be used to iterate through nodes and modify their Rigid Body settings instead of operating on the modifier itself.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.AddRBMesh &lt;node&gt;inode\n\
</pre></div><p>Adds a Rigid Body Mesh to the specified node. Returns the index of the new mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.DeleteRBMesh &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Deletes the Rigid Body Mesh specified by the second argument index from the node specified by the first argument. Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetRBMeshCount &lt;node&gt;inode\n\
</pre></div><p>Returns the number of Rigid Body Meshes in the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetRBMeshName &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the name of the indexed Rigid Body Mesh in the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetRBMeshName &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;string&gt;meshName\n\
</pre></div><p>Renames the given node&#39;s Rigid Body Mesh specified by the second index argument to the name specified by the third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetRBMeshType &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the type of the given node&#39;s Rigid Body Mesh specified by the second index argument. For the meaning of the return value, see the next method&#39;s description:</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshType &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;integer&gt;meshType\n\
</pre></div><p>Sets the type of the given node&#39;s Rigid Body Mesh specified by the second index argument to the type as follows:</p>\n\
<p>1 - Sphere</p>\n\
<p>2 - Box</p>\n\
<p>3 - Capsule</p>\n\
<p>4 - Convex</p>\n\
<p>5 - Composite</p>\n\
<p>6 - Original</p>\n\
<p>7 - Custom</p>\n\
<p>Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;&amp;matrix3&gt;nvpx.GetRBMeshTM &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Transformation Matrix of the given node&#39;s Rigid Body Mesh with index specified by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshTM &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;&amp;matrix3&gt;pose\n\
\n\
pose is In and Out parameter\n\
</pre></div><p>Sets the Transformation Matrix of the given node&#39;s Rigid Body Mesh with index specified by the second argument to the matrix3 value passed as third argument. Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetRBMeshRadius &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the radius of the node&#39;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Sphere, Box or Capsule). Returns 0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshRadius &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;radius\n\
</pre></div><p>Sets the radius of the node&#39;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type supports a Radius value, false if it does not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetRBMeshLength &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the length of the node&#39;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Box). Returns 0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshLength &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Length\n\
</pre></div><p>Sets the length of the node&#39;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type is Box, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetRBMeshWidth &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the width of the node&#39;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Box). Returns 0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshWidth &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Width\n\
</pre></div><p>Sets the width of the node&#39;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type is Box, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetRBMeshHeight &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the height of the node&#39;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is Box). Returns 0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshHeight &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Height\n\
</pre></div><p>Sets the height of the node&#39;s indexed Rigid Body Mesh to the floating point value given by the third argument. Returns true if the Rigid Body Mesh Type is Box, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.GetRBMeshCustomNode &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Custom node of the given node&#39;s indexed Rigid Body Mesh, if applicable (for example, Rigid Body Mesh Type is set to Custom). Otherwise returns <span class=\'code\'>undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetRBMeshCustomNode &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;node&gt;CustomNode\n\
</pre></div><p>Sets the custom mesh of the node&#39;s indexed Rigid Body Mesh to the node given by the third argument. Returns <span class=\'code\'>true</span> if the Rigid Body Mesh Type is Custom, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetRBMeshVertexLimit &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Vertex Limit value of the node&#39;s indexed Rigid Body Mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshVertexLimit &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;integer&gt;VerticeLimit\n\
</pre></div><p>Sets the Vertex Limit of the node&#39;s indexed Rigid Body Mesh to the integer value specified by the third argument. Returns <span class=\'code\'>true</span> if the Rigid Body Mesh Type supports Vertex Limits (for example, Convex), <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetRBMeshInflation &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Inflation value of the node&#39;s indexed Rigid Body Mesh if its type is Convex, <span class=\'code\'>undefined</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshInflation &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;float&gt;Inflation\n\
</pre></div><p>Sets the Inflation value of the node&#39;s indexed Rigid Body Mesh to the float value specified by the third argument. Returns <span class=\'code\'>true</span> if the Rigid Body Mesh Type supports Inflation (for example, Convex), <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;nvpx.GetRBMeshShape &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the TriMesh value of the node&#39;s indexed Rigid Body Mesh if its type is Convex or Custom, <span class=\'code\'>undefined</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshShape &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;mesh&gt;newMesh\n\
</pre></div><p>Sets the shape of the node&#39;s indexed Rigid Body Mesh to the TriMesh value specified by the third argument. Returns <span class=\'code\'>true</span> if the Rigid Body Mesh Type has a mesh (for example, Convex, Custom), <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.GetRBMeshOverrideDriverMat &lt;node&gt;inode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the state of the &quot;Override Physical Material&quot; option in the given node&#39;s Rigid Body Mesh.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>GetRBMeshOverrideMasterMat</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBMeshOverrideDriverMat &lt;node&gt;inode &lt;integer&gt;meshIndex &lt;boolean&gt;overrideIt\n\
</pre></div><p>Sets the state of the &quot;Override Physical Material&quot; option in the given node&#39;s Rigid Body Mesh to the value provided by the third argument. Returns true on success, false on failure (for example, if the node does not have a Rigid Body Modifier or the meshIndex is invalid).</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>SetRBMeshOverrideMasterMat</span>.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"node-physical-properties\"></a><h2 id=\"node-physical-properties\">Node Physical Properties</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;&amp;point3&gt;nvpx.GetGlobalPosition &lt;node&gt;inode\n\
</pre></div><p>Returns the Global Position value of the given node, or [0,0,0] if the value cannot be reported.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetGlobalPosition &lt;node&gt;inode &lt;&amp;point3&gt;position\n\
\n\
position is In and Out parameter\n\
</pre></div><p>Sets the Global Position of the given node to the Point3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;&amp;point3&gt;nvpx.GetLinearVelocity &lt;node&gt;inode\n\
</pre></div><p>Returns the Linear Velocity value of the given node, or [0,0,0] if the value cannot be acquired.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetLinearVelocity &lt;node&gt;inode &lt;&amp;point3&gt;linearvelocity\n\
\n\
linearvelocity is In and Out parameter\n\
</pre></div><p>Sets the Linear Velocity of the given node to the Point3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<div class=\'codeBlock\'><pre> &lt;&amp;point3&gt;nvpx.GetAngularVelocity &lt;node&gt;inode\n\
</pre></div><p>Returns the Angular Velocity value of the given node, or [0,0,0] if the value cannot be acquired.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetAngularVelocity &lt;node&gt;inode &lt;&amp;point3&gt;angularvelocity\n\
\n\
angularvelocity is In and Out parameter\n\
</pre></div><p>Sets the Linear Velocity of the given node to the Point3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;&amp;matrix3&gt;nvpx.GetGlobalPose &lt;node&gt;inode\n\
</pre></div><p>Returns the Global Pose value of the specified node, or the identity matrix if the value cannot be reported.</p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;nvpx.SetGlobalPose &lt;node&gt;inode &lt;&amp;matrix3&gt;pose\n\
\n\
pose is In and Out parameter\n\
</pre></div><p>Sets the Global Pose of the given node to the matrix3 value passed by-reference as second argument. Returns 0 on success, -1 on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetMass&lt;node&gt;inode\n\
</pre></div><p>Returns the Mass value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.SetMass &lt;node&gt;inode &lt;float&gt;value\n\
</pre></div><p>Sets the Mass of the given node to the Float value passed as second argument. Returns the new mass, or 0.0 if the setting failed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetDynamicFriction &lt;node&gt;inode\n\
</pre></div><p>Returns the Dynamic Friction value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetDynamicFriction &lt;node&gt;inode &lt;float&gt;value\n\
</pre></div><p>Sets the Dynamic Friction of the given node to the Float value passed as second argument. Returns 0 on success, -1 on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetStaticFriction &lt;node&gt;inode\n\
</pre></div><p>Returns the Static Friction value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetStaticFriction &lt;node&gt;inode &lt;float&gt;value\n\
</pre></div><p>Sets the Static Friction of the given node to the Float value passed as second argument. Returns 0 on success, -1 on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetRestitution &lt;node&gt;inode\n\
</pre></div><p>Returns the Restitution value of the given node, or 0.0 if the value cannot be acquired.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetRestitution &lt;node&gt;inode &lt;float&gt;value\n\
</pre></div><p>Sets the Restitution of the given node to the Float value passed as second argument. Returns 0 on success, -1 on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;nvpx.GetInitialPose &lt;node&gt;inode\n\
</pre></div><p>Returns the Initial Pose Transformation Matrix of the specified node.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.SetInitialPose &lt;node&gt;inode &lt;&amp;matrix3&gt;initialPose \n\
\n\
initialPose is In and Out parameter\n\
</pre></div><p>Sets the Initial Pose Transformation Matrix of the specified node to the by-reference matrix3 value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.CaptureInitTransforms &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter\n\
</pre></div><p>Captures the Initial Transforms of the nodes specified by the by-reference array argument. Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.GetBakedFlag &lt;node&gt;inode\n\
</pre></div><p>Returns the Baked Flag of the specified node - True if the node is baked, False if it is not.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetBakedFlag &lt;node&gt;inode &lt;boolean&gt;isBaked\n\
</pre></div><p>Sets the Baked Flag of the specified node to the second boolean argument. Returns True on success, False if the flag could not be set.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"physical-material-loading-and-saving\"></a><h2 id=\"physical-material-loading-and-saving\">Physical Material Loading and Saving</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SaveMaterial &lt;string&gt;filename &lt;float&gt;staticFriction &lt;float&gt;dynamicFriction &lt;float&gt;bounciness &lt;integer&gt;density\n\
</pre></div><p>Saves a Physical Material XML file to the file name specified by the first argument. The second, third, fourth, and fifth arguments specify the Static Friction, the Dynamic Friction, the Bounciness and the Density values of the Physical Material. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.LoadMaterialStaticFric &lt;string&gt;filename\n\
</pre></div><p>Loads the Static Friction value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.LoadMaterialDynFric &lt;string&gt;filename\n\
</pre></div><p>Loads the Dynamic Friction value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.LoadMaterialBounciness &lt;string&gt;filename\n\
</pre></div><p>Loads the Bounciness value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.LoadMaterialDensity &lt;string&gt;filename\n\
</pre></div><p>Loads the Bounciness value from the specified Physical Material XML file and returns it as a Float.</p>\n\
<div class=\'section\'><a id=\"physical-material-access\"></a><h2 id=\"physical-material-access\">Physical Material Access</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.MaterialGetCount()\n\
</pre></div><p>Returns the number of Physical Materials in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.MaterialGetId &lt;integer&gt;matIndex\n\
</pre></div><p>Given the zero-based material index (material 1 has index 0, material 2 has index 1, and so on), returns the integer ID of the material, or 0 if the index is out of range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.MaterialGetType &lt;integer&gt;matId\n\
</pre></div><p>Given the material ID returned by the <span class=\'code\'>nvpx.MaterialGetId()</span> method, returns the type of the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.MaterialIsLocked &lt;integer&gt;matId\n\
&lt;integer&gt;nvpx.MaterialFind &lt;string&gt;ParamName\n\
&lt;integer&gt;nvpx.MaterialCreate &lt;integer&gt;type\n\
</pre></div><p>Creates a new unnamed Physical Material Preset of the given type. Returns the material ID as an Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.MaterialRemove &lt;integer&gt;matId\n\
</pre></div><p>Removes the Physical Material Preset with the given ID. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.MaterialGetParam &lt;integer&gt;matId &lt;string&gt;ParamName\n\
</pre></div><p>Returns the parameter of the Physical Material with the specified ID as a string.</p>\n\
<p>The second argument is the Parameter Name which can be one of the following:</p>\n\
<ul>\n\
<li><span class=\'code\'>&quot;Name&quot;</span> - returns the Name</li>\n\
<li><span class=\'code\'>&quot;Density&quot;</span> - returns the Density</li>\n\
<li><span class=\'code\'>&quot;StaticFriction&quot;</span> - returns the Static Friction</li>\n\
<li><span class=\'code\'>&quot;Friction&quot;</span> - returns the Dynamic Friction</li>\n\
<li><span class=\'code\'>&quot;Bounciness&quot;</span> - returns the Bounciness</li>\n\
<li>Any other string that is not supported by the Physical Material Preset will return empty string &quot;&quot;.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.MaterialSetParam &lt;integer&gt;matId &lt;string&gt;ParamName &lt;string&gt;ParamValue\n\
</pre></div><p>Sets the parameter of the Physical Material specified by the first argument with the name specified by the second argument to the string value provided by the third argument.</p>\n\
<p>Returns true on success, false on failure, for example, if the parameter name is not supported.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPMVisibleForRigidBodies()\n\
</pre></div><p>Returns 1 if the Physical Material is visible for Rigid Bodies, 0 if it is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.SetPMVisibleForRigidBodies &lt;integer&gt;visible\n\
</pre></div><p>Sets the Physical Material Visibility for Rigid Bodies to the integer argument - 1 for visible, 0 for invisible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBDisplayMaterial &lt;material&gt;dynamicMat &lt;material&gt;kinematicMat &lt;material&gt;staticMat\n\
</pre></div><p>Sets three <strong>3ds Max</strong> materials to use for display of Dynamic, Kinematic and Static Rigid Body objects. Returns <strong><span class=\'code\'>true</span></strong> on success, <span class=\'code\'>false</span> on failure.</p>\n\
<div class=\'section\'><a id=\"bounding-geometry-creation\"></a><h2 id=\"bounding-geometry-creation\">Bounding Geometry Creation</h2></div>\n\
<p>The following methods operate on any scene node and do not require the node to be a Rigid Body mesh or even a Geometry object.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.CreateBoundingBox &lt;node&gt;inode\n\
</pre></div><p>Creates an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\' title=\'\'>nv_Box</a> geometry primitive matching the object-aligned bounding box of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.CreateBoundingSphere &lt;node&gt;inode\n\
</pre></div><p>Creates an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\' title=\'\'>nv_Sphere</a> geometry primitive aligned to the specified node and representing the bounding sphere of the node&#39;s bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.CreateBoundingCapsule &lt;node&gt;inode\n\
</pre></div><p>Creates an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\' title=\'\'>nv_Capsule</a> geometry primitive enclosing the node&#39;s bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.CreateBoundingCapsuleFromPoints &lt;matrix3&gt;poseTransform &lt;&amp;float array&gt;points\n\
\n\
points is In and Out parameter\n\
</pre></div><p>Creates an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\' title=\'\'>nv_Capsule</a> geometry primitive based on a pose transformation matrix and an array of points to be included inside the capsule.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.CreateBoundingShapeConvex &lt;node&gt;inode &lt;integer&gt;vertLimit &lt;float&gt;inflation &lt;int&gt;style\n\
</pre></div><p>Creates an Editable Mesh node enclosing the specified node. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. The fourth argument specifies the algorithm used to generate the convex hull:</p>\n\
<ul>\n\
<li>0 - Surface (Overhull) ensures that the hull is always outside the graphical mesh</li>\n\
<li>1 - Vertices (Simplify) uses existing vertices from the graphical mesh</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;nvpx.CreateBoundingConvex &lt;node&gt;inode &lt;integer&gt;vertLimit &lt;float&gt;inflation\n\
</pre></div><p>Returns a TriMesh value representing the convex bounding shape of the specified node. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. This method is similar to <span class=\'code\'>nvpx.CreateBoundingShapeConvex()</span> , but produces the mesh in memory instead of creating a scene node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;nvpx.CreateBoundingConvexFromNodes &lt;&amp;node array&gt;inodes &lt;integer&gt;vertLimit &lt;float&gt;inflation\n\
\n\
inodes is In and Out parameter\n\
</pre></div><p>Returns a TriMesh value representing the convex bounding shape of all specified nodes. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. This method is similar to <span class=\'code\'>nvpx.CreateBoundingConvex()</span> , but operates on multiple nodes at once.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;nvpx.CreateConvexHull &lt;mesh&gt;mesh &lt;integer&gt;vertlimit &lt;float&gt;inflation\n\
</pre></div><p>Returns a TriMesh value representing the convex bounding shape of the specified TriMesh value. The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface. This method is similar to <span class=\'code\'>nvpx.CreateBoundingConvex()</span> , but operates on a TriMesh value in memory instead of a scene node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;nvpx.CreateConvexFromPoints &lt;&amp;float array&gt;points &lt;integer&gt;vertlimit &lt;float&gt;inflation\n\
\n\
points is In and Out parameter\n\
</pre></div><p>Returns a TriMesh value representing the convex bounding shape enclosing the points specified in the array of floats. The array&#39;s number of elements must be 3 times the number of spatial point3 values with three consecutive floats used as the X, Y, and Z components of a single Point3 value.</p>\n\
<p>The second argument limits the number of vertices in the resulting mesh. The third argument defines the inflation that applies an offset from the bounding surface.</p>\n\
<p>This method is similar to <span class=\'code\'>nvpx.CreateBoundingConvex()</span> , but operates on user-defined points instead of geometry vertices.</p>\n\
<div class=\'section\'><a id=\"sleeping-actors\"></a><h2 id=\"sleeping-actors\">Sleeping Actors</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetSleepState &lt;node&gt;inode &lt;boolean&gt;onoff\n\
</pre></div><p>Set the sleep state of the specified node to the boolean value provided by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.FindSleepingActors()\n\
</pre></div><p>Returns the number of sleeping actors in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.GetSleepingActor &lt;integer&gt;index\n\
</pre></div><p>Returns the sleeping node corresponding to the 0-based index argument that should range between 0 and <span class=\'code\'>(nvpx.FindSleepingActors())-1</span> .</p>\n\
<p>Returns <span class=\'code\'>undefined</span> if the index is out of range.</p>\n\
<div class=\'section\'><a id=\"getset-parameters\"></a><h2 id=\"getset-parameters\">Get/Set Parameters</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetRBParam &lt;node&gt;inode &lt;string&gt;paramName\n\
</pre></div><p>Returns the string value of the given Rigid Body&#39;s parameter with the specified name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBParam &lt;node&gt;inode &lt;string&gt;paramName &lt;string&gt;paramValue\n\
</pre></div><p>Sets the value of the given Rigid Body&#39;s parameter with the specified name to the string value supplied as third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.GetRBShapeParam &lt;node&gt;inodeRB &lt;node&gt;inodeShape &lt;string&gt;paramName\n\
</pre></div><p>Returns the boolean value of the named parameter in the given Rigid Body and Shape nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetRBShapeParam &lt;node&gt;inodeRB &lt;node&gt;inodeShape &lt;string&gt;paramName &lt;string&gt;paramValue\n\
</pre></div><p>Sets the string value of the named parameter in the given Rigid Body and Shape nodes to the string value passed as fourth argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.GetConstraintParam &lt;node&gt;inode &lt;string&gt;paramName\n\
</pre></div><p>Returns the value of the specified node&#39;s Constraint property. The second argument is the property name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetConstraintParam &lt;node&gt;inode &lt;string&gt;paramName &lt;string&gt;paramValue\n\
</pre></div><p>Sets the value of the named property of the specified node&#39;s Constraint. The third argument is the property name. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetSDKParameter &lt;TSTR byvalue&gt;paramName\n\
</pre></div><p>Returns the value of the SDK parameter with the given name.</p>\n\
<p>For a list of supported SDK parameter names, export a scene to an XML file and browse the content of the file for <span class=\'code\'>&lt;NxParameterDesc param=&quot;ABC&quot;&gt;</span> tags, where &quot;ABC&quot; is the parameter name.</p>\n\
<p>If the parameter name is unsupported, the return value will be -3.40282e+038 (which is the smallest floating point number).</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetSDKParameter &lt;TSTR byvalue&gt;paramName &lt;float&gt;value\n\
</pre></div><p>Sets the SDK parameter with the given name to the value specified by the second argument. See previous method for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetSDKDefaultParameter &lt;TSTRby value&gt;paramName\n\
</pre></div><p>Sets the SDK parameter with the given name to its default value.</p>\n\
<div class=\'section\'><a id=\"contacts-report\"></a><h2 id=\"contacts-report\">Contacts Report</h2></div>\n\
<p>A Contact Report provides information about collisions recorded during the physical simulation including force, location, and participating nodes. The contacts can be filtered using a force magnitude threshold to exclude lighter collisions.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetUseContactReport &lt;boolean&gt;OnOff\n\
</pre></div><p>Sets the enabled state of Contact reporting to true or false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetContactsCount()\n\
</pre></div><p>Returns the number of recorded contacts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SelectFirstContact()\n\
</pre></div><p>Selects the first contact.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.GetNextContact()\n\
</pre></div><p>Sets the internal pointer at the next contact, affecting the following methods for getting the contact Force, Point, and Nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 byvalue&gt;nvpx.GetContactForce index:&lt;index&gt;\n\
\n\
index default value: 0\n\
\n\
</pre></div><p>Returns the Contact Force of the indexed Contact Record as a Point3 value.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <span class=\'code\'>index:</span> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 byvalue&gt;nvpx.GetContactPoint index:&lt;index&gt;\n\
\n\
index default value: 0\n\
\n\
</pre></div><p>Returns the Contact Point of the indexed Contact Record as a Point3 value.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <span class=\'code\'>index:</span> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.GetContactNode0 index:&lt;index&gt;\n\
\n\
index default value: 0\n\
\n\
</pre></div><p>Returns the first node of the indexed Contact Record.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <span class=\'code\'>index:</span> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.GetContactNode1 index:&lt;index&gt;\n\
\n\
index default value: 0\n\
</pre></div><p>Returns the second node of the indexed Contact Record.</p>\n\
<p>When the index is 0 or not specified, the current Contact Record is used.</p>\n\
<p>New <span class=\'code\'>index:</span> optional keyword added in <strong>3ds Max 2013</strong>. In <strong>3ds Max 2012</strong>, the method returned the current contact only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetContactFilter()\n\
</pre></div><p>Returns the current Contract Filter value.</p>\n\
<p>Contacts with a Force of vector length (magnitude) less than this value will not be recorded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.SetContactFilter &lt;float&gt;force\n\
</pre></div><p>Sets the contact filter to a floating point threshold value.</p>\n\
<p>Contacts with a Force with vector length less than this value will not be recorded.</p>\n\
<div class=\'section\'><a id=\"skin-access\"></a><h2 id=\"skin-access\">Skin Access</h2></div>\n\
<p>The following methods provide access to 3ds Max Skin data.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.ParseSkinInfo &lt;node&gt;inode &lt;float&gt;weightThreshold\n\
</pre></div><p>Collects Skin Info from the specified node using the second argument as weight threshold. No data will be collected about vertices with weight below the threshold value. Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> on failure (for example, the node is not a Skinned object).</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetVerticesCountFromSkinnedBone &lt;node&gt;inode\n\
</pre></div><p>Returns the number of vertices affected by the specified bone as collected by the <span class=\'code\'>nvpx.ParseSkinInfo()</span> method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float by value array&gt;nvpx.GetVerticesFromSkinnedBone &lt;node&gt;inode\n\
</pre></div><p>Returns an array of floats representing the X, Y, and Z components of the vertices affected by the specified bone. The coordinates are in the Bone&#39;s local space - to produce world space positions, the Point3 value created from three Float values from the array must be multiplied by the Bone&#39;s transformation matrix.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.ReleaseSkinInfo()\n\
</pre></div><p>Clears the Skin Info data collected by the <span class=\'code\'>nvpx.ParseSkinInfo()</span> .</p>\n\
<div class=\'section\'><a id=\"bone-methods\"></a><h2 id=\"bone-methods\">Bone Methods</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.HaveBoneFloatLimitControl &lt;node&gt;inode &lt;string&gt;block\n\
</pre></div><p>Returns true if the Bone has a Float Limit Control.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetBoneFloatLimitValue &lt;node&gt;inode &lt;string&gt;block &lt;string&gt;param\n\
</pre></div><p>Returns the Bone Float Limit value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsBone &lt;node&gt;inode\n\
</pre></div><p>Returns true if the specified node is a bone, false if it is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;nvpx.GetBonePose &lt;node&gt;inode\n\
</pre></div><p>Returns the pose transformation matrix of the specified bone.</p>\n\
<div class=\'section\'><a id=\"ragdoll-access\"></a><h2 id=\"ragdoll-access\">Ragdoll Access</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.RagdollGetRootBone &lt;node&gt;inode\n\
</pre></div><p>Returns the Root Bone of the specified Ragdoll.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsRagdollNode &lt;node&gt;inode\n\
</pre></div><p>Returns true if the specified node is a Ragdoll Node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.LoadRagdollHelperMesh &lt;meshby value&gt;mesh\n\
</pre></div><p>Loads a Ragdoll Helper Mesh value. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.CreateRagdollHelper()\n\
</pre></div><p>Creates a Ragdoll Helper.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.RagdollRegenerate &lt;node&gt;ragdoll &lt;&amp;node array&gt;bones \n\
\n\
bones is In and Out parameter\n\
</pre></div><p>Regenerates the specified Ragdoll node using the array of bone nodes provided by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.RagdollAddBone &lt;node&gt;ragdoll &lt;node&gt;boneNode\n\
</pre></div><p>Adds the bone node given by the second argument to the Ragdoll node specified by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.RagdollRemoveBone &lt;node&gt;ragdoll &lt;node&gt;boneNode\n\
</pre></div><p>Removes the bone node specified by the second argument from the Ragdoll specified by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.RagdollGroupBones &lt;node&gt;ragdoll &lt;&amp;node array&gt;bones \n\
\n\
bones is In and Out parameter\n\
</pre></div><p>Specifies the Ragdoll bones of the Ragdoll given by the first argument using the by-reference array passed as second argument. Returns <span class=\'code\'>true</span> on success, <strong><span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.RagdollSave &lt;node&gt;ragdoll &lt;string&gt;filename\n\
</pre></div><p>Saves the Ragdoll specified by the first argument to the file name given by the second argument. Returns <span class=\'code\'>true</span> on success, <strong><span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.RagdollLoad &lt;node&gt;ragdoll &lt;string&gt;filename\n\
</pre></div><p>Loads the Ragdoll specified by the first argument from the file name given by the second argument. Returns <span class=\'code\'>true</span> on success, <strong><span class=\'code\'>false</span></strong> on failure.</p>\n\
<div class=\'section\'><a id=\"biped-integration\"></a><h2 id=\"biped-integration\">Biped Integration</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsBiped &lt;node&gt;inode\n\
</pre></div><p>Returns true if the specified node is a Biped node, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsBipedRoot &lt;node&gt;inode\n\
</pre></div><p>Returns true if the specified node is a Biped Root node, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsBipedFootsteps &lt;node&gt;inode\n\
</pre></div><p>Returns true if the specified node is a Biped Footsteps node, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.BipedSetKeys &lt;boolean&gt;setKeys\n\
</pre></div><p>Sets keys for the selected Biped if the argument is true.</p>\n\
<div class=\'section\'><a id=\"physique-integration\"></a><h2 id=\"physique-integration\">Physique Integration</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.PhysiqueLoad &lt;node&gt;inode\n\
</pre></div><p>Loads the Physique data of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.PhysiqueGetNumBones &lt;node&gt;inode\n\
</pre></div><p>Returns the number of bones associated with the Physique modifier of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.PhysiqueGetBone &lt;node&gt;inode &lt;integer&gt;boneIndex\n\
</pre></div><p>Returns the indexed bone node from the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.PhysiqueGetNumBoneVertices &lt;node&gt;inode &lt;node&gt;boneNode\n\
</pre></div><p>Returns the number of vertices in the node specified by the first argument influenced by the bone provided by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;nvpx.PhysiqueGetBoneVertex &lt;node&gt;inode &lt;node&gt;boneNode &lt;integer&gt;verticeIndex\n\
</pre></div><p>Returns the position of the indexed vertex in the node specified by the first argument influenced by the bone given by second argument.</p>\n\
<div class=\'section\'><a id=\"utility-functions\"></a><h2 id=\"utility-functions\">Utility Functions</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsConvex &lt;node&gt;inode\n\
</pre></div><p>Returns true if the specified node is convex, false if it is concave, or not a geometry object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.CalcVolume &lt;node&gt;inode\n\
</pre></div><p>Returns the Volume of the specified node in generic cubic units.</p>\n\
<div class=\'section\'><a id=\"indirect-drag-methods\"></a><h2 id=\"indirect-drag-methods\">Indirect Drag Methods</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.StartIndirectDrag &lt;node&gt;attach\n\
</pre></div><p>Starts Indirect Drag by attaching the specified node to the mouse while simulation is running. Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> if simulation is not running.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.OnIndirectDrag &lt;&amp;point3&gt;mousepos\n\
\n\
mousepos is In and Out parameter\n\
</pre></div><p>If Indirect Drag is enabled, returns <strong><span class=\'code\'>true</span> and stores the mouse position in the by-reference argument. Otherwise returns <span class=\'code\'>false</span></strong> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.EndIndirectDrag()\n\
</pre></div><p>Ends the Indirect Drag. Returns <strong><span class=\'code\'>true</span> on success, <span class=\'code\'>false</span></strong> otherwise.</p>\n\
<div class=\'section\'><a id=\"visualizer-methods\"></a><h2 id=\"visualizer-methods\">Visualizer Methods</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.VisualizerGetEnabled()\n\
</pre></div><p>Returns the Enabled state of the Visualizer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.VisualizerSetEnabled &lt;boolean&gt;flag\n\
</pre></div><p>Sets the Enabled state of the Visualizer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.VisualizerGetScale()\n\
</pre></div><p>Returns the Scale value of the Visualizer. Default is 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.VisualizerSetScale &lt;float&gt;newScale\n\
</pre></div><p>Sets the Scale of the Visualizer to the given floating point value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.VisualizerGetPhysXParamCount()\n\
</pre></div><p>Returns the number of PhysX Parameters supported by the Visualizer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.VisualizerGetPhysXParamName &lt;integer&gt;index\n\
</pre></div><p>Returns the name of the i-th parameter. The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.VisualizerGetPhysXParam &lt;string&gt;paramName\n\
</pre></div><p>Returns the value of the specified Visualizer parameter. Boolean values are represented as integers where 0 is false and 1 is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.VisualizerSetPhysXParam &lt;string&gt;paramName &lt;boolean&gt;flag\n\
</pre></div><p>Sets the Visualizer Parameter with the name given by the first argument to the boolean value supplied by the second argument. Returns true on success, false if the parameter name was not recognized. For a list of valid parameter names, see the example below:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` for i = 1 to nvpx.VisualizerGetPhysXParamCount() do ( local theName= (nvpx.VisualizerGetPhysXParamName i) format &quot;%: &quot;%&quot; = %\\n&quot; i theName (nvpx.VisualizerGetPhysXParam theName) )</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` 1: &quot;Body Axis&quot; = 0 2: &quot;Body Mass Axes&quot; = 0 3: &quot;Body Linear Velocity&quot; = 0 4: &quot;Body Angular Velocity&quot; = 0 5: &quot;Joint Local Axes&quot; = 0 6: &quot;Joint World Axes&quot; = 0 7: &quot;Joint Limits&quot; = 0 8: &quot;Contact Point&quot; = 0 9: &quot;Contact Normal&quot; = 0 10: &quot;Contact Error&quot; = 0 11: &quot;Contact Force&quot; = 1 12: &quot;Actor Axes&quot; = 0 13: &quot;Collision AABBS&quot; = 0 14: &quot;Collision Shapes&quot; = 0 15: &quot;Collision Axes&quot; = 0 16: &quot;Collision Compounds&quot; = 0 17: &quot;Collision VNormals&quot; = 0 18: &quot;Collision FNormals&quot; = 0 19: &quot;Collision Edges&quot; = 0 20: &quot;Collision Spheres&quot; = 0 21: &quot;Collision Static&quot; = 0 22: &quot;Collision Free&quot; = 0 23: &quot;Collision CCD&quot; = 0 24: &quot;Collision Skeletons&quot; = 0 OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"physx-system\"></a><h2 id=\"physx-system\">PhysX System</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXSDKVersion()\n\
</pre></div><p>Returns the PhysX SDK Version as Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetPhysXSDKVersionString()\n\
</pre></div><p>Returns the PhysX SDK Version as String.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXSDKVersionMajor()\n\
</pre></div><p>Returns the PhysX SDK Major Version as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXSDKVersionMinor()\n\
</pre></div><p>Returns the PhysX SDK Minor Version as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXSDKVersionBugFix()\n\
</pre></div><p>Returns the PhysX SDK Bug Fix Version as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetApexSDKVersion()\n\
</pre></div><p>Returns the Apex SDK Version as Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXPluginCount()\n\
</pre></div><p>Returns the number of installed PhysX Plugins.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXPluginVersion &lt;integer&gt;Index\n\
</pre></div><p>Returns the version number of the indexed PhysX Plugin.</p>\n\
<p>If the index is less than 1 or higher than the value returned by <span class=\'code\'>nvpx.GetPhysXPluginCount()</span> , the return value will be 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetPhysXPluginVersionString &lt;integer&gt;Index\n\
</pre></div><p>Returns the Version of the indexed PhysX Plugin as String.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXPluginVersionMajor &lt;integer&gt;Index\n\
</pre></div><p>Returns the Major Version of the indexed PhysX Plugin as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXPluginVersionMinor &lt;integer&gt;Index\n\
</pre></div><p>Returns the Minor Version of the indexed PhysX Plugin as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetPhysXPluginVersionBugFix &lt;integer&gt;Index\n\
</pre></div><p>Returns the Bug Fix Version of the indexed PhysX Plugin as Integer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsAutodeskVersion()\n\
</pre></div><p>Returns True if the PhysX plugin is the Autodesk MassFX version, False if it is an NVidia or 3rd party build.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetPluginCompanyName()\n\
</pre></div><p>Returns the company-specific plugin name.</p>\n\
<p>In the case of the Autodesk build, returns &quot;MassFX&quot;.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetScriptPath()\n\
</pre></div><p>Returns the path to the MassFX related scripts.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>nvpx.GetScriptPath()</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>&quot;stdplugs\\stdscripts\\(MassFX)\\&quot;</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.InitializePhysX &lt;value&gt;stream\n\
</pre></div><p>Initializes the PhysX system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.BeforeAddPhysXActors()\n\
</pre></div><p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.CreateToolbar()\n\
</pre></div><p>Creates the MassFX Simulation Toolbar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ShowToolbar &lt;boolean&gt;show\n\
</pre></div><p>When the boolean argument is passed as <span class=\'code\'>true</span> , shows the MassFX Simulation Toolbar.</p>\n\
<p>When the boolean argument is passed as <span class=\'code\'>false</span> , hides the MassFX Simulation Toolbar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ShowMaterialEditor &lt;boolean&gt;show\n\
</pre></div><p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> This method was available in <strong>3ds Max 2012</strong>, but has been <strong>removed</strong> from <strong>3ds Max 2013</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.ShowValidateScene &lt;boolean&gt;automated\n\
</pre></div><p>Shows the Validate Scene dialog.</p>\n\
<p>When the boolean argument is <span class=\'code\'>true</span> , the tests will also be performed automatically.</p>\n\
<p>When the boolean argument is <span class=\'code\'>false</span> , the tests will not be performed and will require the manual pressing of the &quot;Validate&quot; button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.HwAvailable()\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if PhysX acceleration hardware is available, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetScreenHeight()\n\
</pre></div><p>Returns the screen height in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;nvpx.GetSimulationFPS()\n\
</pre></div><p>Returns the simulation frame rate as a floating number of frames per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.PrintSimulationFPS &lt;boolean&gt;onoff\n\
</pre></div><p>When the boolean argument is passed as <span class=\'code\'>true</span> , turns on the automatic simulation frame rate printing to the MAXScript Listener.</p>\n\
<p>When the argument is <span class=\'code\'>false</span> , the frame rate printing will be turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.UsePhysXPlugin &lt;integer&gt;Index\n\
</pre></div><p>Switches to the indexed PhysX plugin.</p>\n\
<p>Returns true on success, false on failure (for example, plugin index out of range).</p>\n\
<p>Additionally, prints a message to the MAXScript Listener &quot;Switch PhysX SDK to XXX&quot;, where XXX is the SDK version returned by <span class=\'code\'>nvpx.GetPhysXPluginCount()</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.DetachPhysX()\n\
</pre></div><p>Detaches the PhysX plugin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.AttachPhysX()\n\
</pre></div><p>Attaches the PhysX plugin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.DestroyPhysX()\n\
</pre></div><p>Destroys the PhysX plugin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.OpenHelpFile()\n\
</pre></div><p>Opens the MassFX Help File, if available.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsApexAvailable()\n\
</pre></div><p>Returns true if the APEX Cloth Simulation is available in the current plugin, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.DebugPrint()\n\
</pre></div><p>Prints a debug text to the MAXScript Listener, containing information about the current state of the PhysX Engine and the simulation objects in the scene.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` nvpx.DebugPrint() --&gt; PhysX SDK version: 34079744, HW version: 0 Number of PPUs: 0 Number of Triangle meshes: 0 Number of HeightFields: 0 Number of Cloth meshes: 0 Number of SoftBody meshes: 0 Number of CCD skeletons: 0 Number of Scenes: 1 Scene object: 1013386992 Number of NxActors: 0 Our Scene object: 1013386992 Cooking interface object: 970914512, initialized: true --------------------------------------------------- 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.DescribeMe()\n\
</pre></div><p>Prints a list of all methods implemented by the nvpx Interface. Similar to calling <span class=\'code\'>showInterface nvpx</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.PhysXPanelTooltip()\n\
&lt;boolean&gt;nvpx.ConnectPVD &lt;string&gt;hostName\n\
&lt;void&gt;nvpx.SetButtonCheck &lt;integer&gt;id &lt;boolean&gt;value\n\
&lt;boolean&gt;nvpx.SetNullCM()\n\
</pre></div><p>Enters the PhysX Drag Mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.RemoveNullCM()\n\
</pre></div><p>Exits the PhysX Drag Mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.SetAnimationState &lt;boolean&gt;state\n\
</pre></div><p>Sets the animation state to the specified Boolean value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.GetAnimationState()\n\
</pre></div><p>Returns the animation state as Boolean value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;nvpx.GetPluginBuild()\n\
</pre></div><p>Returns the plugin build string.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ShowAboutDialog()\n\
</pre></div><p>Opens the MassFX About Dialog.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetBehaviorReason()\n\
</pre></div><p>Returns an integer representing the Behavior Reason mode.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SetBehaviorReason &lt;integer&gt;mode\n\
</pre></div><p>Sets the Behavior Reason to the specified integer mode. Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetVirtualScreenX()\n\
</pre></div><p>Returns the Virtual Screen&#39;s X size.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetVirtualScreenY()\n\
</pre></div><p>Returns the Virtual Screen&#39;s Y size.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.DumpContentCore &lt;string&gt;file &lt;integer&gt;Type\n\
</pre></div><p>Creates an XML file with the specified file name containing all core settings.</p>\n\
<p>The second argument controls the content type - 0 outputs only the objects definitions, 1 or any non-zero argument also includes all type definitions.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<div class=\'codeBlock\'><pre>nvpx.DumpContentCore @&quot;c:\\temp\\DumpContentCore.txt&quot; 0\n\
&lt;void&gt;nvpx.SwitchSDKOnPanelData()\n\
</pre></div><p>For internal use.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"viewer\"></a><h2 id=\"viewer\">Viewer</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.CreateViewer()\n\
</pre></div><p>Creates a Viewer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.PreCreateViewer()\n\
</pre></div><p>Call before creating the Viewer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.PostCreateViewer()\n\
</pre></div><p>Call after creating the Viewer.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.ShouldViewerSync()\n\
</pre></div><p>Returns the Viewer sync state. Default is False.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.GetViewerCommand()\n\
</pre></div><p>Returns the Viewer command.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nvpx.SetViewerCommand &lt;integer&gt;command\n\
</pre></div><p>Sets the Viewer&#39;s command.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.CheckViewerState()\n\
</pre></div><p>Updates the Viewer state.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.UpdateViewerPlayback()\n\
</pre></div><p>Updates the Viewer&#39;s playback.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"profiler-methods\"></a><h2 id=\"profiler-methods\">Profiler Methods</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ProfilerBegin &lt;string&gt;name\n\
</pre></div><p>Begins profiling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ProfilerEnd &lt;string&gt;name\n\
</pre></div><p>Ends profiling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ProfilerDump()\n\
</pre></div><p>Dumps the profiling information collected between the Begin and End calls. The information will contain a line for each defined profiler and the Average, Minimum, Maximum, and Total times, as well as the number of times a simulation has been run.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` nvpx.ProfilerBegin &quot;Test&quot; --start profiling. --&gt; OK</p>\n\
<p>--Perform MassFX Simulation, e.g. Bake All.</p>\n\
<p>nvpx.ProfilerEnd &quot;Test&quot; --end profiling. --&gt; OK nvpx.ProfilerDump() --Dump the collected info: --&gt; Test avg:37728ms min:37728 max:37728 count:1 total:37728ms --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"multi-threading-and-hardware-acceleration\"></a><h2 id=\"multi-threading-and-hardware-acceleration\">Multi-threading and Hardware Acceleration</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SupportMultiThread()\n\
</pre></div><p>Returns true if the PhysX engine supports multi-threading, false if it does not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsMultiThreadOn()\n\
</pre></div><p>Returns true if Multi-Threading is enabled, false if it is disabled. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.UseMultiThread &lt;boolean&gt;onOff\n\
</pre></div><p>If the argument is true, enables Multi-Threading. If the argument is false, disables it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.SupportHardwareScene()\n\
</pre></div><p>Returns true if hardware acceleration is currently supported, false if it is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.IsHardwareSceneOn()\n\
</pre></div><p>Returns true if hardware acceleration is enabled, false if it is disabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nvpx.UseHardwareScene &lt;boolean&gt;onOff\n\
</pre></div><p>If the argument is true and hardware acceleration is supported, enables hardware acceleration. If false, disables hardware acceleration. Returns true on success, false if hardware acceleration is not supported.</p>\n\
<div class=\'section\'><a id=\"unittest-methods\"></a><h2 id=\"unittest-methods\">UnitTest Methods</h2></div>\n\
<p>The following methods are used to perform internal unit tests and must not be called by users.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.UnitTest_MaterialCreate &lt;integer&gt;type &lt;string&gt;name\n\
&lt;boolean&gt;nvpx.UnitTest_MaterialFind &lt;string&gt;name\n\
&lt;void&gt;nvpx.UnitTest_MaterialDelete &lt;string&gt;type\n\
&lt;void&gt;nvpx.UnitTest_MaterialAssign &lt;node&gt;node &lt;string&gt;name\n\
&lt;string&gt;nvpx.UnitTest_MaterialPick &lt;node&gt;node\n\
&lt;void&gt;nvpx.UnitTest_MaterialSetSelection &lt;string&gt;type\n\
&lt;string&gt;nvpx.UnitTest_MaterialGetSelection()\n\
</pre></div><div class=\'section\'><a id=\"destruction-and-damage\"></a><h2 id=\"destruction-and-damage\">Destruction And Damage</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;nvpx.CreateDestruction &lt;&amp;node array&gt;nodes \n\
\n\
nodes is In and Out parameter\n\
</pre></div><p>Creates a Destruction setup using the nodes in the by-reference array argument.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.UpdateDamageForces &lt;float&gt;Damage &lt;float&gt;Momentum &lt;float&gt;Radius\n\
</pre></div><p>Updates the Damage Forces using the specified damage, momentum, and radius.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ToggleBomb()\n\
</pre></div><p>Toggle Bomb on and off.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;nvpx.ToggleHammer()\n\
</pre></div><p>Toggle Hammer on and off.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";