var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: objXRefMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: objXRefMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-objxrefmgr\"></a></div>\n\
<p>The <strong>objXRefMgr Core Interface</strong> provides access to the <strong>XRef Manager</strong>, and is the preferred way for working with XRefs in MAXScript. Scripts should not use both the methods in this interface and those exposed by <span class=\'code\'>XRefObject</span>. The <strong>objXrefMgr</strong> coordinates all object xref additions and changes in a scene.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>You may find the following concepts useful when working with XRefs in MAXScript:</p>\n\
<ul>\n\
<li>Xrefs are organized by the file they come from, which is represented by an <span class=\'code\'>IXRefRecord</span> object. For example, the <span class=\'code\'>objXRefMgr.AddXrefItemsFromFile()</span> method returns this object. See the <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecordMixinInterface</a> for methods available from this interface.</li>\n\
<li>Individual Xrefs in an <span class=\'code\'>XrefRecord</span> are held in <span class=\'code\'>IXrefItem</span> objects. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\' title=\'\'>IXRefItem MixinInterface</a> for methods exposed by that interface.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>Interface: objXRefMgr \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.includeAll : bool : Read|Write\n\
</pre></div><p>Get/set the state of the <strong>&quot;Include All&quot;</strong> checkbox.</p>\n\
<p>Default is True.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.enableUseLocalProxySettings : bool : Read|Write\n\
</pre></div><p>When set to True, local proxy settings will be used.</p>\n\
<p>Default is False.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.recordCount: DWORD : Read   \n\
</pre></div><p>Returns the number of Object XRef records.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.dupObjNameAction : enum : Read|Write \n\
\n\
dupObjNameAction enums: {#prompt|#xref|#skip|#deleteOld|#autoRename} \n\
</pre></div><p>Get/set the action to perform when duplicate names have been detected.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.dupMtlNameAction : enum : Read|Write \n\
\n\
dupMtlNameAction enums: {#prompt|#useXRefed|#useScene|#autoRename} \n\
</pre></div><p>Get/set the action to perform when duplicate material names have been detected.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.mergeTransforms : bool : Read|Write \n\
</pre></div><p>Get/set whether to merge the transformation controllers of the Object XRefs. When set to true, the transform controllers will be merged into the main scene and will lose the live connection to the referenced file. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.mergeMaterials : bool : Read|Write \n\
</pre></div><p>Get/set whether to merge the materials of the Object XRefs. When set to true, the materials of the referenced objects will be merged into the main scene and will lose the live connection to the referenced file. This option must be set before creating the Object XRef. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.mergeManipulators : bool : Read|Write \n\
</pre></div><p>Get/set whether to merge the manipulators of the Object XRefs. When set to true, the manipulators of the referenced objects will be merged into the main scene and will lose the live connection to the referenced file. This option must be set before creating the Object XRef. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.mergeModifiers : enum : Read|Write \n\
\n\
mergeModifiers enums: {#xrefModifiers|#ignoreModifiers|#mergeModifiers} \n\
</pre></div><p>Get/set the handling of the modifiers of the Object XRef.</p>\n\
<p>When the <span class=\'code\'>#xrefModifiers</span> option is specified, the modifiers will be applied to the XRef Object before it is merged into the main scene and cannot be changed.</p>\n\
<p>When the <span class=\'code\'>#ignoreModifiers</span> option is specified, the modifiers from the referenced file will not be applied to the XRef Object.</p>\n\
<p>When the <span class=\'code\'>#mergeModifiers</span> option is specified, the modifiers from the referenced file will be merged into the main scene and can be manipulated, but will lose their live connection to the referenced file.</p>\n\
<p>This option must be set before creating the Object XRef.</p>\n\
<div class=\'codeBlock\'><pre>objXRefMgr.getAutoUpdate : bool : Read|Write\n\
</pre></div><p>Get/set whether to update the Object XRefs automatically when the referenced source file has been saved.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;objXRefMgr.GetRecord &lt;index&gt;index \n\
</pre></div><p>Returns the indexed record, where index is between 1 and the <span class=\'code\'>.recordCount</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;objXRefMgr.FindRecord &lt;DWORD&gt;handle \n\
</pre></div><p>Returns the record by handle.</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecordMixinInterface</a> for details on the return value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;objXRefMgr.RemoveRecordFromScene &lt;Interface&gt;record \n\
\n\
record Validated by Validator function\n\
</pre></div><p>Removes the specified record from the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;objXRefMgr.MergeRecordIntoScene &lt;Interface&gt;record \n\
\n\
record Validated by Validator function \n\
</pre></div><p>Merges the specified record into the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;objXRefMgr.SetRecordSrcFile &lt;Interface&gt;xrefRecord &lt;filename&gt;fileName \n\
</pre></div><p>Sets the source file of the specified record to the given file name.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;objXRefMgr.UpdateAllRecords() \n\
</pre></div><p>Updates all records in the scene. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefMgr.SetXRefItemSrcName &lt;maxObject&gt;xrefItem &lt;string&gt;itemName\n\
</pre></div><p>Sets the source item name of the object passed by-reference to the given string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefMgr.SetProxyItemSrcName &lt;maxObject&gt;proxyItem &lt;string&gt;itemName\n\
</pre></div><p>Sets name of the proxy of the object passed by-reference to the given string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h3 id=\"example\">Example</h3></div>\n\
<p>Illustrate the use of <span class=\'code\'>SetProxyItemSrcName</span>, <span class=\'code\'>SetProxyItemSrcFile</span>, and <span class=\'code\'>AddXrefItemsFromFile</span>:</p>\n\
<div class=\'codeBlock\'><pre>sphereFile = @&quot;mySphereScene.max&quot;\n\
teapotFile = @&quot;myTeapotScene.max&quot;\n\
\n\
-- Create a scene file containing a sphere, this will be the proxy object\n\
resetMaxFile #noPrompt\n\
s = sphere name:&quot;mySphere&quot;\n\
saveMaxFile sphereFile useNewFile:false\n\
\n\
-- create a scene file containing a teapot, this will be the xref object\n\
resetMaxFile #noPrompt\n\
-- add a teapot, we&#39;ll use the sphere as a proxy\n\
t = teapot name:&quot;myTeapot&quot;\n\
saveMaxFile teapotFile useNewFile:false\n\
\n\
-- create our xref and our proxy\n\
resetMaxFile #noPrompt\n\
xrefRecord = objXrefMgr.AddXrefItemsFromFile teapotFile promptObjNames:false \\\n\
xrefOptions:#(#mergeModifiers, #mergeControllers, #mergeManipulators, #mergeMaterials)\n\
  \n\
xrefItem = xrefRecord.getItem 1 #XrefObjectType\n\
objXrefMgr.SetProxyItemSrcFile xrefItem @&quot;mySphereScene.max&quot;\n\
objXrefMgr.SetProxyItemSrcName xrefItem &quot;mySphere&quot;\n\
&lt;boolean&gt;objXRefMgr.SetXRefItemSrcFile &lt;maxObject&gt;xrefItem &lt;filename&gt;fileName\n\
</pre></div><p>Sets the source item file name of the object passed by-reference to the given filename string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefMgr.SetProxyItemSrcFile &lt;maxObject&gt;proxyItem &lt;filename&gt;fileName\n\
</pre></div><p>Sets the proxy item file name of the object passed by-reference to the given filename string.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;objXRefMgr.AddXRefItemsToRecord &lt;Interface&gt;record promptObjNames:&lt;bool&gt;objNames:&lt;string array&gt; \n\
\n\
record Validated by Validator function \n\
promptObjNames default value: false \n\
objNames default value: #() \n\
</pre></div><p>Adds XRefs for the array of object names in the scene to the given record.</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;objXRefMgr.AddXRefItemsFromFile &lt;filename&gt;fileName promptObjNames:&lt;boolean&gt; objNames:&lt;string array&gt; xrefOptions:&lt;enum array&gt;\n\
       promptObjNames default value: false\n\
       objNames default value: #()\n\
       xrefOptions enums: {#asProxy|#xrefModifiers|#dropModifiers|#mergeModifiers|#mergeManipulators|#selectNodes|#mergeControllers|#mergeMaterials|#xrefControllers|#localControllers}\n\
       xrefOptions default value: #()\n\
</pre></div><p>Returns an XRef record object (IXRefRecord) that contains the XRefs (as IXRefItem objects) added to the scene from the specified file, of the specified objects.</p>\n\
<p>Note: Some of the <span class=\'code\'>xrefOptions</span> parameter options are exclusive. You can only specify one of the Modifier options ( <span class=\'code\'>#xrefModifiers</span>, <span class=\'code\'>#dropModifiers</span>, <span class=\'code\'>#mergeModifiers</span>) and one of the controller options ( <span class=\'code\'>#mergeControllers</span>, <span class=\'code\'>#xrefControllers</span>, <span class=\'code\'>#localControllers</span>).</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the record argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;objXRefMgr.CanCombineRecords &lt;Interface&gt;firstRecord &lt;Interface&gt;secondRecord \n\
\n\
firstRecord Validated by Validator function \n\
secondRecord Validated by Validator function \n\
</pre></div><p>Returns true if the two records can be combined, false otherwise.</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the record arguments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;objXRefMgr.CombineRecords &lt;Interface array&gt;records\n\
       records Validated by Validator function\n\
</pre></div><p>Combines the records given as by-reference array of interfaces to a single interface.</p>\n\
<p>See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the record argument and return value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefMgr.RemoveXRefItemsFromScene &lt;maxObject array&gt;xrefItems\n\
</pre></div><p>Removes the given XRef Items from the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefMgr.MergeXRefItemsIntoScene &lt;maxObject array&gt;xrefItems\n\
</pre></div><p>Merges the XRef Items specified as an array into the scene.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;objXRefMgr.ApplyXRefMaterialsToXRefObjects &lt;maxObject array&gt;objectXRefItems\n\
</pre></div><p>Applies XRef Materials to the specified XRef objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;objXRefMgr.IsNodeXRefed &lt;node&gt;node \n\
</pre></div><p>If the node is XRef-ed, returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\' title=\'\'>IXRefItem MixinInterface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;objXRefMgr.ApplyXRefControllersToXRefObjects &lt;maxObject array&gt;objectXRefItems\n\
</pre></div><p>Applies XRef controllers to the Object XRef items specified by the by-reference array argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefMgr.ResetXRefControllersPRSOffset &lt;maxObject array&gt;xrefItems\n\
</pre></div><p>Applies Position/Rotation/Scale offset to the XRef controllers of the Object XRef items specified by the by-reference array argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefMgr.CanResetXRefControllersPRSOffset &lt;maxObject&gt;xrefItem\n\
</pre></div><p>Returns true if Position/Rotation/Scale offset can be applied to the XRef controllers of the Object XRef item specified by the by-reference argument.</p>\n\
<div class=\'section\'><a id=\"the-following-mixininterface-represents-an-object-xref-record\"></a><h2 id=\"the-following-mixininterface-represents-an-object-xref-record\">The following MixinInterface represents an Object XRef Record:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IXRefRecord \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.includeAll : bool : Read|Write \n\
</pre></div><p>Get/Set the state of the Include All checkbox. When set to true, all objects in the record will be included.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.autoUpdate : bool : Read|Write \n\
</pre></div><p>Get/Set the state of the Auto Update checkbox. When set to true, changes to the XRef source will be automatically updated in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.enabled : bool : Read|Write \n\
</pre></div><p>Get/Set the state of the Enable checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.uptodate : bool : Read|Write \n\
</pre></div><p>Get/Set the whether the record is up to date or outdated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.empty : bool : Read \n\
</pre></div><p>Contains true if the record is empty, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.nested : bool : Read \n\
</pre></div><p>Contains true if the record is nested, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.unresolved : bool : Read \n\
</pre></div><p>Contains true if the record is unresolved, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.srcFileName : filename : Read|Write \n\
</pre></div><p>Contains the file name of the source file. This property can be set in <strong>3ds Max 9</strong> and higher, prior to <strong>3ds Max 9</strong> it was read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.recordID : DWORD : Read \n\
</pre></div><p>Contains the record&#39;s ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.handle : DWORD : Read \n\
</pre></div><p>Contains the record&#39;s Handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefRecord MixinInterface&gt;.xrefOptions : enum by value array : Read \n\
\n\
xrefOptions enums: {#asProxy|#xrefModifiers|#dropModifiers|#mergeModifiers|#mergeManipulators|#selectNodes|#mergeMaterials} \n\
</pre></div><p>Contains an array of the XRef Options.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.ItemCount &lt;enum array&gt;types \n\
\n\
types enums: {#XRefObjectType|#XRefMaterialType|#XRefAtmospheric Type|#XRefAllType} \n\
</pre></div><p>Returns the number of items in the record that correspond to the types passed by the by-reference array argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;IXRefRecord MixinInterface&gt;.GetItem &lt;index&gt;index &lt;enum&gt;type \n\
\n\
type enums: {#XRefObjectType|#XRefMaterialType|#XRefAtmosphericType} \n\
</pre></div><p>Returns the indexed item of the specified XRef type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetItems &lt;&amp;enum array&gt;types &lt;&amp;maxObject array&gt;xrefItems \n\
\n\
types enums: {#XRefObjectType|#XRefMaterialType|#XRefAtmosphericType|#XRefAllType} \n\
types is In and Out parameter \n\
xrefItems is In and Out parameter \n\
</pre></div><p>Returns all items of the types specified by the by-reference array of the first argument into the by-reference array of the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetChildRecords &lt;&amp;Interface array&gt;children \n\
\n\
children is Out parameter \n\
</pre></div><p>Returns the child records into the by-reference array. See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the array&#39;s values type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetParentRecords &lt;&amp;Interface array&gt;parents \n\
\n\
parents is Out parameter \n\
</pre></div><p>Returns the parent records into the by-reference array. See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the array&#39;s values type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefRecord MixinInterface&gt;.GetRootRecords &lt;&amp;Interface array&gt;roots \n\
\n\
roots is Out parameter \n\
</pre></div><p>Returns the root records into the by-reference array. See <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXrefRecord MixinInterface</a> for details on the array&#39;s values type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;&lt;IXRefRecord MixinInterface&gt;.CheckSrcFileChanged() \n\
</pre></div><p>Returns true if the source file has changed, false if it has not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool&gt;&lt;IXRefRecord MixinInterface&gt;.Update() \n\
</pre></div><p>Forces an update of the XRef Record and returns true on success, false on failure.</p>\n\
<div class=\'section\'><a id=\"the-following-mixininterface-represents-an-object-xref-item\"></a><h2 id=\"the-following-mixininterface-represents-an-object-xref-item\">The following MixinInterface represents an Object XRef Item:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IXRefItem \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefItem MixinInterface&gt;.srcFileName : filename : Read|Write \n\
</pre></div><p>Contains the file name of the source file.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefItem MixinInterface&gt;.srcItemName : string : Read|Write \n\
</pre></div><p>Contains the name of the source item.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefItem MixinInterface&gt;.xrefRecord : Interface : Read \n\
</pre></div><p>Contains the Xref Record&#39;s <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXRefRecord MixinInterface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefItem MixinInterface&gt;.unresolved : bool : Read \n\
</pre></div><p>Contains true if the XRef is unresolved, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefItem MixinInterface&gt;.nested : bool : Read \n\
</pre></div><p>Contains true if the XRef is nested, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefItem MixinInterface&gt;.retargetable : bool : Read \n\
</pre></div><p>Contains true if the XRef can be retargeted, false otherwise.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;IXRefItem MixinInterface&gt;.GetSrcItemresolveNested:&lt;bool&gt; \n\
\n\
resolveNested default value: false \n\
</pre></div><p>Returns the source item. If the <span class=\'code\'>resolveNested</span> optional keyword is specified and is true, nested XRefs will be resolved to get the source item. If not specified or false, nested XRefs will not be resolved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefItem MixinInterface&gt;.GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
\n\
parentItems is Out parameter \n\
</pre></div><p>Returns the parent items into the by-reference array argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefItem MixinInterface&gt;.GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
\n\
rootItems is Out parameter \n\
</pre></div><p>Returns the root items into the by-reference array argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DWORD&gt;&lt;IXRefItem MixinInterface&gt;.GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
\n\
childItems is Out parameter \n\
</pre></div><p>Returns the child items into the by-reference array argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;IXRefItem MixinInterface&gt;.GetNodes&lt;&amp;node array&gt;xrefNodes \n\
\n\
xrefNodes is Out parameter \n\
</pre></div><p>Returns the XRef nodes into the by-reference array argument.</p>\n\
<div class=\'section\'><a id=\"the-following-mixininterface-represents-an-object-xref-proxy\"></a><h2 id=\"the-following-mixininterface-represents-an-object-xref-proxy\">The following MixinInterface represents an Object XRef Proxy:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IXRefProxy \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefProxy MixinInterface&gt;.proxyFileName : filename : Read|Write \n\
</pre></div><p>Contains the proxy filename.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefProxy MixinInterface&gt;.proxyItemName : string : Read|Write \n\
</pre></div><p>Contains the proxy item name.</p>\n\
<p>This property was read-only in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefProxy MixinInterface&gt;.proxyRecord : Interface : Read \n\
</pre></div><p>Contains the <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXRefRecord Interface</a> of the Proxy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefProxy MixinInterface&gt;.displayProxy: bool : Read|Write \n\
</pre></div><p>Get/set whether to display the proxy in the viewports or not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefProxy MixinInterface&gt;.renderProxy : bool : Read|Write \n\
</pre></div><p>Get/set whether to render the proxy or not.</p>\n\
<div class=\'section\'><a id=\"the-following-mixininterface-represents-an-object-xref-proxy-1\"></a><h2 id=\"the-following-mixininterface-represents-an-object-xref-proxy-1\">The following MixinInterface represents an Object XRef Proxy:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IXRefObject \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefObject MixinInterface&gt;.activeFileName : filename : Read \n\
</pre></div><p>Contains the active filename.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefObject MixinInterface&gt;.activeObjName: string : Read \n\
</pre></div><p>Contains the active object name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IXRefObjectMixinInterface&gt;.activeRecord : Interface : Read \n\
</pre></div><p>Contains the <a href=\'Interface-objXRefMgr.html#the-following-mixininterface-represents-an-object-xref-record-\' title=\'\'>IXRefRecord Interface</a> of the Xref Object.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;IXRefObject MixinInterface&gt;.GetSourceObject &lt;bool&gt;resolveNestedXRef modifiers:&lt;&amp;maxObject array&gt; \n\
\n\
modifiers default value: #() \n\
modifiers is Out parameter \n\
</pre></div><p>Returns the Source Object. When the first argument is set to true, nested XRefs will be resolved. The optional modifiers: array parameter will be populated with the modifiers of the object.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";