var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: objXRefs</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: objXRefs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-objxrefs\"></a></div>\n\
<p>The <strong>objXRefs Core Interface</strong> provides MAXScript access to the XRef Object feature.</p>\n\
<p>Note: The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\' title=\'\'>objXRefMgr</a> interface is the preferred way for working with xrefs in <strong>3ds Max 8</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;objXRefs.addNewXRefObject &lt;filename&gt;fname &lt;string&gt;objname &lt;integer&gt;flags      \n\
</pre></div><p>The merge behavior is controlled by the bits set in the <strong>flags</strong> parameter:</p>\n\
<ul>\n\
<li>1 - Add as proxy (Bit: 1)</li>\n\
<li>2 - Drop (ignore) modifiers (Bit: 2)</li>\n\
<li>4 - Merge modifiers (Bit: 3)</li>\n\
<li>8 - Merge manipulators (Bit: 4)</li>\n\
</ul>\n\
<p>Duplicate material names action:</p>\n\
<ul>\n\
<li><p>256 - Prompt (Bit: 9)</p></li>\n\
<li><p>512 - Use Scene Material (Bit: 10)</p></li>\n\
<li><p>1024 - Use Merged Material (Bit: 11)</p></li>\n\
<li><p>2048 - Merge material and automatically rename them (Bit: 12)</p></li>\n\
</ul>\n\
<p>Reparent action: (available in <strong>3ds Max 2019.1 Update and higher</strong>)</p>\n\
<ul>\n\
<li><p>4096 - Prompt (Bit: 13)</p></li>\n\
<li><p>8192 - Always Reparent (Bit: 14)</p></li>\n\
<li><p>16384 - Never Reparent (Bit: 15)</p></li>\n\
</ul>\n\
<p>The default behavior (flags = 0) is :</p>\n\
<ul>\n\
<li>XRef the modifiers</li>\n\
<li>XRef the manipulators</li>\n\
<li>when duplicate material names are encountered use the option specified by objXrefMgr.dupMtlNameAction (which defaults to Merge and Rename)</li>\n\
<li>Always Reparent</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;objXRefs.getNumXRefObjects &lt;filename&gt;fname   \n\
</pre></div><p>Returns the number of object XRefs contained in the file</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;objXRefs.getXRefObject &lt;filename&gt;fname &lt;index&gt;index \n\
</pre></div><p>Returns the Nth XRef&#39;ed object contained in the specified file</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;objXRefs.getNumFiles() \n\
</pre></div><p>Returns the number of files that contain object XRefs</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;objXRefs.getFileName &lt;index&gt;index \n\
</pre></div><p>Returns the file name of the Nth file that contains object XRefs</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefs.reloadFile &lt;filename&gt;fname \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefs.isFileUnresolved &lt;filename&gt;fname \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;objXRefs.isFileDisabled &lt;filename&gt;fname \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if successful and <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;array&gt;objXRefs.getAllXRefObjects() \n\
</pre></div><p>Returns an array of all XRef Objects present in the current scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;objXRefs.getEmptyXRefRecCount() \n\
</pre></div><p>Returns the number of empty XRefs.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";