var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface PRTExport</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface PRTExport</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-prtexport\"></a></div>\n\
<p>The <span class=\'code\'>PRTExport</span> interface exposes PRT export functionality for fluids. Note that defaults for the PRT export feature are stored in the 3dsmax.ini file, in the [Fluids] section, and may be directly edited there.</p>\n\
<p>Available in <strong>3ds Max 2018.4 Update and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p>None</p>\n\
<div class=\'section\'><a id=\"methods\"></a><h2 id=\"methods\">Methods:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetPRTFileVersion &lt;integer&gt;version\n\
</pre></div><p>PRT files have two versions, 1 or 2. 3ds Max supports both, but version 2 is recommended as it provides additional axis orientation information. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetPRTFileVersion()\n\
</pre></div><p>Returns the .prt file version in effect: 1 or 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetExportOption &lt;enum&gt;channel &lt;boolean&gt;export\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}\n\
</pre></div><p>If <span class=\'code\'>export</span> is true, the specified <span class=\'code\'>channel</span> is exported into the .prt file if it exists in the .bif simulation data. Returns true if successfully set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetExportOption &lt;enum&gt;channel\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}\n\
</pre></div><p>Returns true if the specified <span class=\'code\'>channel</span> is set to export, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetExportName &lt;enum&gt;channel &lt;string&gt;name\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}\n\
</pre></div><p>Sets the name to use for the given channel in the .prt file. For example, if you want the Bifrost &quot;density&quot; channel to be called &quot;FluidDensity&quot; in the .prt, call:</p>\n\
<p><span class=\'code\'>SetExportName #density &quot;FluidDensity&quot;</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetExportName &lt;enum&gt;channel &lt;&amp;string&gt;name\n\
       channel enums: {#position|#density|#velocity|#vorticity|#id|#age|#airDistance|#churn|#curvature|#droplet|#expansionRate|#stictionStrength|#stictionBandwidth|#uv}\n\
       name is Out parameter\n\
</pre></div><p>Gets the name used for the specified <span class=\'code\'>channel</span>, returned in the <span class=\'code\'>name</span> parameter. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetSettings()\n\
</pre></div><p>Resets the <span class=\'code\'>.prt</span> export settings to startup condition; this resets to factory settings then loads the <span class=\'code\'>.ini</span> file &quot;Fluids&quot; section settings.</p>\n\
<div class=\'section\'><a id=\"actions\"></a><h2 id=\"actions\">Actions:</h2></div>\n\
<p>None</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";