var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ParamCollectorOps</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ParamCollectorOps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-paramcollectorops\"></a></div>\n\
<p>This Core Interface provides access to the Parameter Collector dialog.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ParamCollectorOps \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ParamCollectorOps.visible : boolean : Read|Write   \n\
</pre></div><p>When set to true, the Parameter Collector floater becomes visible. When set to false, it is hidden.</p>\n\
<div class=\'codeBlock\'><pre>ParamCollectorOps.multiEdits : boolean : Read|Write \n\
</pre></div><p>Gets/sets the state of the Multiple Edits icon. When set to true, multiple parameters can be controlled simultaneously.</p>\n\
<div class=\'codeBlock\'><pre>ParamCollectorOps.isAbsolute : boolean : Read|Write \n\
</pre></div><p>Gets/sets the state of the Absolute/Relative icon. When set to true (icon unchecked), the spinners display the absolute values. When set to false (icon checked), the spinners will display relative changes.</p>\n\
<p>The following properties control the custom TrackBar Keys Filter &quot;Parameter Collector Keys&quot;.</p>\n\
<div class=\'codeBlock\'><pre>ParamCollectorOps.showTrackBarKeys : boolean : Read|Write \n\
</pre></div><p>Controls whether the TrackBar will show animation keys of the parameters displayed by the Parameter Collector. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>ParamCollectorOps.showTrackBarSelectedKeys : boolean : Read|Write \n\
</pre></div><p>Controls whether the TrackBar will show selected keys. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>ParamCollectorOps.hideOtherKeys : boolean : Read|Write \n\
</pre></div><p>Controls whether the TrackBar will show keys of parameters not shown in the Parameter Collector. Default is false.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.newCollection() \n\
</pre></div><p>Creates a new Parameter Collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.duplicateCollection() \n\
</pre></div><p>Clones the current Parameter Collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.deleteCollection() \n\
</pre></div><p>Deletes the current Parameter Collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.numCollections() \n\
</pre></div><p>Returns the number of Parameter Collections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ParamCollectorOps.getActiveCollection() \n\
</pre></div><p>Returns the index of the current Parameter Collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.setCollectionName &lt;index&gt;collectionIndex &lt;string&gt;name \n\
</pre></div><p>Sets the name of the indexed Parameter Collection to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ParamCollectorOps.getCollectionName &lt;index&gt;collectionIndex \n\
</pre></div><p>Returns the name of the indexed Parameter Collection as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.doLinkToObjectDialog() \n\
</pre></div><p>Opens the &quot;Links to Object&quot; dialog.</p>\n\
<p>Picking an object stores the current collection using a live link as part of the object in the scene. Any change to the collection instantly updates the version of the collection stored in the object.</p>\n\
<p>Link to Object has basically the same function as Put To Object except that it guarantees an up-to-date stored version of the collection, especially when merging the object into another scene that is a common production workflow.</p>\n\
<p>Note: Only one &quot;linked-to&quot; object can be active in a scene, but you can use Put To Object on any number of objects at a time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.linkToObject &lt;node&gt;node \n\
</pre></div><p>Links the current collection to the specified node. See above for details on linking collections to scene objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.removeLinkToObject() \n\
</pre></div><p>Unlinks the collection from the object it was linked to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.doPutToObjectDialog() \n\
</pre></div><p>Opens the &quot;Put To Object&quot; dialog.</p>\n\
<p>Putting to object stores the current collection as part of the object in the scene.</p>\n\
<p>Although, parameter collections are stored with the scene in which they are created, you can use this function to transfer a collection to a different scene. After putting the collection to an object, save the scene. Open or create another scene, merge the object from the saved scene to the new one, and then use Get from Object.</p>\n\
<p>You can also back up, organize, and streamline parameter collections by putting and getting different collections to and from various objects in your scene. Just remember that if you add, reorder, or remove parameters or rollouts to a collection that has been put to an object, you must then put it to the object again so that the changes are saved to the collection. For a &quot;live&quot; update, see Linking to objects described above.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.doGetFromObjectDialog() \n\
</pre></div><p>Opens the &quot;Get from Object&quot; dialog to retrieve a collection stored in an object using either Put To Object or Link To Object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.putToObject &lt;node&gt;node \n\
</pre></div><p>Puts the collection to the specified node. See above for details on putting collections to scene objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.getFromObject &lt;node&gt;node \n\
</pre></div><p>Gets a put or linked collection from the specified node. See above for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.doAddToSelectedDialog() \n\
</pre></div><p>Corresponds to pressing the &quot;Add To Selected&quot; icon and opens the Track View Pick dialog to add tracks to the selected rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.doAddDialog() \n\
</pre></div><p>Corresponds to pressing the &quot;Add to New Rollout&quot; icon and opens the Track View Pick dialog to add tracks to a new rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.deleteSelectedParameters() \n\
</pre></div><p>Deletes the selected parameters. Corresponds to pressing the &quot;Delete Selected&quot; icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.deleteAllParameters() \n\
</pre></div><p>Deletes all parameters. Corresponds to pressing the &quot;Delete All&quot; icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.addNewRollout &lt;string&gt;name &lt;boolean&gt;addSelectedParameters \n\
</pre></div><p>Adds a new rollout with the given name.</p>\n\
<p>If <span class=\'code\'>.addSelectedParameters</span> is true, any selected parameters from existing rollouts will be added to the new rollout too. If false, no parameters will be added to the new rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.deleteRollout &lt;index&gt;index \n\
</pre></div><p>Removes the indexed rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.deleteRolloutMoveUp &lt;index&gt;index \n\
</pre></div><p>Deletes the indexed rollout and moves all parameters from the deleted rollout to the previous rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.deleteRolloutMoveDown &lt;index&gt;index \n\
</pre></div><p>Deletes the indexed rollout and moves all parameters from the deleted rollout to the next rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.DoRenameRolloutDialog() \n\
</pre></div><p>Opens the Rename Rollout dialog for the selected rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.RenameRollout &lt;index&gt;index &lt;string&gt;name \n\
</pre></div><p>Renames the indexed rollout to the given name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.isRolloutSelected() \n\
</pre></div><p>Returns true if there is a selected rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ParamCollectorOps.getSelectedRollout() \n\
</pre></div><p>Returns the index of the selected rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.numRollouts &lt;index&gt;collectionIndex \n\
</pre></div><p>Returns the number of rollouts in the indexed Collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.setRolloutName &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;string&gt;name \n\
</pre></div><p>Sets the rollout name of the indexed rollout in the indexed collection to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ParamCollectorOps.getRolloutName &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex \n\
</pre></div><p>Returns the rollout name of the indexed rollout in the indexed collection as a string value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.getNumParameters &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex \n\
</pre></div><p>Returns the number of parameters in the indexed rollout of the indexed collection as integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.anyParameters() \n\
</pre></div><p>Returns true if there are any parameters, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.anySelected() \n\
</pre></div><p>Returns true if there are any selected parameters, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.numSelected() \n\
</pre></div><p>Returns the number of selected parameters as integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.selectAll() \n\
</pre></div><p>Selects all parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.selectAllRollout() \n\
</pre></div><p>Select all parameters in the selected rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.selectNone() \n\
</pre></div><p>Deselects all parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.selectInvert() \n\
</pre></div><p>Invert the parameter selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.addParameterBySubNum &lt;value&gt;animOwner &lt;index&gt;subNum &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;string&gt;name \n\
</pre></div><p>Add the indexed subAnim of the given animOwner to the indexed rollout of the indexed collection using the supplied name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.moveSelectedParameters &lt;enum&gt;type \n\
\n\
type enums: {#moveUp|#moveDown|#moveUpRollout|#moveDownRollout} \n\
</pre></div><p>Move the selected parameters in the specified direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.keyParameters &lt;boolean&gt;selectedOnly \n\
</pre></div><p>Set key for all parameters. If selectedOnly is true, only selected parameters will be keyed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.resetParameters &lt;boolean&gt;selectedOnly \n\
</pre></div><p>Reset all parameters. If selectedOnly is true, only selected parameters will be reset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.addParameter &lt;value&gt;anim &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex \n\
</pre></div><p>Add the specified anim parameter to the indexed rollout of the indexed collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.getParameterIndex &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;index&gt;paramIndexInRollout \n\
</pre></div><p>Returns the index of the indexed parameter from the indexed rollout of the indexed collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;ParamCollectorOps.getParameterParentAnim &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the parent track of the indexed parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.getParameterSubAnimNum &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the index of the indexed parameter&#39;s subAnim inside the parent track.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --Create a Box, collect its Length, Width and Height parameters. --Get the index of the first parameter in the first rollout --of the first collection(in the above case this is the Length param): theIndex = ParamCollectorOps.getParameterIndex 1 1 1 --&gt; 1 --Get the parent track of the parameter: theParent = ParamCollectorOps.getParameterParentAnim theIndex --&gt; ReferenceTarget:ParamBlock --Get the subAnim index of the parameter inside the parent: theSubNum = ParamCollectorOps.getParameterSubAnimNum theIndex --&gt; 1 --Get the parameter&#39;s subAnim theSubnim = theParent[theSubNum] --&gt; SubAnim:Length --Get the value of the parameter theValue = theSubnim.value --&gt; 25.0 --Set the value of the parameterto 10 theSubnim.value = 10 --&gt; 10</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;ParamCollectorOps.getParameterAnim &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the animation controller object of the indexed parameter.</p>\n\
<p>Note: If the parameter is not animated (and does not have a controller assigned), this method will return undefined.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --Using the same Box and Collection from the above example, --if you try to access the Length parameter&#39;s animation controller, --you will get undefined by default: theIndex = ParamCollectorOps.getParameterIndex 1 1 1 --&gt; 1 ParamCollectorOps.getParameterAnim theIndex --&gt; undefined --Animate the Length of the Box over time and try again: with animate on at time 100 $Box01.length = 100 --&gt; 100 ParamCollectorOps.getParameterAnim theIndex --&gt; Controller:Bezier_Float</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.setParameterNotesTitle &lt;index&gt;paramIndex &lt;string&gt;text \n\
</pre></div><p>Set the title of the notes of the indexed parameter to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ParamCollectorOps.getParameterNotesTitle &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the title of the notes of the indexed parameter as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.setParameterNotesNotes &lt;index&gt;paramIndex &lt;string&gt;text \n\
</pre></div><p>Sets the notes text of the indexed parameter to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ParamCollectorOps.getParameterNotesNotes &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the notes text of the indexed parameter as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.setParameterNotesURL &lt;index&gt;paramIndex &lt;string&gt;text \n\
</pre></div><p>Sets the notes URL of the indexed parameter to the given string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ParamCollectorOps.getParameterNotesURL &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the notes URL of the indexed parameter as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.doEditNotesDialog() \n\
</pre></div><p>Opens the Edit Notes dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.refresh() \n\
</pre></div><p>Refreshes the Parameter Collector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.getNumParametersInCollection &lt;index&gt;collectionIndex \n\
</pre></div><p>Returns the number of parameters in the indexed collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;int by value array&gt;ParamCollectorOps.getSelectedParameters &lt;index&gt;collectionIndex \n\
</pre></div><p>Returns an array of the selected parameters in the indexed collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.doRemoveFromObjectDialog() \n\
</pre></div><p>Opens the Remove From Object dialog. Used to remove collections put or linked to objects as described earlier in this topic.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.removeFromObject &lt;node&gt;node \n\
</pre></div><p>Removes the collection from the specified node. Used to remove collections put or linked to objects as described earlier in this topic.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ParamCollectorOps.getNumSelectedParameters &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex \n\
</pre></div><p>Returns the number of selected parameters in the indexed rollout of the indexed collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.anyRollouts() \n\
</pre></div><p>Returns true if there are any rollouts in the current collection, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.addParameterTraverse &lt;value&gt;anim &lt;boolean&gt;addChildren &lt;index&gt;collectionIndex &lt;index&gt;rolloutIndex &lt;string&gt;name \n\
</pre></div><p>Adds multiple parameters to the indexed rollout of the indexed collection by traversing the subAnim hierarchy of the given anim object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ParamCollectorOps.setParameterSelected &lt;index&gt;paramIndex &lt;boolean&gt;selected \n\
</pre></div><p>Sets the selected state of the indexed parameter to the given boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ParamCollectorOps.getParameterSelected &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the selected state of the indexed parameter as boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node by value array&gt;ParamCollectorOps.getParameterNodes &lt;index&gt;paramIndex \n\
</pre></div><p>Returns an array of the nodes affected by the indexed parameter.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";