var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: PluginPackageManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: PluginPackageManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-pluginpackagemanager\"></a></div>\n\
<p>This Core Interface provides MAXScript access to the Plugin Package Manager that handles plug-ins packaged in the Autodesk Bundle format.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p>Note: This interface was introduced in <strong>3ds Max 2014</strong> as <span class=\'code\'>ExchangeStorePackageManager</span>. It was renamed in <strong>3ds Max 2020</strong> to <span class=\'code\'>PluginPackageManager</span>. However, a global variable named <span class=\'code\'>ExchangeStorePackageManager</span> points to the re-named interface to prevent older scripts from breaking.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetNativePlugInCount()\n\
</pre></div><p>Returns the number of native plugins.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetNativePlugInFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed native plugin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetManagedAssemblyCount()\n\
</pre></div><p>Returns the number of managed assemblies.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetManagedAssemblyFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed managed assembly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetUISchemeCount()\n\
</pre></div><p>Returns the number of UI Schemes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetUISchemeFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed UI Scheme.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetDefaultSettingCount()\n\
</pre></div><p>Returns the number of Default Settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetDefaultSettingFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed Default Setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetMaxscriptsCount()\n\
</pre></div><p>Returns the number of MAXScripts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetMaxscriptsFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetMacroscriptsCount()\n\
</pre></div><p>Returns the number of MacroScripts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetMacroScriptsFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed MacroScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetPostStartUpScriptsCount()\n\
</pre></div><p>Returns the number of Startup Scripts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetPostStartUpScriptFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed Startup Script.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetMetaSLShaderPathCount()\n\
</pre></div><p>Returns the number of MetaSL Shaders.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetMetaSLShaderFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed MetaSL Shader.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetMiFileCount()\n\
</pre></div><p>Returns the number of .mi files.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetMiFileFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed .mi file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetLightIconPathsCount()\n\
</pre></div><p>Returns the number of light icon paths.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetLightIconPathFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed light icon path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetDarkIconPathsCount()\n\
</pre></div><p>Returns the number of dark icon paths.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetDarkIconPathFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full file name of the indexed dark icon path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PluginPackageManager.ProcessCustomInstallDirectory &lt;filename&gt;path\n\
</pre></div><p>Processes the given custom install directory filepath.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PluginPackageManager.GetPackageInstallPathByUpgradeCode &lt;string&gt;upgradeCode\n\
</pre></div><p>Returns the install path associated with the plugin package with the specified <span class=\'code\'>upgradeCode</span>. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<p>Note: This function replaces the undocumented <span class=\'code\'>pathConfig.GetExchangeStorePlugInInstallPath &lt;string&gt;productCode</span> which used the product code as the key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetOSLFoldersCount()\n\
</pre></div><p>Returns the number of OSL paths. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetOSLFolderFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full OSL path specified by <span class=\'code\'>index</span> from the list of OSL paths. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetAMGFoldersCount()\n\
</pre></div><p>Returns the number of AMG paths. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetAMGFolderFullPath &lt;index&gt;index\n\
</pre></div><p>Returns the full AMG path specified by <span class=\'code\'>index</span> from the list of AMG paths. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;PluginPackageManager.GetSceneConverterFoldersCount()\n\
</pre></div><p>Returns the number of Scene Converter paths. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;PluginPackageManager.GetSceneConverterFolderFullPath &lt;index&gt;\n\
</pre></div><p>Returns the full Scene Converter path specified by <span class=\'code\'>index</span> from the list of Scene Converter paths. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";