var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: paramPublishMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: paramPublishMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-parampublishmgr\"></a></div>\n\
<p>ParamPublishMgr is a simple tool for adding a Custom Attribute and connecting it to the source parameter. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramPublishMgr.start()\n\
</pre></div><p>This method will launch the parameter publish UI mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramPublishMgr.addParameterBySubNum &lt;maxObject&gt;paramParent &lt;index&gt;paramSubnum\n\
</pre></div><p>This method will add a parameter into the ready-to-publish parameter list.</p>\n\
<p>Only publishable parameters will be added successfully, and they will be published when paramPublishMgr.start() is called.</p>\n\
<p>paramParent is the parent of the selected animatable parameter in Track View.</p>\n\
<p>paramSubNum is the index of the selected animatable parameter in Track View.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Create a Geosphere --Open TrackView, select the Radius parameter of the Geosphere --Now let&#39;s initiate the Parameter Publishing. --Get the paramBlock of the selected parameter: anim = trackviews.current.getParentOfSelected 1 --&gt;ReferenceTarget:ParamBlock2 show anim --let&#39;s see what we got - it is the Geosphere&#39;s paramBlock --&gt; .Hemisphere --&gt; .Segments --&gt; .Radius : float --&gt; .Smooth --&gt;false --Now get the index of the Radius track within the paramBlock: subnum = trackviews.current.getSelectedSubNum 1 --&gt;3 --We can now add the parameter using these two values: paramPublishMgr.addParameterBySubNum anim subnum --&gt;OK paramPublishMgr.start() --start the parameter publishing --&gt;OK --At this point, a dotted line will appear in the viewport --Click on the object (e.g. the Geosphere) to add a Custom Attribute --and expose the Radius as a CA parameter...</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";