var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: paramWire</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: paramWire</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-paramwire\"></a></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Parameter-Wiring/Parameter-Wiring-1.html\' title=\'\'>Parameter Wiring</a></p>\n\
<p>The <strong>paramWire Core Interface</strong> provides general access to the parameter wiring functions introduced in <strong>3ds Max 4</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramWire.start()      \n\
</pre></div><p>This method will launch the parameter wiring UI mode on the currently selected object.</p>\n\
<p>Only works if there is a single object selected in the viewport.</p>\n\
<p>It will move the cursor to the pivot point of the node.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>It can be used in a macroScript like this:</p>\n\
<p>``` macroScript paramWire category:&quot;Tools&quot; buttonText:&quot;Wire Parameters&quot; tooltip:&quot;Start Param Wiring&quot; Icon:#(&quot;MAXScript&quot;,1) ( on execute do paramWire.start() on isEnabled return selection.count == 1 )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramWire.openEditor() \n\
</pre></div><p>This method will open up the parameter wiring dialog on the selected objects with no track selected in either tree view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramWire.editParams &lt;value&gt;leftParam &lt;value&gt;rightParam \n\
</pre></div><p>Opens the parameter wiring editor dialog on the parameters specified. The parameter is specified as a SubAnim in MAXScript using the index [] operator on a <strong>3ds Max</strong> object.</p>\n\
<p><span class=\'code\'>&lt;value&gt;leftParam :</span> The sub-animatable of the left-hand reference target.</p>\n\
<p><span class=\'code\'>&lt;value&gt;rightParam :</span> The sub-animatable of the right-hand reference target.</p>\n\
<p>Note:</p>\n\
<p>The subanim index operator can also take number indexes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramWire.editParam &lt;value&gt;param \n\
</pre></div><p>Opens the parameter wiring editor dialog on the parameter specified. The parameter is specified as a SubAnim in MAXScript using the index [] operator on a <strong>3ds Max</strong> object.</p>\n\
<p><span class=\'code\'>&lt;value&gt;param :</span> The sub-animatable of the left-hand reference target.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- The radius parameter in a sphere node s = sphere() paramWire.editParam $sphere001.baseObject[#radius] -- The angle parameter in a bend modifier would be -- paramWire.editParam $foo.bend[#angle] -- The position parameter in node would be -- paramWire.editParam $foo[#transform][#position], etc.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramWire.editControllers &lt;control&gt;leftController &lt;control&gt;rightController \n\
</pre></div><p>Opens the parameter wiring editor dialog on the two given existing wire controllers.</p>\n\
<p><span class=\'code\'>&lt;control&gt;leftController :</span> A pointer to the controller for the left-hand wire.</p>\n\
<p><span class=\'code\'>&lt;control&gt;rightController :</span> A pointer to the controller for the right-hand wire.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;paramWire.editController &lt;control&gt;controller \n\
</pre></div><p>Opens the parameter wiring editor dialog on the given existing wire controller.</p>\n\
<p><span class=\'code\'>&lt;control&gt;controller :</span> A pointer to the controller being edited.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` paramWire.editController $foo.radius.controller</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;paramWire.connect &lt;value&gt;fromParam &lt;value&gt;toParam &lt;string&gt;toExpr \n\
</pre></div><p>This method allows you to set up a one-way parameter wire from the &#39;fromParam&#39; subAnim to the &#39;toParam&#39; subAnim using the &#39;toExpr&#39; as the expression for the controlled parameter.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the connection can be made, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;value&gt;fromParam :</span> The sub-animatable to wire from.</p>\n\
<p><span class=\'code\'>&lt;value&gt;toParam :</span> The sub-animatable to wire to.</p>\n\
<p><span class=\'code\'>&lt;string&gt;toExpr :</span> A string containing the expression on the &quot;to wire&quot;.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` paramWire.connect $foo.baseObject[#radius] $baz.bend[#angle] &quot;radius / 2&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;paramWire.connect2Way &lt;value&gt;leftParam &lt;value&gt;rightParam &lt;string&gt;leftExpr &lt;string&gt;rightExpr \n\
</pre></div><p>This method allows you to set up a two-way parameter wire between the &#39;leftParam&#39; parameter and the &#39;rightParam’ parameter, with the given expression strings.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the connection can be made, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;value&gt;leftParam :</span> The sub-animatable of the left-hand reference target.</p>\n\
<p><span class=\'code\'>&lt;value&gt;rightParam :</span> The sub-animatable of the right-hand reference target.</p>\n\
<p><span class=\'code\'>&lt;string&gt;leftExpr :</span> A string containing the expression for the left-hand target.</p>\n\
<p><span class=\'code\'>&lt;string&gt;rightExpr :</span> A string containing the expression for the right-hand target.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` paramWire.connect2Way $foo.baseObject[#radius] $baz.bend[#angle]  &quot;angle / 2&quot; &quot;radius * 2&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;paramWire.disconnect &lt;control&gt;controller \n\
</pre></div><p>This method allows you to disconnect a one-way wireController from its current parameter, replacing it with either the wire&#39;s existing animation track or a default controller for the parameter.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the disconnect was successful, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;control&gt;controller :</span> A pointer to the wire controller you wish to disconnect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;paramWire.disconnect2Way &lt;control&gt;leftController &lt;control&gt;rightController \n\
</pre></div><p>This method allows you to disconnect a two-way wire between &#39;leftcontroller’ and &#39;rightController’. If this is the last two-way wire for either controller, replace it with either the wire&#39;s existing animation track or a default controller for the parameter. Returns <span class=\'code\'>true</span> if the disconnect was successful, otherwise <span class=\'code\'>false</span> .</p>\n\
<p><span class=\'code\'>&lt;control&gt;leftController :</span> A pointer to the first wire controller you wish to disconnect.</p>\n\
<p><span class=\'code\'>&lt;control&gt;rightController :</span> A pointer to the second wire controller you wish to disconnect.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";