var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: pluginManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: pluginManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-pluginmanager\"></a></div>\n\
<p>The <strong>pluginManager Core Interface</strong> exposes the Plugin Manager to MAXScript.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>pluginManager.visible : boolean : Read|Write     \n\
</pre></div><p>Show or hide the plug-in manager.</p>\n\
<div class=\'codeBlock\'><pre>pluginManager.pluginDllCount : integer : Read\n\
</pre></div><p>Gets the number of plug-ins loaded.</p>\n\
<div class=\'codeBlock\'><pre>pluginManager.loadedPluginDllSize : integer : Read\n\
</pre></div><p>The cumulative size, in KB, of the loaded plug-ins.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;pluginManager.pluginDllName &lt;index&gt;index\n\
       pluginDllName - no automatic redraw after invoked\n\
</pre></div><p>Gets the name of the plug-in at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;pluginManager.pluginDllDirectory &lt;index&gt;index\n\
       pluginDllDirectory - no automatic redraw after invoked\n\
</pre></div><p>Gets the full path for the plug-in at the specified index. This is the same as returned by <span class=\'code\'>pluginDLLFullPath()</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;pluginManager.pluginDllFullPath &lt;index&gt;index\n\
       pluginDllFullPath - no automatic redraw after invoked\n\
</pre></div><p>Gets the full path for the plug-in at the specified index. This is the same path shown under &quot;Full Path&quot; in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;pluginManager.pluginDllSize &lt;index&gt;index\n\
       pluginDllSize - no automatic redraw after invoked\n\
</pre></div><p>Gets the size, in KB, of the plug-in at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;pluginManager.isPluginDllLoaded &lt;index&gt;index\n\
       isPluginDllLoaded - no automatic redraw after invoked\n\
</pre></div><p>Gets whether the plug-in at the specified index is loaded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;pluginManager.loadPluginDll &lt;index&gt;index\n\
       loadPluginDll - no automatic redraw after invoked\n\
</pre></div><p>Loads the plug-in at the specified index, returning true if the plug-in was successfully loaded, or if it was already loaded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;pluginManager.loadClass &lt;class&gt;class \n\
</pre></div><p>Will ensure that the given class is loaded, in the event that it is a deferred loading class, and so any MAXScript methods or Function Published interfaces it publishes will be available.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` pluginManager.loadClass Flex</p>\n\
<p>```</p>\n\
<p>After this code is executed, all the Flex modifier MAXScript methods are installed and callable. Note this is only needed in situations where a plug-in loading may be deferred and it does not have any instances already in the current scene.</p>\n\
</blockquote>\n\
<p>The Plug-in Manager is also exposed via a GlobalUtilityPlugin class, <span class=\'code\'>Plug_in_Manager</span>, that exposes a single method <span class=\'code\'>show()</span> to show the Plug-in Manager dialog.</p>\n\
<p><strong>Plug_in_Manager interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: PluginMgrAction \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;show() -- Action Interface \n\
</pre></div><p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Category: Plugin_Manager; Action: Plugin_Manager; Shortcut: -- none defined -\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";