var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: qat</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: qat</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-qat\"></a></div>\n\
<p>The <strong>qat Core Interface</strong> available in <strong>3ds Max 2010 and higher</strong> provides access to the Quick Access Toolbar customization options.</p>\n\
<p>The Quick Access Toolbar is located to the left of the Application Icon and can be extended to host any action item registered with the Customize User Interface system, including MacroScripts.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;qat.add &lt;string&gt;group &lt;string&gt;action    \n\
</pre></div><p>Adds the action item from the group specified by the first argument with name specified by the second argument to the Quack Access Toolbar. Returns the zero-based index of the item&#39;s position in the toolbar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;qat.swap &lt;integer&gt;index1 &lt;integer&gt;index2   \n\
</pre></div><p>Swaps the actions in the toolbar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;qat.delete &lt;integer&gt;index \n\
</pre></div><p>Deletes the zero-based indexed action item from the toolbar.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Add the Action Item &quot;Export File&quot; from the &quot;Main UI&quot; group: qat.add &quot;Main UI&quot; &quot;Export File&quot; --&gt; 6 --move the &quot;Export File&quot; item before &quot;SetProject Folder&quot;: qat.swap 6 5 --&gt; OK --delete the new &quot;Export File&quot; item which was moved up: qat.delete 5 --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";