var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: quadMenuSettings</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: quadMenuSettings</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-quadmenusettings\"></a></div>\n\
<p>The <strong>quadMenuSettings Core Interface</strong> exposes methods for controlling the Quad Menu settings.</p>\n\
<p>Available in <strong>3ds Max 4 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.ResetDefaults()   \n\
</pre></div><p>This method will reset the menu settings to their defaults.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetBorderSize &lt;integer&gt;borderSize \n\
</pre></div><p>This method allows you to set the menu border size in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetBorderSize() \n\
</pre></div><p>This method returns the menu border size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetHorizontalMarginInPoints &lt;integer&gt;horizontalMarginInPoints \n\
</pre></div><p>This method allows you to set the menu’s horizontal margin size in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetHorizontalMarginInPoints() \n\
</pre></div><p>This method returns the menu’s horizontal margin size in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetVerticalMarginInPoints &lt;integer&gt;verticalMarginInPoints \n\
</pre></div><p>This method allows you to set the menu’s vertical margin size in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetVerticalMarginInPoints() \n\
</pre></div><p>This method returns the menu’s vertical margin size in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetItemFontFace &lt;string&gt;szItemFontFace \n\
</pre></div><p>This method allows you to set the menu item’s font typeface by providing a string containing the typeface name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;quadMenuSettings.GetItemFontFace() \n\
</pre></div><p>This method returns the name of the menu item’s font typeface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetTitleFontFace &lt;string&gt;szTitleFontFace \n\
</pre></div><p>This method allows you to set the menu title’s font typeface by providing a string containing the typeface name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;quadMenuSettings.GetTitleFontFace() \n\
</pre></div><p>This method returns the name of the menu title’s font typeface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetItemFontSize &lt;integer&gt;itemFontSize \n\
</pre></div><p>This method allows you to set the menu item’s font size in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetItemFontSize() \n\
</pre></div><p>This method returns the menu item’s font size, in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetTitleFontSize &lt;integer&gt;titleFontSize \n\
</pre></div><p>This method allows you to set the menu title’s font size, where the title font size value is given in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetTitleFontSize() \n\
</pre></div><p>This method returns the menu title’s font size, in points.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetUseUniformItemHeight &lt;boolean&gt;useUniformItemHeight \n\
</pre></div><p>This method allows you to set the status of a menu item’s uniform height flag.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;quadMenuSettings.GetUseUniformItemHeight() \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> or <span class=\'code\'>false</span> if the menu item’s uniform height flag is set or not set, respectively.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetOpacity &lt;float&gt;opacity \n\
</pre></div><p>This method allows you to set the menu’s opacity value. The opacity value can range from 0.0 to 1.0, where 1.0 is opaque.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;quadMenuSettings.GetOpacity() \n\
</pre></div><p>This method returns the menu’s opacity value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetDisplayMethod &lt;integer&gt;displayMethod \n\
</pre></div><p>This method allows you to set a menu’s display method.</p>\n\
<p>The display method argument can be one of the following:</p>\n\
<p>0 - displays the menu with transparency, if opacity is &lt; 1.</p>\n\
<p>1 - stretch animate the menu by making it grow in size from its center with transparency, if opacity is &lt; 1.</p>\n\
<p>2 - fade in from invisible to whatever opacity is set to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetDisplayMethod() \n\
</pre></div><p>This method returns the menu’s display method, which is either of the following; <span class=\'code\'>DM_NORMAL</span> , <span class=\'code\'>DM_STRETCH</span> , <span class=\'code\'>DM_FADE</span> , <span class=\'code\'>DM_NUM_METHODS</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetAnimatedSteps &lt;integer&gt;animatedSteps \n\
</pre></div><p>This method allows you to set the menu’s number of animated steps for the ’growing’ effect as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetAnimatedSteps() \n\
</pre></div><p>This method returns the menu’s number of animated steps used for the ’growing’ effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetAnimatedStepTime &lt;integer&gt;animatedStepTime \n\
</pre></div><p>This method allows you to set the menu’s animated step time in milliseconds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetAnimatedStepTime() \n\
</pre></div><p>This method returns the menu’s animated step time in milliseconds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetSubMenuPauseTime &lt;integer&gt;subMenuPauseTime \n\
</pre></div><p>This method allows you to set the delay before a submenu is displayed, in milliseconds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetSubMenuPauseTime() \n\
</pre></div><p>This method returns the delay before a submenu is displayed, in milliseconds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetUseLastExecutedItem &lt;boolean&gt;useLastSelectedItem \n\
</pre></div><p>This method allows you to set the &quot;last executed item&quot; flag which determines whether to use the menu’s last executed item when the user clicks on the menu’s titlebar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;quadMenuSettings.GetUseLastExecutedItem() \n\
</pre></div><p>This method returns whether the &quot;last executed item&quot; flag is set ( <span class=\'code\'>true</span> ) or not set ( <span class=\'code\'>false</span> ).</p>\n\
<p>The flag determines whether to use the menu’s last executed item when the user clicks on the menu’s titlebar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetRepositionWhenClipped &lt;boolean&gt;repositionWhenClipped \n\
</pre></div><p>This method allows you to set the flag which controls and determines whether the menu is repositioned when near the edge of the screen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetRepositionWhenClipped() \n\
</pre></div><p>This method returns the status of the flag which controls and determines whether the menu is repositioned when near the edge of the screen.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the flag is <span class=\'code\'>on</span> , otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetRemoveRedundantSeparators &lt;boolean&gt;removeRedundantSeparators \n\
</pre></div><p>This method allows you to set the flag which controls and determines whether the menu should remove redundant separators.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetRemoveRedundantSeparators() \n\
</pre></div><p>This method returns the status of the flag which controls and determines whether the menu should remove redundant separators.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the flag is <span class=\'code\'>on</span> , otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetFirstQuadDisplayed &lt;integer&gt;firstQuadDisplayed \n\
</pre></div><p>This method allows you to set the first quad which will be displayed when a quad menu pops up.</p>\n\
<p>The quad index,an integer between 0 and 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetFirstQuadDisplayed() \n\
</pre></div><p>This method returns the index of the first quad which will be displayed. Returns the quad index, an integer between 0 and 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetUseUniformQuadWidth &lt;boolean&gt;useUniformQuadWidth \n\
</pre></div><p>This method allows you to set whether the quad menu has a uniform widthor not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;quadMenuSettings.GetUseUniformQuadWidth() \n\
</pre></div><p>This method returns the status of the uniform width flag for the quad menu. <span class=\'code\'>true</span> if the quad menu has been set to use uniform width, otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetMirrorQuad &lt;boolean&gt;mirrorQuad \n\
</pre></div><p>This method allows you to set whether the quad menus are mirrored left to right.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;quadMenuSettings.GetMirrorQuad() \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if the quad menu is mirrored left to right, otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetMoveCursorOnReposition &lt;boolean&gt;moveCursorOnReposition \n\
</pre></div><p>This method allows you to set whether the cursor moves when the quad menu is repositioned because of clipping the edge of the screen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;quadMenuSettings.GetMoveCursorOnReposition() \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if the cursor moves when the quad menu is repositioned because of clipping the edge of the screen, otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetReturnCursorAfterReposition &lt;boolean&gt;returnCursorAfterReposition \n\
</pre></div><p>This method allows you to set whether the cursor is moved the opposite distance that it was automatically moved when the quad menu is repositioned because of clipping the edge of the screen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;quadMenuSettings.GetReturnCursorAfterReposition() \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if the cursor is moved the opposite distance that it was automatically moved when the quad menu is repositioned because of clipping the edge of the screen, otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetInitialCursorLocInBox_0to1 &lt;float&gt;initialCursorLocX &lt;float&gt;initialCursorLocY \n\
</pre></div><p>This method allows you to set the initial location of the cursor in the center quad box.</p>\n\
<p>The two arguments specify the X and Y location of the cursor, as a ratio of the box size, between 0.0 and 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;quadMenuSettings.GetInitialCursorLocXInBox_0to1() \n\
</pre></div><p>This method returns the initial x location of the cursor in the center quad box, as a ratio of the box size, between 0.0 and 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;quadMenuSettings.GetInitialCursorLocYInBox_0to1() \n\
</pre></div><p>This method returns the initial y location of the cursor in the center quad box, as a ratio of the box size, between 0.0 and 1.0.</p>\n\
<p><strong>The following methods were changed to use RGB color values instead of RGBA in 3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetTitleBarBackgroundColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter \n\
</pre></div><p>This method allows you to set the title bar background color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetTitleBarBackgroundColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the title bar background color of a specific quad. This method returns the color as an RGB Color value.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetTitleBarTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the title bar text color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetTitleBarTextColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the title bar text color of a specific quad. This method returns the color as a Color.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetItemBackgroundColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the item background color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetItemBackgroundColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the item background color of a specific quad. This method returns the color as an RGB Color value.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetItemTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the item text color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetItemTextColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the item text color of a specific quad. This method returns the color as an RGB Color value.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetLastExecutedItemTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the last executed item text color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetLastExecutedItemTextColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the last executed item text color of a specific quad. This method returns the color as a Color.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetHighlightedItemBackgroundColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the highlighted item background color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetHighlightedItemBackgroundColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the highlighted item background color of a specific quad. This method returns the color as a Color.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetHighlightedItemTextColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the highlighted item text color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;GetHighlightedItemTextColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the highlighted item text color of a specific quad. This method returns the color as a Color.</p>\n\
<p><span class=\'code\'>quad:</span>The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetBorderColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the border color for a specific quad.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetBorderColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the border color of a specific quad. This method returns the color as a Color.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetDisabledShadowColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the disabled shadow color for a specific quad.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;quad :</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;GetDisabledShadowColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the disabled shadow color of a specific quad. This method returns the color as a Color.</p>\n\
<p><span class=\'code\'>quad:</span> The quad (numbered 1 through 4).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;quadMenuSettings.SetDisabledHighlightColor &lt;integer&gt;quad &lt;&amp;color&gt;color\n\
       color is In and Out parameter\n\
</pre></div><p>This method allows you to set the disabled highlight color for a specific quad.</p>\n\
<p><span class=\'code\'>quad :</span> The quad (numbered 1 through 4).</p>\n\
<p><span class=\'code\'>color:</span> The color to set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;quadMenuSettings.GetDisabledHighlightColor &lt;integer&gt;quad\n\
</pre></div><p>This method returns the disabled highlight color of a specific quad. This method returns the color as a Color.</p>\n\
<p><span class=\'code\'>quad :</span> The quad (numbered 1 through 4).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";