var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: RadiosityPreferences</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: RadiosityPreferences</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-radiositypreferences\"></a></div>\n\
<p>This Core Interface exposes the Renderer Radiosity Preferences. The properties of this interface correspond to UI controls located in the Preferences &gt; Adv.Lighting tab and in Render Scene Dialog of <strong>3ds Max</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.autoProcessObjectRefine : boolean : Read|Write      \n\
</pre></div><p>Corresponds to the &quot;<strong>Automatically Process Refine Iterations Stored in Geometry Objects</strong>&quot; checkbox in the &quot;Radiosity Processing &quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.displayReflectanceInMEditor : boolean : Read|Write   \n\
</pre></div><p>Corresponds to the &quot;<strong>Display Reflectance &amp; Transmittance Information</strong>&quot; checkbox in the &quot;Material Editor&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.displayInViewport : boolean : Read|Write \n\
</pre></div><p>Corresponds to the &quot;<strong>Display Radiosity in Viewports</strong>&quot; checkbox in the &quot;Interactive Display&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.displayResetWarning : boolean : Read|Write \n\
</pre></div><p>Corresponds to the &quot;<strong>Display Reset Warning</strong>&quot; checkbox in the &quot;Start/Reset Behavior&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.displayWarningOnGIPropsChange : boolean : Read|Write \n\
</pre></div><p>Corresponds to the &quot;<strong>Display Undo Warning on Properties Change</strong>&quot; checkbox in the &quot;Warnings&quot; group of the Radiosity tab under Customize&gt;Preferences in <strong>3ds Max</strong>.</p>\n\
<p>Note: This property has been removed from <strong>3ds Max 6</strong>.</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.updateDataWhenRequiredOnStart : boolean : Read|Write \n\
</pre></div><p>Corresponds to the &quot;<strong>Update Data When Required On Start</strong>&quot; checkbox in the &quot;Start/Reset Behavior&quot; group of the Radiosity tab under Customize&gt;Preferences and in the &quot;Process&quot; group of the Advanced Lighting &gt; Radiosity dialog.</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.saveScene : boolean : Read|Write \n\
</pre></div><p>Corresponds to the &quot;<strong>Save Scene Information in MAX File (Decrease Load Time)</strong>&quot; checkbox in the &quot;File Save&quot; group of the Radiosity tab under Customize&gt;Preferences</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.useRadiosity : boolean : Read|Write \n\
</pre></div><p>Corresponds to the &quot;<strong>Use Advanced Lighting</strong>&quot; checkbox in the &quot;<strong>Advanced Lighting&quot;</strong> group in <strong>3ds Max</strong>.</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.computeRadiosity : boolean : Read|Write \n\
</pre></div><p>Corresponds to the &quot;<strong>Compute Advanced Lighting when Required</strong>&quot; checkbox in the &quot;Advanced Lighting&quot; group in <strong>3ds Max</strong>.</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.useAdvancedLighting : boolean : Read|Write \n\
</pre></div><p>Corresponds to &quot;<strong>Use Advanced Lighting</strong>&quot; checkbox in the &quot;Advanced Lighting&quot; group of the Render Scene dialog in <strong>3ds Max</strong>.</p>\n\
<div class=\'codeBlock\'><pre>RadiosityPreferences.computeAdvancedLighting : boolean : Read|Write \n\
</pre></div><p>Corresponds to &quot;<strong>Compute Advanced Lighting when Required</strong>&quot; checkbox in the &quot;Advanced Lighting&quot; group of the Render Scene dialog in <strong>3ds Max</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` RadiosityPreferences.useAdvancedLighting = true RadiosityPreferences.computeAdvancedLighting = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";