var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: RetimerMan</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: RetimerMan</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-retimerman\"></a></div>\n\
<p>This Core Interface exposes the Global Retimer to MAXScript. It is used to perform time scaling of the whole scene.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>RetimerMan.numRetimers : integer : Read\n\
</pre></div><p>Contains the number of Retimers.</p>\n\
<p>Read-only.</p>\n\
<p>This property&#39;s signature was changed from index to integer in <strong>3ds Max 2015</strong>.</p>\n\
<div class=\'codeBlock\'><pre>RetimerMan.active : boolean : Read|Write\n\
</pre></div><p>Get/set the active state of the Retimer.</p>\n\
<div class=\'codeBlock\'><pre>RetimerMan.bakeThreshold : float : Read|Write\n\
</pre></div><p>Get/set the bake threshold.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;RetimerMan.GetGlobalRetimer()\n\
</pre></div><p>Returns the global Retimer controller which affects the timing of the whole scene.</p>\n\
<p>See the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Retimer-Controllers/Retimer-Controller.html\' title=\'\'>Retimer Controller</a> topic for properties and methods to access the retimer markers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;RetimerMan.GetNthRetimer &lt;index&gt;index\n\
</pre></div><p>Returns the indexed Retimer controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;RetimerMan.CreateRetimer()\n\
</pre></div><p>Creates a Retimer controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.DeleteRetimer &lt;index&gt;index\n\
</pre></div><p>Deletes the indexed Retimer controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.BakeAndDeleteLocalRetimers()\n\
</pre></div><p>Bakes the Local Retimers using the threshold specified via the <span class=\'code\'>.bakeThreshold</span> property and then deletes the Local Retimers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;RetimerMan.IsGlobalRetimerActive()\n\
</pre></div><p>Returns True of the Global Retimer is active, False if it is not.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.ApplyGlobalRetimer()\n\
</pre></div><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.RemoveGlobalRetimer()\n\
</pre></div><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;RetimerMan.GetActiveRetimerCtrl()\n\
</pre></div><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.AddToRetimer &lt;&amp;maxObject array&gt;controls &lt;maxObject&gt;retimer\n\
    controls is In and Out parameter\n\
</pre></div><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;RetimerMan.SetUpRetimers &lt;&amp;maxObject array&gt;controls &lt;&amp;control array&gt;retimers\n\
    controls is In and Out parameter \n\
    retimers is In and Out parameter\n\
</pre></div><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.RemoveRetimers &lt;&amp;maxObject array&gt;controls &lt;maxObject&gt;retimer\n\
    controls is In and Out parameter\n\
</pre></div><p>Removes the Retimer specified by the second argument and returns an array of the affected controls into the by-reference first argument.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.BakeRetimers &lt;&amp;maxObject array&gt;anims &lt;&amp;maxObject array&gt;clients &lt;&amp;index array&gt;subNums &lt;maxObject&gt;retimer\n\
    anims is In and Out parameter\n\
    clients is In and Out parameter\n\
    subNums is In and Out parameter\n\
</pre></div><p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RetimerMan.FindNodesDependentOnRetimer &lt;maxObject&gt;retimer &lt;&amp;node array&gt;nodes\n\
    nodes is In and Out parameter\n\
</pre></div><p>Returns the nodes dependent on the retimer controller passed as first argument as an array of nodes passed by-reference into the second argument.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;RetimerMan.GetGlobalRetimerControl &lt;boolean&gt;forceCreate\n\
</pre></div><p>Returns the Global Retimer controller.</p>\n\
<p>If the argument is passed as True, a new Global Retimer controller will be created if it does not exist already.</p>\n\
<p>If the argument is passed as False, a value of <span class=\'code\'>undefined</span> will be returned if a Global Retimer controller does not exist yet.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";