var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: refhierarchy</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: refhierarchy</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-refhierarchy\"></a></div>\n\
<p>The <strong>refhierarchy Core Interface</strong> provides MAXScript access to the reference hierarchy.</p>\n\
<div class=\'codeBlock\'><pre>Interface: refhierarchy \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;refhierarchy.IsRefTargetInstanced &lt;maxObject&gt;refTarget   \n\
</pre></div><p>This method can be used to find out if an object is instanced (instanced pipeline).</p>\n\
<p>It Checks if the Derived Object is instanced. If it is, the pipeline part below and including that derived object is instanced.</p>\n\
<p>In certain circumstances, objects need to find out whether they are instances or not. Some plugins need this functionality in order to properly interpret the size and position of their ModContext bounding box.</p>\n\
<p>Returns <span class=\'code\'>True</span> if the maxObjectis an instance, <span class=\'code\'>False</span> otherwise.</p>\n\
<p>If the argument is undefined, it also returns <span class=\'code\'>False</span> .</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --see if undefined returns anyting - it returns false: refhierarchy.IsRefTargetInstanced undefined --&gt; false</p>\n\
<p>--create a box - it is not instanced: b1 = box() --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000] refhierarchy.IsRefTargetInstanced b1 --&gt; false</p>\n\
<p>--create an instance of the box: b2 = instance b1 --&gt; $Box:Box02 @ [0.000000,0.000000,0.000000] --check the firstbox - it is now an instance refhierarchy.IsRefTargetInstanced b1 --&gt; true --as is the second box: refhierarchy.IsRefTargetInstanced b2 --&gt; true</p>\n\
<p>--create a bend modifier and see if it is instanced - it is not: theMod = Bend() --&gt; Bend:Bend refhierarchy.IsRefTargetInstanced theMod --&gt; false</p>\n\
<p>--add the Bend modifier to the one box addModifier b1 theMod --&gt; OK --the modifier is still not instanced: refhierarchy.IsRefTargetInstanced theMod --&gt; false</p>\n\
<p>--now create a sphere and add the same bend modifier to it: s1 = sphere() --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000] addModifier s1 theMod --&gt; OK --now the modifier is instanced: refhierarchy.IsRefTargetInstanced theMod --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";