var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: renderpresets</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: renderpresets</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-renderpresets\"></a></div>\n\
<p>This Core Interface provides access to the render presets system introduced in <strong>3ds Max 6</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;renderpresets.Save &lt;integer&gt;which &lt;filename&gt;file &lt;bitArray&gt;categories   \n\
</pre></div><p>Save preset to the specified file using the categories described by the bitArray.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>The integer <span class=\'code\'>which</span> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<p>Note:</p>\n\
<p>Integer values greater than two will cause a System Exception.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;renderpresets.Load &lt;integer&gt;which &lt;filename&gt;file &lt;bitArray&gt;categories   \n\
</pre></div><p>Load the preset from the specified file, using the categories described by the bitArray.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>The integer <span class=\'code\'>which</span> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;renderpresets.SaveAll &lt;integer&gt;which &lt;filename&gt;file \n\
</pre></div><p>Save preset to the specified file using all categories.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>The integer <span class=\'code\'>which</span> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;renderpresets.LoadAll &lt;integer&gt;which &lt;filename&gt;file \n\
</pre></div><p>Load the indexed preset from the specified file, using all categories.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>The integer <span class=\'code\'>which</span> specifies the renderer slot to load into:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;renderpresets.IsFileCompatible &lt;integer&gt;which &lt;filename&gt;file \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified file is compatible with the renderer slot specified by the integer <span class=\'code\'>which</span> , <span class=\'code\'>false</span> otherwise.</p>\n\
<p>The integer <span class=\'code\'>which</span> can be one of the following:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;renderpresets.MapIndexToCategory &lt;filename&gt;file &lt;integer&gt;index \n\
</pre></div><p>Returns a string containing the name of the category corresponding to the specified index in the supplied file. <a href=\'Interface-renderpresets.html#interface--renderpresets\' title=\'\'>See example further on this page</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;renderpresets.MapCategoryToIndex &lt;filename&gt;file &lt;string&gt;category \n\
</pre></div><p>Returns the index corresponding to the specified category name in the supplied file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;renderpresets.MapSceneIndexToCategory &lt;integer&gt;which &lt;integer&gt;index \n\
</pre></div><p>Returns a string containing the name of the category corresponding to the renderer slot specified by the integer <span class=\'code\'>which</span> :</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;renderpresets.MapSceneCategoryToIndex &lt;integer&gt;which &lt;string&gt;category \n\
</pre></div><p>Returns the index slot specified by the integer <span class=\'code\'>which</span> :</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;renderpresets.LoadCategories &lt;filename&gt;file \n\
</pre></div><p>Returns the categories available in the specified render presets file as bitArray. Each bit represents a category. <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-renderpresets.html\' title=\'\'>See example further on this page</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` renderPresets.LoadCategories (GetDir #renderPresets +&quot;/mental.ray.no.gi.draft.rps&quot;) #{32..34}</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;renderpresets.SaveCategories &lt;integer&gt;which \n\
</pre></div><p>Returns the categories available for the specified renderer as bitArray. The bitArray will have a bit set for each category that can be saved for the specified renderer.</p>\n\
<p>The integer <span class=\'code\'>which</span> can be one of the following:</p>\n\
<p>0 - Production</p>\n\
<p>1 - Material Editor</p>\n\
<p>2 - ActiveShade</p>\n\
<blockquote>\n\
<p>Warning: A side effect of <strong>saving</strong> and <strong>loading</strong> the Radiosity presets <strong>from the Advanced Lighting tab</strong> is that your radiosity solution <strong>will be lost</strong>. If you have invested a lot of time in the radiosity solution, it is suggested that you <strong>not choose</strong> the <strong>advanced lighting category</strong> when loading a render presets file.</p>\n\
</blockquote>\n\
<p>The following script prints all categories from all Render Presets files. It can be used to &quot;peek&quot; into the files to determine which categories are saved in which file, and what category corresponds to which index in the BitArray.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ( --Collect all Render Presets files: theFiles = getFiles (GetDir #renderPresets + &quot;\\*.rps&quot;) --For each Render Presets file, for f in theFiles do ( format &quot;\\nRender Preset: %\\n&quot; (getFileNameFile f) --Print the file name --Get the category indices as BitArray and loop through them, --printing the index and the corresponding category name: for c in (renderPresets.LoadCategories f) do format &quot;%: %\\n&quot; c (renderpresets.MapIndexToCategory f c) ) )</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` Render Preset: 3dsmax.scanline.no.advanced.lighting.draft.rps 32: Default Scanline Renderer 33: Advanced Lighting 34: Raytracer</p>\n\
<p>Render Preset: 3dsmax.scanline.no.advanced.lighting.high.rps 32: Default Scanline Renderer 33: Advanced Lighting 34: Raytracer</p>\n\
<p>Render Preset: 3dsmax.scanline.radiosity.draft.rps 3: Environment 32: Default Scanline Renderer 33: Advanced Lighting 34: Raytracer</p>\n\
<p>Render Preset: 3dsmax.scanline.radiosity.high.rps 3: Environment 32: Default Scanline Renderer 33: Advanced Lighting 34: Raytracer</p>\n\
<p>Render Preset: a.rps 1: Common 4: Render Elements 32: Default Scanline Renderer 33: Advanced Lighting 34: Raytracer</p>\n\
<p>Render Preset: b.rps 1: Common 4: Render Elements 32: Default Scanline Renderer 33: Advanced Lighting 34: Raytracer OK OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Using this information, you can easily load just a single category from a file using MAXScript. In the following example, only category 32 - Renderer will be loaded, but not the categories 33 and 34 (Processing and Indirect Illumination) that are also stored in the file:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` renderpresets.Load 0 (GetDir #renderPresets + &quot;\\mental.ray.no.gi.high.rps&quot;) #{32}</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";