var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SME</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SME</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-sme\"></a></div>\n\
<p>The <strong>SME Core Interface</strong> introduced in <strong>3ds Max 2011</strong> exposes properties and methods related to the Slate Material Editor.</p>\n\
<div class=\'section\'><a id=\"interface-sme-1\"></a><h2 id=\"interface-sme-1\">Interface: SME</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>sme.activeView : index : Read|Write      \n\
</pre></div><p>Get/set the Slate Material Editor&#39;s active View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;sme.Open() \n\
</pre></div><p>Opens the Slate Material Editor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;sme.Close() \n\
</pre></div><p>Closes the Slate Material Editor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sme.IsOpen() \n\
</pre></div><p>Returns true if the Slate Material Editor is open, false if it is closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;sme.GetNumViews() \n\
</pre></div><p>Returns the number of Node Views as an integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;sme.CreateView &lt;string&gt;name \n\
</pre></div><p>Creates a new Node View with the given name and returns its index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject&gt;sme.GetView &lt;index&gt;index \n\
</pre></div><p>Returns an <a href=\'Interface-SME.html#ifp_nodeviewimp---iobject\' title=\'\'>IObject:IFP_NodeViewImp</a> object representing the indexed Node View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;sme.GetViewIndex &lt;IObject&gt;view \n\
</pre></div><p>Returns the index of the given Node View <a href=\'Interface-SME.html#ifp_nodeviewimp---iobject\' title=\'\'>IObject:IFP_NodeViewImp</a> object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;sme.GetViewByName &lt;string&gt;name \n\
</pre></div><p>Returns the index of the named Node View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;sme.DeleteView &lt;index&gt;index &lt;boolean&gt;ask_user \n\
</pre></div><p>Deletes the indexed Slate Material Editor view.</p>\n\
<p>If the second argument is true, prompts the user for confirmation, otherwise deletes the view without prompting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;sme.GetMtlInParamEditor() \n\
</pre></div><p>Returns the material or map current displayed in the Parameter Editor of the Slate Material Editor.</p>\n\
<div class=\'codeBlock\'><pre>sme.SetMtlInParamEditor &lt;maxObject&gt; \n\
</pre></div><p>Sets the material or map to be displayed in the Parameter Editor of the Slate Material Editor.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;sme.GetNavigator() \n\
</pre></div><p>Returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\' title=\'\'>WndBase Interface</a> to the Slate Material Editor&#39;s Navigator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;sme.GetMaterialPool() \n\
</pre></div><p>Returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\' title=\'\'>WndBase Interface</a> to the Slate Material Editor&#39;s Material Pool.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;sme.GetParamEditor() \n\
</pre></div><p>Returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\' title=\'\'>WndBase Interface</a> to the Slate Material Editor&#39;s Parameter Editor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;sme.GetMainframe() \n\
</pre></div><p>Returns an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\' title=\'\'>WndBase Interface</a> to the Slate Material Editor&#39;s Main Frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;DoMtlBrowseDlg &lt;HWND&gt;parent &lt;integer&gt;flags &lt;&amp;boolean&gt;newMat &lt;&amp;boolean&gt;cancel fromLibrary:&lt;&amp;boolean&gt; copiedMaterial:&lt;&amp;boolean&gt;\n\
       newMat is In and Out parameter\n\
       cancel is In and Out parameter\n\
       fromLibrary default value: undefined\n\
       fromLibrary is In and Out parameter\n\
       copiedMaterial default value: undefined\n\
       copiedMaterial is In and Out parameter\n\
</pre></div><p>Opens a modal Material/Map browser dialog.</p>\n\
<p>The first argument is the window handle of the parent window, use 0 for none.</p>\n\
<p>The second argument is a flags value controlling the display of materials and maps in the dialog. Possible Flag values are:</p>\n\
<p>1,5,9... - Materials, Sample Slots</p>\n\
<p>2,6,10... - Maps</p>\n\
<p>0,3,7,11... - Maps, Materials, Sample Slots</p>\n\
<p>4,8,12... - None</p>\n\
<p>The third by-reference argument will contain true if a new material was created, false if an existing one was picked.</p>\n\
<p>The fourth by-reference argument will contain true if the Cancel button was clicked, false if the OK button was clicked.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` isNew = false isCanceled = false c = sme.DoMtlBrowseDlg 0 0 &amp;isNew &amp;isCanceled</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;sme.OpenMtlBrowseDlg() \n\
</pre></div><p>Opens the Material Browser Dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sme.OpenMtlLib &lt;string&gt;path name:&lt;string&gt;\n\
       name default value: &quot;&quot;\n\
</pre></div><p>Opens the material library specified by the file path and optional name. If only the material library file name is specified in the path, the current material library directory is searched for the specified filename. The optional name parameter can specify a path to a library as it is named in the Material Browser, where backslashes denote folder hierarchy. For example, &quot;Maps\\OSL\\Shiny Things&quot; would open a material library named &quot;Shiny Things&quot; in a folder named &quot;OSL&quot; in the folder named &quot;Maps&quot;. <strong>Available in 3ds Max 2021 and higher.</strong> Returns true if the library was successfully found and opened, false if not.</p>\n\
<p>For example:</p>\n\
<div class=\'codeBlock\'><pre>sme.OpenMtlLib &quot;Nature.mat&quot;\n\
&lt;boolean&gt;sme.HasMtlLib &lt;string&gt;path\n\
</pre></div><p>Returns true if the specified material library is open in the Slate Material Editor. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sme.IsMtlLibModified &lt;string&gt;path \n\
</pre></div><p>Returns true if the specified material library has been modified (materials have been added, deleted, or changed), false if not. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sme.SaveMtlLib &lt;string&gt;path \n\
</pre></div><p>Saves the specified material library, returning true if successful, false if not. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sme.SaveMtlLibAs &lt;string&gt;path newPath:&lt;&amp;string&gt;\n\
       newPath default value: &quot;&quot;\n\
       newPath is In and Out parameter\n\
</pre></div><p>Saves a copy of the specified material library from the location and file name specified by <span class=\'code\'>path</span> to the optional <span class=\'code\'>newPath</span>. If <span class=\'code\'>newPath</span> is empty, a file chooser dialog is displayed and the user is prompted for a new path and filename, and the selected path is returned in <span class=\'code\'>newPath</span>. <strong>Available in 3ds Max 2021 and higher.</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sme.CloseMtlLib &lt;string&gt;path\n\
</pre></div><p>Closes the material library specified by <span class=\'code\'>path</span>. <strong>Available in 3ds Max 2021 and higher.</strong> ### IFP_NodeViewImp : IObject</p>\n\
<p><strong>Interface: NodeView</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.name : string : Read|Write \n\
</pre></div><p>Get/set the name of the Node View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumNodes() \n\
</pre></div><p>Returns the number of nodes in the View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;GetNode &lt;index&gt;index \n\
</pre></div><p>Returns the Node Interface of the indexed node from the View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;GetNodeByRef &lt;maxObject&gt;ref \n\
</pre></div><p>Returns the Node Interface to the given Material or Map object reference, or undefined if the reference does not exist in the Node View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;CreateNode &lt;maxObject&gt;ref &lt;&amp;point2&gt;pos \n\
\n\
pos is In and Out parameter\n\
</pre></div><p>Creates a new node from the given Material or Map object reference at the position specified by-reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DeleteSelection() \n\
</pre></div><p>Deletes the selected nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SelectNone()\n\
</pre></div><p>Deselects all nodes in the Node View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SelectAll()\n\
</pre></div><p>Selects all nodes in the Node View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SelectInvert()\n\
</pre></div><p>Inverts the node selection in the Node View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface by value array&gt;GetSelectedNodes()\n\
</pre></div><p>Returns the selected nodes in the Node View as an array of Node Interfaces.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetSelectedNodes &lt;maxObject by value array&gt;refs\n\
</pre></div><p>Sets the Node View selection to the array of Materials and/or Maps object references provided as argument.</p>\n\
<p>Setting the selection will deselect any other previously selected nodes.</p>\n\
<p>This function will <strong>not</strong> open any items in the Parameter Editor - you can use the <span class=\'code\'>sme.SetMtlInParamEditor()</span> method documented earlier in this topic.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ZoomExtents type:&lt;enum&gt; \n\
type enums: {#all|#selected} \n\
type default value: #all\n\
</pre></div><p>Zooms the Node View to show all nodes or all selected nodes according to the type optional keyword argument.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Interface: WndBase</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.position : point2 by value : Read|Write \n\
</pre></div><p>Get/set the Position of the Node View.</p>\n\
<div class=\'codeBlock\'><pre>.size : point2 by value : Read|Write \n\
</pre></div><p>Get/set the Size of the Node View.</p>\n\
<div class=\'codeBlock\'><pre>.visible : boolean : Read|Write \n\
</pre></div><p>Get/set the Visibility of the Node View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetFocus() \n\
</pre></div><p>Sets the focus on the Node View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;GetParent() \n\
</pre></div><p>Returns the WndBase interface of the Parent of the Node View.</p>\n\
<div class=\'section\'><a id=\"interface-node\"></a><h3 id=\"interface-node\">Interface: Node</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.name : string : Read|Write\n\
</pre></div><p>Get/set the name of the Node.</p>\n\
<div class=\'codeBlock\'><pre>.position : point2 by value : Read|Write\n\
</pre></div><p>Get/set the Position of the Node inside the Node View.</p>\n\
<div class=\'codeBlock\'><pre>.selected : boolean : Read|Write\n\
</pre></div><p>Get/set the Selected state of the Node.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";