var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SceneExplorerManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SceneExplorerManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-sceneexplorermanager\"></a></div>\n\
<p>The <strong>SceneExplorerManager Core Interface</strong> exposes the Scene Explorer to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>Interface: SceneExplorerManager \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.CreateExplorerFromDefault &lt;string&gt;explorerName\n\
</pre></div><p>Creates a new local Scene Explorer using the specified defaults settings</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False on failure. For example, if the specified defaults settings do not exist.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` SceneExplorerManager.CreateExplorerFromDefault &quot;Test&quot; --&gt;False SceneExplorerManager.CreateExplorerFromDefault &quot;Light Explorer&quot; --&gt;True -- A new Light Explorer will be created.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.IsExplorerInViewport &lt;string&gt;explorerName\n\
</pre></div><p>Returns True if the specified Scene Explorer is displayed in a viewport</p>\n\
<p>Returns False if the specified Scene Explorer is floating, is not displayed, or does not exist at all.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;SceneExplorerManager.ExplorerPersistenceType &lt;string&gt;explorerName\n\
ExplorerPersistenceType enums: {#Global|#Local|#Workspace}\n\
</pre></div><p>Returns the Persistence Type of the specified Scene Explorer.</p>\n\
<p>Possible return values are:</p>\n\
<p><strong>#Global:</strong> The Scene Explorer is global, or the specified Explorer Name does not exist.</p>\n\
<p><strong>#Local:</strong> The Scene Explorer is local to the current scene.</p>\n\
<p><strong>#Workspace:</strong> The Scene Explorer is the Workspace Explorer.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.CreateADefaultExplorer &lt;string&gt;explorerName   \n\
</pre></div><p>Creates a new Scene Explorer with the given name using the default settings.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneExplorerManager.CreateExplorer &lt;string&gt;explorerName &lt;value&gt;visibleColumns \n\
</pre></div><p>Creates a new Scene Explorer with the given name and visible columns specified by an array of property names as second argument.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneExplorerManager.SetExplorerVisibleColumns &lt;string&gt;explorerName &lt;value&gt;visibleColumns \n\
</pre></div><p>Sets the columns visibility of the named Scene Explorer using the array of visible column names specified in the second argument.</p>\n\
<p>If a name does not match an existing column filter, that column will be skipped and no error will occur.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --This will createa default Explorer first, then set its --columns to show Name, Type and Color only: SceneExplorerManager.CreateADefaultExplorer &quot;Object Colors&quot; SceneExplorerManager.SetExplorerVisibleColumns &quot;Object Colors&quot; #(&quot;Name&quot;,&quot;Type&quot;,&quot;Color&quot;)</p>\n\
<p>--This will create only columns for Name, Type and Faces --unless Bananas is a custom filter registered via MAXScript SceneExplorerManager.CreateExplorer &quot;Geometry Counts&quot; #(&quot;Name&quot;,&quot;Type&quot;,&quot;Faces&quot;,&quot;Bananas&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;SceneExplorerManager.GetExplorerCount() \n\
</pre></div><p>Returns the number of Scene Explorers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;SceneExplorerManager.GetExplorer &lt;string&gt;explorerName\n\
</pre></div><p>Returns the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\' title=\'\'>MixinInterface:SceneExplorerInterface</a> of the Scene Explorer with the given name if it exists.</p>\n\
<p>Returns undefined if the Scene Explorer with the given name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stringby value&gt;SceneExplorerManager.GetExplorerName &lt;index&gt;explorerIndex \n\
</pre></div><p>Returns the name of the indexed Scene Explorer.</p>\n\
<p>Possible values for the index argument are from 1 to <span class=\'code\'>SceneExplorerManager.GetExplorerCount()</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.ExplorerExists &lt;string&gt;explorerName\n\
\n\
</pre></div><p>Returns True if a Scene Explorer with the given name already exists, False if no such Scene Explorer has been created yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.ExplorerIsOpen &lt;string&gt;explorerName\n\
\n\
</pre></div><p>Returns True if the Scene Explorer with the given name is open, False if it is not open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.OpenExplorer &lt;string&gt;explorerName\n\
\n\
</pre></div><p>Opens the Scene Explorer with the given name.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.CloseExplorer &lt;string&gt;explorerName\n\
</pre></div><p>Closes the Scene Explorer with the given name.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.ClearAllExplorers() \n\
</pre></div><p>Closes all Scene Explorers and clears the Tools&gt;Saved Scene Explorers&gt; menu list.</p>\n\
<p>In <strong>3ds Max 2010 and higher</strong>, returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;SceneExplorerManager.GetExplorerPosition &lt;string&gt;explorerName\n\
\n\
</pre></div><p>Returns the position of the named Scene Explorer as Point2 value relatively to the top left corner of the Desktop.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.SetExplorerPosition &lt;string&gt;explorerName &lt;point2&gt;position\n\
\n\
</pre></div><p>Sets the position of the named Scene Explorer to the given Point2 value relatively to the top left corner of the Desktop.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;SceneExplorerManager.GetExplorerSize &lt;string&gt;explorerName\n\
\n\
</pre></div><p>Returns the size of the named Scene Explorer as Point2 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.SetExplorerSize &lt;string&gt;explorerName &lt;point2&gt;size\n\
\n\
</pre></div><p>Sets the size of the named Scene Explorer to the given Point2 value.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.ConfigureExplorer &lt;string&gt;explorerName &lt;string&gt;configurationFile \n\
</pre></div><p>Configures the named Scene Explorer using the configuration file specified by the second argument.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'section\'><a id=\"scene-explorer-manager\"></a><h2 id=\"scene-explorer-manager\">Scene Explorer Manager</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneExplorerManager.OpenManageInstancesDialog() \n\
</pre></div><p>Opens the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneExplorerManager.CloseManageInstancesDialog() \n\
</pre></div><p>Closes the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.LoadExplorerConfiguration &lt;string&gt;configurationFile\n\
</pre></div><p>Loads a previously saved Scene Explorer configuration from the specified configuration file.</p>\n\
<p>Corresponds to pressing the &quot;Load&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog and selecting the file to load.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.SaveExplorerConfiguration &lt;string&gt;explorerName &lt;string&gt;outputConfigurationFile \n\
</pre></div><p>Saves the configuration of the named Scene Explorer to the configuration file specified by the second argument.</p>\n\
<p>Corresponds to pressing the &quot;Save&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog with the named Scene Explorer selected and specifying the file to save to.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-313EFA1F-791B-4DED-BA12-F7935155AD24-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; SceneExplorerManager.DeleteExplorer &lt;string&gt;explorerName \n\
\n\
</pre></div><p>Deletes the Scene Explorer with the given name.</p>\n\
<p>Corresponds to pressing the &quot;Delete&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog with the named Scene Explorer selected.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SceneExplorerManager.RenameExplorer &lt;string&gt;oldExplorerName &lt;string&gt;newExplorerName \n\
</pre></div><p>Renames the Scene Explorer with the name specified by the first argument to the name given by the second argument.</p>\n\
<p>Corresponds to pressing the &quot;Rename&quot; button in the <strong>&quot;Manage Scene Explorer&quot;</strong> dialog with the named Scene Explorer selected and entering a new name.</p>\n\
<p>Returns True on success, False otherwise.</p>\n\
<div class=\'section\'><a id=\"adding-custom-property-filters\"></a><h2 id=\"adding-custom-property-filters\">Adding Custom Property Filters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;SceneExplorerManager.AddProperty &lt;string&gt;propertyName &lt;value&gt;getFunction &lt;value&gt;setFunction \n\
</pre></div><p>Adds a new property filter to be displayed as column in the Scene Explorer.</p>\n\
<p>The first argument is the name of the property to add.</p>\n\
<p>The second argument is the function to call in order to get the value of the property.</p>\n\
<p>The third argument is the function to call in order to set the value of the property.</p>\n\
<p>Once defined, the new property filter will appear at the end of the Column Chooser.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneExplorerManager.AddLocalizableProperty &lt;string&gt;propertyName &lt;string&gt;displayName &lt;value&gt;getFunction &lt;value&gt;setFunction \n\
</pre></div><p>Adds a new property filter to be displayed as a column in the Scene Explorer.</p>\n\
<p>This method is similar to the <span class=\'code\'>SceneExplorerManager.AddProperty</span> method listed above except for the additional displayName argument which defines an alternative display name to be shown in the Scene Explorer. This is useful for localization purposes.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;SceneExplorerManager.AddReadOnlyProperty &lt;string&gt;propertyName &lt;value&gt;getFunction \n\
</pre></div><p>Adds a new read-only property filter to be displayed in the Scene Explorer.</p>\n\
<p>The first argument is the property name.</p>\n\
<p>The second argument is the function to call in order to get the value of the property.</p>\n\
<p>Once defined, the new property filter will appear at the end of the Column Chooser.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SceneExplorerManager.AddLocalizableReadOnlyProperty &lt;string&gt;propertyName &lt;string&gt;displayName &lt;value&gt;getFunction \n\
</pre></div><p>Adds a new read-only property filter to be displayed as a column in the Scene Explorer.</p>\n\
<p>This method is similar to the <span class=\'code\'>SceneExplorerManager.AddReadOnlyProperty</span> method listed above except for the additional displayName argument which defines an alternative display name to be shown in the Scene Explorer. This is useful for localization purposes.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;SceneExplorerManager.RemoveProperty &lt;string&gt;propertyName \n\
</pre></div><p>Removes a previously added property by property name.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USAGE:</strong></p>\n\
<p>``` --Define a getter function which returns the radius property --if it exists or implicitly undefined when no such property fn getRad theNode = ( if isProperty theNode &quot;Radius&quot; then theNode.Radius )</p>\n\
<p>--Define asetter function which sets the radius property --if it exists otherwise does nothing fn setRad theNode theValue = ( if isProperty theNode &quot;Radius&quot; then theNode.Radius = theValue)</p>\n\
<p>--Add a Property filter to the Scene Explorer Manager with the name --&quot;Radius&quot; and the two functions as second and third argument SceneExplorerManager.addProperty &quot;Radius&quot; getRad setRad</p>\n\
<p>--Define a getter function which returns the class of the node fn getClass theNode = (classof theNode) --Add aRead-OnlyProperty filter to the Scene Explorer Manager --which can only get properties but cannot set them SceneExplorerManager.addReadOnlyProperty &quot;Class&quot; getClass</p>\n\
<p>```</p>\n\
<p>Once evaluated, the new properties will appear at the end of the Column Chooser dialog:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5B389523-4BE4-4A8D-8205-4A3D730EB6EC-low.gif\' title=\'\'></div>\n\
<p>Drag the new columns to a Scene Explorer to see the class of all scene nodes and the radius value of any scene node that has a .radius property:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5FC8B93A-4C9D-44E7-8984-BF5B033571AB-low.gif\' title=\'\'></div>\n\
<p>To make these additional properties available to the Scene Explorer in future <strong>3ds Max</strong> sessions, save the custom property filter definitions to a script file in the Scripts\\Startup folder.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"interface-sceneexplorerinterface\"></a><h3 id=\"interface-sceneexplorerinterface\">Interface: SceneExplorerInterface</h3></div>\n\
<p>This MixinInterface is returned by the method <span class=\'code\'>SceneExplorerManager.GetExplorer()</span> and exposes properties and methods of a single named Scene Explorer.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Name : string : Read|Write\n\
</pre></div><p>Get/set the name of the Scene Explorer.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;fpvalue by value array&gt;SelectedItems()\n\
</pre></div><p>Returns an array of the objects represented by the selected items.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CollapseAll()\n\
</pre></div><p>Collapses children sub-trees display of all items.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CollapseSelected()\n\
</pre></div><p>Collapses the children sub-trees display of the selected items.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ExpandAll()\n\
</pre></div><p>Expands the children sub-trees display of all items.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ExpandSelected()\n\
</pre></div><p>Expands the children sub-trees display of the selected items.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;InvertDisplay()\n\
</pre></div><p>Inverts the states of all Display Filters</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Rename()\n\
</pre></div><p>Switches the selected item to rename mode.</p>\n\
<p>If multiple items are selected, the last selected item will enter rename mode.</p>\n\
<p>The Scene Explorer must be open for this method to succeed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Unlink()\n\
</pre></div><p>Unlinks the selected children objects from their parent objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SelectChildren()\n\
</pre></div><p>Selects the children of the selected items while preserving the parents&#39; selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;FocusAndRename &lt;maxObject&gt;layer\n\
</pre></div><p>Selects the item representing the specified scene object and enters rename mode.</p>\n\
<p>Does nothing If the object does not exist.</p>\n\
<p><strong>See also</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-1.html\' title=\'\'>Core Interfaces</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";