var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SceneMissingPlugIns</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SceneMissingPlugIns</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-scenemissingplugins\"></a></div>\n\
<p>The <strong>SceneMissingPlugins Core Interface</strong> provides methods to query to count, classes, file names and descriptions of missing plugins in the current scene.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;SceneMissingPlugIns.GetMissingPlugInCount()\n\
</pre></div><p>Returns the number of missing plugins in the current scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;SceneMissingPlugIns.GetMissingPlugInClassName &lt;index&gt;Index\n\
</pre></div><p>Returns the class name of the indexed missing plugin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;SceneMissingPlugIns.GetMissingPlugInFileName &lt;index&gt;Index\n\
</pre></div><p>Returns the file name of the indexed missing plugin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;SceneMissingPlugIns.GetMissingPlugInDescription &lt;index&gt;Index\n\
</pre></div><p>Returns the description of the indexed missing plugin.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --The following script will print information about missing plugins, if any: for i = 1 to SceneMissingPlugIns.GetMissingPlugInCount() do ( local theName = SceneMissingPlugIns.GetMissingPlugInClassName i local theFileName = SceneMissingPlugIns.GetMissingPlugInFileName i local theDesc = SceneMissingPlugIns.GetMissingPlugInDescription i format &quot;%: % | % | %\\n&quot; i theName theFileName theDesc ) --To test, evaluate a scripted plugin, create an instance of it in the scene and save the scene. --Restart 3ds Max and without reevaluating the scripted plugin, load the scene file. --Then execute the script above to see the information about your missing plugin.</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";