var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SceneScriptSecurityManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SceneScriptSecurityManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-scenescriptsecuritymanager\"></a></div>\n\
<p>New in 3ds Max 2022: This interface exposes some of the functionality of the Safe Scene Script Execution feature. Specifically, this interface supports obtaining information about the state of Safe Scene Script Execution, but not setting any parameters for the feature. For security reasons, the feature can only be controlled through the user interface, command-line and environment variables.</p>\n\
<p>See the <a href=\'https://help.autodesk.com/view/3DSMAX/2022/ENU/?guid=GUID-7D0E9C58-0BA2-4D17-822E-A3962D68A2F1\' title=\'\' target=\'_blank\'>Safe Scene Script Execution</a> topic in the 3ds Max User Guide for more information about what these settings mean for scene embedded scripts. See the <a href=\'https://help.autodesk.com/view/3DSMAX/2022/ENU/?guid=GUID-1DA88B14-D7B6-4EA9-A678-4D8061467D64\' title=\'\' target=\'_blank\'>Blocked Commands</a> topic for a list of commands that are blocked for each language option (Python, .NET, and MAXScript).</p>\n\
<p>Methods:</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;IsSafeSceneScriptExecutionEnabled &lt;enum&gt;setting\n\
       setting enums: {#Current|#Pending}\n\
</pre></div><p>Returns true if the Safe Scene Execution feature is enabled for the given <span class=\'code\'>setting</span>. The possible values for <span class=\'code\'>setting</span> are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#Current</span> - returns the setting for the current running session of 3ds Max.</li>\n\
<li><span class=\'code\'>#Pending</span> - returns the setting for the next running session of 3ds Max. When a user changes the Safe Scene Script Execution settings, the changes do not take effect until the next time 3ds Max starts, so this setting may be different than the current running session setting.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;IsSceneScriptExecutionBlocked &lt;enum&gt;feature &lt;enum&gt;setting\n\
       feature enums: {#Python|#DotNet|#MAXScriptSystemCommands}\n\
       setting enums: {#Current|#Pending}\n\
</pre></div><p>Returns true if the type of command specified by <span class=\'code\'>feature</span> is blocked for the given <span class=\'code\'>setting</span>. The possible values for feature are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#Python</span> - Gets the setting for Python</li>\n\
<li><span class=\'code\'>#DotNet</span> - Gets the setting for dotNet commands</li>\n\
<li><span class=\'code\'>#MAXScriptSystemCommands</span> - Gets the setting for MAXScript commands</li>\n\
</ul>\n\
<p>The possible values for <span class=\'code\'>setting</span> are:</p>\n\
<ul>\n\
<li><span class=\'code\'>#Current</span> - returns the setting for the current running session of 3ds Max.</li>\n\
<li><span class=\'code\'>#Pending</span> - returns the setting for the next running session of 3ds Max. When a user changes the Safe Scene Script Execution settings, the changes do not take effect until the next time 3ds Max starts, so this setting may be different than the current running session setting.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;IsShowSecurityMessagesWindowOnBlockedCommandsEnabled()\n\
</pre></div><p>Returns whether the <strong>Notify me about blocked commands</strong> setting is enabled.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;IsShowScriptEditorOnBlockedCommandsEnabled()\n\
</pre></div><p>Returns whether the <strong>Display script editor on blocked commands</strong> setting is enabled.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;IsProtectedINIFile &lt;filename&gt;filename\n\
</pre></div><p>Returns whether the specified file is considered a write-protected configuration file, meaning that it cannot be modified or created.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;IsProtectedFileBasedOnExtension &lt;filename&gt;filename\n\
</pre></div><p>Returns whether the specified file is write protected based on its extension, meaning that it cannot be modified or created.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";