var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SchematicViews</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SchematicViews</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-schematicviews\"></a></div>\n\
<p>The <strong>SchematicViews Interface</strong> provides access to properties and methods of the new Schematic View system in <strong>3ds Max 6</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>SchematicViews.current : Interface : Read    \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\' title=\'\'>SchematicView MixinInterface</a> which gives access to properties and methods of the current Schematic View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;SchematicViews.getView &lt;value&gt;name_or_index   \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\' title=\'\'>SchematicView MixinInterface</a> to the named or indexed Schematic View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;SchematicViews.numViews() \n\
</pre></div><p>Returns the number of existing Schematic Views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SchematicViews.open &lt;value&gt;name_or_index \n\
</pre></div><p>Opens the named or indexed Schematic View.</p>\n\
<p>If the name does not exist yet, opens a new Schematic View with the given name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SchematicViews.close &lt;value&gt;name_or_index \n\
</pre></div><p>Closes the named or indexed Schematic View.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SchematicViews.delete &lt;value&gt;name_or_index \n\
</pre></div><p>Deletes the named or indexed Schematic View.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SchematicViews.isOpen &lt;value&gt;name_or_index \n\
</pre></div><p>Returns <span class=\'code\'>True</span> if the Schematic View specified by name or index is open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SchematicViews.isCurrent &lt;value&gt;name_or_index \n\
</pre></div><p>Returns <span class=\'code\'>True</span> if the Schematic View specified by name or index is the current one.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SchematicViews.setCurrent &lt;value&gt;name_or_index \n\
</pre></div><p>Makes the Schematic View specified by name or index the current one.</p>\n\
<p>Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SchematicViews.openLastView() \n\
</pre></div><p>Opens the last Schematic View. Returns <span class=\'code\'>True</span> on success.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";