var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SkinUtils</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SkinUtils</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-skinutils\"></a></div>\n\
<p>This Core Interface provides access to some Skin-related methods available in <strong>3ds max 6 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.ExtractSkinData &lt;node&gt;node   \n\
</pre></div><p>Extracts the skin data from the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.ImportSkinData &lt;node&gt;targetNode &lt;node&gt;sourceNode   \n\
</pre></div><p>Transfers the skin data from the specified source node to the specified target node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;skinUtils.GetBoneBindTM &lt;node&gt;skinNode &lt;node&gt;boneNode \n\
</pre></div><p>Transfers the skin data from the specified source node to the specified target node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.SetBoneBindTM &lt;node&gt;skinNode &lt;node&gt;boneNode &lt;matrix3 by value&gt;tm \n\
</pre></div><p>Sets the Bone bind transformation for the specified skin and bone nodes to the supplied matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;skinUtils.GetMeshBindTM &lt;node&gt;skinNode \n\
</pre></div><p>Returns the Mesh bind transformation of the specified skin node as a matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.SetMeshBindTM &lt;node&gt;skinNode &lt;matrix3 by value&gt;tm \n\
</pre></div><p>Sets the Mesh bind transformation for the specified skin node to the supplied matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;skinUtils.GetBoneStretchTM &lt;node&gt;skinNode &lt;node&gt;boneNode \n\
</pre></div><p>Returns the Bone bind transformation of the specified skin and bone nodes as a matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.SetBoneStretchTM &lt;node&gt;skinNode &lt;node&gt;boneNode &lt;matrix3 by value&gt;tm \n\
</pre></div><p>Sets the Bone stretch transformation for the specified skin and bone nodes to the supplied matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.GrowSelection &lt;node&gt;node \n\
</pre></div><p>Grows the existing selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.ShrinkSelection &lt;node&gt;node \n\
</pre></div><p>Shrinks the existing selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.LoopSelection &lt;node&gt;node \n\
</pre></div><p>Selects a loop based on the existing selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.RingSelection &lt;node&gt;node \n\
</pre></div><p>Selects a ring based on the existing selection.</p>\n\
<p>The following macroScripts implement the above functions as ActionItems. You can copy them into a new script, evaluate and customize your QuadMenus to have instant access to Skin Selection Grow, Shrink, Loop and Ring functions:</p>\n\
<blockquote>\n\
<p><strong>SCRIPTS</strong></p>\n\
<p>``` macroScript GrowSkinSel category: &quot;SkinUtils&quot; ( on isVisible return selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin on execute do skinUtils.GrowSelection $ )</p>\n\
<p>```</p>\n\
<p>``` macroScript ShrinkSkinSel category:&quot;SkinUtils&quot; ( on isVisible return selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin on execute do skinUtils.ShrinkSelection $ )</p>\n\
<p>```</p>\n\
<p>``` macroScript LoopSkinSel category:&quot;SkinUtils&quot; ( on isVisible return selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin on execute do skinUtils.LoopSelection $ )</p>\n\
<p>```</p>\n\
<p>``` macroScript RingSkinSel category:&quot;SkinUtils&quot; ( on isVisible return selection.count == 1 and classof (modPanel.getCurrentObject()) == Skin on execute do skinUtils.RingSelection $ )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;skinUtils.ImportSkinDataNoDialog &lt;boolean&gt;matchByName &lt;boolean&gt;removeTargetPrefix &lt;boolean&gt;removeTargetSuffix &lt;boolean&gt;removeSourcePrefix &lt;boolean&gt;removeSourceSuffix &lt;float&gt;threshold &lt;integer&gt;interpolationType \n\
</pre></div><p>Imports Skin data without displaying the dialog. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Just like in the Skin Utilities plugin in the UI, the source and the target objects should be selected.</p>\n\
<p>If the matchByName parameter is set to true, the bones will be matched by name (equivalent to pressing the Match By Name button in the dialog). If false, the bones will be matched by index.</p>\n\
<p>Arguments 2 to 5 correspond to the states of the Remove Prefix and Suffix checkboxes in the dialog.</p>\n\
<p>The threshold argument corresponds to the Threshold value in the dialog. This is the nearest neighbor threshold.</p>\n\
<p>The last argument corresponds to the selection of the Interpolation Type drop down list. Possible values are:</p>\n\
<p>0 - Match By Vertex</p>\n\
<p>1 - Match By Face</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";