var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: StatusPanel</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: StatusPanel</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-statuspanel\"></a></div>\n\
<p>This Interface provides control over the visibility of the Status Panel. The Status Panel is the area at the bottom of the <strong>3ds Max</strong> UI containing the Mini Listener, system prompt, selection lock, X,Y,Z values, time controls, keying and viewport navigation controls will be visible.</p>\n\
<div class=\'section\'><a id=\"interface-statuspanel-1\"></a><h2 id=\"interface-statuspanel-1\">Interface: statusPanel</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>StatusPanel.visible : boolean : Read|Write   \n\
</pre></div><p>Get/Set the visible state of the Status Panel. When set to true, the Status Panel will be visible. When set to false, the panel will be hidden.</p>\n\
<p>Using the <span class=\'code\'>statusPanel</span> interface’s <span class=\'code\'>.visible</span> property together with the trackbar and time slider visibility controls, you can achieve a Super-Expert mode with just the viewports and the main menu displayed:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` macroScript SuperExpertMode category: &quot;MXS Help Examples&quot; ( --get the inverse of the curren visibility state of the time slider: state = not(timeslider.isVisible()) --set the trackbar visiblity to the new value: trackbar.visible = state --set the time slider visiblity to the new value: timeSlider.setVisible state --if true, exit the expert mode, if false, engage it: if state then cui.expertModeOff() else cui.expertModeOn() --finally, set the status panel visibility: statusPanel.visible = state )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";