var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SteeringWheelsOps</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SteeringWheelsOps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-steeringwheelsops\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F179B84B-94F9-48ED-B2B3-EF9A5FA2E3DE-low.gif\' title=\'\'></div>\n\
<p>The <strong>SteeringWheelsOps Interface</strong> exposes the Steering Wheels viewport navigation feature&#39;s settings to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A254DE5E-DE0A-4D0E-86D1-5B6B44E5AB42-low.png\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"display-options\"></a><h2 id=\"display-options\">Display Options</h2></div>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.LargeWheelSize : integer : Read|Write         \n\
</pre></div><p>Get/set the Big Wheels Size value.</p>\n\
<p>Values are in the range from 1 (Small) to 256 (Extra). Normal is 128.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.LargeWheelOpacityFactor : double : Read|Write      \n\
</pre></div><p>Get/set the Big Wheels Opacity value.</p>\n\
<p>Values are in the range from 0.5d (25%) to 3.0d (100%).</p>\n\
<p>1.0d corresponds to 50%.</p>\n\
<p>2.0d corresponds to 75%.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.MiniWheelSize : integer : Read|Write   \n\
</pre></div><p>Get/set the Mini Wheels Size value.</p>\n\
<p>Values are in the range from 1 (Small) to 256 (Extra).</p>\n\
<p>64 corresponds to Normal.</p>\n\
<p>128 corresponds to Large.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.MiniWheelOpacityFactor : double : Read|Write \n\
</pre></div><p>Get/set the Mini Wheels Opacity value.</p>\n\
<p>Values are in the range from 0.5d (25%) to 3.0d (100%).</p>\n\
<p>1.0d corresponds to 50%.</p>\n\
<p>2.0d corresponds to 75%.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.ShowHUDMessages : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Show Tool Messages (Always ON for Basic Wheels)&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.ShowToolTips : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Show Tool Tips&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.AlwaysShowWelcome : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Always Show the Pinned Wheel on Start&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.HaveShownWelcome : boolean : Read|Write \n\
</pre></div><p>Get/set whether the Welcome screen has been shown already.</p>\n\
<div class=\'section\'><a id=\"look-tool\"></a><h2 id=\"look-tool\">Look Tool</h2></div>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.InvertVerticalAxis : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Invert Vertical Axis&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"walk-tool\"></a><h2 id=\"walk-tool\">Walk Tool</h2></div>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.ConstrainWalk : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Constrain Walk Movement Angle to Ground Plane&quot;</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.SpeedFactor : double : Read|Write \n\
</pre></div><p>Get/set the Walk Tool&#39;s &quot;Speed Factor&quot; value.</p>\n\
<div class=\'section\'><a id=\"zoom-tool\"></a><h2 id=\"zoom-tool\">Zoom Tool</h2></div>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.IncrementalZoom : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Incremental Zoom-in&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"orbit-tool\"></a><h2 id=\"orbit-tool\">Orbit Tool</h2></div>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.PreserveSceneUp : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Keep Scene Upright&quot; checkbox. It controls whether to use the world Z axis as an up vector when orbiting using the Steering Wheel controls.</p>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.SelectionSensitivity : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Selection Sensitivity&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"active\"></a><h2 id=\"active\">Active</h2></div>\n\
<div class=\'codeBlock\'><pre>SteeringWheelsOps.IsActive : boolean : Read|Write \n\
</pre></div><p>Get/set the Steering Wheel active state. When set to true, the Steering Wheel will be displayed in the viewports. When set to false, the Steering Wheel will be disabled.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.StartSteeringWheelMode() \n\
</pre></div><p>Calling this method enables the Steering Wheel mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.StopSteeringWheelMode() \n\
</pre></div><p>Calling this method disables the Steering Wheel mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.MiniViewObjectWheel() \n\
</pre></div><p>Calling this method switches the Mini Wheel to View Object mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.MiniTourBuildingWheel() \n\
</pre></div><p>Calling this method switches the Mini Wheel to Tour Building mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.MiniFullNavWheel() \n\
</pre></div><p>Calling this method switches the Mini Wheel to Full Navigation mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.FullNavWheel() \n\
</pre></div><p>Calling this method switches the Large Wheel to Full Navigation mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.ViewObjectWheel() \n\
</pre></div><p>Calling this method switches the Large Wheel to View Object mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.TourBuildingWheel() \n\
</pre></div><p>Calling this method switches the Large Wheel to Tour Building mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.IncreaseWalkSpeed() \n\
</pre></div><p>Calling this method increases the walk speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.DecreaseWalkSpeed() \n\
</pre></div><p>Calling this method decreases the walk speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.RestoreCenter() \n\
</pre></div><p>Calling this method restores the location of the Center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.SaveOptions() \n\
</pre></div><p>Calling this method saves the Steering Wheels options.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.LoadOptions()\n\
</pre></div><p>Loads the Steering Wheel options.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SteeringWheelsOps.ClearRewindHistory() \n\
</pre></div><p>Calling this method clears the Rewind History.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";