var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: simpleFaceManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: simpleFaceManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-simplefacemanager\"></a></div>\n\
<p>This Core Interface provides basic Per-Face data storage abilities. Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Methods</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;simpleFaceManager.addChannel &lt;object&gt;object type:&lt;enum&gt; id:&lt;DWORD array&gt; name:&lt;string&gt;    \n\
\n\
object Validated by Validator function   \n\
type enums: {#integer | #index | #float | #boolean | #point2 | #point3}      \n\
type default value:  #integer    \n\
id default value: #()    \n\
id Validated by Validator function   \n\
name default value: undefined   \n\
</pre></div><p>Adds a new per-face data channel to the specified object of the given type using a user-defined ID and name.</p>\n\
<p>The ID can be generated using the genClassID() method and has the same form as the class IDs of scripted plug-ins.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` obj = Plane length:60.0 width:60.0 widthsegs: 1 lengthsegs: 2 convertto obj Editable_Poly idA = genClassID returnValue:true channelA = simpleFaceManager.AddChannel obj type: #integer id:idA channelA.name = &quot;The Integer Channel&quot; channelA.SetValues #(5,2) idB = genClassID returnValue:true channelB = simpleFaceManager.AddChannel obj type: #float id:idB channelB.name = &quot;The Float Channel&quot; channelB.SetValues #(3.1459,7.236)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;simpleFaceManager.removeChannel &lt;object&gt;object &lt;DWORD array&gt;id \n\
\n\
id Validated by Validator function\n\
</pre></div><p>Removes the channel with the specified ID from the given object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;simpleFaceManager.getChannel &lt;object&gt;object &lt;DWORD array&gt;id \n\
\n\
object Validated by Validator function\n\
id Validated by Validator function\n\
</pre></div><p>Returns the <strong>simpleFaceChannel MixinInterface</strong> of the channel with the specified ID from the given object.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example on this page: theInt = simpleFaceManager.getChannel obj idA</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Interface by value array&gt;simpleFaceManager.getChannels &lt;object&gt;object \n\
\n\
object Validated by Validator function\n\
</pre></div><p>Returns an array of <strong>simpleFaceChannel MixinInterface</strong> of all channels in the given object.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example on this page: SimpleFaceManager.getChannels obj --&gt; #(<mixininterface:simplefacechannel>, <mixininterface:simplefacechannel>)<p>\n\
<p>```</p>\n\
</mixininterface:simplefacechannel></mixininterface:simplefacechannel></blockquote>\n\
<p><strong>Interface: simpleFaceChannel</strong></p>\n\
<p>This MixinInterface is exposed by the SimpleFaceData class and provides access to the Per-Face data in a specific channel.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.name : string : Read|Write \n\
</pre></div><p>Get/set the name of the data channel.</p>\n\
<div class=\'codeBlock\'><pre>.id : integer array : Read \n\
</pre></div><p>Get the unique ID of the channel.</p>\n\
<div class=\'codeBlock\'><pre>.type : enum : Read \n\
\n\
type enums: {#integer|#index|#float|#boolean|#point2|#point3} \n\
</pre></div><p>Get the type of the data stored in the channel.</p>\n\
<div class=\'codeBlock\'><pre>.numFaces : integer : Read \n\
</pre></div><p>Get the number of faces or polygons in the channel.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example on this page: theInt = simpleFaceManager.getChannel obj idA --&gt; <mixininterface:simplefacechannel> theInt.name --&gt; &quot;The Integer Channel&quot; theInt.type --&gt; #integer theInt.numfaces --&gt; 2<p>\n\
<p>```</p>\n\
</mixininterface:simplefacechannel></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getValue &lt;index&gt;face \n\
\n\
face Validated by Validator function \n\
</pre></div><p>Get the value of the indexed face.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example: theInt.getValue 1 --&gt; 5 theInt.getValue 2 --&gt; 2 theInt.getValue 3 -- Runtime error: Invalid face index.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValue &lt;index&gt;face &lt;value&gt;value \n\
\n\
face Validated by Validator function \n\
value Validated by Validator function \n\
</pre></div><p>Set the value of the indexed face.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example: theInt.setValue 1 6 --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getValues() \n\
</pre></div><p>Get all the values of the channel.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example: theInt.getValues() --&gt; #(6, 2)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValues &lt;value&gt;values \n\
\n\
values Validated by Validator function \n\
</pre></div><p>Set all the values of the channel to the values in the specified array.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example: theInt.setValues #(10,12) --&gt; true theInt.getValues() --&gt; #(10, 12)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getValueBySelection &lt;bitArray&gt;faces \n\
\n\
faces Validated by Validator function \n\
</pre></div><p>Get the values of the faces specified by the set bits of the bitArray argument. If all specified faces contain the same value, that value will be returned. If the specified faces contain different values, the return value will be undefined.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example: theInt.getValueBySelection #{1} --&gt; 10 theInt.getValueBySelection #{1..2} --&gt; undefined</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setValueBySelection &lt;bitArray&gt;faces &lt;value&gt;value \n\
\n\
faces Validated by Validator function \n\
value Validated by Validator function \n\
</pre></div><p>Set the value of all faces specified by the set bits of the bitArray argument to the same value specified in the second argument.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --continuing from the previous example: theInt.setValueBySelection #{1..2} 42 --&gt; true theInt.getValues() --&gt; #(42, 42) theInt.getValueBySelection #{1..2} --now we can the value of both faces! --&gt; 42</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The Per-Face data will survive topology changes and class conversions. For example, if you convert the plane from the above example to Editable Mesh, the channels will be preserved and each of the four faces in the new mesh will inherit the data from the respective polygons in the Editable Poly:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` convertToMesh obj --&gt; $Editable_Mesh:Plane01 @ [0.000000,0.000000,0.000000] SimpleFaceManager.getChannels obj --check that all channels are still there --&gt; #(<mixininterface:simplefacechannel>, <mixininterface:simplefacechannel>) theInt=(SimpleFaceManager.getChannels obj)[1] --get the first one --&gt; <mixininterface:simplefacechannel> theInt.numfaces --check the number of faces - now we have 4triangles --&gt; 4 theInt.getValues() --see that the original values were propagated --&gt; #(42, 42, 42, 42) convertTo obj Editable_Poly --convert back to Editable Poly --&gt; $Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000] theInt.numfaces --the data has been consolidated --&gt; 2<p>\n\
<p>```</p>\n\
</mixininterface:simplefacechannel></mixininterface:simplefacechannel></mixininterface:simplefacechannel></blockquote>\n\
<p>When converting from Editable Mesh to Editable Poly, multiple triangles with different per-face data can be consolidated into a single polygonal face. In this case, the last value of a face added to the polygon will be used.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` convertToMesh obj --&gt; $Editable_Mesh:Plane01 @ [0.000000,0.000000,0.000000] theInt.numfaces --check the number of faces - now we have 4 triangles --&gt; 4 theInt.setValues #(1,2,3,4) --set different values for the 4 triangles --&gt; true convertTo obj Editable_Poly --convert to Editable Poly --&gt; $Editable_Poly:Plane01 @ [0.000000,0.000000,0.000000] theInt.getValues() --get the consolidated data - it is #(2,4) and not #(1,3) --&gt; #(2,4)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>When changing topology by tessellating existing faces, the new faces will inherit the values of the original face.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` polyop.tessellateByFace obj 1 --tessellate the first face into 4 new faces --&gt; OK theInt.numfaces --check the total number of faces in the data channel --&gt; 5 --note that because of the way Editable Poly updates polygon lists when --changing topology, the previous face 2 becomes face 1, --while the new 4 polygons from the tessellation have been given --indices 2,3,4 and 5. theInt.getValues() --get the new data: --&gt; #(4, 2, 2, 2, 2)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";