var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: TVerts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: TVerts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-tverts\"></a></div>\n\
<p>The <strong>TVerts Core Interface</strong> exposes methods for controlling the T-Vertices xViewChecker which visualizes vertices at T-shaped edgesin Poly objects.</p>\n\
<p>Any vertex with three outgoing edges is considered a T-Vertex regardless of the angle between the edges. T-Vertices are typically found where the flow of an edge loop is interrupted by a full polygon.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Properties:</strong></p>\n\
<p>Does not expose any properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;TVerts.Check &lt;time&gt;time &lt;node&gt;nodeToCheck &lt;&amp;index array&gt;results    \n\
\n\
Check enums: { #Failed|#Vertices|#Edges|#Faces}      \n\
results is In and Out parameter   \n\
</pre></div><p>Performs a T-Vertices geometry check at the given time on the specified node and returns its results in the array passed by-reference as third argument.</p>\n\
<p>The method itself <strong>always</strong> returns the <span class=\'code\'>#vertices</span> enum because the values written to the results array always represent the indices of vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;TVerts.hasPropertyDlg() \n\
</pre></div><p>Returns true if the xView checker implements a property dialog, false if it does not.</p>\n\
<p>In the particular case of the T-Vertices checker, it <strong>always returns false</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;TVerts.showPropertyDlg() \n\
</pre></div><p>Shows the property dialog</p>\n\
<p>In the particular case of the T-Vertices checker this method <strong>does nothing</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D39DB3C5-F97C-4DDC-9F9F-C34EE7E50653-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";