var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: TrackSelectionSets</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: TrackSelectionSets</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-trackselectionsets\"></a></div>\n\
<p>The TrackSelectionSets Core Interface provides MAXScript access to the Track Selection Sets functionality.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>TrackSelectionSets.count : integer : Read    \n\
</pre></div><p>Gets the number of track selection sets.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;TrackSelectionSets.create &lt;string&gt;name &lt;maxObject by value array&gt;tracks     trackNames:&lt;string array&gt;   \n\
\n\
trackNames default value: #() \n\
</pre></div><p>Creates a new track selection set with the given name out of the supplied tracks. Returns <span class=\'code\'>true</span> on success.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` t=teapot() trackSelectionSets.create &quot;My Objects&quot; #($Teapot001[4]) trackNames:#(&quot;My Teapot&quot;) --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;TrackSelectionSets.delete &lt;string&gt;name \n\
</pre></div><p>Deletes the named track selection set. Returns <span class=\'code\'>true</span> on success.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` trackSelectionSets.count --&gt; 1 trackSelectionSets.delete &quot;My Objects&quot; --&gt; true trackSelectionSets.count --&gt; 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;TrackSelectionSets.getName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the indexed track selection set.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` trackSelectionSets.create &quot;My Objects&quot; #($Teapot001[4]) trackNames:#(&quot;My Teapot&quot;) --&gt; true trackSelectionSets.count --&gt; 1 trackSelectionSets.getName 1 --&gt; &quot;My Objects&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;TrackSelectionSets.setName &lt;index&gt;index &lt;string&gt;name \n\
</pre></div><p>Sets a new name in the named track selection set.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` trackSelectionSets.getName 1 --&gt; &quot;My Objects&quot; trackSelectionSets.setName 1 &quot;Some New Name&quot; --&gt; OK trackSelectionSets.getName 1 --&gt; &quot;Some New Name&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;TrackSelectionSets.getCurrent &lt;Interface&gt;trackview \n\
</pre></div><p>Returns the current track selection set in the supplied trackview.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject by value array&gt;TrackSelectionSets.getTracks &lt;string&gt;name &lt;&amp;maxObject array&gt;tracks trackNames:&lt;&amp;string array&gt; \n\
\n\
tracks is Out parameter \n\
trackNames default value: #() \n\
trackNames is Out parameter \n\
</pre></div><p>Returns the tracks in the named track selection set.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --call the method to get the tracks passing variable names by reference trackSelectionSets.getTracks &quot;My Objects&quot; &amp;my_tracks trackNames:&amp;my_names --&gt; OK --check the by-reference variables for the return array values my_tracks --&gt; #(Teapot) my_names --&gt; #(&quot;My Teapot&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;TrackSelectionSets.add &lt;string&gt;name &lt;maxObject by value array&gt;tracks trackNames:&lt;string array&gt; \n\
\n\
trackNames default value: #() \n\
</pre></div><p>Adds the specified objects to the named track selection set. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;TrackSelectionSets.remove &lt;string&gt;name &lt;maxObject by value array&gt;tracks \n\
</pre></div><p>Removes the specified objects from the named track selection set. Returns <span class=\'code\'>true</span> on success.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";