var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: tmGizmos</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: tmGizmos</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-tmgizmos\"></a></div>\n\
<p>The tmGizmos Core Interface provides access to the properties of the Transform Gizmo introduced in <strong>3ds Max 5</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-tmgizmos-1\"></a><h2 id=\"interface-tmgizmos-1\">Interface: tmGizmos</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.useGizmo : boolean : Read|Write     \n\
</pre></div><p>Check whether the gizmo is enabled / Enable the gizmo.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.size : integer : Read|Write   \n\
</pre></div><p>Get/Set the size of the gizmo</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.useLabels : boolean : Read|Write \n\
</pre></div><p>Get/Set the labels visibility.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.planeOpacity : float : Read|Write \n\
</pre></div><p>Get/set the opacity value of the gizmo plane.</p>\n\
<p>Note:</p>\n\
<p>This is an advanced property accessible only though MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.useCenterBox : boolean : Read|Write \n\
</pre></div><p>Check whether the center box is enabled / Enable the center box.</p>\n\
<p>Note:</p>\n\
<p>This is an advanced property accessible only though MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.usePlanes : boolean : Read|Write \n\
</pre></div><p>Check whether planes are enabled / Enable the planes.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.movePlaneHandleSize : float : Read|Write \n\
</pre></div><p>Get/set the plane handles’ size</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.movePlaneHandleOffset : float : Read|Write \n\
</pre></div><p>Get/set the plane handles’ offset</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.centerBoxType : enum : Read|Write \n\
\n\
centerBoxType enums: {#screen|#activeGrid} \n\
</pre></div><p>Get/Set the type of the center box.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.freeRotate : boolean : Read|Write \n\
</pre></div><p>Check whether free rotation mode is enabled / Enable free rotation mode.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.screenHandle : boolean : Read|Write \n\
</pre></div><p>Check whether the screen handle is enabled / Enable the screen handle.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.uniformPlaneScaling : boolean : Read|Write \n\
</pre></div><p>Check whether the uniform plane scaling mode is enabled / Enable the uniform plane scaling mode.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.uniformScaleHandleSize : float : Read|Write \n\
</pre></div><p>Get/Set the size of the uniform scale handle</p>\n\
<div class=\'codeBlock\'><pre>mGizmos.scalePlaneHandleSize : float : Read|Write \n\
</pre></div><p>Get/Set the size of the scale plane handle</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.rotationMode : integer : Read|Write \n\
</pre></div><p>Get/Set the rotation gizmo’s mode.</p>\n\
<p>0 - &quot;Linear Roll&quot; mode - move the mouse along the tangents</p>\n\
<p>1 - &quot;Circular crank&quot; mode - move the mouse around the center of the gizmo</p>\n\
<p>2 - &quot;Legacy R4&quot; mode - old-style rotation</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.showMiniTripod : boolean : Read|Write \n\
</pre></div><p>Get/Set the visibility of the rotations gizmo’s mini-tripod. When set to true, a tripod will be displayed as axis reference.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.showPieSlice : boolean : Read|Write \n\
</pre></div><p>Get/Set the visibility of the rotations gizmo’s pie-slice. When set to true, a pie-slice will be displayed as angle reference.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.showAngleData : boolean : Read|Write \n\
</pre></div><p>Get/Set the visibility of the rotations gizmo’s angle value display. When set to true, a Point3 value will be displayed as angle reference above the gizmo.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.rotationPlanarThreshold : float : Read|Write \n\
</pre></div><p>Get/Set the rotation planar threshold value.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.dragX : float : Read|Write \n\
</pre></div><p>Get/Set the screen X coordinate of the rotation gizmo’s mouse click&amp;drag position.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.dragY : float : Read|Write \n\
</pre></div><p>Get/Set the screen Y coordinate of the rotation gizmo’s mouse click&amp;drag position.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.vecX : float : Read|Write \n\
</pre></div><p>Get/Set the X component of the rotation gizmo’s drag vector.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.vecY : float : Read|Write \n\
</pre></div><p>Get/Set the Y component of the rotation gizmo’s drag vector.</p>\n\
<p>Note:</p>\n\
<p>This property has been exposed for internal use only.</p>\n\
<p><strong>The following properties have been exposed to MAXScript in 3ds Max 5.1:</strong></p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.ShowMultipleTransformGizmos : boolean : Read|Write \n\
</pre></div><p>Toggle Multiple Transform Gizmos display on/off. When set to true and in Use Pivot Point Center mode, multiple gizmos, one per object, will be displayed. When set to false, only one gizmo for all objects will be displayed. Corresponds to the Allow multiple gizmos checkbox under Customize&gt;Preferences&gt;Gizmos&gt;Transform Gizmos.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.moveGizmoRelativeSize : float : Read|Write \n\
</pre></div><p>Get/Set the Move gizmo’s relative size</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.rotateGizmoRelativeSize : float : Read|Write \n\
</pre></div><p>Get/Set the Rotate gizmo’s relative size</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.scaleGizmoRelativeSize : float : Read|Write \n\
</pre></div><p>Get/Set the Scale gizmo’s relative size</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.intersectMode : boolean : Read|Write \n\
</pre></div><p>Toggle Intersect Mode on/off. When set to <span class=\'code\'>true</span> , Move and Rotate transformations will use Intersection mode. When set to <span class=\'code\'>false</span> , Projection mode will be used. Corresponds to the radio buttons under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms.</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.perpsectiveSensitivity : float : Read|Write \n\
</pre></div><p>Get/Set the Perspective Sensitivity value. Corresponds to the Pers.Sens. value under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.rotationIncrement : float : Read|Write \n\
</pre></div><p>Get/Set the Rotation Increment value. Corresponds to the Rotation Increment value under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms</p>\n\
<div class=\'codeBlock\'><pre>tmGizmos.arcRotateSnapAngle : float : Read|Write \n\
</pre></div><p>Get/Set the Arc Rotate Snap Angle value. Corresponds to the Viewport Arc Rotate Snap Angle value under Customize&gt;Preferences&gt;Gizmos&gt;Move/Rotate Transforms</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";