var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: trackviews</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: trackviews</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-trackviews\"></a></div>\n\
<p>The <strong>trackviews Core Interface</strong> gives access to the Trackview.</p>\n\
<p>It also provides control over the enhanced features of the new Function Curve/Dope Sheet editors introduced in <strong>3ds Max 5</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>trackviews.currentTrackView : Interface : Read   \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/GUID-1374EDCA-CC8B-4B43-81A5-6ED98DBE01D3.html#mixin-interface--menuman-getmenu-----\' title=\'\'>TrackView</a> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] to the current track view, or undefined when no current track view exists.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.current: Interface : Read   \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/GUID-1374EDCA-CC8B-4B43-81A5-6ED98DBE01D3.html#mixin-interface--menuman-getmenu-----\' title=\'\'>TrackView</a> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] to the current track view, or undefined when no current track view exists. Alias for <span class=\'code\'>.currentTrackView</span>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/GUID-1374EDCA-CC8B-4B43-81A5-6ED98DBE01D3.html#mixin-interface--menuman-getmenu-----\' title=\'\'>See separate description of the TrackView interface later on this page</a></p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` trackviews.currentTrackView --&gt; <mixininterface:trackview><p>\n\
<p>```</p>\n\
</mixininterface:trackview></blockquote>\n\
<div class=\'codeBlock\'><pre>trackviews.lastUsedTrackViewName : string : Read \n\
</pre></div><p>Returns the name of the last used track view as string.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.defaultCurveEditorLayout : string : Read|Write \n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: Gets/sets the name of the default Curve Editor Layout. The default is &quot;Function Curve Layout&quot;.</p>\n\
<p>The value is stored in the trackviews.ini file and will persist between sessions.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;trackviews.getTrackView &lt;value&gt;name or index \n\
</pre></div><p>This method will get a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/GUID-1374EDCA-CC8B-4B43-81A5-6ED98DBE01D3.html#mixin-interface--menuman-getmenu-----\' title=\'\'>TrackView</a> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] based on the trackview&#39;s index or name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface by value array&gt;trackviews.getAllOpenTrackViews() \n\
</pre></div><p>Returns an array of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/GUID-1374EDCA-CC8B-4B43-81A5-6ED98DBE01D3.html#mixin-interface--menuman-getmenu-----\' title=\'\'>TrackView</a> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interfaces</a>] of all open trackviews.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;trackviews.numTrackViews() \n\
</pre></div><p>Returns the number of trackviews.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.open &lt;value&gt;name or index [layoutName:&lt;string&gt;] [pos:&lt;point2&gt;] [width:&lt;integer&gt;] [height:&lt;integer&gt;] [dock:&lt;enum&gt;] \n\
\n\
layoutName default value: &quot;&quot; \n\
pos default value: [-1,-1] \n\
width default value: -1 \n\
height default value: -1 \n\
dock enums: {#float|#top|#bottom|#canDockOnTop} \n\
dock default value: #float \n\
</pre></div><p>Open a trackview based on it&#39;s index or name.</p>\n\
<p>If you supply a height and width argument, it only has an effect when the track view is opened for the first time. After that the user defined size takes effect.</p>\n\
<p>This makes it possible to specify a size when scripting the opening of track view, but still allows users to change the size and have the new size remembered.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` trackviews.open &quot;name&quot; layoutName:&quot; layout name&quot; pos:[6,100] width:800 height:400</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.close &lt;value&gt;name or index \n\
</pre></div><p>Closes a trackview based on its index or name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;trackviews.delete &lt;value&gt;name or index \n\
</pre></div><p>Deletes a trackview based on its index or name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;trackviews.getTrackViewName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the trackview window based on the index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.zoomSelected &lt;string&gt;name \n\
</pre></div><p>Zooms to the selected object&#39;s track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.zoomOn &lt;string&gt;name &lt;maxObject&gt;object &lt;index&gt;subNum \n\
</pre></div><p>Returns True if successful and False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.setFilter &lt;string&gt;TrackviewName &lt;name&gt;filterName \n\
</pre></div><p>Sets the specified filter for the specified Trackview by name. Returns True if successful and False otherwise.</p>\n\
<p>Possible filter names are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Filter Name</th>\n\
<th align=\"left\">Note</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#all</strong></td>\n\
<td align=\"left\">Set or clear all flags</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#default</strong></td>\n\
<td align=\"left\">Set default view flags</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#selectedObjects</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#selectedTracks</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#animatedTracks</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#spacewarpBindings</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#modifiedObjects</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#transforms</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#baseObjects</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#positionX</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#positionY</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#positionZ</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#positionW</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#rotationX</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#rotationY</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#rotationZ</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#scaleX</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#scaleY</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#scaleZ</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#red</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#green</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#blue</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#alpha</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#controllerTypes</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#noteTracks</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#sound</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#materialsMaps</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#materialParameters</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#visibilityTracks</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#hideGeometry</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#hideShapes</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#hideLights</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#hideCameras</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#hideHelpers</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#hideSpacewarps</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#visibleObjects</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#position</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#rotation</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#scale</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#curveX</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#curveY</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#curveZ</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#curveW</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#staticValues</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#hierarchy</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#objects</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#boneobjects</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#keyableTracks</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.setFilter #keyableTracks</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>When the <span class=\'code\'>#keyableTracks</span> filter is turned on, only keyframe controllers will be displayed in track view.</p>\n\
<p>All other controllers will be skipped and not displayed.</p>\n\
<p>This filter is off by default.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.testFilter &lt;string&gt;TrackviewName &lt;name&gt;filterName \n\
</pre></div><p>Returns True if the specified filterName is enabled. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<p>filterName can be the one of the names listed above as possible arguments of <span class=\'code\'>setFilter</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.clearFilter &lt;string&gt;TrackviewName &lt;name&gt;filterName \n\
</pre></div><p>Clears the specified filter from the named Trackview.</p>\n\
<p>Returns True if successful and False otherwise.</p>\n\
<p>filterName can be the one of the names listed above as possible arguments of <span class=\'code\'>setFilter</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;trackviews.pickTrackDlg() \n\
</pre></div><p><span class=\'code\'>pickTrackDlg</span> has variable number of arguments.</p>\n\
<p>This method brings up the Track View Pick dialog and returns a TrackViewPick value when the user selects a track and clicks &quot;Ok&quot;, or undefined if the user clicks &quot;Cancel&quot;.</p>\n\
<p>If the optional argument #multiple is passed, multiple tracks can be picked in the dialog and an array of TrackViewPick values is returned instead of a single value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.exists &lt;value&gt;name or index \n\
</pre></div><p>Returns a boolean value indicating if the specified trackview exists or not.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.isOpen &lt;value&gt;nameorindex \n\
</pre></div><p>Returns a boolean value indicating if the specified trackview is open.</p>\n\
<p>If the argument does not point at a valid trackview, a Runtime error will be thrown. To avoid this, you must first use <span class=\'code\'>trackviews.exists()</span> to make sure that the requested TrackView is valid.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` trackviews.isopen &quot;something&quot; -- Runtime error: No trackview was found with by that name trackviews.isopen 99999 -- Runtime error: No trackview was found with that index trackviews.iscurrent 99999 -- Runtime error: No trackview was found with that index</p>\n\
<p>trackviews.exists &quot;something&quot; --&gt; false trackviews.exists 1 --&gt; false trackviews.exists 0 --&gt; false</p>\n\
<p>trackviews.open &quot;something&quot; -- create aTrack View --&gt; true trackviews.exists &quot;something&quot; --&gt; true trackviews.exists 1 --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.openLastUsedTrackView() \n\
</pre></div><p>Opens the current trackview if it has been closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.isCurrent &lt;value&gt;name or index \n\
</pre></div><p>Returns a boolean value indicating if the trackview is the last one used or not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;trackviews.setCurrent &lt;value&gt;name or index \n\
</pre></div><p>Sets the specified trackview to be the current one. Returns true if successful.</p>\n\
<p><strong>Mixin Interface: (trackviews.current)</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:TrackView \n\
</pre></div><p>The <span class=\'code\'>TrackView</span> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] provides access to the features of the TrackView dialog. It is returned by the <span class=\'code\'>.current</span> property of the <span class=\'code\'>trackviews</span> Core Interface as well as by several methods described earlier in this page.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ui : Interface : Read \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\' title=\'\'>ui</a> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] exposing features of the User Interface of the specified TrackView.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.currentTrackView.ui --&gt; <mixininterface:ui><p>\n\
<p>```</p>\n\
</mixininterface:ui></blockquote>\n\
<div class=\'codeBlock\'><pre>.modifySubTree : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the Modify SubTree state.</p>\n\
<p>When True, changes affect the children.</p>\n\
<div class=\'codeBlock\'><pre>.modifyChildren : boolean : Read|Write \n\
</pre></div><p>Alias for <span class=\'code\'>.modifySubTree</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.modifyChildren = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.interactiveUpdate : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the Interactive Update state.</p>\n\
<p>When set to True, the viewports redraw interactively while keys are moved in the TrackView.</p>\n\
<p>If set to False, updates are suspended until mouse up.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.interactiveUpdate = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.syncTime: boolean : Read|Write \n\
</pre></div><p>Gets/Sets the Synchronize Time mode. When set to <span class=\'code\'>true</span> , the current frame is synchronized to the value at the mouse location during click and drag for most types of mouse operations such as, moving keys, adding keys, selecting time, scaling time, scaling keys, inserting time, and drawing curves. Adjusting tangent handles does not sync to the frame of the handle. This mode also helps in drawing curves by giving visual feedback of what is being drawn.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.syncTime = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.freezeSelKeys : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the freezing of selected keys.</p>\n\
<div class=\'codeBlock\'><pre>.freezeNonSelCurves : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the freezing of non-selected curves.</p>\n\
<div class=\'codeBlock\'><pre>.showNonSelCurves : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the visibility of non-selected curves.</p>\n\
<div class=\'codeBlock\'><pre>.showTangents : enum : Read|Write showTangents enums: { #none | #selected | #all } \n\
</pre></div><p>Gets/Sets the visibility of the specified tangent types.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.showTangents = #none --hide all trackviews.current.showTangents = #selected --show selected only trackviews.current.showTangents = #all --show all</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.showFrozenKeys : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the visibility of frozen keys.</p>\n\
<div class=\'codeBlock\'><pre>.useSoftSelect : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the keys soft selection usage.</p>\n\
<div class=\'codeBlock\'><pre>.softSelectRange : time : Read|Write \n\
</pre></div><p>Gets/Sets the keys soft selection range.</p>\n\
<div class=\'codeBlock\'><pre>.softSelectFalloff : float : Read|Write \n\
</pre></div><p>Gets/Sets the keys soft selection falloff.</p>\n\
<div class=\'codeBlock\'><pre>.autoExpandSelectedOnly : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-expand tracks of the selected objects mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoExpandChildren : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-expand children mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoExpandTransforms : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-expand transformation tracks mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoExpandObjects : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-expand objects mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoExpandModifiers : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-expand modifiers mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoExpandMaterials : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-expand materials mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoExpandXYZ : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-expand X,Y,Z sub-tracks mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoSelectAnimated : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-select animated tracks mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoSelectPosition : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-select position tracks mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoSelectRotation : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-select rotation tracks mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoSelectScale : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-select scale tracks mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoSelectXYZ : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-select X,Y,T sub-tracks mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoScrollToRoot : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-scroll to root mode.</p>\n\
<div class=\'codeBlock\'><pre>.autoScrollToSelected : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the auto-scroll to selected mode.</p>\n\
<div class=\'codeBlock\'><pre>.manualNavigation : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the manual navigation mode.</p>\n\
<div class=\'codeBlock\'><pre>.rootTrack: maxObject : Read|Write \n\
</pre></div><p>Gets/Sets the root track.</p>\n\
<p>Setting this property to a maxObject value will make the specified object the Root (World) node of the TrackView and this limits the display to tracks belonging to the new Root and its children.</p>\n\
<div class=\'codeBlock\'><pre>.scaleValuesOrigin : float : Read|Write \n\
</pre></div><p>Gets/Sets the value scaling origin. It is represented by a horizontal brown line when in the Scale Values mode.</p>\n\
<div class=\'codeBlock\'><pre>.editMode : enum : Read|Write \n\
\n\
editMode enums : {#editKeys|#editTime|#editRanges|#positionRanges|#editFCurves} \n\
</pre></div><p>Gets/Sets the Trackview edit mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getName() \n\
</pre></div><p>Returns the name of the TrackView as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setName &lt;string&gt;name \n\
</pre></div><p>Sets the name of the TrackView to the specified string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumTracks() \n\
</pre></div><p>Returns the number of tracks in the TrackView.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numSelTracks() \n\
</pre></div><p>Returns the number of selected tracks in the TrackView.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;canAssignController() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if a controller can be assigned to the current selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;assignControllerDialog() \n\
</pre></div><p>Opens the Assign Controller dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;assignController &lt;maxObject&gt;controller \n\
</pre></div><p>Assigns the specified controller to the currently selected tracks. Returns True on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;showControllerTypes &lt;boolean&gt;state \n\
</pre></div><p>Enables/Disables the Controller Type display.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;expandTracks() \n\
</pre></div><p>Expands the tracks of the Trackview.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;zoomSelected() \n\
</pre></div><p>Zooms at the selected tracks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;zoomOnTrack &lt;maxObject&gt;parent &lt;index&gt;subNum \n\
</pre></div><p>Zooms at the indexed subAnim track of the specified object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getTrack &lt;index&gt;index \n\
</pre></div><p>Returns the indexed track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getParent &lt;index&gt;index \n\
</pre></div><p>Returns the parent of the indexed track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getSelected &lt;index&gt;index \n\
</pre></div><p>Returns the selected track of the indexed track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getParentOfSelected &lt;index&gt;index \n\
</pre></div><p>Returns the parent of the selected track of the indexed track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getSelectedSubNum &lt;index&gt;index \n\
</pre></div><p>Returns the number of children of the selected track of the indexed track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getIndex &lt;maxObject&gt;object \n\
</pre></div><p>Returns the index of the specified object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;selectTrackByIndex &lt;index&gt;index &lt;boolean&gt;clearSelection \n\
</pre></div><p>Selects the specified indexed track. If clearSelection is supplied as true, clears any previous selection. Returns True on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;selectTrack &lt;maxObject&gt;object &lt;boolean&gt;clearSelection \n\
</pre></div><p>Selects the specified object. If clearSelection is supplied as true, clears any previous selection. Returns True on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setFilter &lt;name&gt;FilterName \n\
</pre></div><p>Sets the specified filter. Possible filter names are the same as those set for setFilter in the <a href=\'Interface-trackviews.html#interface--trackviews\' title=\'\'>trackviews</a> table.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;clearFilter() \n\
</pre></div><p>Clears the specified filter. Possible filter names are the same as those set for setFilter in the <a href=\'Interface-trackviews.html#interface--trackviews\' title=\'\'>trackviews</a> table.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setEditMode &lt;enum&gt;mode \n\
\n\
mode enums: {#editKeys|#editTime|#editRanges|#positionRanges|#editFCurves} \n\
</pre></div><p>Sets the Trackview edit mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;getEditMode() \n\
\n\
getEditMode enums: {#editKeys|#editTime|#editRanges|#positionRanges|#editFCurves} \n\
</pre></div><p>Returns the Trackview edit mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isCurrent() \n\
</pre></div><p>Returns true if the Trackview is the current trackview.</p>\n\
<p>Makes the Trackview current.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;openUtilityDialog() \n\
</pre></div><p>Opens the Trackview Utility dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;launchUtility &lt;string&gt;name \n\
</pre></div><p>Launches the specified Utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;closeUtility &lt;string&gt;name \n\
</pre></div><p>Closes the specified Utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;utilityCount() \n\
</pre></div><p>Returns the number of available Utilities.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;utilityName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the indexed Utility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTangentType &lt;enum&gt;type [effect:&lt;enum&gt;] \n\
\n\
type enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
effect enums: {#allSelKeys|#allKeys|#allKeysInSelTracks|#selKeysInSelTracks} \n\
effect default value: #allSelKeys \n\
</pre></div><p>Sets the Tangent type of the specified keys to the specified type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setInTangentType &lt;enum&gt;type [effect:&lt;enum&gt;] \n\
\n\
type enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
effect enums: {#allSelKeys|#allKeys|#allKeysInSelTracks|#selKeysInSelTracks} \n\
effect default value: #allSelKeys \n\
</pre></div><p>Sets the InTangent type of the specified keys to the specified type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setOutTangentType &lt;enum&gt;type [effect:&lt;enum&gt;] \n\
\n\
type enums: {#smooth|#linear|#step|#fast|#slow|#custom|#flat} \n\
effect enums: {#allSelKeys|#allKeys|#allKeysInSelTracks|#selKeysInSelTracks} \n\
effect default value: #allSelKeys \n\
</pre></div><p>Sets the OutTangent type of the specified keys to the specified type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;restoreRootTrack() \n\
</pre></div><p>Restores the root track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;updateList() \n\
</pre></div><p>Updates the list.</p>\n\
<p><strong>Mixin Interface: (trackviews.current.ui)</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: ui \n\
</pre></div><p>The <span class=\'code\'>ui</span> [<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\' title=\'\'>Mixin Interface</a>] provides access to the TrackView’s User Interface settings. It is returned by the <span class=\'code\'>.ui</span> property of the <span class=\'code\'>trackview</span> MixinInterface.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.hwnd : HWND : Read \n\
</pre></div><p>Contains the Window Handle of the Trackview. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.layoutName : string by value : Read \n\
</pre></div><p>Contains the layout name of the Trackview. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.menuBar : string by value : Read|Write \n\
</pre></div><p>Gets/sets the menu bar name of the Trackview.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` trackview.open &quot;New Trackview&quot; trackviews.current.ui.hwnd --will vary between sessions --&gt; 855006</p>\n\
<p>trackviews.current.ui.layoutName --&gt; &quot;Function Curve Layout&quot;</p>\n\
<p>trackviews.current.ui.menuBar --&gt; &quot;Track View - Curve Editor - Menu Bar&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>There are two customizable Quad menus in the Function Curve Editor:</strong></p>\n\
<div class=\'codeBlock\'><pre>.controllerQuadMenu : string by value : Read|Write \n\
</pre></div><p>When set to an existing menu name, the controllerQuadMenu will pop up when right-clicking in the controller window.</p>\n\
<div class=\'codeBlock\'><pre>.keyQuadMenu : string by value : Read|Write \n\
</pre></div><p>When set to an existing menu name, the keyQuadMenu will pop up when clicking in the keys window.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.ui.keyQuadMenu = &quot;My Key Quad&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>These menus get saved with the layout, so changing them and saving the layout will make them persistent. This allows the creation of different menu sets for different layouts.</p>\n\
<div class=\'codeBlock\'><pre>.showMenuBar : boolean : Read|Write \n\
</pre></div><p>Gets/sets the visibility of the menu bar.</p>\n\
<div class=\'codeBlock\'><pre>.showScrollBars : boolean : Read|Write \n\
</pre></div><p>Gets/sets the visibility of the scroll bars.</p>\n\
<div class=\'codeBlock\'><pre>.showTrackWindow : boolean : Read|Write \n\
</pre></div><p>Gets/sets the visibility of the track window.</p>\n\
<div class=\'codeBlock\'><pre>.showKeyWindow : boolean : Read|Write \n\
</pre></div><p>Gets/sets the visibility of the key window.</p>\n\
<div class=\'codeBlock\'><pre>.showTimeRuler : boolean : Read|Write \n\
</pre></div><p>Gets/sets the visibility of the time ruler.</p>\n\
<div class=\'codeBlock\'><pre>.showKeyableIcons : boolean : Read|Write \n\
</pre></div><p>When set to True, a Keyable icon will become visible next to the controllers.</p>\n\
<p>Clicking on the icon will toggle the keyable state which is used to determine if Set Key will set a key for the specific track.</p>\n\
<p>The showKeyableIcons state is saved with the Layout, so resaving the layout with the setting turned on will bring them back the next time the layout is used.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.ui.showKeyableIcons = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.showCustomIcons : boolean : Read|Write \n\
</pre></div><p>When set to True , the icons next to the tracks will be taken from the ClassIcons.dat file.</p>\n\
<p>This means that each object, modifier, controller plugin can have its own unique icon.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.ui.showCustomIcons = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>showUnlockedIcons : boolean : Read|Write \n\
</pre></div><p>When set to True, a lock icon will be shown next to the track.</p>\n\
<p>The icon will show an unlocked state when the track is not locked, and will appear as locked when the track is locked.</p>\n\
<p>When set to false, these icons will not be shown, but the word (Locked) will still appear to the right of the track name if the track is locked.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` trackviews.current.ui.showUnlockedIcons = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;toolbarCount() \n\
</pre></div><p>Returns the number of toolbars.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;addToolbar &lt;string&gt;name \n\
</pre></div><p>Adds a toolbar with the specified name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;deleteToolbar &lt;value&gt;name or index \n\
</pre></div><p>Deletes a toolbar by its name or index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getToolbarName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the indexed toolbar. This name is localized.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getToolbarObjectName &lt;index&gt;index \n\
</pre></div><p>Returns the object name of the indexed toolbar. The object name is the non-localized name of the toolbar. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isToolbarVisible &lt;string&gt;name \n\
</pre></div><p>Returns the visibility of the named toolbar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;showToolbar &lt;string&gt;name \n\
</pre></div><p>Makes the named toolbar visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;hideToolbar &lt;string&gt;name \n\
</pre></div><p>Hides the named toolbar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;showAllToolbars() \n\
</pre></div><p>Unhides all toolbars.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;hideAllToolbars() \n\
</pre></div><p>Hides all toolbars.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;saveCurrentLayout() \n\
</pre></div><p>Saves the current TrackView layout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;saveLayout &lt;string&gt;name \n\
</pre></div><p>Saves the TrackView layout under the specified name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;loadLayout &lt;string&gt;name \n\
</pre></div><p>Loads the TrackView layout with the specified name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;layoutCount() \n\
</pre></div><p>Returns the number of layouts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;getLayoutName &lt;index&gt;index \n\
</pre></div><p>Returns the layout name of the indexed layout.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";