var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: UIAccessor</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: UIAccessor</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-uiaccessor\"></a></div>\n\
<p>The <strong>UIAccessor Core Interface</strong> provides methods to collect data and interact with dialogs and popups in the <strong>3ds Max</strong> User Interface. It can be used in conjunction with the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DialogMonitorOPS.html\' title=\'\'>Interface: DialogMonitorOPS</a> to perform automated UI handling using a callback function.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;UIAccessor.GetWindowText &lt;HWND&gt;hwnd      \n\
</pre></div><p>Returns the caption of the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;UIAccessor.GetWindowClassName &lt;HWND&gt;hwnd   \n\
</pre></div><p>Returns the window class name of the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;UIAccessor.GetWindowResourceID &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns the window resource ID of the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HWND by value array&gt;UIAccessor.GetChildWindows &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns an array with the handles of all child windows of the window with the given handle. If a child window has child windows on its own, these will also be enumerated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HWND by value array&gt;UIAccessor.GetPopupDialogs() \n\
</pre></div><p>Returns a handles array of the pop up dialogs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HWND&gt;UIAccessor.GetParentWindow &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns the parent window&#39;s handle of the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HWND&gt;UIAccessor.GetFirstChildWindow &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns the handle of the first child of the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HWND&gt;UIAccessor.GetPrevWindow &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns the handle of the previous sibling with the same parent as the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HWND&gt;UIAccessor.GetNextWindow &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns the handle of the next sibling with the same parent as the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;UIAccessor.IsWindow &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns true if the UI element with the given handle is a window, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;UIAccessor.GetWindowDllFileName &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns the DLL file name of the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;UIAccessor.GetWindowDllDescription &lt;HWND&gt;hwnd \n\
</pre></div><p>Returns the DLL description string of the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UIAccessor.CloseDialog &lt;HWND&gt;hwnd \n\
</pre></div><p>Closes the dialog with the given window handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UIAccessor.PressDefaultButton() \n\
</pre></div><p>Presses the default button in the currently active dialog. This method simulates pressing the Enter key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UIAccessor.PressButton &lt;HWND&gt;hwnd \n\
</pre></div><p>Presses the button with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;UIAccessor.PressButtonByName &lt;HWND&gt;hwnd &lt;string&gt;name \n\
</pre></div><p>Presses the button with the name equal to the second argument in the dialog with the handle given as the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;UIAccessor.SetWindowText &lt;HWND&gt;hwnd &lt;string&gt;text \n\
</pre></div><p>Sets the title text of the dialog with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;UIAccessor.SendMessageID &lt;HWND&gt;hwndDlg &lt;enum&gt;ID \n\
\n\
ID enums: {#IDOK|#IDCANCEL|#IDABORT|#IDRETRY|#IDIGNORE|#IDYES|#IDNO|#IDCLOSE} \n\
</pre></div><p>Sends the message ID given in the second argument to the window with the given handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;UIAccessor.SendMessage &lt;HWND&gt;hwndDlg &lt;integer&gt;MessageID &lt;integer&gt;wParam &lt;integer&gt;lParam \n\
</pre></div><p>Sends the integer message ID, wParam, and lParam given in the second, third, and fourth arguments to the window with the handle given as the first argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` DialogMonitorOPS.unRegisterNotification id:#eyeInTheSky</p>\n\
<p>fn dmnotification = ( WindowHandle = DialogMonitorOPS.GetWindowHandle() format &quot;Dialog Window Handle: %\\n&quot; WindowHandle format &quot;Dialog Name: %\\n&quot; (UIAccessor.GetWindowText WindowHandle) format &quot;Window Class Name: %\\n&quot; (UIAccessor.GetWindowClassName WindowHandle) format &quot;Window Resource ID: %\\n&quot; (UIAccessor.GetWindowResourceID WindowHandle) format &quot;Is Window: %\\n&quot; (UIAccessor.isWindow WindowHandle) format &quot;Window DLL Filename: %\\n&quot; (UIAccessor.GetWindowDllFileName WindowHandle) format &quot;Window DLL Description: %\\n&quot; (UIAccessor.GetWindowDllDescription WindowHandle) UIAccessor.SetWindowText WindowHandle&quot; All Your Windows Are Belong To Us&quot; format &quot;=====================\\n&quot; true ) DialogMonitorOPS.RegisterNotification dmnotification id:#eyeInTheSky DialogMonitorOPS.Enabled = true DialogMonitorOPS.ShowNotification()</p>\n\
<p>```</p>\n\
<p>If you evaluate the code above and open Main Menu &gt; Customize &gt; Customize User Interface, the output will look like this:</p>\n\
<p>``` Dialog Window Handle: 3213306 Dialog Name: Window Class Name: Menu Window Resource ID: 0 Is Window: true Window DLL Filename: C:\\Program Files\\Autodesk\\3ds Max 2008\\3dsmax.exe Window DLL Description: ===================== Dialog Window Handle: 2033898 Dialog Name: Window Class Name: SysShadow Window Resource ID: 0 Is Window: true Window DLL Filename: C:\\Program Files\\Autodesk\\3ds Max 2008\\3dsmax.exe Window DLL Description: ===================== Dialog Window Handle: 3278842 Dialog Name: Customize User Interface Window Class Name: Dialog Window Resource ID: 0 Is Window: true Window DLL Filename: C:\\Program Files\\Autodesk\\3ds Max 2008\\CustDlg.dll Window DLL Description: =====================</p>\n\
<p>```</p>\n\
<p>The first block returns information about the Customize Menu. A Menu does not have a Dialog Name, but is also a form of window.</p>\n\
<p>The second block shows the shadow of the menu (if enabled in the MS Windows settings).</p>\n\
<p>The third block shows the actual Customize User Interface dialog.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";