var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: UiCustomization</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: UiCustomization</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-uicustomization\"></a></div>\n\
<p>This core interface allows you to display the HotKey Editor dialog, and convert keyboard shortcut files to the new .hsx format. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ShowHotkeyDialog()\n\
</pre></div><p>Displays the <strong>Hotkey Editor</strong> dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ConvertLegacyHotkeys &lt;string&gt;legacyKbdxFilePath &lt;string&gt;convertedHsxFilePath\n\
</pre></div><p>Converts the legacy keyboard shortcut .kbdx file at <span class=\'code\'>legacyKbdxFIlePath</span> to a .hsx file at the specified <span class=\'code\'>convertedHsxFilePath</span>. Returns true if successful, false otherwise.</p>\n\
<p>Note: This function will overwrite an existing file with the same name <strong>without warning</strong>. Use with care.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- convert a legacy file old_file = &quot;C:/my_kbdx/DefaultUI.kbdx&quot; new_file = &quot;C:/my_kbdx/transform2.hsx&quot;</p>\n\
<p>-- check if file exists, because it will be silently overwritten if (getfiles new_file).count == 0 then ( format &quot;upgrading file % \\n&quot; old_file success = UiCustomization.ConvertLegacyHotkeys old_file new_file format &quot;success: %\\n&quot; success ) else ( format &quot;file already exists: % \\n&quot; new_file ) ```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";