var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ViewCubeOps</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ViewCubeOps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-viewcubeops\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-64B7D67A-91C3-4DB8-8DD4-C90C9437A06E-low.gif\' title=\'\'></div>\n\
<p>The <strong>ViewCubeOps Interface</strong> exposes the ViewCube viewport navigation tool&#39;s settings to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D5B9299B-8AC4-4E95-87E8-01541E222485-low.png\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"display-options\"></a><h2 id=\"display-options\">Display Options</h2></div>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.Visibility : boolean : Read|Write       \n\
</pre></div><p>Get/set the ViewCube visibility. Corresponds to the &quot;Show the ViewCube&quot; option in the dialog.</p>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.All3DViewportsDisplay : boolean : Read|Write     \n\
</pre></div><p>Get/set whether to display the ViewCube in all views or only in the active view.</p>\n\
<p>When set to <span class=\'code\'>true</span> , the radio button will be set to &quot;In all Views&quot;.</p>\n\
<p>When <span class=\'code\'>false</span> , it will be set to &quot;Only in Active View&quot;.</p>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.Size : integer : Read|Write   \n\
</pre></div><p>Get/set the item in theViewCube Sizedrop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Large</p>\n\
<p>1 - Normal</p>\n\
<p>2 - Small</p>\n\
<p>3 - Tiny</p>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.MinOpacity : float : Read|Write \n\
</pre></div><p>Get/set the inactive ViewCube opacity value. Default is 0.5 (50%).</p>\n\
<p>The value can be any floating point value between 0.0 and 1.0.</p>\n\
<p>Other than the drop-down list in the dialog, any value is allowed.</p>\n\
<div class=\'section\'><a id=\"when-dragging-on-the-viewcube\"></a><h2 id=\"when-dragging-on-the-viewcube\">When Dragging on the ViewCube</h2></div>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.DragSnapping : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Snap To Closest View&quot; option.</p>\n\
<div class=\'section\'><a id=\"when-clicking-on-the-viewcube\"></a><h2 id=\"when-clicking-on-the-viewcube\">When Clicking on the ViewCube</h2></div>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.FitToView : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Fit-To-View on view change&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.AnimatedTransition : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Use animated transitions when switching views&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.KeepSceneUp : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Keep Scene Upright&quot; option.</p>\n\
<div class=\'section\'><a id=\"compass\"></a><h2 id=\"compass\">Compass</h2></div>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.DrawCompass : boolean : Read|Write \n\
</pre></div><p>Get/set the state of the &quot;Show the Compass below the ViewCube&quot; option.</p>\n\
<div class=\'codeBlock\'><pre>ViewCubeOps.AngleOfNorth : float : Read|Write \n\
</pre></div><p>Get/set the &quot;Angle Of North (degrees)&quot; value.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.GoHome() \n\
</pre></div><p>Resets the active view to its Home state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.SetCurrentViewAsHome() \n\
</pre></div><p>Sets the current view as the Home view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.SetCurrentViewAsFront() \n\
</pre></div><p>Sets the current view as the Front view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.ResetFront() \n\
</pre></div><p>Resets the Front view to the default Front view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.Orthographic() \n\
</pre></div><p>Sets the active view to Orthographic mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.Perspective() \n\
</pre></div><p>Sets the active view to Perspective mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.SaveOptions() \n\
</pre></div><p>Saves the current settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ViewCubeOps.LoadOptions()\n\
</pre></div><p>Loads the View Cube options.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";