var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ViewPanelManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ViewPanelManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-viewpanelmanager\"></a></div>\n\
<p>This Core Interface exposes the <strong>View Panel Manager</strong> to MAXScript.</p>\n\
<p>It provides methods for the creation and manipulation of View Panels containing custom viewport configurations, as well as methods for View Panel Presets management.</p>\n\
<p>This interface also provides methods for managing floating viewports.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5279C695-ACA1-46BC-B1EE-26F6B1036B5E-low.png\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"view-panel-creation\"></a><h2 id=\"view-panel-creation\">View Panel Creation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ViewPanelManager.CreateViewPanel &lt;string&gt;tabName &lt;enum&gt;layout &lt;boolean&gt;isActive\n\
\n\
layout enums: {\n\
#layout_1 | #layout_2v | #layout_2h | #layout_2ht | #layout_2hb | \n\
#layout_3vl | #layout_3vr | #layout_3ht | #layout_3hb | \n\
#layout_4 | #layout_4vl | #layout_4vr | #layout_4ht | #layout_4hb }\n\
\n\
</pre></div><p>Creates a new View Panel with the name specified by the first argument.</p>\n\
<p>The second argument specifies the layout name - see table below.</p>\n\
<p>The third argument controls whether the new View Panel will set as the active one.</p>\n\
<p>Returns the index of the new View Panel.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Layout</th>\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Description</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-D3DDB1AD-7EBF-4834-90C4-E8554DB339FD-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_1</span></td>\n\
<td align=\"left\">One viewport</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-389DADB3-37D1-4F9C-AC6D-05085082424E-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_2v</span></td>\n\
<td align=\"left\">Two Viewports, Vertical Split, Equally Sized</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-192FAFF6-C2B9-40F9-AD63-85D956FC17C7-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_2h</span></td>\n\
<td align=\"left\">Two Viewports, Horizontal Split, Equally Sized</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-7AD85944-5DAE-4459-995F-850B3A5033EB-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_2ht</span></td>\n\
<td align=\"left\">Two Viewports, Horizontal Split, Top Viewport Smaller</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-6F359915-7D6D-4ECC-AEBC-EEF378CD302E-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_2hb</span></td>\n\
<td align=\"left\">Two Viewports, Horizontal Split, Bottom Viewport Smaller</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-7157846C-4B5F-412C-A901-FFAFE25C27E1-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_3vl</span></td>\n\
<td align=\"left\">Three Viewports, Vertical Split, Horizontal Split On Left</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-C21F006E-B824-498D-9AAF-37FE4D1C0F3A-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_3vr</span></td>\n\
<td align=\"left\">Three Viewports, Vertical Split, Horizontal Split On Right</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-C4F0AAF8-8BBE-483C-AAE1-6D0DD19C1B55-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_3ht</span></td>\n\
<td align=\"left\">Three Viewports, Horizontal Split, Vertical Split On Top</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-B0FC4F20-1720-4DF6-998F-B59D822A539A-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_3hb</span></td>\n\
<td align=\"left\">Three Viewports, Horizontal Split, Vertical Split On Bottom</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-B32F1448-56A9-4F68-832B-AFF6B5BD925E-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_4vl</span></td>\n\
<td align=\"left\">Four Viewports, Vertical Split, Two Horizontal Splits On Left</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-4C5AB5F5-3CAA-43DD-9FE0-C9DF5D50A5F6-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_4vr</span></td>\n\
<td align=\"left\">Four Viewports, Vertical Split, Two Horizontal Splits On Right</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-FFB07D24-135A-4693-B242-70B1B4C7C58D-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_4ht</span></td>\n\
<td align=\"left\">Four Viewports, Horizontal Split, Two Vertical Splits On Top</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-26249849-0397-4C78-B2F8-CE004F184854-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_4hb</span></td>\n\
<td align=\"left\">Four Viewports, Horizontal Split, Two Vertical Splits On Bottom</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><img src=\'developer/images/GUID-3872E535-AC23-4367-AD13-DADF8897B72C-low.png\' title=\'\'></td>\n\
<td align=\"left\"><span class=\'code\'>#layout_4</span></td>\n\
<td align=\"left\">Four Viewports, Equally Sized</td>\n\
</tr>\n\
</table>\n\
<p>Note: To get or set the layout of an existing View Panel, use <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/GUID-8AA71F9E-F4F0-4437-A44E-9683619E89DE.html#viewport-layout\' title=\'\'>viewport.getLayout() and viewport.setLayout()</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ViewPanelManager.GetViewPanelCount()\n\
</pre></div><p>Returns the number of View Panels, including the three available Floating Viewports, whether they are visible or not. This method will always return at least 4, since there is always at least one static View Panel.</p>\n\
<p>See GetNumViewportsFromAllVisibleViewPanels() below to get a count of all visible viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.SetActiveViewPanel &lt;index&gt;Index\n\
</pre></div><p>Sets the active View Panel to the indexed definition.</p>\n\
<p>If you specify a non-visible floating viewport View Panel index, that View Panel will become visible.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ViewPanelManager.GetActiveViewPanelIndex()\n\
</pre></div><p>Returns the index of the active View Panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.CanCreateMoreViewPanels()\n\
</pre></div><p>Returns True if new View Panels can be created, False if the limit has been reached.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ViewPanelManager.GetViewPanelName &lt;index&gt;Index\n\
</pre></div><p>Returns the name of the indexed View Panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.SetViewPanelName &lt;index&gt;Index &lt;string&gt;newPanelName\n\
</pre></div><p>Sets the name of the indexed View Panel to the string provided by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;ViewPanelManager.GetActiveViewPanelDib()\n\
</pre></div><p>Returns the Device Independent Bitmap (Viewport Snapshot) of the active View Panel.</p>\n\
<p>The image will contain the content of all viewports in the View Panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.IsViewPanelLocked &lt;index&gt;Index\n\
</pre></div><p>Returns True if the indexed View Panel is locked, False if it is not locked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.SetSplitterBarPos &lt;integer&gt;splitterBarID &lt;float&gt;pos\n\
</pre></div><p>Sets the position of the horizontal or vertical splitter bar to the specified position.</p>\n\
<p>The first argument is in the range from 0 to 2 and depends on the current layout:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Layout</th>\n\
<th align=\"left\">Visible Bar Indices</th>\n\
<th align=\"left\">Comments</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#layout_1</span></td>\n\
<td align=\"left\">None</td>\n\
<td align=\"left\">No splitter bars are used, but 0,1 and 2 are still valid first arguments.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#layout_2v</span></td>\n\
<td align=\"left\">1 - vertical splitter bar</td>\n\
<td align=\"left\">0 and 2 are valid indices, but the corresponding splitter bars are not used.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#layout_2h</span><br> <span class=\'code\'>#layout_2ht</span><br> <span class=\'code\'>#layout_2hb</span></td>\n\
<td align=\"left\">0 - horizontal splitter bar</td>\n\
<td align=\"left\">1 and 2 are valid indices, but the corresponding splitter bars are not used.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#layout_3vl</span><br> <span class=\'code\'>#layout_3vr</span><br> <span class=\'code\'>#layout_3ht</span><br> <span class=\'code\'>#layout_3hb</span></td>\n\
<td align=\"left\">0 - horizontal splitter bar1 - vertical splitter bar</td>\n\
<td align=\"left\">2 is a valid index, but the corresponding splitter bar is not used.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#layout_4</span></td>\n\
<td align=\"left\">0 - horizontal splitter bar1 - vertical splitter bar</td>\n\
<td align=\"left\">2 is a valid index, but the corresponding splitter bar is not used.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#layout_4vl</span><br> <span class=\'code\'>#layout_4vr</span></td>\n\
<td align=\"left\">0 - vertical splitter bar1 - top horizontal splitter bar2 - bottom horizontal splitter bar</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#layout_4ht</span><br> <span class=\'code\'>#layout_4hb</span></td>\n\
<td align=\"left\">0 - horizontal splitter bar1 - left vertical splitter bar2 - right vertical splitter bar</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<p>The second argument must be a float in the range from 0.0 to 1.0, with 0.5 being centered in the middle of the panel.</p>\n\
<p>Returns True on success, False if the second argument is out of range. Note that attempting to set a non-visible splitter bar index still returns True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.SetExtendedView &lt;integer&gt;viewIndex &lt;enum&gt;extendedViewType\n\
\n\
extendedViewType enums: {#ev_type_tree|#ev_type_schematic|#ev_type_sceneexplore}\n\
\n\
</pre></div><p>Sets the indexed extended view to the extended view type specified by the second argument&#39;s enum value.</p>\n\
<p>Note: Not all extended view types exposed in the UI are currently supported in MAXScript.</p>\n\
<p>Possible values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Enum</th>\n\
<th align=\"left\">As Integer</th>\n\
<th align=\"left\">Result</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#ev_type_tree</span></td>\n\
<td align=\"left\">0</td>\n\
<td align=\"left\">Set Extended Viewport to TrackView</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#ev_type_schematic</span></td>\n\
<td align=\"left\">1</td>\n\
<td align=\"left\">Set Extended Viewport to Schematic View</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#ev_type_sceneexplore</span></td>\n\
<td align=\"left\">2</td>\n\
<td align=\"left\">Set Extended Viewport to Scene Explorer</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.DestroyViewPanel &lt;index&gt;Index\n\
</pre></div><p>Destroys the indexed View Panel.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theActive = ViewPanelManager.GetActiveViewPanelIndex() --&gt; 1 canCreate = ViewPanelManager.CanCreateMoreViewPanels() --&gt; true if canCreate do theNew = ViewPanelManager.CreateViewPanel &quot;Two Horizontal Large Top&quot; #layout_2h false --&gt; 2 ViewPanelManager.SetSplitterBarPos 0 0.65 --&gt; true theCount = ViewPanelManager.GetViewPanelCount() --&gt; 2 for i = 1 to 2 do ( theName = ViewPanelManager.GetViewPanelName i isLocked = ViewPanelManager.IsViewPanelLocked i format &quot;% Name:&#39;%&#39; Locked:% &quot; i theName isLocked if i == theActive then format &quot;(active)\\n&quot; else format &quot;\\n&quot; )<br> --&gt; 1 Name:&#39;Quad 4&#39; Locked:true (active) --&gt; 2 Name:&#39;Two Horizontal Large Top&#39; Locked:false --&gt; OK theBitmap = ViewPanelManager.GetActiveViewPanelDib() --&gt; BitMap: display theBitmap --&gt; OK ViewPanelManager.DestroyViewPanel theNew --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"view-panel-preset-management\"></a><h2 id=\"view-panel-preset-management\">View Panel Preset Management</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ViewPanelManager.GetPresetCount()\n\
</pre></div><p>Returns the number of available named View Panel presets.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;ViewPanelManager.GetPresetName &lt;index&gt;presetIndex\n\
</pre></div><p>Returns the name of the indexed View Panel Preset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ViewPanelManager.GetPresetID &lt;string&gt;presetName\n\
</pre></div><p>Returns the ID of the named View Panel Preset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.DoesViewPanelPresetExist &lt;string&gt;presetName\n\
</pre></div><p>Returns True if a View Panel Preset with the name specified by the argument exists.</p>\n\
<p>Returns False if the View Panel Preset with the specified name does not exist.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;ViewPanelManager.GetViewPanelPresetLayout &lt;integer&gt;presetIndex\n\
</pre></div><p>Returns the layout of the indexed View Panel Preset as an integer, or -1 if the specified <span class=\'code\'>presetIndex</span> does not exist..</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;ViewPanelManager.CreateViewPanelFromPreset &lt;string&gt;presetName &lt;boolean&gt;isActive\n\
</pre></div><p>Creates a new View Panel from the specified named preset.</p>\n\
<p>If the second argument is set to True, the View Panel will also be made active.</p>\n\
<p>Returns the index of the new View Panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.CreatePresetFromActiveViewPanel &lt;string&gt;presetName\n\
</pre></div><p>Creates a new Preset with the specified name from the active View Panel.</p>\n\
<p>If the name already exists, it will be appended a numeric suffix, e.g. &quot;Test&quot; will become &quot;Test 01&quot;.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.CreatePresetFromViewPanel &lt;index&gt;panelIndex &lt;string&gt;presetName\n\
</pre></div><p>Creates a new Preset from the indexed View Panel specified by the first argument.</p>\n\
<p>The Preset will be named according to the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.RenameViewPanelPreset &lt;string&gt;presetName &lt;string&gt;newName\n\
</pre></div><p>Renames the View Panel Preset specified by the first argument to the name given by the second argument.</p>\n\
<p>Returns True if the renaming succeeded.</p>\n\
<p>Returns False if a Preset with the name specified by the first argument does not exist.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.DeletePreset &lt;string&gt;presetName\n\
</pre></div><p>Deletes the named View Panel Preset.</p>\n\
<p>Returns True on success.</p>\n\
<p>Returns False if the named Preset does not exist.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ViewPanelManager.DeleteAllViewPanelPresets()\n\
</pre></div><p>Deletes all View Panel Presets.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theNewPresetName = &quot;Just A Test&quot; --&gt; &quot;Just A Test&quot; if not ViewPanelManager.DoesViewPanelPresetExist theNewPresetName do ViewPanelManager.CreatePresetFromActiveViewPanel theNewPresetName --&gt; true ViewPanelManager.RenameViewPanelPreset theNewPresetName &quot;A Test Indeed&quot; --&gt; true theCount = ViewPanelManager.GetPresetCount() --&gt; 1 for i = 1 to theCount do ( theName = ViewPanelManager.GetPresetName i theLayout = ViewPanelManager.GetViewPanelPresetLayout i format &quot;% Name:&#39;%&#39; Layout:&#39;%&#39; \\n&quot; i theName theLayout ) --&gt; 1 Name:&#39;A Test Indeed&#39; Layout:&#39;-1&#39; --&gt; OK ViewPanelManager.DeletePreset theNewPresetName --&gt; false ViewPanelManager.DeletePreset &quot;A Test Indeed&quot; --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"floating-viewport-management\"></a><h2 id=\"floating-viewport-management\">Floating Viewport Management</h2></div>\n\
<p>These functions expose floating viewport functionality. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>Note that floating viewports are actually independent View Panels, that by default have a four viewport layout with the perspective view maximized (though this can be changed in the <strong>Viewport Configuration</strong> dialog). They are always present, and so will show up in the value returned by <span class=\'code\'>getViewPanelCount()</span>, but not always visible.</p>\n\
<p>Note: All indices passed as parameters or returned by methods are 0-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsViewPanelVisible &lt;index&gt;Index    \n\
</pre></div><p>Returns whether the view panel specified by index is visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsViewPanelFloating &lt;index&gt;Index\n\
</pre></div><p>Returns whether the view panel specified by index is a floating viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetViewPanelFloatingID &lt;index&gt;Index\n\
GetViewPanelFloatingID enums: {#Not_Floating|#Floating_ViewPanel_1|#Floating_ViewPanel_2|#Floating_ViewPanel_3}\n\
</pre></div><p>Returns the ID of the view panel specified by index, or <span class=\'code\'>#Not_Floating</span> if it is not a floating view panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetViewPanelIndexFromFloatingID &lt;enum&gt;ViewPanelfloatingID \n\
ViewPanelfloatingID enums: {#Not_Floating|#Floating_ViewPanel_1|#Floating_ViewPanel_2|#Floating_ViewPanel_3}\n\
</pre></div><p>Returns the view panel index of the view panel specified by ID, or -1 for <span class=\'code\'>#Not_Floating</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumFloatingViewPanels()\n\
</pre></div><p>Returns the number of possible floating View Panels. Note that this is not the same as the number of visible View Panels. Currently this method always returns 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;HideAllFloatingViewPanels()\n\
</pre></div><p>Makes all visible floating view panels not visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetFloatingViewPanelVisibility &lt;enum&gt;ViewPanelfloatingID &lt;boolean&gt;bVisible\n\
ViewPanelfloatingID enums: {#Not_Floating|#Floating_ViewPanel_1|#Floating_ViewPanel_2|#Floating_ViewPanel_3}\n\
</pre></div><p>Sets the visibility of the view panel specified by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumViewportsFromAllVisibleViewPanels()\n\
</pre></div><p>Returns the number of all visible viewports, including those on floating viewports. To get a count of all view panels (including visible and non-visible floating view panels), use <span class=\'code\'>GetViewPanelCount()</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumVisibleViewPanels()\n\
</pre></div><p>Returns the number of all visible View Panels.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- Floating View Panels example -- hide any visible floating viewports first ViewPanelManager.HideAllFloatingViewPanels()</p>\n\
<p>-- This will be 3, whether they are visible or not: ViewPanelManager.GetNumFloatingViewPanels()</p>\n\
<p>-- How many view panels and viewports are visible? vis_panels = ViewPanelManager.GetNumVisibleViewPanels() vis_ports = ViewPanelManager.GetNumViewportsFromAllVisibleViewPanels() format &quot;% visible viewports on % visible view panels\\n&quot; vis_ports vis_panels</p>\n\
<p>count = ViewPanelManager.GetViewPanelCount() format &quot;% View Panels (visible and/or floating)&quot; count</p>\n\
<p>for i = 1 to count do ( vp_name = ViewPanelManager.GetViewPanelName i vp_visible = ViewPanelManager.IsViewPanelVisible i vp_floating = ViewPanelManager.IsViewPanelFloating i format &quot;View Panel % name:%\\n visible:%\\n floating:%\\n&quot; i vp_name vp_visible vp_floating -- let&#39;s make all the floating ones visible if vp_floating do ViewPanelManager.SetActiveViewPanel i<br> )</p>\n\
<p>-- The id of the first floating viewpanel vp_id = #Floating_ViewPanel_1</p>\n\
<p>-- hide it format &quot;Hiding %\\n&quot; vp_id ViewPanelManager.SetFloatingViewPanelVisibility vp_id false</p>\n\
<p>-- change the layout of Floating Viewport 3 indexOfFloatingVP3 = ViewPanelManager.GetViewPanelIndexFromFloatingID #Floating_ViewPanel_3 ViewPanelManager.SetActiveViewPanel indexOfFloatingVP3 viewport.setLayout #layout_3vl</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";