var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ViewportSSB</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ViewportSSB</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-viewportssb\"></a></div>\n\
<p>Note:</p>\n\
<p>This Core Interface is <strong>not available by default in 3ds Max 2012 and higher</strong> because the Viewports are set to use the Nitrous Graphics System.</p>\n\
<p>You <strong>must switch the Viewports to Direct3D graphics</strong> for this interface to become available.</p>\n\
<p>The <strong>ViewportSSB Core Interface</strong> available in <strong>3ds Max 2010 and higher when using Direct3D viewport graphics</strong> exposes some properties and methods related to the viewport Soft Shadows effect.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ViewportSSB.CubeBias : float : Read|Write    \n\
</pre></div><p>Gets/Sets the Cube MapBias value that is used when blurring the Shadow Map.</p>\n\
<p>Default is 0.5.</p>\n\
<div class=\'codeBlock\'><pre>ViewportSSB.ShadowMapSize : Integer : Read|Write   \n\
</pre></div><p>Gets/Sets the Shadow Map Size value that is used to calculate the Viewport Shadows.</p>\n\
<p>Default is 512.</p>\n\
<div class=\'section\'><a id=\"examples\"></a><h3 id=\"examples\">Examples</h3></div>\n\
<div class=\'codeBlock\'><pre>vss = maxops.getViewportShadingSettings() --get control &lt;IObject&gt;\n\
vss.ActivateViewportShading = true --turn on hardware shading\n\
vss.ShadowsActive = true --enable shadows\n\
vss.ShadowMode = #Soft --enable soft shadows\n\
ViewportSSB.AreaShadow = false --disable area shadows\n\
ViewportSSB.ShadowMapSize = 512 --default shadow map size\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B408FAAD-6DB6-4B8A-B22B-180403D29A64-low.gif\' title=\'\'></div>\n\
</pre></div><p>ViewportSSB.ShadowMapSize = 256</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9F074BAD-FDAE-4C49-8F4D-9EA6C10E83CB-low.gif\' title=\'\'></div>\n\
<p>ViewportSSB.ShadowMapSize = 128</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BDF6D18E-130E-4C19-8733-39D1C6C647C0-low.gif\' title=\'\'></div>\n\
<p>ViewportSSB.ShadowMapSize = 64</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A87AF0F3-9056-47A5-84A5-7EB7A46C5376-low.gif\' title=\'\'></div>\n\
<p>ViewportSSB.ShadowMapSize = 32</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-503A2E17-627D-48BE-A5DC-9FDA5E6B742D-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>ViewportSSB.EVSMConfig : point3by value: Read|Write \n\
</pre></div><p>Gets/sets a Point3 value that can be used to control light &quot;bleeding&quot; in the Shadows.</p>\n\
<p>Default is [10,5,0.01].</p>\n\
<div class=\'codeBlock\'><pre>ViewportSSB.AreaShadow : Boolean : Read|Write \n\
</pre></div><p>Turn on/off Area Shadow preview of Area Lights.</p>\n\
<p>Only works if Shadows are set to #Soft, otherwise #Hard shadows will be calculated regardless.</p>\n\
<p>When set to true, Area Lights will cast Area Shadows.</p>\n\
<p>When set to false, Area Lights will cast Soft Shadows.</p>\n\
<p>Default is false.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` vss = maxops.getViewportShadingSettings() --get control <iobject> vss.ActivateViewportShading = true --turn on hardware shading vss.ShadowsActive = true --enable shadows<p>\n\
<p>```</p>\n\
<p>``` vss.ShadowMode = #Hard --enable soft shadows ViewportSSB.AreaShadow = true --disable area shadows --As you can see, Area Shadows are NOT displayed in Hard Shadows mode.</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D92ED15C-254A-4E4E-87BE-B86F5672525A-low.gif\' title=\'\'></div>\n\
<p>``` vss.ShadowMode = #Soft --enable soft shadows ViewportSSB.AreaShadow = false --disable area shadows --Area Shadows are disabled, so we get Soft shadows display</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B6EC1983-5C2E-4A4B-952F-64F0951C30E1-low.gif\' title=\'\'></div>\n\
<p>``` vss.ShadowMode = #Soft --enable soft shadows ViewportSSB.AreaShadow = true --enable areashadows --Both Soft and Area Shadows are enabled, so we get Area Shadows --in the viewports:</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-B99369B4-7B17-48C6-BE1A-048D27EE022D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-8CB77E28-0E82-42D3-8FA8-C66F4BCEF381-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-8C24F945-13EA-4F59-AFCE-A79B3AE3D211-low.gif\' title=\'\'> <img src=\'developer/images/GUID-29317F17-38A9-4025-95C8-A21EDF319CC2-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-5D653E08-E0E8-49F5-A32F-931AB1ED0C3E-low.gif\' title=\'\'> <img src=\'developer/images/GUID-405ED4F1-2A2A-4D75-9DBF-BD8A7CA2F94D-low.gif\' title=\'\'></p>\n\
</iobject></blockquote>\n\
<div class=\'codeBlock\'><pre>ViewportSSB.TransAreaShadow : Boolean : Read|Write \n\
</pre></div><p>Turn on/off transparency support for Area Shadow.</p>\n\
<p>Default is false.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` vss = maxops.getViewportShadingSettings() --get control <iobject> vss.ActivateViewportShading = true --turn on hardware shading vss.ShadowsActive = true --enable shadows vss.ShadowMode = #Soft --enable soft shadows ViewportSSB.AreaShadow = false --disable area shadows<p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B408FAAD-6DB6-4B8A-B22B-180403D29A64-low.gif\' title=\'\'></div>\n\
<p>``` ViewportSSB.AreaShadows = true --enablearea shadows ViewportSSB.TransAreaShadow = false --disable transparent area shadows</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-09776752-8D4C-4EBB-B097-3A773BEC57FB-low.gif\' title=\'\'></div>\n\
<p>``` ViewportSSB.AreaShadows = true --enable area shadows ViewportSSB.TransAreaShadow = true --enable transparent area shadows</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-36AB203A-0169-4B68-9248-42420A6E9DAC-low.gif\' title=\'\'></div>\n\
</iobject></blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;ViewportSSB.GetVideoMemoryUsed() \n\
</pre></div><p>Returns the video memory used by the effect as a string.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` ViewportSSB.GetVideoMemoryUsed() --&gt; &quot;23.50 (19.50 + 4.00)MB&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";