var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: WorkingPivot</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: WorkingPivot</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-workingpivot\"></a></div>\n\
<p>The <strong>WorkingPivot Core Interface</strong> exposes the Working Pivot custom coordinate system feature to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>Interface: WorkingPivot \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>WorkingPivot.EditMode : boolean : Read|Write   \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , enters Working Pivot Edit mode and allows you to place the working point interactively using an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\' title=\'\'>Axis_Helper</a> object created internally by the feature.</p>\n\
<p>When set to <span class=\'code\'>false</span> , exits Working Pivot Editing and removes the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\' title=\'\'>Axis_Helper</a> object from the scene.</p>\n\
<p>Corresponds to toggling the &quot;Edit Working Pivot&quot; checkbutton in the Working Pivot rollout of the Hierarchy Tab in the Command Panel.</p>\n\
<div class=\'codeBlock\'><pre>WorkingPivot.UseMode : boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , enables the Use Working Pivot mode which switches the reference coordinate system to the matrix defined by the working pivot in Edit mode.</p>\n\
<p>When set to <span class=\'code\'>false</span>, Use Working Pivot mode is turned off and the reference coordinate system is switched back to the previous settings.</p>\n\
<p>Corresponds to toggling the &quot;Use Working Pivot&quot; checkbutton in the Working Pivot rollout of the Hierarchy Tab in the Command Panel.</p>\n\
<div class=\'codeBlock\'><pre>WorkingPivot.AxisSize : float : Read|Write \n\
</pre></div><p>Get/set the size of the<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Internal/Axis_Helper-Helper.html\' title=\'\'>Axis_Helper</a> object used as Working Pivot.</p>\n\
<p>The size value is either in world units or screen pixels depending on the <strong><span class=\'code\'>.AxisConstantScreenSize</span></strong> property.</p>\n\
<p>Not exposed to the <strong>3ds Max</strong> GUI.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-249A26AD-B5BA-4C65-ABBE-49AF9D38A002-low.gif\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;WorkingPivot.getTM() \n\
</pre></div><p>Returns the transformation matrix of the Working Pivot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WorkingPivot.setTM &lt;matrix3&gt;tm \n\
</pre></div><p>Sets the transformation matrix of the Working Pivot to the given matrix3 value. This can be used to reposition to Working Pivot using MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WorkingPivot.alignToView() \n\
</pre></div><p>Sets the transformation matrix of the Working Pivot to the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WorkingPivot.resetTMToNode &lt;node&gt;node \n\
</pre></div><p>Sets the transformation matrix of the Working Pivot to the transformation matrix of the supplied node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WorkingPivot.setPlacePivotViewMode &lt;boolean&gt;on &lt;boolean&gt;alignToView \n\
</pre></div><p>Controls the state of the Place Pivot To View mode.</p>\n\
<p>If the first argument is true, the Place Pivot To View mode will be enabled.</p>\n\
<p>If the first argument is false, the Place Pivot To View mode will be disabled.</p>\n\
<p>If the second argument is true, the Align To View option will be checked.</p>\n\
<p>If the second argument is false, the Align To View option will be unchecked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkingPivot.getPlacePivotViewMode() \n\
</pre></div><p>Returns the state of the Place Pivot To View mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WorkingPivot.setPlacePivotSurfaceMode &lt;boolean&gt;on &lt;boolean&gt;alignToView \n\
</pre></div><p>Controls the state of the Place Pivot To Surface mode.</p>\n\
<p>If the first argument is true, the Place Pivot To Surface mode will be enabled.</p>\n\
<p>If the first argument is false, the Place Pivot To Surface mode will be disabled.</p>\n\
<p>If the second argument is true, the Align To View option will be checked.</p>\n\
<p>If the second argument is false, the Align To View option will be unchecked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkingPivot.getPlacePivotSurfaceMode() \n\
</pre></div><p>Returns the state of the Place Pivot To Surface mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkingPivot.getPlacePivotAlignToView() \n\
</pre></div><p>Returns the state of the Align To View option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkingPivot.resetPivot() \n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>Resets the working pivot. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";