var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: WorkspaceManager</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: WorkspaceManager</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-workspacemanager\"></a></div>\n\
<p>The <strong>WorkspaceManager Core Interface</strong> exposes the features of the <strong>Manage Workspaces dialog</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F5C9A078-894B-462D-87D1-F3FEBC6FDD62-low.png\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.CreateNewWorkspace &lt;string&gt;identifier &lt;string&gt;friendlyName\n\
</pre></div><p>Creates a new Workspace with identifier string specified by the first argument and a user-friendly name specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;WorkspaceManager.GetWorkspaceCount()\n\
</pre></div><p>Returns the number of Workspaces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;WorkspaceManager.GetWorkspaceIdentifier &lt;index&gt;index\n\
</pre></div><p>Returns the Identifier of the indexed Workspace.</p>\n\
<p>The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;WorkspaceManager.GetWorkspaceName &lt;index&gt;index\n\
</pre></div><p>Returns the User-friendly Name of the indexed Workspace.</p>\n\
<p>The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;WorkspaceManager.GetWorkspaceNameWithIdentifier &lt;string&gt;identifier\n\
</pre></div><p>Returns the User-friendly Name of the Workspace with the given identifier string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;WorkspaceManager.GetCurrentWorkspaceIdentifier()\n\
</pre></div><p>Returns the identified or the current Workspace.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.SetCurrentWorkspaceByIdentifier &lt;string&gt;identifier\n\
</pre></div><p>Sets the current Workspace to the one with the given identifier string.</p>\n\
<p>Returns True on of the Workspace was set successfully, False if the identifier does not exist.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.DeleteWorkspace &lt;string&gt;identifier\n\
</pre></div><p>Deletes the Workspace with the given identifier.</p>\n\
<p>Returns True if the Workspace was deleted successfully, False if the identifier does not exist.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;WorkspaceManager.GetWriteDirectory()\n\
</pre></div><p>Returns the Workspace storage path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.SetWorkspaceName &lt;index&gt;index &lt;string&gt;name\n\
</pre></div><p>Sets the name of the indexed Workspace to the name specified by the second argument.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.SetWorkspaceNameWithIdentifier &lt;string&gt;identifier &lt;string&gt;name\n\
</pre></div><p>Sets the identifier string of the indexed Workspace to the name specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.ResetToDefaults &lt;string&gt;identifier\n\
</pre></div><p>Resets the Workspace with the specified identifier string to defaults.</p>\n\
<p>Returns True on success, False if the Workspace does not exist.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` format &quot;Workspaces Directory: %\\n&quot; (WorkspaceManager.GetWriteDirectory()) theCount = WorkspaceManager.GetWorkspaceCount() --get the number of workspaces for i = 1 to theCount do --loop through them (one-based!) and print them all ( theID = WorkspaceManager.GetWorkspaceIdentifier i --get the identifier theName = WorkspaceManager.GetWorkspaceName i --get the user-friendly name format &quot;%: ID:&#39;%&#39; Name:&#39;%&#39; \\n&quot; i theID theName --print the index, the identifier string and the name ) currentID = WorkspaceManager.GetCurrentWorkspaceIdentifier() --get the current workspace&#39;s indentifier currentName = WorkspaceManager.GetWorkspaceNameWithIdentifier currentID --get the current name WorkspaceManager.CreateNewWorkspace &quot;justtesting&quot; &quot;Testing&quot; --create a new workspace WorkspaceManager.SetCurrentWorkspaceByIdentifier &quot;justtesting&quot; --make the new workspace current WorkspaceManager.SetCurrentWorkspaceByIdentifier currentID --set the previous workspace as current WorkspaceManager.SetWorkspaceName (theCount+1) &quot;ToDelete&quot; --rename the new workspace by index WorkspaceManager.SetWorkspaceNameWithIdentifier &quot;justtesting&quot; &quot;NoReally&quot; --rename the new workspace by identifier WorkspaceManager.DeleteWorkspace &quot;justtesting&quot; --delete the new workspace by identifier</p>\n\
<p>```</p>\n\
<p><strong>LISTENER OUTPUT</strong></p>\n\
<p>``` Workspaces Directory: C:\\Users\\YourName\\AppData\\Local\\Autodesk\\3dsMax\\2013 - 64bit\\ENU\\en-US\\UI\\Workspaces\n\
  2 1: ID:&#39;alternate&#39; Name:&#39;Alternate&#39; 2: ID:&#39;standard&#39; Name:&#39;Standard&#39; &quot;standard&quot; &quot;Standard&quot; true true true true true true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.GetRunScript &lt;string&gt;identifier\n\
</pre></div><p>Returns the state of the Run Script option for the Workspace with the given identifier.</p>\n\
<p>When it is True, the Entry and Exit Scripts associated with the Workspace will be executed.</p>\n\
<p>When set to False, the scripts will be ignored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;WorkspaceManager.ToggleRunScript &lt;string&gt;identifier\n\
</pre></div><p>Toggles the Run Script option of the Workspace with the given identifier.</p>\n\
<p>This can be used together with <span class=\'code\'>WorkspaceManager.GetRunScript</span> to change the state of the option.</p>\n\
<p>For example, to turn the option on, you can check if it is currently set to False and toggle it if it is.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theWS = WorkspaceManager.GetWorkspaceIdentifier 1 if not (WorkspaceManager.GetRunScript theWS) do WorkspaceManager.ToggleRunScript theWS</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;WorkspaceManager.GetEntryScript &lt;string&gt;identifier\n\
</pre></div><p>Returns the filename of the Entry Script associated with the Workspace with the given identifier.</p>\n\
<p>The Entry Script is a MAXScript which is executed when the Workspace is loading.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.SetEntryScript &lt;string&gt;identifier &lt;filename&gt;script\n\
</pre></div><p>Associates the Entry Script filename specified by the second argument with the Workspace given by the identifier passed as first argument.</p>\n\
<p>Returns True on success, False if the identifier does not represent an existing Workspace.</p>\n\
<p>Note that this method does not check whether the specified script is valid or even exists at the specified path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;WorkspaceManager.GetExitScript &lt;string&gt;identifier\n\
</pre></div><p>Returns the filename of the Exit Script associated with the Workspace with the given identifier.</p>\n\
<p>The Exit Script is a MAXScript that is executed when the Workspace is exiting due to another Workspace being loaded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.SetExitScript &lt;string&gt;identifier &lt;filename&gt;script\n\
</pre></div><p>Associates the Exit Script filename specified by the second argument with the Workspace given by the identifier passed as first argument.</p>\n\
<p>Returns True on success, False if the identifier does not represent an existing Workspace.</p>\n\
<p>Note that this method does not check whether the specified script is valid or even exists at the specified path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;WorkspaceManager.GetAllSubsystemsCount()\n\
</pre></div><p>Returns the number of all sub-systems.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;WorkspaceManager.GetSubsystemName &lt;index&gt;index\n\
</pre></div><p>Returns the name of the indexed sub-system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.IsSubsystemSaving &lt;string&gt;identifier &lt;string&gt;subSystemIdentifier\n\
</pre></div><p>Returns True if the sub-system specified by name by the first argument will be saved when the Workspace with the identifier given by the second argument is saving, False otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.ToggleSubsystemSaving &lt;string&gt;identifier &lt;string&gt;subSystemIdentifier\n\
</pre></div><p>Toggles whether the indexed sub-system specified by the first argument will be saved when the Workspace with the identifier given by the second argument is saving.</p>\n\
<p>Returns the new saving state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WorkspaceManager.IsSystemWorkspace &lt;string&gt;identifier\n\
</pre></div><p>Returns True if the Workspace specified by the given identifier is a system workspace, False if it is not.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` for w = 1 to WorkspaceManager.GetWorkspaceCount() do ( theWS = WorkspaceManager.GetWorkspaceIdentifier w theWSName = WorkspaceManager.GetWorkspaceName w isSystem = WorkspaceManager.IsSystemWorkspace theWS format &quot;\\n%:% Workspace ID: % | Name:&quot;%&quot;\\n&quot; w (if isSystem then &quot;SYSTEM&quot; else &quot;Custom&quot;) theWS theWSName for i = 1 to WorkspaceManager.GetAllSubsystemsCount() do ( theName = (WorkspaceManager.GetSubsystemName i) isSaving = (WorkspaceManager.IsSubsystemSaving theName theWS) format &quot;\\t%: % | isSaving:%\\n&quot; i theName isSaving ) )</p>\n\
<p>```</p>\n\
<p><strong>SAMPLE OUTPUT</strong></p>\n\
<p>``` 1:SYSTEM Workspace ID: Workspace1 | Name:&quot;Workspace: Default&quot; 1: kMeta | isSaving:false 2: kCui | isSaving:true 3: kViewportPresets | isSaving:false 4: kMenu | isSaving:true 5: kHotkeys | isSaving:false 6: kRibbon | isSaving:false</p>\n\
<p>2:Custom Workspace ID: Workspace2 | Name:&quot;Alternate Layout&quot; 1: kMeta | isSaving:false 2: kCui | isSaving:true 3: kViewportPresets | isSaving:false 4: kMenu | isSaving:true 5: kHotkeys | isSaving:false 6: kRibbon | isSaving:false</p>\n\
<p>3:Custom Workspace ID: Workspace3 | Name:&quot;Viewport Layout Tab Presets&quot; 1: kMeta | isSaving:false 2: kCui | isSaving:true 3: kViewportPresets | isSaving:false 4: kMenu | isSaving:true 5: kHotkeys | isSaving:false 6: kRibbon | isSaving:false OK ```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";