var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: visualMS</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: visualMS</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-visualms\"></a></div>\n\
<p>The <strong>visualMS Core Interface</strong> exposes the Visual MAXScript editor.</p>\n\
<div class=\'codeBlock\'><pre>Interface: visualMS \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;visualMS.createForm()   \n\
</pre></div><p>Creates a VMS instance that is initially hidden. Call the Visual MAXScript form object’s .Open method to display it. See <strong>visualMSForm</strong> [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] below.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` MacroScript Launch_VMS ButtonText:&quot;Visual MAX Script Editor&quot; Category:&quot;MAX Script&quot; internalCategory:&quot;MAX Script&quot; Tooltip:&quot;Visual MAX Script Editor&quot; ( vms = visualMS.CreateForm() vms.Open() )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;visualMS.createFormFromFile &lt;filename&gt;  fileName \n\
</pre></div><p>Creates a VMS instance from the given MAXScript file.</p>\n\
<p><strong>Mixin Interface: visualMS.createForm(...)</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: visualMSForm \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:visualMSForm&gt;open() \n\
</pre></div><p>Opens the Visual MAXScript Form.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:visualMSForm&gt;close() \n\
</pre></div><p>Closes the Visual MAXScript Form.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:visualMSForm&gt;genScript &lt;&amp;string&gt;script \n\
\n\
script is In and Out parameter \n\
</pre></div><p>Generates a script from the Form. Writes the generated script into the by-reference variable. Returns true on success.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";