var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: walkThroughOps</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: walkThroughOps</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-walkthroughops\"></a></div>\n\
<p>The <strong>WalkThroughOps Core Interface</strong> provides access to the Walkthrough viewport navigation mode.</p>\n\
<div class=\'codeBlock\'><pre>Interface: walkThroughOps \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.isEnabled : boolean : Read   \n\
</pre></div><p>Returns true if walkthrough mode is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.isActive : boolean : Read \n\
</pre></div><p>Returns true if the walkthrough mode is active, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.stepSize : float : Read|Write \n\
</pre></div><p>Get/Set the step size value which controls the linear speed.</p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.sensitivity : float : Read|Write \n\
</pre></div><p>Get/Set the sensitivity value which controls the angular speed the higher the value, the faster the Pitch and Yaw.</p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.invertVertical : boolean : Read|Write \n\
</pre></div><p>When set to true, the vertical axis will be inverted - moving the mouse up will Pitch the camera up, moving the mouse down will Pitch down.</p>\n\
<p>When set to false(default), moving the mouse pointer up will rotate the camera to look down and vice-versa.</p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.lockVertical : boolean : Read|Write \n\
</pre></div><p>When set to true, no Pitch will be allowed.</p>\n\
<p>When set to false (default), looking up and down will be possible.</p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.lockHorizontal : boolean : Read|Write \n\
</pre></div><p>When set to true, no Yaw will be allowed.</p>\n\
<p>When set to false (default), looking left and right will be possible.</p>\n\
<div class=\'codeBlock\'><pre>walkThroughOps.accelerate : boolean : Read|Write \n\
</pre></div><p>When set to true, the linear speed will be adjusted relatively to the size of the scene.</p>\n\
<p>When false(default), the absolute step size will be used.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;walkThroughOps.start() \n\
</pre></div><p>Enables the walkthrough mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;walkThroughOps.stop() \n\
</pre></div><p>Disables the walkthrough mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;walkThroughOps.level() \n\
</pre></div><p>Aligns the view vector to be parallel to the XY world plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;walkThroughOps.resetStepSize() \n\
</pre></div><p>Resets the Step Size to the default value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";