var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: xViewChecker</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: xViewChecker</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-xviewchecker\"></a></div>\n\
<p>The <strong>xViewChecker Core Interface</strong> introduced in <strong>3ds Max 2010</strong> exposes properties and methods for interacting with the xView Geometry Checker feature.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>xViewChecker.on : boolean : Read|Write   \n\
</pre></div><p>Enable/Disable the xView Checker.</p>\n\
<div class=\'codeBlock\'><pre>xViewChecker.activeIndex : index : Read|Write   \n\
</pre></div><p>Get/Set the index of the active xView Checker.</p>\n\
<div class=\'codeBlock\'><pre>xViewChecker.seeThrough : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>See-Through</strong> option of the xView Checker.</p>\n\
<div class=\'codeBlock\'><pre>xViewChecker.autoUpdate : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the <strong>Auto Update</strong> option of the xView Checker. When set to true, the xView Checked will update automatically.</p>\n\
<div class=\'codeBlock\'><pre>xViewChecker.displayTextUpTop : boolean : Read|Write \n\
</pre></div><p>Get/Set the <strong>Display On Top</strong> option of the xView Checker.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;xViewChecker.getNumCheckers() \n\
</pre></div><p>Returns the number of registered xView Checkers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;xViewChecker.getCheckerName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the indexed xView Checker.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;xViewChecker.getCheckerID &lt;index&gt;index \n\
</pre></div><p>Returns the ID of the indexed xView Checker.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;xViewChecker.getActiveCheckerID() \n\
</pre></div><p>Returns the ID of the active xView Checker.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;xViewChecker.setActiveCheckerID &lt;integer&gt;ID \n\
</pre></div><p>Activates the xView Checker with the given ID. If Checking is active, the xView Checker will become the active one.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;xViewChecker.doesCheckerHavePropDlg &lt;index&gt;index \n\
</pre></div><p>Returns true if the indexed xView Checker has a properties dialog, false if it does not provide a properties dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;xViewChecker.showCheckerPropDlg &lt;index&gt;index \n\
</pre></div><p>Displays the Properties dialog of the indexed xView Checker. The index is <strong>ZERO-based</strong>!</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;xViewChecker.popupMenuSelect()\n\
</pre></div><p>Opens the xView Checker pop-up menu at the current mouse position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;xViewChecker.selectResults &lt;time&gt;time \n\
</pre></div><p>Selects the results at the given time. This will set the vertex, edge or face selection of the checked geometry objects based on the checker results.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;xViewChecker.getCurrentReturnVal() \n\
\n\
getCurrentReturnVal enums: {#Failed|#Vertices|#Edges|#Faces} \n\
</pre></div><p>Gets the current checker return value which can be one of the four possible name values corresponding to a Failed check or a successful vertex, edge or face check.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;xViewChecker.getCurrentOutputCount() \n\
</pre></div><p>Returns the current output count. This is the number of sub-object elements (vertices, edges or faces) detected by the current checker to match its search criteria.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;xViewChecker.getCurrentString() \n\
</pre></div><p>Returns the current string displayed by the checker in the top middle of the viewport. It could be used for logging checker results or displaying the results in alternative locations in the UI.</p>\n\
<div class=\'section\'><a id=\"defining-maxscript-functions-for-custom-geometry-checking\"></a><h2 id=\"defining-maxscript-functions-for-custom-geometry-checking\">Defining MAXScript Functions For Custom Geometry Checking</h2></div>\n\
<p>The following functions can be used to register custom MAXScript functions to implement user-defined xView Checkers not available in the list of shipping Checkers. They can also be used to run the checker, display theresults and unregister the Checker again.</p>\n\
<p>Note:</p>\n\
<p>Registering a new xView Checker using MAXScript will cause the new checker to appear on the list of checker shown at the bottom of the viewport when another checker is active, but will <strong>NOT</strong> put the checker automatically in the Viewport Menu which contains regular MacroScripts exposing the xView Checkers to the <strong>3ds Max</strong> Menu System as ActionItems.</p>\n\
<p>You will have to define a new MacroScript to expose your custom xView to the Menu System and will have to add it to the xViews menu either manually or using MAXScript. <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\' title=\'\'>See the fourth How To... tutorial for details</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;xViewChecker.unRegisterChecker &lt;string&gt;name \n\
</pre></div><p>Unregisters the custom xView Checker with the given name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;xViewChecker.registerChecker &lt;value&gt;checkerFunc &lt;value&gt;isSupportedFunc &lt;enum&gt;type &lt;string&gt;name &lt;value&gt;popupDlgFunc &lt;value&gt;textOverrideFunc &lt;value&gt;displayOverrideFunc \n\
\n\
type enums: {#Failed|#Vertices|#Edges|#Faces} \n\
</pre></div><p>Registers a xView Checker using custom MAXScript functions. When a function does not apply to the specific Checker, for example if no display override or text override is desired, the value of <span class=\'code\'>undefined</span> can be passed as argument instead - the Checker will ignore the respective functionality in that case.</p>\n\
<div class=\'section\'><a id=\"checkerfunc\"></a><h3 id=\"checkerfunc\">checkerFunc</h3></div>\n\
<p>This is the custom MAXScript function which will be called to perform the check.</p>\n\
<p>This function must expect three arguments - the time the check is performed at, the node to be checked and the by-reference array to store the results in. The array is passed empty and it is up to the function writer to implement the code that appends the indices of the sub-object elements considered for flagging to that array. That array will then be used by the display function (either the default one or a MAXScript displayOverride function) to highlight or select the specified sub-objects listed by index in the array.</p>\n\
<p>The return result of the function is expected to be an integer as follows:</p>\n\
<p>1: The results array contains vertex indices</p>\n\
<p>2: The results array contains edge indices</p>\n\
<p>3: The results array contains face indices</p>\n\
<p>0 or any other value not listed above: The check failed, no results to display.</p>\n\
<div class=\'section\'><a id=\"issupportedfunc\"></a><h3 id=\"issupportedfunc\">isSupportedFunc</h3></div>\n\
<p>This is the custom MAXScript function which will be called to determine whether a selected node can be tested or not. It should return true if the test is applicable to the node or false if the node should not be tested.</p>\n\
<div class=\'section\'><a id=\"type\"></a><h3 id=\"type\">type</h3></div>\n\
<p>This is an enum which defines the sub-object type which will be tested/displayed.</p>\n\
<p>Can be <span class=\'code\'>#Failed, #Vertices, #Edges</span> or <span class=\'code\'>#Faces</span> .</p>\n\
<div class=\'section\'><a id=\"name\"></a><h3 id=\"name\">name</h3></div>\n\
<p>This is a string defining the name of the test. It can be used to access the custom Geometry Checker later, unregister it or re-register it and so on.</p>\n\
<div class=\'section\'><a id=\"popupdlgfunc\"></a><h3 id=\"popupdlgfunc\">popupDlgFunc</h3></div>\n\
<p>This is a custom MAXScript function which can implement a custom setup dialog for the checker. If undefined is passed instead of a MAXScript function, no dialog button will be displayed for the Checker. It expects no arguments and does not have to return a specific value.</p>\n\
<div class=\'section\'><a id=\"textoverridefunc\"></a><h3 id=\"textoverridefunc\">textOverrideFunc</h3></div>\n\
<p>This is a custom MAXScript function which can return custom text to be displayed in the viewport next to the Checker&#39;s name. It should expect no arguments and return a string.</p>\n\
<div class=\'section\'><a id=\"displayoverridefunc\"></a><h3 id=\"displayoverridefunc\">displayOverrideFunc</h3></div>\n\
<p>This is a custom MAXScript function which can implement alternative display modes. If the value of undefined is passed instead of a MAXScript function, the default display methods of the Geometry Checker system will be used instead.</p>\n\
<p>The function should expect four arguments - the time, the node, the window handle of the active viewport and the results array generated by the checker function.</p>\n\
<p>This function can call the following method which uses almost the same arguments:</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;xViewChecker.displayResults &lt;color&gt;color &lt;time&gt;time &lt;node&gt;node &lt;HWND&gt;hwnd &lt;enum&gt;type &lt;&amp;index array&gt;results \n\
\n\
type enums: {#Failed|#Vertices|#Edges|#Faces} \n\
results is In and Out parameter \n\
</pre></div><p>Displays the results of the current Checker. This method can be used inside a custom displayOverride function to change the default checker display appearance, for example the colors to use, or what sub-object elements to highlight.</p>\n\
<div class=\'section\'><a id=\"color\"></a><h3 id=\"color\">color</h3></div>\n\
<p>defines the color to display the results in the viewport.</p>\n\
<div class=\'section\'><a id=\"time\"></a><h3 id=\"time\">time</h3></div>\n\
<p>defines the time at which the check was performed.</p>\n\
<div class=\'section\'><a id=\"node\"></a><h3 id=\"node\">node</h3></div>\n\
<p>defines the node to display the results for.</p>\n\
<div class=\'section\'><a id=\"hwnd\"></a><h3 id=\"hwnd\">hwnd</h3></div>\n\
<p>defines the window handle passed by the displayOverride function.</p>\n\
<div class=\'section\'><a id=\"type-1\"></a><h3 id=\"type-1\">type</h3></div>\n\
<p>defines the sub-object type to display, either <span class=\'code\'>#Failed, #Vertices, #Edges</span> or <span class=\'code\'>#Faces</span> .</p>\n\
<div class=\'section\'><a id=\"results\"></a><h3 id=\"results\">results</h3></div>\n\
<p>is the by-reference array with the 1-based indices of the sub-objects to display. Usually this is the results array created by the Geometry Checker MAXScript function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;xViewChecker.runCheck &lt;time&gt;time \n\
</pre></div><p>Runs the xView Check at the current time. This can be used to perform the check and refresh the display.</p>\n\
<p><strong>For practical examples of using these methods, see the following How To... tutorials:</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\' title=\'\'>How To ... Develop A Face AreaxViewChecker - Part 1</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\' title=\'\'>How To... Develop A Face AreaxViewChecker - Part2</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\' title=\'\'>How To... Develop A Face AreaxViewChecker - Part3</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\' title=\'\'>How To ... Develop A Face Area xView Checker - Part 4</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";