var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Increasing Performance when Searching for Interfaces and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Increasing Performance when Searching for Interfaces and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"increasing-performance-when-searching-for-interfaces-and-methods\"></a></div>\n\
<p>Searching for an interface and a method in an interface can be slow. Especially when calling the same method multiple times in a loop, for example in order to affect multiple vertices, faces, normals, objects etc., performance can decrease significantly.</p>\n\
<p>To speed up access to methods in interfaces, you can let MAXScript search for the interface and method once and then access the method directly in the loop.</p>\n\
<blockquote>\n\
<p><strong>INSTEAD OF SAYING</strong></p>\n\
<p>``` for i = 1 to 100 do myObject.edit_normals.setNormal i myNormals[i]</p>\n\
<p>```</p>\n\
<p><strong>YOU SHOULD SAY</strong></p>\n\
<p>``` EN_setNormal = myObject.edit_normals.setNormal -- the method for i = 1 to 100 do EN_setNormal i myNormals[i]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This way, the required interface and method will be searched for just once, and then accessed directly multiple times in the loop without searching.</p>\n\
<blockquote>\n\
<p><strong>ANOTHER WAY (NOT AS FAST AS THE ABOVE) WOULD BE</strong></p>\n\
<p>``` EN_mod_i = myObject.edit_normals.EditNormalsMod -- the interface for i = 1 to 100 do EN_mod_i.setNormal i myNormals[i]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In this case, the interface will be searched for just once, but the method will be searched for multiple times. If you intend to access many methods from the same interface, this way would be still faster than searching for both interface and method inside the loop.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";