var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: INodeBakeProjProperties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: INodeBakeProjProperties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-inodebakeprojproperties\"></a></div>\n\
<p>This node interface exposes properties related to the texture baking projection settings of the object. See also the related <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeBakeProperties.html\' title=\'\'>Interface INodeBakeProperties</a> topic.</p>\n\
<div class=\'codeBlock\'><pre>Interface: INodeBakeProjProperties \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.enabled : boolean : Read|Write   \n\
</pre></div><p>Enable/Disable Projection Baking for the node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.projectionMod : maxObject : Read|Write \n\
</pre></div><p>Get/Set the Projection Modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.projectionModTarget : string : Read|Write \n\
</pre></div><p>Get/Set the Projection Modifier Target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.cropAlpha : boolean : Read|Write \n\
</pre></div><p>Get/Set whether Alpha will be cropped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.projSpace : enum : Read|Write \n\
\n\
projSpace enums: {#raytrace|#uvw_match} \n\
</pre></div><p>Get/Set the Projection Space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.normalSpace : enum : Read|Write \n\
\n\
normalSpace enums: {#world|#screen|#local|#tangent} \n\
</pre></div><p>Get/Set the Normal Space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.tangentYDir : enum : Read|Write \n\
\n\
tangentYDir enums: {#Y_Up|#Y_Down} \n\
</pre></div><p>Get/Set the Y Tangent Direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.tangentXDir : enum : Read|Write \n\
\n\
tangentXDir enums: {#X_Right|#X_Left} \n\
</pre></div><p>Get/Set the X Tangent Direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.useCage : boolean : Read|Write \n\
</pre></div><p>Get/Set whether to use the Cage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.rayOffset : float : Read|Write \n\
</pre></div><p>Get/Set the Ray Offset value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.hitResolveMode : enum : Read|Write \n\
\n\
hitResolveMode enums: {#closest|#furthest} \n\
</pre></div><p>Get/Set the Hit Resolve Mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.hitMatchMtlID : boolean : Read|Write \n\
</pre></div><p>Get/Set whether to match the Material IDs when projecting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.hitWorkingModel : boolean : Read|Write \n\
&lt;node&gt;.warnRayMiss : boolean : Read|Write \n\
</pre></div><p>Get/Set whether to warn of missed ray hits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.rayMissColor : color : Read|Write \n\
</pre></div><p>Get/Set the warn color for missed ray hits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.heightMapMin : float : Read|Write \n\
</pre></div><p>Get/Set the HeightMap Min. Value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.heightMapMax : float : Read|Write \n\
</pre></div><p>Get/Set the HeightMap Max. Value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.heightBufMin : float : Read|Write \n\
&lt;node&gt;.heightBufMax : float : Read|Write \n\
&lt;node&gt;.BakeObjectLevel : boolean : Read|Write \n\
&lt;node&gt;.BakeSubObjLevels : boolean : Read|Write \n\
&lt;node&gt;.useObjectBakeForMtl : boolean : Read|Write \n\
&lt;node&gt;.proportionalOutput : boolean : Read|Write \n\
&lt;node&gt;.subObjBakeChannel : integer : Read|Write \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;node&gt;.removeBakeElementByIndex &lt;index&gt;elementIndex \n\
</pre></div><p>Removes the indexed Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;node&gt;.getBakeElement &lt;index&gt;index \n\
</pre></div><p>Returns the indexed Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;node&gt;.findByName &lt;string&gt;elementName \n\
</pre></div><p>Returns the index of the Bake Element with the supplied name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;node&gt;.paramName &lt;maxObject&gt;element &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the name of the indexed parameter in the supplied Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;node&gt;.paramType &lt;maxObject&gt;element &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the type of the indexed parameter in the supplied Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;node&gt;.paramValue &lt;maxObject&gt;element &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the value of the indexed parameter in the supplied Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;node&gt;.setParamValue &lt;maxObject&gt;element &lt;index&gt;paramIndex &lt;integer&gt;paramValue \n\
</pre></div><p>Sets the value of the indexed parameter in the supplied Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;node&gt;.findParam &lt;maxObject&gt;element &lt;string&gt;paramName \n\
</pre></div><p>Returns the index of the supplied parameter name in the supplied Bake Element.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";