var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: IAssembly</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: IAssembly</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-iassembly\"></a></div>\n\
<p>This is a Node Interface providing access to the Assembly head and member related properties of a node.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.assemblyMember : boolean : Read|Write     \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node is an Assembly Member, <span class=\'code\'>false</span> if it isn’t.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.assemblyHead : boolean : Read|Write   \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node is an Assembly Head, <span class=\'code\'>false</span> if it isn’t.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.assemblyMemberOpen : boolean : Read|Write \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node is a Member of an open Assembly, <span class=\'code\'>false</span> is the Assembly is closed or the node is not a Member of an Assembly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.assemblyHeadOpen : boolean : Read|Write \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node is a Head of an open Assembly, <span class=\'code\'>false</span> if the Assembly is closed or the node is not a Head of an Assembly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.assemblyBBoxDisplay : boolean : Read|Write \n\
</pre></div><p>Get/set the bounding box display.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- find all top level assembly heads for obj in objects do if obj.assemblyHead and not obj.isAssemblyMember do print obj.name</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p>Warning: While these properties are Read/Write, <strong>setting</strong> these properties can result in <strong>unpredictable behavior</strong>! Only set these properties if you really know what you are doing!</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";