var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface : INode</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface : INode</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-inode\"></a></div>\n\
<p>This represents a <strong>Node Interface</strong> providing access to some properties and methods available in all nodes.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.vertexColorType : enum : Read|Write     \n\
\n\
vertexColorType enums: {#color | #illum | #alpha | #color_plus_illum | #soft_select | #map_channel}   \n\
</pre></div><p>Gets/Sets the vertex color display type.</p>\n\
<div class=\'codeBlock\'><pre>.vertexColorMapChannel : integer : Read|Write \n\
</pre></div><p>Gets/Set the map channel used for vertex colors when <span class=\'code\'>.vertexColorType is set to the new</span> enum value <span class=\'code\'>#map_channel</span> .</p>\n\
<div class=\'codeBlock\'><pre>.posInParent : point3 : Read \n\
</pre></div><p>Gets the node’s position relatively to its parent. When the parent is undefined (node is child of the world), returns the world position.</p>\n\
<div class=\'codeBlock\'><pre>.rotInParent : point3 : Read \n\
</pre></div><p>Gets the node’s rotation relatively to its parent.</p>\n\
<div class=\'codeBlock\'><pre>.scaleInParent : point3 : Read \n\
</pre></div><p>Gets the node’s scale relatively to its parent.</p>\n\
<div class=\'codeBlock\'><pre>.scaleOrientInParent : quat : Read \n\
</pre></div><p>Gets the node’s scale orientation relatively to its parent.</p>\n\
<div class=\'codeBlock\'><pre>.boneEnable : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the node’s Bone property.</p>\n\
<div class=\'codeBlock\'><pre>.posTaskWeight : float : Read|Write \n\
</pre></div><p>Gets/Sets the the Bind Position Weight value under the Hierarchy &gt; IK. Panel.</p>\n\
<div class=\'codeBlock\'><pre>.rotTaskWeight : float : Read|Write \n\
</pre></div><p>Gets/Sets the the Bind Orientation Weight value under the Hierarchy &gt; IK. Panel.</p>\n\
<div class=\'codeBlock\'><pre>.boneAutoAlign : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the the node’s AutoAlign Bone property. When turned off, the bone&#39;s pivot point will not align to its child object. The translation of a child bone will not be converted into rotation of the parent. Instead the child will be allowed to move away from the parent&#39;s X-axis.</p>\n\
<p>Note:</p>\n\
<p>Changing the state of this check box will <strong>not</strong> have an immediate visual effect on the skeleton. It only affects future behavior when bones are moved. This option is only available if Bone is off.</p>\n\
<div class=\'codeBlock\'><pre>.boneFreezeLength : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the the node’s Freeze Length property. When turned on, the bone maintains its length. When turned off, the bone&#39;s length is based on the translation of its child bone. This option is available only if Auto-Align is on.</p>\n\
<div class=\'codeBlock\'><pre>.boneScaleType : enum : Read|Write \n\
\n\
boneScaleType enums : {#scale|#squash|#none} \n\
</pre></div><p>Gets/Sets the the node’s Bone Scale Type property.</p>\n\
<p><span class=\'code\'>Scale:</span> Lets the bone scale. The stretch happens along one axis.</p>\n\
<p><span class=\'code\'>Squash:</span> Lets the bone squash. The bone gets fatter as it gets shorter, and thinner as it gets longer.</p>\n\
<p><span class=\'code\'>None:</span> No stretch takes place.</p>\n\
<div class=\'codeBlock\'><pre>.stretchTM : matrix3 by value : Read \n\
</pre></div><p>Gets the the node’s Stretch Transformation Matrix. Normally, matrix concatenation occurs in the following manner:</p>\n\
<p>objectTM = objectOffsetTM * stretchTM * nodeTM</p>\n\
<p>So code that uses the objectTM will transparently inherit the effects of the stretchTM. However if you want the stretchTM included but not the object offset, this property will return the stretchTM alone. If the node is not a bone or has no stretching, this property will return the identity matrix.</p>\n\
<div class=\'codeBlock\'><pre>.boneAxis : enum : Read|Write \n\
\n\
boneAxise nums : {#X | #Y | #Z} \n\
</pre></div><p>Gets/Sets the node’s Bone Axis.</p>\n\
<div class=\'codeBlock\'><pre>.boneAxisFlip : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the node’s Bone Flip Axis option.</p>\n\
<div class=\'codeBlock\'><pre>.primaryVisibility : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the node’s Visible to Camera option.</p>\n\
<div class=\'codeBlock\'><pre>.secondaryVisibility : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the node’s Visible to Reflection/Refraction option.</p>\n\
<div class=\'codeBlock\'><pre>.applyAtmospherics : boolean : Read|Write \n\
</pre></div><p>Gets/Sets the node’s Apply Atmospherics option.</p>\n\
<div class=\'codeBlock\'><pre>.showVertexColors : integer : Read|Write \n\
</pre></div><p>Gets/Sets the node’s Show Vertex Colors option.</p>\n\
<div class=\'codeBlock\'><pre>.shadeVertexColors : integer : Read|Write \n\
</pre></div><p>Gets/Sets the node’s Shade Vertex Colors option.</p>\n\
<div class=\'codeBlock\'><pre>.handle : integer : Read \n\
</pre></div><p>Gets the node’s handle. It provides a unique identifier independent from the object’s name.</p>\n\
<div class=\'codeBlock\'><pre>.isSceneXRefNode : boolean : Read\n\
</pre></div><p>Contains True if the node is part of a Scene XRef, False otherwise.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>.wasLoadedByLastMerge : boolean : Read\n\
</pre></div><p>Contains True of the node was loaded by the last merge operation, for example with <span class=\'code\'>mergeMaxfFile()</span>, False otherwise.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setBoneEnable &lt;boolean&gt;onOff &lt;time&gt;time \n\
</pre></div><p>Enables/Dsiables the bone.</p>\n\
<p>When the first argument is True, the bone or object behaves as a bone. Turning this option off causes the node to stop behaving like a bone. There is no auto alignment or stretching. Note that turning this option on will not cause the object to immediately align or stretch. However future translations of children may cause rotation and stretching. Default is True or bone objects, False for other objects.</p>\n\
<p>The second argument specifies the time at which to calculate and store initial child position. This is usually used with the current time slider position. The time associated with the time slider can be queried and set using the sliderTime global variable.<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\' title=\'\'>Time Control</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;realignBoneToChild() \n\
</pre></div><p>Rotates the node such that its X axis points at the average position of all children with the bone property turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;resetBoneStretch() \n\
</pre></div><p>Resets the initial child position used to compute the stretch factor to the current child position. This will cause the stretch factor to become equal to one. If it was previously not equal to one then the object would snap to its original unstretched state.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";