var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: INodeBakeProperties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: INodeBakeProperties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-inodebakeproperties\"></a></div>\n\
<p>This represents the Node Interface to the node’s Texture Baking properties.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.bakeEnabled : boolean : Read|Write    \n\
</pre></div><p>Enables/Disables Texture Baking for the node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.bakeChannel : integer : Read|Write   \n\
</pre></div><p>Gets/Sets the Texure Baking channel of the node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.nDilations : integer : Read|Write \n\
</pre></div><p>Gets/Sets the nDilation value of the node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.flags: integer : Read|Write \n\
</pre></div><p>Gets/Sets the Texture Baking flags.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.surfaceArea : float : Read|Write \n\
</pre></div><p>Gets/Sets the Texture Baking Surface Area.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.areaScale : float : Read|Write \n\
</pre></div><p>Gets/Sets the Texture Baking Area Scaling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.activeOriginX : float : Read|Write \n\
</pre></div><p>Gets/Sets the Texture Baking Active Origin X coordinate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.activeOriginY : float : Read|Write \n\
</pre></div><p>Gets/Sets the Texture Baking Active Origin Y coordinate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.activeWidth : float : Read|Write \n\
</pre></div><p>Gets/Sets the Texture Baking Active Width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Node&gt;.activeHeight : float : Read|Write \n\
</pre></div><p>Gets/Sets the Texture Baking Active Height.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Node&gt;.addBakeElement &lt;maxObject&gt;element \n\
</pre></div><p>Adds a Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Node&gt;.removeBakeElement &lt;maxObject&gt;element \n\
</pre></div><p>Removes a Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Node&gt;.removeBakeElementByIndex &lt;integer&gt;elementIndex \n\
</pre></div><p>Removes the indexed Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Node&gt;.removeBakeElementByName &lt;string&gt;elementName \n\
</pre></div><p>Removes the Bake Element specified by the name string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Node&gt;.removeAllBakeElements() \n\
</pre></div><p>Removes all BakeElements.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.numBakeElements() \n\
</pre></div><p>Returns the number of Bake Elements.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;Node&gt;.getBakeElement &lt;integer&gt;index \n\
</pre></div><p>Returns the indexed Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.findByName &lt;string&gt;elementName \n\
</pre></div><p>Returns the index of the named Bake Element .</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.renderWidth() \n\
</pre></div><p>Returns the rendering width in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.renderHeight() \n\
</pre></div><p>Returns the rendering height in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Node&gt;.effectiveEnable() \n\
</pre></div><p>Returns the enabled state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.nParams() \n\
</pre></div><p>Returns the number of available parameters in the Bake Element.</p>\n\
<p>The following methods provide indexed access to Bake Element parameters. Using these methods, a script can manipulate the state of specific Bake Element properties without knowledge of the classes of the separate Bake Elements.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.numElementParams &lt;maxObject&gt;element \n\
</pre></div><p>Returns the number of available parameters in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;Node&gt;.paramName &lt;maxObject&gt;element&lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the name of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.paramType &lt;maxObject&gt;element&lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the type of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;&lt;Node&gt;.paramValue &lt;maxObject&gt;element&lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the value of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Node&gt;.setParamValue &lt;maxObject&gt;element &lt;integer&gt;paramIndex &lt;value&gt;paramValue \n\
</pre></div><p>Sets the value of the indexed parameter in the Bake Element to the supplied value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;&lt;Node&gt;.paramValueMin &lt;maxObject&gt;element &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the min. value of the indexed parameter in the Bake Element. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;&lt;Node&gt;.paramValueMax &lt;maxObject&gt;element &lt;index&gt;paramIndex \n\
</pre></div><p>Returns the max. value of the indexed parameter in the Bake Element. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Node&gt;.findParam &lt;maxObject&gt;element &lt;string&gt;paramName \n\
</pre></div><p>Returns the index of the named parameter in the Bake Element.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- create a new BlendMap Bake Element be = BlendMap() --&gt; ReferenceTarget:BlendMap -- create a new Box object and get its INodeBakeProperties interface bx = Box() bi = bx.INodeBakeProperties --&gt; <mixininterface:inodebakeproperties> -- add the new BakeElement to the node bi.addBakeElement be --&gt; true -- get the number of available parameters bi.numElementParams be --&gt; 8 -- output the name, type and value of all 8 parameters for i = 1 to 8 do format &quot;% % %\\n&quot; (bi.paramName be i) (bi.paramType be i) (bi.paramValue be i) --&gt; Lighting 1 1 --&gt; Shadows 0 1 --&gt; Diffuse 0 1 --&gt; Ambient 0 1 --&gt; Specular 0 1 --&gt; Self-Illum 0 1 --&gt; Reflection 0 1 --&gt; Refraction 0 1 --&gt; OK -- check the value of paramter 1 (Lighting) - 1 means True bi.paramValue be 1 --&gt; 1 -- check the actual Lighting property &amp;endash; it is really True be.Lighting --&gt; true -- to change the Lighting to False, set the parameter value to 0 bi.setParamValue be 1 0 --&gt; OK -- check to see the new value bi.paramValue be 1 --&gt; 0 -- check to see that the property of the BakeElement has changed... be.Lighting --&gt; false<p>\n\
<p>```</p>\n\
</mixininterface:inodebakeproperties></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";