var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: INodeGIProperties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: INodeGIProperties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-inodegiproperties\"></a></div>\n\
<p>This Node Interface exposes the node’s Global Illumination Properties. These properties correspond to the UI controls found in the &quot;Adv. Lighting&quot; tab of the Object Properties dialog in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-13C0898B-41FA-4E60-A3F8-0375E250E159-low.gif\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.isGIExcluded : boolean : Read|Write   \n\
</pre></div><p>Corresponds to the <strong>Exclude from Radiosity Processing</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<p>Note: Since hidden objects are NEVER considered by the radiosity processing, setting <span class=\'code\'>.isGIExcluded</span> to <span class=\'code\'>false</span> for hidden objects will have no practical effect on them - they will NOT be processed unless unhidden!</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIByLayer : boolean : Read|Write   \n\
</pre></div><p>Corresponds to the <strong>By Layer / By Object</strong> checkbutton in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'section\'><a id=\"adv.lighting-general-properties\"></a><h2 id=\"adv.lighting-general-properties\">Adv.Lighting General Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.isGIOccluder : boolean : Read|Write   \n\
</pre></div><p>Corresponds to the <strong>Cast Shadows</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.isGIReceiver : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Receive Illumination</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIRayMult : float : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Num. Regathering Rays Multiplier</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'section\'><a id=\"radiosity-only-properties\"></a><h2 id=\"radiosity-only-properties\">Radiosity-only Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.isGIDiffuse : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Diffuse (reflective &amp; translucent)</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.isGISpecular : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Specular (reflective &amp; translucent)</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.isGIExcludedFromRegather : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Exclude from Regathering</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'section\'><a id=\"object-subdivision-settings\"></a><h2 id=\"object-subdivision-settings\">Object Subdivision Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIUseGlobalMeshing : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Use Global Subdivision Settings</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIMeshingEnabled : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Subdivide checkbox</strong> in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIUseAdaptiveSubdivision : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Use Adaptive Subdivision</strong> checkbox in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"mesh-settings\"></a><h2 id=\"mesh-settings\">Mesh Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIMeshSize : worldUnits : Read|Write|Validated by Range: 0.01 to 1e+009 \n\
</pre></div><p>Corresponds to the <strong>Max.Mesh Size</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIMinMeshSize : float : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Min.Mesh Size</strong> value in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIContrastThreshold : float : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Contrast Threshold</strong> value in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.GIInitialMeshSize : float : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Initial Mesh Size</strong> value in the Object Properties &gt; Adv. Lighting tab. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.nbGIRefineSteps : integer : Read|Write|Validated by Range: 0 to 65535 \n\
</pre></div><p>Corresponds to the <strong>Refine Iterations</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.nbGIRefineStepsDone : integer : Read|Write|Validated by Range: 0 to 65535 \n\
</pre></div><p>Corresponds to the <strong>Iterations Done</strong> value in the Object Properties &gt; Adv. Lighting tab</p>\n\
<div class=\'section\'><a id=\"light-object-radiosity-properties\"></a><h2 id=\"light-object-radiosity-properties\">Light Object Radiosity Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.storeIllumToMesh : boolean : Read|Write \n\
</pre></div><p>Corresponds to the <strong>Store Direct Illumination in Mesh</strong> checkbox in the Object Properties &gt; Adv. Lighting tab</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Create a box which is excluded from Radiosity Processing b = box isGIExcluded:true --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000] --Include the box in Radiosity Processing again b.isGIExcluded = false --&gt; false --Uncheck the Receive Illumination property b.isGIReceiver = false --&gt; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";