var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: INodeLayerProperties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: INodeLayerProperties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-inodelayerproperties\"></a></div>\n\
<p>This represents the interface to the node’s Layer Properties. These properties correspond to UI controls found in different areas of the Object Properties dialog.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.layer : Interface : Read      \n\
</pre></div><p>Returns a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\' title=\'\'>LayerProperties</a><a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a> giving access to the object’s layer properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.displayByLayer : boolean : Read|Write   \n\
</pre></div><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; General tab &gt; Display Properties. When <span class=\'code\'>true</span> , the layer’s Display Properties settings will be used. When <span class=\'code\'>false</span> , the object’s Display Properties settings will be used instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.renderByLayer : boolean : Read|Write \n\
</pre></div><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; General tab &gt; Rendering Control. When <span class=\'code\'>true</span> , the layer’s Rendering Controls settings will be used. When <span class=\'code\'>false</span> , the object’s Rendering Controls will be used instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.motionByLayer : boolean : Read|Write \n\
</pre></div><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; General tab &gt; Motion Blur. When <span class=\'code\'>true</span> , the layer’s Motion Blur settings will be used. When <span class=\'code\'>false</span> , the object’s Motion Blur settings will be used instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.colorByLayer : boolean : Read|Write \n\
</pre></div><p>When <span class=\'code\'>true</span> , the object will use the Layer’s color. When <span class=\'code\'>false</span> , the object’s color will be used instead. This affects the Layer Color switch in the Layer Properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.globalIlluminationByLayer : boolean : Read|Write \n\
</pre></div><p>Corresponds to the By Layer / By Object checkbutton in the Object Properties &gt; Adv. Lighting tab. This is identical to the <span class=\'code\'>.GIByLayer</span> property exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\' title=\'\'>INodeGIProperties</a> Node Interface.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";