var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SkinPose</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SkinPose</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-skinpose\"></a></div>\n\
<p>This is a <strong>Node Interface</strong> providing access to the general node posing capabilities.</p>\n\
<p>It does <strong>not</strong> require a Skin modifier in order to be accessed.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinPos : point3 by value : Read|Write    \n\
</pre></div><p>Get/Set the value of the position part of the transformation pose.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinRot : point3 by value : Read|Write   \n\
</pre></div><p>Get/Set the value of the rotation part of the transformation pose - Euler angle in position XYZ</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinScale : point3 by value : Read|Write \n\
</pre></div><p>Get/Set the value of the scale part of the transformation pose - Point3 as scale factors x, y, and z</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinScaleOrient : quat by value : Read|Write \n\
</pre></div><p>Get/Set the orientation of the scale factor axes</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinPosEnabled : boolean : Read|Write \n\
</pre></div><p>Check whether the pose position is enabled / Enable the pose position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinRotEnabled : boolean : Read|Write \n\
</pre></div><p>Check whether the pose rotation is enabled / Enable the pose rotation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinScaleEnabled : boolean : Read|Write \n\
</pre></div><p>Check whether the pose scale is enabled / Enable the pose scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.skinPoseMode : boolean : Read|Write \n\
</pre></div><p>Check whether the node transformation is in pose mode / Enable the pose mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;node&gt;.setSkinPose() \n\
</pre></div><p>Sets the state of all three non-animatied skin pose transforms to the animated normal pose</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;node&gt;.assumeSkinPose()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";