var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NodeExposureInterface Struct Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NodeExposureInterface Struct Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nodeexposureinterface-struct-methods\"></a></div>\n\
<p>The <strong>NodeExposureInterface</strong> structure provides methods to create a <strong>INodeExposureR Interface</strong> for a given node and get an existing interface from a node.</p>\n\
<p>The Node Exposure Interface can be used to define the exposure of a scene node to various areas of the <strong>3ds Max</strong> User Interface. By default, all scene nodes are visible to all areas of the 3ds Max UI, but by creating a Node Exposure Interface and changing the exposure settings in it, a node could be excluded from sub-systems like the Select By Name dialog, the Schematic View and the Track View.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;INodeExposureR Interface&gt;NodeExposureInterface.Create &lt;node&gt;    \n\
</pre></div><p>Creates the node exposure interface if not already present, and returns the INodeExposureR Interface value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;INodeExposureR Interface&gt;NodeExposureInterface.Get &lt;node&gt;   \n\
</pre></div><p>Returns the node exposure interface if already created, otherwise returns &#39;undefined&#39;</p>\n\
<p><strong>Both methods return a Function Published Interface value:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: INodeExposureR \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;INodeExposureR&gt;.isExposed &lt;integer&gt;ui \n\
</pre></div><p>Returns true if the the node is exposed to the UI sub-system corresponding to the 0-based index.</p>\n\
<p>Possible values for &#39;ui&#39; are:</p>\n\
<p>0 - SelectObjects (Select By Name dialog)</p>\n\
<p>1 - SchematicView</p>\n\
<p>2 - Maxscript -- currently unsupported</p>\n\
<p>3 - Merge -- currently unsupported</p>\n\
<p>4 - MergeAnimation -- currently unsupported</p>\n\
<p>5 - Replace -- currently unsupported</p>\n\
<p>6 - KeyEditor</p>\n\
<p>7 - CurveEditor</p>\n\
<p>8 - RangeEditor</p>\n\
<p>As noted above, values 2 through 5 currently have no affect!</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;INodeExposureR&gt;.SetExposedInAll &lt;boolean&gt;state \n\
</pre></div><p>This method sets all node exposures to the given Boolean value.</p>\n\
<p>If the argument is <span class=\'code\'>false</span> , the node will be excluded from all UI areas of exposure.</p>\n\
<p>If the argument is <span class=\'code\'>true</span> , the node will be exposed to all UI sub-systems.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;INodeExposureR&gt;.SetExposed &lt;boolean&gt;state &lt;integer&gt;ui \n\
</pre></div><p>This method sets the node exposure for thespecific UI area defined by the second argument to the Boolean value defined by the first argument.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` theNode = Sphere() theInterface = NodeExposureInterface.Create theNode theInterface.SetExposed false 0</p>\n\
<p>```</p>\n\
<p>will make the newly created sphere invisible to the Select By Name dialog.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;INodeExposureR&gt;.BakeExposure() \n\
</pre></div><p>See &#39;Class INodeExposure&#39; in the SDK help file for more information on this interface.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";