var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: BakeElementProperties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: BakeElementProperties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-bakeelementproperties\"></a></div>\n\
<p>The <strong>BakeElementProperties Interface</strong> is exposed by all Bake Element and provides access to their properties using indexed access.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\' title=\'\'>Interface: INodeBakeProperties</a> interface.</p>\n\
<div class=\'codeBlock\'><pre>Interface: BakeElementProperties \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.backgroundColor : color : Read|Write    \n\
</pre></div><p>Get/Set the background color of the Bake Element. Default is (color 0 0 0 0).</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;nParams()   \n\
</pre></div><p>Returns the number of parameters in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;paramName &lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the name of the indexed parameters in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;paramType &lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the type of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getParamValue &lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the value of the indexed parameters in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParamValue &lt;integer&gt;paramIndex &lt;integer&gt;newValue \n\
</pre></div><p>Sets the value of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getParamFPValue &lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the FPValue of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setParamFPValue &lt;integer&gt;paramIndex &lt;value&gt;newValue \n\
</pre></div><p>Sets the value of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getParamFPValueMin &lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the minimum FPValue of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;getParamFPValueMax &lt;integer&gt;paramIndex \n\
</pre></div><p>Returns the maximum FPValue of the indexed parameter in the Bake Element.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;findParam &lt;string&gt;paramName \n\
</pre></div><p>Returns the index of the named parameter in the Bake Element.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` -- create a new BlendMap Bake Element be = BlendMap() --&gt; ReferenceTarget:BlendMap be.nParams() --&gt; 8 for i = 1 to be.nParams() do format &quot;%: Type:% Value:% FPValue:% Min:% Max:%\\n&quot;<br> i (be.paramName i) (be.ParamType i) (be.getParamValue i)<br> (be.getParamFPValue i) (be.getParamFPValueMin i)<br> (be.getParamFPValueMax i) --&gt; 1: Type:Lighting Value:1 FPValue:1 Min:1 Max:-999999999 --&gt; 2: Type:Shadows Value:1 FPValue:1 Min:1 Max:-999999999 --&gt; 3: Type:Diffuse Value:1 FPValue:1 Min:1 Max:-999999999 --&gt; 4: Type:Ambient Value:1 FPValue:1 Min:1 Max:-999999999 --&gt; 5: Type:Specular Value:1 FPValue:1 Min:1 Max:-999999999 --&gt; 6: Type:Self-Illum Value:1 FPValue:1 Min:1 Max:-999999999 --&gt; 7: Type:Reflection Value:1 FPValue:1 Min:1 Max:-999999999 --&gt; 8: Type:Refraction Value:1 FPValue:1 Min:1 Max:-999999999</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";