var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LayerProperties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LayerProperties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-layerproperties\"></a></div>\n\
<p><span class=\'code\'>LayerProperties</span> is a MixinInterface providing access to a specific layer&#39;s properties.</p>\n\
<p>This interface is returned by some methods in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LayerManager.html\' title=\'\'>Interface: LayerManager</a> core interface and the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\' title=\'\'>Interface: INodeLayerProperties</a> node interface.</p>\n\
<div class=\'codeBlock\'><pre>Interface: LayerProperties\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.on : boolean : Read|Write      \n\
</pre></div><p>Get/Set the Enabled state of the layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.lock : boolean : Read|Write   \n\
</pre></div><p>Get/Set the Locked state of the layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.current : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the layer is the Current layer.</p>\n\
<p>Note:</p>\n\
<p>Can only be set to <span class=\'code\'>true</span> !</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.wireColor : color by value : Read|Write \n\
</pre></div><p>Get/Set the Wireframe Color of the layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.isGIExcluded : boolean : Read|Write \n\
</pre></div><p>Get/Set the Exclude from Radiosity state of the layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.name : string : Read \n\
</pre></div><p>Get the name of the layer. To set the name of the layer, please use the <span class=\'code\'>&lt;LayerProperties&gt;</span>. <span class=\'code\'>setName()</span> method described further on this page. This is necessary because MAXScript has to validate the new name - layer names must be unique!</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.renderable : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer are renderable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.inheritVisibility : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer inherit visibility from their parents.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.primaryVisibility : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer are visible to camera</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.secondaryVisibility : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer are reflections</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.receiveshadows : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer receive shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.castShadows : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer cast shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.applyAtmospherics : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer can be occluded by atmospheric effects</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.renderOccluded : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will render to RPF layers when occluded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.ishidden : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer are hidden.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.isfrozen : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer are frozen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.boxmode : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed in box mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.backfacecull : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed with culled backfaces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.alledges : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed with all edges visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.vertexTicks : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed with vertices as ticks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.showTrajectory : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will show trajectories</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.xray : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed as See-Thru</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.ignoreExtents : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the extents of the objects on the layer will be ignored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.showFrozenInGray : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed as gray when frozen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.showVertexColors : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed with vertex colors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.vertexColorsShaded : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be displayed with shaded vertex colors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.visibility : float : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will be visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.imageMotionBlurMultiplier : float : Read|Write \n\
</pre></div><p>Get/Set the Image Motion Blur Multiplier for objects on the layer</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.motionBlurOn : boolean : Read|Write \n\
</pre></div><p>Get/Set whether the objects on the layer will render with Motion Blur.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.motionblur : enum : Read|Write \n\
\n\
motionblur enums: {#none | #object | #image} \n\
</pre></div><p>Get/Set the type of Motion Blur to be used when rendering objects of the layer</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.display : enum : Read|Write \n\
\n\
display enums: {#viewport | #boundingbox | #wireframe | #shaded} \n\
</pre></div><p>Get/Set the display mode for all objects on the layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.INodeGIProperties : Interface : Read \n\
</pre></div><p>The <span class=\'code\'>INodeGIProperties</span> property returns a <span class=\'code\'>INodeGIProperties</span> FPS interface giving access to the GI properties of the layer. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INodeGIProperties.html\' title=\'\'>Interface: INodeGIProperties</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;LayerProperties&gt;.layerAsRefTarg : RefTarget : Read \n\
</pre></div><p>Returns the layer as a ReferenceTarget.</p>\n\
<p>Note:</p>\n\
<p>The layer system operates exactly the opposite of what you would expect - the nodes reference the layer, rather than the layers referencing the node.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` s=sphere() --Create a sphere, store in variable --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000] s2=sphere() --Create another one --&gt; \\(Sphere:Sphere02 @ [0.000000,0.000000,0.000000]  layer = layermanager.getlayer 0 --get default Layer 0  --&gt; &lt;MixinInterface:LayerProperties&gt;  layerRT = layer.layerAsRefTarg --get layer as RefTarget  --&gt; ReferenceTarget:BaseLayer  refs.dependents layerRT --see the dependents  --&gt; #(\\)Sphere:Sphere02 @ [0.0,0.0,0.0], $Sphere:Sphere01 @[0.0,0.0,0.0], ReferenceTarget:Animatable, ReferenceTarget:Animatable, ReferenceTarget:LayerManager, ReferenceTarget:Scene) refs.dependson s --&gt; #(Controller:Position_Rotation_Scale, Sphere, ReferenceTarget:BaseLayer)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addnode &lt;node&gt;node \n\
</pre></div><p>Adds the given node to the layer. See bottom of page for an example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addnodes &lt;node array&gt;nodes\n\
</pre></div><p>Adds the given nodes to the layer. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h3 id=\"example\">Example</h3></div>\n\
<div class=\'codeBlock\'><pre>-- add all the nodes as an array:\n\
LayerManager.newLayer() \n\
myLayer = LayerManager.getLayer 1\n\
myBox = Box()\n\
myLight = Free_Light()\n\
mySpline = Egg()\n\
myCamera = freeCamera()\n\
myLayer.addnodes #(myBox, myLight, mySpline, myCamera)\n\
&lt;void&gt;select &lt;boolean&gt;OnOff \n\
</pre></div><p>If the Boolean value is passed as true, selects all objects on the layer in the scene. If the argument is passed as false, deselects all objects on the layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setname &lt;string&gt;name \n\
</pre></div><p>Sets the name of the layer to the given string. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>Note:</p>\n\
<p>Layer names must be unique, which is why a method is used to set the layer name- it can validate the supplied name before assigning it to the layer as shown in the following example.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --First reset 3ds Max to start in an empty scene, then execute: layer1= layermanager.getlayer 0 --get default Layer 0 --&gt; <mixininterface:layerproperties><p>\n\
<p>layer1.setName &quot;The One&quot; --try to change the name --&gt; false --you cannot, the default layer is always called &quot;0&quot;</p>\n\
<p>layer2= layermanager.getlayer 1 --try to get Layer 1 --&gt; undefined --there is no such layer yet.</p>\n\
<p>layer2= layermanager.newLayerFromName &quot;Test&quot; --let&#39;s create it --&gt; <mixininterface:layerproperties><p>\n\
<p>layer2.setName &quot;Second Layer&quot; --now we can rename it --&gt; true</p>\n\
<p>layer3= layermanager.newLayerFromName &quot;Third&quot; -- create another --&gt; <mixininterface:layerproperties><p>\n\
<p>layer3.setName &quot;Second Layer&quot; --try to give the same name as 2nd --&gt; false</p>\n\
<p>layer3.setName &quot;ThirdLayer&quot; --it needs a unique name to work --&gt; true</p>\n\
<p>```</p>\n\
</mixininterface:layerproperties></mixininterface:layerproperties></mixininterface:layerproperties></blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;nodes &lt;&amp;node array&gt;layerNodes\n\
\n\
layerNodes is Out parameter \n\
</pre></div><p>Returns True on success, and an array of all nodes on the layer in the by-reference Out parameter.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` layer = layermanager.newLayerFromName &quot;Spheres&quot; --&gt; <mixininterface:layerproperties><p>\n\
<p>for i =1 to 10 do (s = sphere(); layer.addNode s) --&gt; OK</p>\n\
<p>layer.nodes &amp;theNodes --&gt; true</p>\n\
<p>theNodes --&gt; #($Sphere:Sphere10 @ [0.000000,0.000000,0.000000], $Sphere:Sphere09 @ [0.000000,0.000000,0.000000], $Sphere:Sphere08 @ [0.000000,0.000000,0.000000], $Sphere:Sphere07 @ [0.000000,0.000000,0.000000], $Sphere:Sphere06 @ [0.000000,0.000000,0.000000], $Sphere:Sphere05 @ [0.000000,0.000000,0.000000], $Sphere:Sphere04 @ [0.000000,0.000000,0.000000], $Sphere:Sphere03 @ [0.000000,0.000000,0.000000], $Sphere:Sphere02 @ [0.000000,0.000000,0.000000], $Sphere:Sphere01 @ [0.000000,0.000000,0.000000])</p>\n\
<p>```</p>\n\
</mixininterface:layerproperties></blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;getParent()\n\
</pre></div><p>Returns the LayerProperties MixinInterface of the layer&#39;s parent layer, or undefined if the layer has no parent.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setParent &lt;Interface&gt;parent\n\
</pre></div><p>Sets the parent of the layer to the layer represented by the specified LayerProperties MixinInterface.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;getChild &lt;index&gt;index\n\
</pre></div><p>Returns the LayerProperties MixinInterface of the indexed child layer, or undefined if the indexed child layer does not exist.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumChildren()\n\
</pre></div><p>Returns the number of children layers.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;canDelete()\n\
</pre></div><p>Returns True if the layer can be deleted.</p>\n\
<p>Returns False if the layer cannot be deleted because it contains objects for some other reason.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumNodes()\n\
</pre></div><p>Returns the number of nodes in the layer.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;hasSceneXRefNodesInHierarchy()\n\
</pre></div><p>Returns True if the layer contains Scene XRef nodes in its hierarchy.</p>\n\
<p>Returns False otherwise.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";