var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: RenderElementMgr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: RenderElementMgr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-renderelementmgr\"></a></div>\n\
<p>This interface exposes methods to access and manipulate the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Elements-1.html\' title=\'\'>Render Elements</a> list in the Render Scene Dialog.</p>\n\
<p>It is returned by the <strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90.html#render-element-manager\' title=\'\'>MaxOps.GetCurRenderElementMgr () method</a></strong> and cannot be created by MAXScript. See the example at the bottom of this page for details.</p>\n\
<p><strong>RenderElementMgr interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: RenderElementMgr \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;RenderElementMgr&gt;.AddRenderElement &lt;maxObject&gt;element  \n\
</pre></div><p>Adds a specific <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Elements-1.html\' title=\'\'>Render Element</a>.</p>\n\
<p>Returns <span class=\'code\'>True</span> if successful, <span class=\'code\'>False</span> otherwise</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;&lt;RenderElementMgr&gt;.RemoveRenderElement &lt;maxObject&gt;element \n\
</pre></div><p>Removes a specific <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Elements-1.html\' title=\'\'>Render Element</a>.</p>\n\
<p>Returns <span class=\'code\'>True</span> is successful, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;RenderElementMgr&gt;.RemoveAllRenderElements() \n\
</pre></div><p>Removes all elements in the list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;&lt;RenderElementMgr&gt;.NumRenderElements() \n\
</pre></div><p>Returns the number of elements in the list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;maxObject&gt;&lt;RenderElementMgr&gt;.GetRenderElement &lt;integer&gt;index \n\
</pre></div><p>Returns a specific <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Render-Elements/Render-Elements-1.html\' title=\'\'>Render Element</a>, the index is 0-based.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;RenderElementMgr&gt;.SetElementsActive &lt;boolean&gt;active \n\
</pre></div><p>Sets a enabled state of the Render Elements.</p>\n\
<p>When set to <span class=\'code\'>True</span> , all active elements on the list will be created during rendering.</p>\n\
<p>When set to <span class=\'code\'>False</span> , the generation of Render Elements is disabled.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;&lt;RenderElementMgr&gt;.GetElementsActive() \n\
</pre></div><p>Returns a boolean value indicating whether elements are active, ie. will be created during a render.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;RenderElementMgr&gt;.SetDisplayElements &lt;boolean&gt;display \n\
</pre></div><p>Sets a boolean flag controlling whether elements will be displayed after they are created.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;&lt;RenderElementMgr&gt;.GetDisplayElements() \n\
</pre></div><p>Gets a boolean flag indicating whether elements will be displayed after they are created.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;RenderElementMgr&gt;.SetCombustionOutputEnabled &lt;boolean&gt;enabled \n\
</pre></div><p>Enables or disables the output to Combustion .cws file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;&lt;RenderElementMgr&gt;.GetCombustionOutputEnabled() \n\
</pre></div><p>Gets a boolean flag indicating whether output to a Combustion .cws file will be performed.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;RenderElementMgr&gt;.SetCombustionOutputPath &lt;filename&gt;pathname \n\
</pre></div><p>Sets the filename of the Combustion .cws file to be written to when <span class=\'code\'>SetCombustionOutoutEnabled()</span> is set to <span class=\'code\'>True</span> .</p>\n\
<div class=\'codeBlock\'><pre> &lt;filename&gt;&lt;RenderElementMgr&gt;.GetCombustionOutputPath() \n\
</pre></div><p>Returns the filename of the Combustion .cws file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;RenderElementMgr&gt;.SetRenderElementFilename &lt;integer&gt;index &lt;filename&gt;filename \n\
</pre></div><p>Set the output file name for the indexed render element to the specified filename string.</p>\n\
<p>The index is 0-based.</p>\n\
<div class=\'codeBlock\'><pre> &lt;filename&gt;&lt;RenderElementMgr&gt;.GetRenderElementFilename &lt;integer&gt;index \n\
</pre></div><p>Returns the output file name of the indexed render element.</p>\n\
<p>The index is 0-based.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- set a list of render elements. elementlist = #(specular, diffuse, self_illumination, reflection,refraction, shadowrenderelement, atmosphere, blend, z_depth, alpha, backgroundrenderelement)</p>\n\
<p>re = maxOps.GetCurRenderElementMgr() -- get the current render element manager re.removeallrenderelements() -- remove all renderelements re.numrenderelements() -- get number of render elements</p>\n\
<p>theManager = maxOps.GetRenderElementMgr #Production theManager.numrenderelements() rendoutputfilename = &quot;c:\\test.tga&quot; -- adds all renderelements to be rendered. for n in elementlist do ( re.addrenderelement (n elementname:(&quot;foo_&quot;+ (n as string))) format &quot;\\nAdded % renderelement&quot; n ) rendsavefile = true setsilentmode true -- used to avoid error message when checking the filename of element renderSceneDialog.open() -- open Render Dialog -- get all render elements set and return name of render element and output filename for n = 0 to (theManager.numrenderelements () - 1) do ( el = re.getrenderelement n format &quot;\\nGetting % render element&quot; el.elementname format &quot;\\nRender element outputfilename: %&quot; (re.GetRenderElementFileName n) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";