var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: SchematicView</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: SchematicView</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-schematicview\"></a></div>\n\
<p>The <strong>SchematicView MixinInterface</strong> is returned by the <span class=\'code\'>getView()</span> method and the <span class=\'code\'>.current</span> property in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SchematicViews.html\' title=\'\'>SchematicViews Interface</a> and provides access to properties and methods of a specific existing Schematic View.</p>\n\
<div class=\'section\'><a id=\"interfaces\"></a><h2 id=\"interfaces\">Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: SchematicView \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE</strong></p>\n\
<p>``` SchematicViews.open &quot;My Schematic View&quot; --&gt; True sv = schematicviews.current --&gt; <mixininterface:schematicview> sv.syncSelection --&gt; True sv.syncSelection = False --&gt; False<p>\n\
<p>```</p>\n\
\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.syncSelection : boolean : Read|Write   \n\
</pre></div><p>Get/Set the Sync. Selection option state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.alwaysArrange : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the Always Arrange option switch.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.showGrid : boolean : Read|Write \n\
</pre></div><p>Get/Set the visibility of the Grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.gridSnap : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the Grid Snap option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.gridSpacing : integer : Read|Write \n\
</pre></div><p>Get/Set the spacing of the Grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.showBackgroundImage : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the display of the background image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.backgroundImageLock : boolean : Read|Write \n\
</pre></div><p>Lock/Unlock the background image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.syncSelectionType : enum : Read|Write \n\
\n\
syncSelectionType enums: {#viewports|#everything} \n\
</pre></div><p>Get/Set the Sync Selection Type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.arrangeMethod : enum : Read|Write \n\
\n\
arrangeMethod enums: {#stacked|#horiz|#vert} \n\
</pre></div><p>Get/Set the Arrange Method Type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.linkStyle : enum : Read|Write \n\
\n\
linkStyle enums: {#bezier|#straight|#circuit|#none} \n\
</pre></div><p>Get/Set the Link Style.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.moveChildren : boolean : Read|Write \n\
</pre></div><p>Get/Set whether children are moved with the parent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.doubleBuffer : boolean : Read|Write \n\
</pre></div><p>Controls the state of &quot;Double Buffer &quot; checkbox in the &quot;Schematic View Preferences&quot; dialog. When set to true (default), double-buffer technique will be used to redraw the Schematic View. When set to false, the display will flicker noticeably.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.panToNodes : boolean : Read|Write \n\
</pre></div><p>Controls the state of &quot;Pan to Added Node &quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.useWireframeColor : boolean : Read|Write \n\
</pre></div><p>Controls the state of the &quot;Use Wireframe Color&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog. When set to True, the wireframe color will be used to display the node in Schematic View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.zoomMousePoint : boolean : Read|Write \n\
</pre></div><p>Controls the state of &quot;Zoom About Mouse&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog. When set to true, the zoom is performed with the mouse point as center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.layoutWarning : boolean : Read|Write \n\
</pre></div><p>Controls the state of the &quot;Display Layout Warning&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.updateOnFocus : boolean : Read|Write \n\
</pre></div><p>Controls the state of the &quot;Only Updates on Focus&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.showTooltips : boolean : Read|Write \n\
</pre></div><p>Controls the state of &quot;Show Tooltips&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.snapFloaters : boolean : Read|Write \n\
</pre></div><p>Controls the state of &quot;Snap Floaters&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.relativeFloaters : boolean : Read|Write \n\
</pre></div><p>Controls the state of &quot;Relative Floaters&quot; checkbox in the &quot;Schematic View Preferences&quot; dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:SchematicView&gt;.showShrink : boolean : Read|Write \n\
</pre></div><p>Get/Set the Shrink mode. This value is also controlled by the Layout &gt; Toggle Shrink option in the Schematic View menu.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;MixinInterface:SchematicView&gt;.getName() \n\
</pre></div><p>Returns the name of the Schematic View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.setName &lt;string&gt;name \n\
</pre></div><p>Sets the name of the Schematic View to the specified string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.beginEdit() \n\
</pre></div><p>Begins edit, increases the internal edit counter by one and returns it as integer. This prevents Schematic View from traversing the scene and generating new Schematic View Nodes. This guarantees that locally stored Schematic View Node IDs remain valid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.endEdit() \n\
</pre></div><p>Ends edit, decreases the internal edit counter by one and returns it as integer. Failure to call endEdit() after the corresponding beginEdit() will prevent Schematic View from updating based on scene changes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.updateView &lt;boolean&gt;fullTraverse \n\
</pre></div><p>Updates the Schematic View. When the parameter is set to true, the node hierarchy will be fully traversed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeID &lt;value&gt;anim \n\
</pre></div><p>Returns the Schematic View Node ID for the supplied sub-anim.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` resetMaxFile #noPrompt --reset the max scene --&gt; OK teapot () --create a new teapot --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000] SchematicViews.open &quot;Pots&quot; --open a new Schematic View --&gt; True --yes, it worked! --Get the ID of the Teapot node SchematicViews.current.getSVNodeID $Teapot001 --&gt; 0 --it is ID 0 --Get the ID of the Visibility track of the Teapot node SchematicViews.current.getSVNodeID $Teapot001[1] --&gt; -1 --no such SV node, returns -1 --Now get the ID of the Transformation track of the Teapot SchematicViews.current.getSVNodeID $Teapot001[3] --&gt; 1 --it is ID 1 --Get the ID of the Position track of the Teapot SchematicViews.current.getSVNodeID $Teapot001[3][1] --&gt; 2 --it is ID 1 --Get the ID of the Object track of the Teapot SchematicViews.current.getSVNodeID $Teapot001[4] --&gt; 11 --it is ID 1</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;int by value array&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeIDTab &lt;value&gt;anim \n\
</pre></div><p>Returns the Schematic View Node ID Tab as an array of integers. If <span class=\'code\'>anim</span> is an instanced object, the array of Schematic View Node IDs corresponds to the Node IDs for that instanced object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeAnim &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the sub-anim object corresponding to the specified Schematic View Node ID</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` resetMaxFile #noPrompt --reset the max scene --&gt; OK teapot () --create a new teapot --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000] SchematicViews.open &quot;Pots&quot; --open a new Schematic View --&gt; True --yes, it worked! --Get the object node of the Teapot by ID (see example above) SchematicViews.current.getSVNodeAnim 0 --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000] --Now get the sub-anim of the Transformation track of the Teapot SchematicViews.current.getSVNodeAnim 1 --&gt; Controller:Position_Rotation_Scale --Get the sub-anim of the Position track of the Teapot SchematicViews.current.getSVNodeAnim 2 --&gt; Controller:Position_XYZ --Get the sub-anim of the Object track of the Teapot SchematicViews.current.getSVNodeAnim 11 --&gt; Teapot</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeName &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the Schematic View Node Name by ID</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` resetMaxFile #noPrompt --&gt; OK teapot() --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000] SchematicViews.open &quot;Pots&quot; --&gt; True SchematicViews.current.getSVNodeName 0 --&gt; &quot;Teapot001&quot; SchematicViews.current.getSVNodeName 1 --&gt; &quot;Position/Rotation/Scale (Transform)&quot; SchematicViews.current.getSVNodeName 2 --&gt; &quot;Position XYZ (Position)&quot; SchematicViews.current.getSVNodeName 11 --&gt; &quot;Teapot (Object)&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getNumSVNodes() \n\
</pre></div><p>Returns the number of Schematic View nodes as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.selectSVNode &lt;integer&gt;svNodeID [selectChildren:&lt;boolean&gt;] \n\
\n\
selectChildren default value: false \n\
</pre></div><p>Selects the node by ID. If the optional <span class=\'code\'>selectChildren:</span> argument is set to <span class=\'code\'>true</span> , the children of the node are also selected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.deselectSVNode &lt;integer&gt;svNodeID [selectChildren:&lt;boolean&gt;] \n\
\n\
selectChildren: default value: false \n\
</pre></div><p>Deselects the node by ID. If the optional <span class=\'code\'>selectChildren</span> is set to <span class=\'code\'>true</span> , the children of the node are also deselected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectAll() \n\
</pre></div><p>Selects all nodes in the Schematic View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.deselectAll() \n\
</pre></div><p>Deselects all nodes in the Schematic View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectInvert() \n\
</pre></div><p>Inverts the current selection in the Schematic View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.selectChildren [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Selects the children of all selected nodes. If the optional svNodeId is supplied and is not -1, only children of the specified node will be selected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.deselectChildren svNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Deselects the children of all selected nodes. If the optional svNodeId is supplied and is not -1, only children of the specified node will be deselected. The parent itself will not be deselected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectToScene() \n\
</pre></div><p>Synchronizes the Schematic View selection to the Scene - Selects the scene nodes that are selected in Schematic View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.selectFromScene() \n\
</pre></div><p>Synchronizes the Schematic View selection from the Scene - Selects the Schematic View nodes that are selected in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;int by value array&gt;&lt;MixinInterface:SchematicView&gt;.getSelectedSVNodes() \n\
</pre></div><p>Returns an array of svNodeID integers - one for each selected node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.isSelected &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns true if the node specified by ID is selected, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.numChildren &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the number of children nodes in the node specified by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getChildSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;childNum \n\
</pre></div><p>Returns the svNodeID of the Nth child of the node specified by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.numParents [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Returns the number of parents. If the optional svNodeID is specified as in not -1, the number of parent nodes of the node specified by ID will be returned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getParentSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;parentNum \n\
</pre></div><p>Returns the Nth parent&#39;s svNodeID of the child specified by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getFocus() \n\
</pre></div><p>Returns the svNodeID of the node that is in focus.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.hidesvNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Hides all selected nodes and their children. If the optional svNodeID is supplied and is not -1, only the specified node and its children will be hidden.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.unHide &lt;integer&gt;svNodeID \n\
</pre></div><p>Unhides the node specified by ID. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.collapseSVNodes [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Collapses all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.hideAll() \n\
</pre></div><p>Hides all Schematic View nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showAll() \n\
</pre></div><p>Unhides all Schematic View nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.expandSVNodes [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Expands all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.shrink [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Shrinks all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.unShrink [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Unshrinks all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.unShrinkAll() \n\
</pre></div><p>Expands all Schematic View nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.arrangeSVNode [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Arranges all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.arrangeChildren [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Arranges the children of all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.freeSVNode [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Frees all selected nodes. If the optional svNodeID is supplied and is not -1, only the node specified by ID will be affected. Returns <span class=\'code\'>true</span> on success, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.freeAll() \n\
</pre></div><p>Frees all Schematic View nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.zoomExtents() \n\
</pre></div><p>Zooms the Schematic View to fit all nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.zoomSelectedExtents() \n\
</pre></div><p>Zoom the Schematic View to fit the selected nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.panToSelected() \n\
</pre></div><p>Pans the Schematic View to the Selected Nodes without changing the Zoom factor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.zoomToSVNode &lt;integer&gt;svNodeID \n\
</pre></div><p>Zooms the Schematic View to show the Schematic View Node specified by ID. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.panToSVNode &lt;integer&gt;svNodeID \n\
</pre></div><p>Pans the Schematic View to show the Schematic View Node specified by ID. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;&lt;MixinInterface:SchematicView&gt;.getBackgroundImageName() \n\
</pre></div><p>Returns the background image name as filename.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.setBackgroundImageName &lt;filename&gt;name \n\
</pre></div><p>Sets the background image name to the specified filename.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.addBookmark &lt;string&gt;name \n\
&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.nextBookmark() \n\
</pre></div><p>Goes to the next Bookmark.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.prevBookmark() \n\
</pre></div><p>Goes to the previous Bookmark.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setSVNodePos &lt;integer&gt;svNodeID &lt;boolean&gt;children &lt;point2&gt;point \n\
</pre></div><p>Sets the position of the Schematic View Node specified by ID to the supplied Point2 value. If the children parameter is set to <span class=\'code\'>True</span> , the Children of the specified node will be repositioned too. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodePos &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the position of the Schematic View Node specified by ID as a Point2 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.translateSVNode &lt;integer&gt;svNodeID &lt;boolean&gt;children &lt;point2&gt;point \n\
</pre></div><p>Translates the Schematic View Node specified by ID with the supplied Point2 value. If the children parameter is set to <span class=\'code\'>True</span> , the Children of the specified node will be repositioned too. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.translateSelected &lt;point2&gt;point \n\
</pre></div><p>Translates the selected Schematic View Nodes by the supplied Point2 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.canAssignController svNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Returns <span class=\'code\'>True</span> if a controller can be assigned to the Schematic View Node specified by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.showAssignControllerDialog svNodeID:&lt;integer&gt; \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Opens the Assign Controller Dialog for the Schematic View Node specified by ID. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.deleteSelected() \n\
</pre></div><p>Deletes the selected Schematic View Nodes. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.showProperties [svNodeID:&lt;integer&gt;] \n\
\n\
svNodeID: default value: -1 \n\
</pre></div><p>Opens the Properties dialog for the Schematic View Node specified by ID. Returns <span class=\'code\'>True</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeWidth() \n\
</pre></div><p>Returns the width of the Schematic View nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeHeight() \n\
</pre></div><p>Returns the height of the Schematic View nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.testSVNodeState &lt;integer&gt;svNodeID &lt;enum&gt;state \n\
\n\
state enums: {#selected | #visible | #displayed | #inode | #localRoot | #animated | #instanced | #shrink | #freeMove | #freeMoveParent | #inactive} \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node supplied by ID is in the specified state. <span class=\'code\'>#inactive</span> tests for frozen or hidden nodes, <span class=\'code\'>#localRoot</span> tests if the Schematic View Node is the root of a hierarchy (no parents), and <span class=\'code\'>#inode</span> tests if the Schematic View Node is a Node object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeOwner &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the scene object owning the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeAnimID &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the sub-anim ID of the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.doubleClickSVNode &lt;integer&gt;svNodeID \n\
</pre></div><p>Performs a double-click over the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getNumOutputRelationships &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the number of output relationships of the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getOutputRelationshipType &lt;integer&gt;svNodeID &lt;integer&gt;relIndex \n\
\n\
getOutputRelationshipType enums: {#unknown | #paramwire | #constraint | #light | #modifier | #controller) \n\
</pre></div><p>Returns the type of the specified output relationship of the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getOutputRelationshipSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;relIndex \n\
</pre></div><p>Returns the Schematic View node ID of the specified output relationship of the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getNumInputRelationships &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns the number of input relationships of the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getInputRelationshipType &lt;integer&gt;svNodeID &lt;integer&gt;relIndex \n\
\n\
getInputRelationshipType enums: {#unknown | #paramwire | #constraint | #light | #modifier | #controller) \n\
</pre></div><p>Returns the type of the specified input relationship of the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getInputRelationshipSVNodeID &lt;integer&gt;svNodeID &lt;integer&gt;relIndex \n\
</pre></div><p>Returns the Schematic View node ID of the specified input relationship of the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.canMakeSVNodeUnique &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Schematic View node supplied by ID can be made unique.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.makeSVNodeUnique &lt;integer&gt;svNodeID \n\
</pre></div><p>Makes the Schematic View node supplied by ID unique, returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setShowRelationships &lt;integer&gt;svNodeID &lt;boolean&gt;show \n\
</pre></div><p>Controls the relationships display for the Schematic View node supplied by ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.getShowRelationships &lt;integer&gt;svNodeID \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the relationships display for the Schematic View node supplied by ID is enabled, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showPreferencesDialog() \n\
</pre></div><p>Opens the Preferences dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showDisplayFloater &lt;boolean&gt;show \n\
</pre></div><p>Opens/closes the Preferences dialog. When the supplied parameter is <span class=\'code\'>true</span> , the dialog will be opened, when <span class=\'code\'>false</span> , it will be closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showRelationshipDialog &lt;boolean&gt;all \n\
</pre></div><p>Opens the Relationships dialog. When the supplied parameter is <span class=\'code\'>true</span> , all relationships will be shown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showInstancesDialog &lt;boolean&gt;all \n\
</pre></div><p>Opens the Instances dialog. When the supplied parameter is <span class=\'code\'>true</span> , all instances will be shown.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showObjectOccurrenceDialog() \n\
</pre></div><p>Opens the Object Occurrence dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.showListViewDialog &lt;&amp;integer array&gt;svNodes [title:&lt;string&gt;] [id:&lt;integer&gt;] \n\
\n\
svNodes is In and Out parameter \n\
title: default value: undefined \n\
id: default value: 1 \n\
</pre></div><p>Opens the ListView dialog displaying the nodes specified by an array of ID passed by reference. The ID parameter is useful for enabling menu items specific to your custom List View content.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MixinInterface:SchematicView&gt;.hideListViewDialog() \n\
</pre></div><p>Closes the ListView dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;int by value array&gt;&lt;MixinInterface:SchematicView&gt;.getSelectedListViewSVNodes() \n\
</pre></div><p>Returns the nodes currently selected in the ListView dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getListViewDialogType() \n\
\n\
getListViewDialogType enums: {#unknown | #relationship | #instance | #occurrence | #userDefined) \n\
</pre></div><p>Returns the current type of the ListView dialog. <span class=\'code\'>#userDefined</span> is returned for List Views created with the <span class=\'code\'>showListViewDialog</span> method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getListViewDialogID() \n\
</pre></div><p>Returns the ID of the ListView dialog as integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;MixinInterface:SchematicView&gt;.getListViewDialogTitle() \n\
</pre></div><p>Returns the title of the ListView dialog as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setMode &lt;enum&gt;mode \n\
\n\
mode enums: {#select | #connect | #paramwire | #pan | #zoom | #zoomregion} \n\
</pre></div><p>Sets the current Schematic View mode. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getMode() \n\
\n\
getMode enums: {#select | #connect | #paramwire | #pan | #zoom | #zoomregion) \n\
</pre></div><p>Returns the current Schematic View mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setLayoutMode &lt;enum&gt;mode \n\
\n\
mode enums: {#reference | #hierarchy} \n\
</pre></div><p>Sets the current Schematic View layout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;MixinInterface:SchematicView&gt;.getLayoutMode() \n\
\n\
getLayoutMode enums: {#reference | #hierarchy) \n\
</pre></div><p>Returns the current Schematic View layout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setDisplayFloaterFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#expand | #focus | #baseObjects | #modifierStack | #materials | #controllers | #controllersPos | #controllersRot | #controllersScale | #relConstraints | #relControllers | #relParamWires | #relLights | #relModifiers} \n\
</pre></div><p>Sets the specified Display Floater Filter. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.clearDisplayFloaterFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#expand | #focus | #baseObjects | #modifierStack | #materials | #controllers | #controllersPos | #controllersRot | #controllersScale | #relConstraints | #relControllers | #relParamWires | #relLights | #relModifiers} \n\
</pre></div><p>Clears the specified Display Floater Filter. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.testDisplayFloaterFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#expand | #focus | #baseObjects | #modifierStack | #materials | #controllers | #controllersPos | #controllersRot | #controllersScale | #relConstraints | #relControllers | #relParamWires | #relLights | #relModifiers} \n\
</pre></div><p>Tests the state of the specified Display Floater Filter. Returns <span class=\'code\'>True</span> if the Filter is set, <span class=\'code\'>False</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.setIncludeFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#baseObjects | #modifierStack | #materials | #controllers | #staticValues | #pointControllerContainers | #skinDetails | #selectedOnly | #visibleOnly | #animatedOnly | #geometryHide | #shapesHide | #lightsHide | #cameraHide | #helpersHide | #spacewarpsHide | #bonesHide} \n\
</pre></div><p>Sets the specified Display Floater Include Filter. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> <span class=\'code\'>#pointControllerContainers</span> was called <span class=\'code\'>#masterPoint</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.clearIncludeFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#baseObjects | #modifierStack | #materials | #controllers | #staticValues | #pointControllerContainers | #skinDetails | #selectedOnly | #visibleOnly | #animatedOnly | #geometryHide | #shapesHide | #lightsHide | #cameraHide | #helpersHide | #spacewarpsHide | #bonesHide} \n\
</pre></div><p>Clears the specified Display Floater Include Filter. Returns <span class=\'code\'>True</span> on success, <span class=\'code\'>False</span> otherwise.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> <span class=\'code\'>#pointControllerContainers</span> was called <span class=\'code\'>#masterPoint</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:SchematicView&gt;.testIncludeFilter &lt;enum&gt;filter \n\
\n\
filter enums: {#baseObjects | #modifierStack | #materials | #controllers | #staticValues | #pointControllerContainers | #skinDetails | #selectedOnly | #visibleOnly | #animatedOnly | #geometryHide | #shapesHide | #lightsHide | #cameraHide | #helpersHide | #spacewarpsHide | #bonesHide} \n\
</pre></div><p>Tests the state of the specified Display Floater Include Filter. Returns <span class=\'code\'>True</span> if the Include Filter is set, <span class=\'code\'>False</span> otherwise.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> <span class=\'code\'>#pointControllerContainers</span> was called <span class=\'code\'>#masterPoint</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getBaseSVNodeID &lt;integer&gt; \n\
</pre></div><p>Returns the SVNodeID of the base SVNode (the INode).</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MixinInterface:SchematicView&gt;.getRootSVNodeID &lt;integer&gt; \n\
</pre></div><p>Returns the SVNodeID of the local root for the SVNode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point2&gt;&lt;MixinInterface:SchematicView&gt;.screenToSV &lt;Point2&gt; \n\
</pre></div><p>Converts a screen coordinate into schematic view coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Array of Integers&gt;&lt;MixinInterface:SchematicView&gt;.getSVNodeIDByPoint &lt;Point2&gt; \n\
</pre></div><p>Will return an array of the graphnodes under the sv coordinate passed in as Point2.</p>\n\
</mixininterface:schematicview>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";