var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: manipPlane</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: manipPlane</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-manipplane\"></a></div>\n\
<p>This is a [<a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/What-is-a-Mixin-Interface-.html\' title=\'\'>Mixin Interface</a>] returned by some properties of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-manip.html\' title=\'\'>manip Interface</a>. It provides methods to get intersections with a manipulator plane.</p>\n\
<p><strong>Mixin Interface: (manip.msXYPlane)</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: manipPlane \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:manipPlane&gt;.normal : point3 by value : Read   \n\
</pre></div><p>Returns the normal of a plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:manipPlane&gt;.point : point3 by value : Read \n\
</pre></div><p>Return the point that the plane passes through.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MixinInterface:manipPlane&gt;.planeConstant : float : Read \n\
</pre></div><p>Return the value of the plane constant. This is the value of &quot;D&quot; in the equation that defines the plane:</p>\n\
<p><strong>Ax + By +Cz + D = 0</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MixinInterface:manipPlane&gt;.intersect &lt;ray by value&gt;ray &lt;&amp;point3&gt;intersectionPoint \n\
\n\
intersectionPoint is In and Out parameter \n\
</pre></div><p>Intersects the given ray with the plane. Returns <span class=\'code\'>true</span> on success. The intersection point is set in the &quot;intersectionPoint&quot; value passes by reference, which must be initialized to a Point3 value in advance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;&lt;MixinInterface:manipPlane&gt;.mostOrthogonal &lt;ray by value&gt;viewDir &lt;Interface&gt;plane \n\
</pre></div><p>Returns the plane that is most orthogonal to the given ray. This means the plane that is most &quot;square&quot; to the view direction.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";