var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: simpleManip</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: simpleManip</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-simplemanip\"></a></div>\n\
<div class=\'codeBlock\'><pre>Interface: simpleManip \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.mouseState : enum : Read   \n\
\n\
mouseState enums: {#mouseIdle|#mouseDragging|#mouseOverManip} \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;clearGizmos() \n\
</pre></div><p>This must be called at the beginning of the &quot;updateGizmos&quot; handler in order to clear the current gizmo cache.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addGizmoMesh &lt;mesh&gt;mesh &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor \n\
</pre></div><p>This creates a gizmo from a mesh (or geometry in <strong>3ds Max</strong> lingo).</p>\n\
<p>The mesh can be any arbitrary <strong>3ds Max</strong> mesh, and created with the tools in MAXScript for creating meshes.</p>\n\
<p>One convenient way to do this is to create an instance of a primitive and get the mesh from it.</p>\n\
<p>The flags can be 0, or one or more of these value. If you want more than one flag to apply, then you add the values together.</p>\n\
<p><span class=\'code\'>&lt;integer&gt;flags:</span> Use one of the following values:</p>\n\
<div class=\'codeBlock\'><pre>0: gizmoDontDisplay \n\
</pre></div><p>Tells the system to not display the gizmo. It will be hit-tested, but not displayed.</p>\n\
<div class=\'codeBlock\'><pre>1: gizmoDontHitTest \n\
</pre></div><p>Tells the system to not hit-test the gizmo. It will be displayed, but not hit-tested.</p>\n\
<div class=\'codeBlock\'><pre>2: gizmoActiveViewportOnly \n\
</pre></div><p>Tells the system to only display and hit-test this gizmo in the active viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addGizmoShape &lt;Interface&gt;gizmo &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor \n\
</pre></div><p>This creates a gizmo from a shape object. The <span class=\'code\'>gizmoShape</span> can be created using functions from the &quot;manip&quot; package, described below.</p>\n\
<p><integer> <span class=\'code\'>flags:</span> Use one of the following values:<p>\n\
<div class=\'codeBlock\'><pre>0: gizmoDontDisplay \n\
</pre></div><p>Tells the system to not display the gizmo. It will be hit-tested, but not displayed.</p>\n\
<div class=\'codeBlock\'><pre>1: gizmoDontHitTest \n\
</pre></div><p>Tells the system to not hit-test the gizmo. It will be displayed, but not hit-tested.</p>\n\
<div class=\'codeBlock\'><pre>2: gizmoActiveViewportOnly \n\
</pre></div><p>Tells the system to only display and hit-test this gizmo in the active viewport.</p>\n\
<div class=\'codeBlock\'><pre>3: gizmoUseScreenSpace \n\
</pre></div><p>This tells the system to interpret the coordinates of the shape as device coordinates in the viewport, not as 3d values. The values are still specified as 3d points, but the &quot;Z&quot; coordinate is ignored.</p>\n\
<div class=\'codeBlock\'><pre>4: gizmoUseRelativeScreenSpace \n\
</pre></div><p>This is like gizmoUseScreenSpace, but the coordinates are specified as values from 0.0 to 1.0, and interpreted in each viewport as a percentage of the width or height of the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addGizmoMarker &lt;enum&gt;marker &lt;point3&gt;position &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor\n\
\n\
marker enums: {#point | #hollowBox | #plusSign | #asterisk | #xMarker | #bigBox | #circle | #triangle | #diamond | #smallHollowBox | #smallCircle | #smallTriangle | #smallDiamond | #dot | #smallDot} \n\
</pre></div><p>The position is a point in 3d space, or 2d screen space. The flags are the same ones supported by addGizmoShape.</p>\n\
<p><span class=\'code\'>&lt;point3&gt; position:</span> The position is a point in 3d space, or 2d screen space.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; flags:</span> Use one of the following values:</p>\n\
<div class=\'codeBlock\'><pre>0: gizmoDontDisplay \n\
</pre></div><p>Tells the system to not display the gizmo. It will be hit-tested, but not displayed.</p>\n\
<div class=\'codeBlock\'><pre>1: gizmoDontHitTest \n\
</pre></div><p>Tells the system to not hit-test the gizmo. It will be displayed, but not hit-tested.</p>\n\
<div class=\'codeBlock\'><pre>2: gizmoActiveViewportOnly \n\
</pre></div><p>Tells the system to only display and hit-test this gizmo in the active viewport.</p>\n\
<div class=\'codeBlock\'><pre>3: gizmoUseScreenSpace \n\
</pre></div><p>This tells the system to interpret the coordinates of the shape as device coordinates in the viewport, not as 3d values. The values are still specified as 3d points, but the &quot;Z&quot; coordinate is ignored.</p>\n\
<div class=\'codeBlock\'><pre>4: gizmoUseRelativeScreenSpace \n\
</pre></div><p>This is like gizmoUseScreenSpace, but the coordinates are specified as values from 0.0 to 1.0, and interpreted in each viewport as a percentage of the width or height of the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addGizmoText &lt;string&gt;text &lt;point3&gt;position &lt;integer&gt;flags &lt;point3&gt;unselColor &lt;point3&gt;selColor \n\
</pre></div><p>This creates a gizmo that is text on the screen.</p>\n\
<p>Note that text cannot be hit-tested or grabbed by the mouse.</p>\n\
<p>It is used for display purposes only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ray&gt;getLocalViewRay &lt;point2&gt;m \n\
</pre></div><p>This function takes a mouse position and returns the ray that passes through that mouse position in the direction of the view.</p>\n\
<p>It is returned in the local coordinates of the node that owns the manipulator target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;updateGizmos &lt;time&gt;t &lt;&amp;string&gt;toolTip \n\
\n\
toolTip is In and Out parameter\n\
</pre></div></integer>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";