var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PainterInterface : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PainterInterface : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"painterinterface-referencetarget\"></a></div>\n\
<p>The Painter Interface is a general API introduced in <strong>3ds Max 5</strong> providing tools for painting on meshes. The functions and properties are accessible through an interface called thePainterInterface.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Paint-Tools/Defining-Custom-Paint-Tools.html\' title=\'\'>Defining Custom Paint Tools Using the Painter Interface</a></p>\n\
<p><strong>PainterInterface Interfaces</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: thePainterInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.updateOnMouseUp : boolean : Read|Write   \n\
</pre></div><p>Get/Set the state of the &quot;Update On Mouse Up&quot; checkbox in the Painter Options dialog. When set to true, the Painter will update the stroke only when the mouse button is released.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.treeDepth : integer : Read|Write|Validated by Range: 2 to 10 \n\
</pre></div><p>Get/Set the depth of the quad tree used for hit testing. The larger the value, the faster the interaction, but more memory will be consumed and it will take longer to build the tree.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.minStr : float : Read|Write|Validated by Range: 0.0 to 1e+006 \n\
\n\
thePainterInterface.maxStr : float : Read|Write|Validated by Range: 0.0 to 1e+006 \n\
</pre></div><p>Get/Set the Min. and Max. Strength values. If no pressure device is available, only the Max Strength is used.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.dragStrLimitMin  : float : Read|Write\n\
\n\
thePainterInterface.dragStrLimitMax : float : Read|Write \n\
</pre></div><p>These two values limit the Strenght range when using ALT-SHIFT drag to adjust the value interactively in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.minSize : float : Read|Write|Validated by Range: 0.0 to 1e+006 \n\
\n\
thePainterInterface.maxSize : float : Read|Write|Validated by Range: 0.0 to 1e+006 \n\
</pre></div><p>Get/Set the Brush Min. and Max. Size values. If no pressure device is available, only the Max Size is used.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.additiveMode : boolean : Read|Write \n\
</pre></div><p>Get/Set the state of the &quot;Additive&quot; checkbox. When set to true, the painted values will add to the existing ones instead of overwriting them.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.drawRing : boolean : Read|Write \n\
</pre></div><p>Get/Set the display of the Brush Ring.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.drawNormal : boolean : Read|Write \n\
</pre></div><p>Get/Set the display of the Brush Normal vector.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.drawTrace : boolean : Read|Write \n\
</pre></div><p>Get/Set the display of the Brush Trace line.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.normalScale : float : Read|Write \n\
</pre></div><p>Get/Set the Normal Scale value.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.marker : float : Read|Write \n\
</pre></div><p>Get/Set the Marker value .</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.markerEnable : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the Marker.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.pressureEnable : boolean : Read|Write \n\
</pre></div><p>Enable/Disable Pressure Sensitivity for use with pressure tablets.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.pressureAffects : integer : Read|Write|Validated by Range: 1 to 4 \n\
</pre></div><p>Get/Set the &quot;Pressure Affects&quot; option.</p>\n\
<p>1 - None</p>\n\
<p>2 - Strength</p>\n\
<p>3 - Size</p>\n\
<p>4 - Size and Strength</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.predefinedStrEnable : boolean : Read|Write \n\
</pre></div><p>Enable/Disable Predefined Strength Pressure. When set to <span class=\'code\'>true</span> , instead of using the tablet pressure or Max Strength value, a graph is used to determine strength based on its position in the stroke. To set up the graph, you can use the options dialog to set up the &quot;predefined pressure&quot; properties. The options dialog is available via <span class=\'code\'>thePainterInterface.paintOptions()</span></p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.predefinedSizeEnable : boolean : Read|Write \n\
</pre></div><p>Enable/Disable Predefined Size Pressure. When set to true, instead of using the tablet pressure or Max Size value, a graph is used to determine size based on its position in the stroke. To set up the graph, you can use the options dialog to set up the &quot;predefined pressure&quot; properties. The options dialog is available via <span class=\'code\'>thePainterInterface.paintOptions()</span></p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.mirrorEnable : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the Mirror option.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.mirrorAxis : integer : Read|Write|Validated by Range: 1 to 3 \n\
</pre></div><p>Get/Set the Mirror axis:</p>\n\
<p>1 - X</p>\n\
<p>2 - Y</p>\n\
<p>3 - Z</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.mirrorOffset : float : Read|Write|Validated by Range: -1e+006 to 1e+006 \n\
</pre></div><p>Get/Set the Mirror offset value.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.mirrorGizmoSize : float : Read|Write|Validated by Range: 0.0 to 1e+006 \n\
</pre></div><p>Get/Set the Mirror Gizmo size.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.pointGatherEnable : boolean : Read|Write \n\
</pre></div><p>Enable/Disable the Point Gathering mode.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.buildNormals : boolean : Read|Write \n\
</pre></div><p>Enable/Disable Normal building.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.offMeshHitType : integer : Read|Write \n\
</pre></div><p>Defines the hit type for painting outside the mesh or without a mesh.</p>\n\
<p>0 - creates a plane based on your last hit point and normal. When using this type there must be a mesh to paint on.</p>\n\
<p>1 - a zdepth into the screen, this creates a plane x units into your view that you can paint on. No mesh is required in this case.</p>\n\
<p>2 - create a plane on a point in world space aligned to the current view. No mesh is required in this case.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.offMeshHitZDepth : float : Read|Write \n\
</pre></div><p>Defines the Z Depth to be used with <span class=\'code\'>.offMeshHitType</span> 1. (see above)</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.offMeshHitPos : point3 : Read|Write \n\
</pre></div><p>Defines the world position to be used with <span class=\'code\'>.offMeshHitType</span> 2. (see above)</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.initializeNodes &lt;integer&gt;flags &lt;node array&gt;nodeList \n\
</pre></div><p>Initializes the nodes for painting. <span class=\'code\'>NodeList</span> is an array of the nodes to paint on. <span class=\'code\'>Flags</span> is currently not used, you can use 0 as stand-in.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;thePainterInterface.numberNodes() \n\
</pre></div><p>Returns the number of registered nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;thePainterInterface.getNode &lt;integer&gt;index \n\
</pre></div><p>Returns the indexed node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.updateMeshes &lt;boolean&gt;updatePointGather \n\
</pre></div><p>Updates the meshes.</p>\n\
<p>When the <span class=\'code\'>updatePointGather</span> argument is supplied as <span class=\'code\'>true</span> , the point gather list will be updated, too.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.startPaintSession() \n\
</pre></div><p>Starts a Paint Session.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.endPaintSession() \n\
</pre></div><p>Ends the Paint Session.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.paintOptions() \n\
</pre></div><p>Opens the Paint Options dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.macroCallback &lt;string&gt;macroName &lt;string&gt;category \n\
</pre></div><p>Used to registers macro callback scripts to control the painting.</p>\n\
<p><span class=\'code\'>macroName</span> is the path to the macroScript source, <span class=\'code\'>category</span> is the category of the macroScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;thePainterInterface.inPaintMode() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> when in painting mode, false when painting is not active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;thePainterInterface.getIsHit &lt;integer&gt;tabIndex \n\
</pre></div><p>Returns <span class=\'code\'>true</span> when the indexed point was a hit.</p>\n\
<div class=\'codeBlock\'><pre>thePainterInterface.getHitPointData &lt;void&gt; &lt;&amp;point3&gt;localHit &lt;&amp;point3&gt;localNormal &lt;&amp;point3&gt;worldHit &lt;&amp;point3&gt;worldNormal &lt;&amp;float&gt;radius &lt;&amp;float&gt;str &lt;integer&gt;tabIndex  \n\
</pre></div><p>All parameters are in and out parameters.</p>\n\
<p>The method lets you retrieve the hit point data of the stroke:</p>\n\
<p><span class=\'code\'>localHit</span> is the hit position in local space of the node that was hit</p>\n\
<p><span class=\'code\'>localNormal</span> is the normal of the face that was hit in local space of the node that was hit</p>\n\
<p><span class=\'code\'>worldHit</span> is the world space hit point</p>\n\
<p><span class=\'code\'>worldNormal</span> is the world space normal of the hit face</p>\n\
<p><span class=\'code\'>radius</span> is the radius of the brush at the time of the hit</p>\n\
<p><span class=\'code\'>str</span> is the strength of the brush at the time of the hit</p>\n\
<p><span class=\'code\'>tabIndex</span> is the index of the hit point that you want to get. If this value is 0 it will return the last hit point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.getHitFaceData &lt;&amp;point3&gt;bary &lt;&amp;integer&gt;faceIndex &lt;node&gt;node &lt;integer&gt;tabIndex \n\
\n\
bary is In and Out parameter \n\
faceIndex is In and Out parameter \n\
</pre></div><p>This function lets you retrieve the hit face data of the stroke. This is the face data that exists at the top of the stack.</p>\n\
<p><span class=\'code\'>bary</span> - the barycentric coords of the face that was hit</p>\n\
<p><span class=\'code\'>faceIndex</span> - the index of the face that was hit</p>\n\
<p><span class=\'code\'>node</span> - the node that was hit</p>\n\
<p><span class=\'code\'>tabIndex</span> - this is the index of the hit point that you want to get If this value is 0 it will return the last hit point</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.getHitPressureData  &lt;&amp;boolean&gt;shift &lt;&amp;boolean&gt;ctrl &lt;&amp;boolean&gt;alt &lt;&amp;float&gt;pressure &lt;integer&gt;tabIndex\n\
\n\
shift is In and Out parameter \n\
ctrl is In and Out parameter \n\
alt is In and Out parameter \n\
pressure is In and Out parameter \n\
</pre></div><p>This returns the key state and pressure state of a stroke point</p>\n\
<p><span class=\'code\'>shift</span> is the state of the Shift key</p>\n\
<p><span class=\'code\'>ctrl</span> is the state of the Ctrl key</p>\n\
<p><span class=\'code\'>alt</span> is the state of the Alt key</p>\n\
<p><span class=\'code\'>pressure</span> is the pressure from pressure sensitive tablets</p>\n\
<p><span class=\'code\'>tabIndex</span> is this is the index of the hit point that you want to get. If this value is 0 it will return the last hit point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.getMirrorHitPointData &lt;&amp;point3&gt;localMirrorHit &lt;&amp;point3&gt;localMirrorNormal &lt;&amp;point3&gt;worldMirrorHit &lt;&amp;point3&gt;worldMirrorNormal &lt;integer&gt;tabIndex\n\
\n\
localMirrorHit is In and Out parameter \n\
localMirrorNormal is In and Out parameter \n\
worldMirrorHit is In and Out parameter \n\
worldMirrorNormal is In and Out parameter \n\
</pre></div><p>The method lets you retrieve the mirror hit point data of the stroke:</p>\n\
<p><span class=\'code\'>localMirrorHit</span> is the mirror hit in local space of the node that was hit</p>\n\
<p><span class=\'code\'>localMirrorNormal</span> is the normal of the face that was hit in local space of the node that was hit</p>\n\
<p><span class=\'code\'>worldMirrorHit</span> is the world space hit point</p>\n\
<p><span class=\'code\'>worldMirrorNormal</span> is the world space normal of the hit face</p>\n\
<p><span class=\'code\'>tabIndex</span> is the index of the mirror hit point that you want to get. If this value is 0 it will return the last hit point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;thePainterInterface.getHitMousePos &lt;integer&gt;tabIndex \n\
</pre></div><p>Returns the mouse position of the indexed hit point in the stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;thePainterInterface.getHitTime &lt;integer&gt;tabIndex \n\
</pre></div><p>Returns the time of the indexed hit point in the stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;thePainterInterface.getHitDist &lt;integer&gt;tabIndex \n\
</pre></div><p>Returns the distance of the indexed hit point in the stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;thePainterInterface.getHitVec &lt;integer&gt;tabIndex \n\
</pre></div><p>Returns the vector of the indexed hit point in the stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;thePainterInterface.getHitCount() \n\
</pre></div><p>Returns the number of hits in the stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;thePainterInterface.getHitNode &lt;index&gt;sampleIndex \n\
</pre></div><p>Returns the hit node of the supplied sample index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.loadCustomPointGather &lt;node&gt;node &lt;point3 array&gt;pointList \n\
</pre></div><p>Loads a custom point list for the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;thePainterInterface.getPointGatherHits &lt;node&gt;node \n\
</pre></div><p>Returns the hit list as bitArray.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;thePainterInterface.getPointGatherPoint &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the position of the indexed point from the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;thePainterInterface.getPointGatherStr &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the indexed point’s Strength from the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;thePainterInterface.getPointGatherWeight &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the indexed point’s Weight from the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;thePainterInterface.getPointGatherNormal &lt;node&gt;node &lt;integer&gt;index \n\
</pre></div><p>Returns the indexed point’s Normal vector from the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.clearStroke() \n\
</pre></div><p>Clears the stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.addToStroke &lt;point2&gt;pos &lt;boolean&gt;updatePointGather &lt;boolean&gt;updateViewPort \n\
</pre></div><p>Adds a point to the stroke. When <span class=\'code\'>updatePointGather</span> is supplied as <span class=\'code\'>true</span> , the point will be included in the list. When <span class=\'code\'>updateViewPort</span> is supplied as <span class=\'code\'>true</span> , the point will be displayed in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;thePainterInterface.getRandomHitOnPoint &lt;integer&gt;index \n\
</pre></div><p>Returns a random hit on the specified point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;thePainterInterface.getRandomHitAlongStroke &lt;integer&gt;index \n\
</pre></div><p>Returns a random hit along the specified stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;thePainterInterface.getTestHit &lt;point2&gt;Point \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if there is a hit at the specified point, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.getCustomHitPointData &lt;&amp;point3&gt;localHit &lt;&amp;point3&gt;localNormal &lt;&amp;point3&gt;worldHit &lt;&amp;point3&gt;worldNormal &lt;&amp;float&gt;str \n\
\n\
localHit is In and Out parameter \n\
localNormal is In and Out parameter \n\
worldHit is In and Out parameter \n\
worldNormal is In and Out parameter \n\
str is In and Out parameter \n\
</pre></div><p>The method lets you retrieve custom hit point data:</p>\n\
<p><span class=\'code\'>localHit</span> is the hit position in local space</p>\n\
<p><span class=\'code\'>localNormal</span> is the normal of the face that was hit in local space</p>\n\
<p><span class=\'code\'>worldHit</span> is the world space hit point</p>\n\
<p><span class=\'code\'>worldNormal</span> is the world space normal of the hit face</p>\n\
<p><span class=\'code\'>str</span> is the strength of the brush at the time of the hit</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.getCustomHitFaceData &lt;&amp;point3&gt;bary &lt;&amp;integer&gt;faceIndex &lt;node&gt;node \n\
\n\
bary is In and Out parameter \n\
faceIndex is In and Out parameter \n\
</pre></div><p>This function lets you retrieve the custom hit face data.</p>\n\
<p><span class=\'code\'>bary</span> - the barycentric coordinates of the face that was hit</p>\n\
<p><span class=\'code\'>faceIndex</span> - the index of the face that was hit</p>\n\
<p><span class=\'code\'>node</span> - the node that was hit</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;thePainterInterface.isPointInside &lt;point2&gt;testPoint &lt;point2 array&gt;pointList \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified <span class=\'code\'>testPoint</span> is inside the polygon defined by the <span class=\'code\'>pointList</span> coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;thePainterInterface.getMirrorCenter() \n\
</pre></div><p>Returns the center of the mirror gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.ScriptFunctions &lt;value&gt;startStroke &lt;value&gt;paintStroke &lt;value&gt;endStroke &lt;value&gt;cancelStroke &lt;value&gt;systemEnd \n\
</pre></div><p>Registers MAXScript functions to be called by the Painter’s callback system at the specified events. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Paint-Tools/Defining-Custom-Paint-Tools.html\' title=\'\'>Defining Custom Paint Tools Using the Painter Interface</a> for more details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.undoStart() \n\
</pre></div><p>Causes the undo system to start recording. It must be paired with an <span class=\'code\'>undoAccept</span> or <span class=\'code\'>undoCancel</span> . Typically called in the start of a stroke function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.undoAccept() \n\
</pre></div><p>Accepts the current state of the undo record and puts it on the undo stack. Typically called in in the end stroke function</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;thePainterInterface.undoCancel()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";