var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Trackbar Interface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Trackbar Interface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"trackbar-interface\"></a></div>\n\
<p>The Trackbar Interface provides access to properties and methods of the trackbar.</p>\n\
<p>The trackbar interface can be retrieved using a function or property in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>maxOps interface</a>:</p>\n\
<div class=\'codeBlock\'><pre>trackBar_Interface = maxOps.trackBar \n\
</pre></div><p>or</p>\n\
<div class=\'codeBlock\'><pre>trackBar_Interface = maxOps.getTrackBar() \n\
</pre></div><p><strong>Mixin Interface: (maxOps.trackbar)</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: trackbar \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.visible : boolean : Read|Write \n\
</pre></div><p>Displays or hides the trackbar</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.filter : enum : Read|Write \n\
\n\
filter enums: {#all|#TMOnly|#currentTM|#cbject|#mat} \n\
</pre></div><p>Sets and gets the filter that determines which keys are displayed in the trackbar</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.keyTransparency : integer : Read|Write \n\
</pre></div><p>Sets/gets the key transparency value. Acceptable values range 0-255</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.selKeyTransparency : integer : Read|Write \n\
</pre></div><p>Sets/gets the selected key transparency value. Acceptable values range 0-255</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.cursorTransparency : integer : Read|Write \n\
</pre></div><p>Sets/gets the cursor transparency value. Acceptable values range 0-255</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.affectChildren : boolean : Read|Write \n\
</pre></div><p>Sets/gets the affect children mode.</p>\n\
<p>Note:</p>\n\
<p>The following properties require a redraw, but in some cases hiding and unhiding the trackbar gives a better result.</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.showAudio : boolean : Read|Write \n\
</pre></div><p>Sets/gets whether or not the audio track is displayed in the trackbar</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.showFrames : boolean : Read|Write \n\
</pre></div><p>Sets/gets whether or not frames are displayed in the trackbar</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.showSelectionRange : boolean : Read|Write \n\
</pre></div><p>Sets/gets whether or not selection ranges are displayed in the trackbar</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackbar_Interface&gt;.showSnapToFrames : boolean : Read|Write \n\
</pre></div><p>Sets/gets whether or not keys are snapped to frames when moved</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` tbar = maxops.trackbar tbar.showframes = false tbar.redraw() -- Notice the result so far tbar.visible= false tbar.visible= true -- Notice the difference</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;trackbar_Interface&gt;.redraw forceRedraw:&lt;boolean&gt; \n\
\n\
forceRedraw: default value: false \n\
</pre></div><p>Redraws the trackbar. If forceRedraw is set to true, the redraw will be forced.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;trackbar_Interface&gt;.getNextKeyTime() \n\
</pre></div><p>Gets the next key time. The &quot;at time&quot; context can be used to determine the starting point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;trackbar_Interface&gt;.getPreviousKeyTime() \n\
</pre></div><p>Gets the previous key time. The &quot;at time&quot; context can be used to determine the starting point.</p>\n\
<p><strong>The following methods for Registering and Managing of Trackbar Key Filters were added to the interface in 3ds Max 7:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;trackbar_Interface&gt;.registerFilter &lt;value&gt;callbackFilterFunction &lt;value&gt;callbackAdditionFunction &lt;string&gt;name &lt;integer&gt;id \\\n\
active:&lt;boolean&gt; stopTraversal:&lt;boolean&gt; \n\
\n\
active default value: false\n\
stopTraversal default value: true \n\
</pre></div><p>Register a trackbar filter callback function.</p>\n\
<p>The <strong>callbackFilterFunction</strong> is a MAXScript function which should expect 5 arguments in the form:</p>\n\
<div class=\'codeBlock\'><pre>fn myCallbackFilterFunction theAnimatable theParent theSubAnimIndex theGrandParent theNode = (...)\n\
</pre></div><p><strong>theAnimatable</strong>: The first argument passed to the function will be thetrack whose controller&#39;s keys are to be filtered.</p>\n\
<p><strong>theParent</strong>: The second argument passed to the function will be the parent track of the track to be filtered.</p>\n\
<p><strong>theSubAnimIndex</strong>: The third argument passed to the function will be the sub-anim index of theAnimatable track inside theParent track,</p>\n\
<p><strong>theGrandParent</strong>: This fourth argument passed to the function will be the parent of theSubAnimIndex track. It is provided as an additional layer that is needed in case theParent argument is a ParamBlock2 or similar. For example, you may need to know that theGrandParent is a Bend Modifier and theSubAnimIndex is an index into the ParamBlock storage unit.</p>\n\
<p><strong>theNode</strong>: The fifth and last argument passed to the function will be the originating scene node whose subAnims are being traversed.</p>\n\
<p>Note:</p>\n\
<p>Either callbackFunction argument to TrackBar.RegisterFiltercan be the value &#39;undefined&#39;.</p>\n\
<p>For a detailed explanation of the way the function is called and used, please see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter.html\' title=\'\'>Exploring the Trackbar Filter Callback Functions</a></p>\n\
<p>For sample filter functions, please see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter/Trackbar-Keys-Filter-Callback.html\' title=\'\'>Trackbar Filter Callback Function Examples</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;trackbar_Interface&gt;.unRegisterFilter &lt;index&gt;index \n\
</pre></div><p>Unregister the indexed filter function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;trackbar_Interface&gt;.filterCount() \n\
</pre></div><p>Returns the number of registered filter functions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;int by value array&gt;&lt;trackbar_Interface&gt;.getFilterID &lt;index&gt;index \n\
</pre></div><p>Returns the filter id of the indexed filter function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;stringby value&gt;&lt;trackbar_Interface&gt;.getFilterName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the indexed filter function as a string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;trackbar_Interface&gt;.isFilterActive &lt;index&gt;index \n\
</pre></div><p>Returns true if the indexed filter is active, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;trackbar_Interface&gt;.setFilterActive &lt;index&gt;index &lt;boolean&gt;state \n\
</pre></div><p>Sets the active state of the indexed filter to the supplied Boolean value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";