var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>getInterface Function</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>getInterface Function</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"getinterface-function\"></a></div>\n\
<div class=\'codeBlock\'><pre>getInterface {&lt;MAXWrapper&gt; | &lt;MAXClass&gt;} &lt;InterfaceNameString&gt;   \n\
</pre></div><p><span class=\'code\'>getInterface</span> returns the interface specified by the <span class=\'code\'>&lt;InterfaceNameString&gt;</span>, or <span class=\'code\'>undefined</span> if the interface does not exist.</p>\n\
<p>If the first argument is a node, the node-level interfaces for that node are returned.</p>\n\
<p>If you want the interfaces for the node&#39;s base object, you need to specify <span class=\'code\'>&lt;node&gt;.baseobject</span> as the argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` s=sphere() --&gt; $Sphere:Sphere01 @ [0.000000,0.000000,0.000000] theAInterface = getInterface s &quot;IAssembly&quot; --&gt; <mixininterface:iassembly> converttopoly s --&gt; $Editable_Poly:Sphere01 @ [0.000000,0.000000,0.000000] theEPInterface = getInterface s &quot;EditablePoly&quot; --&gt; undefined theEPInterface = getInterface s.baseobject &quot;EditablePoly&quot; --&gt; <mixininterface:editablepoly><p>\n\
<p>```</p>\n\
</mixininterface:editablepoly></mixininterface:iassembly></blockquote>\n\
<p>If the argument is a MAXClass, only static interfaces for that class are returned.</p>\n\
<p>Typically, only utility plugin classes define static interfaces.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` getInterface Plug_in_Manager &quot;PluginMgrAction&quot; <interface:pluginmgraction><p>\n\
<p>```</p>\n\
</interface:pluginmgraction></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";