var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>showInterface Inspector Function</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>showInterface Inspector Function</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"showinterface-inspector-function\"></a></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Interfaces-1.html\' title=\'\'>Interfaces</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-1.html\' title=\'\'>Core Interfaces</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1.html\' title=\'\'>Other Interfaces</a></p>\n\
<div class=\'codeBlock\'><pre>showInterface &lt;interface&gt; [ to:&lt;stream&gt; ]    \n\
</pre></div><p>where <span class=\'code\'>&lt;interface&gt;</span> is the Interface to be inspected.</p>\n\
<p>The optional <span class=\'code\'>to:&lt;stream&gt;</span> keyword argument specifies a Stream Value to output the display to.</p>\n\
<p>This function displays the interface information of the interface supplied as parameter.</p>\n\
<p>The display of interface information is divided into three sections: <strong>Properties</strong>, <strong>Methods</strong>, and <strong>Actions</strong>.</p>\n\
<p>In the <strong>Properties</strong> section, each property exposed by the interface is listed along with its data type or enumeration values and whether the property can be read and written to.</p>\n\
<p>In the <strong>Methods</strong> section, each method is listed along with its return type and its argument list. The value type for each argument is shown. If the return type is shown as <span class=\'code\'>&lt;void&gt;</span>, the method returns a value of &#39;ok&#39;. Methods that are used by <strong>Actions</strong> are commented as such. These methods typically require that the object be selected and active in the appropriate command panel.</p>\n\
<p>In the <strong>Actions</strong> section, each Action is listed along with its category and action description as shown in the Customize User Interface dialog, and the shortcut keys, if any, assigned to the Action.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ctrl = lookat_constraint() --create a new lookat constraint showinterface ctrl.constraints --show the constraints interface</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` Interface: constraints Properties: Methods: <index>getNumTargets() <node>getNode <index>targetNumber <float>getWeight <index>targetNumber <boolean>setWeight <index>targetNumber <float>weight <boolean>appendTarget <node>target <float>weight <boolean>deleteTarget <index>targetNumber Actions:<p>\n\
<p>```</p>\n\
</index></boolean></float></node></boolean></float></index></boolean></index></float></index></node></index></blockquote>\n\
<p>In conjunction with the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/GetInterfaces-Interface.html\' title=\'\'>getInterfaces</a> function which returns an array of interfaces exposed by a MAXWrapper or MAXClass, the <span class=\'code\'>showInterface</span> function can be used to get similar output as from the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/showInterfaces-Inspector.html\' title=\'\'>showInterfaces</a> function.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";