var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: PolyBoolean</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: PolyBoolean</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-polyboolean\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
<p>The <strong>PolyBoolean Interface</strong> is exposed by the ProBoolean class andprovides methods to create and manage ProBoolean Compound Objects.Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p>To access the methods listed below, you can use</p>\n\
<div class=\'codeBlock\'><pre>ProBoolean.PolyBoolean.methodName()      \n\
</pre></div><p>or simply</p>\n\
<div class=\'codeBlock\'><pre>ProBoolean.methodName()   \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CreateBooleanObjects &lt;node&gt;boolnode &lt;&amp;node array&gt;nodes &lt;integer&gt;op &lt;integer&gt;addMethod &lt;integer&gt;matMethod \n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Creates a new ProBoolean object with two or more operands using the first argument as operand A and the array of nodes passed as second argument as multiple operands B.</p>\n\
<p>The third argument is an integer controlling the operation to be performed and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Union</strong></p>\n\
<p>1 - <strong>Intersection</strong></p>\n\
<p>2 - <strong>Subtraction</strong></p>\n\
<p>3 - <strong>Merge</strong></p>\n\
<p>The fourth argument is an integer defining the method to add operands B, corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Reference</strong></p>\n\
<p>1 - <strong>Copy</strong></p>\n\
<p>2 - <strong>Move</strong></p>\n\
<p>3 - <strong>Instance</strong></p>\n\
<p>The fifth argument is an integer controlling the material mdethod and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Apply Operand Method</strong></p>\n\
<p>1 - <strong>Retain Original Material</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CreateBooleanObject &lt;node&gt;boolnode &lt;node&gt;node &lt;integer&gt;op &lt;integer&gt;addMethod &lt;integer&gt;matMethod \n\
</pre></div><p>Creates a new ProBoolean object with two operands using the first argument as operand A the second argument as operand B.</p>\n\
<p>The third argument is an integer controlling the operation to be performed and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Union</strong></p>\n\
<p>1 - <strong>Intersection</strong></p>\n\
<p>2 - <strong>Subtraction</strong></p>\n\
<p>3 - <strong>Merge</strong></p>\n\
<p>The fourth argument is an integer defining the method to add operands B, corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Reference</strong></p>\n\
<p>1 - <strong>Copy</strong></p>\n\
<p>2 - <strong>Move</strong></p>\n\
<p>3 - <strong>Instance</strong></p>\n\
<p>The fifth argument is an integer controlling the material mdethod and corresponding to the radio button state in the UI. Possible values are:</p>\n\
<p>0 - <strong>Apply Operand Method</strong></p>\n\
<p>1 - <strong>Retain Original Material</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetOperandA &lt;node&gt;boolnode \n\
</pre></div><p>Creates a new ProBoolean object with one operand using the argument as operand A. This method can be used to start the creation of a ProBoolean compound object and then switch settings and add operand B using the methods described below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetOperandB &lt;node&gt;boolnode &lt;node&gt;node &lt;integer&gt;addMethod &lt;integer&gt;matMethod \n\
</pre></div><p>Adds operand B to the ProBoolean compound object. This is equivalent to using the Start Picking button in the UI to add more operands.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetOperandSel &lt;node&gt;node &lt;integer&gt;sel \n\
</pre></div><p>Returns true if the indexed operand is selected in the UI, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetOperandSel &lt;node&gt;node &lt;integer&gt;sel &lt;boolean&gt;flag \n\
</pre></div><p>Sets the selected state of the indexed operand in the given ProBoolean compound object to the specified boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetBoolOp &lt;node&gt;node \n\
</pre></div><p>Returns the current boolean operation set in the ProBoolean compound object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetBoolOp &lt;node&gt;node &lt;integer&gt;op \n\
</pre></div><p>Sets the current boolean operation in the ProBoolean compound object to the given value corresponding to the 0-based radio button state. Possible values are:</p>\n\
<p>0 - <strong>Union</strong></p>\n\
<p>1 - <strong>Intersection</strong></p>\n\
<p>2 - <strong>Subtraction</strong></p>\n\
<p>3 - <strong>Merge</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetDisplayResult &lt;node&gt;node \n\
</pre></div><p>Returns the display result mode. When true, the result will be displayed. When false, the Operands will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetDisplayResult &lt;node&gt;node &lt;boolean&gt;flag \n\
</pre></div><p>Sets the display result mode. When true, the result will be displayed. When false, the Operands will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetShowHiddenOps &lt;node&gt;node \n\
</pre></div><p>Returns the state of the Show Hidden Operands option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetShowHiddenOps &lt;node&gt;node &lt;boolean&gt;flag \n\
</pre></div><p>Sets the state of the Show Hidden Operands option to the specified value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetUpdateMode &lt;node&gt;node \n\
</pre></div><p>Returns the update mode. Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Selected</strong></p>\n\
<p>2 - <strong>When Rendering</strong></p>\n\
<p>3 - <strong>Manually</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetUpdateMode &lt;node&gt;node &lt;integer&gt;mode \n\
</pre></div><p>Sets the update mode. Possible values are:</p>\n\
<p>0 - <strong>Always</strong></p>\n\
<p>1 - <strong>When Selected</strong></p>\n\
<p>2 - <strong>When Rendering</strong></p>\n\
<p>3 - <strong>Manually</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetOptimize &lt;node&gt;node \n\
</pre></div><p>Returns the state of the Optimize option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetOptimize &lt;node&gt;node &lt;boolean&gt;flag \n\
</pre></div><p>Sets the state of the Optimize option to the specified value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetCookieCut &lt;node&gt;node \n\
</pre></div><p>Returns true if Cookie cut is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetCookieCut &lt;node&gt;node &lt;boolean&gt;flag \n\
</pre></div><p>Sets the Cookie cut option to the specified state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetImprint &lt;node&gt;node \n\
</pre></div><p>Returns true if Imprint option is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetImprint &lt;node&gt;node &lt;boolean&gt;flag \n\
</pre></div><p>Sets the Imprint option to the specified state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;GetDecimationPercent &lt;node&gt;node \n\
</pre></div><p>Returns the decimation percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetDecimationPercent &lt;node&gt;boolnode &lt;float&gt;percent \n\
</pre></div><p><strong>percent</strong>Validated by Range: 0 to 1120403456</p>\n\
<p>Sets the decimation percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetMakeQuad &lt;node&gt;node \n\
</pre></div><p>Returns true if the Make Quadrilaterals option is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetMakeQuad &lt;node&gt;boolnode &lt;boolean&gt;flag \n\
</pre></div><p>Sets the Make Quadrilaterals option to the specified state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;GetQuadSizePercent &lt;node&gt;node \n\
</pre></div><p>Returns the Quad Size percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetQuadSizePercent &lt;node&gt;boolnode &lt;float&gt;percent \n\
</pre></div><p><strong>percent</strong>Validated by Range: 0 to 1120403456</p>\n\
<p>Sets the Quad Size percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetPlanarEdgeRemoval &lt;node&gt;node \n\
</pre></div><p>Returns the Planar Edge Removal mode. Possible values are:</p>\n\
<p>0 - <strong>Remove All</strong></p>\n\
<p>1 - <strong>Remove Only Invisible</strong></p>\n\
<p>2 - <strong>No Edge Removal</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetPlanarEdgeRemoval &lt;node&gt;node &lt;integer&gt;mode \n\
</pre></div><p>Sets the Planar Edge Removal mode. Possible values are:</p>\n\
<p>0 - <strong>Remove All</strong></p>\n\
<p>1 - <strong>Remove Only Invisible</strong></p>\n\
<p>2 - <strong>No Edge Removal</strong></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE 1</strong></p>\n\
<p>``` --Creating a match using two consecutive boolean operations between --a box, a cone and a sphere:</p>\n\
<p>theBox = box height:100 width:10 length:10--create a box theCone = cone radius1:4 radius2:15 height:110--create a cone theSphere = sphere radius:6--create a sphere xf = xform()--create an XForm modifier addModifier theSphere xf--add the XForm to the sphere xf.gizmo.scale = [1,1,2]--scale the sphere along Z</p>\n\
<p>--create an intersection of the box as operand A and the cone as operand B: ProBoolean.createBooleanObject theBox theCone 1 0 0</p>\n\
<p>--assign materials to the box and to the sphere: theBox.material = standard diffuse:(color 255 200 100) theSphere.material = standard diffuse:brown</p>\n\
<p>ProBoolean.SetBoolOp theBox 0--set the boolean operation to union ProBoolean.setOperandB theBox theSphere 0 0--add the sphere asnewoperand B</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-107609D8-B42D-4F45-A734-21D46559405B-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE 2</strong></p>\n\
<p>``` --Creating a Pencil using multiple boolean subtractions --of a box, two cones and a cylinder:</p>\n\
<p>--Step 1: create a box and two cones, assign materials: theBox = box height:50 width:50 length:50 pos:[0,0,-2] theCone1 = cone radius1:3 radius2:20 height:80 heightsegs:1 pos:[0,0,15] theCone2 = cone radius1:0 radius2:15 height:80 heightsegs:1 theCone1.material = standard diffuse:(color 255 220 200) theCone2.material = standard diffuse:black</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0D4F1F32-3C86-4872-8045-F366904DF6A6-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p>``` --Step 2: Subtract both cones from the box ProBoolean.createBooleanObjects theBox #(theCone2,theCone1) 2 0 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8130E477-50C5-4997-9ED1-943002216EF0-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p>``` --Step 3: Create a 6-sided cylinder and assign a material theCyl = cylinder radius:10 sides:6 height:150 smooth:false pos:[0,0,1] theCyl.material = standard diffuse:(color 255 200 100)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C1A1A765-8496-46F7-9EE0-9DEC46D11434-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p>``` --Step 4: &quot;sharpen&quot; the cylinder using the box with the conical hole ProBoolean.createBooleanObject theCyl theBox 2 0 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-63E90573-034F-4861-B329-313F6A60ADC1-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";