var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ProCutter</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ProCutter</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-procutter\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
<p>The <strong>ProCutter Compound Object</strong> is part of the <strong>ProBoolean</strong> Extension which is integral part of <strong>3ds Max 9</strong> and higher.</p>\n\
<p>It can be used to cut one or more stock objects using a cutter object:</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> ProCutter.CreateCutter #(&lt;object_1&gt;{,&lt;objectr_2&gt;}) &lt;addMethod&gt; &lt;stockOutsideCutter&gt; &lt;stockInsideCutter&gt; &lt;cutterOutsideStock&gt; &lt;autoExtractMesh&gt; &lt;explodeByElements&gt;      \n\
  \n\
\n\
</pre></div><p>Creates a ProCutter object using node <span class=\'code\'>&lt;operand_1&gt;</span> and multiple nodes <span class=\'code\'>&lt;operand_2&gt;</span>, all stored in an array.</p>\n\
<p><span class=\'code\'>#( &lt;object_1&gt; { , &lt;object_2&gt; } )</span> -Specifies the objects used to build the Cutter. Note that the cutter will take over the node and name from <span class=\'code\'>&lt;object_1&gt;</span>. The object of the first node will become the first cutter sub-object.</p>\n\
<p><span class=\'code\'>&lt;addMethod&gt;</span> specifies how the <span class=\'code\'>&lt;operand_2&gt;</span> node(s) will be used.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - instance, operand is an instance of the original node</p>\n\
<p>2 - reference, operand is a reference to original node</p>\n\
<p>3 - copy, operand is a copy of original node</p>\n\
<p>4 - move, original node should be deleted</p>\n\
<p><strong>One of the following three options must be set to true:</strong></p>\n\
<p><span class=\'code\'>&lt;stockOutsideCutter&gt;</span> specifies what to do with the portions of the Stock or Stocks outside the Cutter.</p>\n\
<p>True - keep Stock outside the Cutter</p>\n\
<p>False -remove Stock outside the Cutter</p>\n\
<p><span class=\'code\'>&lt;stockInsideCutter&gt;</span> specifies what to do with the portions of the Stock or Stocks inside the Cutter.</p>\n\
<p>True - keep Stock inside the Cutter</p>\n\
<p>False -remove Stock inside the Cutter</p>\n\
<p><span class=\'code\'>&lt;cutterOutsideStock&gt;</span> specifies what to do with the portions of the Cutter outside of the Stock or Stocks.</p>\n\
<p>True - keep Cutter outside of the Stock(s)</p>\n\
<p>False -remove Cutter outside of the Stock(s)</p>\n\
<p><span class=\'code\'>&lt;autoExtractMesh&gt;</span> specifies whether the result of the operation should be maintained in the Cutter compound object or extracted into separate mesh.</p>\n\
<p>True - don&#39;t modify the cutter object, just cut the stock mesh and extract it into a new object. Note that once the operation is done, the result is an editable mesh with no sub-objects. This flag is useful if you want to use the cutter like a cookie cutter where you reuse the cutter over and over to make holes in an object.</p>\n\
<p>False - maintain all objects in the Cutter compound object. Once the operation is performed the result is a procedural Cutter object with both cutters and stocks as sub-objects that can be edited.</p>\n\
<p><span class=\'code\'>&lt;explodeByElements&gt;</span> specifies whether mesh elements should be separated into individual meshes.</p>\n\
<p>True - creates a separate mesh for each element. It is a good way to break apart an object into smaller volumes by setting this flag to true while <span class=\'code\'>&lt;autoExtractMesh&gt;</span> along with <span class=\'code\'>&lt;stockOutsideCutter&gt;</span> and <span class=\'code\'>&lt;stockInsideCutter&gt;</span> are also set to true.</p>\n\
<p>False -create a single mesh with a mesh element for each separate volume.</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.AddStocks &lt;cutter_object&gt; #(&lt;stock_1&gt;{,&lt;stock_2&gt;}) &lt;addMethod&gt; &lt;matMethod&gt;\n\
  \n\
\n\
</pre></div><p>Adds one or more stock objects to an existing ProCutter compound object.</p>\n\
<p><span class=\'code\'>&lt;cutter_object&gt;</span> is the original ProCutter node created using <span class=\'code\'>ProCutter.CreateCutter()</span></p>\n\
<p><span class=\'code\'>#(&lt;stock_2&gt;{,&lt;stock_2&gt;})</span> - specifies one or more stock nodes in an array of nodes. Note that even if you have only one stock object, you need to use an array, for example #(stockb).</p>\n\
<p><span class=\'code\'>&lt;mat_method&gt;</span> specifies how the materials of the two operands should be handled. Possible values are:</p>\n\
<p>1 - applies operand material</p>\n\
<p>2 - retains original material</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getOperandSel &lt;bool_obj&gt; &lt;integer&gt; \n\
</pre></div><p>Gets the index of the operand currently selected in the operands list.</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.setOperandSel &lt;bool_obj&gt; &lt;integer&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets the index of the operand to be selected in the operands list.</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getDisplayResult &lt;bool_obj&gt; \n\
ProCutter.setDisplayResult &lt;bool_obj&gt; &lt;boolean&gt; \n\
</pre></div><p>These methods get and set whether Results or Operands are displayed. If true, Result is displayed. If false, Operands are displayed.</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getShowHiddenOps &lt;bool_obj&gt; \n\
ProCutter.setShowHiddenOps &lt;bool_obj&gt; &lt;boolean&gt; \n\
</pre></div><p>these methods get and set whether Results + Hidden Operands are displayed. If true, Results + Hidden Operands are displayed. If false, the Results or Operands as specified using <span class=\'code\'>ProCutter.SetDisplayResult()</span> are displayed.</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getUpdateMode &lt;bool_obj&gt; \n\
ProCutter.setUpdateMode &lt;bool_obj&gt; &lt;integer&gt; \n\
</pre></div><p>These methods get and set the Update mode as follows:</p>\n\
<p>0 - Always</p>\n\
<p>1 - When Selected</p>\n\
<p>2 - When Rendering</p>\n\
<p>3 - Manually</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getDecimationPercent &lt;bool_obj&gt; \n\
ProCutter.setDecimationPercent &lt;bool_obj&gt; &lt;float&gt; \n\
</pre></div><p>These methods get and set the decimation percentage that determines the percentage of edges that will be removed from the total set of polygons on this Boolean.</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getMakeQuad &lt;bool_obj&gt; \n\
ProCutter.setMakeQuad &lt;bool_obj&gt; &lt;boolean&gt; \n\
</pre></div><p>These methods get and set whether the operation will change the tessellation of the Boolean from triangles to quadrilaterals</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getQuadSizePercent &lt;bool_obj&gt; \n\
ProCutter.setQuadSizePercent &lt;bool_obj&gt; &lt;float&gt; \n\
</pre></div><p>These methods get and set the percentage of the overall length of the quadrilaterals.</p>\n\
<div class=\'codeBlock\'><pre>ProCutter.getPlanarEdgeRemoval &lt;bool_obj&gt; \n\
ProCutter.setPlanarEdgeRemoval &lt;bool_obj&gt; &lt;integer&gt; \n\
</pre></div><p>These methods determine how the polygons on planar faces will be handled:</p>\n\
<p>1 - Removes all extra co-planar edges on a face</p>\n\
<p>2 - Removes only invisible edges on each face</p>\n\
<p>3 - No edge removal</p>\n\
<div class=\'section\'><a id=\"scripting-procutter-operations\"></a><h3 id=\"scripting-procutter-operations\">Scripting ProCutter Operations</h3></div>\n\
<p>The ProCutter is a two stage operation for scripting. First you create the cutter then you add stocks to the existing cutter.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE 1</strong></p>\n\
<p>Create two boxes to be used in cutter and one box for stock. The resulting cutter object will contain 3 operands.</p>\n\
<p>``` a = box length:10 height:10 width:10 b = box length:4 height:4 width:15 c = box length:13 height:15 width:10 ProCutter.CreateCutter #(a,b) 1 True False False False False ProCutter.AddStocks a #(c) 1 1</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE 2</strong></p>\n\
<p>This is the sort of set up to use when you want to break an object apart into separate little volumes.</p>\n\
<p>``` --- Use cutter to break apart volumes of stock --- into separate little volumes that are extracted --- into separate meshes. This is what you might do --- if you want an object to &quot;explode&quot; into smaller --- pieces. Note that after the operation the original --- cutter object stays around and can be used again. a = box length:10 height:10 width:10 b = box length:4 height:4 width:15 c = box length:13 height:15 width:10 ProCutter.CreateCutter #(a,b) 1 True True False True True ProCutter.AddStocks a #(c) 1 1</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";