var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>3ds Max CAT and MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>3ds Max CAT and MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ds-max-cat-and-maxscript\"></a></div>\n\
<p><strong>3ds Max CAT</strong> (CAT stands for Character Animation Tools) feature introduced in <strong>3ds Max 2011</strong> and refactored in <strong>3ds Max 2013</strong> provides a powerful platform for character animation that is also highly customizable. An important aspect of this is its accessibility to scripting.</p>\n\
<div class=\'section\'><a id=\"maxscript-access-to-3ds-max-cat\"></a><h2 id=\"maxscript-access-to-3ds-max-cat\">MAXScript Access to 3ds Max CAT</h2></div>\n\
<p><strong>3ds Max CAT</strong> implements a character rig as a tree hierarchy of controllers and objects.</p>\n\
<p>All the standard MAXScript calling conventions for navigating hierarchies, accessing subanims, as well as getting, setting and inspecting controller properties work with <strong>3ds Max CAT</strong>.</p>\n\
<p>The <strong>3ds Max CAT</strong> Function Publishing Interfaces expose Properties, Methods and Actions which allow you to use MAXScript to access objects written in C++. Many different types of objects can expose the same interface, thus allowing them to share the same MAXScript exposure. An example of this is that every controller in the CATRig provides the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>interface ICATControlFPInterface</a>.</p>\n\
<p>More specialized controllers such as <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans</a> can additionally provide Interfaces that expose features relevant only to these types of controllers.</p>\n\
<p>To find out what functions are available on controllers and objects, you can use two different MAXScript calls:</p>\n\
<p>Syntax</p>\n\
<div class=\'codeBlock\'><pre>ShowProperties &lt;MaxObject&gt;\n\
Show &lt;MaxObject&gt;--alternative\n\
</pre></div><p>Use <span class=\'code\'>Show()</span> or <span class=\'code\'>ShowProperties()</span> to find out what properties are available on an object or controller.</p>\n\
<div class=\'codeBlock\'><pre>ShowInterfaces &lt;MaxObject&gt;\n\
</pre></div><p>Use <span class=\'code\'>ShowInterfaces()</span> to find out what functions/methods and properties are available on an object or controller.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` ShowProperties $Character001 .CATMode : integer .CATName : string .CATUnits : float .ColourMode : integer .LengthAxis : string .Node : node .RootHub : control .CATVersion : integer .CATRigSpace : matrix3 .CATRigNodes : node by value array .CATRigLayerCtrls : control by value array .RootTransformNode : node .NumLayers : integer .SelectedLayer : integer .SoloLayer : integer .TrackDisplayMethod : integer .Layers : float false</p>\n\
<p>ShowInterfaces $Character001 Interface: CATParentFPInterface Properties: .CATMode : integer : Read|Write|Validated by Validator function .CATName : string : Read|Write .CATUnits : float : Read|Write|Validated by Validator function .ColourMode : integer : Read|Write .LengthAxis : string : Read|Write|Validated by Validator function .Node : node : Read .RootHub : control : Read .CATVersion : integer : Read .CATRigSpace : matrix3 : Read .CATRigNodes : node by value array : Read .CATRigLayerCtrls : control by value array : Read .RootTransformNode : node : Read Methods: <void>AddHub() <boolean>LoadRig <string>filename <boolean>SaveRig <string>filename <node>GetBoneByAddress <string>Address <void>UpdateUserProps() <void>AddRootNode() Actions: Interface: LayerRootFPInterface Properties: .NumLayers : integer : Read .SelectedLayer : integer : Read|Write .SoloLayer : integer : Read|Write .TrackDisplayMethod : integer : Read|Write Methods: <integer>AppendLayer <string>name <name>method method Validated by Validator function <boolean>InsertLayer <string>name <integer>layerID <name>method method Validated by Validator function <void>RemoveLayer <integer>layerID <void>MoveLayerUp <integer>layerID <void>MoveLayerDown <integer>layerID <boolean>SaveClip <string>filename <time>starttime <time>endtime <integer>startlayer <integer>endlayer <boolean>SavePose <string>filename <node>LoadClip <string>filename <time>starttime scaledata: <boolean> transformdata: <boolean> mirrordata: <boolean> mirrorworldX: <boolean> mirrorworldY: <boolean> scaledata default value: true transformdata default value: true mirrordata default value: false mirrorworldX default value: false mirrorworldY default value: false <node>LoadPose <string>filename <time>starttime scaledata: <boolean> transformdata: <boolean> mirrordata: <boolean> mirrorworldX: <boolean> mirrorworldY: <boolean> scaledata default value: true transformdata default value: true mirrordata default value: false mirrorworldX default value: false mirrorworldY default value: false <string>CreatePasteLayerTransformNode() <string>GetFileTagValue <string>filename <string>tag <boolean>LoadHTR <string>filename <string>camfile <boolean>LoadBVH <string>filename <string>camfile <boolean>LoadFBX <string>filename <string>camfile <boolean>LoadBIP <string>filename <string>camfile <void>CollapsePoseToCurLayer() <boolean>CollapseTimeRangeToLayer <time>StartTime <time>Endtime <time>Frequency regularplot: <boolean> NumPasses: <integer> PosDeltaThreshold: <float> RotDeltaThreshold: <float> regularplot default value: false NumPasses default value: 2 PosDeltaThreshold default value: 1.0 RotDeltaThreshold default value: 5.0 <void>CopyLayer <index>LayerID <void>PasteLayer Instance: <boolean> CopyLayerInfo: <boolean> Instance default value: false CopyLayerInfo default value: true Actions: OK<p>\n\
<p>```</p>\n\
</boolean></boolean></void></index></void></float></float></integer></boolean></time></time></time></boolean></void></string></string></boolean></string></string></boolean></string></string></boolean></string></string></boolean></string></string></string></string></boolean></boolean></boolean></boolean></boolean></time></string></node></boolean></boolean></boolean></boolean></boolean></time></string></node></string></boolean></integer></integer></time></time></string></boolean></integer></void></integer></void></integer></void></name></integer></string></boolean></name></string></integer></void></void></string></node></string></boolean></string></boolean></void></blockquote>\n\
<p>Note that the properties exposed by an Interface will also appear as results of the <span class=\'code\'>ShowProperties()</span> call.</p>\n\
<p>You can also call</p>\n\
<div class=\'codeBlock\'><pre>ClassOf &lt;MaxObject&gt;\n\
</pre></div><p>This returns the class name of the specified object.</p>\n\
<p>To access the transform controller of a <strong>3ds Max CAT</strong> bone object which represents the bone inside the controller tree hierarchy of a CATRig, use the following syntax:</p>\n\
<div class=\'codeBlock\'><pre>$&lt;NodeName&gt;.transform.controller\n\
</pre></div><p>A shorthand way of doing the same thing is:</p>\n\
<div class=\'codeBlock\'><pre>$&lt;NodeName&gt;[3].controller\n\
</pre></div><p>or, since the CAT Bone objects also provide a dedicated variable to access the transform controller,</p>\n\
<div class=\'codeBlock\'><pre>$&lt;NodeName&gt;.TMcontroller\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";