var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATBoneDataMatrix3Controller : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATBoneDataMatrix3Controller : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catbonedatamatrix3controller-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATBoneDataMatrix3Controller : Matrix3Controller {1f781be7,19707e49} \n\
</pre></div><p>This Controller is part of <strong>3ds Max CAT</strong>. It holds the data of the bone including its ID, size, segments etc.</p>\n\
<p>In versions prior to <strong>3ds Max 2013</strong>, it was implemented as <strong><span class=\'code\'>CATBoneData : FloatController</span></strong> with the same ClassID and properties.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATBoneDataMatrix3Controller\n\
CATBoneData  \n\
BoneData  \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATBoneDataMatrix3Controller&gt;.Limb (CATLimbData) : maxObject \n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object of the Bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBoneDataMatrix3Controller&gt;.BoneID : index \n\
</pre></div><p>Contains the BoneID index of the Bone.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBoneDataMatrix3Controller&gt;.Length : float \n\
</pre></div><p>Get/set the length of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBoneDataMatrix3Controller&gt;.Width : float \n\
</pre></div><p>Get/set the width of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBoneDataMatrix3Controller&gt;.Depth : float \n\
</pre></div><p>Get/set the depth of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBoneDataMatrix3Controller&gt;.NumSegs : integer \n\
</pre></div><p>Get/set the number of segments of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBoneDataMatrix3Controller&gt;.TwistWeight : float \n\
</pre></div><p>Get/set the twist weight value of the bone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CATBoneDataMatrix3Controller&gt;.BoneSegs: maxObject array \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATBoneSegTrans.html\' title=\'\'>bone segment controller objects</a></p>\n\
<div class=\'section\'><a id=\"catbonedatamatrix3controller-interfaces\"></a><h2 id=\"catbonedatamatrix3controller-interfaces\">CATBoneDataMatrix3Controller interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:CATControlInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: ICATControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface:CATNodeControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>Interface: CATNodeControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface:ExtraRigNodesInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ExtraRigNodesInterface.html\' title=\'\'>Interface: ExtraRigNodesInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface:CATGroupManagerFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-16.html\' title=\'\'>Interface: CATGroupManagerFPInterface</a> for properties and methods.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";