var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATKneeAngle : FloatController</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATKneeAngle : FloatController</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catkneeangle-floatcontroller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATKneeAngle : FloatController {40534bdc,3ae34b58} \n\
</pre></div><p>This is a CATMotion controller used in the animation of Limbs in <strong>3ds Max CAT</strong>.</p>\n\
<p>Other controllers used for CATMotion Limb Animation include <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATLiftPlantMod-FloatController.html\' title=\'\'>CATLiftPlantMod : FloatController</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATLegWeight-FloatController.html\' title=\'\'>CATLegWeight : FloatController</a>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-53CE3EC9-7D37-47B6-8FBF-F7AADCB60318-low.gif\' title=\'\'></div>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATKneeAngle KneeAngle \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.CATBranch : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Motion-Controllers/CATHierarchyBranch.html\' title=\'\'>Branch</a> controller.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.LimbData (CATLimbData) : maxObject\n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object.</p>\n\
<div class=\'section\'><a id=\"lift-knee-angle\"></a><h2 id=\"lift-knee-angle\">Lift Knee Angle</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.LiftValue : float\n\
</pre></div><p>Get/set the Lift Knee Angle value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.LiftTangent : float\n\
</pre></div><p>Get/set the Lift Tangent value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.LiftInTanLength (LiftInTanLen) : float\n\
</pre></div><p>Get/set the Lift In Tangent Length value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.LiftOutTanLength (LiftOutTanLen) : float\n\
</pre></div><p>Get/set the Lift Out Tangent Length value.</p>\n\
<div class=\'section\'><a id=\"mid-lift-knee-angle\"></a><h2 id=\"mid-lift-knee-angle\">Mid-Lift Knee Angle</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidLiftValue : float\n\
</pre></div><p>Get/set the Mid-Lift Knee Angle value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidLiftTime : float\n\
</pre></div><p>Get/set the Mid-Lift Knee Angle time.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidLiftTangent : float\n\
</pre></div><p>Get/set the Mid-Lift Knee Angle Tangent value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidLiftInTanLength (MidLiftInTanLen) : float\n\
</pre></div><p>Get/set the Mid-Lift Knee Angle In Tangent Length value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidLiftOutTanLength (MidLiftOutTanLen) : float\n\
</pre></div><p>Get/set the Mid-Lift Knee Angle Out Tangent Length value.</p>\n\
<div class=\'section\'><a id=\"plant-knee-angle\"></a><h2 id=\"plant-knee-angle\">Plant Knee Angle</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.PlantValue : float\n\
</pre></div><p>Get/set the Plant Knee Angle value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.PlantTangent : float\n\
</pre></div><p>Get/set the Plant Knee Angle Tangent value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.PlantInTanLength (PlantInTanLen) : float\n\
</pre></div><p>Get/set the Plant Knee Angle In Tangent Length value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.PlantOutTanLength (PlantOutTanLen) : float\n\
</pre></div><p>Get/set the Plant Knee Angle Out Tangent Length value.</p>\n\
<div class=\'section\'><a id=\"mid-plant-knee-angle\"></a><h2 id=\"mid-plant-knee-angle\">Mid-Plant Knee Angle</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidPlantValue : float\n\
</pre></div><p>Get/set the Mid-Plant Knee Angle value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidPlantTime : float\n\
</pre></div><p>Get/set the Mid-Plant Knee Angle time.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidPlantTangent : float\n\
</pre></div><p>Get/set the Mid-Plant Knee Angle Tangent value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidPlantInTanLength (MidPlantInTanLen) : float\n\
</pre></div><p>Get/set the Mid-Plant Knee Angle In Tangent Length value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATKneeAngle&gt;.MidPlantOutTanLength (MidPlantOutTanLen) : float\n\
</pre></div><p>Get/set the Mid-Plant Knee Angle Out Tangent Length value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";