var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATCollarBone : Matrix3Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATCollarBone : Matrix3Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catcollarbone-matrix3controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATCollarBone : Matrix3Controller {68c00456,455634fe} \n\
</pre></div><p>This Controller is part of <strong>3ds Max CAT</strong>.</p>\n\
<p>It represents the collar bone in the CATrig which typically connects the Arm Limbs to the Ribcage hub.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATCollarBone CollarBoneTrans \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATCollarBone&gt;.Limb (CATLimbData) : maxObject \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>LimbData</a> controller object of the Bone.</p>\n\
<p>This lets you access the limb the collar bone is part of and all related bone segments, as well as the Hub the limb is attached to.</p>\n\
<p>Since the limb has information about the symmetrical limb on the other side of the body, this makes it easy to get the symmetrical collar bone, too.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ctrl = $.TMcontroller--with a collar bone selected, get its controller --&gt; Controller:CATCollarBone lmb = ctrl.Limb --get the limb data controller --&gt; Controller:CATLimbData2 lmb.Hub--this is the hub of the limb the collar bone belongs to: --&gt; Controller:HubTrans lmb.NumBones--we can check the number of bones in the limb --&gt; 2 lmb.Bones--or we can get the array with the bone data controllers of the bones --&gt; #(Controller:CATBoneData, Controller:CATBoneData)2 slmb = lmb.SymLimb --we can ask for the symmetrical limb on the opposite side --&gt; Controller:CATLimbData2 slmb.collarBone --and through it we can get the symmetrical collar bone, too! --&gt; Controller:CATCollarBone</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre> &lt;CATCollarBone&gt;.Node: node \n\
</pre></div><p>Contains the Node representing the collar bone.</p>\n\
<div class=\'section\'><a id=\"catcollarbone-interfaces\"></a><h2 id=\"catcollarbone-interfaces\">CATCollarBone interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: CATControlInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: CATControlInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: CATNodeControlFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>Interface: CATNodeControlFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ExtraRigNodesInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ExtraRigNodesInterface.html\' title=\'\'>Interface: ExtraRigNodesInterface</a> for properties and methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";