var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CATNodeControlFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CATNodeControlFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-catnodecontrolfpinterface\"></a></div>\n\
<p>This Function Publishing Interface is exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-catnodecontrolfpinterface-1\"></a><h2 id=\"interface-catnodecontrolfpinterface-1\">Interface: CATNodeControlFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.NumArbBones: integer : Read     \n\
</pre></div><p>Contains the number of arbitrary bones in the CATRig.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.Node: node : Read   \n\
</pre></div><p>Contains the node the controller is assigned to.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.Address: String by value : Read \n\
</pre></div><p>Contains the address of the bone.</p>\n\
<p>Read-only.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` $[3].Address --get the address from the transform controller of a selected bone: &quot;SceneRootNode.Hub.Limb[0].LimbBone[0].BoneSeg[1]&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.SetupTM : matrix3 by value : Read|Write \n\
</pre></div><p>Get/set the Setup Transformation Matrix.</p>\n\
<div class=\'codeBlock\'><pre>.BoneDimensions : point3 by value : Read \n\
</pre></div><p>Contains the Bone&#39;s Dimensions (Length, Widht and Height).</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.Stretchy : boolean : Read|Write \n\
</pre></div><p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-4.html\' title=\'\'>REMOVED</a> <strong>in 3ds Max 2015:</strong> Get/set the Stretchy property of the Bone in versions prior to <strong>3ds Max 2015</strong>. Replaced by the two methods below:</p>\n\
<div class=\'codeBlock\'><pre>.SetupStretchy : boolean : Read|Write\n\
</pre></div><p>Get/set the Stretchy property of the Bone for setup mode. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>.AnimationStretchy : boolean : Read|Write\n\
</pre></div><p>Get/set the Stretchy property of the Bone for animation mode. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>.EffectHierarchy: boolean : Read|Write \n\
</pre></div><p>Get/set whether changes to the Bone will affect the hierarchy or not.</p>\n\
<div class=\'codeBlock\'><pre>.ApplyTransforms: boolean : Read|Write \n\
</pre></div><p>Get/set whether to apply transforms to the Bone.</p>\n\
<div class=\'codeBlock\'><pre>.NumLayerFloats: integer : Read \n\
</pre></div><p>Contains the number of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\' title=\'\'>LayerFloat Controllers</a>.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.SetupModeLocks: bitArray : Read|Write|Validated by Validator function \n\
</pre></div><p>Get/set the bitarry of Setup Mode Locks.</p>\n\
<div class=\'codeBlock\'><pre>.AnimationLocks: bitArray : Read|Write|Validated by Validator function \n\
</pre></div><p>Get/set the bitarry of Animation Locks.</p>\n\
<div class=\'codeBlock\'><pre>.MirrorBone: node : Read|Write \n\
</pre></div><p>Get/set the mirror bone node.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;AddArbBone AsNewGroup:&lt;boolean&gt; \n\
   AsNewGroup default value: false\n\
</pre></div><p>Adds an arbitrary Bone to the Rig.</p>\n\
<p>Returns the new Bone&#39;s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>CATNodeControlFPInterface Interface</a> since <strong>3ds Max 2013</strong>. In previous versions, it used to return the bone&#39;s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\' title=\'\'>ArbBone controller</a></p>\n\
<p>You can use the Interface&#39;s <strong><span class=\'code\'>.Node</span></strong> property to access the actual node of the new arbitrary Bone (see top of this page).</p>\n\
<p>The <span class=\'code\'>AsNewGroup:</span> optional argument can be set to True to add the bone to a new group since <strong>3ds Max 2015</strong>. It defaults to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;GetArbBone &lt;index&gt;index \n\
</pre></div><p>Returns the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>CATNodeControlFPInterface Interface</a> of the indexed Arbitrary Bone since <strong>3ds Max 2013</strong>. In previous versions, it used to return the bone&#39;s <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\' title=\'\'>ArbBone controller</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;CreateLayerMatrix3 AsNewGroup:&lt;boolean&gt;\n\
   AsNewGroup default value: false\n\
</pre></div><p>Creates and returns a new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\' title=\'\'>LayerMatrix3 Controller</a>.</p>\n\
<p>The <span class=\'code\'>AsNewGroup:</span> optional argument can be set to True to add the controller to a new group since <strong>3ds Max 2015</strong>. It defaults to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;control&gt;CreateLayerFloat() \n\
</pre></div><p>Creates and returns a new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\' title=\'\'>LayerFloat Controller</a>.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\' title=\'\'>ArbBone : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\' title=\'\'>CATBoneDataMatrix3Controller : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATBoneSegTrans.html\' title=\'\'>CATBoneSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\' title=\'\'>CATCollarBone : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATDigitSegTrans.html\' title=\'\'>CATDigitSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\' title=\'\'>CATFootTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\' title=\'\'>CATSpineTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/IKTargTrans-Matrix3Controller.html\' title=\'\'>IKTargTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\' title=\'\'>PalmTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\' title=\'\'>TailTrans : Matrix3Controller</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";