var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: CATParentFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: CATParentFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-catparentfpinterface\"></a></div>\n\
<p>This Function Publishing Interface is exposed by <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent : Helper</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATParentTrans-Matrix3Controller.html\' title=\'\'>CATParentTrans : Matrix3Controller</a> which are part of <strong>3ds Max CAT</strong>.</p>\n\
<div class=\'section\'><a id=\"interface-catparentfpinterface-1\"></a><h2 id=\"interface-catparentfpinterface-1\">Interface: CATParentFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.CATMode: integer : Read|Write|Validated by Validator function   \n\
</pre></div><p>Get/set the CAT Mode.</p>\n\
<div class=\'codeBlock\'><pre>.CATName:Stringby value : Read|Write   \n\
</pre></div><p>Get/set the name of the CAT Rig.</p>\n\
<p>Setting this property will rename all CAT Rig bones and prefix them with the CATName.</p>\n\
<div class=\'codeBlock\'><pre>.CATUnits: float : Read|Write|Validated by Validator function \n\
</pre></div><p>Get/set the CAT Units value.</p>\n\
<div class=\'codeBlock\'><pre>.ColourMode: integer : Read|Write \n\
</pre></div><p>Get/set the CAT Color Mode.Default is 0.</p>\n\
<div class=\'codeBlock\'><pre>.LengthAxis:String: Read|Write|Validated by Validator function \n\
</pre></div><p>Get/set the Bone Length Axis mode.</p>\n\
<p>Possible values are:</p>\n\
<p>&quot;X&quot; - X Axis (default)</p>\n\
<p>&quot;Z&quot; - Z Axis</p>\n\
<div class=\'codeBlock\'><pre>.Node: node : Read \n\
</pre></div><p>Contains a reference to the scene object representing the CATParent.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.RootHub: control : Read \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTranscontroller</a> of the Root Hub.</p>\n\
<div class=\'codeBlock\'><pre>.CATVersion: integer : Read \n\
</pre></div><p>Contains the CAT version number.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.CATRigSpace: matrix3 : Read \n\
</pre></div><p>Contains the CAT Rig&#39;slocal space.This is equivalent to .Node.transform</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.CATRigNodes: node by value array : Read \n\
</pre></div><p>Contains an array of all nodes that are part of the CATRig.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.CATRigLayerCtrls: control by value array : Read \n\
</pre></div><p>Contains an array of all controllers that are part of the CATRig.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.RootTransformNode: node : Read \n\
</pre></div><p>Contains a reference to the Root Transform Node.</p>\n\
<p>Default is undefined. Use <span class=\'code\'>.AddRootNode()</span> to create a RootTransformNode.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;AddHub() \n\
</pre></div><p>Adds a Hub to the CATRig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;LoadRig &lt;String&gt;filename \n\
</pre></div><p>Loads a CATRig definition from the specified file name.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SaveRig &lt;String&gt;filename \n\
</pre></div><p>Saves the CATRig definition to the specified file name.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre> &lt;node&gt;GetBoneByAddress &lt;Stringby value&gt;Address \n\
</pre></div><p>Returns a Bone node by its string address.</p>\n\
<p>You can use the <span class=\'code\'>.Address</span> property exposed by <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>CATNodeControlFPInterface</a> to get a bone&#39;s address string.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;UpdateUserProps() \n\
</pre></div><p>Updates the User Properties.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;AddRootNode() \n\
</pre></div><p>Adds a Root Node. Accessible via the <span class=\'code\'>.RootTransformNode</span> property.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATParentTrans-Matrix3Controller.html\' title=\'\'>CATParentTrans : Matrix3Controller</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";