var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ICATControlFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ICATControlFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-icatcontrolfpinterface\"></a></div>\n\
<p>Exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<p>This interface was called <strong>CATControlInterface</strong> in <strong>3ds Max 2011</strong> and <strong>3ds Max 2012</strong>.</p>\n\
<p>Available under the new name in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"interfaceicatcontrolfpinterface\"></a><h2 id=\"interfaceicatcontrolfpinterface\">Interface:ICATControlFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.CATParent : node : Read     \n\
</pre></div><p>Contains the CATParent node of the CATRig.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.Name : String by value : Read|Write   \n\
</pre></div><p>Get/set the name of the Controller.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PasteLayer &lt;control&gt;source &lt;integer&gt;fromindex &lt;integer&gt;toindex &lt;boolean&gt;instance \n\
</pre></div><p>Performs a Paste Layer operation from the Source controller specified as the first argument and pasting the range specified by the second and third arguments.</p>\n\
<p>The fourth Boolean argument controls whether the pasted layer will be instanced (true) or an independent copy (false).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PasteRig &lt;maxObject&gt;source &lt;boolean&gt;mirrordata \n\
</pre></div><p>Performs a Paste Rig operation from the object specified as the first argument.</p>\n\
<p>The second Boolean argument controls whether the pasted rig data will be mirrored.</p>\n\
<p>In <strong>3ds Max 2013 and higher</strong>, returns True on success, False on failure.</p>\n\
<p>In <strong>3ds Max 2015</strong>, the first argument&#39;s signature was changed from <span class=\'code\'>&lt;control&gt;</span> to <span class=\'code\'>&lt;maxObject&gt;</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SaveClip &lt;String&gt;filename &lt;time&gt;StartTime &lt;time&gt;EndTime \n\
</pre></div><p>Saves a Clip to the file name specified by the first argument.</p>\n\
<p>The second and third arguments provide the time range to save.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;LoadClip &lt;String&gt;filename &lt;time&gt;time &lt;boolean&gt;mirrordata \n\
</pre></div><p>Loads a Clip from the file name specified by the first argument.</p>\n\
<p>The second argument specifies the start time of the clip.</p>\n\
<p>The third Boolean argument controls whether the loaded data will be mirrored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SavePose &lt;String&gt;filename \n\
</pre></div><p>Saves a Pose to the file name specified by the first argument.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;LoadPose &lt;String&gt;filename &lt;time&gt;time &lt;boolean&gt;mirrordata \n\
</pre></div><p>Loads a Pose from the file name specified by the first argument.</p>\n\
<p>The second argument specifies the time to load the pose at.</p>\n\
<p>The third Boolean argument controls whether the loaded data will be mirrored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CollapsePoseToCurLayer() \n\
</pre></div><p>Collapses the Pose to the current layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CollapseTimeRangeToCurrLayer &lt;time&gt;StartTime &lt;time&gt;EndTime &lt;time&gt;Frequency \n\
</pre></div><p>Collapses the Time Range specified by the first and second arguments to the current layer using the third argument as the sampling rate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetTransforms() \n\
</pre></div><p>Resets the Transformations of the Controller.</p>\n\
<p><strong>Exposed by</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\' title=\'\'>ArbBone : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATBoneDataMatrix3Controller.html\' title=\'\'>CATBoneData : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATBoneSegTrans.html\' title=\'\'>CATBoneSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\' title=\'\'>CATCollarBone : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATDigitSegTrans.html\' title=\'\'>CATDigitSegTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATFootTrans2-Matrix3Controller.html\' title=\'\'>CATFootTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>CATLimbData2 : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATSpineData2-ReferenceTarget.html\' title=\'\'>CATSpineData2 : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATSpineTrans2-Matrix3Controller.html\' title=\'\'>CATSpineTrans2 : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/DigitData-ReferenceTarget.html\' title=\'\'>DigitData : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/HubTrans-Matrix3Controller.html\' title=\'\'>HubTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/IKTargTrans-Matrix3Controller.html\' title=\'\'>IKTargTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\' title=\'\'>PalmTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/TailData2-ReferenceTarget.html\' title=\'\'>TailData2 : ReferenceTarget</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\' title=\'\'>TailTrans : Matrix3Controller</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";