var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LayerRootFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LayerRootFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-layerrootfpinterface\"></a></div>\n\
<p>This Function Publishing Interface is exposed by various components of <strong>3ds Max CAT</strong>.</p>\n\
<p>Please see the Exposed by section at the bottom of this page for details.</p>\n\
<div class=\'section\'><a id=\"interface-layerrootfpinterface-1\"></a><h2 id=\"interface-layerrootfpinterface-1\">Interface: LayerRootFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.NumLayers: integer : Read   \n\
</pre></div><p>The number of layers currently in the layer stack on this character.</p>\n\
<div class=\'codeBlock\'><pre>.SelectedLayer: integer : Read|Write   \n\
</pre></div><p>If a layer is currently selected, then this returns its index, or -1 if no layer is soloed.</p>\n\
<div class=\'codeBlock\'><pre>.SoloLayer:integer: Read|Write \n\
</pre></div><p>If a layer is currently soloed, then this returns its index, or -1 if no layer is soloed.</p>\n\
<div class=\'codeBlock\'><pre>.TrackDisplayMethod: integer : Read|Write \n\
</pre></div><p>Returns the setting for Track display. This correlates to the setting on the CATParent Rollout.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;AppendLayer &lt;String&gt;name &lt;name&gt;method \n\
\n\
method Validated by Validator function\n\
</pre></div><p>Adds a new layer to the end of the layer stack.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` $CATParent.AppendLayer NewLayerName #absolute</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;InsertLayer &lt;String&gt;name &lt;index&gt;layerID &lt;name&gt;method \n\
\n\
method Validated by Validator function\n\
</pre></div><p>Inserts a layer into the layer stack at the specified position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemoveLayer &lt;index&gt;layerID \n\
</pre></div><p>Removes the specified layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MoveLayerUp &lt;index&gt;layerID \n\
</pre></div><p>Moves the specified layer up one position in the layer stack.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MoveLayerDown &lt;index&gt;layerID \n\
</pre></div><p>Moves the specified layer down in the layer stack.</p>\n\
<div class=\'codeBlock\'><pre>&lt;color&gt;GetLayerColor &lt;index&gt;index\n\
</pre></div><p>Returns the Color of the indexed layer. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetLayerColor &lt;index&gt;index &lt;color&gt;newColor\n\
</pre></div><p>Sets the Color of the indexed layer to the new value specified by the second argument. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SaveClip &lt;String&gt;filename &lt;time&gt;starttime &lt;time&gt;endtime &lt;index&gt;startlayer &lt;index&gt;endlayer \n\
</pre></div><p>Saves a Clip file to the hard drive.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` $CATParent.SaveClip &quot;c:\\backflip.clp&quot; 20 130 2 3</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SavePose &lt;String&gt;filename \n\
</pre></div><p>Saves a Pose file to the hard drive.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` $CATParent.layers.controller.SavePose &quot;c:\\point.pse&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;LoadClip &lt;String&gt;filename &lt;time&gt;starttime scaledata:&lt;boolean&gt; transformdata:&lt;boolean&gt; mirrordata:&lt;boolean&gt; mirrorworldX:&lt;boolean&gt; mirrorworldY:&lt;boolean&gt; \n\
\n\
scaledata default value: true\n\
transformdata default value: true\n\
mirrordata default value: fals\n\
emirrorworldX default value: fals\n\
emirrorworldY default value: false\n\
</pre></div><p>Loads a Clip file from the hard drive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;LoadPose &lt;String&gt;filename &lt;time&gt;starttime scaledata:&lt;boolean&gt; transformdata:&lt;boolean&gt; mirrordata:&lt;boolean&gt; mirrorworldX:&lt;boolean&gt; mirrorworldY:&lt;boolean&gt; \n\
\n\
scaledata default value: true\n\
transformdata default value: true\n\
mirrordata default value: false\n\
mirrorworldX default value: false\n\
mirrorworldY default value: false\n\
</pre></div><p>Loads a Pose file from the hard drive.</p>\n\
<div class=\'codeBlock\'><pre> &lt;String&gt;CreatePasteLayerTransformNode() \n\
 &lt;String&gt;GetFileTagValue &lt;String&gt;filename &lt;String&gt;tag \n\
</pre></div><p>Given a Clip or Pose file, returns a value of a specified tag in the file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;LoadHTR &lt;String&gt;filename &lt;String&gt;camfile \n\
</pre></div><p>Loads the specified HTR file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;LoadBVH &lt;String&gt;filename &lt;String&gt;camfile \n\
</pre></div><p>Loads the specified BVH file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;LoadFBX &lt;String&gt;filename &lt;String&gt;camfile \n\
</pre></div><p>Loads the specified FBX file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;LoadBIP &lt;String&gt;filename &lt;String&gt;camfile \n\
</pre></div><p>Loads the specified BIP file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;CollapsePoseToCurLayer() \n\
</pre></div><p>Takes the result of the layer stack and bakes it into a layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CollapseTimeRangeToLayer &lt;time&gt;StartTime &lt;time&gt;Endtime &lt;time&gt;Frequency regularplot:&lt;boolean&gt; NumPasses:&lt;integer&gt; PosDeltaThreshold:&lt;float&gt; RotDeltaThreshold: &lt;float&gt; \n\
\n\
regularplot default value: false\n\
NumPasses default value: 2\n\
PosDeltaThreshold default value: 1.0\n\
RotDeltaThreshold default value: 5.0\n\
</pre></div><p>Collapse the current layer stack down to one new layer.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;CopyLayer &lt;index&gt;LayerID \n\
</pre></div><p>Copies the Current layer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PasteLayer Instance:&lt;boolean&gt; CopyLayerInfo:&lt;boolean&gt; \n\
\n\
Instance default value: false\n\
CopyLayerInfo default value: true\n\
</pre></div><p>Pastes the layer copied using the CopyLayer method onto the layer stack.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATParentTrans-Matrix3Controller.html\' title=\'\'>CATParentTrans : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerFloat-FloatController.html\' title=\'\'>LayerFloat : FloatController</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerMatrix3-Matrix3Controller.html\' title=\'\'>LayerMatrix3 : Matrix3Controller</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\' title=\'\'>LayerRoot : FloatController</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";