var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: LimbFPInterface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: LimbFPInterface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-limbfpinterface\"></a></div>\n\
<p>This Function Publishing Interface is exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>CATLimbData2ReferenceTarget : ReferenceTarget</a> of all <strong>3ds Max CAT</strong> Limb Bones.</p>\n\
<div class=\'section\'><a id=\"interface-limbfpinterface-1\"></a><h2 id=\"interface-limbfpinterface-1\">Interface: LimbFPInterface</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.IKTarget: node : Read   \n\
</pre></div><p>Contains the IK Target Node.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.UpNode: node : Read   \n\
</pre></div><p>Contains the Up Node.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.IsLeg: boolean : Read \n\
</pre></div><p>Contains true if the Limb Bone is part of a Leg, false if it is not.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.IsArm: boolean : Read \n\
</pre></div><p>Contains true if the Limb Bone is part of an Arm, false if it is not.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.LMR: integer : Read|Write \n\
</pre></div><p>Get/set the location of the bone as follows:</p>\n\
<p>-1 - Left</p>\n\
<p>0 - Middle</p>\n\
<p>1 - Right</p>\n\
<div class=\'codeBlock\'><pre>.SymLimb: Interface  : Read \n\
</pre></div><p>Contains the Interface of the Symmetrical Limb. This allows for very fast access to the opposite side of the rig.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.Palm: Interface : Read \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/PalmTrans-Matrix3Controller.html\' title=\'\'>controller of the Palm</a>.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.Collarbone: Interface : Read \n\
</pre></div><p>Contains the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/CATCollarBone-Matrix3Controller.html\' title=\'\'>controller of the Limb&#39;s Collar Bone</a>.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;CreateIKTarget() \n\
</pre></div><p>Creates an IK Target node and returns it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemoveIKTarget() \n\
</pre></div><p>Removes the IK Target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MoveIKTargetToEndOfLimb() \n\
</pre></div><p>Moves the IK Target to the end of the Limb.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;CreateUpNode() \n\
</pre></div><p>Creates an Up Node and returns it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemoveUpNode() \n\
</pre></div><p>Removes the Up Node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;CreatePalmAnkle() \n\
</pre></div><p>Creates a Palm Ankle and returns its Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemovePalmAnkle() \n\
</pre></div><p>Removes the Palm Ankle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;CreateCollarbone() \n\
</pre></div><p>Creates a Collar Bone and returns its interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemoveCollarbone() \n\
</pre></div><p>Removes the Collar Bone.</p>\n\
<p>Exposed by</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Data-Controllers/CATLimbData2-ReferenceTarget.html\' title=\'\'>CATLimbData2ReferenceTarget : ReferenceTarget</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";