var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATMuscle : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATMuscle : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catmuscle-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATMuscle - superclass: helper; super-superclass:node - 23:23 - classID: #(401557208, 470706893) \n\
</pre></div><p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATMuscle... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"the-following-properties-are-actually-exposed-by-the-interfaces-below\"></a><h2 id=\"the-following-properties-are-actually-exposed-by-the-interfaces-below\">The following properties are actually exposed by the Interfaces below:</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.DeformerType String default: &quot;Bones&quot; -- String   \n\
</pre></div><p>Get/set the Deformer Type as string.</p>\n\
<p>Possible values are &quot;Mesh&quot; and &quot;Bones&quot;.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.Colour Color default: (color 148 177 27) -- color \n\
</pre></div><p>Get/set the color of the CATMuscle.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.Handles Array default: #($Muscle_Handle:CATMuscle001M_A @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_AC @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_AB @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_B @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_BD @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_BA @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_C @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_CA @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_CD @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_D @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_DB @ [0.000000,0.000000,0.000000], $Muscle_Handle:CATMuscle001M_DC @ [0.000000,0.000000,0.000000], undefined, undefined, undefined, undefined) -- node by value array; \n\
</pre></div><p>Contains an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/Muscle_Handle-Helper.html\' title=\'\'>Muscle_Handle objects</a>.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.HandleSize Float default: 10.0 -- float \n\
</pre></div><p>Get/set the size of the Muscle Handles.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.HandlesVisible BooleanClass default: true -- boolean \n\
</pre></div><p>Get/set the state of the visibility option of the Muscle Handles.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.LMR Integer default: 0 -- integer \n\
</pre></div><p>Get/set the location of the Muscle Strand within the rig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 - left</p>\n\
<p>0 - center</p>\n\
<p>1 - right</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.MiddleHandles BooleanClass default: false -- boolean \n\
</pre></div><p>Enable/disable middle Muscle Handles.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.MuscleName String default: &quot;CATMuscle001&quot; --String \n\
</pre></div><p>Get/set the name of the Muscle.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.NumCollisionObjects Integer default: 0 -- integer; \n\
</pre></div><p>Contains the number of collision objects in the Muscle.</p>\n\
<p>Read-only.</p>\n\
<p>Use the Interface methods listed further on this page to add, remove, get and manage collision object values.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.NumUSegs Integer default: 3 -- integer \n\
</pre></div><p>Get/set the number of U Segment.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATMuscle&gt;.NumVSegs Integer default: 2 -- integer \n\
</pre></div><p>Get/set the number of V Segment.</p>\n\
<div class=\'section\'><a id=\"catmuscle-interfaces\"></a><h2 id=\"catmuscle-interfaces\">CATMuscle interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: CATMuscleFunctions \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.DeformerType: String: Read|Write \n\
.MuscleName: String: Read|Write \n\
.Colour: color : Read|Write \n\
.LMR: integer : Read|Write \n\
.NumVSegs: integer : Read|Write \n\
.NumUSegs: integer : Read|Write \n\
.HandleSize: float : Read|Write \n\
.HandlesVisible: boolean : Read|Write \n\
.MiddleHandles: boolean : Read|Write \n\
.Handles: node by value array : Read \n\
.NumCollisionObjects: integer : Read \n\
</pre></div><p>See above for properties descriptions.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;AddCollisionObject &lt;node&gt;sphere \n\
</pre></div><p>Adds the node supplied as first argument to the list of collision objects.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;RemoveCollisionObject &lt;index&gt;index \n\
</pre></div><p>Removes the indexed collision object from the list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;node&gt;GetCollisionObject &lt;index&gt;index \n\
</pre></div><p>Returns the indexed collision object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;float&gt;GetCollisionObjectDistortion &lt;index&gt;index \n\
</pre></div><p>Returns the distortion of the indexed collision object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;SetCollisionObjectDistortion &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>Returns the Distortion value of the indexed collision object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;float&gt;GetCollisionObjectHardness &lt;index&gt;index \n\
</pre></div><p>Returns the Hardness value of the indexed collision object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;SetCollisionObjectHardness &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>Sets the Hardness of the indexed collision object to the value specified as second argument.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MoveCollisionObjectUp &lt;index&gt;index \n\
</pre></div><p>Moves the indexed collision object up the list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MoveCollisionObjectDown &lt;index&gt;index \n\
</pre></div><p>Moves the indexed collision object down the list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;PasteMuscle &lt;maxObject&gt;SourceMuscle \n\
</pre></div><p>Pastes the source muscle settings.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";