var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CATParent : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CATParent : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"catparent-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>CATParent - superclass: helper; super-superclass:node - 17:17 - classID: #(1454273253, 949708377) \n\
</pre></div><p>This Helper Object serves as the root of <strong>3ds Max CAT</strong> character rigs.</p>\n\
<p>It stores the common shared information about a character rig including the name of the rig and the CATUnits value.</p>\n\
<p>It also holds the layers system details including the name of each layer and its global weight.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>CATParent ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.CATMode Integer default: 0 -- integer \n\
</pre></div><p>Get/set the CAT Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Rig Mode</p>\n\
<p>1 - Animation Mode</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.CATName String default: &quot;CATRig&quot; -- String by value \n\
</pre></div><p>Get/set the name of the CATRig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.CATUnits Float default: 1.0 -- float \n\
</pre></div><p>Get/set the [<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/About-CATUnit-Ratio.html\' title=\'\'>CATUnits Ratio</a>] value of the CATRig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.CATVersion Integer default: 360 -- integer; \n\
</pre></div><p>Contains the CAT version number. Read-Only.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.ColourMode Integer default: 0 -- integer \n\
</pre></div><p>Get/set the Color Mode of the CAT Rig.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Bone Colors</p>\n\
<p>524288- Animation Layer Colors</p>\n\
<p>Corresponds to the Rig Coloring Mode flyout in the Motion Tab UI.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.LengthAxis String default: &quot;X&quot; --String \n\
</pre></div><p>Get/set the Bone Length Axis mode.</p>\n\
<p>Possible values are</p>\n\
<p>&quot;X&quot; - X Axis</p>\n\
<p>&quot;Z&quot; - Z Axis</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.Node CATParent default: $Object:Character001 @ [0.000000,0.000000,0.000000] -- node; SubAnim \n\
</pre></div><p>Contains the CATParent node.</p>\n\
<p>This is redundant since it returns the same object the property is exposed by, but it can be useful when iterating through the whole character rig since all bone controllers also expose a .node property.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.RootHub UndefinedClass default: undefined -- control; \n\
</pre></div><p>Contains the Root Hub of the rig</p>\n\
<p>Typically this is the Pelvis that connects the legs, spine and tail bones.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.RootTransformNode UndefinedClass default: undefined -- node; \n\
</pre></div><p>Contains the Root Transform Node of the rig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.CATRigLayerCtrls Array default: #() -- control by value array; \n\
</pre></div><p>Contains an array of all Layer controllers used by the rig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.CATRigNodes Array default: #($Object:Character001 @ [0.000000,0.000000,0.000000]) -- node by value array; \n\
</pre></div><p>Contains an array of all Nodes used by the rig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.CATRigSpace Matrix3 default: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0]) -- matrix3 by value; \n\
</pre></div><p>Contains the Rig Space Transformation Matrix.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.NumLayers Integer default: 0 -- integer; \n\
</pre></div><p>Contains the number of layers in the rig.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.Layers Floatdefault: 0.0--float \n\
</pre></div><p>The controller assigned to this property is the LayerRoot controller used to manage all layers on the rig. Thus, this property should be accessed as .Layers.Controller</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.SelectedLayer Integer default: 0 -- index \n\
</pre></div><p>Get/set the index of the Selected Layer.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.SoloLayer Integer default: 0 -- index \n\
</pre></div><p>Get/set the index of the Solo Layer.</p>\n\
<div class=\'codeBlock\'><pre> &lt;CATParent&gt;.TrackDisplayMethod Integer default: 1 -- integer \n\
</pre></div><p>Get/set the Track Display Method.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Active Layer</p>\n\
<p>2 - Contributing Layers</p>\n\
<p>3 - All Layers</p>\n\
<div class=\'section\'><a id=\"catparent-interfaces\"></a><h2 id=\"catparent-interfaces\">CATParent interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: CATParentFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-CATParentFPInterface.html\' title=\'\'>Interface: CATParentFPInterface</a> for properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>Interface: LayerRootFPInterface \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\' title=\'\'>Interface: LayerRootFPInterface</a> for properties and methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";