var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MusclePatch : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MusclePatch : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"musclepatch-helper\"></a></div>\n\
<p>This Helper Object is part of <strong>3ds Max CAT</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><div class=\'section\'><a id=\"musclepatch-interfaces\"></a><h2 id=\"musclepatch-interfaces\">MusclePatch interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: CATMuscle Functions \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> .DeformerType : String : Read|Write \n\
</pre></div><p>Get/set the Deformer Type as a string.</p>\n\
<div class=\'codeBlock\'><pre> .MuscleName : String : Read|Write \n\
</pre></div><p>Get/set the Muscle name as a string.</p>\n\
<div class=\'codeBlock\'><pre> .Colour : color : Read|Write \n\
</pre></div><p>Get/set the color of the Muscle.</p>\n\
<div class=\'codeBlock\'><pre>.LMR : integer : Read|Write \n\
</pre></div><p>Get/set the location of the Muscle inside the CATRig.</p>\n\
<p>Possible values are:</p>\n\
<p>-1 = Left</p>\n\
<p>0 = Middle</p>\n\
<p>1 = Right</p>\n\
<div class=\'codeBlock\'><pre>.NumUSegs : integer : Read|Write \n\
</pre></div><p>Get/set the number of U segments.</p>\n\
<div class=\'codeBlock\'><pre> .NumVSegs : integer : Read|Write \n\
</pre></div><p>Get/set the number of V segments.</p>\n\
<div class=\'codeBlock\'><pre> .HandleSize : float : Read|Write \n\
</pre></div><p>Get/set the handle size of the muscle.</p>\n\
<div class=\'codeBlock\'><pre> .HandlesVisible : boolean : Read|Write\n\
</pre></div><p>Get/set whether the handles are visible or not.</p>\n\
<div class=\'codeBlock\'><pre> .MiddleHandles : boolean : Read|Write \n\
</pre></div><p>Get/set whether to use middle handles or not.</p>\n\
<div class=\'codeBlock\'><pre> .Handles : node by value array : Read \n\
</pre></div><p>Contains a read-only array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/Muscle_Handle-Helper.html\' title=\'\'>Muscle Handles</a>.</p>\n\
<div class=\'codeBlock\'><pre> .NumCollisionObjects : integer : Read \n\
</pre></div><p>Get/set Contains the number of collision objects.</p>\n\
<p>See the methods below for adding and removing collision objects.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;AddCollisionObject &lt;node&gt;sphere \n\
</pre></div><p>Adds a collision object .</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;RemoveCollisionObject &lt;index&gt;index \n\
</pre></div><p>Removes the indexed collision object .</p>\n\
<div class=\'codeBlock\'><pre> &lt;node&gt;GetCollisionObject &lt;index&gt;index \n\
</pre></div><p>Returns the indexed collision object.</p>\n\
<div class=\'codeBlock\'><pre> &lt;float&gt;GetCollisionObjectDistortion &lt;index&gt;index \n\
</pre></div><p>Returns the indexed collision object&#39;s Distortion value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;SetCollisionObjectDistortion &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>Sets the indexed collision object&#39;s Distortion value to the floating point value supplied as second argument.</p>\n\
<div class=\'codeBlock\'><pre> &lt;float&gt;GetCollisionObjectHardness &lt;index&gt;index \n\
</pre></div><p>Returns the indexed collision object&#39;s Hardness value.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;SetCollisionObjectHardness &lt;index&gt;index &lt;float&gt;value \n\
</pre></div><p>Sets the indexed collision object&#39;s Hardness value to the floating point value supplied as second argument.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MoveCollisionObjectUp &lt;index&gt;index \n\
</pre></div><p>Moves the indexed collision object up on the collision objects list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;MoveCollisionObjectDown &lt;index&gt;index \n\
</pre></div><p>Moves the indexed collision object down on the collision objects list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;PasteMuscle &lt;maxObject&gt;SourceMuscle \n\
</pre></div><p>Pastes the muscle provided by the argument.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";