var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Access To CAT Layers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Access To CAT Layers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-access-to-cat-layers\"></a></div>\n\
<p>The following page provides an overview of the CAT layer controllers and interfaces exposure to MAXScript.</p>\n\
<div class=\'section\'><a id=\"layerroot-controller\"></a><h2 id=\"layerroot-controller\">LayerRoot Controller</h2></div>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent Helper Object</a> holds a controller called the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\' title=\'\'>LayerRoot</a> in its .layers property which manages all the layers in the character.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\' title=\'\'>LayerRoot</a> holds an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\' title=\'\'>LayerInfo</a> controllers which contain information relevant to each layer, such as the layer name, global weight and timewarp curve.</p>\n\
<p><strong>LayerRootFPInterface</strong></p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\' title=\'\'>LayerRootFPInterface</a> exposes all the layer manipulations to MAXScript and is available on every layer controller, the CATParent and the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\' title=\'\'>LayerRoot controller</a>.</p>\n\
<p>Many controllers expose the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\' title=\'\'>LayerRootFPInterface</a>, and function calls made to a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\' title=\'\'>LayerRootFPInterface</a> are passed directly on to the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\' title=\'\'>LayerRoot controller</a>.</p>\n\
<p>In other words, the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\' title=\'\'>LayerRootFPInterface</a> is exposed on multiple controllers in the character hierarchy simply for the convenience of the user.</p>\n\
<div class=\'section\'><a id=\"layerinfo\"></a><h2 id=\"layerinfo\">LayerInfo</h2></div>\n\
<p>As mentioned above, the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerRoot-FloatController.html\' title=\'\'>LayerRoot Controller</a> holds an array of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\' title=\'\'>LayerInfo Controllers</a>.</p>\n\
<p>Each <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\' title=\'\'>LayerInfo Controller</a> holds the properties for a layer in the layer stack.</p>\n\
<p><strong>SubAnims</strong></p>\n\
<div class=\'codeBlock\'><pre>.weights: float\n\
</pre></div><p>The weights subanim found on the LayerInfo controller is the global weights controller for this layer.</p>\n\
<div class=\'codeBlock\'><pre>.timewarp: float\n\
</pre></div><p>Provides access to the layer time warp controller.</p>\n\
<div class=\'codeBlock\'><pre>.transform: transform\n\
</pre></div><p>Contains the transform controller for the Transform node.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Layer-Controllers/LayerInfo-FloatController.html\' title=\'\'>LayerInfo</a> controller exposes the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerInfoFPInterface.html\' title=\'\'>LayerInfoFPInterface</a> Function Publishing Interface.</p>\n\
<div class=\'codeBlock\'><pre>.SelectedLayer: integer : Read|Write\n\
</pre></div><p>Returns the currently selected layer.</p>\n\
<div class=\'codeBlock\'><pre>.SoloLayer: integer : Read|Write\n\
</pre></div><p>Returns the index of the solo layer, or -1 if no layer is soloed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";