var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Access To CATRigs</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Access To CATRigs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-access-to-catrigs\"></a></div>\n\
<p>The following page provides an overview of the various major components of the <strong>3ds Max CAT</strong> animation system, their Function Publishing Interfaces, and possible MAXScript access approaches.</p>\n\
<div class=\'section\'><a id=\"catparent\"></a><h2 id=\"catparent\">CATParent</h2></div>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent Helper Object</a> stores the common shared information about a character rig including the name of the rig and the [<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/About-CATUnit-Ratio.html\' title=\'\'>CATUnits Ratio</a>] value.</p>\n\
<p>It also holds the layers system details including the name of each layer and its global weight.</p>\n\
<p>It provides some useful arrays listing all controllers and all nodes used in the rig for fast iterations through all components using MAXScript.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent</a> exposes the following two Function Publishing Interfaces:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-CATParentFPInterface.html\' title=\'\'>Interface: CATParentFPInterface</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LayerRootFPInterface.html\' title=\'\'>Interface: LayerRootFPInterface</a></p>\n\
<p>To create a new character using a pre-saved Rig file, you can simply create a new <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent Helper</a> and call the <span class=\'code\'>LoadRig()</span> function of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-CATParentFPInterface.html\' title=\'\'>CATParentFPInterface</a>:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theParent = CATParent()--create a new CATrig parent: $Object:Character001 @ [0.000000,0.000000,0.000000] theParent.LoadRig (GetDir #plugcfg +&quot;\\CAT\\CATRigs\\Marine\\Marine.rg3&quot;) true theParent--note that loading a rig deletes the original parent! <deleted scene=\"\" node=\"\"><p>\n\
<p>```</p>\n\
</deleted></blockquote>\n\
<div class=\'section\'><a id=\"catcontrol\"></a><h2 id=\"catcontrol\">CATControl</h2></div>\n\
<p><strong>3ds Max CAT</strong> can be described as a hierarchy of controllers and nodes. Each bone is represented by a controller (CATControl) managing the bone&#39;s behavior, animation and functionality, and a CATBone scene object used mainly for display, Skin Deformations, and rendering.</p>\n\
<p>Every bone controller in the CATRig structure exposes the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>CATControlInterface</a>. This means that every bone can return the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent</a> and a name and can be used to save or load clip files or paste a layer.</p>\n\
<p>You can use the <span class=\'code\'>.CATPatent</span> property exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>CATControlInterface</a> to access the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Objects/CATParent-Helper.html\' title=\'\'>CATParent</a> from any CATBone. For example, if you have a pointer to a finger or an arm bone, you can easily find out the CATParent and perform all the loading, saving, and layer operations using it.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theParent = CATParent()--create a new CATrig parent: --&gt; $Object:Character001 @ [0.000000,0.000000,0.000000] rig_path = GetDir #maxroot + &quot;\\plugcfg_ln\\CAT\\CATRigs\\Marine\\Marine.rg3&quot; theParent.loadRig rig_path --&gt; true theParent--note that loading a rig deletes the original parent. --&gt;<deleted scene=\"\" node=\"\"><p>\n\
<p>```</p>\n\
</deleted></blockquote>\n\
<p>Each bone controller also exposes the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>CATNodeControlFPInterface</a> interface that provides properties and methods related to arbitrary bones management, transformation matrix access in various coordinate systems, ans so on.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ExtraRigNodesInterface.html\' title=\'\'>ExtraRigNodesInterface</a> lets you add and remove extra rig nodes and access the array of extra rig nodes.</p>\n\
<p>You can always access the corresponding scene node of a bone controller by using its <span class=\'code\'>.node</span> property:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>If you select a bone that has extra bones added to it such as, a head bone that has facial bones, you can use the following:</p>\n\
<p>``` theHeadCtrl =$MarineHead[3]--get the Head&#39;s controller: theArbBone = theHeadCtrl.GetArbBone 1--get its first arbitrary bone: theArbBone.node--get the scene node of that bone:</p>\n\
<p>```</p>\n\
<p>You will now have the node of the first extra bone that is attached to the head bone.</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>Internally, an &quot;Extra&quot; bone is called an &quot;Arb&quot; (shot for &quot;Arbitrary&quot;) bone.</p>\n\
<p>An <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/ArbBone-Matrix3Controller.html\' title=\'\'>ArbBone</a> has no predefined use, unlike digit, limb, spine, or tail bones that provide respective built-in behavior to simulate fingers, arms, legs, spines, and tails.</p>\n\
<div class=\'section\'><a id=\"hubs\"></a><h2 id=\"hubs\">Hubs</h2></div>\n\
<p>The Hub is a special bone where multiple specialized bone groups such as, limbs, spines, and tails can be connected to the rig.</p>\n\
<p>The Hub bone exposes a unique <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-HubFPInterface.html\' title=\'\'>HubFPInterface</a> for features available only to Hubs. This includes the adding of spines, arms, legs, and tails.</p>\n\
<div class=\'section\'><a id=\"limbs\"></a><h2 id=\"limbs\">Limbs</h2></div>\n\
<p>Limbs are bones dedicated to the creation of arms and legs.</p>\n\
<p>All Limb Bone controllers expose the following Interfaces:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-LimbFPInterface.html\' title=\'\'>Interface: LimbFPInterface</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: CATControlInterface</a></p>\n\
<div class=\'section\'><a id=\"tails\"></a><h2 id=\"tails\">Tails</h2></div>\n\
<p>Tail bone controllers are dedicated to the creation of tails.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Controllers/CAT-Transform-Controllers/TailTrans-Matrix3Controller.html\' title=\'\'>TailTrans controller</a> exposes the following Interfaces:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ICATControlFPInterface.html\' title=\'\'>Interface: CATControlInterface</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-17.html\' title=\'\'>Interface: CATNodeControlFPInterface</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-ExtraRigNodesInterface.html\' title=\'\'>Interface: ExtraRigNodesInterface</a></p>\n\
<div class=\'section\'><a id=\"catobjects\"></a><h2 id=\"catobjects\">CATObjects</h2></div>\n\
<p>All CATBones use a CATObject to display their geometry in the viewport.</p>\n\
<p>The CATObject exposes the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-3ds-Max/CAT-Interfaces/Interface-CATObjectFPInterface.html\' title=\'\'>CATObjectFPInterface</a> that provides control over the custom mesh display.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";