var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Garment_Maker : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Garment_Maker : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"garment_maker-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Garment_Maker-SuperClass:modifier; super-superclass:MAXWrapper -classID:#(940967468, 1610249612) \n\
</pre></div><p>The <strong>Garment_Maker</strong> modifier turns a shape into a garment panel to be used in cloth simulations. It provides optimal meshing for achieving wrinkles and cloth-like behavior.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Garment_Maker...     \n\
Garmentize2 ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.density Float default: 1.0 -- float \n\
</pre></div><p>Get/Set the value of the <strong>&quot;Density&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.autoMesh BooleanClass default: true -- boolean \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Auto mesh&quot;</strong> checkbox. When true (default), the meshing is performed automatically. When false, the meshing is performed manually by either pressing the Mesh It button in the UI or by calling the gmakerOps.meshit() method documented below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.preserve BooleanClass default: true -- boolean \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Preserve&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.relax BooleanClass default: false -- boolean \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Relax&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.outputType Integer default: 0 -- integer; Output_Type \n\
</pre></div><p>Get/Set the output type radio buttons state. Possible values are:</p>\n\
<p>0 - Arranged Panels</p>\n\
<p>1 - Preserved Surface</p>\n\
<p>2 - Flat Panels</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.figure UndefinedClassdefault: undefined -- node \n\
</pre></div><p>Get/Set the Figure object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.stretchMapping BooleanClass default: true -- boolean; Stretch_Mapping \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Stretch Mapping Coordinates&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.striptexturescale Float default: 0.1 -- float; Stip_Texture_Scale \n\
</pre></div><p>Get/Set the strip texture scale value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.stripwidth Float default: 0.5 -- float; Strip_Width \n\
</pre></div><p>Get/Set the strip width value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.showMesh BooleanClass default: false -- boolean; Show_Mesh \n\
</pre></div><p>Get/set whether to show the mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Garment_Maker&gt;.showSeams BooleanClass default: true -- boolean; Show_Seams \n\
</pre></div><p>Get/set whether to show the seams.</p>\n\
<div class=\'section\'><a id=\"garment-maker-interfaces\"></a><h2 id=\"garment-maker-interfaces\">Garment Maker Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: gmakerOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;generateDescription() \n\
</pre></div><p>Generates a new MAXScript description of the currently selected object and outputs it to a new MAXScript Editor window.</p>\n\
<blockquote>\n\
<p><strong>SAMPLE OUTPUT CAN LOOK LIKE:</strong></p>\n\
<p>``` $.modifiers[#garmentmaker].setDensity 0.364000 $.modifiers[#garmentmaker].setSeamTolerance 0.060000 $.modifiers[#garmentmaker].setPanelMatrix 1 (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000] ) $.modifiers[#garmentmaker].setFlatPanelMatrix 1 (matrix3 [1.000000, 0.000000, 0.000000] [0.000000, 1.000000, 0.000000] [0.000000, 0.000000, 1.000000] [0.000000, 0.000000, 0.000000] ) $.modifiers[#garmentmaker].setPanelParams 1 1.000000 0 0.001000 0 1 $.modifiers[#garmentmaker].meshIt()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"object-rollout\"></a><h3 id=\"object-rollout\">Object Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setDensity &lt;float&gt;density \n\
</pre></div><p>Sets the cloth density.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getDensity() \n\
</pre></div><p>Returns the cloth density.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;meshIT() \n\
</pre></div><p>Corresponds to pressing the <strong>&quot;Mesh It!&quot;</strong> button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;meshItPreserve() \n\
</pre></div><p>Corresponds to pressing the <strong>&quot;Mesh It and Preserve&quot;</strong> button.</p>\n\
<div class=\'section\'><a id=\"panels-rollout\"></a><h3 id=\"panels-rollout\">Panels Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setPanelParams&lt;index&gt;panel &lt;float&gt;density &lt;integer&gt;deform_type &lt;float&gt;curvature &lt;integer&gt;axis &lt;integer&gt;MatID \n\
</pre></div><p>Sets all parameters of the indexed panel to the specified values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getPanelDeformType &lt;index&gt;panel \n\
</pre></div><p>Returns the deformation type of the indexed panel.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Curved</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setPanelDeformType &lt;index&gt;panel &lt;integer&gt;deform_type \n\
</pre></div><p>Sets the deformation type of the indexed panel to the specified value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Curved</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getPanelDensity &lt;index&gt;panel \n\
</pre></div><p>Returns the density of the indexed panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setPanelDensity &lt;index&gt;panel &lt;float&gt;density \n\
</pre></div><p>Sets the density of the indexed panel to the specified value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getPanelMatID &lt;index&gt; panel \n\
</pre></div><p>Returns the Material ID of the indexed panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setPanelMatID &lt;index&gt;panel &lt;integer&gt;MatID \n\
</pre></div><p>Sets the Material ID of the indexed panel to the specified ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getPanelCurvature &lt;index&gt;panel \n\
</pre></div><p>Returns the Curvature of the indexed panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setPanelCurvature &lt;index&gt;panel &lt;float&gt;curvature \n\
</pre></div><p>Sets the Curvature of the indexed panel to the specified value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getPanelAxis &lt;index&gt;panel \n\
</pre></div><p>Returns the Axis of the indexed panel.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X-axis</p>\n\
<p>1 - Y-axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setPanelAxis &lt;index&gt;panel &lt;integer&gt;axis \n\
</pre></div><p>Sets the Axis of the indexed panel.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - X-axis</p>\n\
<p>1 - Y-axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getPanelFromSpline &lt;index&gt;spline \n\
</pre></div><p>Returns the index of the panel defined by the supplied indexed spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;getPanelMatrix &lt;index&gt;panel \n\
</pre></div><p>Returns the matrix of the indexed panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setPanelMatrix &lt;index&gt;panel &lt;matrix3&gt;matrix \n\
</pre></div><p>Sets the matrix of the indexed panel to the supplied matrix3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;getFlatPanelMatrix &lt;index&gt;panel \n\
</pre></div><p>Returns the matrix of the indexed flat panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setFlatPanelMatrix &lt;index&gt;panel &lt;matrix3&gt;matrix \n\
</pre></div><p>Sets the matrix of the indexed flat panel to the supplied matrix3 value.</p>\n\
<div class=\'section\'><a id=\"curves-andseams-rollouts\"></a><h3 id=\"curves-andseams-rollouts\">Curves andSeams Rollouts</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setSeamParamsByIndex &lt;index&gt;seam &lt;float&gt;bend_angle &lt;float&gt;bend_stiffness &lt;boolean&gt;enabled &lt;float&gt;sewing_stiffness \n\
</pre></div><p>Set all parameters of the indexed seam to the supplied values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ButtonCreateSeam() \n\
</pre></div><p>Corresponds to pressing the <strong>&quot;Create Seam&quot;</strong> button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;selectSplines &lt;bitArray&gt;sel \n\
</pre></div><p>Selects the splines specified by bits set in the supplied bitArray.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` theSpline = Donut() addModifier theSpline (Garment_Maker()) select theSpline subObjectLevel = 1--change to Spline SO mode theSpline.Garment_Maker.selectSplines #{1}--select the outer spline sleep 1--wait a second theSpline.Garment_Maker.selectSplines #{2}--select the inner spline sleep 1--wait another second theSpline.Garment_Maker.selectSplines #{1,2}--select both splines</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;createSeamFromSplines &lt;index&gt;spline1 &lt;index&gt;spline2 &lt;integer&gt;orientation \n\
</pre></div><p>Creates a seam from the supplied two indexed splines with the given orientation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;makeMultiSegmentFromSplines&lt;int array&gt;indices \n\
</pre></div><p>Corresponds to pressing the <strong>&quot;Make MultiSegment&quot;</strong> button for the indexed splines specified in the supplied array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getSeamTolerance() \n\
</pre></div><p>Returns the seam tolerance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setSeamTolerance &lt;float&gt;tolerance \n\
</pre></div><p>Sets the seam tolerance to the specified value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";