var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mCloth : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mCloth : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mcloth-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>mCloth - superclass: modifier; super-superclass:MAXWrapper - 65:0 - classID:#(685326, 452282) \n\
</pre></div><p>The <strong>mCloth modifier</strong> implements the MassFX compatible component of the Cloth system of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>mCloth...    \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"mcloth-simulation-rollout\"></a><h2 id=\"mcloth-simulation-rollout\">mCloth Simulation Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.behavior  Integer default: 0; Cloth_behavior\n\
</pre></div><p>Get/set the state of the <strong>&quot;Cloth Behavior&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Dynamic</strong></p>\n\
<p>1 - <strong>Kinematic</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.untilframeenable  Boolean default: False; until_frame\n\
</pre></div><p>Get/set the state of the <strong>&quot;Unit Frame&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.kinematic_until_frame  Float default: 0\n\
</pre></div><p>Get/set the value of the <strong>&quot;Unit Frame&quot;</strong> spinner</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.inherit_velocity  Boolean default: False\n\
</pre></div><p>Get/set the state of the <strong>&quot;Inherit Velocity&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.enablelivedrag  Boolean default: False; Enable_Live_Drag\n\
</pre></div><p>Get/set the state of the <strong>&quot;Live Drag&quot;</strong> checkbutton.</p>\n\
<p>Currently no effect.</p>\n\
<div class=\'section\'><a id=\"forces-rollout\"></a><h2 id=\"forces-rollout\">Forces Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_gravity  Boolean default: True\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Global Gravity&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Gravity settings of the MassFX Dialog will be used.</p>\n\
<p>When set to False, the global Gravity will be ignored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.forceList  Array default: #()\n\
</pre></div><p>Get/set the list of Scene Forces to apply to the Cloth simulation.</p>\n\
<div class=\'section\'><a id=\"capture-states-rollout\"></a><h2 id=\"capture-states-rollout\">Capture States Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.showCurrentState  Boolean default: False; Show_Current_State\n\
&lt;mCloth&gt;.showTargetState  Boolean default: False; Show_Target_State\n\
</pre></div><div class=\'section\'><a id=\"physical-fabric-properties-rollout\"></a><h2 id=\"physical-fabric-properties-rollout\">Physical Fabric Properties Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.gravity  Float default: 1.0\n\
</pre></div><p>Get/set the value of the <strong>&quot;Gravity Scale&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.density  Float default: 50.0\n\
</pre></div><p>Get/set the value of the <strong>&quot;Density&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.stretchiness  Float default: 0.0; Stretching_Stiffness\n\
</pre></div><p>Get/set the value of the <strong>&quot;Stretchiness&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.bendiness  Float default: 0.0; Bend_Stiffness\n\
</pre></div><p>Get/set the value of the <strong>&quot;Bendiness&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_bending_ortho  Boolean default: True\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Ortho Bending&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.damping_coefficient  Float default: 0.5; Damping\n\
</pre></div><p>Get/set the value of the <strong>&quot;Damping&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.friction  Float default: 0.5\n\
</pre></div><p>Get/set the value of the <strong>&quot;Friction&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.compressions_limit  Float default: 1.0; compression_limit\n\
</pre></div><p>Get/set the value of the <strong>&quot;Compression &gt; Limit&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.compressions_stiffness  Float default: 1.0; compression_stiffness\n\
</pre></div><p>Get/set the value of the <strong>&quot;Compression &gt; Stiffness&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"volume-properties-rollout\"></a><h2 id=\"volume-properties-rollout\">Volume Properties Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_pressure  Boolean default: False\n\
&lt;mCloth&gt;.pressure  Float default: 0.0\n\
</pre></div><div class=\'section\'><a id=\"interaction-rollout\"></a><h2 id=\"interaction-rollout\">Interaction Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.self_collision  Boolean default: True; enable_self_collision\n\
</pre></div><p>Get/set the state of the <strong>&quot;Self Collisions&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.self_thickness  Float default: 0.2; Self_Collision_Thickness\n\
</pre></div><p>Get/set the value of the <strong>&quot;Self Thickness</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.enable_collision  Boolean default: True\n\
</pre></div><p>Get/set the state of the <strong>&quot;Collide To Rigid Objects&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.thickness  Float default: 0.01\n\
</pre></div><p>Get/set the value of the <strong>&quot;Thickness&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.two_way_collision  Boolean default: True; do_two_way_collisions\n\
</pre></div><p>Get/set the state of the <strong>&quot;Push Rigid Objects&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.attachToCollide  Boolean default: False; Attach_to_Collide\n\
</pre></div><p>Get/set the state of the <strong>&quot;Attach To Colliders&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.attachment_response_coefficient  Float default: 0.2; attachment_response_coeff\n\
</pre></div><p>Get/set the value of the <strong>&quot;Influence&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.attachment_tear_factor  Float default: 1.5\n\
</pre></div><p>Get/set the value of the <strong>&quot;Detach Past&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"tearing-rollout\"></a><h2 id=\"tearing-rollout\">Tearing Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.tearable  Boolean default: False\n\
</pre></div><p>Get/set the state of the <strong>&quot;Allow Tearing&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.tear_factor  Float default: 1.5\n\
</pre></div><p>Get/set the value of the <strong>&quot;Tear Past&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.weldMethod  Integer default: 1; Weld_Method\n\
</pre></div><p>Get/set the state of the <strong>&quot;Weld Prior To Tearing&quot;</strong> radio buttons control.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vertices</strong></p>\n\
<p>1 - <strong>Normals</strong></p>\n\
<p>2 - <strong>Don&#39;t Weld</strong></p>\n\
<div class=\'section\'><a id=\"visualize-rollout\"></a><h2 id=\"visualize-rollout\">Visualize Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.showTension  Boolean default: False; Show_Tension\n\
</pre></div><p>Get/set the state of the <strong>&quot;Tension&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.tensionScale  Float default: 1.0; Tension_Scale\n\
</pre></div><p>Get/set the value of the <strong>&quot;Tension&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"advanced-rollout\"></a><h2 id=\"advanced-rollout\">Advanced Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_hard_stretch_limitation  Boolean default: False\n\
</pre></div><p>Get/set the state of the <strong>&quot;Anti-Stretch&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.hard_stretch_limitation  Float default: 1.0\n\
</pre></div><p>Get/set the value of the <strong>&quot;Limit&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.com_damping  Boolean default: False; do_com_damping\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use COM Damping&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.hardware  Boolean default: False; do_hardware_simulation\n\
</pre></div><p>Get/set the state of the <strong>&quot;Hardware Acceleration&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.solver_iterations  Integer default: 5\n\
</pre></div><p>Get/set the value of the <strong>&quot;Solver Iter.&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.Hierarchical_Solver_Iterations  Integer default: 2\n\
</pre></div><p>Get/set the value of the <strong>&quot;Hier. Sol. Iter.&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.hierarchical_Levels  Integer default: 0\n\
</pre></div><p>Get/set the value of the <strong>&quot;Hier. Levels&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"not-exposed-to-the-ui\"></a><h2 id=\"not-exposed-to-the-ui\">Not Exposed To The UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.cacheFile  String default: undefined; Cache_File\n\
</pre></div><p>Get/set the cache file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.simOnRender  Boolean default: False; Simulate_on_Render\n\
</pre></div><p>Get/set the simulate on render option. Default is False. When set to True, mCloth simulation can be performed before rendering if necessary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_bending  Boolean default: True\n\
</pre></div><p>Get/set the state of the Do Bending option. Default is True. When set to False, no bending will be simulated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_damping  Boolean default: True\n\
</pre></div><p>Get/set the state of the Do Damping option. Default is True. When set to False, no damping will be performed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_untangling  Boolean default: False\n\
</pre></div><p>Get/set whether to perform untangling. Default is False. When set to True, the mCloth will attempt to untangle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_inter_collision  Boolean default: False\n\
</pre></div><p>Get/set whether to perform inter-collisions. Default is False. When set to True, the mCloth will calculate inter-collisions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_adhere  Boolean default: False\n\
</pre></div><p>Get/set the enabled state of the Adhere option. Default is False. When set to True, the cloth will adhere to rigid bodies it collided with.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.min_adhere_velocity  Float default: 1.0\n\
</pre></div><p>Get/set the minimum adhere velocity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.do_fluid_collision  Boolean default: False\n\
</pre></div><p>Get/set the state of the Fluid Collision option. Default is False. When set to True, fluid collisions will be calculated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.disable_dynamic_ccd  Boolean default: True\n\
</pre></div><p>Get/set the disabled state of Dynamic Continuous Collision Detection option. Default is True. When set to False, dynamic CCD will be performed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.collision_response_coefficient  Float default: 1.0\n\
</pre></div><p>Get/set the Collision Response coefficient. This can be used to scale up and down the response to collisions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.to_fluid_response_coefficient  Float default: 1.0; to_fluid_response_coeff\n\
</pre></div><p>Get/set the Collision Response To Fluid coefficient.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.from_fluid_response_coefficient  Float default: 1.0; from_fluid_response_coeff\n\
</pre></div><p>Get/set the Collision Response From Fluid coefficient.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.is_static  Boolean default: False\n\
</pre></div><p>Get/set the Static state of the mCloth. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.visualization  Boolean default: False\n\
</pre></div><p>Get/set the enabled state of the Visualization.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mCloth&gt;.validbounds  Boolean default: False; do_valid_bounds\n\
</pre></div><p>Get/set whether to validate bounds.</p>\n\
<div class=\'section\'><a id=\"default-group-properties\"></a><h2 id=\"default-group-properties\">Default Group Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.useSoftSelection Boolean default: False; Use_Soft_Selection\n\
</pre></div><p>Get/set the state of the Soft-Selection <strong>&quot;Use Soft-Selection&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.softselUseEdgeDistance Boolean default: False; Use_Edge_Distance\n\
</pre></div><p>Get/set the state of the Soft-Selection <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.softselEdgeDist Integer default: 1; Edge_Distance\n\
</pre></div><p>Get/set the value of the Soft-Selection <strong>&quot;Edge Distance&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.softselAffectBackfacing Boolean default: True; Affect_Backfacing\n\
</pre></div><p>Get/set the state of the Soft-Selection <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.softselFalloff Float default: 20.0; Falloff\n\
</pre></div><p>Get/set the value of the Soft-Selection <strong>&quot;Falloff&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.softselPinch Float default: 0.0; Pinch\n\
</pre></div><p>Get/set the value of the Soft-Selection <strong>&quot;Pinch&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.softselBubble Float default: 0.0; Bubble\n\
</pre></div><p>Get/set the value of the Soft-Selection <strong>&quot;Bubble&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.useTextureMap Boolean default: False; Use_Texture_Map\n\
</pre></div><p>Get/set the state of the Soft-Selection <strong>&quot;Use Texture Map&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.texture Map default: undefined; TextureMap\n\
</pre></div><p>Get/set the texture map of the Soft-Selection .</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.map Integer default: 0; Map_Channel_Type\n\
</pre></div><p>Get/set the state of the Soft-Selection <strong>&quot;Mapping Channel&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Map</strong></p>\n\
<p>1 - <strong>Vertex Color</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.mapChannel Integer default: 1; Map_Channel\n\
</pre></div><p>Get/set the value of the Soft-Selection <strong>&quot;Map&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"named-point-group-properties\"></a><h2 id=\"named-point-group-properties\">Named Point Group Properties</h2></div>\n\
<p>When a named Point Group is created in the mCloth modifier, it will appear as a property of the mCloth with the same name as the group definition, e.g Group001.</p>\n\
<p>Alternatively, you can use the mClothOps Interface&#39;s method <span class=\'code\'>&lt;mCloth&gt;.getGroupParamBlock &lt;GroupName&gt;</span> to get the Parameter Block of the Group by name and access its properties.</p>\n\
<p><strong>A Group exposes the following properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Active Boolean default: True\n\
</pre></div><p>Get/set the state of the Group Constraint&#39;s <strong>&quot;On&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Is_Soft Boolean default: False\n\
</pre></div><p>Get/set the state of the Group Constraint&#39;s <strong>&quot;Soft Constraint&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Strength Float default: 100.0\n\
</pre></div><p>Get/set the value of the Group Constraint&#39;s <strong>&quot;Strength&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Damping Float default: 10.0\n\
</pre></div><p>Get/set the value of the Group Constraint&#39;s <strong>&quot;Damping&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Use_Edge_Distance Boolean default: False\n\
</pre></div><p>Get/set the state of the Group Constraint&#39;s <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Edge_Distance Integer default: 1\n\
</pre></div><p>Get/set the value of the Group&#39;s Soft-Selection <strong>&quot;Edge Distance&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Affect_Backfacing Boolean default: True\n\
</pre></div><p>Get/set the state of the Group Constraint&#39;s <strong>&quot;Edge Distance&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Falloff Float default: 20.0\n\
</pre></div><p>Get/set the value of the Group&#39;s Soft-Selection <strong>&quot;Falloff&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Pinch Float default: 0.0\n\
</pre></div><p>Get/set the value of the Group&#39;s Soft-Selection <strong>&quot;Pinch&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Bubble Float default: 0.0\n\
</pre></div><p>Get/set the value of the Group&#39;s Soft-Selection <strong>&quot;Bubble&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Use_Texture_Map Boolean default: False\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Texture Map&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Map_Channel_Type Integer default: 0 \n\
</pre></div><p>Get/set the Group&#39;s Mapping Channel Type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Map</strong></p>\n\
<p>1 - <strong>Vertex Color</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.mapChannel Integer default: 1; Map_Channel\n\
</pre></div><p>Get/set the Group&#39;s Map Channel. Valid values are in the range from 1 to 99.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Group_Name String default: &quot;Group001&quot;\n\
</pre></div><p>Get/set the name of the group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Offset Float default: 1.0\n\
</pre></div><p>Get/set the Offset value.</p>\n\
<p>Unexposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Offset_is_Relative Boolean default: True\n\
</pre></div><p>Get/set whether the offset is relative or absolute.</p>\n\
<p>Unexposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mClothGroup&gt;.Use_Vertex_Colors Boolean default: False\n\
</pre></div><p>Unexposed to the UI.</p>\n\
<div class=\'section\'><a id=\"interface-mclothops\"></a><h2 id=\"interface-mclothops\">Interface: mclothOps</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"mcloth-paramblock2-access\"></a><h3 id=\"mcloth-paramblock2-access\">mCloth ParamBlock2 Access</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;paramBlock2&gt;&lt;mCloth&gt;.getObjectParamBlock &lt;node&gt;node\n\
</pre></div><p>Returns the ParamBlock2 of the mCloth applied to the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;paramBlock2&gt;&lt;mCloth&gt;.getGroupParamBlock &lt;string&gt;groupname\n\
</pre></div><p>Returns the ParamBlock2 of the specified named Point Group.</p>\n\
<div class=\'section\'><a id=\"point-group-methods\"></a><h3 id=\"point-group-methods\">Point Group Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;mCloth&gt;.numberVertices &lt;node&gt;node\n\
</pre></div><p>Returns the vertex count of the node the mCloth is applied to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.selectVertices &lt;bitArray&gt;sel &lt;node&gt;node\n\
</pre></div><p>Sets the vertex selection to the bitarray specified by the first argument. The second argument is the node the mCloth is applied to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;mCloth&gt;.getSelectedVertices &lt;node&gt;node\n\
</pre></div><p>Returns the vertex selection as a bitarray. The argument is the node the mCloth is applied to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;mCloth&gt;.makePointGroup &lt;bitArray&gt;vertex_sel &lt;node&gt;node &lt;string&gt;name\n\
</pre></div><p>Creates a Point Group from the specified vertex selection in the given node and assigns it the name specified by the third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.makeConstraint &lt;string&gt;groupname &lt;string&gt;type &lt;node&gt;target_node\n\
</pre></div><p>Creates a Constraint from the specified group of the given type using the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.initPointgroup &lt;string&gt;groupname\n\
</pre></div><p>Initializes the named Point Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.detachPointgroup &lt;string&gt;groupname\n\
</pre></div><p>Detaches the named Point Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.deletePointgroup &lt;string&gt;groupname\n\
</pre></div><p>Deletes the named Point Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.makeGroupConstraint &lt;string&gt;groupname &lt;string&gt;target_group\n\
</pre></div><p>Constrains the group specified by name in the first argument to the target group specified by name in the second argument.</p>\n\
<div class=\'section\'><a id=\"simulation-methods\"></a><h3 id=\"simulation-methods\">Simulation Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.simulate &lt;boolean&gt;show_dialog\n\
</pre></div><p>Simulates the mCloth. The boolean argument controls whether the simulation dialog should be shown or not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.simulateLocal &lt;integer&gt;stop_condition &lt;float&gt;param &lt;boolean&gt;damped\n\
</pre></div><p>Performs a local simulation with the stop condition specified by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.stopLocalSimulation()\n\
</pre></div><p>Stops the local simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.eraseSimulation()\n\
</pre></div><p>Erases the simulation data.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.truncateSimulation()\n\
</pre></div><p>Truncates the simulation.</p>\n\
<div class=\'section\'><a id=\"capture-state-methods\"></a><h3 id=\"capture-state-methods\">Capture State Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.setInitialState &lt;node&gt;node\n\
</pre></div><p>Sets the node&#39;s Initial State.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.resetState &lt;node&gt;node\n\
</pre></div><p>Resets the node&#39;s state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.grabState &lt;node&gt;node\n\
</pre></div><div class=\'section\'><a id=\"cache-methods\"></a><h3 id=\"cache-methods\">Cache Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.delObjectCache &lt;node&gt;node\n\
</pre></div><p>Deletes the object cache of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.exportCache &lt;node&gt;node &lt;string&gt;filename\n\
</pre></div><p>Exports the cache of the specified node to the file provided by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.importCache &lt;node&gt;node &lt;string&gt;filename\n\
</pre></div><p>Imports the cache specified by the second argument into the node given by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.loadCache &lt;node&gt;node\n\
</pre></div><p>Loads the cache of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.loadAllCaches()\n\
</pre></div><p>Loads all caches.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.saveCache &lt;node&gt;node\n\
</pre></div><p>Saves the cache of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.saveExtraCache &lt;node&gt;node\n\
</pre></div><p>Saves the extra cache of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.saveAllCaches()\n\
</pre></div><p>Saves the caches of all nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.saveAllExtraCaches()\n\
</pre></div><p>Saves the extra caches of all nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;&lt;mCloth&gt;.getObjectProperty &lt;node&gt;node &lt;string&gt;property\n\
</pre></div><p>Returns the given node&#39;s property value. The second argument specifies the property name as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.createKeys()\n\
</pre></div><p>Bakes the simulation to keys.</p>\n\
<div class=\'section\'><a id=\"future-methods---currently-missing-implementation\"></a><h2 id=\"future-methods---currently-missing-implementation\">Future Methods - Currently Missing Implementation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.setObjectType &lt;node&gt;node &lt;integer&gt;type &lt;boolean&gt;updateSim\n\
</pre></div><p>Set the Object Type of the specified node to the integer passed as second argument. If the third argument is True, the simulation will be updated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;mCloth&gt;.getObjectType &lt;node&gt;node\n\
</pre></div><p>Get the Object Type as Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.setObjectProperty &lt;node&gt;node &lt;string&gt;property &lt;value&gt;value\n\
</pre></div><p>Set the Object Property with name specified by the second argument in the node given by the first argument to the value provided by the third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TSTR array&gt;&lt;mCloth&gt;.showObjectProperties()\n\
</pre></div><p>Show the Object Properties of the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.addForceField &lt;node&gt;node\n\
</pre></div><p>Add Force Field to the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.removeForceField &lt;node&gt;node\n\
</pre></div><p>Remove Force Field from the specified node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.flagParticles &lt;bitArray&gt;sel\n\
</pre></div><p>Flag the particles specified by the vertex selection bitarray.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;mCloth&gt;.makeTear &lt;bitArray&gt;vertex_sel &lt;node&gt;node &lt;string&gt;name\n\
</pre></div><p>Create a Tear using the specified vertex selection bitarray in the node given by the second argument and name the tear using the third argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;mCloth&gt;.clearTears &lt;node&gt;node\n\
</pre></div><p>Clear the Tears definitions in the specified node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";