var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HairEffect : RenderEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HairEffect : RenderEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"haireffect-rendereffect\"></a></div>\n\
<div class=\'codeBlock\'><pre>HairEffect - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(988153529, 337462665) \n\
</pre></div><p>The <strong>HairEffect RenderEffect</strong> available since <strong>3ds Max 8</strong> is responsible for the rendering of the hair.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>HairEffect... \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>USAGE</strong></p>\n\
<p>``` s=sphere()</p>\n\
<p>theHair = HairEffect()--create an instance of the effect addEffect theHair--add to the listin theEffects dialog --BUT! --Adding a Hair WSM to a scene object will add --a HairEffect to the list automatically! --Thus, you can simply get the existing one: addModifier $Sphere001 (HairMod())--add Hair WSM to Sphere001 --At this point, if no HairEffect exists in the Effects dialog, --it will be added automatically. Let&#39;s find it by going through --all effects by index and asking each one for its class: theEffects = ( for i = 1 to numEffects where classof (getEffect i) == HairEffect collect (getEffect i) )</p>\n\
<p>--At this point we should have at least one HairEffect. --Let&#39;s take the first one: if theEffects.count &gt; 0 do theHair = theEffects[1]</p>\n\
<p>```</p>\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-975EB557-87D6-40AC-A989-72D79A52806C-low.gif\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"hair-rendering-options\"></a><h2 id=\"hair-rendering-options\">Hair Rendering Options</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.hairMode Integer default: 1 -- integer; Hair_Mode   \n\
</pre></div><p>Get/set the Hair Rendering Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>1- buffer(default)</p>\n\
<p>2- geometry</p>\n\
<p>3- MR prim</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.lightingMode Integer default: 1 -- integer; Lighting_Param \n\
</pre></div><p>Get/set the Hair Lighting Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 -emulation</p>\n\
<p>1 - native(default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.Raytrace_Reflections_Refractions BooleanClass default: false -- boolean; Raytrace_the_Reflections_and_Refractions \n\
</pre></div><p>Get/set the state of the Raytrace Reflections/Refractions checkbox.</p>\n\
<div class=\'section\'><a id=\"motion-blur\"></a><h2 id=\"motion-blur\">Motion Blur</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.mbDuration Float default: 0.5 -- float; MB_Duration \n\
</pre></div><p>Get/set the Motion Blur duration value. Default is 0.5.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.mbIntervalType Integer default: 1 -- integer; MB_Interval_Type \n\
</pre></div><p>Get/set the Motion Blur type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - start</p>\n\
<p>1 - middle(default)</p>\n\
<p>2 - end</p>\n\
<div class=\'section\'><a id=\"buffer-rendering-options\"></a><h2 id=\"buffer-rendering-options\">Buffer Rendering Options</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.overSampling Integer default: 3 -- integer \n\
</pre></div><p>Get/set the Oversampling option.</p>\n\
<p>The values corresponding to the options in the User Interface are:</p>\n\
<p>1 - draft</p>\n\
<p>3 - low</p>\n\
<p>8 - med</p>\n\
<p>15 - high</p>\n\
<p>23 - maximum</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.tileMemoryUsage Integer default: 70 -- integer; Tile_Memory_Usage_Param \n\
</pre></div><p>Get/set the Tile Memory Usage value in MB.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.transparencyDepth Integer default:30 -- integer; Transparency_Depth_Param \n\
</pre></div><p>Get/set the Transparency Depth value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"composite-method\"></a><h2 id=\"composite-method\">Composite Method</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.compositionMethod Integer default: 0 -- integer; Composition_Method \n\
</pre></div><p>Get/set the Composite method when rendering in Buffer mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Normal(default)</p>\n\
<p>1 - GBuffer</p>\n\
<p>2 - None</p>\n\
<p>3 - Off</p>\n\
<div class=\'section\'><a id=\"occlusion-objects\"></a><h2 id=\"occlusion-objects\">Occlusion Objects</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.occlusionSetType Integer default: 0 -- integer; Occlusion_Set_Type \n\
</pre></div><p>Get/set the Occlusion type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Auto(default)</p>\n\
<p>1 - All</p>\n\
<p>2 - Custom</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.occlusionNodesArray Parameter default: #() -- node array; Occlusion_Nodes; SubAnim \n\
</pre></div><p>Get/set the Occlusion Nodes array. Default is #().</p>\n\
<div class=\'section\'><a id=\"global-illumination\"></a><h2 id=\"global-illumination\">Global Illumination</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.applyGI BooleanClass default: false -- boolean; Apply_GI \n\
</pre></div><p>Get/set the state of the Apply Skylight checkbox.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.GI_Multiplier Float default: 2.0 -- float \n\
</pre></div><p>Get/set the value of the Multiplier slider.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"lighting\"></a><h2 id=\"lighting\">Lighting</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.shadowDensity Float default: 100.0 -- animatable; float; Shadow_Density \n\
</pre></div><p>Get/set the Shadow Density value. Specifies the relative darkness of the shadows. At the default/highest value of 100.0, the shadows are darkest. At the lowest value of 0.0, the shadows are fully transparent, so they do not render. Range 0.0 to 100.0. Default is 100.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HairEffect&gt;.useAllLightsBooleanClass default: true -- boolean; Use_All_Lights \n\
</pre></div><p>Get/set the state of the Use All Lights option. Corresponds to the &quot;Use all lights at render time&quot; checkbox in the UI.</p>\n\
<p>When set to true (default), all spot lights in the scene illuminate and cast shadows from hair when the scene is rendered. When set to false, only spot lights with Hair properties affect the hair.</p>\n\
<p>For details on adding and removing Hair properties to/from spot lights, see the methods <strong>addHairProperties</strong> and <strong>removeHairProperties</strong> in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair/Interface-Hair.html\' title=\'\'>Interface: Hair</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";