var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HairMod : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HairMod : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hairmod-modifier\"></a></div>\n\
<p>The <strong>HairMod</strong> modifier available since <strong>3ds Max 8</strong> is a world-space modifier controlling the hair generation parameters.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"selection-rollout\"></a><h3 id=\"selection-rollout\">Selection Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>.byVertex (By_Vertex) : boolean         \n\
</pre></div><p>Get/set the state of the &quot;By Vertex&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>.ignoreBackfacing (Ignore_Backfacing) : boolean      \n\
</pre></div><p>Get/set the state of the &quot;Ignore Backfacing&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"general-parameters-rollout\"></a><h3 id=\"general-parameters-rollout\">General Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>.HairCount (Count) : integer   \n\
</pre></div><p>Get/set the hair count. This is not the absolute number of hairs to be generated, as the final number of hairs is affected by other factors like density maps and cut maps.</p>\n\
<div class=\'codeBlock\'><pre>.HairSegments (Segments) : integer \n\
</pre></div><p>Get/set the segments along the length of each hair.</p>\n\
<div class=\'codeBlock\'><pre>.HairPasses (Passes) : integer \n\
</pre></div><p>Get/set the hair passes. Higher numbers increase the rendering time linearly and reduce the transparency of each pass.</p>\n\
<div class=\'codeBlock\'><pre>.HairDensity (Density) : float \n\
</pre></div><p>Get/set theHairDensity. Default is 100 percent.If a Density Map is assigned, the Hair Density value is used to scale the influence of the Density Map.</p>\n\
<div class=\'codeBlock\'><pre>.HairScale (Scale) : float \n\
</pre></div><p>Get/set theHairScale. Default is 100 percent.If a Scale Map is assigned, the Hair Scale value is used to scale the influence of the Scale Map.</p>\n\
<div class=\'codeBlock\'><pre>.HairCutLength (Cut_Length) : float \n\
</pre></div><p>Get/set the Cut Length. Default is 100 percent. If a Cut Map is assigned, the Hair Cut Length value is used to scale the influence of the Cut Map.</p>\n\
<div class=\'codeBlock\'><pre>.HairRandScale (Random_Scale) : float \n\
</pre></div><p>Get/set the Hair Random Scale value which controls the randomness of the hair scale. When this value is 0, all hairs are scaled according to the HairScale and Scale Map values. When set to 100, each hair can be scaled down between 0 and 100%. Default is 40 percent. If a Random Scale Map is assigned, the Hair Random Scale value is used to scale the influence of the Random Scale Map.</p>\n\
<div class=\'codeBlock\'><pre>.HairRootThickness (Root_Thickness) : float \n\
</pre></div><p>Get/set the Hair Root Thickness value which controls the thickness of the hair at the base. Default is 12. If a Root Thickness Map is assigned, the Hair Root Thickness value is used to scale the influence of the Root Thickness Map.</p>\n\
<div class=\'codeBlock\'><pre>.HairTipThickness (Tip_Thickness) : float \n\
</pre></div><p>Get/set the Hair Tip Thickness value which controls the thickness of the hair at the tip. Default is 0. If a Tip Thickness Map is assigned, the Hair Tip Thickness value is used to scale the influence of the Tip Thickness Map.</p>\n\
<div class=\'codeBlock\'><pre>.HairDisplacement (Displacement) : float \n\
</pre></div><p>Get/set the Hair Displacement value which controls the offset of the hair&#39;s root from the source surface. Default is 0. If a Displacement Map is assigned, the Hair Displacement value is used to scale the influence of the Displacement Map.</p>\n\
<div class=\'codeBlock\'><pre>.HairInterpolateGuides (Hair_Interpolate_Guides) : boolean \n\
</pre></div><p>Toggle the Guides Interpolation on and off. When turned on (default), the hair guides will be interpolated across the surface. When turned off, maximum one guide will be drawn from the center of each triangle face. In both cases, the Density value / map will be taken into account.</p>\n\
<div class=\'section\'><a id=\"material-parameters-rollout\"></a><h3 id=\"material-parameters-rollout\">Material Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>.MaterialOccludedAmb (Ambient_Diffuse) : float \n\
</pre></div><p>Get/set the Occluded Amb value. Default is 40.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialTipColor (Tip_Color) : color\n\
</pre></div><p>Get/set the Tip color. If a Tip Color Map is assigned, the Tip color will be multiplied by the Map color value to determine the final color.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialRootColor (Root_Color) : color\n\
</pre></div><p>Get/set the Root color. If a Root Color Map is assigned, the Root color will be multiplied by the Map color value to determine the final color.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialHueVariation (Hue_Variation) : float \n\
</pre></div><p>Get/set the Hue Variation value.This parameter specifies the range within which the Hue value of the hair color should be varied.Higher values result in hair strands with different colors.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialValueVariation (Value_Variation) : float \n\
</pre></div><p>Get/set the Value Variation value.This parameter specifies the range within which the Value of the hair color should be varied.Higher values result in brighter/darker strands.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialMutantHairColor (Mutant_Color) : color\n\
</pre></div><p>Get/set the Mutant Hair Color.Mutant Hairs are randomly selected and receive this color.Mutant hairs can be used to mix in hairs with a different (for example grey or white) color.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialPercentMutantHair (Mutant_Percent) : float \n\
</pre></div><p>Get/set theMutantPercentage value.This parameter controls the percentage of hairs to receive the Mutant Hair Color.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialSpecular (Specular) : float \n\
</pre></div><p>Get/set the Specular value.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialGlossness (Gloss) : float \n\
</pre></div><p>Get/set the Glossiness value.</p>\n\
<div class=\'codeBlock\'><pre>.MaterialSelfShadow (Self_Shadow) : float \n\
</pre></div><p>Get/set the SelfShadow value. This parameter controls the magnitude of the self shadowing. A value of 0.0 defeats self shadowing, while a value of 100.0 results in maximum self shadowing.Default is 100.0</p>\n\
<div class=\'codeBlock\'><pre>.MaterialGeomShadow (Geom_Shadow) : float \n\
</pre></div><p>Get/set the Geom. Shadow value. Default is 100.0</p>\n\
<div class=\'codeBlock\'><pre>.MaterialGeomMtlID (Geom_Mtl_ID) : integer \n\
</pre></div><p>Get/set the Geom. Mat. ID value. Default is 1</p>\n\
<div class=\'section\'><a id=\"frizzparameters-rollout\"></a><h3 id=\"frizzparameters-rollout\">FrizzParameters Rollout</h3></div>\n\
<p>The Frizz effect calculates two Perlin noise fields and displaces the root and the tip of the hair. Both noise fields share the same frequency settings, and the same tip/root amplitudes. One of the noise fields is static relative to the hair.The second field can be animated through the hair over time to achieve effects like grassy fields in the wind with small computational overhead compared to real dynamics.</p>\n\
<div class=\'codeBlock\'><pre>.FrizzRoot (Frizz_Root) : float \n\
</pre></div><p>Get/set the Frizz Root value. Default is 15.5. This parameter controls the displacement of the hair at its root relatively to the surface normal. When Frizz Root is set to 0, the root of the hair is parallel to the surface normal.</p>\n\
<div class=\'codeBlock\'><pre>.FrizzTip (Frizz_Tip) : float \n\
</pre></div><p>Get/set the Frizz Tip value. Default is 130.0. This parameter controls the displacement of the hair&#39;s tip.</p>\n\
<div class=\'codeBlock\'><pre>.FrizzFreqX (Frizz_Freq_X) : float .FrizzFreqY (Frizz_Freq_Y) : float .FrizzFreqZ (Frizz_Freq_Z) : float \n\
</pre></div><p>Get/set the Frizz Frequency values in all 3 axes. These parameters control the frequency of the Frizz displacement noise fields.</p>\n\
<div class=\'codeBlock\'><pre>.FrizzAnim (Frizz_Anim) : float \n\
</pre></div><p>Get/set theFrizz Anim value which adjusts the bias between the contributions of the static and animated noise fields. When set to 0, only the static field affects the hair. When set to 1, only the animated field affects the hair. If Anim Speed is set to 0, then a value of 1 will produce an identical result to a setting of 0 (if Anim Speed is set to 0, both noise fields will be coincident).</p>\n\
<div class=\'codeBlock\'><pre>.FrizzAnimSpeed (Frizz_Anim_Speed) : float \n\
</pre></div><p>Get/set theAnim Speed value. It is a multiplier controlling the speed at which the second (animated) noise field moves through space. When set to 0,there will be no effect when increasing the Frizz Anim parameter. This value is multiplied by the X, Y, and Z components of the Frizz Anim Dir to determine the per frame offset of the animated noise field.</p>\n\
<div class=\'codeBlock\'><pre>.FrizzAnimDir (Frizz_Anim_Dir) : point3 \n\
</pre></div><p>Get/set theFrizz Anim Dir vector which controls the direction of the frizz animation. This vector is not normalized before use. This means that you can apply little tweaks to the values to achieve fine control over the speed of the animation on a given axes.</p>\n\
<div class=\'section\'><a id=\"kink-parameters-rollout\"></a><h3 id=\"kink-parameters-rollout\">Kink Parameters Rollout</h3></div>\n\
<p>The kink displacement works similar to Frizz, but it evaluates noise lookups along the whole length of the guide.</p>\n\
<div class=\'codeBlock\'><pre>.KinkRoot (Kink_Root) : float \n\
</pre></div><p>Get/set the Kink Root value.</p>\n\
<div class=\'codeBlock\'><pre>.KinkTip (Kink_Tip) : float \n\
</pre></div><p>Get/set the Kink Tip value.</p>\n\
<div class=\'codeBlock\'><pre>.KinkFreqX (Kink_Freq_X) : float .KinkFreqY (Kink_Freq_Y) : float .KinkFreqZ (Kink_Freq_Z) : float \n\
</pre></div><p>Get/set the Kink Frequency values in all 3 axes.</p>\n\
<div class=\'section\'><a id=\"multi-strand-parameters-rollout\"></a><h3 id=\"multi-strand-parameters-rollout\">Multi Strand Parameters Rollout</h3></div>\n\
<p>Multi Strand generates clumps of hair by scattering multiple hair strands per each hair strand that would normally be rendered.</p>\n\
<div class=\'codeBlock\'><pre>.MultiStrandCount (Multi_Strand_Count) : integer \n\
</pre></div><p>Get/set the Count value.This parameter controls how many hairs will be generated per clump.</p>\n\
<div class=\'codeBlock\'><pre>.MultiStrandRootSplay (Root_Splay) : float \n\
</pre></div><p>Get/set the Root Splay value.This parameter varies the offset from the center of the clump at the root.</p>\n\
<div class=\'codeBlock\'><pre>.MultiStrandTipSplay (Multi_Strand_Tip_Splay) : float \n\
</pre></div><p>Get/set the Root Splay value.This parameter varies the offset from the center of the clump at the tip.</p>\n\
<div class=\'codeBlock\'><pre>.MultiRandomize (Multi_Strand_Random) : float \n\
</pre></div><p>Get/set the Randomize value.This parameter varies the scale of each hair in the clump.</p>\n\
<div class=\'section\'><a id=\"dynamics-parameters-rollout\"></a><h3 id=\"dynamics-parameters-rollout\">Dynamics Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>.dynamicsMode (Dynamics_Mode) : integer \n\
</pre></div><p>Get/set the Dynamics Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Live</p>\n\
<p>2 - Precomputed</p>\n\
<div class=\'codeBlock\'><pre>.simulationStart (Simulation_Start) : integer \n\
</pre></div><p>Get/set the Simulation Start value.</p>\n\
<div class=\'codeBlock\'><pre>.simulationEnd (Simulation_End) : integer \n\
</pre></div><p>Get/set the Simulation End value.</p>\n\
<div class=\'codeBlock\'><pre>.DynamicsGravity (Gravity) : float \n\
</pre></div><p>Get/set the Gravity value.</p>\n\
<div class=\'codeBlock\'><pre>.DynamicsStiffness (Stiffness) : float \n\
</pre></div><p>Get/set the Stiffness value.</p>\n\
<div class=\'codeBlock\'><pre>.DynamicsRootHold (Root_Hold) : float \n\
</pre></div><p>Get/set the Root Hold value.</p>\n\
<div class=\'codeBlock\'><pre>.DynamicsDampen (Dampen) : float \n\
</pre></div><p>Get/set the Dampen value.</p>\n\
<div class=\'codeBlock\'><pre>.collisionMethod (Collision_Method) : integer \n\
</pre></div><p>Get/set the Collision method.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - None</p>\n\
<p>1 - Sphere</p>\n\
<p>2 - Polygon</p>\n\
<div class=\'codeBlock\'><pre>.autoCollision: boolean \n\
</pre></div><p>Toggle the &quot;Use Growth Object&quot; option on and off.Default is off.</p>\n\
<div class=\'codeBlock\'><pre>.collisionNodes (Collision_Nodes) : node array \n\
</pre></div><p>Get/set the list of collision nodes.</p>\n\
<div class=\'codeBlock\'><pre>.forceFields (Force_Fields) : node array \n\
</pre></div><p>Get/set the list of External Forces.</p>\n\
<div class=\'section\'><a id=\"display-parameters-rollout\"></a><h3 id=\"display-parameters-rollout\">Display Parameters Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>.displayShowGuides (Display_Show_Guides) : boolean \n\
</pre></div><p>Toggle the &quot;Display Guides&quot; option on and off. Default is off.</p>\n\
<div class=\'codeBlock\'><pre>.DisplayGuideColor (Guide_Color) : color\n\
</pre></div><p>Get/set the Guide Color value.</p>\n\
<div class=\'codeBlock\'><pre>.displayShowHairs (Display_Show_Hairs) : boolean \n\
</pre></div><p>Toggle the &quot;Display Hairs&quot; option on and off. Default is on.</p>\n\
<div class=\'codeBlock\'><pre>.DisplayHairColor (Hair_Color) : color\n\
</pre></div><p>Get/set the Hair Guide Color value.</p>\n\
<div class=\'codeBlock\'><pre>.DisplayHairPercent (Hair_Percentage) : float \n\
</pre></div><p>Get/set the Display Percentage value.This parameter controls the percentage of hairs to be displayed in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>.DisplayMaxHairs (Max_Display_Hairs) : integer \n\
</pre></div><p>Get/set the Max. Hairs value.This parameter controls the absolute maximum number of hairs to be displayed in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>.displayHairAsGeometry (Display_Hairs_As_Geometry) : boolean \n\
</pre></div><p>Toggle the &quot;As Geometry&quot; option on and off. Default is off. When set to true, the hair strands will be displayed as geometry. When set to false, the hairs will be displayed as lines.</p>\n\
<div class=\'section\'><a id=\"map-controls\"></a><h3 id=\"map-controls\">Map Controls</h3></div>\n\
<div class=\'codeBlock\'><pre>.maps: texturemap array \n\
</pre></div><p>Get/set the texture maps assigned to the hair controls.</p>\n\
<p>Possible indices into the texture map array are:</p>\n\
<p>1 - Density Map</p>\n\
<p>2 - Cut Map</p>\n\
<p>3 - Scale Map</p>\n\
<p>4 - Rand. Scale Map</p>\n\
<p>5 - Root Thickness Map</p>\n\
<p>6 - Tip Thickness Map</p>\n\
<p>7 - Self Shadow Map</p>\n\
<p>8 - Geom.Shadow Map</p>\n\
<p>9 - Specular Map</p>\n\
<p>10 - Glossiness Map</p>\n\
<p>11 - Occluded Amb. Map</p>\n\
<p>12 - Tip Color Map</p>\n\
<p>13 - Hue Variation Map</p>\n\
<p>14 - Value Variation Map</p>\n\
<p>15 - Root Color Map</p>\n\
<p>16- Mutant Color Map</p>\n\
<p>17- Mutant Percentage Map</p>\n\
<p>18 - Frizz Root Map</p>\n\
<p>19 - Frizz Tip Map</p>\n\
<p>20 - Frizz X Frequency Map</p>\n\
<p>21 - Frizz Y Frequency Map</p>\n\
<p>22 - Frizz Z Frequency Map</p>\n\
<p>23 - Frizz Anim Map</p>\n\
<p>24 - Anim Speed Map</p>\n\
<p>25 - Kink Root Map</p>\n\
<p>26 - Kink Tip Map</p>\n\
<p>27 - Kink X Frequency Map</p>\n\
<p>28 - Kink Y Frequency Map</p>\n\
<p>29 - Kink Z Frequency Map</p>\n\
<p>30 - Multi Strand Count Map</p>\n\
<p>31 - Multi Strand Root Splay Map</p>\n\
<p>32 - Multi Strand Tip Splay Map</p>\n\
<p>33 - Multi Strand Randomize Map</p>\n\
<p>34 - Dynamic Stiffness Map</p>\n\
<p>35 - Dynamic Root Hold Map</p>\n\
<p>36 - Dynamic Dampen Map</p>\n\
<p>37 - Displacement Map</p>\n\
<div class=\'codeBlock\'><pre>.mapEnables (Maps_Enable) : boolean array \n\
</pre></div><p>Get/set the elements of the array controlling whether to use the respective texture maps listed above. Setting the i-th element to false disables the texture map temporarily without removing it from the map slot - the capital &quot;M&quot; on the button turns into a lower-case &quot;m&quot;. The indices into the array are identical to the ones listed above.</p>\n\
<div class=\'section\'><a id=\"instancenode\"></a><h3 id=\"instancenode\">InstanceNode</h3></div>\n\
<div class=\'codeBlock\'><pre>.mergeInstanceMaterial (Merge_Instance_Material) : boolean \n\
</pre></div><p>Get/set the state of the &quot;Merge Material&quot; checkbox in the &quot;Instance Node&quot; group of controls in the Tools rollout. When set to true, the material assigned to the instance node will be used.</p>\n\
<div class=\'section\'><a id=\"hair-interfaces\"></a><h2 id=\"hair-interfaces\">Hair Interfaces</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:Hair \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<p>Note:</p>\n\
<p>The same modifier can be applied as instance to multiple scene nodes.</p>\n\
<p>Some of the methods below provide an optional <strong>instance:</strong> keyword parameter. If supplied, only the instance of the modifier applied to the specified node will be affected. If not supplied, all nodes sharing the modifier will be affected.</p>\n\
<div class=\'section\'><a id=\"tools-rollout\"></a><h3 id=\"tools-rollout\">Tools Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; LaunchGUIinstance :&lt;node&gt; \n\
</pre></div><p><strong>instance</strong> default value: undefined</p>\n\
<p>Opens the Hair Style editor window. If the optional <span class=\'code\'>instance</span> keyword parameter is supplied,only the hair instance applied tothe given node will be loaded in the Style editor.</p>\n\
<p>Corresponds to pressing the &quot;Style Hair...&quot; button in the Tools rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; RecombFromSplines&lt;node&gt;shapeNode instance :&lt;node&gt; instance default value: undefined \n\
</pre></div><p>Converts the Hair to Mesh. If the optional <span class=\'code\'>instance</span> keyword parameter is supplied, the hair from the given node will be converted. Corresponds to pressing the &quot;Hair -&gt; Mesh&quot; button in the Tools rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; ResetRest instance :&lt;node&gt; instance default value: undefined \n\
</pre></div><p>Resets the Rest. If the optional <strong>instance</strong> keyword parameter is supplied, the hair from the given node will be reset. Corresponds to pressing the &quot;Reset Rest&quot; button in the Tools rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; RegrowHair instance :&lt;node&gt; instance default value: undefined \n\
</pre></div><p>Regrows the Hair. If the optional <span class=\'code\'>instance</span> keyword parameter is supplied, the hair from the given node will be regrown. Corresponds to pressing the &quot;Regrow Hair&quot; button in the Tools rollout.</p>\n\
<div class=\'section\'><a id=\"tools-rollout---presets\"></a><h3 id=\"tools-rollout---presets\">Tools Rollout - Presets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; LoadPreset &lt;filename&gt; presetName \n\
</pre></div><p>Loads the Preset with the given name. Corresponds to pressing the &quot;Load&quot; button in the &quot;Presets:&quot; group of controls in the Tools rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; SavePreset &lt;filename&gt; presetName \n\
</pre></div><p>Saves a Preset under the given name. Corresponds to pressing the &quot;Save&quot; button in the &quot;Presets:&quot; group of controls in the Tools rollout.</p>\n\
<div class=\'section\'><a id=\"tools-rollout---hairdo\"></a><h3 id=\"tools-rollout---hairdo\">Tools Rollout - Hairdo</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; CopyHairdo instance:&lt;node&gt; \n\
</pre></div><p><strong>instance</strong> default value: undefined</p>\n\
<p>Copies the Hairdo.If the optional <span class=\'code\'>instance</span> keyword parameter is supplied, the hair will be copied from the given node.Corresponds to pressing the &quot;Copy&quot; button in the &quot;Hairdo:&quot; group of controls in the Tools rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; PasteHairdo instance :&lt;node&gt; instance default value: undefined \n\
</pre></div><p>Pastes the Hairdo.. If the optional <span class=\'code\'>instance</span> keyword parameter is supplied, the hair will be pasted onto the given node.Corresponds to pressing the &quot;Copy&quot; button in the &quot;Hairdo:&quot; group of controls in the Tools rollout.</p>\n\
<div class=\'section\'><a id=\"tools-rollout---instance-node\"></a><h3 id=\"tools-rollout---instance-node\">Tools Rollout - Instance Node</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; SetInstance &lt;node&gt; instance \n\
</pre></div><p>Sets the Instance to the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; ClearInstance() \n\
</pre></div><p>Removes the Instance node.</p>\n\
<div class=\'section\'><a id=\"tools-rollout---convert\"></a><h3 id=\"tools-rollout---convert\">Tools Rollout - Convert</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt; ConvertGuidesToSplines instance :&lt;node&gt; instance default value: undefined \n\
</pre></div><p>Converts the Guides to Splines. If the optional <span class=\'code\'>instance</span> keyword parameter is supplied, the hair from the given node will be converted. Corresponds to pressing the &quot;Guides -&gt; Splines&quot; button in the Tools rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;ConvertHairsToSplines instance:&lt;node&gt; instance default value: undefined \n\
</pre></div><p>Converts the Hair to Splines. If the optional <span class=\'code\'>instance</span> keyword parameter is supplied, the hair from the given node will be converted. Corresponds to pressing the &quot;Hair -&gt; Splines&quot; button in the Tools rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt; ConvertToMesh instance :&lt;node&gt; \n\
instance default value: undefined \n\
</pre></div><p>Converts the Hair to Mesh. If the optional <strong>instance</strong> keyword parameter is supplied, the hair from the given node will be converted. Corresponds to pressing the &quot;Hair -&gt; Mesh&quot; button in the Tools rollout.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";