var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: Hair</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: Hair</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-hair\"></a></div>\n\
<p>The <strong>Hair Interface</strong> available since <strong>3ds Max 7.5</strong> provides some useful utility functions related to the Hair Extension.</p>\n\
<div class=\'codeBlock\'><pre>Interface:Hair \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Purge()   \n\
</pre></div><p>Removes all traces of Hair elements from the current scene, including all HairMod WSMs from all &quot;hairy&quot; objects and the HairEffect RenderEffect from the Render Effects list in the Effects tab of the Environment and Effects dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; AddMod &lt;node array&gt; nodes \n\
</pre></div><p>Adds a HairMod to all supplied nodes. Shows the Presets dialog to pick a hair stile first.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; AddEffect &lt;boolean&gt; showGUI \n\
</pre></div><p>Adds a HairEffect RenderEffect to the Effects dialog. If the showGUI argument is passed as true, also opens the Environment and Effects dialog to show the Hair Render user interface.</p>\n\
<p>If a Hair Render effect already exists on the list of Effects and true is passed as argument, only opens the dialog with the User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; CanUseLights &lt;node array&gt; nodes \n\
</pre></div><p>Returns true if at least one of the supplied lights can be used, false if none of the supplied light can be used by the hair renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; AddHairProperties &lt;node array&gt; nodes \n\
</pre></div><p>Adds a &quot;Hair Light Attr&quot; rollout to one or more spot lights passed as argument.If any of the nodes are not spot lights, they will be ignored. Corresponds to the &quot;Add hair properties&quot; button in the Lighting group of controls in the Hair &amp; Fur Effect&#39;s rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; RemoveHairProperties &lt;node array&gt; nodes \n\
</pre></div><p>Removes the &quot;Hair Light Attr&quot; rollout from one or more spot lights passed as argument. If any of the nodes are not spot lights, they will be ignored. Corresponds to the &quot;Remove hair properties&quot; button in the Lighting group of controls in the Hair &amp; Fur Effect&#39;s rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ExportDRA &lt;filename&gt; draFileName &lt;time&gt; time &lt;integer&gt; voxels \n\
</pre></div><p>Exports a DRA file to the specified file name at the given time using the supplied voxel count.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; ExportDRA2 &lt;filename&gt; draFileName &lt;time&gt; time &lt;integer&gt; voxels &lt;&amp;integer array&gt; shaveNodeIDs \n\
</pre></div><p>Exports a DRA file to the specified file name at the given time using the supplied voxel count and array of integer node IDs.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";