var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MassFX and MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MassFX and MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"massfx-and-maxscript\"></a></div>\n\
<p>The following topics cover the various components of the MassFX Dynamics Simulation system based on NVIDIA PhysX technology which was introduced in <strong>3ds Max 2012</strong>.</p>\n\
<div class=\'section\'><a id=\"massfx-system-and-user-interface-access\"></a><h2 id=\"massfx-system-and-user-interface-access\">MassFX System and User Interface Access</h2></div>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\' title=\'\'>Interface : nvpx</a> Core Interface exposes the MassFX system settings to MAXScript.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-MassFX/PhysXPanel-ReferenceTarget.html\' title=\'\'>PhysXPanel : ReferenceTarget</a> exposes the settings of the MassFX control panel and its controls to MAXScript.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpxConsts.html\' title=\'\'>Interface nvpxConsts</a> Core Interface exposes the NVIDIA PhysX Constants to MAXScript. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"massfx-modifiers\"></a><h2 id=\"massfx-modifiers\">MassFX Modifiers</h2></div>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/MassFX-Modifiers/MassFX_RBody-Modifier.html\' title=\'\'>MassFX_RBody : Modifier</a> is used by the MassFX system to define the properties of a rigid body object.</p>\n\
<div class=\'section\'><a id=\"massfx-helpers\"></a><h2 id=\"massfx-helpers\">MassFX Helpers</h2></div>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/UConstraint-Helper.html\' title=\'\'>UConstraint : Helper</a> is used to define constraints in the MassFX system.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/pxJoint-helper.html\' title=\'\'>pxJoint : Helper</a> object is used to define joints in the MassFX system.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/Skeleton-helper.html\' title=\'\'>Skeleton : Helper</a> object is used to introduce animated characters as Kinematic Skeleton objects to drive MassFX simulations.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-MassFX/nvRagdoll-Helper.html\' title=\'\'>nvRagdoll : Helper</a> is used to define a ragdoll rig in the MassFX system.</p>\n\
<div class=\'section\'><a id=\"massfx-geometry-objects\"></a><h2 id=\"massfx-geometry-objects\">MassFX Geometry Objects</h2></div>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvBox-GeometryClass.html\' title=\'\'>nvBox : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom box-shaped shell for physical simulation.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvCapsule-GeometryClass.html\' title=\'\'>nvCapsule : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom capsule-shaped shell for physical simulation.</p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-MassFX/nvSphere-GeometryClass.html\' title=\'\'>nvSphere : GeometryClass</a> is a dedicated geometry object used by the MassFX Rigid Body Modifier to define a custom spherical shell for physical simulation.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";