var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PhysXPanel : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PhysXPanel : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"physxpanel-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre> PhysXPanel - superclass:ReferenceTarget; super-superclass:MAXWrapper - 35:0 - classID:#(721879680, 1682575996)\n\
</pre></div><p>{{toc}}</p>\n\
<p>This class implements the &quot;MassFX Tools&quot; floating dialog.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>PhysXPanel ...\n\
</pre></div><p>While it is possible to create an instance of this class, it makes no sense to do so since the MassFX system creates its own instance for the actual MassFX Tools dialog.</p>\n\
<p>Instead, use the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PhysXPanelInterface.html\' title=\'\'>PhysXPanelInterface interface</a> to access the existing instance of the MassFX Tools dialog:</p>\n\
<div class=\'codeBlock\'><pre>PhysXPanelInterface.instance\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"scene-settings-rollout\"></a><h2 id=\"scene-settings-rollout\">&quot;Scene Settings&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E2B6DB00-B411-4276-9C9E-C3569A26E41C-low.png\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"ground-plane-controls\"></a><h3 id=\"ground-plane-controls\">Ground Plane controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.useGroundPlane BooleanClass default: true -- boolean\n\
</pre></div><p>Get/set the state of the &quot;Use Ground Plane&quot; option.</p>\n\
<p>When set to true, the XY ground plane will be used as a virtual collision object.</p>\n\
<p>When set to false, no ground plane will be simulated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.groundHeight     Float    default: 0.0   --  float\n\
</pre></div><p>Get/set the height of the Ground Plane in world Z units. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"gravity-group-of-controls\"></a><h3 id=\"gravity-group-of-controls\">&quot;Gravity&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.gravityMode     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the state of the Gravity Mode radio buttons. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>No Gravity</strong></p>\n\
<p>2 - <strong>Directional Gravity</strong> (default)</p>\n\
<p>3 - <strong>Gravity By Force Object</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.enableGravity BooleanClass default: true -- boolean\n\
</pre></div><p>Get/set the state of the &quot;Gravity Enabled&quot; checkbox.</p>\n\
<p>When set to true, the gravity force defined by the <span class=\'code\'>.gravityDirection</span> and <span class=\'code\'>.gravity</span> properties will be applied to the simulation.</p>\n\
<p>When set to false, no gravity will be simulated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.gravityDirection Integer default: 3 -- integer\n\
</pre></div><p>Get/set the state of the &quot;Direction&quot; radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>X</strong></p>\n\
<p>2 - <strong>Y</strong></p>\n\
<p>3 - <strong>Z</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.gravity Float default: -386.221 -- float\n\
</pre></div><p>Get/Set the Acceleration value in units/second². When 1 Generic Unit = 1 inch, the default value is -386.221 inches/second² which is equivalent to 9.81 m/s².</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.gravityObject     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the Gravity Force object used when .gavityMode is set to 3 - Gravity By Force Object. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"rigid-bodies-group-of-controls\"></a><h3 id=\"rigid-bodies-group-of-controls\">&quot;Rigid Bodies&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.subStepsInteger default: 3 -- integer\n\
</pre></div><p>Get/set the number of sub-steps per frame.</p>\n\
<p>The number of simulation steps performed between each graphical update is determined by the formula: (Substeps + 1) * Frame Rate. A frame rate of 30fps with 0 substeps results in 30 simulation steps per second, 1 substep results in 60 steps per second, 2 substeps results in 180 simulation steps per second, and so on. The maximum value of Substeps is 159, which results in 4,800 simulation steps per second of animation at 30fps. Using a higher Substeps value produces greater precision in collision and constraint results, at a cost to performance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.solverIteration Integer default: 30 -- integer\n\
</pre></div><p>Get/set the number of solver iterations per step.</p>\n\
<p>This is a global setting for the number of iterations the constraint solver performs when enforcing collisions and constraints. Higher values might be necessary when the simulation uses many constraints, or the tolerance for joint errors is very low. Values higher than 30 are generally unnecessary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.enableCCD BooleanClass default: false -- boolean\n\
</pre></div><p>Get/set the state of the &quot;Enable High Velocity Collisions&quot; checkbox. &quot;CCD&quot; stands for &quot;Continuous Collision Detection&quot;, a method which uses a simplified geometry hull covering the trajectory of a fast moving rigid body object between two sample steps to ensure it collides correctly with other rigid bodies in its way.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.shapePerElement     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Generate Shape Per Element&quot; checkbox. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"advanced-settings-rollout\"></a><h2 id=\"advanced-settings-rollout\">&quot;Advanced Settings&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-732F435D-1190-46A9-85A2-A2A696A0E0D9-low.png\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"sleep-settings-group-of-controls\"></a><h3 id=\"sleep-settings-group-of-controls\">&quot;Sleep Settings&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.sleepThresholdsAutomatic Integer default: 1 -- integer\n\
</pre></div><p>Get/set the state of the Sleep Mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Automatic</strong> - MassFX automatically calculates reasonable sleep threshold values for both linear and angular velocities above which sleep will be applied. To do so it uses a heuristic, or experience-based, method.</p>\n\
<p>2 - <strong>Manual</strong> - use the <strong><span class=\'code\'>.sleepSpeed</span> and <span class=\'code\'>.sleepSpin</span></strong> properties to define the linear and agular speed thresholds for an object to go into &quot;sleep&quot; mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.sleepEnergy     Float    default: 1.9685   --  float\n\
</pre></div><p>Get/set the value of the &quot;Speed Energy&quot; property. It is used when the <strong><span class=\'code\'>.sleepThresholdsAutomatic</span></strong> property is set to 1 to determine the energy threshold below which the Rigid Body will go to &quot;sleep&quot; mode and will not be calculated anymore. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p>Other than the <strong><span class=\'code\'>.sleepSpeed</span> and <span class=\'code\'>.sleepSpin</span></strong> values used in <strong>3ds Max 2012</strong>, the sleepEnergy threshold also takes into account the mass of the object in additiona to its linear and angular speed to determine whether it should be calculated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.sleepSpeed Float default: 1.9685 -- worldUnits\n\
</pre></div><p>Get/set the value of the &quot;Min. Speed&quot; property exposed to the UI in <strong>3ds Max 2012</strong>. It is used when the <strong><span class=\'code\'>.sleepThresholdsAutomatic</span></strong> property is set to 1 to determine the linear speed threshold below which the Rigid Body will go to &quot;sleep&quot; mode and will not be calculated anymore. The value is in units/second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.sleepSpin Float default: 5.0 -- float\n\
</pre></div><p>Get/set the value of the &quot;Min. Spin&quot; property exposed to the UI in <strong>3ds Max 2012</strong>. It is used when the <strong><span class=\'code\'>.sleepThresholdsAutomatic</span></strong> property is set to 1 to determine the angular speed threshold below which the Rigid Body will go to &quot;sleep&quot; mode and will not be calculated anymore. The value is in degrees/second.</p>\n\
<div class=\'section\'><a id=\"high-velocity-collisions-group-of-controls\"></a><h3 id=\"high-velocity-collisions-group-of-controls\">&quot;High Velocity Collisions&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.ccdMinSpeedAutomatic Integer default: 1 -- integer\n\
</pre></div><p>Get/set the state of the &quot;High Velocity Collisions&quot; automatic/manual modes radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Automatic</strong></p>\n\
<p>2 - <strong>Manual</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.ccdMinSpeedThreshold Float default: 5.0 -- float\n\
</pre></div><p>Get/set the &quot;Min Speed&quot; threshold value.</p>\n\
<p>This property is used when <span class=\'code\'>.ccdMinSpeedAutomatic</span> is set to 2 and <strong><span class=\'code\'>.enableCCD</span></strong> is set to true.</p>\n\
<div class=\'section\'><a id=\"bounce-settings-group-of-controls\"></a><h3 id=\"bounce-settings-group-of-controls\">&quot;Bounce Settings&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.bounceMinSpeedAutomatic Integer default: 1 -- integer\n\
</pre></div><p>Get/set the state of the Bounce Min. Speed Method which determines when rigid bodies bounce off each other.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Automatic</strong> - MassFX uses a heuristic algorithm to calculate a reasonable minimum speed threshold above which to apply bounce.</p>\n\
<p>2 - <strong>Manual</strong> - To override the heuristic value for speed, choose Manual and set the desired Min Speed value:</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.bounceMinSpeedThreshold Float default: 5.0 -- float\n\
</pre></div><p>Get/set the Bounce Min Speed threshold.</p>\n\
<p>Rigid bodies in the simulation moving faster than this speed (specified in units/second) will bounce off one another as part of a collision. Setting this value too high will cause fast-moving objects not to bounce upon colliding with another object. Setting this value too low will cause more slow-moving objects to bounce around the scene, reducing simulation performance and possibly causing jittering. Setting this value to 0.0 enables bouncing for all moving objects.</p>\n\
<div class=\'section\'><a id=\"engine-rollout\"></a><h2 id=\"engine-rollout\">&quot;Engine&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-52214667-C1A4-41B0-8EA5-CC7AEA19BD69-low.png\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"options-group-of-controls\"></a><h3 id=\"options-group-of-controls\">&quot;Options&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.useMultiThread BooleanClass default: false -- boolean\n\
</pre></div><p>Get/set the state of the &quot;Use Multithreading&quot; option.</p>\n\
<p>When set to true, the simulation will be multi-threaded to increase performance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.useHardwareScene BooleanClass default: false -- boolean\n\
</pre></div><p>Get/set the state of the &quot;Hardware Acceleration&quot; option which is available when supported hardware has been detected.</p>\n\
<p>When set to true, the simulation will use hardware acceleration to increase performance.</p>\n\
<div class=\'section\'><a id=\"simulation-settings-rollout\"></a><h2 id=\"simulation-settings-rollout\">&quot;Simulation Settings&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-376699B0-D097-4255-8274-4D895DE8C92F-low.png\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"playback-group-of-controls\"></a><h3 id=\"playback-group-of-controls\">&quot;Playback&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.onLastFrame Integer default: 1 -- integer\n\
</pre></div><p>Get/set the state of the &quot;Playback&gt;On Last Frame&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Continue Simulation</strong> - The simulation continues to run even after the time slider reaches the last frame.</p>\n\
<p>2 - <strong>Stop Simulation</strong> - The simulation stops when the time slider reaches the last frame.</p>\n\
<p>3 - <strong>Loop Animation and...</strong> - Repeats the animation when the time slider reaches the last frame and then acts according to the <span class=\'code\'>.loopAnimation</span> property (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.loopAnimation Integer default: 1 -- integer\n\
</pre></div><p>Get/set the state of the &quot;Loop Animation and...&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Reset Simulation</strong> - The simulation resets and the animation loops back to the first frame when the time slider reaches the last frame. This is useful for watching the same simulation multiple times in a row to analyze the results.</p>\n\
<p>2 - <strong>Continue Simulation</strong> - The simulation continues running while the animation loops back to the first frame when the time slider reaches the last frame. This is useful for short looping animations (such as a character&#39;s walk cycle) when you want the simulation to continue across the boundary of the looping</p>\n\
<div class=\'section\'><a id=\"rigid-bodies-rollout\"></a><h2 id=\"rigid-bodies-rollout\">&quot;Rigid Bodies&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9AA15BB3-559A-45DC-83DE-1B2A9E1FD310-low.bmp\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"physical-meshes-group-of-controls\"></a><h3 id=\"physical-meshes-group-of-controls\">&quot;Physical Meshes&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.physicalMeshes Integer default: 1 -- integer\n\
</pre></div><p>Get/set the state of the &quot;Physical Meshes&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Show Only For Selected</strong> - physical meshes will be displayed only for selected rigid body objects.</p>\n\
<p>2 - <strong>Show All Physical Meshes</strong> - all physical meshes will be shown regardless of selection.</p>\n\
<p>3 - <strong>Hide All Physical Meshes</strong> - no physical meshes will be shown.</p>\n\
<div class=\'section\'><a id=\"massfx-visualizer-rollout\"></a><h2 id=\"massfx-visualizer-rollout\">&quot;MassFX Visualizer&quot; rollout</h2></div>\n\
<div class=\'section\'><a id=\"options-group-of-controls-1\"></a><h3 id=\"options-group-of-controls-1\">&quot;Options&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.visualizerEnable     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Enable Visualizer&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.visualizerScale     Float    default: 1.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the &quot;Scale&quot; spinner. This controls the relative size of the viewport-based indicators, such as axes.</p>\n\
<div class=\'section\'><a id=\"object-properties-group-of-controls\"></a><h3 id=\"object-properties-group-of-controls\">&quot;Object Properties&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.bodyAxis     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Local Axis&quot; checkbox. When set to true (default), the local axes of the Rigid Body objects will be visualized in the viewports during simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.bodyLinearVel     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Object Linear Velocity&quot; checkbox. When set to true, the linear velocity of the Rigid Body objects will be visualized in the viewports during simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.bodyAngularVel     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Object Angular Velocity&quot; checkbox. When set to true, the angular velocity of the Rigid Body objects will be visualized in the viewports during simulation.</p>\n\
<div class=\'section\'><a id=\"joint-properties-group-of-controls\"></a><h3 id=\"joint-properties-group-of-controls\">&quot;Joint Properties&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.jointLocalAxis     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Local Axis&quot; checkbox. When set to true, the local axes of the Joints will be visualized in the viewports during simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.jointWorldAxis     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;World Axis&quot; checkbox. When set to true, the world axes of the Joints will be visualized in the viewports during simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.jointLimits     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Joint Limits&quot; checkbox. When set to true, the limits of the Joints will be visualized in the viewports during simulation.</p>\n\
<div class=\'section\'><a id=\"contact-markers-group-of-controls\"></a><h3 id=\"contact-markers-group-of-controls\">&quot;Contact Markers&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.contactPoints     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Contact Points&quot; checkbox. When set to true, the positions of Rigid Body collisions will be visualized in the viewports during simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.contactNormal     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Contact Normals&quot; checkbox. When set to true, the normals of Rigid Body collisions will be visualized in the viewports during simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.contactForce     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Contact Force&quot; checkbox. When set to true, the magnitude of Rigid Body collision forces will be visualized in the viewports during simulation.</p>\n\
<div class=\'section\'><a id=\"collision-markers-group-of-controls\"></a><h3 id=\"collision-markers-group-of-controls\">&quot;Collision Markers&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.collisionShapes     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Collision Meshes&quot; checkbox. When checked (default), the Rigid Body Meshes of all simulated objects will be displayed in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.collisionCompounds     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Collision Groups&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.collisionSpheres     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Collision Spheres&quot; checkbox. When checked, the bounding spheres of the Rigid Body objects will be displayed. The bounding spheres can be used to determine whether two Rigid Bodies should be checked for collision at Rigid Body Mesh level. If the two spheres don&#39;t intersect, no precise and time consuming collision detection needs to be performed.</p>\n\
<div class=\'section\'><a id=\"other-properties\"></a><h2 id=\"other-properties\">Other properties</h2></div>\n\
<p>The following properties are not exposed to the UI:</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.skinWidth Float default: 0.0393701 -- worldUnits\n\
&lt;PhysXPanel&gt;.useFirst BooleanClass default: true -- boolean\n\
&lt;PhysXPanel&gt;.exporterMode     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the Exporter mode. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.pluginBuild     String    default:&quot;2.80.1129.0299&quot;   \n\
</pre></div><p>Get/set the PhysX Plugin version string. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.useAdaptiveForce BooleanClass default: true -- boolean\n\
</pre></div><p>Get/set the Use Adaptive Force mode. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.destructionRadius Float default: 1.0 -- float\n\
</pre></div><p>Get/set the Destruction Radius value. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.destructionDamage Float default: 1.0 -- float\n\
</pre></div><p>Get/set the Destruction Damage value. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysXPanel&gt;.destructionMomentum Float default: 1.0 -- float\n\
</pre></div><p>Get/set the Destruction Momentum value. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";