var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Join_Bodies : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Join_Bodies : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"join_bodies-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Join_Bodies - superclass: GeometryClass; super-superclass:node - 9:6 - classID: #(1669870298, 70329400)\n\
</pre></div><p>The Join_Bodies object allows the joining of Solid Bodies in <strong>3ds Max 2011 and higher</strong>..</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Join_Bodies... Body_Join...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"conversion-parameters\"></a><h2 id=\"conversion-parameters\">Conversion Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-35DC9534-B264-42EF-A9E3-CD6F1DE95C5E-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"conversion\"></a><h3 id=\"conversion\">Conversion</h3></div>\n\
<div class=\'codeBlock\'><pre>convertToJoinBodies &lt;node&gt; \n\
</pre></div><p>Converts the specified geometry to a <span class=\'code\'>Join_Bodies</span>.</p>\n\
<div class=\'section\'><a id=\"operation\"></a><h3 id=\"operation\">Operation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.BrepOperation (NURBS_Creation_Radio) : integer\n\
</pre></div><p>Get/set the state of the Operation radio buttons.</p>\n\
<p>Valid values are:</p>\n\
<p>0 - Weld Edges Only (Fast)</p>\n\
<p>1 - Weld Edges To Surface</p>\n\
<p>2 - Do Nothing</p>\n\
<p>3 - Intersect+Merge Faces</p>\n\
<p>4 - Boolean Union</p>\n\
<p>5 - Weld Into Solid (Slow)</p>\n\
<div class=\'section\'><a id=\"operator-parameters\"></a><h2 id=\"operator-parameters\">Operator Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D49482D5-24DA-4401-8C17-DADD7112EF5C-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"display\"></a><h3 id=\"display\">Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.ShowResultOP (Show_Result__Hide_Ops) : boolean\n\
</pre></div><p>Get/set the state of the Result checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.ShowAllOperandsOP (Show_Ops__Hide_Result) : boolean\n\
</pre></div><p>Get/set the state of the All Operands checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.ShowSelectedOperandsOP (Show_Selected_Operands) : boolean\n\
</pre></div><p>Get/set the state of the Selected Operands checkbox.</p>\n\
<p><strong>Not Exposed To UI</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.TwoSidedMeshesOP (Two_Sided_Mesh) : boolean\n\
&lt;Join_Bodies&gt;.SaveBrepsOP (Save_NURBS_Breps) : boolean\n\
&lt;Join_Bodies&gt;.FastEditOP (Fast_Edit) : boolean\n\
&lt;Join_Bodies&gt;.OP_NOT_USED1 (Update_Radio) : integer\n\
&lt;Join_Bodies&gt;.OP_NOT_USED2 (Update_Now) : boolean\n\
&lt;Join_Bodies&gt;.OP_NOT_USED3 (Save_Render_Mesh) : boolean\n\
&lt;Join_Bodies&gt;.OP_NOT_USED4 (Save_Viewport_Mesh) : boolean\n\
</pre></div><div class=\'section\'><a id=\"rendering-approximation\"></a><h2 id=\"rendering-approximation\">Rendering Approximation</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D4137A23-87BF-47F2-92E3-65AEF60C29A7-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.RenderViewportMeshRA (Render_Viewport_Mesh) : boolean\n\
</pre></div><p>Get/set the state of the Use Viewport Mesh checkbox.</p>\n\
<div class=\'section\'><a id=\"render-mesh-generation\"></a><h3 id=\"render-mesh-generation\">Render Mesh Generation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.RenderRadioRA (Render_Radio) : integer\n\
</pre></div><p>Get/set the state of the Render Mesh Generation radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - View Dependent Approx.</p>\n\
<p>1 - Size Dependent Approx. (default)</p>\n\
<div class=\'section\'><a id=\"render-mesh-quality-presets\"></a><h3 id=\"render-mesh-quality-presets\">Render Mesh Quality Presets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.LowQualityRA (LowQuality) : boolean\n\
</pre></div><p>Get/set the state of the Draft checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.MediumQualityRA (MediumQuality) : boolean\n\
</pre></div><p>Get/set the state of the Good checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.HighQualityRA (HighQuality) : boolean\n\
</pre></div><p>Get/set the state of the Production checkbutton.</p>\n\
<div class=\'section\'><a id=\"approximation\"></a><h3 id=\"approximation\">Approximation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.FaceApproxAngleRA (Face_Angle) : float\n\
</pre></div><p>Get/set the Face Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.EdgeApproxAngleRA (Edge_Angle) : float\n\
</pre></div><p>Get/set the Edge Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.FaceChordRA (Face_Chord) : float\n\
</pre></div><p>Get/set the Face Chors %/Pixels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.EdgeChordRA (Edge_Chord) : float\n\
</pre></div><p>Get/set the Edge Chord %/Pixels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.MaxEdgeRA (Edge_Length_Rendering) : float\n\
</pre></div><p>Get/set the Max.Edge %/Pixels value.</p>\n\
<div class=\'section\'><a id=\"misc.-options\"></a><h3 id=\"misc.-options\">Misc. Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.WeldAndSmoothRA (Weld_and_Smooth) : boolean\n\
</pre></div><p>Get/set the state of the Weld And Smooth Mesh checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.SaveRenderMeshRA (Save_Render_Mesh) : boolean\n\
</pre></div><p>Get/set the state of the Save Render Mesh checkbox.</p>\n\
<div class=\'section\'><a id=\"viewport-display-settings\"></a><h2 id=\"viewport-display-settings\">Viewport Display Settings</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2AB97A68-B198-4273-8CDA-F582EFF04FD1-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.DisplayRadioVDS (Display_Radio) : integer\n\
</pre></div><p>Get/set the state of the Display Options radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Curves</p>\n\
<p>1 - Mesh</p>\n\
<p>2 - Both (default)</p>\n\
<div class=\'section\'><a id=\"mesh-quality-presets\"></a><h3 id=\"mesh-quality-presets\">Mesh Quality Presets</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.LowQualityVDS (LowQuality) : boolean\n\
</pre></div><p>Get/set the state of the Coarse checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.MediumQualityVDS (MediumQuality) : boolean\n\
</pre></div><p>Get/set the state of the Medium checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.HighQualityVDS (HighQuality) : boolean\n\
</pre></div><p>Get/set the state of the Fine checkbutton.</p>\n\
<div class=\'section\'><a id=\"mesh-display\"></a><h3 id=\"mesh-display\">Mesh Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.CleanMeshVDS (CleanMesh) : boolean\n\
</pre></div><p>Get/set the state of the Weld/Smooth checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.FaceApproxAngleVDS (Face_Approx__Angle) : float\n\
</pre></div><p>Get/set the Face Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.EdgeApproxAngleVDS (Edge_Approx__Angle) : float\n\
</pre></div><p>Get/set the Edge Approx. Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.FaceChordHeightVDS (Face_Chord_Height) : float\n\
</pre></div><p>Get/set the Face Distance % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.EdgeChordHeightVDS (Edge_Chord_Height) : float\n\
</pre></div><p>Get/set the Edge Distance % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.MaxEdgeLengthPctVDS (Edge_Length) : float\n\
</pre></div><p>Get/set the Max.Edge Len. % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.SmoothingPassesVDS (Smoothing_Passes) : float\n\
</pre></div><p>Get/set the Smoothing Passes value.</p>\n\
<div class=\'section\'><a id=\"curve-display\"></a><h3 id=\"curve-display\">Curve Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.ULinesVDS (U_Lines) : float\n\
</pre></div><p>Get/set the Lines U value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.VLinesVDS (V_Lines) : float\n\
</pre></div><p>Get/set the Lines V value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.DisplaySurfaceKnotsVDS (Display_Surface_Knots) : boolean\n\
</pre></div><p>Get/set the state of the Display Surface Knots checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.IsoAngleDS (Iso_Angle) : float\n\
</pre></div><p>Get/set the Approx value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.IsoChordHeightVDS (Iso_Chord) : float\n\
</pre></div><p>Get/set the Curve Distance value.</p>\n\
<div class=\'section\'><a id=\"not-exposed-to-ui\"></a><h3 id=\"not-exposed-to-ui\">Not Exposed To UI</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.SubDMeshVDS (SubDMesh) : boolean\n\
 &lt;Join_Bodies&gt;.VDS_NOT_USED1 (Update) : boolean\n\
</pre></div><div class=\'section\'><a id=\"face-display-parameters\"></a><h2 id=\"face-display-parameters\">Face Display Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-84D9EB1C-B954-41D2-A042-2B84AF803CA3-low.gif\' title=\'\'></div>\n\
<p>No Properties Exposed.</p>\n\
<div class=\'section\'><a id=\"not-exposed-to-ui-1\"></a><h2 id=\"not-exposed-to-ui-1\">Not Exposed To UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.BrepOperation Integer default: 0 -- integer; NURBS_Creation_Radio\n\
&lt;Join_Bodies&gt;.Edge_Angle Float default: 0.0\n\
&lt;Join_Bodies&gt;.Edge_Chord Float default: 0.0\n\
&lt;Join_Bodies&gt;.Edge_Length_Rendering Float default: 0.0\n\
&lt;Join_Bodies&gt;.Face_Angle Float default: 40.0\n\
&lt;Join_Bodies&gt;.Face_Chord Float default: 0.5\n\
&lt;Join_Bodies&gt;.MakeIntoSolid BooleanClass default: false -- boolean; Make_Solid\n\
&lt;Join_Bodies&gt;.ToBrepObjectHelp BooleanClass default: false -- boolean; Join_Quick_Help\n\
 \n\
&lt;Join_Bodies&gt;.FilletAllEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.FirstOrEndEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.SecondOrSideEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.ThirdOrStartEdgesFAO : boolean\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED1 : boolean\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED2 : boolean\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED3 : boolean\n\
&lt;Join_Bodies&gt;.FilletRadiusFAO : float\n\
&lt;Join_Bodies&gt;.ApproximateArcFAO : boolean\n\
&lt;Join_Bodies&gt;.ConstantDistanceFAO : boolean\n\
&lt;Join_Bodies&gt;.LinearCrossSectionFAO : boolean\n\
&lt;Join_Bodies&gt;.ShellStartFaceFAO : boolean\n\
&lt;Join_Bodies&gt;.ShellEndFaceFAO : boolean\n\
&lt;Join_Bodies&gt;.ShellRadioFAO : integer\n\
&lt;Join_Bodies&gt;.OffsetRadiusFAO : float\n\
&lt;Join_Bodies&gt;.FAO_NOT_USED4 : boolean\n\
&lt;Join_Bodies&gt;.CornerExtensionFAO (Corner_Extension) : boolean\n\
&lt;Join_Bodies&gt;.SectionTypeFAO : integer\n\
&lt;Join_Bodies&gt;.BlendStrengthFAO : float\n\
</pre></div><div class=\'section\'><a id=\"surface-analysis-not-exposed-to-ui\"></a><h2 id=\"surface-analysis-not-exposed-to-ui\">Surface Analysis (Not Exposed To UI)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.DisplayControlPointsSA (Display_Control_Points) : boolean\n\
&lt;Join_Bodies&gt;.DisplayControlMeshSA (Display_Control_Mesh) : boolean\n\
&lt;Join_Bodies&gt;.DisplayCurveCurvatureSA (Display_Curve_Curvature) : boolean\n\
&lt;Join_Bodies&gt;.CurveCurvatureTypeSA (Curve_Curvature_Type) : integer\n\
&lt;Join_Bodies&gt;.CurvatureScaleSA (Curvature_Scale) : float\n\
&lt;Join_Bodies&gt;.CurvatureDensitySA (Curvature_Density) : float\n\
&lt;Join_Bodies&gt;.DisplaySurfaceCurvatureSA (Display_Surface_Curvature) : boolean\n\
&lt;Join_Bodies&gt;.SurfaceCurvatureTypeSA (Surface_Curvature_Type) : integer\n\
&lt;Join_Bodies&gt;.StdDevMultiplesSA (Std__Dev__Multiples) : float\n\
&lt;Join_Bodies&gt;.UseMinMaxRangeSA (Use_Min_Max_Range) : boolean\n\
&lt;Join_Bodies&gt;.StdDevMinRangeSA (Std__Dev__Min_Range) : float\n\
&lt;Join_Bodies&gt;.StdDevMaxRangeSA (Std__Dev__Max_Range) : float\n\
&lt;Join_Bodies&gt;.SurfAnalysisQuickHelpSA (Surface_Analysis_Quick_Help) : boolean\n\
</pre></div><div class=\'section\'><a id=\"nqnot-exposed-to-ui\"></a><h2 id=\"nqnot-exposed-to-ui\">NQ(Not Exposed To UI)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Join_Bodies&gt;.ExtrToBrepNQ (Extr_To_NURBS_Brep) : boolean\n\
&lt;Join_Bodies&gt;.ExtrToNURBSNQ (Extr_To_Nurbs) : boolean\n\
&lt;Join_Bodies&gt;.ExtrToCurveNQ (Extr_To_Curve) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED1 (Flip_All) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED2 (Flip_Selected) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED3 (Extract_To_Spline) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED4 (Show_Counts) : boolean\n\
&lt;Join_Bodies&gt;.NQ_NOT_USED5 (Extract_To_CShape) : boolean\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";