var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Using MAXScript in Script Actions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Using MAXScript in Script Actions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"using-maxscript-in-script-actions\"></a></div>\n\
<p><strong>Particle Flow provides the following Script Actions:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\' title=\'\'>Birth_Script : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test : Helper</a></p>\n\
<p>These Actions can be used to give birth to particles, manipulate their properties, and test properties against user-defined values.</p>\n\
<p><strong>Handlers:</strong></p>\n\
<p>All Script Actions implement four handlers to specify the channels used, perform initialization tasks, proceed, and perform cleanup works.</p>\n\
<p>These handlers are:</p>\n\
<div class=\'codeBlock\'><pre>on ChannelsUsed pCont do ...\n\
</pre></div><p>Defines the channels to be made available to the script. The list of all possible channels is available under <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\' title=\'\'>Interface: MaxscriptParticleContainer</a>.</p>\n\
<p>The parameter passed to the handler contains the Particle Container the script is applied to.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` on ChannelsUsed pCont do ( pCont.useTime = true--enable the Time channel pCont.useSpeed = true--enable the Speed channel pCont.useInteger = true--enable the Integer channel )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on Init pCont do ... \n\
</pre></div><p>This hander is called when the Action is being initialized. It can be used to perform preparation tasks like defining variables, creating (limited) additional geometry, and so on.</p>\n\
<p>For examples about implementing the Init handler, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Birth-Scripts/Fragmentation-Sample-Script.html\' title=\'\'>Fragmentation Sample Script</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Metaball-Sample-Script.html\' title=\'\'>Metaball Sample Script</a>.</p>\n\
<div class=\'codeBlock\'><pre>on Proceed pCont do... \n\
</pre></div><p>The Proceed handler is called whenever the Action is evaluated. The handler contains the main script applied to the Particles. In this handler, each particle can be modified by accessing its various properties. For a list of all properties and methods available inside the <strong>on Proceed</strong> handler, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\' title=\'\'>Interface: MaxscriptParticleContainer</a>.</p>\n\
<p>The parameter pCont passed to the handler contains the Particle Container the script is applied to.</p>\n\
<div class=\'codeBlock\'><pre>on Release pCont do ... \n\
</pre></div><p>The Release handler is called when the Action is released. It can be used to do cleanup work, but is typically empty.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";