var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>AmountChange : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>AmountChange : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"amountchange-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>AmountChange - superclass: ReferenceTarget; super-superclass:MAXWrapper - 29:0 - classID: #(1137313551, 554188032) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>AmountChange</strong> Particle Data View sub-operator modifies particle count either by spawning or by deletion.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>AmountChange...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Type     Integer    default: 1   --  integer\n\
</pre></div><p>Possible values are:</p>\n\
<p>0 - <strong>Delete</strong></p>\n\
<p>1 - <strong>Spawn</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Sub_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the sub-type radio buttons which have different meaning depending on the <span class=\'code\'>.Type</span> property.</p>\n\
<p>This property controls the type and function of the <span class=\'code\'>.Input_1</span> socket.</p>\n\
<p>Possible values when the <span class=\'code\'>.Type</span> property is set to 1 - Spawn are:</p>\n\
<p>0 - <strong>Integer As Amount</strong> (default)</p>\n\
<p>1 - <strong>Integer As Additive</strong></p>\n\
<p>Possible values when the <span class=\'code\'>.Type</span> property is set to 0 - Delete are:</p>\n\
<p>0 - <strong>False To Delete</strong> (default)</p>\n\
<p>1 - <strong>True To Delete</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Reset_Particle_Age     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Reset Particle Age&quot;</strong> checkbox.</p>\n\
<p>It is only used when the <span class=\'code\'>.Type</span> property is set to 1 - Spawn.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Spawns_As_New_In_Event     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Spawn As New In Event&quot;</strong> checkbox.</p>\n\
<p>It is only used when the <span class=\'code\'>.Type</span> property is set to 1 - Spawn.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the first Input of the AmountChange sub-operator.</p>\n\
<p>Assigning a sub-operator object to this property will effectively wire its output to the first Input.</p>\n\
<p>When <span class=\'code\'>.Type</span> is set to 0 - Delete, the connected value type must be Boolean.</p>\n\
<p>When <span class=\'code\'>.Type</span> is set to 1 - Spawn, the connected value type must be Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter Input of the AmountChange sub-operator.</p>\n\
<div class=\'section\'><a id=\"priority-and-execution-order\"></a><h2 id=\"priority-and-execution-order\">Priority And Execution Order</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Proceed Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.History_Dependent     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Execution_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"record-spawning-to-data-group-of-controls\"></a><h2 id=\"record-spawning-to-data-group-of-controls\">Record Spawning To Data group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Is_Current_Parent     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Is Current Parent&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Is_Current_Parent_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Is Current Parent&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Is_Current_Spawn     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Is Current Spawn&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Is_Current_Spawn_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Is Current Spawn&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Parent_ID     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Is Parent ID&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Parent_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Is Parent ID&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Last_Spawn_ID     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Last Spawn ID&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Last_Spawn_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Last Spawn ID&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_First_Spawn_ID     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;First Spawn ID&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.First_Spawn_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;First Spawn ID&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Current_First_Spawn_ID     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Current First Spawn ID&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Current_First_Spawn_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Current First Spawn ID&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Older_Sibling_ID     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Older/Previous Siblong ID&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Older_Sibling_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Older/Previous Siblong ID&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Current_Spawn_Count     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Current Spawn Count&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Current_Spawn_Count_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Current Spawn Count&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Total_Spawn_Count     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Total Spawn Count&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Total_Spawn_Count_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Total Spawn Count&quot;</strong> checkbox is checked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Use_Current_Spawn_Order     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Current Spawn Order&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;AmountChange&gt;.Current_Spawn_Order_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel to use when the <strong>&quot;Current Spawn Order&quot;</strong> checkbox is checked.</p>\n\
<div class=\'section\'><a id=\"amountchange-interfaces\"></a><h2 id=\"amountchange-interfaces\">AmountChange interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the AmountChange Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";