var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Condition : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Condition : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"condition-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Condition - superclass: ReferenceTarget; super-superclass:MAXWrapper - 29:0 - classID: #(1137313552, 554188032) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Condition</strong> Particle Data View sub-operator creates boolean data by testing scalar data.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Condition...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Input Type&quot;</strong> drop-down list.</p>\n\
<p>It defines the type of the values to be compared in the condition.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Percent</strong></p>\n\
<p>4 - <strong>Time</strong></p>\n\
<p>5 - <strong>World Unit</strong></p>\n\
<div class=\'section\'><a id=\"output-true-if-input-value\"></a><h2 id=\"output-true-if-input-value\">Output True If Input Value</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Condition_Type_Int     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the condition drop-down list when the Input Type value is of type Integer.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Is Less Than Value A</strong></p>\n\
<p>1 - <strong>Is Greater Than Value A</strong> (default)</p>\n\
<p>2 - <strong>Is Equal To Value A</strong></p>\n\
<p>3 - <strong>Is Not Equal To Value A</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Condition_Type_Real     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the condition drop-down list when the Input Type value is of type Real.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Is Less Than Value A</strong></p>\n\
<p>1 - <strong>Is Greater Than Value A</strong> (default)</p>\n\
<div class=\'section\'><a id=\"value-a\"></a><h3 id=\"value-a\">Value A</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Angle_A     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
&lt;Condition&gt;.Float_A     Float    default: 0.0   --  animatable; float\n\
&lt;Condition&gt;.Integer_A     Integer    default: 0   --  animatable; integer\n\
&lt;Condition&gt;.Percent_A     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
&lt;Condition&gt;.Time_A     Integer    default: 0   --  animatable; integer\n\
&lt;Condition&gt;.World_A     Float    default: 0.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the Value A depending on the type specified by the <span class=\'code\'>.Type</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Use_Input_As_A     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;R2&quot;</strong>, <strong>&quot;I2&quot;</strong> or <strong>&quot;T2&quot;</strong> checkbox which enables the use of the second Input socket, depending on the value of the <span class=\'code\'>.Type</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Use_Second_Condition     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the second condition&#39;s checkbox. The UI label <strong>&quot;And|Or Less|Greater Than Value B&quot;</strong> depends on the first condition and the value type.</p>\n\
<div class=\'section\'><a id=\"value-b\"></a><h3 id=\"value-b\">Value B</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Angle_B     Float    default: 90.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
&lt;Condition&gt;.Float_B     Float    default: 10.0   --  animatable; float\n\
&lt;Condition&gt;.Integer_B     Integer    default: 10   --  animatable; integer\n\
&lt;Condition&gt;.Percent_B     Float    default: 50.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
&lt;Condition&gt;.Time_B     Integer    default: 4800   --  animatable; integer\n\
&lt;Condition&gt;.World_B     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the Value B depending on the type specified by the <span class=\'code\'>.Type</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Use_Input_As_B     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;R3&quot;</strong>, <strong>&quot;I3&quot;</strong> or <strong>&quot;T3&quot;</strong> checkbox which enables the use of the second Input socket, depending on the value of the <span class=\'code\'>.Type</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Use_As_Acceleration     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Acceleration Value&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Speed Value</strong> or <strong>&quot;Use As Spin Rate&quot;</strong> checkbox, depending on <span class=\'code\'>.Type</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Units_Per_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Angle_As_Orientation     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Angle As Orientation&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"parameters-animation-sync-group-of-controls\"></a><h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Sync_Type     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Use_E4     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the first Input socket, representing the condition&#39;s value to test.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the second Input socket, representing the Value A to compare to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the third Input socket, representing the optional Value B to compare to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the fourth Input socket, representing the sub-operator&#39;s time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Condition&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter Input of the Condition sub-operator.</p>\n\
<div class=\'section\'><a id=\"condition-interfaces\"></a><h2 id=\"condition-interfaces\">Condition interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Condition Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";