var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DataViewGroup : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DataViewGroup : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dataviewgroup-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>DataViewGroup : ReferenceTarget {64995986,661d41f2} \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>DataViewGroup</strong> ReferenceTarget implements the group object in the Particle Data View.</p>\n\
<p>The grouping can be performed only through the Particle Data View&#39;s menu and is not accessible to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p>Note: At time of writing, none of these properties were accessible to MAXScript and would cause an error when attempting to get or set.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>DataViewGroup\n\
Data_View_Group\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Position_X : integer\n\
</pre></div><p>Get/set the X Position of the upper left corner of the Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Position_Y : integer\n\
</pre></div><p>Get/set the Y Position of the upper left corner of the Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Width : integer\n\
</pre></div><p>Get/set the Width of the Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Height : integer\n\
</pre></div><p>Get/set the Height of the Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Z_Order : integer\n\
</pre></div><p>Get/set the Z-Order value used to determine whether to draw the Group over other Groups and operators or behind them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Selected : boolean\n\
</pre></div><p>Get/set the Selected state of the Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Is_Flipped : boolean\n\
</pre></div><p>Get/set the Flipped state of the group.</p>\n\
<p>When set to True, the title bar of the group will be drawn at the bottom.</p>\n\
<p>Equivalent to checking/unchecking the Flip menu items in the right-click context menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Tighten : boolean\n\
</pre></div><p>Get/set the Tighten state of the group.</p>\n\
<p>When set to True, the group will be tighten around the grouped sub-operators.</p>\n\
<p>Equivalent to checking/unchecking the Tighten menu items in the right-click context menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Open : boolean\n\
</pre></div><p>Get/set the Open state of the Group.</p>\n\
<p>Equivalent to using the Open/Close menu items in the Group menu or in the right-click context menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.In_Group_Items : maxObject array\n\
</pre></div><p>Get/set the sub-operators included in the Group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.In_Group : boolean\n\
</pre></div><p>Contains True if the group is inside another group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Transparency : percent\n\
</pre></div><p>Get/set the transparency of the group as percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DataViewGroup&gt;.Bookmark : boolean\n\
&lt;DataViewGroup&gt;.Color : integer\n\
</pre></div><div class=\'section\'><a id=\"dataviewgroup-interfaces\"></a><h2 id=\"dataviewgroup-interfaces\">DataViewGroup interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the DataViewGroup Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";