var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Discretizator : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Discretizator : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"discretizator-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Discretizator - superclass: ReferenceTarget; super-superclass:MAXWrapper - 17:0 - classID: #(1137313561, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Discretizator</strong> Particle Data View sub-operator transforms continuous range of values in discrete set.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Discretizator...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Data Type&quot;</strong> drop-down list.</p>\n\
<p>It defines the type of the input data expected.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Percent</strong></p>\n\
<p>4 - <strong>Time</strong></p>\n\
<p>5 - <strong>World Unit</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Base_Angle     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the Base value when <span class=\'code\'>.Type</span> is set to 0 - <strong>Angle</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Base_Float     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the Base value when <span class=\'code\'>.Type</span> is set to 1 - <strong>Float</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Base_Integer     Integer    default: 0   --  animatable; integer; Base__Integer\n\
</pre></div><p>Get/set the Base value when <span class=\'code\'>.Type</span> is set to 2 - <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Base_Percent     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the Base value when <span class=\'code\'>.Type</span> is set to 3 - <strong>Percent</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Base_Time     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the Base value when <span class=\'code\'>.Type</span> is set to 4 - <strong>Time</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Base_World     Float    default: 0.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the Base value when <span class=\'code\'>.Type</span> is set to 5- <strong>World Unit</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Step_Angle     Float    default: 1.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the Step value when <span class=\'code\'>.Type</span> is set to 0 - <strong>Angle</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Step_Float     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Step value when <span class=\'code\'>.Type</span> is set to 1 - <strong>Float</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Step_Integer     Integer    default: 1   --  animatable; integer; Step__Integer\n\
</pre></div><p>Get/set the Step value when <span class=\'code\'>.Type</span> is set to 2 - <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Step_Percent     Float    default: 1.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the Step value when <span class=\'code\'>.Type</span> is set to 3 - <strong>Percent</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Step_Time     Integer    default: 160   --  animatable; integer\n\
</pre></div><p>Get/set the Step value when <span class=\'code\'>.Type</span> is set to 4 - <strong>Time</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Step_World     Float    default: 0.1   --  animatable; worldUnits\n\
</pre></div><p>Get/set the Step value when <span class=\'code\'>.Type</span> is set to 5- <strong>World Unit</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbox used when <span class=\'code\'>.Type</span> is set to 0 - <strong>Angle</strong> or 5 - <strong>World Unit</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Units_Per_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> checkbox used when <span class=\'code\'>.Use_As_Speed_Or_Spin_Rate</span> is set to True and <span class=\'code\'>.Type</span> is set to 0 - <strong>Angle</strong> or 5 - <strong>World Unit</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Input     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Input of the Convert sub-operator.</p>\n\
<p>Assigning a sub-operator with the expected output type to the <span class=\'code\'>.Input</span> property will effectively wire that sub-operator to the Input of the Convert sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Discretizator&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter Input of the Convert sub-operator.</p>\n\
<div class=\'section\'><a id=\"discretizator-interfaces\"></a><h2 id=\"discretizator-interfaces\">Discretizator interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Discretizator Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";