var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FunctionReferenceTarget : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FunctionReferenceTarget : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"functionreferencetarget-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>FunctionReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 44:0 - classID: #(1137313545, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>FunctionReferenceTarget</strong> Particle Data View sub-operator performs arithmetic or vector operations on particle data.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>FunctionReferenceTarget...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"first-operand-group-of-controls\"></a><h2 id=\"first-operand-group-of-controls\">First Operand group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.First_Operand_Type     Integer    default: 4   --  integer\n\
</pre></div><p>Get/set the selection of the First Operand&#39;s <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>4 - <strong>Vector</strong> (default)</p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Matrix</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Factor_For_First_Operand     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the floating point <strong>&quot;Pre-Factor&quot;</strong> spinner (R3) used to multiply the First Operand when it is of type <strong>Quaternion</strong>, <strong>Real</strong>, <strong>Time</strong> or <strong>Vector</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Integer_Factor_For_First_Operand     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>Get/set the value of the integer <strong>&quot;Pre-Factor&quot;</strong> spinner (I3) used to multiply the First Operand when it is of type <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Offset_For_First_Operand     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the First Operand&#39;s offset value when it is of type <strong>Real</strong> or <strong>Time</strong>. Not exposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Integer_Offset_For_First_Operand     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the First Operand&#39;s offset value when it is of type <strong>Integer</strong>. Not exposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Use_R_As_Factor_For_First_Operand     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;R3&quot;</strong> checkbutton.</p>\n\
<p>When set to True, the Pre-Factor will be taken from the sub-operator&#39;s output connected to the <strong><span class=\'code\'>.Input_3</span></strong> property.</p>\n\
<p>When set to False (default), the <strong><span class=\'code\'>.Factor_For_First_Operand</span></strong> or <span class=\'code\'>.Integer_Factor_For_First_Operand</span> value will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Use_Second_Operand     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Second Operand&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"second-operand-group-of-controls\"></a><h2 id=\"second-operand-group-of-controls\">Second Operand group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Factor_For_Second_Operand     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the floating point <strong>&quot;Pre-Factor&quot;</strong> spinner (R4) used to multiply the Second Operand when it is of type <strong>Quaternion</strong>, <strong>Real</strong>, <strong>Time</strong> or <strong>Vector</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Integer_Factor_For_Second_Operand     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>Get/set the value of the integer <strong>&quot;Pre-Factor&quot;</strong> spinner (I4) used to multiply the Second Operand when it is of type <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Second_Operand_Type_For_Integer_Real     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list used when the First Operand&#39;s type is <strong>Integer</strong> or <strong>Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Second_Operand_Type_For_Quaternion     Integer    default: 5   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list used when the First Operand&#39;s type is <strong>Quaternion</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>5 - <strong>Quaternion</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Second_Operand_Type_For_Vector     Integer    default: 4   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list used when the First Operand&#39;s type is Integer or <strong>Vector</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Real</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>4 - <strong>Vector</strong> (default)</p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Matrix</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Use_R_As_Factor_For_Second_Operand     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;R4&quot;</strong> checkbutton.</p>\n\
<p>When set to True, the Pre-Factor will be taken from the sub-operator&#39;s output connected to the <strong><span class=\'code\'>.Input_4</span></strong> property.</p>\n\
<p>When set to False (default), the <strong><span class=\'code\'>.Factor_For_Second_Operand</span> or <span class=\'code\'>.Integer_Factor_For_Second_Operand</span></strong> value will be used.</p>\n\
<div class=\'section\'><a id=\"function-drop-down-list\"></a><h2 id=\"function-drop-down-list\">Function drop-down list</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Boolean_And_Boolean     Integer    default: 3   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Boolean</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>3 - <strong>AND</strong> (default)</p>\n\
<p>41 - <strong>OR</strong></p>\n\
<p>57 - <strong>XOR / Exclusive OR</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Boolean_Single     Integer    default: 40   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Boolean</strong> type and the Second Operand is turned off.</p>\n\
<p>Possible values are:</p>\n\
<p>4 - <strong>AND / All Particles</strong></p>\n\
<p>23 - <strong>False Count / All Particles</strong></p>\n\
<p>40 - <strong>NOT</strong> (default)</p>\n\
<p>42 - <strong>OR / All Particles</strong></p>\n\
<p>54 - <strong>True Count / All Particles</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Integer_And_Real     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Integer</strong> type and the Second Operand is of <strong>Real</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>6 - <strong>Average (X+Y)/2</strong></p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>21 - <strong>Division Remainder X%Y</strong></p>\n\
<p>24 - <strong>Geometric Mean (X*Y)**1/2</strong></p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>30 - <strong>Logarithm log(X)base(Y)</strong></p>\n\
<p>31 - <strong>Maximum</strong></p>\n\
<p>33 - <strong>Minimum</strong></p>\n\
<p>35 - **Multiplication X*Y**</p>\n\
<p>43 - <strong>Power X</strong>Y**</p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Integer_Real_Single     Integer    default: 50   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Integer</strong> or <strong>Real</strong> type and the Second Operand is turned off.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>7 - <strong>Average / All Particles</strong></p>\n\
<p>8 - <strong>Binary Exponent 2**X</strong></p>\n\
<p>9 - <strong>Binary Logarithm log2(X)</strong></p>\n\
<p>12 - <strong>Cosine cos(X)</strong></p>\n\
<p>13 - <strong>Cotangent ctg(X)</strong></p>\n\
<p>14 - <strong>Cube X**3</strong></p>\n\
<p>15 - <strong>Cubic Root X**1/3</strong></p>\n\
<p>16 - <strong>Decimal Exponent 10**X</strong></p>\n\
<p>17 - <strong>Decimal Logarithm log10(X)</strong></p>\n\
<p>25 - <strong>Geometric Mean / All Particles</strong></p>\n\
<p>26 - <strong>Identity</strong></p>\n\
<p>28 - <strong>Inverse 1/X</strong></p>\n\
<p>32 - <strong>Maximum / All Particles</strong></p>\n\
<p>34 - <strong>Minimum / All Particles</strong></p>\n\
<p>36 - <strong>Natural Exponent e**X</strong></p>\n\
<p>37 - <strong>Natural Logarithm ln(X)</strong></p>\n\
<p>45 - <strong>Reverse ID Indexing</strong></p>\n\
<p>49 - <strong>Sine sin(X)</strong></p>\n\
<p>50 - **Square X*X** (default)</p>\n\
<p>51 - <strong>Square Root X**1/2</strong></p>\n\
<p>53 - <strong>Tangent tg(X)</strong></p>\n\
<p>58 - <strong>Sign</strong></p>\n\
<p>59 - <strong>Arcsin asin(X)</strong></p>\n\
<p>60 - <strong>Arccos acos(X)</strong></p>\n\
<p>61 - <strong>Sum / All Particles</strong></p>\n\
<p>62 - <strong>Arctangent atan(X)</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Matrix_And_Matrix     Integer    default: 11   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Matrix</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>11 - **Composition X*Y** (default)</p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Matrix_Single     Integer    default: 44   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Matrix</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>44 - <strong>Inverse</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_And_Integer_Time     Integer    default: 35   --  integer; Function_Type_For_Quaternion_And_Integer_Real\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Quaternion</strong> type and the Second Operand is of <strong>Time</strong> or <strong>Integer</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - **Multiplication X*Y** (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_And_Quaternion     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Quaternion</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_And_Real     Integer    default: 35   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Quaternion</strong> type and the Second Operand is of <strong>Real</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - **Multiplication X*Y** (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Quaternion_Single     Integer    default: 44   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Quaternion</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>44 - <strong>Reverse</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Time_And_Time     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Time</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Time_Single     Integer    default: 7   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Time</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>7 - <strong>Average / All Particles</strong> (default)</p>\n\
<p>26 - <strong>Identity</strong></p>\n\
<p>32 - <strong>Maximum / All Particles</strong></p>\n\
<p>34 - <strong>Minimum / All Particles</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Integer_Time     Integer    default: 35   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Time</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - **Multiplication X*Y** (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Matrix     Integer    default: 10   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Matrix</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>10 - <strong>Complete Transform</strong> (default)</p>\n\
<p>56 - <strong>Vector Transform</strong></p>\n\
<p>63 - <strong>Overwrite M2.X</strong></p>\n\
<p>64 - <strong>Overwrite M2.Y</strong></p>\n\
<p>65 - <strong>Overwrite M2.Z</strong></p>\n\
<p>66 - <strong>Overwrite M2.T</strong></p>\n\
<p>67 - <strong>Align M2.X to V1</strong></p>\n\
<p>68 - <strong>Align M2.Y to V1</strong></p>\n\
<p>69 - <strong>Align M2.Z to V1</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Quaternion     Integer    default: 46   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Quaternion</strong> type.</p>\n\
<p>The only possible value is:</p>\n\
<p>46 - <strong>Rotate By</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Real     Integer    default: 35   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is of <strong>Real</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>20 - <strong>Division X/Y</strong></p>\n\
<p>35 - **Multiplication X*Y** (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_And_Vector     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First and Second Operands are both of <strong>Vector</strong> type.</p>\n\
<p>Possible values are:</p>\n\
<p>2 - <strong>Addition X+Y</strong> (default)</p>\n\
<p>5 - <strong>Angle Between Vectors</strong></p>\n\
<p>6 - <strong>Average (X+Y)/2</strong></p>\n\
<p>18 - <strong>Deflection X:Speed Y:Normal</strong></p>\n\
<p>19 - <strong>Distance length(X-Y)</strong></p>\n\
<p>27 - <strong>Interpolation t*X+(1-t)*Y</strong></p>\n\
<p>38 - <strong>Orthogonalization</strong></p>\n\
<p>47 - <strong>Scalar Product</strong></p>\n\
<p>48 - <strong>Scale Product</strong></p>\n\
<p>52 - <strong>Subtraction X-Y</strong></p>\n\
<p>55 - <strong>Vector Product</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Function_Type_For_Vector_Single     Integer    default: 29   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Function&quot;</strong> drop-down list when the First Operand is of <strong>Vector</strong> type and the Second Operand is turned off.</p>\n\
<p>The only possible value is:</p>\n\
<p>7 - <strong>Average / All Particles</strong> (default)</p>\n\
<p>26 - <strong>Identity</strong></p>\n\
<p>39 - <strong>Normalize</strong></p>\n\
<p>58 - <strong>Sign</strong></p>\n\
<div class=\'section\'><a id=\"result-group-of-control\"></a><h2 id=\"result-group-of-control\">Result group of control</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Post_Factor     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the floating point <strong>&quot;Post-Factor&quot;</strong> spinner used to multiply the Result when it is of type <strong>Quaternion</strong>, <strong>Real</strong>, <strong>Time</strong> or <strong>Vector</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Integer_Post_Factor     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>Get/set the value of the floating point <strong>&quot;Post-Factor&quot;</strong> spinner used to multiply the Result when it is of type <strong>Integer</strong>.</p>\n\
<div class=\'section\'><a id=\"parameters-animation-sync-group-of-controls\"></a><h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Sync_Type     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Use_E5     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"restrict-by-group-id-controls\"></a><h2 id=\"restrict-by-group-id-controls\">Restrict By Group ID controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Restrict_By_Group_ID     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Restrict By Group ID&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Group_ID_Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Group ID Data Channel object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Group_ID_Data_Handle     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the Group ID Data Handle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the first Input socket, representing the First Operand.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the second Input socket, representing the Second Operand.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the third Input socket, representing the Pre-Factor used when <span class=\'code\'>.Use_R_As_Factor_For_First_Operand</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the fourth Input socket, representing the Post-Factor used when <span class=\'code\'>.Use_R_As_Factor_For_Second_Operand</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the fifth Input socket, representing the Sync Time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FunctionReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter Input of the Function sub-operator.</p>\n\
<div class=\'section\'><a id=\"functionreferencetarget-interfaces\"></a><h2 id=\"functionreferencetarget-interfaces\">FunctionReferenceTarget interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the FunctionReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";