var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Input_Proxy : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Input_Proxy : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"input_proxy-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Input_Proxy - superclass: ReferenceTarget; super-superclass:MAXWrapper - 27:0 - classID: #(1137313539, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Input_Proxy</strong> Particle Data View sub-operator copies regular particle properties from proxy particle systems.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Input_Proxy...\n\
InputProxy...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"proxy-system-indexing-group-of-controls\"></a><h2 id=\"proxy-system-indexing-group-of-controls\">Proxy System Indexing group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Use_I2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use I2 As Particle IDs&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.I3_Usage     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Proxy System Indexing radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Single Proxy System</strong> (default)</p>\n\
<p>1 - <strong>Use I3 As System Index</strong></p>\n\
<p>2 - <strong>Use I3 As Compound Index</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Data_Type     Integer    default: 2   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Data Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>ID</strong></p>\n\
<p>1 - <strong>Time</strong></p>\n\
<p>2 - <strong>Position</strong> (default)</p>\n\
<p>3 - <strong>Speed</strong></p>\n\
<p>4 - <strong>Rotation</strong></p>\n\
<p>5 - <strong>Spin</strong></p>\n\
<p>6 - <strong>Scale</strong></p>\n\
<p>7 - <strong>Size</strong></p>\n\
<p>8 - <strong>Shape</strong></p>\n\
<p>9 - <strong>Script</strong></p>\n\
<p>10 - <strong>TM</strong></p>\n\
<p>11 - <strong>Material Index</strong></p>\n\
<p>12 - <strong>Mapping</strong></p>\n\
<p>13 - <strong>Vertex Color Channel</strong></p>\n\
<p>14 - <strong>Selected By Particle System</strong></p>\n\
<p>15 - <strong>Selected By Group</strong></p>\n\
<p>16 - <strong>Accel</strong></p>\n\
<p>17 - <strong>Mass</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Acceleration_Type     Integer    default: 7   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Accel&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1 - unused</p>\n\
<p>2 - unused</p>\n\
<p>3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - <strong>Magnitude</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.ParticleID_Type     Integer    default: 0   --  integer; Particle_ID_Type\n\
</pre></div><p>Get/set the selection of the <strong>&quot;ID&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Birth Index</strong> (default)</p>\n\
<p>1 - <strong>Uniform Index</strong></p>\n\
<p>2 - <strong>Event Index</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Mapping_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Mapping&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong> (default)</p>\n\
<p>1 - <strong>U Component</strong></p>\n\
<p>2 - <strong>V Component</strong></p>\n\
<p>3 - <strong>W Component</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Map_Channel     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Channel #&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Use_E4     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Position_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Position&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong> (default)</p>\n\
<p>1 - <strong>X Component</strong></p>\n\
<p>2 - <strong>Y Component</strong></p>\n\
<p>3 - <strong>Z Component</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Rotation_Type     Integer    default: 13   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Rotation&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0-10 - unused</p>\n\
<p>11 - <strong>Axis</strong></p>\n\
<p>12 - <strong>Angle</strong></p>\n\
<p>13 - <strong>Euler Angles</strong> (default)</p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Scale_Type     Integer    default: 8   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Scale&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>2-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - unused</p>\n\
<p>8 - <strong>Average</strong> (default)</p>\n\
<p>9 - <strong>Maximum</strong></p>\n\
<p>10 - <strong>Minimum</strong></p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Script_Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Script&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Integer</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Vector</strong></p>\n\
<p>3 - <strong>Vector X</strong></p>\n\
<p>4 - <strong>Vector Y</strong></p>\n\
<p>5 - <strong>Vector Z</strong></p>\n\
<p>6 - <strong>Matrix</strong></p>\n\
<p>7 - <strong>Matrix X</strong></p>\n\
<p>8 - <strong>Matrix Y</strong></p>\n\
<p>9 - <strong>Matrix Z</strong></p>\n\
<p>10 - <strong>Matrix T</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Group_Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list in the <strong>&quot;Group Selection Operator&quot;</strong> group of controls.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre-Step Status</strong></p>\n\
<p>1 - <strong>Post-Step Status</strong> (default)</p>\n\
<p>2 - <strong>Switch Time</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Group_Selection_Operator     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the Group Selection Operator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Shape_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Shape&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong># Vertices</strong> (default)</p>\n\
<p>1 - <strong># Faces</strong></p>\n\
<p>2 - <strong>Surface</strong></p>\n\
<p>3 - <strong>Extent</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Adjusted_By_Scale     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Adjusted By Scale&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Size_Type     Integer    default: 9   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Size&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - unused</p>\n\
<p>8 - <strong>Average</strong></p>\n\
<p>9 - <strong>Maximum</strong> (default)</p>\n\
<p>10 - <strong>Minimum</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Speed_Type     Integer    default: 7   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Speed&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - <strong>Magnitude</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Spin_Type     Integer    default: 15   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Spin&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0-10 - unused</p>\n\
<p>11 - <strong>Axis</strong></p>\n\
<p>12,13 - unused</p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<p>15 - <strong>Rate</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Time_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Time&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>1 - <strong>Of Birth</strong></p>\n\
<p>2 - <strong>Particle Age</strong> (default)</p>\n\
<p>3 - <strong>Of Death</strong></p>\n\
<p>4 - <strong>Lifespan</strong></p>\n\
<p>5 - <strong>In Event</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.TM_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;TM&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Matrix</strong> (default)</p>\n\
<p>1 - <strong>Matrix X</strong></p>\n\
<p>2 - <strong>Matrix Y</strong></p>\n\
<p>3 - <strong>Matrix Z</strong></p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Input_Proxy&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Input_Proxy&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Input_Proxy&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Input_Proxy&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the Input_Proxy sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Input_Proxy&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the Input_Proxy sub-operator.</p>\n\
<div class=\'section\'><a id=\"input_proxy-interfaces\"></a><h2 id=\"input_proxy-interfaces\">Input_Proxy interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Input_Proxy Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";