var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>OutputStandard : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>OutputStandard : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"outputstandard-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>OutputStandard - superclass: ReferenceTarget; super-superclass:MAXWrapper - 23:0 - classID: #(1137313540, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>OutputStandard</strong> Particle Data View sub-operator transfers calculated data into regular particle properties.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>OutputStandard...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Data_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Data Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Time</strong></p>\n\
<p>1 - <strong>Position</strong> (default)</p>\n\
<p>2 - <strong>Speed</strong></p>\n\
<p>3 - <strong>Rotation</strong></p>\n\
<p>4 - <strong>Spin</strong></p>\n\
<p>5 - <strong>Scale</strong></p>\n\
<p>6 - <strong>Script</strong></p>\n\
<p>7 - <strong>TM</strong></p>\n\
<p>8 - <strong>Material Index</strong></p>\n\
<p>9 - <strong>Mapping</strong></p>\n\
<p>10 - <strong>Vertex Color Channel</strong></p>\n\
<p>11 - <strong>Selected By Particle System</strong></p>\n\
<p>12 - <strong>Selected By Group</strong></p>\n\
<p>13 - <strong>Accel</strong></p>\n\
<p>14 - <strong>Mass</strong></p>\n\
<p>15 - <strong>Visibility</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Acceleration_Type     Integer    default: 7   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Accel&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1 - unused</p>\n\
<p>2 - unused</p>\n\
<p>3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - <strong>Magnitude</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Mapping_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Mapping&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong> (default)</p>\n\
<p>1 - <strong>U Component</strong></p>\n\
<p>2 - <strong>V Component</strong></p>\n\
<p>3 - <strong>W Component</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Map_Channel     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Channel #&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Use_E2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E2&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Position_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Position&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong> (default)</p>\n\
<p>1 - <strong>X Component</strong></p>\n\
<p>2 - <strong>Y Component</strong></p>\n\
<p>3 - <strong>Z Component</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Rotation_Type     Integer    default: 13   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Rotation&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0-10 - unused</p>\n\
<p>11 - <strong>Axis</strong></p>\n\
<p>12 - <strong>Angle</strong></p>\n\
<p>13 - <strong>Euler Angles</strong> (default)</p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Scale_Type     Integer    default: 8   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Scale&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>2-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - unused</p>\n\
<p>8 - <strong>Average</strong> (default)</p>\n\
<p>9 - <strong>Maximum</strong></p>\n\
<p>10 - <strong>Minimum</strong></p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Script_Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Script&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Integer</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Vector</strong></p>\n\
<p>3 - <strong>Vector X</strong></p>\n\
<p>4 - <strong>Vector Y</strong></p>\n\
<p>5 - <strong>Vector Z</strong></p>\n\
<p>6 - <strong>Matrix</strong></p>\n\
<p>7 - <strong>Matrix X</strong></p>\n\
<p>8 - <strong>Matrix Y</strong></p>\n\
<p>9 - <strong>Matrix Z</strong></p>\n\
<p>10 - <strong>Matrix T</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Use_T2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use T2 As Select Timing&quot;</strong> checkbox used when <span class=\'code\'>.Data_Type</span> is set to 12 - <strong>Select By Group</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Speed_Type     Integer    default: 7   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Speed&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector</strong></p>\n\
<p>1-3 - unused</p>\n\
<p>4 - <strong>X Component</strong></p>\n\
<p>5 - <strong>Y Component</strong></p>\n\
<p>6 - <strong>Z Component</strong></p>\n\
<p>7 - <strong>Magnitude</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Spin_Type     Integer    default: 15   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Spin&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0-10 - unused</p>\n\
<p>11 - <strong>Axis</strong></p>\n\
<p>12,13 - unused</p>\n\
<p>14 - <strong>Quaternion</strong></p>\n\
<p>15 - <strong>Rate</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Time_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Time&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>1 - <strong>Of Birth</strong></p>\n\
<p>2 - <strong>Particle Age</strong> (default)</p>\n\
<p>3 - <strong>Of Death</strong></p>\n\
<p>4 - <strong>Lifespan</strong></p>\n\
<p>5 - <strong>In Event</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.TM_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;TM&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Matrix</strong> (default)</p>\n\
<p>1 - <strong>Matrix X</strong></p>\n\
<p>2 - <strong>Matrix Y</strong></p>\n\
<p>3 - <strong>Matrix Z</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Visibility_Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Visibility&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>By Operator</strong></p>\n\
<p>1 - <strong>Render</strong> (default)</p>\n\
<p>2 - <strong>Viewport</strong></p>\n\
<p>3 - <strong>Viewport/Render</strong></p>\n\
<div class=\'section\'><a id=\"viewportrender-operator-group-of-controls\"></a><h2 id=\"viewportrender-operator-group-of-controls\">Viewport/Render Operator group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Viewport_Render_Operator     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the Viewport/Render operator object used when the <span class=\'code\'>.Visibility_Type</span> is set to 0 - <strong>By Operator</strong>.</p>\n\
<div class=\'section\'><a id=\"priority-and-execution-order-group-of-controls\"></a><h2 id=\"priority-and-execution-order-group-of-controls\">Priority And Execution Order group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Priority And Execution Order radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.History_Dependent     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Execution_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Priority_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;OutputStandard&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the OutputStandard sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OutputStandard&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the OutputStandard sub-operator.</p>\n\
<div class=\'section\'><a id=\"outputstandard-interfaces\"></a><h2 id=\"outputstandard-interfaces\">OutputStandard interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the OutputStandard Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";