var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Output_mParticles : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Output_mParticles : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"output_mparticles-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Output_mParticles - superclass: ReferenceTarget; super-superclass:MAXWrapper - 9:0 - classID: #(1137313794, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Output_mParticles</strong> Particle Data View sub-operator transfers calculated data into simulation related particle properties.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Output_mParticles...\n\
OutputPhysX...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Data_Type     Integer    default: 3   --  radiobtnIndex; IDC_DATATYPE\n\
</pre></div><p>Get/set the state of the Data Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Apply Anti-Gravity</strong></p>\n\
<p>1 - <strong>Mass</strong></p>\n\
<p>2 - <strong>Match</strong></p>\n\
<p>3 - <strong>Turn Off Simulation</strong> (default)</p>\n\
<p>4 - <strong>Interpenetration Tolerance</strong></p>\n\
<p>5 - <strong>Normal</strong></p>\n\
<p>6 - <strong>Threshold Type Is Energy</strong></p>\n\
<p>7 - <strong>Threshold</strong></p>\n\
<p>8 - <strong>Test Immunity</strong></p>\n\
<p>9 - <strong>Force</strong></p>\n\
<p>10 - <strong>Force Influence</strong></p>\n\
<p>11 - <strong>Torque</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Match_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Match&quot;</strong> drop-down list used when <span class=\'code\'>.Data_Type</span> is set to 2 - <strong>Match</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Position</strong></p>\n\
<p>1 - <strong>Rotation</strong></p>\n\
<p>2 - <strong>Speed</strong> (default)</p>\n\
<p>3 - <strong>Spin</strong></p>\n\
<p>4 - <strong>Speed Limit</strong></p>\n\
<p>5 - <strong>Spin Limit</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Threshold_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Threshold&quot;</strong> drop-down list used when <span class=\'code\'>.Data_Type</span> is set to 7 - <strong>Threshold</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Energy</strong> (default)</p>\n\
<p>1 - <strong>Speed</strong></p>\n\
<p>2 - <strong>Spin Rate</strong></p>\n\
<div class=\'section\'><a id=\"priority-and-execution-order-group-of-controls\"></a><h2 id=\"priority-and-execution-order-group-of-controls\">Priority And Execution Order group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the proceed radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.History_Dependent     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Execution_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Priority_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Input     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Input connection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Output_mParticles&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Filter connection.</p>\n\
<div class=\'section\'><a id=\"output_mparticles-interfaces\"></a><h2 id=\"output_mparticles-interfaces\">Output_mParticles interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Output_mParticles Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";