var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Parameter : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Parameter : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"parameter-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Parameter - superclass: ReferenceTarget; super-superclass:MAXWrapper - 21:0 - classID: #(1137313557, 554188032) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Parameter</strong> Particle Data View sub-operator defines exposable values for sub-operators.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>parameter... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Type Integer default: 3 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Integer</strong></p>\n\
<p>1 - <strong>Float</strong></p>\n\
<p>2 - <strong>Time</strong></p>\n\
<p>3 - <strong>World Unit</strong> (default)</p>\n\
<p>4 - <strong>Percent</strong></p>\n\
<p>5 - <strong>Angle</strong></p>\n\
<p>6 - <strong>Animation Sync</strong></p>\n\
<p>7 - <strong>Uniqueness Seed</strong></p>\n\
<div class=\'section\'><a id=\"value-controls\"></a><h2 id=\"value-controls\">Value controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Integer_Value Integer default: 1 -- animatable; integer \n\
</pre></div><p>Get/set the Integer Value used only when <span class=\'code\'>.Type</span> is set to 0 - <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Float_Value Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/set the Float Value used only when <span class=\'code\'>.Type</span> is set to 1- <strong>Float</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Time_Value Integer default: 4800 -- animatable; integer \n\
</pre></div><p>Get/set the Time Value in Ticks used only when <span class=\'code\'>.Type</span> is set to 2- <strong>Time</strong>.</p>\n\
<p>Note that the UI displays the value in Frames, but MAXScript expects it in Ticks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.World_Value Float default: 1.0 -- animatable; worldUnits \n\
</pre></div><p>Get/set the World Units Value used only when <span class=\'code\'>.Type</span> is set to 3 - <strong>World Units</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Percent_Value Float default: 100.0 -- animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the Percent Value used only when <span class=\'code\'>.Type</span> is set to 4 - <strong>Percent</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Angle_Value Float default: 90.0 -- animatable; angle; Controller Scaling: (1 : 57.2958) \n\
</pre></div><p>Get/set the Angle Value in degrees used only when <span class=\'code\'>.Type</span> is set to 5 - <strong>Angle</strong>.</p>\n\
<div class=\'section\'><a id=\"parameters-animation\"></a><h2 id=\"parameters-animation\">Parameters Animation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Sync_Type Integer default: 0 -- animatable; integer \n\
</pre></div><p>Get/set the <strong>&quot;Sync By&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 6 - <strong>Animation Sync</strong>.</p>\n\
<div class=\'section\'><a id=\"uniqueness-group-of-controls-optional\"></a><h2 id=\"uniqueness-group-of-controls-optional\">Uniqueness group of controls (optional)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Random_Seed Integer default: 11812 -- animatable; integer \n\
</pre></div><p>Get/set the <strong>&quot;Seed&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 7 - <strong>Uniqueness Seed</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Use_As_Modifier BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Parameter Modifier&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Modifier_Type Integer default: 0 -- radiobtnIndex \n\
</pre></div><p>Get/set the state of the Modifier Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Offset By</strong> (default)</p>\n\
<p>1 - <strong>Multiply By</strong></p>\n\
<div class=\'section\'><a id=\"offset-by-controls\"></a><h2 id=\"offset-by-controls\">Offset By controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Integer_Offset Integer default: 1 -- integer \n\
</pre></div><p>Get/set the Integer <strong>&quot;Offset By&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 0 - <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Float_Offset Float default: 1.0 -- float \n\
</pre></div><p>Get/set the Float <strong>&quot;Offset By&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 1 - <strong>Float</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Time_Offset Integer default: 4800 -- integer \n\
</pre></div><p>Get/set the Time <strong>&quot;Offset By&quot;</strong> value in Ticks used only when <span class=\'code\'>.Type</span> is set to 2 - <strong>Time</strong>.</p>\n\
<p>Note that the UI displays the value in Frames, but MAXScript expects it in Ticks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.World_Unit_Offset Float default: 1.0 -- worldUnits \n\
</pre></div><p>Get/set the World Units <strong>&quot;Offset By&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 3 - <strong>World Units</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Percent_Offset Float default: 25.0 -- percent \n\
</pre></div><p>Get/set the Percent <strong>&quot;Offset By&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 4 - <strong>Percent</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Angle_Offset Float default: 10.0 -- angle \n\
</pre></div><p>Get/set the Angle <strong>&quot;Offset By&quot;</strong> value in degrees used only when <span class=\'code\'>.Type</span> is set to 5- <strong>Angle</strong>.</p>\n\
<div class=\'section\'><a id=\"multiply-by-controls\"></a><h2 id=\"multiply-by-controls\">Multiply By controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Integer_Factor Integer default: 2 -- integer \n\
</pre></div><p>Get/set the Integer <strong>&quot;Multiply By&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 0 - <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Real_Factor Float default: 2.0 -- float \n\
</pre></div><p>Get/set the Float <strong>&quot;Multiply By&quot;</strong> value used only when <span class=\'code\'>.Type</span> is set to 1 - <strong>Float</strong>.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input And Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Input_1 UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the Input 1 connection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;parameter&gt;.Filter UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the Filter connection.</p>\n\
<div class=\'section\'><a id=\"parameter-interfaces\"></a><h2 id=\"parameter-interfaces\">parameter interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the parameter Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";