var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particles : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particles : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particles-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Particles - superclass: ReferenceTarget; super-superclass:MAXWrapper - 27:0 - classID: #(1137313558, 554188032) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Particles</strong> Particle Data View sub-operator calculates aggregated properties in relation to other particles.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Particles... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"aggregated-property-group-of-controls\"></a><h2 id=\"aggregated-property-group-of-controls\">Aggregated Property group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Type Integer default: 0 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Aggregated Property&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Closest Particle Distance</strong> (default)</p>\n\
<p>1 - <strong>Closest Particle Index</strong></p>\n\
<p>2 - <strong>Closest Particle Position</strong></p>\n\
<p>3 - <strong>Number Of Neighbors</strong></p>\n\
<p>4 - <strong>Density</strong></p>\n\
<p>5 - <strong>Density Gradient</strong></p>\n\
<p>6 - <strong>Prevalent Speed</strong></p>\n\
<p>7 - <strong>Prevalent Custom Data</strong></p>\n\
<p>8 - <strong>Number Of Particles</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_Proxy_Particles BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Use O1 As Proxy Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Apply_Double_Filtering BooleanClass default: true -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Apply Double Filtering&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_Proxy_Filter BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Filter For Proxies&quot;</strong> checkbox used when <span class=\'code\'>.Use_Proxy_Particles</span> is set to True.</p>\n\
<div class=\'section\'><a id=\"filter-data-channel-control\"></a><h3 id=\"filter-data-channel-control\">Filter Data Channel control</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Filter_Data_Channel UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the Filter Data Channel object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Filter_Data_Handle Integer default: 0 -- integer \n\
</pre></div><p>Get/ set the Filter Data Handle value.</p>\n\
<div class=\'section\'><a id=\"vicinity-radii-and-fov\"></a><h2 id=\"vicinity-radii-and-fov\">Vicinity Radii And FOV</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Outer_Radius Float default: 10.0 -- animatable; worldUnits \n\
</pre></div><p>Get/set the value of the <strong>&quot;Outer&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_R2 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;R2&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_Core_Radius BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Core&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Core_Radius Float default: 0.0 -- animatable; worldUnits \n\
</pre></div><p>Get/set the value of the <strong>&quot;Core&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_R3 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;R3&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Field_Of_Vision Float default: 360.0 -- animatable; angle; Controller Scaling: (1 : 57.2958) \n\
</pre></div><p>Get/set the value of the <strong>&quot;Field Of View&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_R4 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;R4&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.FOV_Direction_Type Integer default: 0 -- radiobtnIndex \n\
</pre></div><p>Get/set the state of the Field Of View Direction Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use SPeed As FOV Axis</strong> (default)</p>\n\
<p>1 - <strong>Use V5 As FOV Axis</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_V6 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Use V6 As Possible&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Use_Custom_Particle_Weight BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Custom Particle Weight&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"weight-data-channel-group-of-controls\"></a><h2 id=\"weight-data-channel-group-of-controls\">Weight Data Channel group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Weight_Data_Channel UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the Weight Data Channel object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Weight_Data_Handle Integer default: 0 -- integer \n\
</pre></div><p>Get/set the Weight Data Handle value.</p>\n\
<div class=\'section\'><a id=\"data-channel-for-prevalent-group-of-controls\"></a><h2 id=\"data-channel-for-prevalent-group-of-controls\">Data Channel For Prevalent group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Prevalent_Data_Channel UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the Prevalent Data Channel object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Prevalent_Data_Handle Integer default: 0 -- integer \n\
</pre></div><p>Get/set the Prevalent Data Handle value.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Input_1 UndefinedClass default: undefined -- maxObject \n\
&lt;Particles&gt;.Input_2 UndefinedClass default: undefined -- maxObject \n\
&lt;Particles&gt;.Input_3 UndefinedClass default: undefined -- maxObject \n\
&lt;Particles&gt;.Input_4 UndefinedClass default: undefined -- maxObject \n\
&lt;Particles&gt;.Input_5 UndefinedClass default: undefined -- maxObject \n\
&lt;Particles&gt;.Input_6 UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the Particles sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particles&gt;.Filter UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the Particles sub-operator.</p>\n\
<p>Note: The UI controls <strong>&quot;Approx. Closest Search&quot;</strong> and <strong>&quot;Search Optimizations&quot;</strong> are currently not accessible via MAXScript.</p>\n\
<div class=\'section\'><a id=\"particles-interfaces\"></a><h2 id=\"particles-interfaces\">Particles interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Particles Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";