var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PipeReferenceTarget : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PipeReferenceTarget : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pipereferencetarget-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>PipeReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 22:0 - classID: #(1137313559, 554188032) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>PipeReferenceTarget</strong> Particle Data View sub-operator combines data from different streams according to conditions and data in a valve stream.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>PipeReferenceTarget... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Data_Type Integer default: 6 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Data Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Complex</strong></p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Matrix</strong></p>\n\
<p>4 - <strong>Pair</strong></p>\n\
<p>5 - <strong>Quaternion</strong></p>\n\
<p>6 - <strong>Real</strong> (default)</p>\n\
<p>7 - <strong>Time</strong></p>\n\
<p>8 - <strong>Vector</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Valve_Type Integer default: 1 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Valve Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Boolean</strong></p>\n\
<p>2 - <strong>Float</strong></p>\n\
<p>3 - <strong>Integer</strong></p>\n\
<p>4 - <strong>Percent</strong></p>\n\
<p>5 - <strong>Time</strong></p>\n\
<p>6 - <strong>World Unit</strong></p>\n\
<p>7 - <strong>Vector</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Vector_Valve_Type Integer default: 0 -- integer \n\
</pre></div><p>Get/set the selection of the Valve &gt; Vector Use drop-down list used when <span class=\'code\'>Valve_Type</span> is 7 - <strong>Vector</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Maximal Component</strong></p>\n\
<p>1 - <strong>Max Absolute Component</strong></p>\n\
<p>2 - <strong>Minimal Component</strong></p>\n\
<p>3 - <strong>Min Absolute Component</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Integer_Valve_Type Integer default: 0 -- integer \n\
</pre></div><p>Get/set the selection of the Valve &gt; Integer Use drop-down list used when <span class=\'code\'>Valve_Type</span> is 3 - <strong>Integer</strong></p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Interval</strong> (default)</p>\n\
<p>1 - <strong>Exact Match</strong></p>\n\
<div class=\'section\'><a id=\"pipe-conditions-group-of-controls\"></a><h2 id=\"pipe-conditions-group-of-controls\">Pipe Conditions group of controls</h2></div>\n\
<p>Setting this property to empty array #() is equivalent to pressing the <strong>&quot;Remove All&quot;</strong> button in the sub-operator&#39;s UI.</p>\n\
<p>Appending to this array is equivalent to specifying a value in the UI and pressing the <strong>&quot;Add&quot;</strong> button.</p>\n\
<p>Setting this parameter will not update the &quot;Pipe Condition&quot; listbox if the UI is displayed. Setting the <span class=\'code\'>.Data_Type</span> to itself can be used as a workaround to refresh the UI display.</p>\n\
<p>The whole array can be set at once, e.g setting <span class=\'code\'>.Angle_Conditions=#(0.0, 1.0, 3.0)</span> will result in the Pipe Condition <strong>&quot;R2 if R1 &lt;= 0; R3 if R1 &lt;= 1; R4 if R1 &lt;= 3; R5 if R1 &gt; 3&quot;</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Angle_Conditions ArrayParameter default: #() -- angle array \n\
&lt;PipeReferenceTarget&gt;.Float_Conditions ArrayParameter default: #() -- float array \n\
&lt;PipeReferenceTarget&gt;.Integer_Conditions ArrayParameter default: #() -- int array \n\
&lt;PipeReferenceTarget&gt;.Percent_Conditions ArrayParameter default: #() -- percent array \n\
&lt;PipeReferenceTarget&gt;.Time_Conditions ArrayParameter default: #() -- time array \n\
&lt;PipeReferenceTarget&gt;.World_Unit_Conditions ArrayParameter default: #() -- worldUnits array \n\
</pre></div><p>Get/set the array of Condition values for the respective Data Type setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Condition_Is_Rate BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;Condition Is Speed Value&quot;</strong> / <strong>&quot;Condition Is Spin Rate&quot;</strong> used when <span class=\'code\'>.Data_Type</span> is set to 6 - <strong>Real</strong> and <span class=\'code\'>.Valve_Type</span> is either 6 - <strong>World Units</strong> or 0 - <strong>Angle</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Units_Per_Type Integer default: 1 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Frame</strong></p>\n\
<p>1 - <strong>Second</strong> (default)</p>\n\
<p>2 - <strong>Tick</strong></p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Input_Valve UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the sub-operator object connected to the Valve input socket.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Input_1 UndefinedClass default: undefined -- maxObject \n\
&lt;PipeReferenceTarget&gt;.Input_2 UndefinedClass default: undefined -- maxObject \n\
&lt;PipeReferenceTarget&gt;.Input_3 UndefinedClass default: undefined -- maxObject \n\
&lt;PipeReferenceTarget&gt;.Input_4 UndefinedClass default: undefined -- maxObject \n\
&lt;PipeReferenceTarget&gt;.Input_5 UndefinedClass default: undefined -- maxObject \n\
&lt;PipeReferenceTarget&gt;.Input_6 UndefinedClass default: undefined -- maxObject \n\
&lt;PipeReferenceTarget&gt;.Input_7 UndefinedClass default: undefined -- maxObject \n\
&lt;PipeReferenceTarget&gt;.Input_8 UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the PipeReferenceTarget sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PipeReferenceTarget&gt;.Filter UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the PipeReferenceTarget sub-operator.</p>\n\
<div class=\'section\'><a id=\"pipereferencetarget-interfaces\"></a><h2 id=\"pipereferencetarget-interfaces\">PipeReferenceTarget interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the PipeReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";