var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scalar : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scalar : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scalar-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Scalar - superclass: ReferenceTarget; super-superclass:MAXWrapper - 30:0 - classID: #(1137313546, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Scalar</strong> Particle Data View sub-operator generates data of a scalar type: integer, real, time and boolean.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Scalar...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Output_Type     Integer    default: 4   --  integer\n\
</pre></div><p>Possible values are:</p>\n\
<p>0 - <strong>Boolean</strong></p>\n\
<p>1 - <strong>Integer</strong></p>\n\
<p>2 - <strong>Float</strong></p>\n\
<p>3 - <strong>Time</strong></p>\n\
<p>4 - <strong>World Unit</strong> (default)</p>\n\
<p>5 - <strong>Percent</strong></p>\n\
<p>6 - <strong>Angle</strong></p>\n\
<div class=\'section\'><a id=\"value-control\"></a><h2 id=\"value-control\">Value control</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Angle_Value     Float    default: 90.0   --  animatable; angle; Controller Scaling: (1 : 57.2958); WeirdScaled (1.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 6 - <strong>Angle</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Boolean_Value     Integer    default: 1   --  animatable; radiobtnIndex\n\
</pre></div><p>Get/set the state of the radio buttons used when <span class=\'code\'>.Output_Type</span> is set to 0 - <strong>Boolean</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Float_Value     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 2 - <strong>Float</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Integer_Value     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 1- <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Percent_Value     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0); WeirdScaled (1.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 5 - <strong>Percent</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Time_Value     Integer    default: 4800   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 3- <strong>Time</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.World_Value     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Value&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 4- <strong>World Unit</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_E1     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E1&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"variation-control\"></a><h2 id=\"variation-control\">Variation control</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Angle_Variation     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958); WeirdScaled (1.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 6 - <strong>Angle</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Float_Variation     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 2 - <strong>Float</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Integer_Variation     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 1- <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Percent_Variation     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0); WeirdScaled (1.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 5 - <strong>Percent</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Time_Variation     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 3- <strong>Time</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.World_Variation     Float    default: 0.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner used when <span class=\'code\'>.Output_Type</span> is set to 4- <strong>World Unit</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_E2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E2&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_As_Acceleration     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Acceleration Value&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_As_Speed_Or_Spin_Rate     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Units_Per_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<div class=\'section\'><a id=\"use-for-time-related-group-of-controls\"></a><h2 id=\"use-for-time-related-group-of-controls\">Use For Time Related group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_For_Time_Related_Addition     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Addition&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_For_Time_Related_Multiplication     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Multiplication&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"parameters-animation-sync-group-of-controls\"></a><h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Sync_Type     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the selection of the &quot;Parameters Animation Sync&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_E3     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E3&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"uniqueness-group-of-controls\"></a><h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Random_Seed     Integer    default: 68940   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Use_E4     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Scalar&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Scalar&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Scalar&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the Scalar sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scalar&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the Scalar sub-operator.</p>\n\
<div class=\'section\'><a id=\"scalar-interfaces\"></a><h2 id=\"scalar-interfaces\">Scalar interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Scalar Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";