var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ShapeControl : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ShapeControl : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shapecontrol-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>ShapeControl - superclass: ReferenceTarget; super-superclass:MAXWrapper - 18:0 - classID: #(1137313560, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>ShapeControl</strong> Particle Data View sub-operator defines particle shape that is based on a reference geometry object. The sub-operator controls parameters and animation of the reference geometry.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>ShapeControl...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Particle_Geometry_Object     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the Particle Geometry Object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Animated_Shape     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Animated Shape&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Acquire_Mapping     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Acquire Mapping&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Discrete_Optimization     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Discrete Optimization&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"priority-and-execution-order\"></a><h2 id=\"priority-and-execution-order\">Priority And Execution Order</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Proceed_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Priority And Execution Order radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong></p>\n\
<p>1 - <strong>Normal</strong> (default)</p>\n\
<p>2 - <strong>Post</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.History_Dependent     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;History-Dependent&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Execution_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Execution Order&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Priority_Order     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Priority Order&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Input_Time     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Time input of the ShapeControl sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;ShapeControl&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;ShapeControl&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;ShapeControl&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
&lt;ShapeControl&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject\n\
&lt;ShapeControl&gt;.Input_6     UndefinedClass    default: undefined   --  maxObject\n\
&lt;ShapeControl&gt;.Input_7     UndefinedClass    default: undefined   --  maxObject\n\
&lt;ShapeControl&gt;.Input_8     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the ShapeControl sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeControl&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the ShapeControl sub-operator.</p>\n\
<div class=\'section\'><a id=\"shapecontrol-interfaces\"></a><h2 id=\"shapecontrol-interfaces\">ShapeControl interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the ShapeControl Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";