var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Vector : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Vector : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"vector-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Vector - superclass: ReferenceTarget; super-superclass:MAXWrapper - 44:0 - classID: #(1137313548,554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Vector</strong> Particle Data View sub-operator generates data of vector type.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Vector...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Type     Integer    default: 1   --  integer\n\
</pre></div><p>Possible values are:</p>\n\
<p>0 - <strong>Float Triplet</strong></p>\n\
<p>1 - <strong>Cartesian Coordinates</strong> (default)</p>\n\
<p>2 - <strong>Spherical Polar Coords</strong></p>\n\
<p>3 - <strong>Cylindrical Polar Coords</strong></p>\n\
<p>4 - <strong>Percent Triplet</strong></p>\n\
<p>5 - <strong>Euler Triplet</strong></p>\n\
<p>6 - <strong>Roll, Pitch, and Yaw</strong></p>\n\
<div class=\'section\'><a id=\"float-triplet-controls\"></a><h2 id=\"float-triplet-controls\">Float Triplet controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Float_X     Float    default: 1.0   --  animatable; float\n\
&lt;Vector&gt;.Float_Y     Float    default: 1.0   --  animatable; float\n\
&lt;Vector&gt;.Float_Z     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the X, Y and Z component of the Float Triplet.</p>\n\
<p>Used when <span class=\'code\'>.Type</span> is set to 0 - <strong>Float Triplet</strong></p>\n\
<div class=\'section\'><a id=\"coordinates-triplet-controls\"></a><h2 id=\"coordinates-triplet-controls\">Coordinates Triplet controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Coord_X     Float    default: 1.0   --  animatable; worldUnits\n\
&lt;Vector&gt;.Coord_Y     Float    default: 0.0   --  animatable; worldUnits\n\
&lt;Vector&gt;.Coord_Z     Float    default: 0.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the <strong>&quot;X/Abscissa&quot;</strong>, <strong>&quot;Y/Ordinate&quot;</strong> and <strong>&quot;Z/Altitude&quot;</strong> component of the Coordinates Triplet.</p>\n\
<p>Used when <span class=\'code\'>.Type</span> is set to 1 - <strong>Cartesian Coordinates</strong>.</p>\n\
<div class=\'section\'><a id=\"sphericalcylindrical-polar-coords-controls\"></a><h2 id=\"sphericalcylindrical-polar-coords-controls\">Spherical/Cylindrical Polar Coords controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.radius     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Radius&quot;</strong> spinner used when <span class=\'code\'>.Type</span> is set to 2 - <strong>Spherical Polar Coords</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Axial_Radius     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Axial Radius&quot;</strong> spinner used when <span class=\'code\'>.Type</span> is set to 3 - <strong>Cylindrical Polar Coords</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Bearing     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Bearing&quot;</strong> spinner used when <span class=\'code\'>.Type</span> is set to 2 - <strong>Spherical Polar Coords</strong> or 3 - <strong>Cylindrical Polar Coords</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Latitude     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Latitude&quot;</strong> spinner used when <span class=\'code\'>.Type</span> is set to 2 - <strong>Spherical Polar Coords</strong>.</p>\n\
<div class=\'section\'><a id=\"percent-triplet-controls\"></a><h2 id=\"percent-triplet-controls\">Percent Triplet controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Percent_X     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
&lt;Vector&gt;.Percent_Y     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
&lt;Vector&gt;.Percent_Z     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the values of <strong>&quot;X&quot;</strong>, <strong>&quot;Y&quot;</strong> and <strong>&quot;Z&quot;</strong> spinners used when <span class=\'code\'>.Type</span> is set to 4- <strong>Percent Triplet</strong>.</p>\n\
<div class=\'section\'><a id=\"euler-angles-controls\"></a><h2 id=\"euler-angles-controls\">Euler Angles controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Angle_X     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
&lt;Vector&gt;.Angle_Y     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
&lt;Vector&gt;.Angle_Z     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the values of <strong>&quot;X&quot;</strong>, <strong>&quot;Y&quot;</strong> and <strong>&quot;Z&quot;</strong> spinners used when <span class=\'code\'>.Type</span> is set to 5 - <strong>Euler Triplet</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_E1     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E1&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_E2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E2&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_E3     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E3&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"variation-group-of-controls\"></a><h2 id=\"variation-group-of-controls\">Variation group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_Length_Variation     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the Use Variation checkbox.</p>\n\
<p>The label and use of this parameter depends on the current Type settings:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Type</th>\n\
<th align=\"left\">UI Label</th>\n\
<th align=\"left\">Property Used For Value</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Float Triplet</td>\n\
<td align=\"left\">Offset Max</td>\n\
<td align=\"left\">Float_Variation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Cartesian Coordinates</td>\n\
<td align=\"left\">Length</td>\n\
<td align=\"left\">Length_Variation</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Spherical Polar Coords</td>\n\
<td align=\"left\">Length</td>\n\
<td align=\"left\">Length_Variation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Cylindrical Polar Coords</td>\n\
<td align=\"left\">Length</td>\n\
<td align=\"left\">Length_Variation</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Percent Triplet</td>\n\
<td align=\"left\">Offset Max</td>\n\
<td align=\"left\">Percent_Variation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Euler Angles</td>\n\
<td align=\"left\">Offset Max</td>\n\
<td align=\"left\">Angle_Variation</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Roll, Pitch, and Yaw</td>\n\
<td align=\"left\">Offset Max</td>\n\
<td align=\"left\">Angle_Variation</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Length_Variation     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the Float <strong>&quot;Length&quot;</strong> spinner. See the table above for the cases where <span class=\'code\'>.Length_Variation</span> is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Angle_Variation     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the value of the Angle <strong>&quot;Offset Max&quot;</strong> spinner. See the table above for the cases where <span class=\'code\'>.Angle_Variation</span> is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Float_Variation     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the Float <strong>&quot;Offset Max&quot;</strong> spinner. See the table above for the cases where <span class=\'code\'>.Float_Variation</span> is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Percent_Variation     Float    default: 0.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the value of the Percent <strong>&quot;Offset Max&quot;</strong> spinner. See the table above for the cases where <span class=\'code\'>.Percent_Variation</span> is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_E4     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_Divergence     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Divergence&quot;</strong> checkbox used when <span class=\'code\'>.Type</span> is set to 1, 2 or 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Divergence     Float    default: 0.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Divergence&quot;</strong> spinner used when <strong><span class=\'code\'>.Use_Divergence</span></strong> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_E5     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_As_Acceleration     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Acceleration Value&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_As_Speed_Value     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use As Speed Value&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Units_Per_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<div class=\'section\'><a id=\"parameters-animation-sync-group-of-controls\"></a><h2 id=\"parameters-animation-sync-group-of-controls\">Parameters Animation Sync group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Sync_Type     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_E6     BooleanClass    default: false   --  boolean; Use_E3\n\
</pre></div><p>Get/set the state of the <strong>&quot;E6&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"uniqueness\"></a><h2 id=\"uniqueness\">Uniqueness</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Random_Seed     Integer    default: 78154   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Use_E7     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E7&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Vector&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Vector&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Vector&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Vector&gt;.Input_5     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Vector&gt;.Input_6     UndefinedClass    default: undefined   --  maxObject\n\
&lt;Vector&gt;.Input_7     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the Vector sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the Vector sub-operator.</p>\n\
<div class=\'section\'><a id=\"vector-interfaces\"></a><h2 id=\"vector-interfaces\">Vector interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the Vector Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";