var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>icon : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>icon : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"icon-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>icon - superclass: ReferenceTarget; super-superclass:MAXWrapper - 14:0 - classID: #(1137313553, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>icon</strong> Particle Data View sub-operator acquires properties from Data operator or test icon.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>icon...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"icon-property-group-of-controls\"></a><h2 id=\"icon-property-group-of-controls\">Icon Property group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Type     Integer    default: 6   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Icon Property&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Closest Point</strong></p>\n\
<p>1 - <strong>Collision Point</strong></p>\n\
<p>2 - <strong>Distance To Icon</strong></p>\n\
<p>3 - <strong>Inside Icon</strong></p>\n\
<p>4 - <strong>Icon Local Coordinates</strong></p>\n\
<p>5 - <strong>Icon Rotation</strong></p>\n\
<p>6 - <strong>Icon Pivot</strong> (default)</p>\n\
<p>7 - <strong>Icon Scale</strong></p>\n\
<p>8 - <strong>Icon Size</strong></p>\n\
<p>9 - <strong>Icon Speed</strong></p>\n\
<p>10 - <strong>Icon Spin</strong></p>\n\
<p>11 - <strong>Icon TM</strong></p>\n\
<p>12 - <strong>Point Normal</strong></p>\n\
<p>13 - <strong>Point Position</strong></p>\n\
<p>14 - <strong>Point Speed</strong></p>\n\
<p>15 - <strong>Random Surface Point</strong></p>\n\
<p>16 - <strong>Random Volume Point</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Static_Icon     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Static Icon&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"subframe-sampling-group-of-controls\"></a><h2 id=\"subframe-sampling-group-of-controls\">Subframe Sampling group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Subframe_Placement     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Placement&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Subframe_Geometry     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Geometry&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"data-wiring-group-of-controls\"></a><h2 id=\"data-wiring-group-of-controls\">Data Wiring group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Use_T1     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;T1 As Icon Timing&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Use_V3     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;V2 As Particle Speed&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Use_V4     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;V3 As Particle Speed&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"uniqueness-group-of-controls\"></a><h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Random_Seed     Integer    default: 82655   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Use_E4     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;icon&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;icon&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;icon&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-object connected to the corresponding Input socket of the Icon sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;icon&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the Icon sub-operator.</p>\n\
<div class=\'section\'><a id=\"icon-interfaces\"></a><h2 id=\"icon-interfaces\">icon interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the icon Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";