var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>objectReferenceTarget : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>objectReferenceTarget : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"objectreferencetarget-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>objectReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 13:0 - classID: #(1137313549, 554188032)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>objectReferenceTarget</strong> Particle Data View sub-operator acquires properties from reference objects.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>objectReferenceTarget...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"object-property-group-of-controls\"></a><h2 id=\"object-property-group-of-controls\">Object Property group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Object Property&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Closest Object By Pivot</strong> (default)</p>\n\
<p>1 - <strong>Object Local Coordinates</strong></p>\n\
<p>2 - <strong>Object Rotation</strong></p>\n\
<p>3 - <strong>Object Pivot</strong></p>\n\
<p>4 - <strong>Object Scale</strong></p>\n\
<p>5 - <strong>Object Speed</strong></p>\n\
<p>6 - <strong>Object Spin</strong></p>\n\
<p>7 - <strong>Object TM</strong></p>\n\
<p>8 - <strong>Point Position</strong></p>\n\
<p>9 - <strong>Point Speed</strong></p>\n\
<p>10 - <strong>Number Of Objects</strong></p>\n\
<p>11 - <strong>Object Node Handle</strong></p>\n\
<div class=\'section\'><a id=\"objects\"></a><h2 id=\"objects\">Objects</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Static_Objects     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Static Objects&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Subframe_Placement     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Subframe Sampling&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"separate-indexing-for-group-of-controls\"></a><h2 id=\"separate-indexing-for-group-of-controls\">Separate Indexing For group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Separate_Group_Members     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Group Members&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Separate_Children     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Children&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"data-wiring-group-of-controls\"></a><h2 id=\"data-wiring-group-of-controls\">Data Wiring group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Use_T2     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;T2 As Objects Timing&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Use_I3     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;I3 Designates Objects&quot;</strong> checkbox.</p>\n\
<p>Note: The <strong>&quot;P4 As Local Coordinates&quot;</strong> checkbox is not exposed and is always checked when <span class=\'code\'>.Type</span> is set to 8 - <strong>Point Position</strong> or 9 - <strong>Point Speed</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Use_V4     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;V4 As Particle Position&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Input_1     UndefinedClass    default: undefined   --  maxObject\n\
&lt;objectReferenceTarget&gt;.Input_2     UndefinedClass    default: undefined   --  maxObject\n\
&lt;objectReferenceTarget&gt;.Input_3     UndefinedClass    default: undefined   --  maxObject\n\
&lt;objectReferenceTarget&gt;.Input_4     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operators connected to the corresponding Input sockets of the objectReferenceTarget sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;objectReferenceTarget&gt;.Filter     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the objectReferenceTarget sub-operator.</p>\n\
<div class=\'section\'><a id=\"objectreferencetarget-interfaces\"></a><h2 id=\"objectreferencetarget-interfaces\">objectReferenceTarget interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the objectReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";