var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>randomReferenceTarget : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>randomReferenceTarget : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"randomreferencetarget-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>randomReferenceTarget - superclass: ReferenceTarget; super-superclass:MAXWrapper - 29:0 - classID: #(1137313547, 554188032) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>randomReferenceTarget</strong> Particle Data View sub-operator generates scalar and vector random values.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>randomReferenceTarget... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Output_Type Integer default: 1 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Output Type&quot;</strong> drop-down list.</p>\n\
<p>Posssible values are:</p>\n\
<p>0 - <strong>Integer</strong></p>\n\
<p>1 - <strong>Real</strong> (default)</p>\n\
<p>2 - <strong>Vector</strong></p>\n\
<div class=\'section\'><a id=\"distribution-group-of-controls\"></a><h2 id=\"distribution-group-of-controls\">Distribution group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Integer_Distribution_Type Integer default: 0 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Distribution&quot;</strong> drop-down list used when <span class=\'code\'>.Output_Type</span> is set to 0 - <strong>Integer</strong>.</p>\n\
<p>The only possible value is:</p>\n\
<p>0 - <strong>Uniform Discrete</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Real_Distribution_Type Integer default: 4 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Distribution&quot;</strong> drop-down list used when <span class=\'code\'>.Output_Type</span> is set to 1 - <strong>Real</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Exponential</strong></p>\n\
<p>1 - <strong>Noise R</strong></p>\n\
<p>2 - <strong>Noise V</strong></p>\n\
<p>3 - <strong>Noise V+T</strong></p>\n\
<p>4 - <strong>Normal (Gaussian)</strong> (default)</p>\n\
<p>5 - <strong>Triangular</strong></p>\n\
<p>6 - <strong>Turbulence V</strong></p>\n\
<p>7 - <strong>Uniform</strong></p>\n\
<p>8 - <strong>Weibull</strong></p>\n\
<p>9 - <strong>Turbulence V+T</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Vector_Distribution_Type Integer default: 3 -- integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Distribution&quot;</strong> drop-down list used when <span class=\'code\'>.Output_Type</span> is set to 2- <strong>Vector</strong>.</p>\n\
<p>0 - <strong>Normal (Gaussian)</strong></p>\n\
<p>1 - <strong>Sphere Surface</strong></p>\n\
<p>2 - <strong>Sphere Volume</strong></p>\n\
<p>3 - <strong>Uniform</strong> (default)</p>\n\
<p>4 - <strong>Noise</strong></p>\n\
<p>5 - <strong>Noise V+T</strong></p>\n\
<p>6 - <strong>Turbulence V</strong></p>\n\
<p>7 - <strong>Turbulence V+T</strong></p>\n\
<div class=\'section\'><a id=\"parameter-1\"></a><h2 id=\"parameter-1\">Parameter 1</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Integer_Parameter_1 Integer default: 1 -- animatable; integer; Integer_Parameter1 \n\
</pre></div><p>Get/set the value of the first spinner used as <strong>&quot;Minimum&quot;</strong> value of the <strong>Uniform Discrete Distribution</strong> when <span class=\'code\'>.Output_Type</span> is set to 0 - <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Parameter_1 Float default: 0.0 -- animatable; float; Parameter1 \n\
</pre></div><p>Get/set the value of the first spinner used for general (negative or positive values) parameters as follows:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Output Type:</th>\n\
<th align=\"left\">Distribution:</th>\n\
<th align=\"left\">Parameter 1:</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Normal (Gaussian)</td>\n\
<td align=\"left\">Mean</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Triangular</td>\n\
<td align=\"left\">Minimum</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Uniform</td>\n\
<td align=\"left\">Minimum</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Positive_Parameter_1 Float default: 1.0 -- animatable; float; Positive_Parameter1 \n\
</pre></div><p>Get/set the value of the first spinner used for positive parameters as follows:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Output Type:</th>\n\
<th align=\"left\">Distribution:</th>\n\
<th align=\"left\">Positive Parameter 1</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Exponential</td>\n\
<td align=\"left\">Mean</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Noise R</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Noise V</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Noise V+T</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Turbulence V</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Turbulence V+T</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Weibull</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Noise V</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Noise V+T</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Turbulence V</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Turbulence V+T</td>\n\
<td align=\"left\">Scale</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Uniform</td>\n\
<td align=\"left\">Max X</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Use_E3 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;E3&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"parameter-2\"></a><h2 id=\"parameter-2\">Parameter 2</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Integer_Parameter_2 Integer default: 1 -- animatable; integer; Integer_Parameter2 \n\
</pre></div><p>Get/set the value of the parameter which could be used when the <span class=\'code\'>.Output_Type</span> property is set to 0 - <strong>Integer</strong>.</p>\n\
<p>Currently, the only Integer mode does <strong>NOT</strong> use this parameter, so it is exposed for future compatibility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Parameter_2 Float default: 1.0 -- animatable; float; Parameter2 \n\
</pre></div><p>Get/set the value of the second spinner used for general (negative or positive values) parameters as follows:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Output Type:</th>\n\
<th align=\"left\">Distribution:</th>\n\
<th align=\"left\">Parameter 2:</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Triangular</td>\n\
<td align=\"left\">Peak</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Positive_Parameter_2 Float default: 1.0 -- animatable; float; Positive_Parameter2 \n\
</pre></div><p>Get/set the value of the second spinner used for positive parameters as follows:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Output Type:</th>\n\
<th align=\"left\">Distribution:</th>\n\
<th align=\"left\">Positive Parameter 2</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Noise R</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Noise V</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Noise V+T</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Normal (Gaussian)</td>\n\
<td align=\"left\">Sigma</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Turbulence V</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Turbulence V+T</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Weibull</td>\n\
<td align=\"left\">Rate</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Noise V</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Noise V+T</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Normal (Gaussian)</td>\n\
<td align=\"left\">Sigma</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Sphere Surface</td>\n\
<td align=\"left\">Radius</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Sphere Volume</td>\n\
<td align=\"left\">Radius</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Turbulence V</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Turbulence V</td>\n\
<td align=\"left\">Strength</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Uniform</td>\n\
<td align=\"left\">Max Y</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Use_E4 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;E4&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"parameter-3\"></a><h2 id=\"parameter-3\">Parameter 3</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Integer_Parameter_3 Integer default: 10 -- animatable; integer; Integer_Parameter3 \n\
</pre></div><p>Get/set the value of the first spinner used as <strong>&quot;Maximum&quot;</strong> value of the <strong>Uniform Discrete Distribution</strong> when <span class=\'code\'>.Output_Type</span> is set to 0 - <strong>Integer</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Parameter_3 Float default: 1.0 -- animatable; float; Parameter3 \n\
</pre></div><p>Get/set the value of the third spinner used for general (negative or positive values) parameters as follows:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Output Type:</th>\n\
<th align=\"left\">Distribution:</th>\n\
<th align=\"left\">Parameter 3:</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Triangular</td>\n\
<td align=\"left\">Maximum</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Uniform</td>\n\
<td align=\"left\">Maximum</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Positive_Parameter_3 Float default: 1.0 -- animatable; float; Positive_Parameter3 \n\
</pre></div><p>Get/set the value of the third spinner used for positive parameters as follows:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Output Type:</th>\n\
<th align=\"left\">Distribution:</th>\n\
<th align=\"left\">Positive Parameter 3:</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Turbulence V</td>\n\
<td align=\"left\">Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">Turbulence V+T</td>\n\
<td align=\"left\">Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Turbulence V</td>\n\
<td align=\"left\">Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Turbulence V+T</td>\n\
<td align=\"left\">Iterations (&gt;1.0)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">Uniform</td>\n\
<td align=\"left\">Max Z</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Use_E5 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;E5&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"parameters-animation-sync\"></a><h2 id=\"parameters-animation-sync\">Parameters Animation Sync</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Sync_Type Integer default: 0 -- animatable; integer \n\
</pre></div><p>Get/set the selection of the <strong>&quot;Parameters Animation Sync&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Particle Lifespan</strong></p>\n\
<p>3 - <strong>Event Duration</strong></p>\n\
<p>4 - <strong>Time Data Input</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Use_E6 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;E6&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"uniqueness-group-of-controls\"></a><h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Random_Seed Integer default: 23248 -- animatable; integer \n\
</pre></div><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Use_E7 BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the <strong>&quot;E7&quot;</strong> checkbutton.</p>\n\
<div class=\'section\'><a id=\"input-and-filter-sockets\"></a><h2 id=\"input-and-filter-sockets\">Input and Filter Sockets</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Input_1 UndefinedClass default: undefined -- maxObject \n\
&lt;randomReferenceTarget&gt;.Input_2 UndefinedClass default: undefined -- maxObject \n\
&lt;randomReferenceTarget&gt;.Input_3 UndefinedClass default: undefined -- maxObject \n\
&lt;randomReferenceTarget&gt;.Input_4 UndefinedClass default: undefined -- maxObject \n\
&lt;randomReferenceTarget&gt;.Input_5 UndefinedClass default: undefined -- maxObject \n\
&lt;randomReferenceTarget&gt;.Input_6 UndefinedClass default: undefined -- maxObject \n\
&lt;randomReferenceTarget&gt;.Input_7 UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the sub-operator connected to the corresponding Input socket of the randomReferenceTarget sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.Filter UndefinedClass default: undefined -- maxObject \n\
</pre></div><p>Get/set the sub-operator connected to the Filter socket of the randomReferenceTarget sub-operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;randomReferenceTarget&gt;.iterations Float default: 2.0 -- animatable; float \n\
</pre></div><p>Not exposed in the User Interface.</p>\n\
<div class=\'section\'><a id=\"randomreferencetarget-interfaces\"></a><h2 id=\"randomreferencetarget-interfaces\">randomReferenceTarget interfaces:</h2></div>\n\
<p><strong>The following common interface is exposed by the randomReferenceTarget Particle Data View sub-operator:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-DataViewItem.html\' title=\'\'>Interface: DataViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";