var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Data_Test : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Data_Test : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"data_test-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Data_Test - superclass: helper; super-superclass:node - 33:1 - classID: #(1935830019, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Data_Test</strong> operator directly modifies and checks particle channel data by using sub-operators wired in a Particle Data View.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Data_Test...\n\
DataTest...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Auto_Update     BooleanClass    default: false   --  boolean\n\
</pre></div><div class=\'section\'><a id=\"operator-activity-group-of-controls\"></a><h2 id=\"operator-activity-group-of-controls\">Operator Activity group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Activity_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Operator Activity&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Active Always</strong> (default)</p>\n\
<p>1 - <strong>Active In Interval</strong></p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Time_On     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time On&quot;</strong> spinner available when <span class=\'code\'>.Activity_Type</span> is set to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Time_Off     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time Off&quot;</strong> spinner available when <span class=\'code\'>.Activity_Type</span> is set to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Animatable_Active     BooleanClass    default: true   --  animatable; boolean\n\
</pre></div><p>Get/set the state of the Active checkbutton available when <span class=\'code\'>.Activity_Type</span> is set to 1.</p>\n\
<div class=\'section\'><a id=\"operator-icon-group-of-controls\"></a><h2 id=\"operator-icon-group-of-controls\">Operator Icon group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Visible_Icon     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the viewport icons&#39;s visibility.</p>\n\
<p>This property is not exposed to the User Interface.</p>\n\
<p>The Data Operator&#39;s Icon is set to False by default. Setting it to True will create a Data_Icon_Test object in the viewport, but the icon controls will not be shown in the Particle View, only in the <strong>3ds Max</strong> Command Panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Icon_Type     Integer    default: 10   --  animatable; integer\n\
</pre></div><p>Get/set the icon type used when <span class=\'code\'>.Visible_Icon</span> is set to True.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Arrow</strong></p>\n\
<p>1 - <strong>Box</strong></p>\n\
<p>2 - <strong>Circle</strong></p>\n\
<p>3 - <strong>Cone</strong></p>\n\
<p>4 - <strong>Cylinder</strong></p>\n\
<p>5 - <strong>Half Cylinder</strong></p>\n\
<p>6 - <strong>Open Cone</strong></p>\n\
<p>7 - <strong>Open Cylinder</strong></p>\n\
<p>8 - <strong>Plane</strong></p>\n\
<p>9 - <strong>Point</strong></p>\n\
<p>10 - <strong>Rectangle</strong> (default)</p>\n\
<p>11 - <strong>Sphere</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Icon_Parameter_1     Float    default: 10.0   --  animatable; worldUnits\n\
&lt;Data_Test&gt;.Icon_Parameter_2     Float    default: 10.0   --  animatable; worldUnits\n\
&lt;Data_Test&gt;.Icon_Parameter_3     Float    default: 20.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the first, second and third icon parameters. Depending on the <span class=\'code\'>.Icon_Type</span> value, these parameters can have different meanings.</p>\n\
<p>See the table below for details:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Icon_Type Value</th>\n\
<th align=\"left\">Icon Type NameH</th>\n\
<th align=\"left\">Icon_Parameter_1</th>\n\
<th align=\"left\">Icon_Parameter_2</th>\n\
<th align=\"left\">Icon_Parameter_3</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">0</td>\n\
<td align=\"left\">Arrow</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">Height</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">1</td>\n\
<td align=\"left\">Box</td>\n\
<td align=\"left\">Width</td>\n\
<td align=\"left\">Length</td>\n\
<td align=\"left\">Height</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">2</td>\n\
<td align=\"left\">Circle</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">3</td>\n\
<td align=\"left\">Cone</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">Height</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">4</td>\n\
<td align=\"left\">Cylinder</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">Height</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">5</td>\n\
<td align=\"left\">Half Cylinder</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">Height</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">6</td>\n\
<td align=\"left\">Open Cone</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">Height</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">7</td>\n\
<td align=\"left\">Open Cylinder</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">Height</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">8</td>\n\
<td align=\"left\">Plane</td>\n\
<td align=\"left\">Size</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">9</td>\n\
<td align=\"left\">Point</td>\n\
<td align=\"left\">Size</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">10</td>\n\
<td align=\"left\">Rectangle</td>\n\
<td align=\"left\">Width</td>\n\
<td align=\"left\">Length</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">11</td>\n\
<td align=\"left\">Sphere</td>\n\
<td align=\"left\">Diameter</td>\n\
<td align=\"left\">--</td>\n\
<td align=\"left\">--</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Color_Coordinated     BooleanClass    default: false   --  boolean; Auto_Update\n\
</pre></div><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"particle-data-views-menu\"></a><h2 id=\"particle-data-views-menu\">Particle Data View&#39;s Menu</h2></div>\n\
<div class=\'section\'><a id=\"display-menu\"></a><h3 id=\"display-menu\">Display menu</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Show_Parameters     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Parameters&quot;</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Show_Depot     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Depot&quot;</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Description_Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the mode of the Description panel in the Particle Data View&#39;s bottom right corner.</p>\n\
<p>These modes are represented by the last 3 menu items in the Options menu, as well as the last 3 icons in the bottom right corner of the Particle Data View.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Description</strong> (default)</p>\n\
<p>2 - <strong>Output Order</strong></p>\n\
<p>3 - <strong>Navigation</strong></p>\n\
<p>Note: The Description panel will only be displayed if either the Parameters, the Depot, or both panels are visible.</p>\n\
<div class=\'section\'><a id=\"options-menu\"></a><h3 id=\"options-menu\">Options menu</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Auto_Update_On_Data_View_Close     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Auto Update On Data View Close&quot;</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Use_Dynamic_Names_For_New     BooleanClass    default: true   --  boolean; Use_Dynamic_Name_For_New\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Dynamic Names From New&quot;</strong> option.</p>\n\
<div class=\'section\'><a id=\"particle-data-views-layout-properties\"></a><h2 id=\"particle-data-views-layout-properties\">Particle Data View&#39;s Layout Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Divider     Integer    default: 110   --  integer\n\
</pre></div><p>Get/set the height of the horizontal divider controlling the height of the Depot and Description panels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Width     Integer    default: 751   --  integer\n\
</pre></div><p>Get/set the Width of the Particle Data View editor window.</p>\n\
<p>Note: The Particle Data View editor must be closed before setting this property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Height     Integer    default: 620   --  integer\n\
</pre></div><p>Get/set the Height of the Particle Data View editor window.</p>\n\
<p>Note: The Particle Data View editor must be closed before setting this property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Origin_X     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the X coordinate of the upper left corner of the Particle Data View editor window.</p>\n\
<p>Note: The Particle Data View editor must be closed before setting this property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.PDView_Origin_Y     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the Y coordinate of the upper left corner of the Particle Data View editor window.</p>\n\
<p>Note: The Particle Data View editor must be closed before setting this property.</p>\n\
<div class=\'section\'><a id=\"default-values\"></a><h2 id=\"default-values\">Default Values</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Default_Width     Integer    default: 50   --  integer\n\
&lt;Data_Test&gt;.Default_Height     Integer    default: 0   --  integer\n\
&lt;Data_Test&gt;.Default_Offset     Integer    default: 0   --  integer\n\
&lt;Data_Test&gt;.Default_Range_Max     Float    default: 100.0   --  float; Default_Range_Maximum\n\
&lt;Data_Test&gt;.Default_Range_Min     Float    default: 0.0   --  float; Default_Range_Minimum\n\
&lt;Data_Test&gt;.Default_Range_Type     Integer    default: 1   --  integer\n\
</pre></div><div class=\'section\'><a id=\"sub-operators-maxscript-access\"></a><h2 id=\"sub-operators-maxscript-access\">Sub-Operators MAXScript Access</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.SubOperators     ArrayParameter    default: #()   --  maxObject array; SubAnim\n\
</pre></div><p>Contains an array of all sub-operators in the Data_Icon Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Selected_SubOperators     ArrayParameter    default: #()   --  maxObject array; SubAnim\n\
</pre></div><p>Contains an array of the selected sub-operators in the Data_Icon Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Groups     ArrayParameter    default: #()   --  maxObject array; SubAnim\n\
</pre></div><p>Contains an array of the Group objects in the Data_Icon Operator.</p>\n\
<div class=\'section\'><a id=\"other-properties\"></a><h2 id=\"other-properties\">Other Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Test&gt;.Disable_By_Dependency     BooleanClass    default: false   --  boolean\n\
&lt;Data_Test&gt;.Repeats     Integer    default: 1   --  integer\n\
&lt;Data_Test&gt;.useProfileTools     BooleanClass    default: false   --  bool\n\
</pre></div><p>This property is exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-profileTools.html\' title=\'\'>Interface: profileTools</a>.</p>\n\
<div class=\'section\'><a id=\"data_test-interfaces\"></a><h2 id=\"data_test-interfaces\">Data_Test interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the Data_Test Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-groupSelection.html\' title=\'\'>Interface: groupSelection</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-profileTools.html\' title=\'\'>Interface: profileTools</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";