var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Cache : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Cache : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cache-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Cache - superclass: helper; super-superclass:node - classID: #(1962490661, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Cache</strong> operator records and stores particle states to memory.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Cache... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Use_At Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of <strong>Use At</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Viewport</strong></p>\n\
<p>1: <strong>Render</strong></p>\n\
<p>2: <strong>Viewport/Render</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Update_Type Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of the <strong>Update</strong> drop-down list. Determines whether <strong>Particle Flow</strong> should update the cache automatically, or let you do it manually.</p>\n\
<p>0: <strong>Always</strong> - Changing any parameter under the <strong>Cache</strong> operator&#39;s purview causes it automatically to update stored data from the start of the current range (see next parameter) to the current frame.</p>\n\
<p>1: <strong>Manually</strong> - updating occurs only when you click the Update button, or clear the cache and then move to a different frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Range_Type Integer default: 1 -- integer \n\
</pre></div><p>Controls the index of the Range drop-down list. Sets the frame range within which the Cache operator operates:</p>\n\
<p>0: <strong>Complete</strong> - The software caches the entire animation.</p>\n\
<p>1: <strong>Active Segment</strong> - The software caches only frames in the active segment, as defined by the Start Time and End Time settings on the Time Configuration dialog.</p>\n\
<p>2: <strong>Custom</strong> - The software caches only frames in the custom range, as defined by the Cache operator&#39;s Start Time and End Time settings (see following).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Start_Time Time default: 0f -- time \n\
</pre></div><p>The first frame of the range considered for caching when <span class=\'code\'>.Range_Type</span> is set to <strong>2 : Custom</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.End_Time Time default: 30f -- time \n\
</pre></div><p>The last frame of the range considered for caching when <span class=\'code\'>.Range_Type</span> is set to <strong>2 : Custom</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Sampling_Type Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of the Sampling drop-down list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Every_Nth_Frame Integer default: 5 -- integer \n\
</pre></div><p>Specifies the Nth frame to sample.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Cache_Test_Results BooleanClass default: true -- boolean \n\
</pre></div><p>When caching particle data, setting this to <strong>true</strong> caches the results of test actions as well.</p>\n\
<p>This is important if <strong>Cache</strong> is used as a local operator, and the next event doesn’t have a <strong>Cache</strong> operator. For the next event to work properly, it should receive particles from the current event. Those particles result from the activity of a test action. The <strong>Cache</strong> operator can record the test activity to play it back later.</p>\n\
<p>If the <strong>Cache</strong> operator is used as a global operator, there is no need to cache the test results. This is because the system has cache data for every event, and is able to jump to an arbitrary frame without the need for test results.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Cache_With_Hold BooleanClass default: false -- boolean \n\
</pre></div><p>When set to <strong>true</strong>, cached data will be saved with backup files.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Cache_With_File BooleanClass default: false -- boolean; alias:Record_Hold \n\
</pre></div><p>When set to <strong>true</strong>, cached data will be saved in the Hold file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Clear_Range_Type Integer default: 1 -- integer; alias: Range_Type \n\
</pre></div><p>Controls the state of the Manual Update Range drop-down list in the UI. Specifies the frame range within which the Cache operator recalculates data when using Manual Update.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Complete</strong> - The software <em>clears</em> the cache for entire animation. Choosing Complete makes the Update button unavailable; this option is for clearing the cache only.</p>\n\
<p>1: <strong>Active Segment</strong> - The software updates the cache only for frames in the active segment, as defined by the Start Time and End Time settings on the Time Configuration dialog.</p>\n\
<p>2: <strong>Custom</strong> - The software updates the cache only for only frames in the custom range, as defined by the <span class=\'code\'>Clear_ Start_Time</span> and <span class=\'code\'>Clear_End_Time</span> properties (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Clear_Start_Time Time default: 0f -- time \n\
</pre></div><p>The first frame of the range considered for caching when <span class=\'code\'>.Clear_Range_Type</span> is set to <strong>1</strong> : <strong>Custom</strong> (see above).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Clear_End_Time Time default: 30f -- time \n\
</pre></div><p>The last frame of the range considered for caching when <span class=\'code\'>.Clear_Range_Type</span> is set to <strong>1</strong> : <strong>Custom</strong> (see above).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Memory_Limit Integer default: 100000 -- integer; alias: Memory_Limit__K \n\
</pre></div><p>Get/Set the maximum amount of system memory used to cache particle data, in kilobytes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Memory_Total Integer default: 0 -- integer; alias: Memory_Total__K \n\
</pre></div><p>Returns the amount of memory currently used by the cached data, in kilobytes. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache&gt;.Memory_for_Current_Frame Integer default: 0 -- animatable; integer alias: Memory_for_Current_Frame__K \n\
</pre></div><p>Returns the amount of memory used by the data cached for the current frame, in kilobytes. Read-only.</p>\n\
<div class=\'section\'><a id=\"cache-interfaces\"></a><h2 id=\"cache-interfaces\">Cache Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Cache Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";