var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Cache_Disk : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Cache_Disk : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cache_disk-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Cache_Disk - superclass: helper; super-superclass:node - 21:0 - classID: #(1935830029, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Cache_Disk</strong> operator records particle states to disk for faster feedback. Some particle properties can be excluded from caching, and extra operators can be called to restore the data.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Cache_Disk...\n\
CacheDisk...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Use_At     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Use At&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Viewport</strong></p>\n\
<p>1 - <strong>Render</strong></p>\n\
<p>2 - <strong>Viewport/Render</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Range_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Range&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Active Segment</strong> (default)</p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Start_Time     Time    default: 0f   --  time\n\
</pre></div><p>Get/set the value of the <strong>&quot;Start Time&quot;</strong> spinner.</p>\n\
<p>It is only used when the <span class=\'code\'>.Range_Type</span> property is set to 1 - <strong>Custom</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.End_Time     Time    default: 30f   --  time\n\
</pre></div><p>Get/set the value of the <strong>&quot;End Time&quot;</strong> spinner.</p>\n\
<p>It is only used when the <span class=\'code\'>.Range_Type</span> property is set to 1 - <strong>Custom</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Sampling_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Sampling&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Every Frame</strong> (default)</p>\n\
<p>1 - <strong>Integration Step</strong></p>\n\
<p>2 - <strong>Nth Frame</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Every_Nth_Frame     Integer    default: 5   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;N&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Cache_Test_Results     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Cache Test Results&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"cache-files-group-of-controls\"></a><h2 id=\"cache-files-group-of-controls\">Cache Files group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Write_To_File     UndefinedClass    default: undefined   --  filename\n\
</pre></div><p>Get/set the cache file name.</p>\n\
<div class=\'section\'><a id=\"update-and-reset-group-of-controls\"></a><h2 id=\"update-and-reset-group-of-controls\">Update And Reset group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Update_Clear_Range_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Update And Reset &gt; &quot;Range&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Active Segment</strong> (default)</p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Update_Clear_Start_Time     Time    default: 0f   --  time\n\
</pre></div><p>Get/set the value of the <strong>Update And Reset &gt; &quot;Start Time&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Update_Clear_End_Time     Time    default: 30f   --  time\n\
</pre></div><p>Get/set the value of the <strong>Update And Reset &gt; &quot;End Time&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Update_Viewports     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Update Viewports&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"exclude-data-from-cache-group-of-controls\"></a><h2 id=\"exclude-data-from-cache-group-of-controls\">Exclude Data From Cache group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Exclude_Shape     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Shape&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Exclude_Scale     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Scale&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Exclude_Mapping     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Mapping&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Exclude_Script_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Script Data&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Exclude_Material_ID     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Material ID&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Exclude_Rotation     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Rotation&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"post-cache-operators-group-of-controls\"></a><h2 id=\"post-cache-operators-group-of-controls\">Post-Cache Operators group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Use_Post_Cache_Operators     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Post Cache Operators&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Post_Cache_Operators     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the array of post-cache operators.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cache_Disk&gt;.Memory_Limit     Integer    default: 100   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Memory Limit&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"cache_disk-interfaces\"></a><h2 id=\"cache_disk-interfaces\">Cache_Disk interfaces:</h2></div>\n\
<p><strong>Interface: cache</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Cache_Disk&gt;.update()\n\
</pre></div><p>Presses the <strong>&quot;Update&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Cache_Disk&gt;.clear()\n\
</pre></div><p>Presses the <strong>&quot;Clear&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Cache_Disk&gt;.updateAll()\n\
</pre></div><p>Presses the <strong>&quot;Update All&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Cache_Disk&gt;.clearAll()\n\
</pre></div><p>Presses the <strong>&quot;Clear All&quot;</strong> button in the <strong>&quot;Update And Reset&quot;</strong> group of controls.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Cache_Disk&gt;.clearMemory()\n\
</pre></div><p>Presses the <strong>&quot;Clear Memory&quot;</strong> button.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Cache_Disk&gt;.clearMemoryAll()\n\
</pre></div><p>Presses the <strong>&quot;Clear All&quot;</strong> button.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>Interface: cacheDisk</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;&lt;Cache_Disk&gt;.getDefaultCachePath()\n\
</pre></div><p>Returns the default cache path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Cache_Disk&gt;.setDefaultCachePath &lt;filename&gt;fileName\n\
</pre></div><p>Sets the default cache path to the specified file name.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the Cache_Disk Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";