var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DisplayData : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DisplayData : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"displaydata-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>DisplayData - superclass: helper; super-superclass:node - 21:0 - classID: #(1935830030, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>DisplayData</strong> operator shows numerical data created by Data operators. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>DisplayData...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Show_Numbering     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Show Particle IDs&quot;</strong> checkbox.</p>\n\
<p>When set to True, the operator will display each particle&#39;s ID number before the displayed data. The ID number is followed by a &gt; symbol to distinguish it from the data.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Color     Color    default: (color 9 68 154)   --  RGB color\n\
</pre></div><p>Get/set the value of the color used for data display.</p>\n\
<p>A new color will be assigned to each new DisplayData operator to distinguish the different values in the viewport.</p>\n\
<p>The colors are not fully random, they are assigned in the same pseudo-random pattern: (color 9 68 154), (color 98 222 251), (color 96 96 96), (color 196 29 29) ... in each <strong>3ds Max</strong> session.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Add_Prefix     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Add Prefix&quot;</strong> checkbox.</p>\n\
<p>This property lets you add a custom Prefix specified by the <span class=\'code\'>.Prefix_Text</span> property (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Prefix_Text     String    default: &quot;Data&quot;   --  string\n\
</pre></div><p>Get/set the value of the Prefix text field.</p>\n\
<p>The prefix is added between the ID (if shown) and the Data. It adds an offset between the Prefix and Data automatically.</p>\n\
<div class=\'section\'><a id=\"show-data-channel-group-of-controls\"></a><h2 id=\"show-data-channel-group-of-controls\">Show Data Channel group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Data_Channel     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel object to display data from.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Data_Handle     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the Data Handle of the Data Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Real_Show_As     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Real&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Angle</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Percent</strong></p>\n\
<p>3 - <strong>World Unit</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Vector_Show_As     Integer    default: 3   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Vector&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Euler Angles</strong></p>\n\
<p>1 - <strong>Float Triplet</strong></p>\n\
<p>2 - <strong>Percent Triplet</strong></p>\n\
<p>3 - <strong>World Unit</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Quaternion_Show_As     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Quaternion&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Axis/Angle</strong> (default)</p>\n\
<p>1 - <strong>Euler Angles</strong></p>\n\
<p>2 - <strong>Quaternion</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Matrix_Show_As     Integer    default: 3   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Matrix&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Vector X</strong></p>\n\
<p>1 - <strong>Vector Y</strong></p>\n\
<p>2 - <strong>Vector Z</strong></p>\n\
<p>3 - <strong>Translation</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Pair_Show_As     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Pair&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Coordinates</strong> (default)</p>\n\
<p>1 - <strong>Compound Index</strong></p>\n\
<p>2 - <strong>Object Index</strong></p>\n\
<p>3 - <strong>Face Index</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Complex_Show_As     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show As&quot;</strong> drop-down list displayed when the Data Channel Type is <strong>&quot;Complex&quot;</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Coordinates</strong> (default)</p>\n\
<p>1 - <strong>Compound Index</strong></p>\n\
<p>2 - <strong>Object Index</strong></p>\n\
<p>3 - <strong>Face Index</strong></p>\n\
<p>4 - <strong>Time</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Rate_Value     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the Rate Value checkbox available in the following cases:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Data Channel Type</th>\n\
<th align=\"left\">&quot;Show As&quot; Setting</th>\n\
<th align=\"left\">Rate Value Function</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">0 - Angle</td>\n\
<td align=\"left\">Spin Rate Value</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Real</td>\n\
<td align=\"left\">3 - World Unit</td>\n\
<td align=\"left\">Speed Value</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">0 - Euler Angles</td>\n\
<td align=\"left\">Spin Rate Value</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Vector</td>\n\
<td align=\"left\">3 - World Unit</td>\n\
<td align=\"left\">Speed Value</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Quaternion</td>\n\
<td align=\"left\">0 - Axis/Angle</td>\n\
<td align=\"left\">Spin Rate Value</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Quaternion</td>\n\
<td align=\"left\">1 - Euler Angles</td>\n\
<td align=\"left\">Spin Rate Value</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Units_Per_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Units Per&quot;</strong> drop-down list.</p>\n\
<p>When <span class=\'code\'>.Rate_Value</span> is set to True, this property provides the time frame within which to calculate the Speed Value or Spin Rate Value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Tick</strong></p>\n\
<p>1 - <strong>Frame</strong></p>\n\
<p>2 - <strong>Second</strong> (default)</p>\n\
<div class=\'section\'><a id=\"screen-offset---pixels-group-of-controls\"></a><h2 id=\"screen-offset---pixels-group-of-controls\">Screen Offset - pixels group of controls</h2></div>\n\
<p>The following properties can be used to adjust the positioning of the data display relative to the particle position, in pixels.</p>\n\
<p>By using different offset values and several DisplayData operators, multiple data values can be shown at once without overlapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Offset_LeftRight     Integer    default: 0   --  integer; Offset_Left_Right\n\
</pre></div><p>Get/set the value of the <strong>&quot;Left / Right&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Offset_UpDown     Integer    default: 0   --  integer; Offset_Up_Down\n\
</pre></div><p>Get/set the value of the <strong>&quot;Up / Down&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Offset_InOut     Integer    default: 0   --  integer; Offset_In_Out\n\
</pre></div><p>Get/set the value of the <strong>&quot;In / Out&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"show-ids-and-data-on-group-of-controls\"></a><h2 id=\"show-ids-and-data-on-group-of-controls\">Show IDs and Data on group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Filter_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show IDs and Data on&quot;</strong> drop-down list.</p>\n\
<p>This properties filters the particles to display the ID and Data on.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All Particles</strong> - Displays data for all particles in the viewports.</p>\n\
<p>1 - <strong>Selected Particles Only</strong> - Displays data only for selected particles.</p>\n\
<p>2 - <strong>Group Selected Only</strong> - Displays data only for group-selected particles. Use the <span class=\'code\'>.Group_Selection</span> property (see below) to specify the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\' title=\'\'>Group_Selection Operator</a> to use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Group_Selection     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\' title=\'\'>Group_Selection Operator</a> to be used when <span class=\'code\'>.Filter_Type</span> is set to 2 - <strong>Group Selected Only</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Precision     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Precision&quot;</strong> spinner.</p>\n\
<p>For float values, this properties sets the number of decimal places displayed.</p>\n\
<p>The range is from 0 to 8 (where 0 is no decimal places).</p>\n\
<div class=\'section\'><a id=\"execution-order-group-of-controls\"></a><h2 id=\"execution-order-group-of-controls\">Execution Order group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;DisplayData&gt;.Execution_Order     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Execution Order&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong> - Shows particle data values before any operator in the Event is executed.</p>\n\
<p>1 - <strong>Normal</strong> (default) - The data are shown as of the current execution order of the operators. You can use two Display Data operators - above and below the Data Operator in question - to see how the Data Operator changes some data.</p>\n\
<p>2 - <strong>Post</strong> - Data values will be shown after all the operators in the Event are executed.</p>\n\
<div class=\'section\'><a id=\"displaydata-interfaces\"></a><h2 id=\"displaydata-interfaces\">DisplayData Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";