var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Display_Script : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Display_Script : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"display_script-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Display_Script - superclass: helper; super-superclass:node - 12:0 - classID: #(1509449988, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Display_Script</strong> operator shows script data associated with particles: Integer, Float or Vector. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Display_Script...\n\
DisplayScriptParticles...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Show_Numbering     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Show Particle IDs&quot;</strong> checkbox.</p>\n\
<p>When set to True, the operator will display each particle&#39;s ID number before the displayed data. The ID number is followed by a &gt; symbol to distinguish it from the data.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Color     Color    default: (color 172 206 255)   --  RGB color\n\
</pre></div><p>Get/set the value of the color used for data display.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Add_Prefix     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Add Prefix&quot;</strong> checkbox.</p>\n\
<p>This property lets you add a custom Prefix specified by the <span class=\'code\'>.Prefix_Text</span> property (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Prefix_Text     String    default: &quot;Data&quot;   --  string\n\
</pre></div><p>Get/set the value of the text field.</p>\n\
<p>The prefix is added between the ID (if shown) and the Data. It adds an offset between the Prefix and Data automatically.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Script_Data_Type     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show Script Data&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>--None--</strong></p>\n\
<p>1 - <strong>Float</strong> (default)</p>\n\
<p>2 - <strong>Integer</strong></p>\n\
<p>3 - <strong>Vector X</strong></p>\n\
<p>4 - <strong>Vector Y</strong></p>\n\
<p>5 - <strong>Vector Z</strong></p>\n\
<p>6 - <strong>Vector</strong></p>\n\
<div class=\'section\'><a id=\"screen-offset---pixels-group-of-controls\"></a><h2 id=\"screen-offset---pixels-group-of-controls\">Screen Offset - pixels group of controls</h2></div>\n\
<p>The following properties can be used to adjust the positioning of the data display relative to the particle position, in pixels.</p>\n\
<p>By using different offset values and several Display_Script operators, multiple data values can be shown at once without overlapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Offset_LeftRight     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Left / Right&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Offset_UpDown     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Up / Down&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Offset_InOut     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;In / Out&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"show-ids-and-data-on-group-of-controls\"></a><h2 id=\"show-ids-and-data-on-group-of-controls\">Show IDs and Data on group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Filter_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Show IDs and Data on&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All Particles</strong> - Displays data for all particles in the viewports.</p>\n\
<p>1 - <strong>Selected Particles Only</strong> - Displays data only for selected particles.</p>\n\
<p>2 - <strong>Group Selected Only</strong> - Displays data only for group-selected particles. Use the <span class=\'code\'>.Group_Selection</span> property (see below) to specify the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\' title=\'\'>Group_Selection Operator</a> to use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Group_Selection     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\' title=\'\'>Group_Selection Operator</a> to be used when <span class=\'code\'>.Filter_Type</span> is set to 2 - <strong>Group Selected Only</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Precision     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Precision&quot;</strong> spinner.</p>\n\
<p>For float values, this properties sets the number of decimal places displayed.</p>\n\
<p>The range is from 0 to 8 (where 0 is no decimal places).</p>\n\
<div class=\'section\'><a id=\"execution-order-group-of-controls\"></a><h2 id=\"execution-order-group-of-controls\">Execution Order group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Display_Script&gt;.Execution_Order     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Execution Order&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Pre</strong> - Shows particle data values before any operator in the Event is executed.</p>\n\
<p>1 - <strong>Normal</strong> (default) - The data are shown as of the current execution order of the operators. You can use two Display_Script operators - above and below the Script Operator in question - to see how the Script Operator changes some data.</p>\n\
<p>2 - <strong>Post</strong> - Data values will be shown after all the operators in the Event are executed.</p>\n\
<div class=\'section\'><a id=\"display_script-interfaces\"></a><h2 id=\"display_script-interfaces\">Display_Script Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";