var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>displayParticles : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>displayParticles : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"displayparticles-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>displayParticles- superclass: helper super-superclass:node - classID: #(1962490626, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>DisplayParticles</strong> object exposes the <strong>Display</strong> operator and lets you specify how particles appear in the viewports. In addition to geometry, it provides a variety of simple shapes that provide fast feedback in testing animation, as well as the ability to easily distinguish among particles in different events. It also lets you set the percentage of visible particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>DisplayParticles... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;displayParticles&gt;.Type Integer default:2 -- integer \n\
</pre></div><p>Controls how particles appear in the viewports. The two-dimensional particle markers depict position only. Geometry shows how particles will actually render, in three dimensions; Lines shows speed and direction of motion; and BoundingBox reflects scale and orientation.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>None</strong> - Particles do not appear in the viewports.</p>\n\
<p>1: <strong>Dots</strong> - Each particle appears as a single pixel.</p>\n\
<p>2: <strong>Ticks</strong> - Each particle appears as a + sign.</p>\n\
<p>3: <strong>Circles</strong> - Each particle appears as a small circle.</p>\n\
<p>4: <strong>Lines</strong> - Each particle appears as a line, one pixel thick. The line&#39;s length indicates particle speed, and its orientation reflects the direction of motion. Use this option for fast, accurate feedback when experimenting with the Speed operators.</p>\n\
<p>5: <strong>BoundingBox</strong> - Each particle appears as a bounding box. Use this option for a good representation of the final animation, at a slight cost in computational speed.</p>\n\
<p>6: <strong>Geometry</strong> - Each particle appears as its actual geometry. Use this option for the best representation of the final animation, at the greatest cost in computational speed.</p>\n\
<p>7: <strong>Diamonds</strong> - Each particle appears as a diamond.</p>\n\
<p>8: <strong>Boxes</strong> - Each particle appears as a small square.</p>\n\
<p>9: <strong>Asterisks</strong> - Each particle appears as an asterisk (*).</p>\n\
<p>10: <strong>Triangles</strong> - Each particle appears as a small triangle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;displayParticles&gt;.Visible Float default:100.0 --percentage \n\
</pre></div><p>Specifies the percentage of particles visible in the viewports. This option lets you speed up viewport redrawing by reducing the number of visible particles</p>\n\
<div class=\'codeBlock\'><pre>&lt;displayParticles&gt;.Color RGB color \n\
</pre></div><p>Get/Set the color used to draw particles in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;displayParticles&gt;.Show_Numbering Boolean default:false \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , each particle&#39;s unique index number is visible in the viewports. Particles are numbered in the order of their birth, starting with 1 for the first particle born</p>\n\
<div class=\'codeBlock\'><pre>&lt;displayParticles&gt;.Selected_Type Integer default:2 \n\
</pre></div><p>Controls how selected particles appear in the viewports. The options are the same as in <span class=\'code\'>.Type</span> .</p>\n\
<div class=\'section\'><a id=\"displayparticles-interfaces\"></a><h2 id=\"displayparticles-interfaces\">displayParticles Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";