var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>renderParticles : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>renderParticles : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"renderparticles-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>renderParticles- superclass: helper super-superclass:node - classID: #(1962490627, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>RenderParticles</strong> operator provides controls related to rendering particles. You can specify the form that rendered particles are to take, and how to convert the particles to individual mesh objects for rendering purposes.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>RenderParticles... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;renderParticles&gt;.Type Integer default:2 \n\
</pre></div><p>Controls the state of the <strong>Type</strong> drop-down list. Possible values are:</p>\n\
<p>0: <strong>None</strong> - Particles do not render.</p>\n\
<p>1: <strong>BoundingBox</strong> - Particles render as boxes whose sizes represent the particle geometry extents.</p>\n\
<p>2: <strong>Geometry</strong> - Particles render with their actual geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;renderParticles&gt;.Visible Float default:100.0 --percentage \n\
</pre></div><p>Get/Set the percentage of particles that render</p>\n\
<div class=\'codeBlock\'><pre>&lt;renderParticles&gt;.Split_Type Integer \n\
</pre></div><p>Controls the state of the <strong>Render Result</strong> group radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Single Mesh</strong> - Sends the renderer one mesh object comprised of all particles in the system.</p>\n\
<p>1: <strong>Multiple Meshes</strong> - Sends the renderer the specified number of mesh objects, each containing the specified number of particles. If the result of dividing the total number of particles by the Particles p/Mesh value is less than the specified Mesh Count value, some of the meshes might contain few or no faces.</p>\n\
<p>2: <strong>Mesh Per Particle</strong> - Sends the renderer a separate mesh for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;renderParticles&gt;.Mesh_Count Integer \n\
</pre></div><p>Get/Set the maximum number of mesh objects that <strong>Particle Flow</strong> will send to the renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;renderParticles&gt;.Particles_Per_Mesh Integer \n\
</pre></div><p>Get/Set the number of particles that each mesh object will contain.</p>\n\
<div class=\'section\'><a id=\"renderparticles-interfaces\"></a><h2 id=\"renderparticles-interfaces\">renderParticles Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";