var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Birth : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Birth : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birth-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Birth - superclass: helper; super-superclass:node - 7:0 - classID: #(1962490630, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth</strong> operator enables creation of particles within the <strong>Particle Flow</strong> system using a set of simple parameters.</p>\n\
<p>In general, use Birth as the first operator in any event connected directly to a Source event.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Birth... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth&gt;.Amount Integer default: 200 -- integer \n\
</pre></div><p>Get/Set the total number of particles emitted by the operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth&gt;.Emit_Start Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the time in ticks at which the operator begins emitting particles.</p>\n\
<p>Note:</p>\n\
<p>The time value is shown as frames in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth&gt;.Emit_Stop Integer default: 4800 -- integer \n\
</pre></div><p>Get/Set the time in ticks at which the operator stops emitting particles.</p>\n\
<p>Note:</p>\n\
<p>The time value is shown as frames in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth&gt;.Rate Float default: 60.0 -- animatable; float \n\
</pre></div><p>Get/Set the number of particles emitted per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth&gt;.Subframe_Sampling Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the Subframe Sampling.</p>\n\
<p>Turning it on helps avoiding particle &quot;puffing&quot; by emitting particles at a much higher subframe rather than using the relatively coarse frame resolution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth&gt;.Type Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of the radio buttons in the UI. Possible values are:</p>\n\
<p>0: <strong>Amount</strong> - Specifies the total number of particles emitted by the operator</p>\n\
<p>1: <strong>Rate</strong> - Specifies the number of particles emitted <em>per second</em>. The operator emits this number of particles per second starting at the Emit Start frame and ending at the Emit Stop frame.</p>\n\
<p>Note:</p>\n\
<p>To determine the number of particles emitted per frame when using Amount, divide the Amount value by the number of emission frames (Emit Stop-Emit Start+1).</p>\n\
<div class=\'section\'><a id=\"birth-interfaces\"></a><h2 id=\"birth-interfaces\">Birth Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Birth Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";