var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BirthGrid : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BirthGrid : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birthgrid-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>BirthGrid - superclass: helper; super-superclass:node - 23:0 - classID: #(1935830529, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>BirthGrid</strong> operator generates particles and places them in a grid-like structure to fill up the volume of the operator&#39;s icon or a reference geometry.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>BirthGrid...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Emit_Time     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Emit Time&quot;</strong> spinner</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Grid_Base_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Grid Base&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Square</strong> (default)</p>\n\
<p>1 - <strong>Triangle</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Grid_Size     Float    default: 1.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Grid Size&quot;</strong> parameter in world units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Use_Non_Uniform_Grid     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Non-Uniform Grid&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), the Grid Size value will be used to distribute particles uniformly along all three axes.</p>\n\
<p>When set to True, the Grid Size will be scaled by the <span class=\'code\'>.Grid_Length</span> , <span class=\'code\'>.Grid_Width</span> and <span class=\'code\'>.Grid_Height</span> percentage values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Grid_Length     Float    default: 100.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Grid Lenght %&quot;</strong> spinner.</p>\n\
<p>Used when <span class=\'code\'>.Use_Non_Uniform_Grid</span> property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Grid_Width     Float    default: 100.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Grid Width %&quot;</strong> spinner.</p>\n\
<p>Used when <span class=\'code\'>.Use_Non_Uniform_Grid</span> property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Grid_Height     Float    default: 100.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Grid Height %&quot;</strong> spinner.</p>\n\
<p>Used when <span class=\'code\'>.Use_Non_Uniform_Grid</span> property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Use_Alternating_Lateral_Offset     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Alternate Lateral Offset&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Compact_Vertical_Size     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Compact Vertical Size&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Use_Random_Vertical_Offset     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Random Vertical Offset&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Grid_Offset     Float    default: 100.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Grid Offset %&quot;</strong> spinner.</p>\n\
<p>Used when <span class=\'code\'>.Use_Random_Vertical_Offset</span> is set to True to randomize the vertical offset of the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Random_Seed     Integer    default: 45921   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Restrict_By_Mesh_Volume     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Restrict By Mesh Volume&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Delete_Internal_Particles     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Delete Internal Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.External_Layers     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;External Layers #&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Interactive_Update     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Interactive Update&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Reference_Geometry     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the geometry object reference used to restrict the grid by mesh volume.</p>\n\
<div class=\'section\'><a id=\"icon-size-group-of-controls\"></a><h2 id=\"icon-size-group-of-controls\">Icon Size group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Icon_Length     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Length&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Icon_Width     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Icon_Height     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Color_Type     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Upper_Limit     Integer    default: 10000000   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Upper Limit&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthGrid&gt;.Save_Grid_Data_With_File     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Save Grid Data With File&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"birthgrid-interfaces\"></a><h2 id=\"birthgrid-interfaces\">BirthGrid interfaces:</h2></div>\n\
<p><strong>Interface: BirthGrid</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Birth_Group&gt;.CalculateMeshVolumeLimits()\n\
</pre></div><p>Equivalent to pressing the <strong>&quot;Calculate Mesh Volume Limits&quot;</strong> button in the operator&#39;s UI.</p>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the BirthGrid Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";