var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BirthStream : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BirthStream : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birthstream-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>BirthStream - superclass: helper; super-superclass:node - 14:0 - classID: #(1935830531, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>BirthStream</strong> operator generates a stream if non-overlapping particles and defines their position and speed properties.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>BirthStream...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Emit_Start     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Emit Start&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Emit_Stop     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Emit Stop&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Rate     Float    default: 60.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Rate&quot;</strong> spinner.</p>\n\
<p>It defines the emission rate per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Separation     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Separation&quot;</strong> spinner.</p>\n\
<p>It defines the minimum distance in world units between newly born particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Delay_Birth_If_Overlap     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Delay Birth If Overlap&quot;</strong> checkbox.</p>\n\
<p>When set to True, the birth of the particle may be delayed to avoid overlapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Speed     Float    default: 300.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed&quot;</strong> spinner.</p>\n\
<p>Defines the initial speed of the particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Inherit_Icon_Movement     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Inherit Icon Movement&quot;</strong> checkbox.</p>\n\
<p>When set to True, the particle will inherit the speed of the icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Multiplier     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0); \n\
</pre></div><p>Get/set the value of the <strong>&quot;Multiplier %&quot;</strong> spinner.</p>\n\
<p>When <span class=\'code\'>.Inherit_Icon_Movement</span> is set to True, controls the percentage of the icon&#39;s speed to inherit.</p>\n\
<div class=\'section\'><a id=\"stream-source-icon-group-of-controls\"></a><h2 id=\"stream-source-icon-group-of-controls\">Stream Source Icon group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Icon_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the &quot;Stream Source Icon&quot; type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Rectangle</strong> (default)</p>\n\
<p>1 - <strong>Ellipse</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Icon_Length     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Lenght&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Icon_Width     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Color_Type     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Color Coordinated&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Random_Seed     Integer    default: 45325   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BirthStream&gt;.Max_Attempts     Integer    default: 100   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Max Attempts&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"birthstream-interfaces\"></a><h2 id=\"birthstream-interfaces\">BirthStream interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the BirthStream Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";