var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Birth_File : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Birth_File : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birth_file-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Birth_File - superclass: helper; super-superclass:node - 24:0 - classID: #(1962490665, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The Birth_File operator implements the loading of XML particle files in the Autodesk Maya nCache format used to transfer data from Autodesk Softimage&#39;s ICE.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Birth_File ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"particle-file-group-of-controls\"></a><h2 id=\"particle-file-group-of-controls\">&quot;Particle File&quot; group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Particle_File String default: &quot;&quot; -- filename; Name_of_Particle_File\n\
</pre></div><p>Get/set the particle file name.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Particle_File_Valid BooleanClass default: false -- boolean\n\
</pre></div><p>This property will be true if the particle file is valid and false of it is not valid or not specified.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.File_Nb_Frames Integer default: 0 -- integer; Number_of_Frames_in_File\n\
</pre></div><p>Contains the number of frames in the particle file specified by the <span class=\'code\'>.Particle_File</span> property.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.File_Start Integer default: 0 -- integer; File_Start_Frame\n\
</pre></div><p>Contains the start frame of the particle file specified by the <span class=\'code\'>.Particle_File</span> property.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.File_End Integer default: 0 -- integer; File_End_Frame\n\
</pre></div><p>Contains the end frame of the particle file specified by the <span class=\'code\'>.Particle_File</span> property.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.File_Rate Float default: 0.0 -- float; Frame_Rate\n\
</pre></div><p>Contains the frame rate of the particle file specified by the <span class=\'code\'>.Particle_File</span> property.</p>\n\
<div class=\'section\'><a id=\"current-frame-group-of-controls\"></a><h2 id=\"current-frame-group-of-controls\">&quot;Current Frame&quot; group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Nb_Particles_ThisFrame Integer default: 0 -- integer; Number_of_Particles_for_This_Frame\n\
</pre></div><p>Contains the number of particles in the current frame of the particle file specified by the <span class=\'code\'>.Particle_File</span> property.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.FileTime Integer default: 0 -- integer; File_Time\n\
</pre></div><p>Contains the file time of the current frame.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.DataFile_ThisFrame UndefinedClass default: undefined -- string; Data_File_Name_for_This_Frame; \n\
</pre></div><p>Contains the current frame&#39;s file name.</p>\n\
<p>Read-only.</p>\n\
<div class=\'section\'><a id=\"time-group-of-controls\"></a><h2 id=\"time-group-of-controls\">&quot;Time&quot; group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Range_Type Integer default: 0 -- integer\n\
</pre></div><p>Get/set the range type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use File</strong> (default)</p>\n\
<p>1 - <strong>Custom</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Range_Start Integer default: 0 -- integer\n\
</pre></div><p>Get/set the Custom Range Start frame.</p>\n\
<p>Used when <span class=\'code\'>.RangeType</span> is set to 1.</p>\n\
<p>Corresponds to the &quot;From&quot; spinner in the UI.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Range_End Integer default: 100 -- integer\n\
</pre></div><p>Get/set the Custom Range End frame.</p>\n\
<p>Used when <span class=\'code\'>.RangeType</span> is set to 1.</p>\n\
<p>Corresponds to the &quot;To&quot; spinner in the UI.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Emit_Start Integer default: 0 -- integer\n\
</pre></div><p>Get/set the frame on which to start the emission.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Speed_Factor Float default: 100.0 -- float\n\
</pre></div><p>Get/set the Speed Factor percentage value.</p>\n\
<p>Corresponds to the &quot;Speed (%)&quot; spinner in the UI.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Extrapolation_Type Integer default: 1 -- integer\n\
</pre></div><p>Get/set the extrapolation method.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>Constant</strong> (default)</p>\n\
<div class=\'section\'><a id=\"channels-group-of-controls\"></a><h2 id=\"channels-group-of-controls\">&quot;Channels&quot; group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Use_Position_Channel BooleanClass default: true -- boolean; Position\n\
</pre></div><p>Get/set the state of the &quot;Position&quot; checkbox.</p>\n\
<p>When set to true (default), the Position channel will be loaded from the file.</p>\n\
<p>When set to false, the Position channel will not be loaded.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Use_Orientation_Channel BooleanClass default: true -- boolean; Orientation\n\
</pre></div><p>Get/set the state of the &quot;Orientation&quot; checkbox.</p>\n\
<p>When set to true (default), the Orientation channel will be loaded from the file.</p>\n\
<p>When set to false, the Orientation channel will not be loaded.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Orientation_Up_Vector Integer default: 0  --  integer; Extrapolation_Type\n\
</pre></div><p>Get/set the state of the &quot;Up Vector&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Y</strong> (default)</p>\n\
<p>1 - <strong>Z</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Use_Scale_Channel BooleanClass default: true -- boolean; Scale\n\
</pre></div><p>Get/set the state of the &quot;Scale&quot; checkbox.</p>\n\
<p>When set to true (default), the Scale channel will be loaded from the file.</p>\n\
<p>When set to false, the Scale channel will not be loaded.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Use_Speed_Channel BooleanClass default: true -- boolean; Speed\n\
</pre></div><p>Get/set the state of the &quot;Speed&quot; checkbox.</p>\n\
<p>When set to true (default), the Speed channel will be loaded from the file.</p>\n\
<p>When set to false, the Speed channel will not be loaded.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Use_Color_Channel BooleanClass default: true -- boolean; Color\n\
</pre></div><p>Get/set the state of the &quot;Color&quot; checkbox.</p>\n\
<p>When set to true (default), the Color channel will be loaded from the file.</p>\n\
<p>When set to false, the Color channel will not be loaded.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Color_Map_Channel Integer default: 0 -- integer\n\
</pre></div><p>Get/set the value of the Color Map Channel spinner.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Use_Opacity_Channel BooleanClass default: true -- boolean; Opacity\n\
</pre></div><p>Get/set the state of the &quot;Opacity&quot; checkbox.</p>\n\
<p>When set to true (default), the Opacity channel will be loaded from the file.</p>\n\
<p>When set to false, the Opacity channel will not be loaded.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.Opacity_Map_Channel Integer default: 1 -- integer\n\
</pre></div><p>Get/set the value of the Opacity Map Channel spinner.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Birth_File&gt;.File_Channel_Mask Integer default: 0 -- integer\n\
</pre></div><p>Contains an integer value where a set bit stands for an existing particle data channel and false bits represent missing channels.</p>\n\
<div class=\'section\'><a id=\"birth_file-interfaces\"></a><h2 id=\"birth_file-interfaces\">Birth_File Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Birth_Paint Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";