var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Birth_Group : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Birth_Group : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birth_group-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Birth_Group - superclass: helper; super-superclass:node - 11:0 - classID: #(1935830530,515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Group</strong> operator generates particles from a set of reference objects and places them exactly as defined by the reference objects.</p>\n\
<p>The shape, mapping and materials are copied from the reference objects to the particles.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Birth_Group...\n\
BirthGroup...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Emit_Time Integer default:0 -- integer\n\
</pre></div><p>Get/Set the value of the <strong>&quot;Emit Time&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Particle_Objects ArrayParameter default: #() -- node array\n\
</pre></div><p>Get/Set the reference objects array. Corresponds to the <strong>&quot;Particle Objects&quot;</strong> listbox and related UI controls.</p>\n\
<p>See also the <span class=\'code\'>UpdateParticlesFromObjects()</span> method documented in the end of this topic. It forces an update of the particles from the current states of the reference objects.</p>\n\
<div class=\'section\'><a id=\"separate-particles-for-group-of-controls\"></a><h2 id=\"separate-particles-for-group-of-controls\">Separate Particles For group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Split_By_Group_Members BooleanClass default: false -- boolean\n\
</pre></div><p>Get/Set the state of the <strong>&quot;Group Members&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Split_By_Children BooleanClass default: false -- boolean\n\
</pre></div><p>Get/Set the state of the <strong>&quot;Object And Children&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Split_By_Elements BooleanClass default: false -- boolean\n\
</pre></div><p>Get/Set the state of the <strong>&quot;Object Elements&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Acquire_Shapes BooleanClass default: true -- boolean\n\
</pre></div><p>Get/Set the state of the <strong>&quot;Acquire Shapes&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Acquire_Mapping BooleanClass default: true -- boolean\n\
</pre></div><p>Get/Set the state of the <strong>&quot;Acquire Mapping&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Acquire_Material BooleanClass default: true -- boolean\n\
</pre></div><p>Get/Set the state of the <strong>&quot;Acquire Material&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.SubMtl_ID_Offset Integer default: 0 -- integer\n\
</pre></div><p>Get/Set the value of the <strong>&quot;Sub-Mtl ID Offset&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Group&gt;.Handles_To_Report ArrayParameter default: #(1828010099, 536368280, 259726508, 502820967) -- int array\n\
&lt;Birth_Group&gt;.Report_Node_Handles Integer default: 1 -- integer\n\
</pre></div><div class=\'section\'><a id=\"birth_group-interfaces\"></a><h2 id=\"birth_group-interfaces\">Birth_Group interfaces:</h2></div>\n\
<p><strong>Interface: BirthGroup</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Birth_Group&gt;.UpdateParticlesFromObjects()\n\
</pre></div><p>Calling this method corresponds to pressing the <strong>&quot;Update Particles From Objects&quot;</strong> button in the UI. It updates the particles from the current state of the reference objects.</p>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the Birth_Group Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";