var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Birth_Paint : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Birth_Paint : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birth_paint-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Birth_Paint - superclass: helper; super-superclass:node - 10:0 - classID:#(1395943170, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Paint</strong> operator allows the placement of particles by painting in the viewport.</p>\n\
<p>The <strong>Birth_Paint</strong> operator uses a Particle Paint Helper as a reference for creating particles. With the Particle Paint helper, particle seeds are placed on an object with a specific pattern and timing. The <strong>Birth_Paint</strong> operator creates particles from these seeds, initializing particle position, rotation, mapping and selection status.</p>\n\
<p>The <strong>Birth_Paint</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became integral part in <strong>3ds Max 2010</strong>.It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Birth_Paint... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"particle-paint-helper\"></a><h2 id=\"particle-paint-helper\">Particle Paint Helper</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Particle_Paint_Helper: node   \n\
</pre></div><p>Get/set the Particle Paint Helper used to define the seeds for particle generation.</p>\n\
<div class=\'section\'><a id=\"timing\"></a><h2 id=\"timing\">Timing</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Emit_Type: radiobtnIndex \n\
</pre></div><p>Get/set the type of particle emission.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Emit Start and Stop Range</strong> (default)</p>\n\
<p>1 - <strong>Emit Start and Duration</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Emit_Start: integer \n\
</pre></div><p>Get/set the Emit Start value which controls the time particles start emitting, starting with particle seeds at the start of the first stroke.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Emit_Stop: integer \n\
</pre></div><p>Get/set the EmitStopvalueused when Emit_Type is set to 0.</p>\n\
<p>The time to emit all strokes in the Particle Paint helper is scaled to fit the time between Emit Start and Emit Stop.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Duration: integer \n\
</pre></div><p>Get/set the Emit Duration valueused when Emit_Type is set to 1. In this case, the time to emit all strokes in the Particle Paint helper is equal to the Duration value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Subframe_Sampling: boolean \n\
</pre></div><p>Get/set the state of the Subframe Sampling option.</p>\n\
<p>When set to true, particles are emitted on the sub-frame timing as defined by the strokes’ timing and the Emit Start and Emit Stop values. This can help avoid particle clumps.</p>\n\
<p>When set to false, the particle creation time is clamped to the nearest whole frame value.</p>\n\
<div class=\'section\'><a id=\"lock-at-painted-objects\"></a><h2 id=\"lock-at-painted-objects\">Lock At Painted Objects:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Lock_Position: boolean \n\
</pre></div><p>Get/set the state of the Lock At Painted Object &gt; Position option.</p>\n\
<p>When set to true, causes all particles’ pivot points to stick firmly to the painted objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Lock_Rotation: boolean \n\
</pre></div><p>Get/set the state of the Lock At Painted Object &gt; Rotation option.</p>\n\
<p>When set to true, causes all particles to retain their original orientations. Even if the painted object has surface animation, particles retain the same normal orientation they had at the moment of generation.</p>\n\
<div class=\'section\'><a id=\"acquire-selection\"></a><h2 id=\"acquire-selection\">Acquire Selection</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Acquire_Selection: boolean \n\
</pre></div><p>Get/set the state of the Acquire Selection option.</p>\n\
<p>When set to true, the operator will use the Particle Paint helper selection. This selection overwrites the PF Source particle selection, if any. The Sub-Object selection type is controlled by the <strong><span class=\'code\'>.Selection_Type</span></strong> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Paint&gt;.Selection_Type: radiobtnIndex \n\
</pre></div><p>Get/set the Sub-Object selection type for the Acquire Selection option.</p>\n\
<p>Possible values are</p>\n\
<p>0 - <strong>Particles</strong> (default)</p>\n\
<p>1 - <strong>Strokes</strong></p>\n\
<div class=\'section\'><a id=\"birth_paint-interfaces\"></a><h3 id=\"birth_paint-interfaces\">Birth_Paint Interfaces:</h3></div>\n\
<p><strong>The following Interfaces are exposed by the Birth_Paint Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";