var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Birth_Texture : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Birth_Texture : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"birth_texture-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Birth_Texture - superclass: helper; super-superclass:node -37:0 - classID:#(1395943176, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Birth_Texture</strong> operator uses an animated texture to calculate the timing, location, and scale of particles. In general, <strong>Birth_Texture</strong> causes particles to emit from the object where the texture is white or a bright color.</p>\n\
<p>The <strong>Birth_Texture</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part in <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Birth_Texture... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"particle-flow-user-interface\"></a><h2 id=\"particle-flow-user-interface\">Particle Flow User Interface</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Emit_Start: integer \n\
</pre></div><p>Get/set the Emit Start value defining the frame at which the operator begins emitting particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Emit_Stop: integer \n\
</pre></div><p>Get/set the Emit Stop value defining the frame at which the operator stops emitting particles. The exact timing of start and stop may vary due to the timing of individual particles, which is dependent on the emitter&#39;s animated texture.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Lock_On_Emitter: boolean \n\
</pre></div><p>Get/set the state of the Lock On Emitter option.</p>\n\
<p>When set to true, it causes all particles’ pivot points to be &quot;glued&quot; to the painted objects. The option tells the Birth Texture operator to continue controlling particle position even after the particles are born.</p>\n\
<div class=\'section\'><a id=\"modifier-panel-user-interface\"></a><h2 id=\"modifier-panel-user-interface\">Modifier Panel User Interface</h2></div>\n\
<div class=\'section\'><a id=\"quantity\"></a><h3 id=\"quantity\">Quantity:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Emission_Type: radiobtnIndex \n\
</pre></div><p>Get/set the selection index of the Quantity Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Amount</strong> (default)</p>\n\
<p>1 - <strong>Max.Rate</strong></p>\n\
<p>2 - <strong>Separate</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Maximum_Amount: integer \n\
</pre></div><p>Get/set the Amount value used when <span class=\'code\'>.Emission_Type</span> is set to 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Maximum_Rate: float \n\
</pre></div><p>Get/set the Max.Rate value used when <span class=\'code\'>.Emission_Type</span> is set to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Separate_Distance: worldUnits \n\
</pre></div><p>Get/set the Separate value used when <span class=\'code\'>.Emission_Type</span> is set to 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Adjust_Separation_By_Scale_Factor: boolean \n\
</pre></div><p>Get/set the state of the Adjust By Scale Factor checkbox used when <span class=\'code\'>.Emission_Type</span> is set to 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Use_Subdivision: boolean \n\
</pre></div><p>Get/set the state of the Subdivide checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Subdivision_Length: worldUnits \n\
</pre></div><p>Get/set the Subdivide value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Amount_Limit: integer \n\
</pre></div><p>Get/set the Amount Limit value.</p>\n\
<div class=\'section\'><a id=\"timing\"></a><h3 id=\"timing\">Timing:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Data_Start: integer \n\
</pre></div><p>Get/set the Start value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Data_Stop: integer \n\
</pre></div><p>Get/set the Stop value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Delay_Variation: integer \n\
</pre></div><p>Get/set the Delay Var. value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Use_Latency: boolean \n\
</pre></div><p>Get/set the state of the Latency checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Latency: integer \n\
</pre></div><p>Get/set the Latency value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Precision: integer \n\
</pre></div><p>Get/set the selection index of the Precision drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Frame</strong></p>\n\
<p>1 - <strong>Half Frame</strong></p>\n\
<p>2 - <strong>1/4 Frame</strong></p>\n\
<p>3 - <strong>1/8 Frame</strong></p>\n\
<div class=\'section\'><a id=\"emission-by\"></a><h3 id=\"emission-by\">Emission By:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Emission_By: integer \n\
</pre></div><p>Get/set the selection index of the Emission By drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Material</strong> (default)-Gathers colors from the emitter&#39;s material.</p>\n\
<p>1 - <strong>Sub-Material</strong> -Gathers colors from a single sub-material, and generates particles only on faces with the specified sub-material ID (Material ID). The sub-material ID is set by the Sub-Mtl ID parameter.</p>\n\
<p>2 - <strong>Sub-Mtl Global</strong> -Gathers colors from a single sub-material, and generates particles over the entire emitter surface regardless of the faces&#39; Material IDs. The sub-material ID is set by the Sub-Mtl ID parameter.</p>\n\
<p>3 - <strong>Vertex Color</strong> -Gathers colors from the Vertex Color channel.</p>\n\
<p>4 - <strong>Vertex Alpha</strong> -Gathers colors from the Vertex Alpha channel.</p>\n\
<p>5 - <strong>Vertex Illum</strong> -Gathers colors from the Vertex Illum channel.</p>\n\
<p>6 - <strong>Mapping</strong> -Gathers colors from a mapping channel. A mapping channel can be used by the Vertex Paint modifier to color vertices. The mapping channel index is defined by the Channel parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Emission_RGB_Channels: boolean array \n\
</pre></div><p>Get/set the states of the R, G and B checkbuttons as an array of Booleans.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Emission_Texture_SubMaterial_ID: integer \n\
</pre></div><p>Get/set the Sub-Mtl ID value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Whiteness: percent \n\
</pre></div><p>Get/set the Whiteness % value.</p>\n\
<div class=\'section\'><a id=\"emitter-objects\"></a><h3 id=\"emitter-objects\">Emitter Objects:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Emitter_Objects: node array \n\
</pre></div><p>Get/set the array of emitter objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Animated_Shape: boolean \n\
</pre></div><p>Get/set the state of the Animated Emitters checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Surface_Normal_Offset: boolean \n\
</pre></div><p>Get/set the state of the Surface Normal Offset checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Surface_Offset_Minimum: worldUnits \n\
</pre></div><p>Get/set theOffset Min. value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Surface_Offset_Maximum: worldUnits \n\
</pre></div><p>Get/set the Offset Max. value.</p>\n\
<div class=\'section\'><a id=\"scale-factor\"></a><h3 id=\"scale-factor\">Scale Factor:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Scale_Type: integer \n\
</pre></div><p>Get/set the selection index of the Scale By drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong> (default) - No particle scaling is set.</p>\n\
<p>1 - <strong>Sub-Material</strong> - Uses a single sub-material to set the scale, and uses this scale over the entire emitter surface regardless of the faces&#39; Material IDs. The sub-material ID is set by the Sub-Mtl ID parameter.</p>\n\
<p>2 - <strong>Vertex Color</strong> - Uses the Vertex Color channel to define particle scale.</p>\n\
<p>3 - <strong>Vertex Alpha</strong> - Uses the Vertex Alpha channel to define particle scale.</p>\n\
<p>4 - <strong>Vertex Illum</strong> - Uses the Vertex Illum channel to define particle scale.</p>\n\
<p>5 - <strong>Mapping</strong> -Defines particle scale with a mapping channel that is used for vertex coloring by the Vertex Paint modifier. The mapping channel index is defined by the Channel parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Scale_Factor_SubMtl_ID: integer \n\
</pre></div><p>Get/set the SubMat ID value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Black_Scale: percent \n\
</pre></div><p>Get/set the Black Scale % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.White_Scale: percent \n\
</pre></div><p>Get/set the White Scale % value.</p>\n\
<div class=\'section\'><a id=\"display\"></a><h3 id=\"display\">Display:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Show_Particles: boolean \n\
</pre></div><p>Get/set the state of the Show Particles checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Display_Type: radiobtnIndex \n\
</pre></div><p>Get/set the selection index of the Display Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All</strong></p>\n\
<p>1 - <strong>By Timing</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Show_Only_When_Selected: boolean \n\
</pre></div><p>Get/set the state of the Only When Selected checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Icon_Size: worldUnits \n\
</pre></div><p>Get/set the Icon Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Color_Coordinated: boolean \n\
</pre></div><p>Get/set the state of the Color Coordinated checkbox.</p>\n\
<div class=\'section\'><a id=\"uniqueness\"></a><h3 id=\"uniqueness\">Uniqueness:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Random_Seed: integer \n\
</pre></div><p>Get/set the Seed value.</p>\n\
<div class=\'section\'><a id=\"others\"></a><h3 id=\"others\">Others:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Birth_Texture&gt;.Fast_Approximate_Separation: boolean \n\
</pre></div><div class=\'section\'><a id=\"birth_textureinterfaces\"></a><h2 id=\"birth_textureinterfaces\">Birth_TextureInterfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: BirthTextureOperator \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;initialize() \n\
</pre></div><p>Initializes the Birth Texture operator. Equivalent to pressing the &quot;Initialize Particle Emission&quot; button in the Modify Panel UI.</p>\n\
<p><strong>The following common Interfaces are exposed by the Birth_TextureClass:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";