var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DeleteParticles : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DeleteParticles : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"deleteparticles-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>deleteParticles - superclass: helper; super-superclass:node - 4:0 - classID: #(1962490645, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>DeleteParticles</strong> operator is used to remove particles from the particle system. By default, particles live <strong>&#39;forever&#39;</strong>, that is, for the duration of the animation. The <strong>DeleteParticles</strong> operator lets you give them a finite life span. This is useful for eliminating particles once they&#39;ve served their purpose in the animation.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>deleteParticles... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;deleteHelper&gt;.Type Integer default: 0 -- integer \n\
</pre></div><p>Controld the state of the <strong>Remove</strong> radio buttons in the UI. Possible values are:</p>\n\
<p>0: <strong>All Particles</strong> - Deletes all particles in the event immediately.</p>\n\
<p>1: <strong>Selected Particles Only</strong> - Deletes particles selected at the Particle sub-object level in the event immediately.</p>\n\
<p>2: <strong>By Particle Age</strong> - Deletes particles in the event after they&#39;ve existed for a specific length of time, with an optional random variation. Choosing this makes the Life Span and Variation settings available.</p>\n\
<div class=\'codeBlock\'><pre>&lt;deleteHelper&gt;.Life_Span Integer default: 9600 -- integer \n\
</pre></div><p>Get/Set the number of ticks the particles will live. After this period, particles are deleted.</p>\n\
<p>Note: 9600 <a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\' title=\'\'>ticks</a> equal 2 seconds or 60 frames at 30 fps. This value is exposed as frames in the UI. The default UI value is 60 frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;deleteHelper&gt;.Variation Integer default: 1600 -- integer \n\
</pre></div><p>Get/Set the maximum amount by which Life Span may vary. To get each particle&#39;s actual life span, this value is multiplied by a random number between -1.0 and 1.0, and then added to Life Span.</p>\n\
<p><strong>Note</strong> : The UI value is exposed as frames and defaults to 10 frames which is 1/3 second at 30 fps, or 1600 <a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\' title=\'\'>ticks</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;deleteHelper&gt;.Random_Seed Integer default: 12345 -- integer \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"deleteparticles-interfaces\"></a><h2 id=\"deleteparticles-interfaces\">deleteParticles Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the deleteHelper Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";