var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Initial_State : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Initial_State : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"initial_state-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Initial_State - superclass: helper; super-superclass:node - 23:0 - classID:#(1395943172, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Initial_State</strong> operator is a birth operator that uses a snapshot of another particle system or event as a starting point for a new event.</p>\n\
<p>The particle system or events from which the <strong>Initial_State</strong> operator gets its snapshot must not be in the same event as the <strong>Initial_State</strong> operator itself.</p>\n\
<p>The <strong>Initial_State</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and later became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Initial_State... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Emit_Time: integer \n\
</pre></div><p>Get/set the Emit Time value. All particles in the initial state are generated at the same Emit Time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Auto_Sync_Emit_Time: boolean \n\
</pre></div><p>Get/set the state of the Auto Sync Emit Time checkbox.</p>\n\
<div class=\'section\'><a id=\"initial-state-from\"></a><h2 id=\"initial-state-from\">Initial State From:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.State_From_Type: integer \n\
</pre></div><p>Get/set the selection idex of the radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Particle System</strong> (default)</p>\n\
<p>1 - <strong>Selected Events</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Particle_System: node \n\
</pre></div><p>Get/set the Particle Flow node to use when <span class=\'code\'>.State_From_Type</span> is set to 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Selected_Events: node array \n\
</pre></div><p>Get/set the array of Particle Flow Evens to use when <span class=\'code\'>.State_From_Type</span> is set to 1.</p>\n\
<div class=\'section\'><a id=\"initial-state-data\"></a><h2 id=\"initial-state-data\">Initial State Data:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Age: boolean \n\
</pre></div><p>Get/set the state of the Age checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Speed: boolean \n\
</pre></div><p>Get/set the state of the Speed checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Scale: boolean \n\
</pre></div><p>Get/set the state of the Scale checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Rotation: boolean \n\
</pre></div><p>Get/set the state of the Rotation checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Spin: boolean \n\
</pre></div><p>Get/set the state of the Spin checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Mapping: boolean \n\
</pre></div><p>Get/set the state of the Mapping checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Material_ID: boolean \n\
</pre></div><p>Get/set the state of the Material ID checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Script_Data: boolean \n\
</pre></div><p>Get/set the state of the Script Data checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Shape: boolean \n\
</pre></div><p>Get/set the state of the Shape checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Use_Selection: boolean \n\
</pre></div><p>Get/set the state of the Selection checkbox.</p>\n\
<div class=\'section\'><a id=\"position-variation\"></a><h2 id=\"position-variation\">Position Variation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Max_Spread: worldUnits \n\
</pre></div><p>Get/set the Max. Spread value.</p>\n\
<div class=\'section\'><a id=\"speed-variation\"></a><h2 id=\"speed-variation\">Speed Variation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Magnitude_Variation: percent \n\
</pre></div><p>Get/set the Magnitude % value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Divergence: angle \n\
</pre></div><p>Get/set the Divergence value in degrees.</p>\n\
<div class=\'section\'><a id=\"lock-icon-to-tm\"></a><h2 id=\"lock-icon-to-tm\">Lock Icon To TM:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Lock_Position: boolean \n\
</pre></div><p>Get/set the state of the Position checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Lock_Speed: boolean \n\
</pre></div><p>Get/set the state of the Speed checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Icon_Size: worldUnits \n\
</pre></div><p>Get/set the Icon Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Color_Coordinated: Boolean \n\
</pre></div><p>Get/set the state of the Color Coordinated checkbox.</p>\n\
<div class=\'section\'><a id=\"uniqueness\"></a><h2 id=\"uniqueness\">Uniqueness</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Initial_State&gt;.Random_Seed: integer \n\
</pre></div><p>Get/set the Seed value.</p>\n\
<div class=\'section\'><a id=\"initial_state-interfaces\"></a><h2 id=\"initial_state-interfaces\">Initial_State Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Initial_State Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";