var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Group_Operator : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Group_Operator : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"group_operator-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Group_Operator- superclass: helper; super-superclass:node - 4:0 - classID:#(1395943174, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Group_Operator</strong> applies an entire event to the particles selected by any Group Selection Operator. The <strong>Group_Operator</strong> is useful when you want to apply an existing event to a particle subset, but you don&#39;t want to split the particles from the current event. The <strong>Group_Operator</strong> modifies the selected particles only while they remain in the current event.</p>\n\
<p>The <strong>Group_Operator</strong> was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Group_Operator...\n\
GroupOperator...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Operator&gt;.Event_With_Operators : node \n\
</pre></div><p>Get/set the event with operators/tests to be applied to the selected particles.</p>\n\
<p>The node can be any event except the one the Group_Operator is currently in.</p>\n\
<p>Birth operators do not affect the particles. Also, if the event has tests, the particles are not redirected to another event. All other events are performed on the particles selected by the Group Selection operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Operator&gt;.Group_Selection_Operators : node array \n\
</pre></div><p>Get/set the content of the Group Selection operators list.</p>\n\
<p>It specifies the Group Selection operators that hold particle selections on which to apply the specified Event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Operator&gt;.Selection_Condition : integer \n\
</pre></div><p>Get/set the Selection Condition list&#39;s selected item. This option will be used when the Group_Selection_Operators array contains more than one Group_Selection operators.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Selected In All Groups</strong></p>\n\
<p>1 - <strong>Selected In Any Group</strong></p>\n\
<p>2 - <strong>Selected In Single Group</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Operator&gt;.Group_Selection : node \n\
</pre></div><p>This value is provided for backwards compatibility with previous versions of the operator which supported a single Group_Selection node instead of a list of one or more. It is not used anymore.</p>\n\
<div class=\'section\'><a id=\"group_operator-interfaces\"></a><h2 id=\"group_operator-interfaces\">Group_Operator Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by theGroup_OperatorClass:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";