var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Group_Select : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Group_Select : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"group_select-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Group_Select- superclass: helper; super-superclass:node - 4:0 - classID:#(1395943173, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Group_Select</strong> operator extends Particle Flow&#39;s ability to select particles.</p>\n\
<p>With the standard PF Source object, you can select a specific group of particles with the Particle sub-object, and the same selection is used in all events. Conversely, you can use several <strong>Group_Select</strong> operators in one flow, each selecting a different group of particles. The <strong>Group_Select</strong> operator also provides an animatable icon that selects particles that pass through it, similar in function to the Vol. Select modifier.</p>\n\
<p>Each <strong>Group_Select</strong> operator selects a unique subset of particles. You can split selected particles to another event with the Split Group Operator, or indicate an outside event to affect particles with the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Operator-Helper.html\' title=\'\'>Group_Operator</a>. The <strong>Group_Select</strong> icon can be scaled and transformed to dynamically change the particle selection over the course of the particle flow.</p>\n\
<p><strong>Group_Select</strong> operators can be instanced in different events to define the same selection subset. If the particles converge into a third event, the selection subsets are united, and a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Operator-Helper.html\' title=\'\'>Group_Operator</a> works with the combined selection subset.</p>\n\
<p>The <strong>Group_Select</strong> operator doesn&#39;t change particle properties. It adds a data channel that indicates the selection status of a particle corresponding to the selection operator. To modify particles based on their selection status, use a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Operator-Helper.html\' title=\'\'>Group_Operator</a> or Split Group test.</p>\n\
<p>The <strong>Group_Select</strong> was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Group_Select...\n\
GroupSelection...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"selection-update\"></a><h2 id=\"selection-update\">Selection Update:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Update_Type : radiobtnIndex \n\
</pre></div><p>Get/set the Selection Update radio buttons state.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Once</strong> (default) - Calculates the selection status only once, at the time a particle enters the event.</p>\n\
<p>1 - <strong>Continuous</strong> - Calculates the selection status newly at every frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Reverse_Selection : boolean \n\
</pre></div><p>Get/set the state of the Reverse Selection option. It inverts the particle selection.</p>\n\
<div class=\'section\'><a id=\"selection-condition\"></a><h2 id=\"selection-condition\">Selection Condition:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Selection_Type : radiobtnIndex \n\
</pre></div><p>Get/set the Selection Type radio buttons state.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Entire Particle Stream</strong></p>\n\
<p>1 - <strong>By Snapshot</strong> (default)</p>\n\
<p>2 - <strong>Inside Icon Volume</strong></p>\n\
<p>3 - <strong>Inside Object</strong></p>\n\
<p>4 - <strong>Select By Particle</strong></p>\n\
<p>5 - <strong>Randomly Selected</strong></p>\n\
<p>6 - <strong>Combine Groups</strong></p>\n\
<div class=\'section\'><a id=\"by-snapshot\"></a><h3 id=\"by-snapshot\">1 - By Snapshot</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Snapshot_Type : integer \n\
</pre></div><p>Get/set the Snapshot Type drop-down list selection used when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 1.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Selected in PF Source</strong></p>\n\
<p>1 - <strong>All in Current Event</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Snapshot_Particle_System : integer \n\
</pre></div><p>Get/set the <span class=\'code\'>inode.handle</span> value of the PF Source node used to snapshot the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Snapshot_Indices : int array \n\
</pre></div><p>Get/set an array of 0-based integers defining the particle IDs in the snapshot.</p>\n\
<div class=\'section\'><a id=\"inside-icon-volume\"></a><h3 id=\"inside-icon-volume\">2 - Inside Icon Volume</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Icon_Type : integer \n\
</pre></div><p>Get/set the Icon Type drop-down list selection when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 2.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Box</strong> (default)</p>\n\
<p>1 - <strong>Cylinder</strong></p>\n\
<p>2 - <strong>Sphere</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Subframe_Sampling : boolean \n\
</pre></div><p>Get/set the state of the Subframe Sampling option.</p>\n\
<div class=\'section\'><a id=\"inside-object\"></a><h3 id=\"inside-object\">3 - Inside Object</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Inside_Object : node \n\
</pre></div><p>Get/set the geometry object to be used for the Inside Object test when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Animated_Shape : boolean \n\
</pre></div><p>Get/set the state of the Animated Shape option.</p>\n\
<div class=\'section\'><a id=\"select-by-particle\"></a><h3 id=\"select-by-particle\">4 - Select By Particle</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Property_Type : integer \n\
</pre></div><p>Get/set the Property drop-down list selection when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 4.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Age</strong></p>\n\
<p>1 - <strong>Birth ID</strong> (default)</p>\n\
<p>2 - <strong>Direction</strong></p>\n\
<p>3 - <strong>Scale</strong></p>\n\
<p>4 - <strong>Script Float</strong></p>\n\
<p>5 - <strong>Size</strong></p>\n\
<p>6 - <strong>Speed</strong></p>\n\
<p>7 - <strong>Uniform Index</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Age_From : integer \n\
</pre></div><p>Get/set the From value in <a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\' title=\'\'>Ticks</a> when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 0 (Age).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Age_To : integer \n\
</pre></div><p>Get/set the To value in <a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\' title=\'\'>Ticks</a> when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 0(Age).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Age_Variation : integer \n\
</pre></div><p>Get/set the Variation value when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 0 (Age).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Index_From : integer \n\
</pre></div><p>Get/set the From value when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 1 (Birth ID).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Index_To : integer \n\
</pre></div><p>Get/set the To value when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 1 (Birth ID).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Index_Variation : integer \n\
</pre></div><p>Get/set the Variation value when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 1 (Birth ID).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Divergence : angle \n\
</pre></div><p>Get/set the Divergence value in degrees when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 2 (Direction).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Divergence_Variation : angle \n\
</pre></div><p>Get/set the Divergence Variation value in degrees when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 2 (Direction).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Scale_From : percent \n\
</pre></div><p>Get/set the From value in percent when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 3 (Scale).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Scale_To : percent \n\
</pre></div><p>Get/set the To value in percent when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 3 (Scale).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Scale_Variation : percent \n\
</pre></div><p>Get/set the Variation value in percent when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 3 (Scale).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Float_From (Size_From) : float \n\
</pre></div><p>Get/set the From value when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 4 (Script Float).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Float_To (Size_To) : float \n\
</pre></div><p>Get/set the To value when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 4 (Script Float).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Float_Variation (Size_Variation) : float \n\
</pre></div><p>Get/set the Variation value when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 4 (Script Float).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Size_From : worldUnits \n\
</pre></div><p>Get/set the From value in world units when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 5 (Size).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Size_To : worldUnits \n\
</pre></div><p>Get/set the To value in world units when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 5 (Size).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Size_Variation : worldUnits \n\
</pre></div><p>Get/set the Variation value in world units when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 5 (Size).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Speed_From : worldUnits \n\
</pre></div><p>Get/set the From value in world units when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 6.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Speed_To : worldUnits \n\
</pre></div><p>Get/set the To value in world units when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 4 and the <span class=\'code\'>.Property_Type</span> property is set to 6.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Speed_Variation : worldUnits \n\
</pre></div><p>Get/set the Variation value in world units when the <strong><span class=\'code\'>.Selection_Type</span> property is set to 4 and the <span class=\'code\'>.Property_Type</span></strong> property is set to 6.</p>\n\
<div class=\'section\'><a id=\"randomly-selected\"></a><h3 id=\"randomly-selected\">5 - Randomly Selected</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Chance : percent \n\
</pre></div><p>Get/set the Chance value in percent when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 5.</p>\n\
<div class=\'section\'><a id=\"combine-groups\"></a><h3 id=\"combine-groups\">6 - Combine Groups</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Combine_Type : integer \n\
</pre></div><p>Get/set the selection index of the Combine Groups type drop-down list used when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 6.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>A and B</strong> (default)</p>\n\
<p>1 - <strong>A or B</strong></p>\n\
<p>2 - <strong>A or B not both</strong></p>\n\
<p>3 - <strong>A and not B</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Group_A : node \n\
</pre></div><p>Get/set the Group A node used when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 6.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Group_B : node \n\
</pre></div><p>Get/set the Group B node used when the <strong><span class=\'code\'>.Selection_Type</span></strong> property is set to 6.</p>\n\
<div class=\'section\'><a id=\"icon-properties\"></a><h2 id=\"icon-properties\">Icon Properties:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Icon_Size : worldUnits \n\
</pre></div><p>Get/set the Icon Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Logo_Size : worldUnits \n\
</pre></div><p>Get/set the Logo Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Color_Coordinated : boolean \n\
</pre></div><p>Get/set whether the icon color will be the same as the Display color in the current event (true) or the default blue color (false).</p>\n\
<div class=\'section\'><a id=\"uniqueness\"></a><h2 id=\"uniqueness\">Uniqueness:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Group_Select&gt;.Random_Seed : integer \n\
</pre></div><p>Get/set the Random seed value.</p>\n\
<div class=\'section\'><a id=\"group_select-interfaces\"></a><h2 id=\"group_select-interfaces\">Group_Select Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: groupSelection \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Group_Select&gt;.getSelectionHandle() \n\
</pre></div><p>Returns the selection handle for the Snapshot mode.</p>\n\
<p><strong>The following common Interfaces are exposed by the Group_Select Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";