var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mapping_Object : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mapping_Object : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mapping_object-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Mapping_Object- superclass: helper; super-superclass:node -19:0 - classID:#(1395943177, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Mapping_Object</strong> operator assigns mapping to particles by taking mapping values from reference object(s). For every particle, the Mapping Object operator finds the closest point on reference geometry, and takes the mapping values and material ID from this point, then assigns these values to the particle.</p>\n\
<p>If a particle enters the event with mapping already assigned, you can blend the mapping values to avoid a jump in color. Blending can occur either by time or by distance from the reference geometry.</p>\n\
<p>The <strong>Mapping_Object</strong> operator was first added to <strong>3ds Max</strong> as part of the Creativity Extension to <strong>3ds Max 2009</strong> and became an integral part of <strong>3ds Max 2010</strong>. It was previously available in the Particle Flow Tools Box #1.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Mapping_Object... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Mapping_Type : integer \n\
</pre></div><p>Get/set the selection index of the Type drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Once On Every Entry</strong> (default)</p>\n\
<p>1 - <strong>Continuous</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Acquire_SubMaterial_Index (Acquire_Sub_Material_Index) : boolean \n\
</pre></div><p>Get/set the state of the Acquire Sub-Material Index option.</p>\n\
<p>When set to true, the Mapping Object operator assigns the material ID from the nearest face to each particle. If the current event or a previous event has a material operator that uses the reference surface material, this option matches particle coloring to the reference surface. This allows you to blend particles to the reference surface for Multi/Sub-Object materials.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Uniform_Color_Per_Particle : boolean \n\
</pre></div><p>Get/set the state of the Uniform Color Per Particle option.</p>\n\
<div class=\'section\'><a id=\"mapping-from-objects\"></a><h2 id=\"mapping-from-objects\">Mapping From Objects:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Mapping_From_Objects : node array \n\
</pre></div><p>Get/set the node array specifying the geometry objects to acquire mapping from.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Static_Objects: boolean \n\
</pre></div><p>Get/setthe state of the Static Objects option. When set to true, the operator can assume that the geometry objects are not animated in any way and can acquire the geometry data just once.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Animated_Surface : boolean \n\
</pre></div><p>Get/set the state of the Animated Surface option. When set to true, the operator will evaluate the geometry of all objects on every frame to take surface deformations from modifiers or sub-object animation into account. It will only be used if the <span class=\'code\'>.Static_Objects</span> property is set to false.</p>\n\
<div class=\'section\'><a id=\"mapping-channels\"></a><h2 id=\"mapping-channels\">Mapping Channels:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Acquire_From_Mapping_Channels : boolean array \n\
</pre></div><p>Get/set the array of Booleans corresponding to the state of the 32 mapping channel buttons.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Use_Vertex_Color : boolean \n\
</pre></div><p>Get/set the state of the Vertex Color option.</p>\n\
<div class=\'section\'><a id=\"mapping-variation\"></a><h2 id=\"mapping-variation\">Mapping Variation:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.U_Variation : percent \n\
</pre></div><p>Get/set the U Variation percent value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.V_Variation : percent \n\
</pre></div><p>Get/set the V Variation percent value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.W_Variation : percent \n\
</pre></div><p>Get/set the W Variation percent value.</p>\n\
<p>These controls add variation to the mapping values assigned. The variation value is a percentage of the standard 0.0-1.0 mapping range. For example, if U Variation value is 20%, then the U mapping assigned to a particle can vary by up to 0.2 from the reference geometry mapping U value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Exclude_Tiling : boolean \n\
</pre></div><p>Get/set the state of the Exclude Tiling option.</p>\n\
<p>When set to False, variations set by U/V/W Variation can cause mapping values to go below 0.0 or above 1.0. With non-tiling textures, this can cause a visual jump in coloring.</p>\n\
<p>When set to True, mapping values are clamped the 0.0-1.0 range. If the original mapping value is below 1.0, then adding the variation won’t make it larger than 1.0. If the original mapping is above 0.0, adding the variation won’t make it smaller than 0.0.</p>\n\
<div class=\'section\'><a id=\"blend-mapping\"></a><h2 id=\"blend-mapping\">Blend Mapping:</h2></div>\n\
<p>By default, the acquired mapping values are assigned to a particle as soon as it enters the event. If particles have been assigned mapping values in a previous event, a visual color jump can result. Use Blend Mapping By Time or Blend Mapping By Distance to cause particles to smoothly blend between previous mapping and mapping assigned by the Mapping Object operator in the current event:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Blend_Mapping_By_Time : boolean \n\
</pre></div><p>Get/set the state of the Blend Mapping By Time option.</p>\n\
<p>When set to true, particles will blend smoothly between previous and current mapping by time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Blend_Type : integer \n\
</pre></div><p>Get/set the selection of the Type drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time-</strong> All particles will finish the blending process by the time they reach the frame specified by the <span class=\'code\'>.Blend_Time</span> propery (called &quot;Finish At Time&quot; in the UI).</p>\n\
<p>1 - <strong>Particle Age-</strong> All particles will finish the blending process by the time they reach the age specified by the <span class=\'code\'>.Blend_Time</span> propery (called &quot;Finish At Age&quot; in the UI).</p>\n\
<p>2 - <strong>Event Duration</strong> (default) - All particles will finish the blending process after they spend a specific period of time in the current event, as specified by the <strong>.Blend_Time</strong> propery (called &quot;Finish At Time&quot; in the UI).</p>\n\
<p>3 - <strong>Limited Change Rate</strong> - Limits the rate at which a particle can change its mapping. The <span class=\'code\'>.Blend_Time</span> (Turnaround Time) property defines the time interval required to change the mapping value from its previous value to the current value. The larger the Turnaround Time, the longer it will take for a particle to change to the current mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Blend_Time : integer \n\
</pre></div><p>Get/set the Blend Time value (its label will change in the UI depending on the <strong><span class=\'code\'>.Blend_Type</span></strong> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Blend_Mapping_By_Distance : boolean \n\
</pre></div><p>Get/set the state of the Blend Mapping By Distance option.</p>\n\
<p>When set to True, it causes particles to smoothly blend between previous and current mapping based on distance from the reference geometry. At every frame, the distance to the closest surface point is calculated. As a particle approaches the reference surface, the blending process occurs. The blending is finished when a particle reaches the <span class=\'code\'>.Finish_Distance</span> value in relation to the reference surface. Use this option if particles are directed toward the surface upon entry into the event, as with a Find Target operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Finish_Distance : worldUnits \n\
</pre></div><p>Get/set the Finish Distance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Show_Map_In_Viewport : boolean \n\
</pre></div><p>Get/set the state of the Show Map In Viewport option.</p>\n\
<p>When set to True, map coloring will be shown in the viewport.</p>\n\
<div class=\'section\'><a id=\"uniqueness\"></a><h2 id=\"uniqueness\">Uniqueness:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Mapping_Object&gt;.Random_Seed : integer \n\
</pre></div><p>Get/set the random seed value.</p>\n\
<div class=\'section\'><a id=\"mapping_object-interfaces\"></a><h2 id=\"mapping_object-interfaces\">Mapping_Object Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Mapping_Object Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";