var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Material_Dynamic : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Material_Dynamic : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"material_dynamic-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Material_Dynamic - superclass: helper super-superclass:node - classID: #(1962490663, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Material_Dynamic</strong> operator lets you give particles material IDs that can vary during the event. It also lets you assign a different material to each particle based on its material ID. When used with an <em>animated texture</em>, this lets you assign a different frame or map to each particle based on its total age or the amount of time it has spent in the current event.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Material_Dynamic... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Assign_Material Boolean default:true \n\
</pre></div><p>When set to True, the operator assigns a material to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Material Material default:undefined \n\
</pre></div><p>Get/set the Material to assign to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Assign_Material_ID Boolean default:false \n\
</pre></div><p>When set to True, the operator assigns a material ID to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Show_In_Viewport Boolean default:false \n\
</pre></div><p>When set to True, the material is shown applied to the particles in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Type Integer default:0 \n\
</pre></div><p>Get/set the Animated Texture</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Same As Particle ID</strong> - Choose this when using a material containing an animated texture, such as Particle Bitmap, Particle Age, or Particle MBlur.</p>\n\
<p>1: <strong>Material ID</strong> - Assigns the same material ID to all particles. Use the numeric field to set the ID value.</p>\n\
<p>2: <strong>Cycle</strong> - Assigns each particle a material ID in the range 1 to N, where N=# Sub-Materials, in increasing sequential order. The first ID assigned is 1, then 2, continuing to increment each by 1 until N; then 1 again, and so on.</p>\n\
<p>3: <strong>Random</strong> - Assigns each particle a random material ID in the range 1 to N, where N=# Sub-Materials.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Reset_Particle_Age Boolean default:false \n\
</pre></div><p>When set to True, sets each particle&#39;s age to 0 when it enters the event</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Randomize_Age Boolean default:false \n\
</pre></div><p>When set to True, the software varies the difference between the particle age and the starting material ID at random.</p>\n\
<p>The maximum difference is determined by the Max Offset parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Max_Age_Offset Time default:30f \n\
</pre></div><p>The maximum number of frames by which the software can randomly vary particle age.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Material_ID Integer default:1 \n\
</pre></div><p>Assigns the same material ID to all particles.</p>\n\
<p>Use the numeric field to set the ID value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Number_of_Sub_Materials Integer default:0 \n\
</pre></div><p>The highest ID number assigned to particles using the Cycle or Random option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Sub_Materials_Rate Float default:30.0 alias: SubMtls_Rate \n\
</pre></div><p>Sets the number of times per second that the assigned material ID is incremented.</p>\n\
<p>If this value is the same as the rate at which particles enter the event, then one ID is assigned per particle.</p>\n\
<p>If it&#39;s lower, then multiple particles are given the same ID, or if it&#39;s higher, then the software increments the assigned ID faster than 1 per particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Loop Boolean default:true \n\
</pre></div><p>Assigns each particle a material ID in the range 1 to N, where N=# Sub-Materials, in increasing sequential order.</p>\n\
<p>The first ID assigned is 1, then 2, then..., then N, then 1 again, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Sync_Type Integer default:0 \n\
</pre></div><p>Specifies the time frame for applying animated parameters.</p>\n\
<p>Used only when <span class=\'code\'>.Assign_Material_ID</span> and <span class=\'code\'>Loop</span> properties are set to True.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Add_Random_Offset Boolean default:false \n\
</pre></div><p>When set to True, the software varies the difference between the particle age and the assigned material ID at random based on the <span class=\'code\'>.Random_Offset</span> value.</p>\n\
<p>Used only when <span class=\'code\'>.Assign_Material_ID</span> and <span class=\'code\'>.Loop</span> properties are set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Random_Offset Integer default:4800 \n\
</pre></div><p>Specifies the variation of the difference between the particle age and the assigned material ID at random.</p>\n\
<p>The maximum difference is determined by the numeric parameter.</p>\n\
<p>Used only when <span class=\'code\'>.Assign_Material_ID</span> and <span class=\'code\'>.Loop</span> properties are set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Dynamic&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"material_dynamic-interfaces\"></a><h2 id=\"material_dynamic-interfaces\">Material_Dynamic Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Material_Dynamic Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";