var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Material_Frequency : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Material_Frequency : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"material_frequency-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Material_Frequency - superclass: helper super-superclass:node - classID: #(1962490664, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Material_Frequency</strong> operator lets you assign a material to an event, and specify the relative frequency with which each sub-material appears. Typically, the material is a Multi/Sub-Object material, and you specify the frequency by setting a percentage for each of up to 10 different sub-materials (or material ID). The software assigns IDs to particles in a random sequence, based on these percentages. You can also use other materials that use sub-materials, such as Double Sided and Top/Bottom.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Material_Frequency... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Frequency&gt;.Assign_Material Boolean default:true \n\
</pre></div><p>When set to True, the operator assigns a material to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Frequency&gt;.Material Material default:undefined \n\
</pre></div><p>Get/set the Material to be assigned to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Frequency&gt;.Assign_Material_ID Boolean default:false \n\
</pre></div><p>When set to True, the operator defines a material ID number for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Frequency&gt;.Show_In_Viewport Boolean default:false \n\
</pre></div><p>When set to True, the material is shown applied to the particles in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Frequency&gt;.Mtl_ID_1 Float default:50.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_2 Float default:50.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_3 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_4 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_5 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_6 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_7 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_8 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_9 Float default:0.0 --percentage \n\
&lt;Material_Frequency&gt;.Mtl_ID_10 Float default:0.0 --percentage \n\
</pre></div><p>Specify the relative likelihood of particles to be assigned the corresponding material ID.</p>\n\
<p>Assign values for all IDs, or sub-materials, in the material that you want to have applied to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Frequency&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"material_frequency-interfaces\"></a><h2 id=\"material_frequency-interfaces\">Material_Frequency Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";