var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Material_Static : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Material_Static : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"material_static-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Material_Static - superclass: helper super-superclass:node - classID: #(1962490662, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Material_Static</strong> operator lets you give particles material IDs that remain constant throughout the event. It also lets you assign a material to each particle based on its material ID. The operator can assign the same material ID to all particles, or different IDs to successive particles on a cyclical or random basis. The most common usage of this latter capability is with a Multi/Sub-Object material, for applying a different material to each particle.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Material_Static... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Assign_Material Boolean default:true \n\
</pre></div><p>When set to True, the operator assigns a material to the particles</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Material Material default:undefined \n\
</pre></div><p>Get/set the Material to be assigned to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Assign_Material_ID Boolean default:false \n\
</pre></div><p>When set to True, the operator defines a material ID number for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Show_In_Viewport Boolean default:false \n\
</pre></div><p>When set to True, the material is shown applied to the particles in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Type Integer default:0 \n\
</pre></div><p>Controls the state of the radio buttons in the UI defining the method for assigning Material IDs to particles.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Material ID</strong> (default) - Assigns the same material ID to all particles. Use the <strong>Material_ID</strong> value to set the ID value.</p>\n\
<p>1: <strong>Cycle</strong> - Assigns each particle a material ID in the range 1 to N, where N is the <strong>Number_of_Sub_Materials</strong> value, in increasing sequential order. The first ID assigned is 1, then 2, then..., then N, then 1 again, and so on.</p>\n\
<p>2: <strong>Random</strong> - Assigns each particle a random material ID in the range 1 to N, where N in <strong>Number_of_Sub_Materials</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Material_ID Integer default:1 \n\
</pre></div><p>Defines the Material ID to assign to particles when <strong><span class=\'code\'>.Type</span></strong> is set to <strong>0 : Material ID</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Number_of_Sub_Materials Integer default:0 \n\
</pre></div><p>The highest ID number assigned to particles using the Cycle or Random option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Rate_Type Integer default:1 \n\
</pre></div><p>Controls the state of the radio buttons in the Rate group in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Per Second</strong></p>\n\
<p>1: <strong>Per Particle</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Rate_Per_Second Float default:30.0 \n\
</pre></div><p>Sets the number of times per second that the assigned material ID is incremented.</p>\n\
<p>If this value is the same as the rate at which particles enter the event, then one ID is assigned per particle.</p>\n\
<p>If it&#39;s lower, then multiple particles are given the same ID, or if it&#39;s higher, then the software increments the assigned ID faster than 1 per particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Rate_Per_Particle Float default:1.0 \n\
</pre></div><p>Sets the number of particles that must appear before material ID assignment changes.</p>\n\
<p>For example, If you set Per Particle=3, the material ID changes every three particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Loop Boolean default:true \n\
</pre></div><p>When set to True and the last ID has been assigned, the software loops back to the first ID and continues the cycle.</p>\n\
<p>When set to False, the software assigns the last cycle ID to all subsequent particles.</p>\n\
<p>Available only when <span class=\'code\'>.Type</span> is set to <strong>1 : Cycle</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Material_Static&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"material_static-interfaces\"></a><h2 id=\"material_static-interfaces\">Material_Static Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";