var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Camera_Culling : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Camera_Culling : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"camera_culling-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Camera_Culling - superclass: helper; super-superclass:node - 13:0 - classID: #(1509449989, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Camera_Culling</strong> operator reduces geometry load at render time by filtering out all particles outside the camera frustum.</p>\n\
<p>The operator can be used as a Group Selection tool defined by camera view frustum.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Camera_Culling...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Use_Active_Camera     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Active Camera&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the current view/render camera will be used.</p>\n\
<p>When set the False, the Camera object specified by the <strong><span class=\'code\'>.Camera</span></strong> property will be used instead, regardless of the current view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Camera     UndefinedClass    default: undefined   --  node; !error setting value!\n\
</pre></div><p>Get/set the Camera to use for culling when the property <span class=\'code\'>.Use_Active_Camera</span> is set to False.</p>\n\
<div class=\'section\'><a id=\"clipping-planes-group-of-controls\"></a><h2 id=\"clipping-planes-group-of-controls\">Clipping Planes group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Use_Camera_Clipping_Planes     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Camera Clip. Planes&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Use_Near_Clip     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Near Clip&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Near_Clip_Distance     Float    default: 1.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Near Clip&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Use_Far_Clip     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Far Clip&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Far_Clip_Distance     Float    default: 1000.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Far Clip&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Culling_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Cull By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Particle Pivot</strong> (default)</p>\n\
<p>1 - <strong>Bounding Sphere</strong></p>\n\
<div class=\'section\'><a id=\"camera-view-frustum-culling-group-of-controls\"></a><h2 id=\"camera-view-frustum-culling-group-of-controls\">Camera View Frustum Culling group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Render_Culling     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Render&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Viewport_Culling     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Viewport&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Use_For_Group_Selection     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use For Group Selection&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Selection_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Selection Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Inside Camera Frustum</strong> (default)</p>\n\
<p>1 - <strong>Outside Camera Frustum</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_Culling&gt;.Subframe_Precision     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Subframe Precision&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"camera_culling-interfaces\"></a><h2 id=\"camera_culling-interfaces\">Camera_Culling interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the Camera_Culling Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-groupSelection.html\' title=\'\'>Interface: groupSelection</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";