var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Camera_IMBlur : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Camera_IMBlur : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"camera_imblur-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Camera_IMBlur - superclass: helper; super-superclass:node - 4:0 - classID: #(1509450241, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Camera_IMBlur</strong> operator adjusts particle speed before passing the data for image motion blur. The adjustment takes into account the camera motion.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Camera_IMBlur...\n\
CameraMBlur...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_IMBlur&gt;.Use_Active_Camera     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Active Camera&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the current view/render camera will be used.</p>\n\
<p>When set the False, the Camera object specified by the <strong><span class=\'code\'>.Camera</span></strong> property will be used instead, regardless of the current view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_IMBlur&gt;.Camera     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the Camera to use when the property <span class=\'code\'>.Use_Active_Camera</span> is set to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_IMBlur&gt;.Use_Event_Multiplier     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Event IMBlur Multiplier&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the Image Motion Blur Multiplier set in the Object Properties of the current Event object (accessed via right-click inside the Particle View dialog) will be used.</p>\n\
<p>When set to False, the <strong><span class=\'code\'>.Multiplier</span></strong> property of the operator will be used instead (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Camera_IMBlur&gt;.Multiplier     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Multiplier&quot;</strong> spinner.</p>\n\
<p>Used only when the <span class=\'code\'>.Use_Event_Multiplier</span> property is set to False.</p>\n\
<div class=\'section\'><a id=\"camera_imblur-interfaces\"></a><h2 id=\"camera_imblur-interfaces\">Camera_IMBlur interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the Camera_IMBlur Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";