var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Force : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Force : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"force-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Force - superclass: helper super-superclass:node - classID: #(1962490646, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Force</strong> operator lets you influence particle motion with one or more Space Warps from the Force category. Use this operator along with different forces to simulate the effects of wind, gravity, and so on.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Force... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Force&gt;.Force_Space_Warps ArrayParameter default:#() -- node array; SubAnim \n\
</pre></div><p>Specifies the Space Warps used by the Force operator.</p>\n\
<p>Note: The following force Space Warps work with the <strong>Force</strong> operator: <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Motor-SpacewarpObject.html\' title=\'\'>Motor</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/PushSpaceWarp-SpacewarpObject.html\' title=\'\'>Push</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Vortex-SpacewarpObject.html\' title=\'\'>Vortex</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Deflectors/Drag-superclass-SpacewarpObject-1.html\' title=\'\'>Drag</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/PBomb-SpacewarpObject.html\' title=\'\'>PBomb</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Displace_Mesh-SpacewarpModifier.html\' title=\'\'>Displace</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Gravity-SpacewarpObject.html\' title=\'\'>Gravity</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/SpacewarpObject-Node/Spacewarp-Forces/Wind-SpacewarpObject.html\' title=\'\'>Wind</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Force&gt;.Influence Float default:1000.0 -- animatable; percentage \n\
</pre></div><p>Specifies the strength with which the force or forces are applied to the particles as a percentage.</p>\n\
<p>A negative Influence value reverses the force effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Force&gt;.Sync Integer default:0 -- integer \n\
</pre></div><p>Specifies the time frame for applying animated parameters.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they are set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Force&gt;.Force_Space_Warps Array default:#() -- node array; SubAnim \n\
</pre></div><p>Specifies the list of Space Warps to be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Force&gt;.Force_Overlapping Integer default:0 --radio button number \n\
</pre></div><p>Resolves how multiple forces that occupy the same volume of space affect the particles.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Additive</strong> - the forces are combined according to their relative strengths.</p>\n\
<p>1: <strong>Maximum</strong> - only the force with the greatest strength affects the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Force&gt;.Use_Script_Float Integer default:0 -- integer \n\
</pre></div><p>Controls the state of the <strong>Use Script Float As</strong> drop-down list in the additional Script Wiring rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Not Used</strong> - <strong>Particle Flow</strong> uses the Force setting specified in the Parameters rollout.</p>\n\
<p>1: <strong>Influence</strong> - <strong>Particle Flow</strong> applies the script particleFloat value to the <span class=\'code\'>.Force</span> value.</p>\n\
<div class=\'section\'><a id=\"script-wiring\"></a><h2 id=\"script-wiring\">Script Wiring:</h2></div>\n\
<p><strong>Script Wiring</strong> lets you use a script to control the <strong>.Force</strong> property which you normally specify in the operator&#39;s parameters.</p>\n\
<ul>\n\
<li><p>Place a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script Operator</a> before the <strong>Force</strong> operator in the event,</p></li>\n\
<li><p>Use the method <span class=\'code\'>.setUseScriptWiring</span> in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a> to enable the Script Wiring and then</p></li>\n\
<li><p>Use the Script_Operator to define values in the <strong>particleFloat</strong> channel:</p></li>\n\
</ul>\n\
<p><strong>Supported Channels:</strong></p>\n\
<p><strong>ParticleFloat -&gt; Force</strong></p>\n\
<p>When Script Wiring is enabled, the values in the <strong>particleFloat</strong> channel will control the <span class=\'code\'>.Force</span> value of the <strong>Force</strong> operator.</p>\n\
<p>For an example of a script that sets particleFloat values, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleFloat-Sample-Script.html\' title=\'\'>particleFloat Sample Script</a>.</p>\n\
<div class=\'section\'><a id=\"force-interfaces\"></a><h2 id=\"force-interfaces\">Force Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Force Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";