var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ShapeLibrary : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ShapeLibrary : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shapelibrary-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>shapeLibrary- superclass: helper super-superclass:node - classID:#(1395943169, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>ShapeLibrary</strong> is the default operator for defining the geometry used in the Particle Flow system <strong>since 3ds Max 2010</strong>. In version prior to <strong>3ds Max 2010</strong>, the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/shapeStandard-Helper.html\' title=\'\'>ShapeStandard Helper</a> was performing this role.</p>\n\
<p>Note:</p>\n\
<p>All primitive particles created by the Shape Library have pivot points in their geometric centers.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>shapeLibrary... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ShapeLibrary Dimension_Type : radiobtnIndex \n\
</pre></div><p>Get/set the state of the Dimension Type radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>2D Shapes</strong></p>\n\
<p>1 - <strong>3D Shapes</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.&#39;2D_Type&#39; : integer \n\
</pre></div><p>Get/set the selection of the 2D Shape Type drop-down list available when <span class=\'code\'>.Dimension_Type</span> is set to 0.</p>\n\
<p>Note:</p>\n\
<p>To specify a property starting with a digit, enclose the property name in single quotes.</p>\n\
<p>This will avoid the &quot;-- Compile error: Bad number or time syntax&quot; error that would be thrown if the property name is specified without single quotes.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Circle 12-sided</strong></p>\n\
<p>1 - <strong>Circle 24-sided</strong></p>\n\
<p>2 - <strong>Diamond</strong></p>\n\
<p>3 - <strong>Digits Arial</strong></p>\n\
<p>4 - <strong>Digits Courier</strong></p>\n\
<p>5 - <strong>Digits Times</strong></p>\n\
<p>6 - <strong>Donut</strong></p>\n\
<p>7 - <strong>Heart</strong></p>\n\
<p>8 - <strong>Hexagon</strong></p>\n\
<p>9 - <strong>Letters Arial</strong></p>\n\
<p>10- <strong>Letters Courier</strong></p>\n\
<p>11- <strong>Letters Times</strong></p>\n\
<p>12- <strong>Notes</strong></p>\n\
<p>13- <strong>Pentagon</strong></p>\n\
<p>14- <strong>Square</strong></p>\n\
<p>15- <strong>Star 4-point</strong></p>\n\
<p>16- <strong>Star 5-point</strong></p>\n\
<p>17- <strong>Star 6-point</strong></p>\n\
<p>18- <strong>Star 8-point</strong></p>\n\
<p>19- <strong>Triangle</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.&#39;3D_Type&#39; : integer \n\
</pre></div><p>Get/set the selection of the 3D Shape Type drop-down list available when <span class=\'code\'>.Dimension_Type</span> is set to 1.</p>\n\
<p>Note:</p>\n\
<p>To specify a property starting with a digit, enclose the property name in single quotes.</p>\n\
<p>This will avoid the &quot;-- Compile error: Bad number or time syntax&quot; error that would be thrown if the property name is specified without single quotes.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Cube</strong> (default)</p>\n\
<p>1 - <strong>Diamond</strong></p>\n\
<p>2 - <strong>Diamond Long</strong></p>\n\
<p>3 - <strong>Digits Arial</strong></p>\n\
<p>4 - <strong>Digits Courier</strong></p>\n\
<p>5 - <strong>Digits Times</strong></p>\n\
<p>6 - <strong>Dodecahedron</strong></p>\n\
<p>7 - <strong>Heart</strong></p>\n\
<p>8 - <strong>Letters Arial</strong></p>\n\
<p>9- <strong>Letters Courier</strong></p>\n\
<p>10- <strong>Letters Times</strong></p>\n\
<p>11- <strong>Notes</strong></p>\n\
<p>12- <strong>Pyramid</strong></p>\n\
<p>13- <strong>Special</strong></p>\n\
<p>14- <strong>Sphere 20-sides</strong></p>\n\
<p>15- <strong>Sphere 80-sides</strong></p>\n\
<p>16- <strong>Star 5-point</strong></p>\n\
<p>17- <strong>Star 6-point</strong></p>\n\
<p>18- <strong>Tetra</strong></p>\n\
<p>19- <strong>Torus</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Size : worldUnits \n\
</pre></div><p>Get/set the Size of the shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Use_Scale : boolean \n\
</pre></div><p>Get/set the state of the Scale checkbox.</p>\n\
<p>When set to True, the scale value will be applied to the Particle Scale channel, modifying the final size of the particle in the viewport and renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Scale_Value (Scale) : percent \n\
</pre></div><p>Get/set the Scale value. When <strong><span class=\'code\'>.Use_Scale</span></strong> is set to True, the scale value will be applied to the Particle Scale channel, modifying the final size of the particle in the viewport and renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Scale_Variation : percent \n\
</pre></div><p>Get/set the Scale Variation value.</p>\n\
<p>When <strong><span class=\'code\'>.Use_Scale</span></strong> is set to True, the scale value will be changed randomly using the Scale Variation value to produce random values which will be applied to the Particle Scale channel, thus modifying the final size of the particle in the viewport and renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Random_Multi_Shape_Order : boolean \n\
</pre></div><p>Get/set the state of the Multi-Shape Random Order option.</p>\n\
<p>When set to True, multi-shape shapes will be applied randomly.</p>\n\
<p>When set to False, they will be applied in order. Multi-Shapes are for example the Digits and Letters.</p>\n\
<p>Thus, if the option is set to False and a Digits shape is selected, particles will get shapes in the order 0,1,2,3,4,5,6,7,8,9. If the option is True, the shapes will be assigned randomly based on the Random_Seed value, for example 5,8,2,9,1,3,7,4,6,0</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Random_Seed : integer \n\
</pre></div><p>Get/set the Random Seed value used to control the random number generation in the Shape Helper, including the Scale Variation and the Multi-Shape Random Order.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Generate_Mapping_Coords : boolean \n\
</pre></div><p>Get/set the state of the Generate Mapping Coords. option.</p>\n\
<p>When set to True, UV coordinates will be generated by the Shape, allowing the texture mapping of the shape geometry.</p>\n\
<p>When set to False (default), the whole shape will use the particle mapping coordinates (if any), resulting inconstant UV values throughout the shape&#39;s vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeLibrary&gt;.Fit_Mapping : boolean \n\
</pre></div><p>Get/set the state of the Fit Mapping option.</p>\n\
<p>When set to True (default) and <span class=\'code\'>.Generate_Mapping_Coords</span> is also set to True, the mapping will be set to fit the geometry.</p>\n\
<div class=\'section\'><a id=\"shapestandard-interfaces\"></a><h2 id=\"shapestandard-interfaces\">shapeStandard Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";