var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Shape_Facing : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Shape_Facing : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shape_facing-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Shape_Facing - superclass: helper super-superclass:node - classID: #(1962490641, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Shape_Facing</strong> operator creates each particle as a rectangle that always faces a particular object, camera, or direction. For effects like smoke, fire, water, bubbles, or snowflakes, use <strong>Shape_Facing</strong> with a material containing appropriate opacity and diffuse maps.</p>\n\
<p>By default, the particles&#39; top and bottom sides are parallel to the horizontal plane. The Orientation setting lets you change this default alignment.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Shape_Facing... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Look_At_Object UndefinedClass default: undefined -- node \n\
&lt;Shape_Facing&gt;.Parallel BooleanClass default: false -- boolean \n\
</pre></div><p>When False, all particles continuously rotate to stay facing toward the Look At object. Each particle&#39;s orientation varies because its location differs from those of the others.</p>\n\
<p>When True, all particles face in the same direction, defined by an imaginary line between the Particle Source gizmo center and the Look At object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Size_Space Integer default: 0 -- integer \n\
</pre></div><p>Use these settings to specify the coordinate system for setting the size, as well as the size parameters. The numeric settings in this group are not animatable.</p>\n\
<p>0: <strong>In World Space</strong> - Sets the absolute size in system units, using the World coordinate system.</p>\n\
<p>1: <strong>In Local Space</strong> - Sets particle size relative to the existing size, in local space. The software uses the dimensions of the existing shape to determine the size of the &quot;facing rectangle&quot;</p>\n\
<p>2: <strong>In Screen Space</strong> - Sets the facing particles&#39; size as a percentage of the screen width. The actual size of each particle changes as necessary throughout the animation, depending its distance from the camera, to maintain a constant size from the camera&#39;s point of view. This option is available only when the Look At object is a camera, and Use Parallel Direction is off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Units Float    default: 1.0 -- world units \n\
</pre></div><p>When the <strong>0: In World Space</strong> option is specified, sets the particle size in world units. Range is 0 to 1000000000.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Inherited_Scale Float default:100.0 -- percentage;&#39;Inherited Scale&#39; \n\
</pre></div><p>Sets the facing particles&#39; size as a percentage of the existing size. Range is 0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Proportion Float default:1.0 -- percentage \n\
</pre></div><p>Sets the particle size as a percentage of the screen width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.variation Float    default: 0.0 -- percentage \n\
</pre></div><p>Sets the percentage by which particle size can vary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Pivot_At Integer default: 1 -- integer \n\
</pre></div><p>Specifies the part of the particle around which rotation is performed when maintaining the facing direction.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Top</strong> - the center of the top side is used as the particle center for rotation</p>\n\
<p>1: <strong>Center</strong></p>\n\
<p>2: <strong>Bottom</strong> - the center of the bottom side is used as the particle center for rotation</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.WH_Ratio Float default:1.0 -- float \n\
</pre></div><p>Defines the aspect (width-to-height) ratio of the shape rectangle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Orientation Integer default:0 -- integer \n\
</pre></div><p>Get/Set the index of the Orientation drop-down list to choose how particles rotate on the axes not specified by the Look At direction.</p>\n\
<p>0: <strong>Align to Horizon</strong> (default) - Keeps the top edge aligned with the horizon (the world XY plane).</p>\n\
<p>1: <strong>Align to Speed Follow</strong> - Uses the right side of each particle as the leading edge, so the top and bottom edges are aligned with the direction of particle motion.</p>\n\
<p>2: <strong>Random</strong> - Orients the top edge at random.</p>\n\
<p>3: <strong>Allow Spinning</strong> - To spin the particles, choose this option, and in the same event use a Rotation Spin operator. In the latter, set Rotation Axis to Particle Space and use the default axis values: X=0, Y=0, Z=1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Facing&gt;.Random_Seed Integer default:12345 -- integer \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"shape_facing-interfaces\"></a><h2 id=\"shape_facing-interfaces\">shape_facing Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the shape_facing Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";