var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Shape_Instance : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Shape_Instance : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shape_instance-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Shape_Instance - superclass: helper super-superclass:node - classID: #(1962490639, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>Shape_Instance</strong> lets you use any geometry object in the scene as particles. You can effectively define only one particle shape per event, but using tests you can split the particle stream into any number of branches and define a different particle shape for each. You can also use combined objects as particle geometry and specify that <strong>Particle Flow</strong> is to use a separate member of the group for each particle.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Shape_Instance... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Group_Members Boolean default:false \n\
</pre></div><p>When set to True, group members are treated as separate particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Object_And_Children Boolean default:false \n\
</pre></div><p>When set to True, linked objects are treated as separate particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Object_Elements Boolean default:false \n\
</pre></div><p>When set to True, element sub-objects of a single mesh object are treated as separate particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Set_Scale Boolean default:true \n\
</pre></div><p>When set to True, the Scale value will be applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Scale_Value Float default:100 --percentage \n\
</pre></div><p>Specifies a uniform scaling factor for all particles. Range is from 0 to 100000.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Variation Float default:0.0 --percentage \n\
</pre></div><p>Specifies a randomized percentage of scaling variation. Use the Uniqueness setting to change the randomization. Range is from 0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Acquire_Mapping Boolean default:true \n\
</pre></div><p>When set to True, all mapping data from the reference object is transferred to particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Acquire_Material Boolean default:true \n\
</pre></div><p>When set to True, material data from the reference object is transferred to particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Random_Shape Boolean default:false \n\
</pre></div><p>When set to True, assigns shapes to particles in random order.</p>\n\
<p>When set to False, <strong>Particle Flow</strong> emits each shape in the multi-shape object as a single particle, in the order of the shape&#39;s X coordinate.</p>\n\
<p>In other words, the shape with the lowest X-axis coordinate is emitted first, then the one with the next highest, and so on.</p>\n\
<p>The option is used only if at least one of the following is set to True: <strong><span class=\'code\'>.Group_Members</span>, <span class=\'code\'>.Object_And_Children</span>, <span class=\'code\'>.Object_Elements</span></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Animated_Shape Boolean default:false \n\
</pre></div><p>When set to True, particles use any animation in the reference object, including cyclic animation applied with the Parameter Curve Out-of-Range Types controls.</p>\n\
<p>When False, the particles are not animated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Acquire_Shape Boolean default:false \n\
</pre></div><p>When set to True, <strong>Particle Flow</strong> acquires the particle shape from the reference object as each particle enters the event.</p>\n\
<p>Thus, if the reference object is animated, particles that enter at different times get different shapes. However, these shapes are not animated.</p>\n\
<p>When set to False, the shape is acquired from frame 0.</p>\n\
<p>Note: This option is available only when <strong>Animated Shape</strong> is <strong>off</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Sync_Type Integer default:0 \n\
</pre></div><p>Lets you choose how to synchronize reference-object animation with the particles.</p>\n\
<p>0: <strong>Absolute Time</strong> (default) - all particles have the same shape at any given time moment.</p>\n\
<p>1: <strong>Particle Age</strong> - Animation of the reference object is synchronized with particle age: Frame 0 of the reference-object animation corresponds to the frame of each particle&#39;s birth.</p>\n\
<p>2: <strong>Event Start</strong> - Frame 0 of the reference-object animation corresponds to the moment the particle enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Add_Random_Offset Boolean default:false \n\
</pre></div><p>When set to True, randomly varies the start of each particle&#39;s animation. Use the numeric setting to specify the number of frames by which the animation start can vary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Random_Offset Integer default:4800 \n\
</pre></div><p>When set to True, randomly varies the start of each particle&#39;s animation. Use the numeric setting to specify the number of frames by which the animation start can vary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Instance&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"shape_instance-interfaces\"></a><h2 id=\"shape_instance-interfaces\">Shape_Instance Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Shape_Instance Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";