var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Shape_Mark : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Shape_Mark : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shape_mark-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Shape_Mark - superclass: helper super-superclass:node - classID: #(1962490640, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>Use the <strong>Shape_Mark</strong> operator to replace each particle with either rectangle or a box cut out from the particle geometry with an image mapped onto it. The image can be animated and the animation can be synchronized with particle events.</p>\n\
<p>A typical application of <strong>Shape_Mark</strong> would be to leave marks after particles impact objects in the scene. For example, you could use it to leave scorch marks after a torpedo hits a boat and explodes.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Shape_Mark... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Contact_Object Node default:undefined \n\
</pre></div><p>Get/Set the Contact Object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Surface_Animation Boolean default:false \n\
</pre></div><p>When set to True, <strong>Shape_Mark</strong> takes into account surface changes due to vertex animation of the Contact object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Align_To Integer default:0 \n\
</pre></div><p>Controls the state of the <strong>Align To</strong> drop-down list in the UI. Depending on the <strong>Shape</strong> setting, <strong>Shape_Mark</strong> creates either a rectangle or a box cutout on the Contact geometry. The Orientation setting specifies how the shape is oriented. In the mark&#39;s local coordinate system, the X axis is Length, the Y axis is Width, and with the box cutout, Z is height. The Z axis is perpendicular to the surface of the object at the contact point.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Speed</strong> - The Length direction is parallel to the projection of the particles&#39; speed vector onto the contact plane.</p>\n\
<p>1: <strong>Particle X/Y/Z</strong> - The Length direction is parallel to the projection of the particle&#39;s local coordinate axis X, Y, or Z, respectively, as the particle moves towards the contact object.</p>\n\
<p>2: <strong>Random</strong> - Uses a random Length direction in the contact plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Divergence Float default:0.0 \n\
</pre></div><p>Applies a range of random variation, in degrees, to the orientation of the Length direction. Unavailable when using the <strong>2 : Random</strong> option for <strong>Align_To</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Size_Space Integer default:0 \n\
</pre></div><p>Corresponds to the Size group radio buttons. Possible values are:</p>\n\
<p>0: <strong>In World Space</strong> - Sets the absolute size in system units, using the World coordinate system.</p>\n\
<p>1: <strong>In Local Space</strong> - Sets the mark size relative to the existing particle size, in local space. The software uses the dimensions of the existing shape to determine the size of the <em>facing rectangle</em>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Width Float default:1.0 --world units \n\
</pre></div><p>When <span class=\'code\'>.Size_Space</span> is set to <strong>0 : In World Space</strong>, sets the particles Width in system units. Range is from 0 to 1000000000</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Length Float default:1.0 --world units \n\
</pre></div><p>When <span class=\'code\'>.Size_Space</span> is set to <strong>0 : In World Space</strong>, sets the particles Length in system units. Range is from 0 to 1000000000</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Inherited_Scale Float  default: 100.0 -- percent \n\
</pre></div><p>Sets the percentage of the mark size relative to the existing particle size. Range is from 0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Variation Float default:0.0 --percent \n\
</pre></div><p>Sets the percentage by which particle size can vary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Angle_Distortion Boolean default:false \n\
</pre></div><p>When set to <strong>true</strong>, increases the <strong>Length</strong> value of the mark according to the particle&#39;s angle of approach.</p>\n\
<p>This effectively stretches the mark shape if particle approaches the contact geometry at a low angle.</p>\n\
<p>Available only when <strong>Align_To</strong> is set to <strong>0 : Speed</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Max_Distortion Float default:1000.0 --percent \n\
</pre></div><p>Sets the maximum percentage by which the software may stretch the mark.</p>\n\
<p>Available only when <span class=\'code\'>.Angle_Distortion</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Mark_Type Integer default:0 \n\
</pre></div><p>These settings let you specify the mark-making object as a rectangle or a box.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Rectangle</strong> - The mark shape is a two-faced rectangle.</p>\n\
<p>Note:</p>\n\
<p>When using a material with Shape Mark, always choose this option.</p>\n\
<p>1: <strong>Box Intersection</strong> - With this option, the software creates a box for each particle that leaves a mark, and derives the mark shape from a Boolean intersection between the Contact object and the box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Height Float default:10.0 --world units \n\
</pre></div><p>Sets the height of the box used with the Box Intersection method.</p>\n\
<p>Used only when <span class=\'code\'>.Mark_Type</span> is set to <strong>1 : Box Intersection</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Multi_Elements Boolean default:false \n\
</pre></div><p>When set to True, particles can leave marks on all parts of Contact objects that contain multiple elements.</p>\n\
<p>When set to False, a particle marks only the first element it collides with.</p>\n\
<p>Available only when <span class=\'code\'>.Mark_Type</span> is set to <strong>1 : Box Intersection</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Pivot_Offset Float default:0.0 --percentage \n\
</pre></div><p>Shifts the position of the shape mark along its length dimension with respect to the pivot of the impacting particle.</p>\n\
<p>Range is from -50.0 to 50.0.</p>\n\
<p>By default, the center of the mark&#39;s length dimension coincides with the point where the particle&#39;s pivot strikes the Contact object.</p>\n\
<p>This setting lets you offset the mark&#39;s position to anywhere along its length.</p>\n\
<p>Note:</p>\n\
<p>The Width dimension and the Box Intersection&#39;s height dimension are always centered at the intersection of the particle pivot and the Contact object&#39;s surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Surface_Offset Float default:0.001 --world units \n\
</pre></div><p>Specifies the height of the shape mark above the Contact object&#39;s surface.</p>\n\
<p>The mark is slightly elevated above the contact geometry to achieve the visual effect of the mark spot overlapping the contact geometry.</p>\n\
<p>This parameter is <strong>not animatable</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Surface_Offset_Variation Float default: 0.0 -- world units \n\
</pre></div><p>Specifies the surface offset variation value in world units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Vertex_Noise Float default: 0.0 -- world units \n\
</pre></div><p>Specifies the vertex noise value in world units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Continuous_Update Boolean default:false \n\
</pre></div><p>When set to True, the shape of the mark is recalculated at each frame, according to the current positions of the particle and the contact surface.</p>\n\
<p>This option can consume a great amount of CPU time.</p>\n\
<p>Available only when <span class=\'code\'>.Mark_Type</span> is set to <strong>1 : Box Intersection</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Generate_Mapping_Coords Boolean default:true \n\
</pre></div><p>When set to True, allows correct application of the shape mark when using a mapped material.</p>\n\
<p>When not using a mapped material, you can save memory by setting it to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Shape_Mark&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"shape_mark-interfaces\"></a><h2 id=\"shape_mark-interfaces\">Shape_Mark Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Shape_Mark Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";