var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>shapeStandard : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>shapeStandard : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shapestandard-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>shapeStandard - superclass: helper super-superclass:node - classID: #(1962490635, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>ShapeStandard</strong> used to be the default operator for defining the geometry used in the Particle Flow system <strong>prior to 3ds Max 2010</strong>. It is still creatable by MAXScript and exposed internally for backwards compatibility. The new default operator for defining geometry since <strong>3ds Max 2010</strong> is the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/ShapeLibrary-Helper.html\' title=\'\'>ShapeLibrary Operator</a> which provides a lot more options.</p>\n\
<p>Note:</p>\n\
<p>All primitive particles created with Shape have pivot points in their geometric centers.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>shapeStandard... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeStandard&gt;.Shape Integer default:0 \n\
</pre></div><p>Specifies the shape. Possible values are:</p>\n\
<p>0: <strong>Tetra</strong> - These tetrahedron-shaped particles have a four triangular sides. Having only four polygons, the tetra is the simplest of the rendering particle shapes</p>\n\
<p>1: <strong>Cube</strong> - These box-shaped particles have six square sides, all the same size</p>\n\
<p>2: <strong>Sphere</strong> - Creates spherical particles. The sphere has the most polygons of the rendering particle shapes, and its orientation isn&#39;t obvious.</p>\n\
<p>3: <strong>Vertex</strong> - Use this option to create non-rendering particles whose sole attribute is their location. This can be useful when using script operators</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeStandard&gt;.Size Float default:10.0 --world units \n\
</pre></div><p>Sets the overall size of the particles in system units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeStandard&gt;.Use_Scale Boolean default:false \n\
</pre></div><p>When set to True, the <span class=\'code\'>.Scale</span> value will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeStandard&gt;.Scale_Value Float default:100.0 --percentage \n\
</pre></div><p>Sets the size of the particles as a percentage of the <strong><span class=\'code\'>.Size</span></strong> value.</p>\n\
<div class=\'section\'><a id=\"shapestandard-interfaces\"></a><h2 id=\"shapestandard-interfaces\">shapeStandard Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";