var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Keep_Apart : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Keep_Apart : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"keep_apart-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Keep_Apart - superclass: helper super-superclass:node - classID: #(1962490652, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Keep_Apart</strong> operator lets you apply forces to particles to cause them to separate to prevent or minimize collisions among particles. Alternatively, you can use a negative force to keep particles from separating too much. The operator works by controlling particle speed and acceleration.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Keep_Apart... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Force Float default:100.0 --world units \n\
</pre></div><p>Get/Set the amount of force applied to the particles.</p>\n\
<p>Use positive values to separate particles, or negative values to move them closer together.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Use_Accel_Limit Boolean default:true \n\
</pre></div><p>When set to True, the <span class=\'code\'>Accel_Limit</span> value will be considered.</p>\n\
<p>When set to False, the software uses any necessary acceleration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Accel_Limit Float default:1000.0 --world units \n\
</pre></div><p>When <span class=\'code\'>.Use_Accel_Limit</span> is set to True, lets you set a maximum acceleration value that can be applied to particles&#39; motion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Use_Speed_Limit Boolean default:false \n\
</pre></div><p>When set to True, the Speed_Limit value will be considered.</p>\n\
<p>When set to False, the software uses any necessary speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Speed_Limit Float default:600.0 --world units \n\
</pre></div><p>When <span class=\'code\'>.Use_Speed_Limit</span> is set to True, lets you set a maximum speed value that can be applied to particles&#39; motion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Range_Type Integer default:0 \n\
</pre></div><p>Lets you set a volume and falloff within which the force takes effect, either as absolute distances or relative to particle size.</p>\n\
<p>0: <strong>Absolute Size</strong> - Choose this to set the core radius and falloff zone as absolute distances, in system units, using the <span class=\'code\'>.Core_Size</span> and <span class=\'code\'>.Falloff_Size</span> values.</p>\n\
<p>1: <strong>Relative to Particle Size</strong> - Choose this to set the core radius and falloff zone as percentages, relative to the radius of each particle. The particle radius is determined by measuring the distance from the pivot point to the farthest corner of its bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Core_Size Float default:10.0 --world units \n\
</pre></div><p>The distance from each particle&#39;s pivot point, in system units, within which the force is applied at full strength.</p>\n\
<p>Used when <span class=\'code\'>.Range_Type</span> is set to <strong>0 : Absolute Size</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Falloff_Size Float default:10.0 --world units \n\
</pre></div><p>The distance beyond the core radius, in system units, over which the force diminishes from full strength to 0.</p>\n\
<p>Used when <span class=\'code\'>.Range_Type</span> is set to <strong>0 : Absolute Size</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Core_Percentage Float default:200.0 --percentage \n\
</pre></div><p>The distance from each particle, as a percentage of the particle radius, within which the force is applied at full strength.</p>\n\
<p>Used when <span class=\'code\'>.Range_Type</span> is set to <strong>1 : Relative to Particle Size</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Falloff_Percentage Float default:100.0 --percentage \n\
</pre></div><p>The distance beyond the core radius, as a percentage of the radius, over which the force diminishes from full strength to 0.</p>\n\
<p>Used when <span class=\'code\'>.Range_Type</span> is set to <strong>1 : Relative to Particle Size</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Variation Float default:0.0 --percentage \n\
</pre></div><p>The amount by which range values can vary randomly, as a percentage of the specified values.</p>\n\
<p>The software uses the same random variation value for both Core and Falloff values, whether absolute or relative.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Scope_Type Integer default:0 \n\
</pre></div><p>By default, the Keep Apart force affects only particles in the current event, or particle group.</p>\n\
<p>These settings let you widen the scope to other events or systems.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Particle Group</strong> - The operator affects only particles in the current event.</p>\n\
<p>1: <strong>Particle System</strong> - The operator affects all particles in the current particle system.</p>\n\
<p>2: <strong>Selected Particle Groups</strong> - The operator affects only highlighted events in the list below this choice. After choosing this option, click items in the list to highlight them.</p>\n\
<p>3: <strong>Selected Particle Systems</strong> - The operator affects only highlighted particle systems in the list below this choice. After choosing this option, click items in the list to highlight them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Selected_Groups int array default:#() \n\
</pre></div><p>Get/Set the Groups to be affected when <span class=\'code\'>.Scope_Type</span> is set to <strong>2 : Selected Particle Groups</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Selected_Systems int array default:#() \n\
</pre></div><p>Get/Set the Systems to be affected when <span class=\'code\'>.Scope_Type</span> is set to <strong>3 : Selected Particle Systems</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Use_Script_Float Integer \n\
</pre></div><p>Possible values are:</p>\n\
<p>0: <strong>Not Used</strong> - <strong>Particle Flow</strong> uses the Force setting specified in the Parameters rollout.</p>\n\
<p>1: <strong>Influence</strong> - <strong>Particle Flow</strong> applies the script <strong>particleFloat</strong> channel value to the <span class=\'code\'>.Force</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Use_Script_Vector Integer \n\
</pre></div><p>Controls the state of the drop-down list in the additional Script Wiring rollout.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Not Used</strong> - <strong>Particle Flow</strong> uses the Range settings specified in the Parameters rollout.</p>\n\
<p>1: <strong>Absolute Size Range</strong> - <strong>Particle Flow</strong> applies the script <strong>particleVector</strong> values to the Absolute Size Range values. The X component of the vector value is used for the <span class=\'code\'>.Core_Size</span> value, and the Y component for the <span class=\'code\'>.Falloff_Size</span> value.</p>\n\
<p>2: <strong>Relative Size Range</strong> - <strong>Particle Flow</strong> applies the script <strong>particleVector</strong> values to the Relative Size Range values. The X component of the vector value is used for the. <span class=\'code\'>.Core_Percentage</span> value, and the Y component for the. <span class=\'code\'>.Falloff_Percentage</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Keep_Apart&gt;.Random_Seed Integer \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"script-wiring\"></a><h2 id=\"script-wiring\">Script Wiring:</h2></div>\n\
<p>Script Wiring lets you use a script to control the Force and Range parameters, which you normally specify in the operator&#39;s properties.</p>\n\
<ul>\n\
<li><p>Place a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script Operator</a> before the <strong>Speed_Keep_Apart</strong> operator in the event,</p></li>\n\
<li><p>Enable Script Wiring using the <span class=\'code\'>.setUseScriptWiring</span> method in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p></li>\n\
<li><p>Use the Script_Operator to define values in the <strong>particleFloat</strong> and <strong>particleVector</strong> channels.</p></li>\n\
</ul>\n\
<p><strong>Channels:</strong></p>\n\
<p><strong>ParticleFloat - Force</strong></p>\n\
<p>When Script Wiring is active, the values in the <strong>particleFloat</strong> channel will control the <strong>.Force</strong> value of the <strong>Keep_Apart</strong> operator. For an example of a script that sets particleFloat values, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Particle-Channel-Scripts/particleFloat-Sample-Script.html\' title=\'\'>particleFloat Sample Script</a>.</p>\n\
<p><strong>ParticleVector - Absolute Size</strong></p>\n\
<p>When <span class=\'code\'>.Use_Script_Vector</span> is set to <strong>1</strong>, the values in the <strong>particleVector</strong> channel will control the Absolute Size Range values.</p>\n\
<p>The <strong>X</strong> component of the vector will be used for the <span class=\'code\'>.Core_Size</span> value.</p>\n\
<p>The <strong>Y</strong> component of the vector will be used for the <span class=\'code\'>.Falloff_Size</span> value.</p>\n\
<p><strong>ParticleVector - Relative Size</strong></p>\n\
<p>When <span class=\'code\'>.Use_Script_Vector</span> is set to <strong>2</strong>, the values in the <strong>particleVector</strong> channel will control the Relative Size Range values.</p>\n\
<p>The <strong>X</strong> component of the vector will be used for the <span class=\'code\'>.Core_Percentage</span> value.</p>\n\
<p>The <strong>Y</strong> component of the vector will be used for the <span class=\'code\'>.Falloff_Percentage</span> value.</p>\n\
<div class=\'section\'><a id=\"keep_apart-interfaces\"></a><h2 id=\"keep_apart-interfaces\">Keep_Apart Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";