var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Speed : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Speed : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"speed-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Speed - superclass: helper super-superclass:node - classID: #(1962490632, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Speed</strong> operator provides basic controls over particle speed and direction.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Speed... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed&gt;.Speed Float default:300.0 --world units \n\
</pre></div><p>Get/set the particle speed in system units per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed&gt;.Variation Float default:0.0 --world units \n\
</pre></div><p>Get/set the amount by which particle speed can vary, in system units per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed&gt;.Direction Integer default:0 \n\
</pre></div><p>0: <strong>Along Icon Arrow</strong> - Particles move parallel to the icon arrow. Rotate the icon to change the direction.</p>\n\
<p>1: <strong>Icon Center Out</strong> - Each particle moves along an imaginary line drawn between the particle&#39;s location and the icon center.</p>\n\
<p>2: <strong>Icon Arrow Out</strong> - Each particle moves along an imaginary line drawn between the particle&#39;s location and the icon arrow. The line is perpendicular to the icon arrow, which is considered an infinite line for this purpose.</p>\n\
<p>3: <strong>Random 3D</strong> - Particles move in all directions. This option is affected by the <span class=\'code\'>.Random_Seed</span> setting.</p>\n\
<p>4: <strong>Random Horizontal</strong> - Each particle moves in a random horizontal direction; that is, parallel to the world XY plane. This option is affected by the <strong>Random_Seed</strong> value.</p>\n\
<p>5: <strong>Inherit Previous</strong> - Uses the current direction of motion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed&gt;.Reverse Boolean default:false \n\
</pre></div><p>When set to True, the direction is reversed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed&gt;.Divergence Float default:0.0 \n\
</pre></div><p>When set to True, spreads out the particle stream. Use the numeric setting to define the extent of the divergence, in degrees. Range is from 0 to 180. The value is animatable.</p>\n\
<p>Note: This value is not used when Direction is set to <strong>3 : Random 3D</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"speed-interfaces\"></a><h2 id=\"speed-interfaces\">Speed Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";