var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpeedByIcon : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpeedByIcon : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"speedbyicon-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>SpeedByIcon - superclass: helper super-superclass:node - classID: #(1962490650, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>SpeedByIcon</strong> operator lets you use a special, non-rendering icon to control particle speed and direction. Its <em>operator icon</em> appears in the viewport when you add the operator to the system. When animated, the operator icon&#39;s motion is imparted to the particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>SpeedByIcon... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Accel_Limit Float default:100.0 --world units \n\
</pre></div><p>The maximum amount, in system units per second per second, by which the particles&#39; speed can change in order to match the speed of the operator icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Influence Float default:100.0 --percentage \n\
</pre></div><p>Determines the mix of the previous speed with the speed of the operator icon. Range=0.0 to 100.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Use_Speed_Variation Boolean default:false \n\
</pre></div><p>When set to True, enables random variation of the particles&#39; speed, so they don&#39;t all move at exactly the same rate as the icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Speed_Minimum Float default:50.0 --percentage \n\
</pre></div><p>Get/set the minimum percentage of particle speed variation when <span class=\'code\'>.Use_Speed_Variation</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Speed_Maximum Float default:100.0 --percentage \n\
</pre></div><p>Get/set the maximum percentage of particle speed variation when <span class=\'code\'>.Use_Speed_Variation</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.User_Icon_Orientation Boolean default:false \n\
</pre></div><p>When set to True, applies animation of the icon&#39;s orientation to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Steer_Towards_Trajectory Boolean default:false \n\
</pre></div><p>When set to True, particles farther away than the <span class=\'code\'>.Distance</span> value (see below) from the icon are moved directly toward the icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Distance Float default:10.0 --world units \n\
</pre></div><p>Get/set the distance between the particles and the operator icon beyond which <span class=\'code\'>.Steer_Towards_Trajectory</span> takes effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Sync_Type_Param_Animation Integer default:0 \n\
</pre></div><p>Controls the state of the <strong>Sync By</strong> drop-down list in the <strong>Parameters Animation</strong> group in the UI. Specifies the time frame for applying animated parameters:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle relative to the frame at which it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Sync_Type_Icon_Animation Integer default:2 \n\
</pre></div><p>Controls the state of the <strong>Sync By</strong> drop-down list in the <strong>Icon Animation</strong> group in the UI. Specifies the time frame for applying animation of the icon to the particles:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for icon motion are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for icon motion are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for icon motion are applied to each particle relative to the frame at which it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Icon_Size Float default:30.0 --world units \n\
</pre></div><p>Get/Set the icon size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Color_Type Boolean default:true \n\
</pre></div><p>Controls the state of the <strong>Color Coordinated</strong> checkbox in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpeedByIcon&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"speedbyicon-interfaces\"></a><h2 id=\"speedbyicon-interfaces\">SpeedByIcon Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";