var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Speed_By_Surface : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Speed_By_Surface : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"speed_by_surface-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Speed_By_Surface - superclass: helper super-superclass:node - classID: #(1962490653, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Speed_By_Surface</strong> operator lets you control particle speed and direction with any object or objects in the scene.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Speed_By_Surface... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Speed_Type Integer default:0 \n\
</pre></div><p>0: <strong>Set Speed Once</strong> - The operator sets the speed for each particle once: when the particle enters the event.</p>\n\
<p>1: <strong>Control Speed Continuously</strong> - The operator sets particle speed throughout the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Set_Speed_Magnitude Boolean default:true \n\
</pre></div><p>When set to False and <span class=\'code\'>.Speed_Type</span> is set to <strong>1 : Control Speed Continuously</strong>, the current particle speed is used instead of the <span class=\'code\'>Speed_Value</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Speed_Value Float default:300.0 --world units \n\
</pre></div><p>Get/set the particle speed in system units per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Speed_Variation Float default:0.0 --world units \n\
</pre></div><p>Get/set the amount by which particle speed can vary, in system units per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Surface_Objects node array default:#() \n\
</pre></div><p>Get/set the array of surface objects to use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Animated_Shape Boolean default:false \n\
</pre></div><p>When set to True allows particles to follow the surface of an object whose form is animated by morphing or with modifiers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Subframe_Sampling Boolean default:false \n\
</pre></div><p>When set to True, the operator acquires animation of the Surface Geometry shape on a tick basis (every 1/4800th of a second) rather than a frame basis. This provides greater precision in allowing the particle positions to follow animation of the Surface Geometry object&#39;s form</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Set_Speed_by_Surface_Material Boolean default:false \n\
</pre></div><p>Varies particles&#39; existing speed and direction based on properties of the material applied to each Surface Geometry object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Material_Type Integer default:3 \n\
</pre></div><p>0: <strong>Grayscale Multiplier</strong> - Lets material luminance control speed, with darker areas producing slower particles and lighter areas producing faster ones. The software multiplies the luminance of the material near each particle, converted to a percentage, by the particle&#39;s current speed. A luminance of 0 converts to 0%, of 128 converts to 50%, and of 255 converts to 100%.</p>\n\
<p>1: <strong>Signed Grayscale</strong> - Works like Grayscale Multiplier, but the multiplier can be negative as well, causing reversal of motion. Signed Grayscale uses a material luminance value of 128 as the midpoint, and assigns it a multiplier of 0%. Luminance values from 0 to 127 result in multipliers of -100% to about -1%, respectively, and values of 129 to 255 result in multipliers of about 1% to 100%, respectively.</p>\n\
<p>2: <strong>RGB as World XYZ Mult</strong>. - Works like Grayscale Multiplier, but uses the intensity of the material&#39;s red, green, and blue channels to affect particle speed on the world X, Y, and Z axes, respectively.</p>\n\
<p>3: <strong>RGB as Local XYZ Mult</strong>. - Works like RGB as World XYZ Mult., but uses the object&#39;s local coordinates rather than world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Use_Sub_Material Boolean default:false \n\
</pre></div><p>When set to True, uses a sub-material from the Multi/Sub-Object material assigned to the Surface Geometry object to define speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Material_ID Integer default:1 \n\
</pre></div><p>Specifies the material ID of the sub-material to be used for particle speed control.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Direction_Type Integer default:0 \n\
</pre></div><p>Specifies which way the particles go after they are born.</p>\n\
<p>0: <strong>Surface Normals</strong> - Each particle moves along a line perpendicular to the nearest face. The direction the surface faces doesn&#39;t matter.</p>\n\
<p>1: <strong>Out Of Surface</strong> - Particles move away from the closest face.</p>\n\
<p>2: <strong>Parallel To Surface</strong> - Each particle travels parallel to the nearest face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Divergence Float default:0.0 \n\
</pre></div><p>When set to True, spreads out the particle stream. Use the numeric setting to define the extent of the divergence. Range is from 0 to 180. The value can be animated. This option is only used when <span class=\'code\'>.Speed_Type</span> is set to <strong>0 : Set Speed Once</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Acceleration_Limit Float default:100.0 --world units \n\
</pre></div><p>Sets the maximum acceleration. The higher this value, the more quickly particles can turn and change speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Unlimited_Range Boolean default:true \n\
</pre></div><p>When set to True, the surface controls speed and direction of particles at any distance. When False, particles must be within the range specified by the <span class=\'code\'>.Range</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Range Float default:10.0 --world units; \n\
</pre></div><p>The maximum distance, in system units, between the particles and controlling surface. The Surface Geometry will not control particles beyond this distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Falloff Float default:10.0 --world units; \n\
</pre></div><p>The distance, in system units, beyond the <span class=\'code\'>.Range</span> value within which the Surface Geometry exerts partial control over particles. The degree of control diminishes from 100% at the Range distance to 0% at the Range+Falloff Zone distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Sync_Type Integer default:0 \n\
</pre></div><p>Controls the state of the <strong>Synch By</strong> drop-down list in the UI. Specifies the time frame for applying animated parameters.</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_By_Surface&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"speed_by_surface-interfaces\"></a><h2 id=\"speed_by_surface-interfaces\">Speed_By_Surface Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";