var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Stop_Gradually : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Stop_Gradually : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"stop_gradually-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Stop_Gradually - superclass: Helper; super-superclass:node - 10:0 - classID: #(1509449986, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Stop_Gradually</strong> operator slows down particle movement and spinning to complete stop. Once a particle loses all speed and spinning, it satisfies the test and is sent to the next event. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Stop_Gradually...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"stop-type-group-of-controls\"></a><h2 id=\"stop-type-group-of-controls\">Stop Type group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Position     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of <strong>&quot;Position&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Linear motion will be stopped gradually.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Rotation     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of <strong>&quot;Rotation&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Angular motion will be stopped gradually.</p>\n\
<div class=\'section\'><a id=\"slowdown-start-time-group-of-controls\"></a><h2 id=\"slowdown-start-time-group-of-controls\">Slowdown Start Time group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Timing_Start_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Timing&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong></p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Event Duration</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Slow_Down_Start_Time     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time&quot;</strong>/ <strong>&quot;Age&quot;</strong> / <strong>&quot;Event Time&quot;</strong> spinner depending on the state of the <span class=\'code\'>.Timing_Start_Type</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Start_Time_Variation     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"stop-time-group-of-controls\"></a><h2 id=\"stop-time-group-of-controls\">Stop Time group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Use_Different_Types     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Different Timing Type&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Stop Time will be set to use a different Timing option.</p>\n\
<p>When set to False (default), the same timing option as the Start Time will be used for the Stop Time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Stop_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Timing&quot;</strong> drop-down list.</p>\n\
<p>It will be used only when <span class=\'code\'>.Use_Different_Types</span> is set to True.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong></p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Event Duration</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Stop_Time     Integer    default: 2400   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time&quot;</strong>/ <strong>&quot;Age&quot;</strong> / <strong>&quot;Event Time&quot;</strong> spinner - the name depends on the selection of the <span class=\'code\'>.Timing_Start_Type</span> or <strong><span class=\'code\'>.Stop_Type</span></strong> property (the latter is used when <span class=\'code\'>.Use_Different_Types</span> is set to True).</p>\n\
<p>The value is in Ticks. The default 2400 Ticks are equal to Half Second, which at 30 FPS is 15 frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Stop_Time_Variation     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Variation&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"uniqueness-group-of-controls\"></a><h2 id=\"uniqueness-group-of-controls\">Uniqueness group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Stop_Gradually&gt;.Random_Seed     Integer    default: 21074   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Seed&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"stop_gradually-interfaces\"></a><h2 id=\"stop_gradually-interfaces\">Stop_Gradually Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";