var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Position_Icon : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Position_Icon : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"position_icon-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Position_Icon - superclass: helper super-superclass:node - classID: #(1962490631, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Position_Icon</strong> operator can be used to control the initial placement of particles on the emitter. You can set the emitter to emit particles from its surface, volume, edges, vertices, or center. And, if you animate the emitter, you can cause its motion to be imparted to the particles it emits.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Position_Icon... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Lock_On_Emitter Boolean default:false \n\
</pre></div><p>When set to True, causes all particles to remain at their initial positions on the emitter. In effect, they&#39;re <em>glued</em> to the emitter. When set to False, each particle&#39;s birth position is determined by the emitter&#39;s current location.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Inherit_Emitter_Movement Boolean default:false \n\
</pre></div><p>When set to True, the software sets each particle&#39;s rate and direction of motion to that of the emitter at the time of birth. When off, the emitter movement doesn&#39;t affect that of the particles. Used only when <span class=\'code\'>.Lock_On_Emitter</span> is set to <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Multiplier Float default:100.0 --percentage \n\
</pre></div><p>Determines the percentage to which particles inherit the emitter&#39;s motion. Used only when <span class=\'code\'>.Inherit_Emitter_Movement</span> is set to <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Location Integer default:4 \n\
</pre></div><p>Controls the selection of the Location drop-down list in the UI.</p>\n\
<p>0: <strong>Pivot</strong> - Emits particles from the center of the icon.</p>\n\
<p>1: <strong>Vertices</strong> - For the Box and Rectangle icon types, emits particles from the corners of the icon. For the Sphere icon type, emits particles from the six intersections of the three circles that define the sphere. For the Circle icon type, emits particles from the center.</p>\n\
<p>2: <strong>Edges</strong> - Emits particles from random points along the edges of the icon.</p>\n\
<p>3: <strong>Surface</strong> - Emits particles from random points on the surface of the icon.</p>\n\
<p>4: <strong>Volume</strong> - Emits particles from random points within the volume of the icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Distinct_Points_Only Boolean default:false \n\
</pre></div><p>Limits emission to a specific number of points defined by the <span class=\'code\'>.Total_Distinct_Points</span> value on the specified <span class=\'code\'>.Location</span> type.</p>\n\
<p>Note: Emission points are still randomized; change the <span class=\'code\'>.Random_Seed</span> value to alter these.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Total_Distinct_Points Integer default:10 \n\
</pre></div><p>Sets the number of emission points. Used only when <span class=\'code\'>Distinct_Points_Only</span> is set to <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Icon&gt;.Subframe_Sampling BooleanClass default: false -- boolean \n\
</pre></div><p>Controls the state of the &quot;Subframe Sampling&quot; checkbox in the UI. When set to <span class=\'code\'>true</span> , Subframe Sampling will be performed.</p>\n\
<div class=\'section\'><a id=\"position_icon-interfaces\"></a><h2 id=\"position_icon-interfaces\">Position_Icon Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";