var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Position_Object : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Position_Object : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"position_object-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Position_Object - superclass: helper super-superclass:node - classID: #(1962490647, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>By default, particles are born, or <em>emitted</em>, from the <strong>Particle Flow</strong> icon. The <strong>Position_Object</strong> operator lets you emit particles from any other object or objects in the scene instead. This topic uses the term <em>emitter</em> to refer to an object or objects used to emit particles with this operator.</p>\n\
<p>Use the <strong>Position_Object</strong> settings to control the initial placement of particles on the emitter. You can set the emitter to emit particles from its surface, volume, edges, vertices, or pivot, or from a sub-object selection. You can also control particle emission with a material applied to the object.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Position_Object... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Lock_On_Emitter Boolean default:false \n\
</pre></div><p>When set to True, causes all particles to remain at their initial positions on the emitter. When set to False, each particle&#39;s birth position is determined by the emitter&#39;s current location.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Inherit_Emitter_Movement Boolean default:false \n\
</pre></div><p>When set to True, the software sets each particle&#39;s speed and direction of motion to those of the emitter at the time of birth. When set to False , the emitter movement doesn&#39;t affect that of the particles. Used only when <span class=\'code\'>.Lock_On_Emitter</span> is set to False .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Multiplier Float default:100.0 --percentage \n\
</pre></div><p>Determines, as a percentage, the extent to which particles inherit the emitter&#39;s motion. Available only when <span class=\'code\'>.Inherit_Emitter_Movement</span> is on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Variation Float default:0.0 --percentage \n\
</pre></div><p>Determines, as a percentage, the extent to which inherited emitter motion can vary per particle. To determine the final multiplier for each particle, the Variation value is multiplied by a random number between -1.0 and 1.0, and then added to the Multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.emitter_Objects node array default:#() \n\
</pre></div><p>Specifies the list of emitter nodes to be used. When the list is empty, the world origin (0.0,0.0,0.0) will be used as the emitter source.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Animated_Shape Boolean default:false \n\
</pre></div><p>When set to True, allows particles to follow the surface of an object whose form is animated by morphing or with modifiers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Subframe_Sampling Boolean default:false \n\
</pre></div><p>When set to True , the operator acquires animation of the emitter shape on a Tick basis (every 1/4800th of a second) rather than a frame basis. This provides greater precision in allowing the particle positions to follow animation of the emitter object&#39;s form.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Location Integer default:3 \n\
</pre></div><p>Controls the state of the Location drop-down list. It lets you specify where on each emitter the particles appear. This choice applies to all emitter objects.</p>\n\
<p>0: <strong>Pivot</strong> - Emits particles from the original position of the emitter object&#39;s pivot. Moving the pivot does not affect this option.</p>\n\
<p>1: <strong>Vertices</strong> - Emits particles from randomly selected vertices of the emitter objects.</p>\n\
<p>2: <strong>Edges</strong> - Emits particles from random points along the edge sub-objects of the emitter objects.</p>\n\
<p>3: <strong>Surface</strong> - Emits particles from random points on the surface of the icon.</p>\n\
<p>4: <strong>Volume</strong> - Emits particles from random points within the volume of the icon.</p>\n\
<p>5: <strong>Selected Vertices</strong> - Emits particles from the current vertex sub-object selection.</p>\n\
<p>6: <strong>Selected Edges</strong> - Emits particles from the current edge sub-object selection.</p>\n\
<p>7: <strong>Selected Faces</strong> - Emits particles from the current face or polygon sub-object selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Use_Surface_Offset Boolean default:false \n\
</pre></div><p>Lets you specify a range of distances from the object surface for particle placement.</p>\n\
<p><span class=\'code\'>Use_Surface_Offset</span> is not used when <strong><span class=\'code\'>Location</span></strong> is set to <strong>0 : Pivot</strong> or <strong>1 : Volume</strong>. Use the <span class=\'code\'>.Surface_Offset_Minimum</span> and <span class=\'code\'>.Surface_Offset_Maximum</span> properties to set the range.</p>\n\
<p>Note:</p>\n\
<p>Negative values offset the particles below the surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Surface_Offset_Minimum Float default:-1.0 --world units; \n\
&lt;Position_Object&gt;.Surface_Offset_Maximum Float default:1.0 --world units; \n\
</pre></div><p>When <span class=\'code\'>.Use_Surface_Offset</span> is set to True, let you specify the range of offset distances from the object surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Density_By_Emitter_Material Boolean default:false \n\
</pre></div><p>When set to True, enables the usage of the <span class=\'code\'>.Density_Type</span> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Density_Type Integer default:0 \n\
</pre></div><p>Varies emission over the emitter surface based on properties of the material applied to the emitter. For example, if the object is assigned a black-and-white checkered diffuse map and you choose the Grayscale option, particles are emitted only from the white checks.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Grayscale</strong> - The software internally converts the material-based coloring (diffuse) to grayscale, and then emits more particles in lighter areas and fewer in darker areas.</p>\n\
<p>1: <strong>Opacity</strong> - Particles are more likely to appear on opaque areas than on transparent areas.</p>\n\
<p>2: <strong>Grayscale &amp; Opacity</strong> - Combines the two: More particles appear on light, opaque areas than on dark, transparent areas.</p>\n\
<p>3: <strong>Red/Green/Blue</strong> - Considers only the specified color channel. The higher its value at any given pixel, the more likely particles are to appear there.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Use_Sub_Material Boolean default:false \n\
</pre></div><p>When set to True, uses a sub-material from the Multi/Sub-Object material assigned to the emitter to define density values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Material_ID Integer default:1 \n\
</pre></div><p>Specifies the material ID of the sub-material to be used for particle emission.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Apart_Placement Boolean default:false \n\
</pre></div><p>When set to True, the software attempts to keep the particles apart by the amount specified in Distance. The likelihood of successfully separating particles depends on the number of particles, the specified distance, and the. <span class=\'code\'>.Maximum_Number_of_Attempts</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Apart_Distance Float default:1.0 --world units \n\
</pre></div><p>Specifies the distance, in system units, by which the software should try to keep the particles separate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Distinct_Points_Only Integer default:0 \n\
</pre></div><p>Limits emission to a specific number of points on the specified Location type. Emission points are still randomized. Change the <span class=\'code\'>.Random_Seed</span> value to alter these.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Total_Distinct_Points Integer default:10 \n\
</pre></div><p>Sets the number of emission points. Available only when. <span class=\'code\'>.Distinct_Points_Only</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.delete Integer default:0 \n\
</pre></div><p>When set to True, if the software cannot place a particle according to the current option, it deletes the particle. When set to False, particle placement is undefined; that is, it depends on other variables.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Position_Object&gt;.Maximum_Number_of_Attempts Integer default:100 \n\
</pre></div><p>When <span class=\'code\'>.Apart_Placement</span> is set to True, this specifies the maximum number of times Particle Flow will try to set particle positions that maintain the requested distance. If unsuccessful within this number of attempts, particles might be closer together than the requested distance. Also affects placement with <span class=\'code\'>Density_By_Emitter_Material</span> when <span class=\'code\'>.Density_Type</span> is set to either of the Grayscale options.</p>\n\
<div class=\'section\'><a id=\"position_object-interfaces\"></a><h2 id=\"position_object-interfaces\">Position_Object Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";