var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spin : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spin : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spin-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spin - superclass: helper super-superclass:node - classID: #(1962490634, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Spin</strong> operator gives an angular velocity to particles in an event, with optional random variation. Spin is applied once per event per particle, except when using the Speed Space Follow option; however, the settings can be animated.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Spin... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spin&gt;.SpinRate Float default:360.0 --angle \n\
</pre></div><p>The rate of revolution in degrees per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spin&gt;.Variation Float default:0.0 --angle \n\
</pre></div><p>The maximum amount, in degrees per second, by which the spin rate can vary. The actual variation is calculated once, at random, for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spin&gt;.Direction Integer default:0 \n\
</pre></div><p>Controls the state of the drop-down list in the UI. Lets you apply the spin on a random or specific axis, with optional random variation of the spin axis. Possible values are:</p>\n\
<p>0: <strong>Random 3D</strong> - Spins each particle about an arbitrary, random 3D axis.</p>\n\
<p>1: <strong>World Space</strong> - The spin axis is specified in the world coordinate space. Use the X/Y/Z settings to specify the spin axis.</p>\n\
<p>2: <strong>Particle Space</strong> - The spin axis is specified in the local coordinate space of each particle. Use the X/Y/Z settings to specify the spin axis.</p>\n\
<p>3: <strong>Speed Space</strong> - The coordinate space for particle orientation is determined by the particles&#39; direction upon entering the event. The X axis is aligned with the particle direction, while the Z axis is perpendicular to the X axis and is pointed upward with respect to world space as much as possible. Use the X/Y/Z settings to specify the orientation for all particles.</p>\n\
<p>4: <strong>Speed Space Follow</strong> - The coordinate space for particle orientation is determined by the particles&#39; direction throughout the event. Use this option to allow particles that change direction during the event to keep the spin axis aligned with their direction. The X axis is aligned with the particle direction, while the Z axis is perpendicular to the X axis and is pointed upward with respect to world space as much as possible. Use the X/Y/Z settings to specify the orientation for all particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spin&gt;.Spin_X_Axis Float default:0.0 \n\
&lt;Spin&gt;.Spin_Y_AxisFloat default:0.0 \n\
&lt;Spin&gt;.Spin_Z_AxisFloat default:1.0 \n\
</pre></div><p>These values define the spin axis. Unavailable when <span class=\'code\'>.Direction</span> is set to <strong>0 : Random 3D</strong>. Range is from -1.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spin&gt;.Divergence Float default:0.0 --angle \n\
</pre></div><p>Defines the range of variation (in degrees) for spin-axis orientation. The actual deviation is calculated at random within this range. Unavailable when <span class=\'code\'>.Direction</span> is set to <strong>0 : Random 3D</strong>. Range is from 0 to 180.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spin&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"spin-interfaces\"></a><h2 id=\"spin-interfaces\">Spin Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";