var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>rotation : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>rotation : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rotation-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>rotation - superclass: helper super-superclass:node - classID: #(1962490633, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Rotation</strong> operator lets you set and animate particle orientation during an event, with optional random variation. You can apply orientation in any of five different matrices: two random and three explicit.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>rotation... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Direction Integer default:0 \n\
</pre></div><p>Controls the state of the drop-down list in the Orientation Matrix group.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Random 3D</strong> - Gives each particle an arbitrary, random 3D orientation.</p>\n\
<p>1: <strong>Random Horizontal</strong> - Gives each particle an arbitrary, random 3D orientation about the Z axis only. Rotation about the X and Y axes doesn&#39;t change (unless Divergence is used), so the particles remain vertical.</p>\n\
<p>2: <strong>World Space</strong> - Orientation is specified in the world coordinate space. Use the X/Y/Z settings to specify the orientation for all particles.</p>\n\
<p>3: <strong>Speed Space</strong> - The coordinate space for particle orientation is determined by the particles&#39; direction upon entering the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Euler_X Float default:0.0 \n\
&lt;rotation&gt;.Euler_YFloat default:0.0 \n\
&lt;rotation&gt;.Euler_ZFloat default:0.0 \n\
</pre></div><p>Set the basic orientation about the particles&#39; local axes. Unavailable when <span class=\'code\'>.Direction</span> is set to <strong>0 : Random 3D</strong> or <strong>1 : Random Horizontal</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Divergence Float default:0.0 \n\
</pre></div><p>Defines the range of variation (in degrees) for particle orientation. The actual deviation is calculated at random within this range. Unavailable when <span class=\'code\'>.Direction</span> is set to <strong>3 : Speed Space</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Restrict_Divergence_To_Axis BooleanClass default: false -- boolean \n\
</pre></div><p>When set to True, the Divergence will be restricted to the specified axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Divergence_Axis_X Float default: 1.0 -- animatable; float \n\
</pre></div><p>Defines the X component of the custom Divergence Axis used when <span class=\'code\'>.Restrict_Divergence_To_Axis</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Divergence_Axis_Y Float default: 0.0 -- animatable; float \n\
</pre></div><p>Defines the Y component of the custom Divergence Axis used when <span class=\'code\'>.Restrict_Divergence_To_Axis</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Divergence_Axis_Z Float default: 0.0 -- animatable; float \n\
</pre></div><p>Defines the Z component of the custom Divergence Axis used when <span class=\'code\'>.Restrict_Divergence_To_Axis</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rotation&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"rotation-interfaces\"></a><h2 id=\"rotation-interfaces\">rotation Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";