var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>scaleParticles : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>scaleParticles : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scaleparticles-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>scaleParticles- superclass: helper super-superclass:node - classID: #(1962490636, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>ScaleParticles</strong> Test lets the particle system check particle scaling, or particle size before or after scaling, and branch accordingly. The test provides a variety of axis options for measuring scale or size.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>ScaleParticles...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Type Integer default:2 \n\
</pre></div><p>Controls the state of the Type drop-down list in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Overwrite Once</strong> - Sets the scale <em>one time only</em> as an absolute percentage value, disregarding any previous scaling.</p>\n\
<p>1: <strong>Inherit Once</strong> - Sets the scale <em>one time only</em> as a percentage of existing scaling. The existing scaling should be specified with a previous Scale operator, the Scale setting in the Shape operator, or a Shape Instance operator.</p>\n\
<p>2: <strong>Absolute</strong> - Sets the scale <em>continuously</em>, while the particle is in the event, as an absolute percentage value, disregarding any previous scaling.</p>\n\
<p>3: <strong>Relative First</strong> - Sets the scale <em>continuously</em>, while the particle is in the event, as a percentage of existing scaling. The existing scaling should be specified with a previous Scale operator, or a Shape Instance.</p>\n\
<p>4: <strong>Relative Successive</strong> - Scales the particles <em>continuously</em>, relative to scaling set earlier in the same event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.X_Scale_Factor Float default:100.0 --percentage \n\
</pre></div><p>Sets the scaling of the X axis as a percentage of the particle&#39;s current size. To scale uniformly, set <span class=\'code\'>.ConstrainScaleFactor</span> to true, then change any axis setting. Range is 0.0 to 10000000.0</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Y_Scale_Factor Float --percentage \n\
</pre></div><p>Sets the scaling of the Y axis as a percentage of the particle&#39;s current size. To scale uniformly, set <span class=\'code\'>.ConstrainScaleFactor</span> to true, then change any axis setting. Range is 0.0 to 10000000.0</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Z_Scale_Factor Float --percentage \n\
</pre></div><p>Sets the scaling of the Z axis as a percentage of the particle&#39;s current size. To scale uniformly, set <span class=\'code\'>.ConstrainScaleFactor</span> to true, then change any axis setting. Range is 0.0 to 10000000.0</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Constrain_Scale Boolean; default:true \n\
</pre></div><p>When set to <strong>true</strong>, retains the current ratio of scale factor settings, so that changing any axis setting changes all of them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.X_Scale_Variation Float default:0.0 --percentage \n\
</pre></div><p>Sets the scaling variation of the X axis as a percentage of the particle&#39;s previous size. To scale uniformly, turn on <span class=\'code\'>.ConstrainScaleVariation</span> , and then change any axis setting. Range is 0.0 to 100.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Y_Scale_Variation Float --percentage \n\
</pre></div><p>Sets the scaling variation of the Y axis as a percentage of the particle&#39;s previous size. To scale uniformly, turn on <span class=\'code\'>.ConstrainScaleVariation</span> , and then change any axis setting. Range is 0.0 to 100.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Z_Scale_Variation Float --percentage \n\
</pre></div><p>Sets the scaling variation of the Z axis as a percentage of the particle&#39;s previous size. To scale uniformly, turn on <span class=\'code\'>.ConstrainScaleVariation</span> , and then change any axis setting. Range is 0.0 to 100.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Constrain_Scale_Variation Boolean default:true \n\
</pre></div><p>When set to <strong>true</strong>, retains the current ratio of scale variation settings, so that changing any axis setting changes all of them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Bias Integer default:1 \n\
</pre></div><p>Lets you choose how to distribute the scaling variation within the specified range or ranges.</p>\n\
<p>0: <strong>None</strong> - No bias; scaling variation is distributed equally through the range.</p>\n\
<p>1: <strong>Centered</strong> - Scaling variation is concentrated near the middle of the range; that is, at 0.0%.</p>\n\
<p>2: <strong>Towards Minimum</strong> - Scaling variation is concentrated near the lower end of the range (base-variation); that is, most scaling variants will be smaller than the scaling value.</p>\n\
<p>3: <strong>Towards Maximum</strong> - Scaling variation is concentrated near the upper end of the range (base+variation); that is, most scaling variants will be larger than the scaling value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Sync_Type Integer \n\
</pre></div><p>Specifies the time frame to use when animating Test_Value and Variation:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they are set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;scaleParticles&gt;.Random_Seed Integer \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"scaleparticles-interfaces\"></a><h2 id=\"scaleparticles-interfaces\">scaleParticles Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";