var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particle_Face_Creator : modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particle_Face_Creator : modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particle_face_creator-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Particle_Face_Creator - superclass: modifier; super-superclass:MAXWrapper - 18:0 - classID: #(471214040, 669930697)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Particle_Face_Creator</strong> Modifier uses particle positions to hide and reveal mesh geometry. As particles move past the geometry, parts of it melt away and then reappear in a natural-looking sequence. This is a result of the modifier&#39;s ability to adjust the geometry in a way that obscures the underlying face topology.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Particle_Face_Creator... \n\
ParticleCreatorOSM...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Create</strong> (default)</p>\n\
<p>1 - <strong>Dissolve</strong></p>\n\
<div class=\'section\'><a id=\"timing-group-of-controls\"></a><h2 id=\"timing-group-of-controls\">Timing group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Before_Hide     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Hide Before Time On&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Time_On     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time On&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Use_Time_Off     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Time Off&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Time_Off     Integer    default: 9600   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time Off&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.After_Hide     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Hide After Time Off&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"particle-flow-systems-group-of-controls\"></a><h2 id=\"particle-flow-systems-group-of-controls\">Particle Flow Systems group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Particle_Flow_Systems     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the array of Particle Flow systems to use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.All_Particle_Flow_Events     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;All Particle Flow Events&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"particle-flow-events-group-of-controls\"></a><h2 id=\"particle-flow-events-group-of-controls\">Particle Flow Events group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Particle_Flow_Events     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the array of Particle Flow Events to use.</p>\n\
<p>Applicable only when <span class=\'code\'>.All_Particle_Flow_Events</span> is set to False.</p>\n\
<div class=\'section\'><a id=\"particles-for-face-creation-group-of-controls\"></a><h2 id=\"particles-for-face-creation-group-of-controls\">Particles For Face Creation group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Zone_Size     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Zone Size&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Blend_Particles     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Blend Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Zone_Weight     Float    default: 100.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Weight %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Multiply_By_Scale     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Multiply by Particle Scale&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Scale_Influence     Float    default: 50.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Influence %&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"edge-split-precision-group-of-controls\"></a><h2 id=\"edge-split-precision-group-of-controls\">Edge Split Precision group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Split_Precision_Type     Integer    default: 0   --  radiobtnIndex; Edge_Split_Precision_Type\n\
</pre></div><p>Get/set the state of the <strong>&quot;Edge Split Precision&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Relative %</strong> (default)</p>\n\
<p>1 - <strong>Absolute</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Relative_Precision     Float    default: 75.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Relative %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Absolute_Precision     Float    default: 0.1   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Absolute&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"parameters-animation-group-of-controls\"></a><h2 id=\"parameters-animation-group-of-controls\">Parameters Animation group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Face_Creator&gt;.Sync_Type     Integer    default: 0   --  integer; Sync_By_Type\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Particle Age</strong></p>\n\
<p>2 - <strong>Event Duration</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";