var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particle_Skinner : modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particle_Skinner : modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particle_skinner-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Particle_Skinner - superclass: modifier; super-superclass:MAXWrapper - 36:0 - classID: #(-1901498132, 2071505165)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Particle_Skinner</strong> Modifier allows one or more Particle Flow systems to deform the geometry of the modified object.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Particle_Skinner...  \n\
ParticleSkinnerOSM...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"timing-group-of-controls\"></a><h2 id=\"timing-group-of-controls\">Timing group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Before_Hide     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Hide Before Time On&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Time_On     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time On&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Use_Time_Off     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Time Off&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Time_Off     Integer    default: 9600   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Time Off&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.After_Hide     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Hide After Time Off&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"particle-flow-systems-group-of-controls\"></a><h2 id=\"particle-flow-systems-group-of-controls\">Particle Flow Systems group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Particle_Flow_Systems     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the array of Particle Flow systems to use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.All_Particle_Flow_Events     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;All Particle Flow Events&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"particle-flow-events-group-of-controls\"></a><h2 id=\"particle-flow-events-group-of-controls\">Particle Flow Events group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Particle_Flow_Events     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the array of Particle Flow Events to use.</p>\n\
<p>Applicable only when <span class=\'code\'>.All_Particle_Flow_Events</span> is set to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.falloff     Float    default: 1.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Falloff&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"disatance-influence-group-of-controls\"></a><h2 id=\"disatance-influence-group-of-controls\">Disatance Influence group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Distance_Influence_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the &quot;Distance Influence&quot; radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong> (default)</p>\n\
<p>1 - <strong>Size %</strong></p>\n\
<p>2 - <strong>Binding %</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Absolute_Influence     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Absolute&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Size_Influence     Float    default: 100.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Size %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Binding_Influence     Float    default: 100.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Binding %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Controllers_Limit     Integer    default: 4   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Controllers Limit&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Control_By_Inside_Inclusion     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Control By Inside Inclusion&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"rip-surface-apart-group-of-controls\"></a><h2 id=\"rip-surface-apart-group-of-controls\">Rip Surface Apart group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Remove_Uncontrolled     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Remove Uncontrolled&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Rip_Surface_Apart     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the &quot;Type&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong> (default)</p>\n\
<p>1 - <strong>Binding Break</strong></p>\n\
<p>2 - <strong>Distance Change</strong></p>\n\
<p>3 - <strong>Offset</strong></p>\n\
<div class=\'section\'><a id=\"edge-split-precision-group-of-controls\"></a><h3 id=\"edge-split-precision-group-of-controls\">Edge Split Precision group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Split_Precision_Type     Integer    default: 0   --  radiobtnIndex; Edge_Split_Precision_Type\n\
</pre></div><p>Get/set the state of the <strong>&quot;Edge Split Precision&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Relative %</strong> (default)</p>\n\
<p>1 - <strong>Absolute</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Relative_Precision     Float    default: 95.0   --  animatable; percent; Controller Scaling: (1 : 100.0); WeirdScaled (1.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Relative %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Absolute_Precision     Float    default: 0.1   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Absolute&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"offset-distance-group-of-controls\"></a><h3 id=\"offset-distance-group-of-controls\">Offset Distance group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Distance_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Offset Distance&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Relative %</strong> (default)</p>\n\
<p>1 - <strong>Absolute</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Relative_Distance     Float    default: 50.0   --  animatable; percent; Controller Scaling: (1 : 100.0); WeirdScaled (1.0)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Relative %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Absolute_Distance     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Absolute&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"massfx-glue-bindings-group-of-controls\"></a><h3 id=\"massfx-glue-bindings-group-of-controls\">MassFX Glue Bindings group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Binding_List_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;MassFX Glue Bindings&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>All</strong></p>\n\
<p>1 - <strong>Selected</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.PhysX_Glue_Tests     ArrayParameter    default: #()   --  node array; MassFX_Glue_Tests; SubAnim\n\
</pre></div><p>Get/set the array of the MassFX Glue Test operator nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Sustain_Topology     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Sustain Topology&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Interval_Ticks     Integer    default: 10   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Interval Ticks&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"data-wiring-parameters-rollout\"></a><h2 id=\"data-wiring-parameters-rollout\">Data Wiring Parameters rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Use_Visibility_Data_Channel     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Visibility Data Channel&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Visibility_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Visibility Data Creator sup-operator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Use_Data_Channel     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Data Channel&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Data_Channel_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Channel Creator sup-operator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Map_Channel_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Map Channel radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Map Channel</strong> (default)</p>\n\
<p>1 - <strong>Vertex Color Channel</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Map_Channel     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the Map Channel spinner.</p>\n\
<div class=\'section\'><a id=\"display-parameters-rollout\"></a><h2 id=\"display-parameters-rollout\">Display Parameters rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Display_Control_Particles     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Display Control Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Display_Influence     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Display Influence&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_Skinner&gt;.Display_Unassigned_Points     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Display Unassigned Points&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"particle_skinner-interfaces\"></a><h2 id=\"particle_skinner-interfaces\">Particle_Skinner interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: particleSkeletonHolder\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Particle_Skinner&gt;.isSkinningActivated()\n\
</pre></div><p>Returns the state of the <strong>&quot;Activate Skinning&quot;</strong> checkbutton in the Parameters rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Particle_Skinner&gt;.activateSkinning()\n\
</pre></div><p>Checks the <strong>&quot;Activate Skinning&quot;</strong> checkbutton in the Parameters rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Particle_Skinner&gt;.deactivateSkinning()\n\
</pre></div><p>Unchecks the <strong>&quot;Activate Skinning&quot;</strong> checkbutton in the Parameters rollout.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";