var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PF_Source : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PF_Source : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pf_source-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>PF_Source - superclass: GeometryClass super-superclass:node - classID: #(1345457306, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>PF_Source</strong> is the viewport icon for a <strong>Particle Flow</strong> particle system, and also serves as the default emitter. It appears as a separate item in Particle View whose position and width can also be accessed using the properties below.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>PF_Source... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Enable_Particles Boolean default: true -- boolean \n\
</pre></div><p>Controls the state of the <strong>&quot;Enable Particle Emission&quot;</strong> checkbox in the UI. When set to <span class=\'code\'>true</span> , the <strong>Particle Flow</strong> Source will generate particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Logo_Size Float default: 10.0 -- animatable; world units \n\
</pre></div><p>Sets the size of the <strong>Particle Flow</strong> logo, which appears at the center of the source icon, as well as the arrow that indicates the default direction of particle motion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Emitter_Type Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of the Icon Type drop-down list in the UI. Specifies the type of the Icon.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Rectangle</strong></p>\n\
<p>1: <strong>Box</strong></p>\n\
<p>2: <strong>Circle</strong></p>\n\
<p>3: <strong>Sphere</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Emitter_Length Float default: 20.0 -- animatable; world units \n\
</pre></div><p>Sets the length of the Rectangle and Box icon types, and the diameter of the Circle and Sphere icon types</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Emitter_Width Float default: 20.0 -- animatable; world units \n\
</pre></div><p>Sets the width of the Rectangle and Box icon types. Has no effect with the Circle and Sphere icon types.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Emitter_Height Float default: 20.0 -- animatable; world units \n\
</pre></div><p>Sets the height of the Box icon type. Has no effect unless the <span class=\'code\'>.Emitter_Type</span> is set to <strong>1 : Box</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Show_Logo Boolean default: true -- boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , turns display of the logo (with arrow) on. When false, no logo will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Show_Emitter Boolean default: true -- boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , turns display of the emitter on. When false, no emitter will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Quantity_Viewport Float default: 50.0 -- percentage \n\
</pre></div><p>Sets the percentage of the total number of particles in the system produced in the viewports. Range is from 0.0 to 10000.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Quantity_Render Float default: 100.0 -- percentage \n\
</pre></div><p>Sets the percentage of the total number of particles in the system produced at render time. Range is from 0.0 to 10000.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Select_By_Particle_ID Integer default: 1 -- integer \n\
</pre></div><p>Corresponds to the ID field in the UI. Sets the ID number of the particle to select.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Clear_Selection Boolean default: false -- boolean \n\
</pre></div><p>Corresponds to the Clear Selection checkbox in the UI. When checked, selecting a new particle by ID will clear the existing selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Selected_Particles ArrayParameter default: #() -- int array \n\
</pre></div><p>Returns an array of selected particle indices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Selection_ActionLists node array \n\
</pre></div><p>Returns an array of selected ActionList nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Selection_Level Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the selection level.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Object Level</strong></p>\n\
<p>1: <strong>Particle Level</strong></p>\n\
<p>2: <strong>Event Level</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Particle_Amount_Limit Integer default: 100000 -- integer \n\
</pre></div><p>The maximum number of particles the system may have. Range is from 1 to 10000000.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Integration_for_Viewport Integer default: 0 -- integer \n\
</pre></div><p>Set the integration step for animation playback in the viewports.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Frame</strong></p>\n\
<p>1: <strong>Half Frame</strong></p>\n\
<p>2: <strong>1/4</strong></p>\n\
<p>3: <strong>1/8</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Integration_for_Render Integer default: 1 -- integer \n\
</pre></div><p>Set the integration step at render time.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Frame</strong></p>\n\
<p>1: <strong>Half Frame</strong></p>\n\
<p>2: <strong>1/4</strong></p>\n\
<p>3: <strong>1/8</strong></p>\n\
<p>4: <strong>8 Ticks</strong></p>\n\
<p>5: <strong>4 Ticks</strong></p>\n\
<p>6: <strong>2 Ticks</strong></p>\n\
<p>7: <strong>1 Tick</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Enable_Script_for_Every_Step_Update Boolean default: false -- boolean \n\
</pre></div><p>When set to <strong>true</strong> causes the script assigned to <span class=\'code\'>.Every_Step_Update_Script</span> to be executed at each integration step.</p>\n\
<p>Note: The <strong>Every Step Update</strong> script is evaluated at the end of each integration step, after all actions in the particle system are evaluated, and all particles are finally in their respective particle groups (events).</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Every_Step_Update_Script String \n\
</pre></div><p>Specifies the script to be executed at every integration step. The default script modifies particle speed and direction, causing particles to follow a wavy path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Use_File_for_Every_Step_Update Boolean default: false -- boolean \n\
</pre></div><p>When set to <strong>true</strong> causes the script file assigned to <span class=\'code\'>.EveryStepUpdateScriptFile</span> to be executed at each integration step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Every_Step_Update_Script_File Filename alias:everyStepUpdateScriptFile \n\
</pre></div><p>Specifies the script file to be executed at every integration step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Enable_Script_for_Final_Step_UpdateBoolean default: false -- boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> causes the script assigned to <span class=\'code\'>.Final_Step_Update_Script</span> to be executed after the final integration step.</p>\n\
<p>Note: The <strong>Final Step Update</strong> script is executed after the last integration step has been completed for each frame that you view (or render).</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Final_Step_Update_Script String \n\
</pre></div><p>Specifies the script to be executed after the final integration step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Use_File_for_Final_Step_Update Boolean default: false -- boolean \n\
</pre></div><p>When set to <strong>true</strong> causes the script file assigned to <span class=\'code\'>.EveryStepUpdateScriptFile</span> to be executed at each integration step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Final_Step_Update_Script_File UndefinedClass default: undefined -- filename \n\
</pre></div><p>Specifies the script file to be executed after the final integration step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.X_Coord Integer default: 20 -- integer \n\
</pre></div><p>Returns an X Coordinate of the Emitter in the Particle View</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Y_Coord Integer default: 0 -- integer \n\
</pre></div><p>Returns an Y Coordinate of the Emitter in the Particle View</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.Z_Order Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the Z Order for drawing the Emitter in the Particle View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.width Integer default: 180 -- integer \n\
</pre></div><p>Get/Set the Width of the PF_Source item in Particle View.</p>\n\
<div class=\'section\'><a id=\"pf_source-interfaces\"></a><h2 id=\"pf_source-interfaces\">PF_Source Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-initialEvents.html\' title=\'\'>Interface: initialEvents</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-particleObjectExt.html\' title=\'\'>Interface: particleObjectExt</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-pfSystem.html\' title=\'\'>Interface: pfSystem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";