var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Age_Test : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Age_Test : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"age_test-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Age_Test - superclass: helper; super-superclass:node - 10:0 - classID: #(1962490881, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>Age_Test</strong> lets the particle system check whether a specific amount of time has passed since the start of the animation or the current event, or whether particles have reached a certain age, and branch accordingly.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Age_Test... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Age_Test&gt;.Condition_Type Integer default: 1 -- radio button number \n\
</pre></div><p>Get/Set the index of the Age Test Condition drop-down list.</p>\n\
<p>0: <strong>Absolute Age</strong> - Tests the current frame number in the animation.</p>\n\
<p>1: <strong>Particle Age</strong> - Tests the current age of each particle in frames. This is the default test type.</p>\n\
<p>2: <strong>Event Age</strong> - Tests the current duration of the current event in frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Age_Test&gt;.Random_Seed Integer default: 12345 -- integer \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Age_Test&gt;.Subframe_Sampling BooleanClass default: true -- boolean \n\
</pre></div><p>Get/Set the state of the Subframe Sampling checkbox. Setting it to <span class=\'code\'>true</span> helps avoid particle &quot;puffing&quot; when passing particles to the next event by testing the time at a much higher subframe resolution rather than using the relatively coarse frame resolution</p>\n\
<div class=\'codeBlock\'><pre>&lt;Age_Test&gt;.Test_Type Integer default: 1 -- integer \n\
&lt;Age_Test&gt;.Test_Value Integer default: 4800 -- integer \n\
</pre></div><p>Get/Set the Test Value. Specifies the ticks number, particle age (in ticks), or event duration (in ticks) to test for.</p>\n\
<p>Note:</p>\n\
<p>The Test Value in the UI is shown in frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Age_Test&gt;.Variation Integer default: 800 -- integer \n\
</pre></div><p>Get/Set the Variation. Defines the time in ticks by which the value tested for can vary randomly</p>\n\
<div class=\'section\'><a id=\"age_test-interfaces\"></a><h2 id=\"age_test-interfaces\">Age_Test Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Age_Test Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";