var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Collision : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Collision : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"collision-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Collision - superclass: helper; super-superclass:node - 9:0 - classID: #(1962490883, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>Collision</strong> tests for particles that collide with one or more specified Deflector Space Warps. It can also test whether a particle has slowed down or sped up after one or more collisions, has collided more than once, and even whether it will collide with a deflector in a specified number of frames.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Collision... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.Collision_Nodes ArrayParameter default: #() -- node array; alias: collisionNodes \n\
</pre></div><p>Get/Set the list of Deflectors used as Collision Nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.test_Type Integer default: 0 -- integer; Collision_Test_Type \n\
</pre></div><p>Controls the state of the <strong>Test True If Particle</strong> radiobuttons in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Collides</strong> - Choose this option, and then set <span class=\'code\'>.Speed_Option</span> according to how particle speed should be affected by the collision.</p>\n\
<p>1: <strong>Is Slow After Collision(s)</strong> - The test succeeds if, after collision, particle speed is less than the Min_Speed value.</p>\n\
<p>2: <strong>Is Fast After Collision(s)</strong> - The test succeeds if, after collision, particle speed is greater than the Max_Speed value.</p>\n\
<p>3: <strong>Collided Multiple Times</strong> - The test becomes <span class=\'code\'>True</span> after a particle collides a specific number of times. The particle is moved to the point of the last collision and then redirected to the next event.</p>\n\
<p>4: <strong>Will Collide</strong> - The software extrapolates particle motion in a linear fashion, based on the current direction and speed, and the test becomes <span class=\'code\'>True</span> if the results suggest that the particle will collide with the deflector during a specified time interval. The particle is redirected to the next event without updating its speed or position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.Speed_Option Integer default: 0 -- integer; alias:speedOption \n\
</pre></div><p>Controls the state of the <strong>Speed</strong> drop-down list. Determines the behavior of the particle after the collision when <span class=\'code\'>.testType</span> is set to <strong>0 : Collides</strong>. Possible values are:</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Particle speed and direction are unaffected by the collision.</p>\n\
<p>2: <strong>Stop</strong> - Particle speed is set to 0 after the collision.</p>\n\
<p>3: <strong>Random</strong> - Particles bounce off the deflector in random directions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.Min_Speed Float default: 1.0 -- world units; alias: minSpeed \n\
</pre></div><p>Corresponds to the <strong>Speed Min</strong> value in the UI. Particles traveling at less than this speed, in system units per second, test <span class=\'code\'>True</span> and become eligible for moving to the next event when <span class=\'code\'>.testType</span> is set to <strong>1 : Is Slow After Collision</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.Max_Speed Float default: 1000.0 -- world units; alias: maxSpeed \n\
</pre></div><p>Corresponds to the <strong>Speed Max</strong> value in the UI. Particles traveling faster than this speed, in system units per second, test <span class=\'code\'>True</span> and become eligible for moving to the next event when <span class=\'code\'>.testType</span> is set to <strong>2 : Is Fast After Collision</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.Collision_Count Integer default: 5 -- integer; alias: collisionCount \n\
</pre></div><p>Get/Set the number of times a particle must collide in order to test True. Only used when <span class=\'code\'>.testType</span> is set to <strong>3 : Collided Multiple Times</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.collision_Count_OptionsInteger default: 0 -- integer; alias: collisionCountOptions \n\
</pre></div><p>Controls the state of the Speed drop-down list under the Collided Multiple Times option. Determines the behavior of the particle after the collision.</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Particle speed and direction are unaffected by the collision.</p>\n\
<p>2: <strong>Stop</strong> - Particle speed is set to 0 after the collision.</p>\n\
<p>3: <strong>Random</strong> - Particles bounce off the deflector in random directions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.Will_Collide_Frame Integer default: 800 -- integer; alias: willCollideFrame \n\
</pre></div><p>Get/Set the time ahead (in ticks) during which the software looks for an impending collision when <span class=\'code\'>.testType</span> is set to <strong>4 : Will Collide</strong>.</p>\n\
<p>Note:</p>\n\
<p>The time value is shown as frames in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision&gt;.Random_Seed Integer default: 12345 -- integer \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"collision-interfaces\"></a><h2 id=\"collision-interfaces\">Collision Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Collision Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";