var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Collision_Spawn : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Collision_Spawn : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"collision_spawn-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Collision_Spawn - superclass: helper; super-superclass:node - 21:0 - classID: #(1962490884, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>Collision_Spawn</strong> creates new particles from existing ones that collide with one or more Deflector Space Warps. You can specify different post-collision behavior for the colliding particles and their offspring. Each spawned particle is born at the same location as its parent, and has the same orientation and shape. <strong>Collision_Spawn</strong> can give the spawned particles a different speed and scaling factor. If you wire the <strong>Collision_Spawn</strong> test to another event, spawned particles are sent to that event, where you can specify different properties for the new particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Collision_Spawn... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.True_for_Particles_Collided Boolean default: false -- boolean \n\
</pre></div><p>When <strong>true</strong>, parent particles qualify for redirection when the test conditions are met. Available with the <strong>Spawn On First Collision</strong> option only when <strong>Delete Parent</strong> is <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.True_for_Spawn_Particles Boolean default: true -- boolean \n\
</pre></div><p>When <strong>true</strong>, spawned particles qualify for redirection when the test conditions are met.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Collision_Nodes ArrayParameter default: #() -- node array; alias:deflectorNodes; SubAnim \n\
</pre></div><p>Get/Set the list of Deflectors used as Collision Nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Spawn_Type Integer default: 0 -- radio button number \n\
</pre></div><p>Controls the state of the <strong>Spawn On...</strong> radio buttons in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Spawn On First Collision</strong> - Particles spawn only the first time they collide with a deflector.</p>\n\
<p>1: <strong>Spawn On Each Collision</strong> - Particles spawn on each of multiple collisions, up to a limit specified with the <strong>Number of Collision</strong> parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Number_of_Collisions Integer default: 3 -- integer \n\
</pre></div><p>Sets the number of collisions up to which particles will spawn when <span class=\'code\'>.Spawn_Type</span> is set to <strong>1 : Spawn On Each Collision</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Delete_Parent Boolean default: true -- boolean \n\
</pre></div><p>Controls the state of the Delete Parent checkbox in the UI. When set to <span class=\'code\'>true</span> , deletes each original particle from which a new one is spawned. Available only when <span class=\'code\'>Spawn_Type</span> is set to <strong>0 : Spawn On First Collision</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Divergence Float default: 12.0 -- animatable; angle; \n\
</pre></div><p>Spreads out the stream of spawned particles. The value defines the extent of the divergence in degrees. Range is from 0 to 180.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Spawn_Able Float default: 100.0 -- animatable; percentage \n\
</pre></div><p>Defines the percentage of particles in the current event that will spawn new particles. This is determined once for each particle, when it enters the event. However, the parameter is animatable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Number_of_Offsprings Integer default: 1 -- animatable; integer \n\
</pre></div><p>The number of new particles the system creates from each parent particle for each spawning event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Offsprint_Variation Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The amount by which the <span class=\'code\'>.Number_of_Offsprings</span> value can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Sync_Type Integer default: 0 -- integer \n\
</pre></div><p>Defines the time frame to use when animating <span class=\'code\'>.Number_of_Offsprings</span> and <span class=\'code\'>.Offsprings_Variation</span> .</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Restart_Particle_Age Boolean default: true -- boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , sets the age of each newly spawned particle at 0. When <span class=\'code\'>false</span> , each spawned particle inherits its parent&#39;s age.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Parent_Speed Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of the <strong>Parent</strong> drop-down list in the UI. Defines the parent&#39;s behavior. Available only when <strong>Delete Parent</strong> is off. Possible values are:</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Particle speed and direction are unaffected by the collision.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Offspring_Speed Integer default: 0 -- integer \n\
</pre></div><p>Controls the state of the <strong>Offspring</strong> drop-down list in the UI. Defines the new spawned particles’ behavior.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>Bounce</strong> - The speed and direction of offspring after collision is determined by the deflector properties.</p>\n\
<p>1: <strong>Continue</strong> - Speed and direction of offspring are unaffected by the collision.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Speed_Type Integer default: 1 -- radio button number \n\
</pre></div><p>Controls the state of the Speed Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>In Units</strong> &amp;endash; Use the <span class=\'code\'>.Speed</span> value.</p>\n\
<p>1: <strong>Inherited</strong> &amp;endash; Use the <span class=\'code\'>.Speed_Inherited</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Speed Float default: 100.0 -- animatable; world units \n\
</pre></div><p>Choose this to specify the speed of spawned particles in system units per second. A positive value inherits the parent&#39;s direction; a negative value reverses it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Speed_Inherited Float default: 100.0 -- animatable; percentage \n\
</pre></div><p>Choose this to specify each spawned particle&#39;s speed as a percentage of its parent&#39;s speed. A positive value inherits the parent&#39;s direction; a negative value reverses it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Speed_Variation Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The amount by which a spawned particle&#39;s speed can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Scale_Factor Float default: 100.0 -- animatable; percentage \n\
</pre></div><p>Controls the amount of uniform scaling to apply to each spawned particle, as a percentage of its parent&#39;s size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Scale_Variation Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>The amount by which a spawned particle&#39;s scale can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Collision_Spawn&gt;.Random_Seed Integer default: 12345 -- integer \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"collision_spawn-interfaces\"></a><h2 id=\"collision_spawn-interfaces\">Collision_Spawn Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Collision_Spawn Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\' title=\'\'>Interface: integrator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";