var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Go_To_Rotation : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Go_To_Rotation : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"go_to_rotation-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Go_To_Rotation - superclass: helper super-superclass:node - classID: #(1962490894, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Go_To_Rotation</strong> test enables a smooth transition in the rotational component of a particle, so that the particle can gradually rotate to a specific orientation over a specific period. An example of its usage would be with falling leaves, which spin chaotically as they fall, but land on a flat side rather than an edge. The test aspect lets you direct the particle to a new event when the transition period ends.</p>\n\
<p>To set a target orientation, place the <strong>Go_To_Rotation</strong> test <em>before</em> an orientation-type operator (Rotation or Rotation Spin) in the same event. In this situation, the <strong>Go_To_Rotation</strong> test can grab the particle rotational component before the orientation-type operator overwrites it. The <strong>Go_To_Rotation</strong> operator modifies the particle orientation and spinning in the post-evaluation cycle.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Go_To_Rotation... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Transition_Type Integer default:2 \n\
</pre></div><p>Corresponds to the <strong>Transition By</strong> drop-down list in the UI. Determines how the software applies the specified timing, defined by the Time and Variation values. Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Time refers to the overall time of the system. Each particle will reach its target orientation at the frame number specified by Time.</p>\n\
<p>1: <strong>Particle Age</strong> - Time refers to the time elapsed since the birth of the particle. Each particle will reach its target orientation when its age reaches the value specified by Time.</p>\n\
<p>2: <strong>Event Duration</strong> - Time refers to the time elapsed since the particle entered the current event. Each particle will reach its target orientation when it has been in the current for the number of frames specified by Time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Time Integer default:30 \n\
</pre></div><p>The number of frames particles should take to reach the target orientation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Variation Integer default:0 \n\
</pre></div><p>Defines a random variation in the Spin Rate value when a particle reaches the target orientation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Send_Out Boolean default:true \n\
</pre></div><p>When set to <strong>true</strong>, particles are sent out to the next event at the end of the transition. When set to <span class=\'code\'>false</span> , the particles never leave the test.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Target_Rotation Integer default:0 --radio button number \n\
</pre></div><p>Controls the state of the Target Rotation radio buttons. Possible values are:</p>\n\
<p>0: <strong>Constant</strong> - Defines that the orientation-type operator sets a constant orientation for a particle.</p>\n\
<p>1: <strong>Changing</strong> - Defines that the orientation-type operator sets a changing rotation for a particle. At each frame the desirable final rotation may be different.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Match_Initial_Spin Boolean default:True \n\
</pre></div><p>Sets the angular velocity at the end of the transition period to the same as the angular velocity when particle enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.SpinRate Float default:0.0 --angle \n\
</pre></div><p>Defines each particle&#39;s angular velocity, in degrees per second, when it reaches the target orientation. Available only when <span class=\'code\'>.Match_Initial_Spin</span> is <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Spin_Rate_Variation Float default:0.0 percentage \n\
</pre></div><p>Defines each particle&#39;s angular velocity, in degrees per second, when it reaches the target orientation. Available only when <span class=\'code\'>.Match Initial Spin</span> is <span class=\'code\'>false</span> .</p>\n\
<p>Note:</p>\n\
<p>For a smooth transition to the target orientation, set to 0.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Ease_In Float    default: 0.0   --  percent \n\
</pre></div><p>Defines a curve in achieving the final spin rate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Stop_Spinning Boolean default:true \n\
</pre></div><p>When on, halts particle rotation when it reaches the target orientation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Go_To_Rotation&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"go_to_rotation-interfaces\"></a><h2 id=\"go_to_rotation-interfaces\">Go_To_Rotation Interfaces:</h2></div>\n\
<p><strong>The following Interfaces are exposed by the Go_To_Rotation Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";