var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scale_Test : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scale_Test : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scale_test-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Scale_Test - superclass: helper super-superclass:node - classID: #(1962490887, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>Scale_Test</strong> lets the particle system check particle scaling, or particle size before or after scaling, and branch accordingly. The test provides a variety of axis options for measuring scale or size.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Scale_Test... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Test_Type Integer default:2 \n\
</pre></div><p>Controls the state of the Type drop-down list in the UI. Possible values are:</p>\n\
<p>0: <strong>PreScale Size</strong> - Tests the size before scaling.</p>\n\
<p>1: <strong>PostScale Size</strong> - Tests the size after scaling.</p>\n\
<p>2: <strong>Scale</strong> - Tests the scaling percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Axis_Type Integer default:0 \n\
</pre></div><p>Controls the state of the Axis drop-down list in the UI. Possible values are:</p>\n\
<p>0: <strong>Average</strong> - Obtains an average measurement by adding the sizes on all three axes and then dividing by three.</p>\n\
<p>1: <strong>Minimum</strong> - Uses the smallest dimension.</p>\n\
<p>2: <strong>Median</strong> - Uses the middle dimension in order of size. For example, if the particle dimensions are X=5, Y=6, Z=12, then the number compared to Test Value would be 6.</p>\n\
<p>3: <strong>Maximum</strong> - Uses the largest dimension.</p>\n\
<p>4: <strong>X/Y/Z</strong> - Uses the specified dimension.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Condition_Type Integer default:1 \n\
</pre></div><p>Controls the Text condition type.</p>\n\
<p>Possible values are</p>\n\
<p>0: <strong>If Less Than Test Value</strong></p>\n\
<p>1: <strong>If Greater Than Test Value</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Size_Value Float default:10.0 --world units \n\
</pre></div><p>The specific size to test for. Used when <span class=\'code\'>.Test_Type</span> is set to <strong>0: PreScale Scale</strong> or <strong>1: PostScale Size</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Size_Variation Float default:0.0 --world units alias: Variation \n\
</pre></div><p>The amount by which the value tested for can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Scale_Value Float default:100.0 &amp;endash;percentage \n\
</pre></div><p>The specific scaling factor to test for. Used only when <span class=\'code\'>.Test_Type</span> is set to <strong>2: Scale</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Scale_Variation Float default:0.0 --percentage \n\
</pre></div><p>The amount by which the value tested for can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Sync_Type Integer default 0 \n\
</pre></div><p>Controls the state of the <strong>Sync By</strong> drop-down list in the UI. Specifies the time frame for applying animated parameters:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Scale_Test&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"scale_test-interfaces\"></a><h2 id=\"scale_test-interfaces\">Scale_Test Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";