var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spawn : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spawn : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spawn-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spawn - superclass: helper super-superclass:node - classID: #(1962490882, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>Spawn</strong> creates new particles from existing ones. Each spawned particle is born at the same location as its parent, and has the same orientation and shape. <strong>Spawn</strong> can give the spawned particles a different speed and scaling factor. If you wire the <strong>Spawn</strong> test to another event, spawned particles are sent to that event, where you can specify different properties for the new particles.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Spawn... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Spawn_Type Integer default:0 \n\
</pre></div><p>Controls the state of the radio buttons in the UI. Use these settings to specify how often particles are to spawn, the measurement system to use, and other values related to how many particles are spawned.</p>\n\
<p>0: <strong>Once</strong> - Particles spawn one time only. For each existing particle, one new one is born.</p>\n\
<p>1: <strong>Per Second</strong> - Lets you specify a number of particles to spawn every second. For example, if you use the default Rate setting of 10.0, at 30 fps a new particle is born every three frames.</p>\n\
<p>2: <strong>By Travel Distance</strong> - Lets you spawn new particles at regular intervals over the path of a moving parent particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Delete_Parent Boolean default:false \n\
</pre></div><p>When on, deletes each original particle from which a new one is spawned. Available only with the Once option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Spawn_Rate Float default:10.0 \n\
</pre></div><p>The number of particles to spawn per second. Available only with the Per Second option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Spawn_Step_Size Float default:1.0 --world units \n\
</pre></div><p>The system spawns a new particle every time the parent moves this distance, in system units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Spawn_Able Float default:100.0 --percentage \n\
</pre></div><p>The percentage of particles in the current event that will spawn new particles. This is determined once for each particle, when it enters the event. However, the parameter is animatable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Number_of_Offsprings Integer default:1 \n\
</pre></div><p>The number of new particles the system creates from each parent particle for each spawning event</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Variation Float default:0.0 --percentage \n\
</pre></div><p>The amount by which the Offspring # value can vary randomly</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Sync_Type Integer default:0 \n\
</pre></div><p>Choose the time frame to use when animating <strong><span class=\'code\'>.Spawn_Rate</span> , <span class=\'code\'>.Spawn_Step_Size</span> , <span class=\'code\'>.Number_of_Offsprings</span></strong> and Variation:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Restart_Particle_Age Boolean default:true \n\
</pre></div><p>When on, sets the age of each newly spawned particle at 0. When off, each spawned particle inherits its parent&#39;s age.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Speed_Type Integer default:1 \n\
</pre></div><p>Controls the state of the Speed group radio buttons in the UI.</p>\n\
<p>Possible values are:</p>\n\
<p>0: <strong>In Units</strong> - Choose this to specify the speed of spawned particles in system units per second. A positive value inherits the parent&#39;s direction; a negative value reverses it.</p>\n\
<p>1: <strong>Inherited</strong> - Choose this to specify each spawned particle&#39;s speed as a percentage of its parent&#39;s speed. A positive value inherits the parent&#39;s direction; a negative value reverses it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Speed Float default:100.0 --world units \n\
</pre></div><p>Get/set the value used when <span class=\'code\'>.Speed_Type</span> is set to <strong>0 : In Units</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Speed_Inherited Float default:100.0 --percentage \n\
</pre></div><p>Get/set the value used when <span class=\'code\'>.Speed_Type</span> is set to <strong>1 : Inherited</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Variation Float default:0.0 --percentage \n\
</pre></div><p>Get/set the amount by which a spawned particle&#39;s speed can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Divergence Float default:20.0 --angle; \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , spreads out the stream of spawned particles. Defines the extent of the divergence in degrees. Range is from 0 to 180.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Scale_Factor Float default:100.0 --percentage \n\
</pre></div><p>Get/set the amount of uniform scaling to apply to each spawned particle, as a percentage of its parent&#39;s size</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Variation Float default:0.0 --percentage \n\
</pre></div><p>Get/set the amount by which a spawned particle&#39;s scale can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spawn&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"spawn-interfaces\"></a><h2 id=\"spawn-interfaces\">Spawn Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";