var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Speed_Test : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Speed_Test : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"speed_test-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Speed_Test - superclass: helper super-superclass:node - classID: #(1962490885, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p><strong>Speed_Test</strong> lets the particle system check particle speed, acceleration, or the rate of circular travel, and branch accordingly. The test provides a number of variants that let you test speed or acceleration on specific axes, or simply whether the particle is accelerating or decelerating.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Speed_Test... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Test_Type Integer default:0 \n\
</pre></div><p>0: <strong>Velocity Magnitude</strong> - Tests the particle velocity, in system units per second, without consideration of direction. This is the default test type.</p>\n\
<p>1: <strong>Velocity X/Y/Z</strong> - Tests the particle velocity on the specified axis, in system units per second, using the world coordinate system.</p>\n\
<p>2: <strong>Acceleration Magnitude</strong> - Tests the particle acceleration (change in velocity), in system units per second per second, without respect to direction.</p>\n\
<p>3: <strong>Acceleration X/Y/Z</strong> - Tests the particle acceleration (change in velocity) on the specified axis, in system units per second per second, using the world coordinate system.</p>\n\
<p>4: <strong>Steering Rate</strong> - Tests the circular component of particle travel in degrees per second, without consideration of rotation or spinning.</p>\n\
<p>5: <strong>True When Accelerates</strong> - Returns a <span class=\'code\'>True</span> value when the particle velocity is increasing in value.</p>\n\
<p>6: <strong>True When Decelerates</strong> - Returns a <span class=\'code\'>True</span> value when the particle velocity is decreasing in value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Condition_Type Integer default:1 \n\
</pre></div><p>Lets you specify whether the test passes particles on to the next event if the speed test succeeds or fails. Available for all tests except <strong>True When Accelerates/Decelerates</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Unit_Value Float default:300.0 --world units \n\
</pre></div><p>The specific speed or acceleration to test for.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Unit_Variation Float default:0.0 --world units \n\
</pre></div><p>The amount by which value tested for can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Angle_Value Float default:360.0 --angle \n\
</pre></div><p>The specific angular speed or acceleration to test for.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Angle_Variation Float default:0.0 --angle \n\
</pre></div><p>The amount by which the angular value tested for can vary randomly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Sync_Type Integer default:0 \n\
</pre></div><p>Specifies the time frame to use when animating the Test Values and Variations. Possible values are:</p>\n\
<p>0: <strong>Absolute Time</strong> - Any keys set for parameters are applied at the actual frames for which they&#39;re set.</p>\n\
<p>1: <strong>Particle Age</strong> - Any keys set for parameters are applied at the corresponding frames of each particle&#39;s existence.</p>\n\
<p>2: <strong>Event Duration</strong> - Any keys set for parameters are applied to each particle starting when it first enters the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Speed_Test&gt;.Random_Seed Integer default:12345 \n\
</pre></div><p>Specifies a randomization value.</p>\n\
<div class=\'section\'><a id=\"speed_test-interfaces\"></a><h2 id=\"speed_test-interfaces\">Speed_Test Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";