var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Split_Amount : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Split_Amount : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"split_amount-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Split_Amount - superclass: helper super-superclass:node - classID: #(1962490891, 515064320) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>Split_Amount</strong> test lets you send a specific number of particles to the next event, keeping all remaining particles in the current event. You can split the particle stream by a specific number or percentage, or by every Nth particle. With a specific number of particles, the splitting takes place once per event, but you can animate the percentage and <em>every Nth</em> values to vary the amount of split-off particles over time.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Split_Amount... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Amount&gt;.Test_Type Integer default: 0 \n\
</pre></div><p>0: <strong>Fraction Of Particles</strong> - Split the particle stream on a percentage basis, specified with the Ratio value. With Ratio greater than 0.0, whether a particular particle is split off depends on a randomization factor; change this with the Uniqueness Seed value.</p>\n\
<p>1: <strong>Every Nth Particle</strong> - Splits off a regular sample of particles.</p>\n\
<p>2: <strong>First N Particles</strong> - Splits off the number of particles specified as the N value (below), starting with the first particle to enter the event, and retains the rest.</p>\n\
<p>3: <strong>Particles After N First</strong> - Splits off all particles starting with the first one after N particles, as specified with the N parameter (below). All particles starting with the first to enter the event up to N are retained in the event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Amount&gt;.Ratio Float    default: 50.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Specifies the percentage of particles that will test True. Animatable. Used only when <strong><span class=\'code\'>.Test_Type</span></strong> is set to <strong>0 : Fraction Of Particles</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Amount&gt;.Every_Nth Integer default: 3 \n\
</pre></div><p>Specifies how often to split off a particle. Animatable. Used only when <span class=\'code\'>.Test_Type</span> is set to <strong>0 : Every Nth Particle</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Amount&gt;.First_N Integer default: 100 \n\
</pre></div><p>Specifies the number of particles to split off, with <strong>2 : First N Particles</strong>, or to retain in the event, with <strong>3 : Particles After N First</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Amount&gt;.Per_Emission_Source Boolean default: false \n\
</pre></div><p>When set to <strong>true</strong>, the software applies the First_N value for the options <strong>First N Particles</strong> and <strong>Particles After N First</strong> separately for each emission source. Use this option with multiple <strong>Particle Flow</strong> sources converging into a single Split Amount test.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Split_Amount&gt;.Random_Seed Integer \n\
</pre></div><p>Specifies the randomization value.</p>\n\
<div class=\'section\'><a id=\"split_amount-interfaces\"></a><h2 id=\"split_amount-interfaces\">Split_Amount Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";