var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Buoyancy : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Buoyancy : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_buoyancy-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Buoyancy - superclass: helper; super-superclass:node - 17:0 - classID: #(1935830532, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Buoyancy</strong> operator defines forces for a particle submerged in a liquid medium.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Buoyancy...\n\
PhysXBuoyancy...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Density     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Liquid Density&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"surface-level-group-of-controls\"></a><h2 id=\"surface-level-group-of-controls\">Surface Level group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Level_Type     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Surface Level radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Height</strong> (default)</p>\n\
<p>1 - <strong>Plane Primitive</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Level_Height     Float    default: 0.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Grid_Geometry     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the object assigned to he <strong>&quot;Plane Primitive&quot;</strong> pick button.</p>\n\
<div class=\'section\'><a id=\"drag-factors-group-of-controls\"></a><h2 id=\"drag-factors-group-of-controls\">Drag Factors group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Use_Quadratic_Drag     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Quadratic Unit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Quadratic_Drag     Float    default: 10.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Quadratic Drag&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Use_Linear_Drag     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Linear Unit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Linear_Drag     Float    default: 10.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Linear Drag&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Use_Angular_Drag     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Angular Drag&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Angular_Drag     Float    default: 10.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Angular Drag&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Surface_Unit     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Surface Unit&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"icon\"></a><h2 id=\"icon\">Icon</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Icon_Shape     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Box</strong> (default)</p>\n\
<p>1- <strong>Cylinder</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Icon_Length     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Length&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Icon_Width     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Icon_Height     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Limit_Buoyancy_By_Icon     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Limit Buoyancy By Icon&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Buoyancy&gt;.Color_Coordinated     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Color Coordinated Icon&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"mp_buoyancy-interfaces\"></a><h2 id=\"mp_buoyancy-interfaces\">mP_Buoyancy interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Buoyancy Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";