var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Collision : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Collision : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_collision-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Collision - superclass: helper; super-superclass:node - 9:0 - classID: #(1935830275, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Collision</strong> test uses any geometry object with PFlow Collision Shape world-space modifier as a simulation deflector. The collided particles can be sent to the next event, and collision data can be passed to Data operators.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Collision...\n\
PhysXCollision...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Deflectors     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the list of deflector objects to be used for collisions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Test_True     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Test True If Particle:&quot;</strong> checkbox. When checked, particles will be sent out to the next Event depending on the <span class=\'code\'>.Test_Type</span> settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Test_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the Test Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Collides</strong> (default)</p>\n\
<p>1 - <strong>Is Slow After Collision(s)</strong></p>\n\
<p>2 - <strong>Is Fast After Collisions(s)</strong></p>\n\
<p>3 - <strong>Collided Multiple Times</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Min_Speed     Float    default: 1.0   --  animatable; worldUnits; TempSub\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed Min&quot;</strong> spinner.</p>\n\
<p>It is used as the threshold value when the <span class=\'code\'>.Test_Type</span> is set to 1 (Is Slow After Collision(s)) and <span class=\'code\'>.Test_True</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Max_Speed     Float    default: 1000.0   --  animatable; worldUnits; TempSub\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed Max&quot;</strong> spinner.</p>\n\
<p>It is used as the threshold value when the <span class=\'code\'>.Test_Type</span> is set to 2 (Is Fast After Collision(s)) and <span class=\'code\'>.Test_True</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Collision_Count     Integer    default: 5   --  integer; TempSub\n\
</pre></div><p>Get/set the value of the <strong>&quot;# Times&quot;</strong> spinner.</p>\n\
<p>It is used when the <span class=\'code\'>.Test_Type</span> is set to 3 (Collided Multiple Times) and <span class=\'code\'>.Test_True</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Report_To_Data_Operator     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Report To Data Operator&quot;</strong> checkbox.</p>\n\
<p>When set to True, the collision operator will provide collision information to Data operators. Use an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data-Sub-Operators/Input_mParticles-ReferenceTarget.html\' title=\'\'>InputMassFX</a> sub-operator to read the Deflector-based <strong>&quot;Collided&quot;</strong> or <strong>&quot;# Collisions&quot;</strong> channels generated by the mP_Collision test.</p>\n\
<p>When set to False (default), no collision data will be provided to Data operators.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Additive_Count     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Additive Count&quot;</strong> checkbox.</p>\n\
<p>It is used only when the <span class=\'code\'>.Test_Type</span> is set to 3 (Collided Multiple Times), <span class=\'code\'>.Test_True</span> is set to True and <span class=\'code\'>.Report_To_Data_Operator</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Collision&gt;.Collision_Group     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Collision Group&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"mp_collision-interfaces\"></a><h2 id=\"mp_collision-interfaces\">mP_Collision interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Collision Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-integrator.html\' title=\'\'>Interface: integrator</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";