var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Drag : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Drag : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_drag-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Drag - superclass: helper; super-superclass:node - 14:0 - classID: #(1935830281, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Drag</strong> operator decelerates particles by applying friction-like forces based on the linear and angular motion.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Drag... \n\
PhysXDrag...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Timing_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the &quot;Adjust&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>On Event Entry</strong> (default) - a particles will be affected only once when it enters the event.</p>\n\
<p>1 - <strong>Continuous</strong> - a particle will be affected on each integration step.</p>\n\
<div class=\'section\'><a id=\"damping-factor-group-of-controls\"></a><h2 id=\"damping-factor-group-of-controls\">Damping Factor group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Apply_Linear_Damping     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Linear&quot;</strong> checkbox.</p>\n\
<p>When set to True, damping will be applied to the linear motion of particles.</p>\n\
<p>When set to False (default), no linear damping will be applied to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Linear_Damping     Float    default: 0.5   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Linear&quot;</strong> spinner.</p>\n\
<p>It will be used to apply damping to the linear motion of particles when the <span class=\'code\'>.Apply_Linear_Damping</span> option is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Apply_Angular_Damping     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Angular&quot;</strong> checkbox.</p>\n\
<p>When set to True, damping will be applied to the angular motion of the particles.</p>\n\
<p>When set to False (default), no angular damping will be applied to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Angular_Damping     Float    default: 0.05   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Angular&quot;</strong> spinner.</p>\n\
<p>It will be used to apply damping to the angular motion of particles when the <span class=\'code\'>.Apply_Angular_Damping</span> option is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Sync     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the &quot;Sync By&quot; drop-down list.</p>\n\
<p>It is used only when the <span class=\'code\'>.Timing_Type</span> property is set to 1 - Continuous.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<div class=\'section\'><a id=\"speed-multiplier-group-of-controls\"></a><h2 id=\"speed-multiplier-group-of-controls\">Speed Multiplier group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Speed_Multiplier     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Speed Factor Multiplier&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Speed_Unit     Float    default: 100.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed Unit&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Spin_Unit     Float    default: 180.0   --  angle\n\
</pre></div><p>Get/set the value of the <strong>&quot;Spin Unit&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Use_Data_Wiring     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the &quot;Use Script Wiring&quot; property of the operator which is accessible via the right-click context menu.</p>\n\
<p>When set to False (default), no Data Wiring will be used.</p>\n\
<p>When set to True, Data Wiring will be enabled and an additional Rollout &quot;Wiring From Data Channels&quot; will appear, allowing you to control the Linear and Angular Damping values via user-specified Data Operators.</p>\n\
<div class=\'section\'><a id=\"wiring-from-data-channels-rollout\"></a><h2 id=\"wiring-from-data-channels-rollout\">Wiring From Data Channels rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Linear_Damping_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Linear Damping Factor&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Linear Damping Factor value of the operator will be wired to the Data Operator specified by the <strong><span class=\'code\'>.Linear_Damping_Data_Creator</span></strong> property.</p>\n\
<p>When set to False (default), the Linear Damping Factor value of the operator specified via the <span class=\'code\'>.Linear_Damping</span> property will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Linear_Damping_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Operator object to provide the custom Linear Damping Data to the operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Angular_Damping_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Angular Damping Factor&quot;</strong> checkbox.</p>\n\
<p>When set to True, the Angular Damping Factor value of the operator will be wired to the Data Operator specified by the <strong><span class=\'code\'>.Angular_Damping_Data_Creator</span></strong> property.</p>\n\
<p>When set to False (default), the Angular Damping Factor value of the operator specified via the <span class=\'code\'>.Angular_Damping</span> property will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Drag&gt;.Angular_Damping_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the Data Operator object to provide the custom Angular Damping Data to the operator.</p>\n\
<div class=\'section\'><a id=\"mp_drag-interfaces\"></a><h2 id=\"mp_drag-interfaces\">mP_Drag interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Drag Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";