var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Force : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Force : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_force-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Force - superclass: helper; super-superclass:node - 11:0 - classID: #(1935830278, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Force</strong> operator accepts any force-type particle space warp as a force source. The force is applied to all particles in the current event that are affected by an mP_World operator.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Force...\n\
PhysXForce...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h2 id=\"parameters-rollout\">Parameters rollout</h2></div>\n\
<div class=\'section\'><a id=\"force-space-warps-group-of-controls\"></a><h3 id=\"force-space-warps-group-of-controls\">Force Space Warps group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Force_Space_Warps     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the list of Force Space Warp objects to be used for the physical particle simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Force_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Force Type</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Uniform</strong> (default)</p>\n\
<p>1 - <strong>Gravity</strong></p>\n\
<p>2 - <strong>Surface</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Force_Variation_Threshold     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>Force Variation Threshold</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Shape_Size     Float    default: 1.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>Shape Size</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Force_Overlapping     Integer    default: 0   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>Force Field Overlapping</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Additive</strong></p>\n\
<p>1- <strong>Maximum</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Influence     Float    default: 1000.0   --  animatable; percent; Controller Scaling: (1 : 100.0)\n\
</pre></div><p>Get/set the value of the <strong>Influence %</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Exponent     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>Exponent (10**N)</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Sync     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Sync By</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Impulse_On_Event_Entry     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>Impulse On Event Entry</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Time_Warp     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the <strong>Time Warp</strong> spinner.</p>\n\
<p><strong>When the &quot;Use Script Wiring&quot; option is checked in the context menu of the mP_Force operator, or set via the .setUseScriptWiring() method in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a>, an additional rollout becomes available</strong>.</p>\n\
<div class=\'section\'><a id=\"script-wiring-rollout-optional\"></a><h2 id=\"script-wiring-rollout-optional\">Script Wiring rollout (optional)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Force&gt;.Use_Script_Float     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>Influence Parameter Wiring</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Not Wired</strong> (default)</p>\n\
<p>1 - <strong>From Script Float</strong></p>\n\
<p>2 - <strong>From Data Operator</strong></p>\n\
<div class=\'section\'><a id=\"mp_force-interfaces\"></a><h2 id=\"mp_force-interfaces\">mP_Force interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Force Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";