var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Glue : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Glue : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_glue-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Glue - superclass: helper; super-superclass:node - 86:0 - classID: #(1935830279, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Glue</strong> test binds particles to each other or to deflectors by rigid or flexible breakable connection.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Glue...\n\
PhysXGlue...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h2 id=\"parameters-rollout\">Parameters rollout</h2></div>\n\
<div class=\'section\'><a id=\"binding-group-of-controls\"></a><h3 id=\"binding-group-of-controls\">Binding group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Simplified</strong> (default)</p>\n\
<p>1 - <strong>Rigid</strong></p>\n\
<p>2 - <strong>Distance</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Timing_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Timing&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>On Every Entry</strong> (default)</p>\n\
<p>1 - <strong>Continuous</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_Distance     Float    default: 5.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Bind Distance&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Use_Bind_Gap_Condition     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Bind Gap&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_Gap     Float    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Bind Gap&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_Center_Aligned_Only     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Bind Center Aligned Only&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Align_Margin     Float    default: 0.01   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Align Margin&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Allow_Binding_Penetration     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Allow Binding Penetration&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Max_Binds_Per_Particle     Integer    default: 4   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Max Binds Per Particle&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Visualize_Binding     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Visualize Binding&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Color     Color    default: (color 0 0 255)   --  RGB color\n\
</pre></div><p>Get/set the value of the <strong>&quot;Visualize Binding&quot;</strong> color .</p>\n\
<div class=\'section\'><a id=\"breakability-group-of-controls\"></a><h3 id=\"breakability-group-of-controls\">Breakability group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Breakable_By_Force     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Breakable By Force&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Max_Force     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Max Force&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Max_Torque     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Max Torque&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Max_By_Bind_Distance     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Max By Bind Distance&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Distance_Unit     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Distance Unit&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Continuous_Adjustment     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Continuous Adjustment&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Sync     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Sync By&quot;</strong> drop-down list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Test_True     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Test True When Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Test_Type     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Test True When Particles&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Bind</strong></p>\n\
<p>1 - <strong>Break Any Binding</strong></p>\n\
<p>2 - <strong>Break All Bindings</strong> (default)</p>\n\
<div class=\'section\'><a id=\"to-bind-with-group-of-controls\"></a><h3 id=\"to-bind-with-group-of-controls\">To Bind With group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_In_Current_Event     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Current Event Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_With_Other_Events     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Other Events Particles&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Events_To_Bind_With     ArrayParameter    default: #()   --  int array; SubAnim\n\
</pre></div><p>Get/set the array of Event objects to bind with when <span class=\'code\'>.Bind_With_Other_Events</span> is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_With_Deflectors     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Deflectors&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_With_Ground     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Ground&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Deflectors_To_Bind_With     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Get/set the array of Deflector objects to bind with when <span class=\'code\'>.Bind_With_Deflectors</span> is set to True.</p>\n\
<div class=\'section\'><a id=\"distance-binding-rollout\"></a><h2 id=\"distance-binding-rollout\">Distance Binding rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Use_Minimum_Distance_Limit     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Minimum Distance Limit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Minimum_Distance_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Minimum Distance Limit&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>1 - <strong>Relative</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Minimum_Absolute_Distance     Float    default: 0.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>Minimum Distance Limit &gt; &quot;Absolute&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Minimum_Relative_Distance     Float    default: 0.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>Minimum Distance Limit &gt; &quot;Relative %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Use_Maximum_Distance_Limit     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Maximum Distance Limit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Distance_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Maximum Distance Limit&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>1 - <strong>Relative</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Absolute_Distance     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>Maximum Distance Limit &gt; &quot;Absolute&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Relative_Distance     Float    default: 120.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>Maximum Distance Limit &gt; &quot;Relative %&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Enable_Spring_Force     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Enable Spring Force&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Adjust_By_Particle_Mass     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Adjust By Particle Mass&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Spring_Coef     Float    default: 1.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Spring Coef&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Damper_Coef     Float    default: 1.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Damper Coef&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bury_Binding_Anchors     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Bury Binding Anchors&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.depth     Float    default: 0.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Depth&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"breakability-group-of-controls-1\"></a><h3 id=\"breakability-group-of-controls-1\">Breakability group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Breakable_By_Overstretch     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Breakable By Overstretch&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Overstretch_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Maximum Distance Limit&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute</strong></p>\n\
<p>1 - <strong>Relative</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Overstretch_Absolute_Limit     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>Breakability &gt; &quot;Absolute&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Overstretch_Relative_Limit     Float    default: 150.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>Breakability &gt; &quot;Relative %&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"rigid-binding-rollout\"></a><h2 id=\"rigid-binding-rollout\">Rigid Binding rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Rigid_Binding_Anchor_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Rigid Binding &gt; &quot;Binding Anchor Placement&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Centers Average</strong> (default)</p>\n\
<p>1 - <strong>Closest Points Average</strong></p>\n\
<p>2 - <strong>Mass Proportional</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Solver_Factor     Float    default: 1.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Solver Factor&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"simplified-binding-rollout\"></a><h2 id=\"simplified-binding-rollout\">Simplified Binding rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Simplified_Binding_Anchor_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Simplified Binding &gt; &quot;Binding Anchor Placement&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Centers Average</strong> (default)</p>\n\
<p>1 - <strong>Closest Points Average</strong></p>\n\
<p>2 - <strong>Mass Proportional</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Use_Data_Wiring     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Enable/disable the use of From and To Data Wiring.</p>\n\
<p>When set to True, the following optional rollouts will be displayed in the operator&#39;s UI and the following properties will become available:</p>\n\
<div class=\'section\'><a id=\"wiring-from-data-channels-rollout-optional\"></a><h2 id=\"wiring-from-data-channels-rollout-optional\">Wiring From Data Channels rollout (optional)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_Distance_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Bind Distance&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_Distance_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Bind Distance&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_Gap_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Bind Gap&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Bind_Gap_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Bind Gap&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Breakability_Max_Force_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Breakability Max Force&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Breakability_Max_Force_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Breakability Max Force&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Breakability_Max_Torque_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Breakability Max Torque&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Breakability_Max_Torque_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Breakability Max Torque&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Max_Binds_Per_Particle_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Max Binds Per Particle&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Max_Binds_Per_Particle_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Max Binds Per Particle&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Binding_Groups_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Binding Groups&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Binding_Groups_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Binding Groups&quot;</strong> Data Creator object.</p>\n\
<div class=\'section\'><a id=\"distance-binding-group-of-controls\"></a><h3 id=\"distance-binding-group-of-controls\">Distance Binding group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Minimum_Distance_Limit_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Minimum Distance Limit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Minimum_Distance_Limit_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Minimum Distance Limit&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Distance_Limit_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Maximum Distance Limit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Distance_Limit_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Maximum Distance Limit&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Spring_Damper_Coef_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Spring Damper Coef&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Spring_Damper_Coef_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Spring Damper Coef&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Spring_Force_Coef_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Spring Force Coef&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Spring_Force_Coef_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Spring Force Coef&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Overstretch_Distance_Limit_From_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Overstretch Distance&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Overstretch_Distance_Limit_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Overstretch Distance&quot;</strong> Data Creator object.</p>\n\
<div class=\'section\'><a id=\"wiring-to-data-channels-rollout-optional\"></a><h2 id=\"wiring-to-data-channels-rollout-optional\">Wiring To Data Channels rollout (optional)</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Num_Active_Bindings_To_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;# Active Bindings&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Num_Active_Bindings_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;# Active Bindings&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Num_Broken_Bindings_To_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;# Broken Bindings&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Num_Broken_Bindings_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;# Broken Bindings&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Num_Broken_By_Force_To_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;# Broken By Force&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Num_Broken_By_Force_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;# Broken By Force&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Average_Binding_Length_To_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Average Binding Length&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Average_Binding_Length_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Average Binding Length&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Minimum_Binding_Length_To_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Minimum Binding Length&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Minimum_Binding_Length_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Minimum Binding Length&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Binding_Length_To_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Maximum Binding Length&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Binding_Length_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Maximum Binding Length&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Average_Breaking_Impulse_To_Data     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Average Breaking Impulse&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Average_Breaking_Impulse_Data_Creator     UndefinedClass    default: undefined   --  maxObject\n\
</pre></div><p>Get/set the <strong>&quot;Average Breaking Impulse&quot;</strong> Data Creator object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Breaking_Impulse_To_Data     BooleanClass    default: false   --  boolean; Maximum_Breaking_Impuse_To_Data\n\
</pre></div><p>Get/set the state of the <strong>&quot;Maximum Breaking Impulse&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Glue&gt;.Maximum_Breaking_Impulse_Data_Creator     UndefinedClass    default: undefined   --  maxObject; Maximum_Breaking_Impuse_Data_Creator\n\
</pre></div><p>Get/set the <strong>&quot;Maximum Breaking Impulse&quot;</strong> Data Creator object.</p>\n\
<div class=\'section\'><a id=\"mp_glue-interfaces\"></a><h2 id=\"mp_glue-interfaces\">mP_Glue interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Glue Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-test.html\' title=\'\'>Interface: test</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";