var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Shape : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Shape : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_shape-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Shape - superclass: helper; super-superclass:node - 21:0 - classID: #(1935830274, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Shape</strong> operator defines the particle shape for collisions.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Shape...\n\
PhysXShape... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Collide_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Collide As&quot;</strong> drop-down list.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>Box</strong> (default)</p>\n\
<p>1 - <strong>Capsule</strong></p>\n\
<p>2 - <strong>Convex Hull</strong></p>\n\
<p>3 - <strong>Sphere</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Display_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Display As&quot;</strong> drop-down list.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>None</strong> (default)</p>\n\
<p>1 - <strong>Shaded</strong></p>\n\
<p>2 - <strong>Wireframe</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Color     Color    default: (color 255 255 0)   --  RGB color\n\
</pre></div><p>Get/set the value of the Color Swatch.</p>\n\
<div class=\'section\'><a id=\"collision-shape-size-group-of-controls\"></a><h2 id=\"collision-shape-size-group-of-controls\">Collision Shape Size group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Conform_To_Particle_Shape     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the value of the <strong>&quot;Conform To Particle Shape&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Shape_Length     Float    default: 1.0   --  worldUnits; Length\n\
</pre></div><p>Get/set the value of the <strong>&quot;Length&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Shape_Width     Float    default: 1.0   --  worldUnits; Width\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Shape_Height     Float    default: 1.0   --  worldUnits; Height\n\
</pre></div><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Scale_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Scale Type radio buttons.</p>\n\
<p>Possible value are:</p>\n\
<p>0 - <strong>Scale %</strong></p>\n\
<p>1 - <strong>Use Shape Scale Factor</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Scale     Float    default: 100.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Scale %&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"convex-hull-generation-group-of-controls\"></a><h2 id=\"convex-hull-generation-group-of-controls\">Convex Hull Generation group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Weld_Threshold     Float    default: 0.01   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Weld Threshold&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Inflate_Width     Float    default: 0.01   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Inflate Width&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Scale_Margin     Float    default: 1.0   --  percent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Scale Margin %&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"bounce-and-friction-group-of-controls\"></a><h2 id=\"bounce-and-friction-group-of-controls\">Bounce And Friction group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Restitution     Float    default: 0.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Restitution&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Static_Friction     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Static Friction&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Dynamic_Friction     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Dynamic Friction&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"mass-group-of-controls\"></a><h2 id=\"mass-group-of-controls\">Mass group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Mass_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Mass Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>By Value</strong></p>\n\
<p>1 - <strong>By Density</strong> (default)</p>\n\
<p>2 - <strong>From Mass Channel</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Mass     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;By Value&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Density     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;By Density&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"shape-interpenetration-group-of-controls\"></a><h2 id=\"shape-interpenetration-group-of-controls\">Shape Interpenetration group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Interpenetration_Tolerance     Float    default: 0.01   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Tolerance&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Generate_Tolerance_Channel     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the value of the <strong>&quot;Generate Data Channel&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Shape&gt;.Collision_Group     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Collision Group&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"mp_shape-interfaces\"></a><h2 id=\"mp_shape-interfaces\">mP_Shape interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Shape Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";