var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mP_Switch : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mP_Switch : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mp_switch-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>mP_Switch - superclass: helper; super-superclass:node - 30:0 - classID: #(1935830276, 515064320)\n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>The <strong>mP_Switch</strong> operator controls adjustments in a physics simulation.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>mP_Switch...\n\
PhysXSwitch... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"match-position-or-speed-group-of-controls\"></a><h2 id=\"match-position-or-speed-group-of-controls\">Match Position or Speed group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Match_Position     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Position&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Match_Speed     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Speed&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Position_Speed_Match_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Match Position or Speed&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Position_Speed_Start     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the Position/Speed Start spinner.</p>\n\
<p>Used when <span class=\'code\'>.Position_Speed_Match_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Position_Speed_Stop     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the Position/Speed Stop spinner.</p>\n\
<p>Used when <span class=\'code\'>.Position_Speed_Match_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Position_Speed_Active     BooleanClass    default: false   --  animatable; boolean\n\
</pre></div><p>Get/set the state of the <strong>Match Position or Speed &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <span class=\'code\'>.Position_Speed_Match_Type</span> is set to 2- <strong>Animatable</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Position_Speed_Sync_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Use_Speed_Limit     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Speed Limit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Speed_Limit     Float    default: 1000.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Speed Limit&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"match-rotation-or-spin-group-of-controls\"></a><h2 id=\"match-rotation-or-spin-group-of-controls\">Match Rotation or Spin group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Match_Rotation     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Rotation&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Match_Spin     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Spin&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Rotation_Spin_Match_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the <strong>&quot;Match Rotation or Spin&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Rotation_Spin_Start     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the Rotation/Spin Start spinner.</p>\n\
<p>Used when <span class=\'code\'>.Rotation_Spin_Match_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Rotation_Spin_Stop     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the Rotation/Spin Stop spinner.</p>\n\
<p>Used when <span class=\'code\'>.Rotation_Spin_Match_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Rotation_Spin_Active     BooleanClass    default: false   --  animatable; boolean\n\
</pre></div><p>Get/set the state of the <strong>Match Rotation or Spin &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <span class=\'code\'>.Rotation_Spin_Match_Type</span> is set to 2- <strong>Animatable</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Rotation_Spin_Sync_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Match Rotation or Spin &gt; &quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Use_Spin_Limit     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Spin Limit&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Spin_Limit     Float    default: 360.0   --  animatable; angle; Controller Scaling: (1 : 57.2958)\n\
</pre></div><p>Get/set the value of the <strong>&quot;Spin Limit&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"apply-anti-gravity-controls\"></a><h2 id=\"apply-anti-gravity-controls\">Apply Anti-Gravity controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Apply_Anti_Gravity     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Apply Anti-Gravity&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.AntiGravity_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Anti-Gravity Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.AntiGravity_Start     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the Anti-Gravity Start spinner.</p>\n\
<p>Used when <span class=\'code\'>.AntiGravity_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.AntiGravity_Stop     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the Anti-Gravity Stop spinner.</p>\n\
<p>Used when <span class=\'code\'>.AntiGravity_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.AntiGravity_Active     BooleanClass    default: false   --  animatable; boolean\n\
</pre></div><p>Get/set the state of the <strong>Apply Anti-Gravity &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <span class=\'code\'>.AntiGravity_Type</span> is set to 2- <strong>Animatable</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Anti_Gravity_Sync_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Apply Anti-Gravity &gt; &quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<div class=\'section\'><a id=\"turn-off-simulation-controls\"></a><h2 id=\"turn-off-simulation-controls\">Turn Off Simulation controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Turn_Off_Simulation     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Turn Off Simulation&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Turn_Off_Simulation_Type     Integer    default: 1   --  radiobtnIndex\n\
</pre></div><p>Get/set the state of the Turn Off Simulation Type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>In Interval</strong></p>\n\
<p>1 - <strong>Event</strong> (default)</p>\n\
<p>2 - <strong>Animatable</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Turn_Off_Start     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the Turn Off Simulation Start spinner.</p>\n\
<p>Used when <span class=\'code\'>.Turn_Off_Simulation_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Turn_Off_Stop     Integer    default: 4800   --  integer\n\
</pre></div><p>Get/set the value of the Turn Off Simulation Stop spinner.</p>\n\
<p>Used when <span class=\'code\'>.Turn_Off_Simulation_Type</span> is set to 0 - <strong>In Interval</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Turn_Off_Active     BooleanClass    default: false   --  animatable; boolean\n\
</pre></div><p>Get/set the state of the <strong>Turn Off Simulation &gt; Animatable &gt; &quot;Active&quot;</strong> checkbutton.</p>\n\
<p>Used when <span class=\'code\'>.Turn_Off_Simulation_Type</span> is set to 2- <strong>Animatable</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mP_Switch&gt;.Turn_Off_Sync_Type     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>Turn Off Simulation &gt; &quot;Sync By&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Absolute Time</strong> (default)</p>\n\
<p>1 - <strong>Event Duration</strong></p>\n\
<p>2 - <strong>Particle Age</strong></p>\n\
<div class=\'section\'><a id=\"mp_switch-interfaces\"></a><h2 id=\"mp_switch-interfaces\">mP_Switch interfaces:</h2></div>\n\
<p><strong>The following common Particle Flow Interfaces are exposed by the mP_Switch Class:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-action.html\' title=\'\'>Interface: action</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-operator.html\' title=\'\'>Interface: operator</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-PViewItem.html\' title=\'\'>Interface: PViewItem</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";