var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ActionList</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ActionList</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-actionlist\"></a></div>\n\
<p><strong>The ActionList Interface is exposed by the Event Class</strong>.</p>\n\
<p>It lets you add and removed Actions to/from the Event, test the type of the Actions on the list and control the Event’s appearance in the Particle View.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PF_Event&gt;.numActions()     \n\
</pre></div><p>Returns the number of actions in the list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;&lt;PF_Event&gt;.getAction &lt;index&gt;index   \n\
</pre></div><p>Returns the indexed action from the list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.appendAction &lt;node&gt;action \n\
</pre></div><p>Appends the specified action to the list, returns <strong>true</strong> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\' title=\'\'>VolumeDocking Sample Script</a> for a complete example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.insertAction &lt;node&gt;action &lt;index&gt;index \n\
</pre></div><p>Inserts the specified action in the list at the position defined by the index value. Returns <strong>true</strong> on success.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\' title=\'\'>VolumeDocking Sample Script</a> for a complete example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.removeAction &lt;index&gt;index \n\
</pre></div><p>Removes the indexed action from the list. Returns <strong>true</strong> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.hasAction &lt;node&gt;action &lt;&amp;index&gt;index \n\
\n\
index is In and Out parameter\n\
</pre></div><p>Returns <strong>true</strong> if the specified action is on the list. When true, the by-reference index variable will contain the actual index of the existing action on the list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.isAction &lt;node&gt;action \n\
</pre></div><p>Returns <strong>true</strong> if the specified node is an action.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.isOperator &lt;node&gt;action \n\
</pre></div><p>Returns <strong>true</strong> if the specified node is an operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.isTest &lt;node&gt;action \n\
</pre></div><p>Returns <strong>true</strong> if the specified node is a test.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.isActivated() \n\
</pre></div><p>Returns <strong>true</strong> if activated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Event&gt;.activate &lt;boolean&gt;active \n\
</pre></div><p>Sets the active state to the boolean value specified by the active parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PF_Event&gt;.isActionActive &lt;index&gt;index \n\
</pre></div><p>Returns 1 if the indexed action is active, 0 otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Event&gt;.activateAction &lt;index&gt;index &lt;integer&gt;active \n\
</pre></div><p>Sets the active flag of the indexed action. 0 = inactive, 1= active</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Event&gt;.getPViewLocation &lt;&amp;integer&gt;x &lt;&amp;integer&gt;y \n\
\n\
x is In and Out parameter \n\
y is In and Out parameter \n\
</pre></div><p>Returns the x and y location of the Particle View in the by-reference parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Event&gt;.setPViewLocation &lt;integer&gt;x &lt;integer&gt;y \n\
</pre></div><p>Sets the Particle View location to the specified integer values.</p>\n\
<p>X and Y Range is from 0 to 64000.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PF_Event&gt;.getPViewZOrder() \n\
</pre></div><p>Returns the Particle View Z order.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Event&gt;.setPViewZOrder &lt;integer&gt;z order \n\
</pre></div><p>Sets the Particle View Z Order. Range is from0 to 64000.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PF_Event&gt;.getListWidth() \n\
</pre></div><p>Returns the List Width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setListWidth &lt;integer&gt;width \n\
</pre></div><p>Sets the List width. Range is from 100 to 1000 pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PF_Event&gt;.getPViewRightBoundary() \n\
</pre></div><p>Returns the right boundary of the Particle View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.isCollapsed() \n\
</pre></div><p>Returns <strong>true</strong> if the action list is collapsed.</p>\n\
<p>Note: Collapsing is <strong>not implemented</strong> yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Event&gt;.collapse() \n\
</pre></div><p>Collapses the action list.</p>\n\
<p>Note: Collapsing is <strong>not implemented</strong> yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Event&gt;.expand() \n\
</pre></div><p>Expands the action list.</p>\n\
<p>Note: Expanding is <strong>not implemented</strong> yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Event&gt;.hasUpStream() \n\
</pre></div><p>Returns <strong>true</strong> if the action list has an upstream list.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES AND RESULTS</strong></p>\n\
<p>``` --Open Particle View to see results ParticleFlow.openParticleView() --Create an empty event ev = Event() --&gt; $Event:Event 02 @ [0.000000,0.000000,0.000000] --Get the number of actions - the Event IS empty... ev.numActions() --&gt; 0 --Disable Automatic Event Encapsulation particleFlow.beginEdit() --&gt; OK --Create a new Find_Target Action ft = find_target() --&gt; $Find_Target:Find Target 01 @ [0.000000,0.000000,0.000000] --Enable Encapsulation again particleFlow.endEdit() --&gt; OK --Append the Find_Target to the Event ev.appendAction ft --&gt; true --Get the first action in the Event... ev.getAction 1 --&gt; $Find_Target:Find Target 01 @ [0.000000,0.000000,0.000000] --Let’s create another Action... particleFlow.beginEdit() --&gt; OK --This time a Birth Action bt = birth() --&gt; $Birth:Birth 01 @ [0.000000,0.000000,0.000000] particleFlow.endEdit() --&gt; OK --Insert the Birth at first position ev.insertAction bt 1 --&gt; true --Try to insert the Find_Target --You cannot - it is already in the Event! ev.insertAction ft 1 --&gt; false --Remove the second event (Find_Target) ev.removeAction 2 --&gt; true --Initialize a variable to pass by reference ind = 0 --&gt; 0 --Check if the Birth is in the Event - It is! ev.hasAction bt &amp;ind --&gt; true --The by-reference variable has the index ind --&gt; 1 --See if Find_Target is also there - --It isn’t anymore. ev.hasAction ft &amp;ind --&gt; false --See if Birth is an Action... ev.isAction bt --&gt; true --See if Find_Target is an Action... ev.isAction ft --&gt; true --See if Birth is an Operator... ev.isOperator bt --&gt; true --See if Find_Target is an Operator... ev.isOperator ft --&gt; false --See if Birth is a Test... ev.isTest bt --&gt; false --See if Find_Target is a Test... ev.isTest ft --&gt; true --See if the Event is activated... ev.isActivated() --&gt; true --Deactivate it! ev.activate false --&gt; OK --Now it is deactivated. ev.isActivated() --&gt; false --Activate it again. ev.activate true --&gt; OK --Works! ev.isActivated() --&gt; true --See if the Birth action is active ev.isActionActive 1 --&gt; 1</p>\n\
<p>--Deactivate the Birth action ev.activateAction 1 0 --&gt; OK --Did it work? ev.isActionActive 1 --&gt; 0 --Back to Active ev.activateAction 1 1 --&gt; OK --Birth is back to work! ev.isActionActive 1 --&gt; 1 --Initialize some variables to pass by reference x = y = 0 --&gt; 0 --Get the Event location in Particle View ev.getPViewLocation &amp;x &amp;y --&gt; OK --X now contains the X coordinate... x --&gt; 27 --...and Y the Y coordinate y --&gt; 14 --Let’s change the location to 40,40 ev.setPViewLocation 40 40 --&gt; OK --Get again to make sure it worked... ev.getPViewLocation &amp;x &amp;y --&gt; OK x --&gt; 40 y --&gt; 40 --Get the Z order of the Event ev.getPViewZOrder() --&gt; 1 --Set the Z order down to 0 ev.setPViewZOrder 0 --&gt; OK --Check that it worked ev.getPViewZOrder() --&gt; 0 --Get the width of the Event ev.getListWidth() --&gt; 180 --Set the width to something larger ev.setListWidth 300 --&gt; OK --It worked (you should see it in PView) ev.getPViewRightBoundary() --&gt; 300 --Make it smaller ev.setListWidth 100 --&gt; OK --Check where the right boundary is ev.getPViewRightBoundary() --&gt; 100 --Get the collapsed state of the Event - currently it will --always return false, this is for Future Use. ev.isCollapsed() --&gt; false --Note: Not Implemented Yet! ev.collapse() --&gt; OK --Note: Not Implemented Yet! ev.expand() --&gt; OK --See if there are Events upstream - there are none ev.hasUpStream() --&gt; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Event-Helper.html\' title=\'\'>Event : Helper</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";