var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: action</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: action</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-action\"></a></div>\n\
<p><strong>The action Interface is exposed in all Particle Flow Action Classes</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;init &lt;IObject&gt;container &lt;object&gt;particleSystem &lt;node&gt;particleSystemNode &lt;&amp;object array&gt;actions &lt;&amp;node array&gt;actionNodes     \n\
\n\
actions is In and Out parameter      \n\
actionNodes is In and Out parameter   \n\
</pre></div><p>Initializes the Action.</p>\n\
<p>Lets you calls the Init method of an Action from inside a Script_Operator’s <strong>on Init...</strong> handler.</p>\n\
<p>For an example, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\' title=\'\'>Speed Operator in Script Operator Example</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;release &lt;IObject&gt;container \n\
</pre></div><p>Releases the specified particle container.</p>\n\
<p>Lets you call the Release method of an Action from inside a Script_Operator’s <strong>on Release...</strong> handler.</p>\n\
<p>For an example, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\' title=\'\'>Speed Operator in Script Operator Example</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;interval by value&gt;activityInterval () \n\
</pre></div><p>Returns the activity interval.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isFertile() \n\
</pre></div><p>Returns True if the action is fertile (generates particles).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isNonExecutable() \n\
</pre></div><p>Returns True if the action is non executable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;supportRand() \n\
</pre></div><p>Returns True if the action supports randomization.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getRand() \n\
</pre></div><p>Returns the current random seed value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setRand &lt;integer&gt;randomSeed \n\
</pre></div><p>Sets the random seed to the supplied integer value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;newRand() \n\
</pre></div><p>Generates a new random seed and returns its value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isMaterialHolder() \n\
</pre></div><p>Returns True if the action is a material holder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;material&gt;getMaterial() \n\
</pre></div><p>Returns the material if the action is a material holder.</p>\n\
<p>This method is not supported by actions for which <span class=\'code\'>.isMaterialHolder()</span> returns False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setMaterial &lt;material&gt;material \n\
</pre></div><p>Sets the material, returns True when successful.</p>\n\
<p>This method is not supported by actions for which <span class=\'code\'>.isMaterialHolder()</span> returns False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;supportScriptWiring() \n\
</pre></div><p>Returns True if the action supports script wiring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setUseScriptWiring &lt;boolean&gt;useState \n\
</pre></div><p>Sets the &quot;Use Script Wiring&quot; option exposed in the right-click menu of the action.</p>\n\
<p>Usable only when <span class=\'code\'>.supportScriptWiring()</span> returns True.</p>\n\
<p>When set to True, additional controls will be displayed in the action&#39;s User Interface and can be set via MAXScript to control certain operations using scripted particle channels data.</p>\n\
<p>When set to False, the additional controls will be hidden and scripted channels will not be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;makeUnique() \n\
</pre></div><p>Converts an instanced action to a copy that&#39;s unique to its event.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES AND RESULTS</strong></p>\n\
<p>``` --Create a Find_Target action ft = find_target() --&gt; $Find_Target:Find Target 01 @ [0.000000,0.000000,0.000000] --Create a Birth_Script action bs = birth_script() --&gt; $Birth_Script:Birth Script 01 @ [0.000000,0.000000,0.000000] --Create a Material_Dynamic action md = material_dynamic() --&gt; $Material_Dynamic:Material Dynamic 01 @ [0.000000,0.000000,0.000000] --Create a Force action fc = force() --&gt; $Force:Force 01 @ [0.000000,0.000000,0.000000] --Does it create particle? --No, Find_Target doesn’t ft.isFertile() --&gt; false bs.isFertile() --&gt; true --Are they non-executable? ft.isNonExecutable() --&gt; false bs.isNonExecutable() --&gt; false --Do they support randomization? ft.supportRand() --&gt; true --Does this Action support Randomization? Yes! bs.supportRand() --&gt; true --Get the current random seed of the Find_Target ft.getRand() --&gt; 12345 --Set a new random seed ft.setRand 23456 --&gt; OK --Get the new random seed ft.getRand() --&gt; 23456 --Generate new random seed ft.newRand() --&gt; 30642 --Get the new random seed ft.getRand() --&gt; 30642 --Check if the action is a material holder - This one isn’t... ft.isMaterialHolder() --&gt; false --...But this one is md.isMaterialHolder() --&gt; true --This one doesn’t have a material assigned yet &amp;endash; -- nothing to get yet. md.getMaterial() --&gt; undefined --Assign a new material md.setMaterial (standard name:&quot;PF&quot;) --&gt; true --Now try to get the material again - It is there now! md.getMaterial() --&gt; PF:Standard --Does Find_Target support Wiring? --No, it doesn’t. ft.supportScriptWiring() --&gt; false --Does Force support Wiring? --Yes, it does! fc.supportScriptWiring() --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Age_Test-Helper.html\' title=\'\'>Age_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth-Helper.html\' title=\'\'>Birth : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Group-Helper.html\' title=\'\'>Birth_Group : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/BirthGrid-Helper.html\' title=\'\'>BirthGrid : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Paint-Helper.html\' title=\'\'>Birth_Paint : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\' title=\'\'>Birth_Script : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/BirthStream-Helper.html\' title=\'\'>BirthStream : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Texture-Helper.html\' title=\'\'>Birth_Texture : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Cache-Helper.html\' title=\'\'>Cache : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Cache_Disk-Helper.html\' title=\'\'>Cache_Disk : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Cache_Selective-Helper.html\' title=\'\'>Cache_Selective : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Camera_Culling-Helper.html\' title=\'\'>Camera_Culling : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Camera_IMBlur-Helper.html\' title=\'\'>Camera_IMBlur : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Collision-Helper.html\' title=\'\'>Collision : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\' title=\'\'>Collision_Spawn : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Copy_Out-Helper.html\' title=\'\'>Copy_Out : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Icon-Helper.html\' title=\'\'>Data_Icon : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Operator-Helper.html\' title=\'\'>Data_Operator : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\' title=\'\'>Data_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/DeleteParticles-Helper.html\' title=\'\'>DeleteParticles : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Find_Target-Helper.html\' title=\'\'>Find_Target : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Force-Helper.html\' title=\'\'>Force : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Go_To_Rotation-Helper.html\' title=\'\'>Go_To_Rotation : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Initial_State-Helper.html\' title=\'\'>Initial_State : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\' title=\'\'>Keep_Apart : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/mapping-Helper.html\' title=\'\'>mapping : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Dynamic-Helper.html\' title=\'\'>Material_Dynamic : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Frequency-Helper.html\' title=\'\'>Material_Frequency : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Static-Helper.html\' title=\'\'>Material_Static : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Buoyancy-Helper.html\' title=\'\'>mP_Buoyancy : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\' title=\'\'>mP_Collision : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Drag-Helper.html\' title=\'\'>mP_Drag : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Force-Helper.html\' title=\'\'>mP_Force : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\' title=\'\'>mP_Glue : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\' title=\'\'>mP_InterCollision : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Shape-Helper.html\' title=\'\'>mP_Shape : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Solvent-Helper.html\' title=\'\'>mP_Solvent : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Switch-Helper.html\' title=\'\'>mP_Switch : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_World-Helper.html\' title=\'\'>mP_World : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Notes-Helper.html\' title=\'\'>Notes : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source : GeometryClass</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/Position_Icon-Helper.html\' title=\'\'>Position_Icon : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/Position_Object-Helper.html\' title=\'\'>Position_Object : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/rotation-Helper.html\' title=\'\'>rotation : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Scale_Test-Helper.html\' title=\'\'>Scale_Test : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Send_Out-Helper.html\' title=\'\'>Send_Out : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/shapeStandard-Helper.html\' title=\'\'>shapeStandard : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/Shape_Facing-Helper.html\' title=\'\'>Shape_Facing : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/Shape_Instance-Helper.html\' title=\'\'>Shape_Instance : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/Shape_Mark-Helper.html\' title=\'\'>Shape_Mark : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Spawn-Helper.html\' title=\'\'>Spawn : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\' title=\'\'>speed : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/SpeedByIcon-Helper.html\' title=\'\'>SpeedByIcon : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Speed_By_Surface-Helper.html\' title=\'\'>Speed_By_Surface : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Speed_Test-Helper.html\' title=\'\'>Speed_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Amount-Helper.html\' title=\'\'>Split_Amount : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Selected-Helper.html\' title=\'\'>Split_Selected : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Source-Helper.html\' title=\'\'>Split_Source : Helper</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";