var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: initialEvents</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: initialEvents</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-initialevents\"></a></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumInitialActionLists()      \n\
</pre></div><p>Returns the number of initial Action Lists.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;getInitialActionList &lt;index&gt;index   \n\
</pre></div><p>Returns the indexed Action List node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;appendInitialActionList &lt;node&gt;actionList \n\
</pre></div><p>Appends the specified Action List node, returns <strong>true</strong> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;insertInitialActionList &lt;node&gt;actionList &lt;index&gt;index \n\
</pre></div><p>Inserts the specified Action List node at the specified indexed position, returns <strong>true</strong> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;removeInitialActionList &lt;index&gt;index \n\
</pre></div><p>Removes the indexed Action List, returns <strong>true</strong> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;hasInitialActionList &lt;node&gt;actionList &lt;&amp;index&gt;index \n\
\n\
index is In and Out parameter \n\
</pre></div><p>Returns <strong>true</strong> if the specified Action List node exists. In that case returns the index of the node in the index variable passed by reference.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Open Particle View to watch the results particleFlow.OpenParticleView() --&gt; $Particle_View:Particle View 01 @ [0.000000,0.000000,0.000000] --Create a new Particle Flow Source pfs = PF_Source() --&gt; $PF_Source:PF Source 01 @ [0.000000,0.000000,0.000000] --Get the number of Events connected to the PF_Source - --there are none so far pfs.getNumInitialActionLists() --&gt; 0 --Create a new empty event new_event = Event() --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000] --Connect the new Event to the PF_Source by appending it to --the list of Initial Action Lists. --In result, a binding appears pfs.appendInitialActionList new_event --&gt; true --Check again the number of Events connected to the PF_Source --As expected, there is one now pfs.getNumInitialActionLists() --&gt; 1 --Get the one Event connected to PF_Source - --it is the Event_01 we created pfs.getInitialActionList 1 --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000] --Now let’s create a second Event another_event = Event() --&gt; $Event:Event 02 @ [0.000000,0.000000,0.000000] --This time we will not append to the list, but will insert the --new Event to the first position of the list pfs.insertInitialActionList another_event 1 --&gt; true --Checking again the number of connected Events, --we see that there are two already pfs.getNumInitialActionLists() --&gt; 2 --Let’s see the result of the Insertion - the first indexed Event --on the list is the second event we created... pfs.getInitialActionList 1 --&gt; $Event:Event 02 @ [0.000000,0.000000,0.000000] --...while the first Event we created is now at indexed position 2 pfs.getInitialActionList 2 --&gt; $Event:Event 01 @ [0.000000,0.000000,0.000000] --We can remove the first Event and thus disconnect it -- from the PF_Source pfs.removeInitialActionList 1 --&gt; true --Checking the number of Events, there is only one connected now, --the second event is still in Particle View, but the binding is not --displayed anymore. pfs.getNumInitialActionLists() --&gt; 1 --Let’s see which Events are on the list and which are not. --We will need a variable to pass by reference to get the results ind = 0 --&gt; 0 --Calling this method with the first Event we created and the --variable passed by reference returns true which means the event --is actually on the list pfs.hasInitialActionList new_event &amp;ind --&gt; true --Checking the content of the variable shows the index 1 --of the Event on the list of connections ind --&gt; 1 --On the other hand, the second Event we removed before --does not appear on the list - the method returns false. pfs.hasInitialActionList another_event &amp;ind --&gt; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source : GeometryClass</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";