var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: integrator</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: integrator</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-integrator\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>Integrator</strong> moves particles in time according to inertia rules. It is a must for Collision operators since they need to substitute the part of the data that the integrator calculates. Particularly, the Collision tests change the position/speed data by their own as calculated by deflectors.</p>\n\
<p>All Test actions provide access to an Integrator interface via the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\' title=\'\'>Interface: MaxscriptParticleContainer</a> and its <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\' title=\'\'>getIntegrator_Method</a> that can be accessed using pCont.GetIntegrator() in a Proceed() handler.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;proceedSync &lt;IObject&gt;container &lt;time&gt;timeTick &lt;float&gt;tickFraction &lt;boolean&gt;selectedOnly &lt;bitArray&gt;selected      \n\
</pre></div><p>Returns <strong>true</strong> if the operation has been proceeded successfully.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;proceedASync &lt;IObject&gt;container &lt;time array&gt;timeTick &lt;float array&gt;tickFraction &lt;boolean&gt;selectedOnly &lt;bitArray&gt;selected   \n\
</pre></div><p>Returns <strong>true</strong> if the operation has been proceeded successfully.</p>\n\
<p><span class=\'code\'>timeTick</span>, <span class=\'code\'>timeFraction</span> - The exact time for particles to come to.</p>\n\
<p>The <span class=\'code\'>timeFraction</span> value stays in the range between -0.5f and 0.5f</p>\n\
<p><span class=\'code\'>selectedOnly</span>, <span class=\'code\'>selected</span> - If only part of the particles need to be time-advanced then set <span class=\'code\'>selectedOnly</span> to <strong>true</strong> and supply a BitArray for <span class=\'code\'>selected</span></p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Tests/Integrator-ProceedSynch-Example.html\' title=\'\'>Integrator ProceedSynch Example</a> for usage example.</p>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\' title=\'\'>Collision_Spawn : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\' title=\'\'>MaxscriptParticleContainer getIntegrator Method</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\' title=\'\'>mP_Collision : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\' title=\'\'>mP_InterCollision : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_World-Helper.html\' title=\'\'>mP_World : Helper</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";