var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: particleObjectExt</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: particleObjectExt</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-particleobjectext\"></a></div>\n\
<p><strong>The particleObjectExt Interface is exposed in Particle Flow Source Classes</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleIndex : index : Read|Write|Validated by Range: 1 to 100000000    \n\
</pre></div><p>Gets/sets the current particle index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleID : index : Read|Write|Validated by Range: 1 to 100000000   \n\
</pre></div><p>Gets/sets the current particle ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleAge : time : Read|Write|Validated by Range: 0f to 625000f \n\
</pre></div><p>Gets/sets the current particle Age.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleGroupTime : time : Read|Write|Validated by Range: 0f to 625000f \n\
</pre></div><p>Gets/sets the current particle Group Time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particlePosition : point3 : Read|Write \n\
</pre></div><p>Gets/sets the current particle position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleSpeed : point3 : Read|Write \n\
</pre></div><p>Gets/sets the current particle speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleOrientation : point3 : Read|Write \n\
</pre></div><p>Gets/sets the current particle orientation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleSpin : angleAxis : Read|Write \n\
</pre></div><p>Gets/sets the current particle spin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleScale : float : Read|Write|Validated by Range: 0.0 to 1e+009 \n\
</pre></div><p>Gets/sets the size of the current particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleScaleXYZ : point3 : Read|Write \n\
</pre></div><p>Gets/sets the Scale of the current particle as Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleTM : matrix3 : Read|Write \n\
</pre></div><p>Gets/sets the Transformation Matrix of the current particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleSelected : boolean : Read|Write \n\
</pre></div><p>Gets/sets the Selected state of the current particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PF_Source&gt;.particleShape : mesh : Read|Write \n\
</pre></div><p>Gets/sets the current particle’s mesh.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES AND RESULTS:</strong></p>\n\
<p>``` --Create a default PF Source in the Scene from the Create Tab. --Get the Source by name to test the Interface Properties:</p>\n\
<p>pf = PF_Source()</p>\n\
<p>particleFlow.BeginEdit() op1 = Birth() op2 = Position_Icon() op3 = Speed() op4 = Rotation() op5 = ShapeLibrary() op6 = RenderParticles() op7 = DisplayParticles() op7.color = pf.wireColor ev1 = Event() ev1.SetPViewLocation (pf.X_Coord) (pf.Y_Coord+100) particleFlow.EndEdit() ev1.AppendAction op1 ev1.AppendAction op2 ev1.AppendAction op3 ev1.AppendAction op4 ev1.AppendAction op5 ev1.AppendAction op7 pf.AppendAction op6 pf.AppendInitialActionList ev1</p>\n\
<p>--&gt; $PF_Source:PF Source 01 @ [2.536594,-48.031052,0.000000] --Get the curren particle&#39;s index pf.particleIndex --&gt; 1 --Change the particle index. Any subsequent --properties will be from particle 2 pf.particleIndex = 2 --&gt; 2 --Check to make sure it worked... pf.particleIndex --&gt; 2 --Get the Particle ID of particle 2 pf.particleID --&gt; 0 --Get the Particle Age on frame 0 --This is a newborn particle, age is 0! pf.particleAge --&gt; 0f --Now change the scene time to frame 10... sliderTime = 10 --&gt; 10 --...and get the Age again - --10 frames later, the Age is 9.7 frames! pf.particleAge --&gt; 9.7f --Check whether particle 2 is selected - --No, it is not pf.particleSelected --&gt; false -- Select PF Source select pf --Change to Modify panel max modify mode --&gt; OK --Change to Particle sub-object level subObjectLevel = 1 --&gt; 1 --Select Particle 2 - one particle --should turn red in the viewport pf.particleSelected = true --&gt; true --Get the particle position pf.particlePosition --&gt; [12.1301,-40.7149,-96.9697] --You can change it - --The Particle should move there... pf.particlePosition = [10.0,-10.0,-40.0] --&gt; [10,-10,-40] --Get the Speed of particle 2 pf.particleSpeed --&gt; [0,0,-0.0625] --Get the Orientation of particle 2 pf.particleOrientation --&gt; [-2.75317,-1.18547,-0.402363] --Get the Spin of particle 2 pf.particleSpin --&gt; (angleAxis 0 [1,0,0]) --Get the size of the particle pf.particleScale --&gt; 16.3299 --Get the Scale of the particle pf.particleScaleXYZ --&gt; [1,1,1] --Get the complete TM of the particle pf.particleTM --&gt; (matrix3 [0.345842,-0.147184,0.926677] [-0.0394943,-0.989029,-0.142347] [0.937461,0.0126313,-0.34786] [12.1301,-40.7149,-96.9697]) --Get the Shape as TriMesh. msh = pf.particleShape --&gt; TriMesh --Take a look at the number of vertices msh.numverts --&gt; 4 --...and the number of faces msh.numfaces --&gt; 4 --Why not take a look at the actual TriMesh? --Create a new empty Editable Mesh new_mesh = Editable_mesh() --&gt; $Editable_Mesh:Object01 @ [0.000000,0.000000,0.000000] --Assign the shape snapshot to the mesh new_mesh.mesh = msh --&gt; TriMesh --And finally update all caches of the Emesh to see the result: update new_mesh --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.updateParticles &lt;node&gt;particleSystem &lt;time&gt;time \n\
</pre></div><p>Forces a particle update at the specified time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PF_Source&gt;.numParticles() \n\
</pre></div><p>Returns the number of particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PF_Source&gt;.numParticlesGenerated() \n\
</pre></div><p>Returns the number of generated particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setEveryStepUpdateScriptLine &lt;string&gt;script \n\
</pre></div><p>Sets the script string to be executed on each update step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setEveryStepUpdateScriptFile &lt;filename&gt;fileName \n\
</pre></div><p>Sets the script file to be executed on each update step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setFinalStepUpdateScriptLine &lt;string&gt;script \n\
</pre></div><p>Sets the script string to be executed at the final update step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setFinalStepUpdateScriptFile &lt;filename&gt;fileName \n\
</pre></div><p>Sets the script file to be executed at the final update step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;PF_Source&gt;.getUpdateTime() \n\
</pre></div><p>Returns the current update time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.getUpdateInterval &lt;&amp;time&gt;timeStart &lt;&amp;time&gt;timeEnd \n\
\n\
timeStart is In and Out parameter \n\
timeEnd is In and Out parameter \n\
</pre></div><p>Returns the update interval in the two by-reference variables.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;PF_Source&gt;.getParticleID &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the particle ID of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Source&gt;.hasParticleID &lt;index&gt;particleBornIndex &lt;&amp;index&gt;particleIndex \n\
\n\
particleIndex is In and Out parameter \n\
</pre></div><p>Returns <strong>true</strong> if a particle with the specified particle birth ID exists. Returns the actual particle index in the specified by-reference variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;&lt;PF_Source&gt;.getParticleGroup &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the particle group node of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;PF_Source&gt;.getParticleIndex &lt;index&gt;particleBornIndex \n\
</pre></div><p>Returns the particle index of the particle with the specified birth index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;PF_Source&gt;.getParticleAge &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the particle Age of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;PF_Source&gt;.getParticleAgeByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the particle Age of the particle specified by the particle ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleAge &lt;index&gt;particleIndex &lt;time&gt;age \n\
</pre></div><p>Sets the particle age of the specified indexed particle to the specified age value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleAgeByID &lt;index&gt;particleID &lt;time&gt;age \n\
</pre></div><p>Sets the particle age of the particle specified by the ID to the specified age value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;PF_Source&gt;.getParticleLifeSpan &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the life span time of the specified indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;PF_Source&gt;.getParticleLifeSpanByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the life span time of the particle specified by the ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleLifeSpan &lt;index&gt;particleIndex &lt;time&gt;lifeSpan \n\
</pre></div><p>Sets the life span time of the indexed particle to the specified lifeSpan value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleLifeSpanByID &lt;index&gt;particleID &lt;time&gt;lifeSpan \n\
</pre></div><p>Sets the life span time of the particle specified by the ID to the specified lifeSpan value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;PF_Source&gt;.getParticleGroupTime &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Group Time of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;&lt;PF_Source&gt;.getParticleGroupTimeByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Group Time of the particle specified by the ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleGroupTime &lt;index&gt;particleIndex &lt;time&gt;age \n\
</pre></div><p>Sets the Group Time of the indexed particle to the specified age value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleGroupTimeByID &lt;index&gt;particleID &lt;time&gt;age \n\
</pre></div><p>Sets the Group Time of the particle specified by the ID to the specified age value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticlePosition &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the position of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticlePositionByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the position of the particle specified by the ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticlePosition &lt;index&gt;particleIndex &lt;point3&gt;position \n\
</pre></div><p>Sets the position of the indexed particle to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticlePositionByID &lt;index&gt;particleID &lt;point3&gt;position \n\
</pre></div><p>Sets the position of the particle specified by the ID to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticleSpeed &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the speed of the indexed particle as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticleSpeedByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the speed of the particle specified by the ID as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleSpeed &lt;index&gt;particleIndex &lt;point3&gt;speed \n\
</pre></div><p>Sets the speed of the indexed particle to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleSpeedByID &lt;index&gt;particleID &lt;point3&gt;speed \n\
</pre></div><p>Sets the speed of the particle specified by the ID to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticleOrientation &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the orientation of the indexed particle as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticleOrientationByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the orientation of the particle specified by the ID as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleOrientation &lt;index&gt;particleIndex &lt;point3&gt;orientation \n\
</pre></div><p>Sets the orientation of the indexed particle to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleOrientationByID &lt;index&gt;particleID &lt;point3&gt;orientation \n\
</pre></div><p>Sets the orientation of the particle specified by the ID to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;angleAxis&gt;&lt;PF_Source&gt;.getParticleSpin &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Spin of the indexed particle as an angleAxis value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;angleAxis&gt;&lt;PF_Source&gt;.getParticleSpinByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Spin of the particle specified by the ID as an angleAxis value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleSpin &lt;index&gt;particleIndex &lt;angleAxis&gt;spin \n\
</pre></div><p>Sets the Spin of the indexed particle to the specified AngleAxis value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleSpinByID &lt;index&gt;particleID &lt;angleAxis&gt;spin \n\
</pre></div><p>Sets the Spin of the particle specified by the ID to the specified angleAxis value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;PF_Source&gt;.getParticleScale &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the size of the indexed particle as a Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;PF_Source&gt;.getParticleScaleByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the size of the particle specified by the ID as a Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleScale &lt;index&gt;particleIndex &lt;float&gt;scale \n\
</pre></div><p>Sets the size of the indexed particle to the specified Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleScaleByID &lt;index&gt;particleID &lt;float&gt;scale \n\
</pre></div><p>Sets the size of the particle specified by the ID to the specified Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticleScaleXYZ &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Scale of the indexed particle as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;PF_Source&gt;.getParticleScaleXYZByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Scale of the particle specified by the ID as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleScaleXYZ &lt;index&gt;particleIndex &lt;point3&gt;scaleXYZ \n\
</pre></div><p>Sets the Scale of the indexed particle to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleScaleXYZByID &lt;index&gt;particleID &lt;point3&gt;scaleXYZ \n\
</pre></div><p>Sets the Scale of the particle specified by the ID to the specified Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;&lt;PF_Source&gt;.getParticleTM &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the Transformation Matrix of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3&gt;&lt;PF_Source&gt;.getParticleTMByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the Transformation Matrix of the particle specified by the ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleTM &lt;index&gt;particleIndex &lt;matrix3&gt;TM \n\
</pre></div><p>Sets the Transformation Matrix of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleTMByID &lt;index&gt;particleID &lt;matrix3&gt;TM \n\
</pre></div><p>Sets the Transformation Matrix of the particle specified by the ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Source&gt;.getParticleSelected &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the selected state of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PF_Source&gt;.getParticleSelectedByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the selected state of the particle specified by the ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleSelected &lt;index&gt;particleIndex &lt;boolean&gt;selected \n\
</pre></div><p>Sets the selected state of the indexed particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleSelectedByID &lt;index&gt;particleID &lt;boolean&gt;selected \n\
</pre></div><p>Sets the selected state of the particle specified by the ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;&lt;PF_Source&gt;.getParticleShape &lt;index&gt;particleIndex \n\
</pre></div><p>Returns the shape of the indexed particle as a mesh value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;&lt;PF_Source&gt;.getParticleShapeByID &lt;index&gt;particleID \n\
</pre></div><p>Returns the shape of the particle specified by the ID as a mesh value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleShape &lt;index&gt;particleIndex &lt;mesh&gt;shape \n\
</pre></div><p>Sets the shape of the indexed particle to the specified mesh value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setParticleShapeByID &lt;index&gt;particleID &lt;mesh&gt;shape \n\
</pre></div><p>Sets the shape of the particle specified by the ID to the specified mesh value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PF_Source&gt;.setShapeForAllParticles &lt;mesh&gt;shape \n\
</pre></div><p>Sets the shape of all particles to the specified mesh value.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES AND RESULTS:</strong></p>\n\
<p>``` --Create a new Particle Flow Source in the Viewport, --then get it by name from the scene pf = $&#39;PF Source 001&#39; --&gt; $PF_Source:PF Source 01 @ [2.536594,-48.031052,0.000000] --Set the scene time to frame 10 sliderTime = 10 --&gt; 10 --Update the particles at time 10 pf.updateParticles pf 10f --&gt; OK --Get total number of particles at current time pf.numParticles() --&gt; 34 --Get the total number of particles generated up to the current time pf.numParticlesGenerated() --&gt; 34 --Get the particles update time pf.getUpdateTime() --&gt; 10f --Initialize two user variables to 0 ts = te = 0 --&gt; 0 --Set scene time to frame 10 sliderTime = 10f --&gt; 10f --Get the update interval into the variables passed by reference pf.getUpdateInterval &amp;ts &amp;te --&gt; OK --Check the start time ts --&gt; 9f --Check the end time te --&gt; 10f pf.getParticleID 34--Get the particle ID of the 34th particle --&gt; 34 --Try to get the 35th particle. --There are only 34 particles, so ID is 0 pf.getParticleID 35 --&gt; 0 --Initialize a variable to pass by reference idx = 0 --&gt; 0 --Check if there is particle with ID 34 - --Yes, there is one pf.hasParticleID 34 &amp;idx --&gt; true --and its index is 34 idx --&gt; 34 --Check the same about particle ID 35 - --no, there is none pf.hasParticleID 35 &amp;idx --&gt; false --Get the Particle Group node pf.getParticleGroup 2 --&gt; $Particle_Group:PF Source 01-&gt;Event 01 @ [0.000000,0.000000,0.000000] --Get the index of particle 34 pf.getParticleIndex 34 --&gt; 34 --Get the index of particle 35 --No such particle ID, index is 0 pf.getParticleIndex 35 --&gt; 0 --Get the particle age of particle 2 pf.getParticleAge 2 --&gt; 9.7f --Get the particle age of particle ID 2 - --It is the same particle! pf.getParticleAgeByID 2 --&gt; 9.7f --Get the particle age of particle 34 --It was born later, age is smaller pf.getParticleAge 34 --&gt; 9f --Set age of particle 2 to 5 frames pf.setParticleAge 2 5f --&gt; OK --Check to see if it worked - It did! pf.getParticleAge 2 --&gt; 5f --Get the life span of particle 2 --Who wants to live forever? This one! pf.getParticleLifeSpan 2 --&gt; 1.34218e+007f --Change the life span of particle 2 pf.setParticleLifeSpan 2 10f --&gt; OK --Check again - it changed! pf.getParticleLifeSpan 2 --&gt; 10f --Get the Group Time of Particle 2 pf.getParticleGroupTime 2 --&gt; 0f --Set the Particle Group Time to 10 pf.setParticleGroupTime 2 10f --&gt; OK --Get the time again - it was set! pf.getParticleGroupTime 2 --&gt; 10f --Let’s change the mesh of particle 2 to a Geosphere gs = (geosphere radius:5).mesh --&gt; TriMesh --Change the Display to Geometry pf.Event_001.Display_001.Type = 6 --&gt; 6 --Set the particle mesh --One particle should become a Geosphere! pf.setParticleShape 2 gs --&gt; OK --Get the mesh of a teapot tp = (teapot radius:5).mesh --&gt; TriMesh --and assign to all particles - they should turn into teapots! --IT’S TEA TIME! pf.setShapeForAllParticles tp --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source : GeometryClass</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Internal-Classes/Non-Creatable-Classes/ParticleGroup-GeometryClass.html\' title=\'\'>ParticleGroup : GeometryClass</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";