var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: test</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: test</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-test\"></a></div>\n\
<p><strong>The test Interface is exposed by all Test Classes</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PFlowTest&gt;.proceedStep1 &lt;IObject&gt;container &lt;object&gt;particleSystem &lt;node&gt;particleSystemNode &lt;node&gt;actionNode &lt;Interface&gt;integrator     \n\
</pre></div><p><span class=\'code\'>&lt;IObject&gt;container</span> - the current particle container. Can be accessed via the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/Interfaces-2/Interface-19.html\' title=\'\'>Interface: MaxscriptParticleContainer</a> inside a hander using <span class=\'code\'>pCont.GetParticleContainer()</span></p>\n\
<p><span class=\'code\'>&lt;object&gt;particleSystem</span> - the particle system that generates the particle stream.</p>\n\
<p>Note:</p>\n\
<p>The same operator may get calls from different particle systems. If the result varies according to the particle system that generates particles, then this parameter defines which one to be used.</p>\n\
<p><span class=\'code\'>&lt;node&gt;particleSystemNode</span> - Node of the particle system that generates the particles.</p>\n\
<p><span class=\'code\'>&lt;node&gt;actionNode</span> - Node of the Test action.</p>\n\
<p><span class=\'code\'>&lt;Interface&gt;integrator</span> - an operator to proceed particles according to &quot;inertia&quot; rules. The operator updates time, speed, position, spin, orientation channels on the basis of time, acceleration, speed, angular acceleration and spin channels. Each particle system has a default inertia operator. When an action wants to update the current time for particles, it uses the &quot;inertia&quot; operator. An Action in the ActionList stack may &quot;switch&quot; the suggested &quot;inertia&quot; operator by its own if the Action supports the &quot;inertial&quot; operator interface. The particle system recognizes such an Action as a holder of &quot;inertia&quot; interface, and uses it for &quot;inertia&quot; purposes later on. If the parameter is NULL then the particle system doesn&#39;t allow the test to advance particles in the time channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PFlowTest&gt;.proceedStep2 &lt;time&gt;timeStartTick &lt;float&gt;timeStartFraction &lt;&amp;time&gt;timeEndTick &lt;&amp;float&gt;timeEndFraction &lt;&amp;bitArray&gt;testResult &lt;&amp;float array&gt;testTime \n\
\n\
timeEndTick is In and Out parameter \n\
timeEndFraction is In and Out parameter \n\
testResult is In and Out parameter \n\
testTime is In and Out parameter \n\
</pre></div><p>Returns <strong>true</strong> if the test has been proceeded successfully.</p>\n\
<p>The <span class=\'code\'>proceedStep1</span> and <span class=\'code\'>proceedStep2</span> verify the test condition and may change particle channels. Particles that satisfy the condition may be advanced to the time of the condition satisfaction according to the inertia operator <span class=\'code\'>integrator</span> .</p>\n\
<p><span class=\'code\'>&lt;time&gt;timeStartTick</span> - The time for a particle to start the simulation. Each particle may have its own current valid time greater than timeStart. In this case the test should consider the current particle time and timeEnd parameter.</p>\n\
<p><span class=\'code\'>&lt;float&gt;timeStartFraction</span> <span class=\'code\'>&lt;&amp;float&gt;timeEndFraction</span> - Float portion of the real TimeValue</p>\n\
<p><span class=\'code\'>&lt;&amp;bitArray&gt;testResult</span> - A bit array indicating which particles satisfy the test condition</p>\n\
<p><span class=\'code\'>&lt;&amp;float array&gt;testTime</span> - For particles that satisfy the condition, the list of time moments when a particle satisfies the condition. The tab has the same number of entries as particles in the container. The entry is set only for particles that satisfy the condition .</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Script-Operators/Speed-Operator-in-Script.html\' title=\'\'>Speed Operator in Script Operator Example</a> for sample usage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;&lt;PFlowTest&gt;.getNextActionList &lt;node&gt;testNode &lt;*bool&gt;linkActive \n\
\n\
linkActive is In and Out parameter \n\
</pre></div><p>Returns the next Action List of the specified testNode. This is basically the ActionList (Event) wired to the Test. If a particle satisfies the test then it is directed to this Action List. Since a Test may have several instances with different next events, it is necessary to pass the TestNode as parameter.</p>\n\
<p>Note: <strong>For future use only</strong>. The parameter &lt;*bool&gt;linkActive is passed by NULL as default in the current release of <strong>Particle Flow</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ev1_a11.GetNextActionList ev1_a11 false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>For a complete example, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\' title=\'\'>VolumeDocking Sample Script</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PFlowTest&gt;.setNextActionList &lt;node&gt;actionList &lt;node&gt;testNode \n\
</pre></div><p>Wires the specified testNode to the supplied actionList node. Returns <strong>true</strong> on success. The next actionList node can be rejected if it is not a real actionList.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PFlowTest&gt;.clearNextActionList &lt;node&gt;testNode \n\
</pre></div><p>Disconnects the specified testNode from its Action List.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PFlowTest&gt;.setLinkActive &lt;boolean&gt;linkActive &lt;node&gt;testNode \n\
</pre></div><p>Will set the Active status of the Link to the supplied boolean value for the specified testNode. Returns <strong>true</strong> on success.</p>\n\
<p>Note: <strong>For future use only</strong>. Currently it can be used only to test if the Test Action has a link.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ev1_a11.setLinkActive true ev1_a11</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>For a complete example, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Script-Examples/Creating-and-Connecting-Actions/VolumeDocking-Sample-Script.html\' title=\'\'>VolumeDocking Sample Script</a>.</p>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Age_Test-Helper.html\' title=\'\'>Age_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Collision-Helper.html\' title=\'\'>Collision : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\' title=\'\'>Collision_Spawn : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Copy_Out-Helper.html\' title=\'\'>Copy_Out : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\' title=\'\'>Data_Test : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Find_Target-Helper.html\' title=\'\'>Find_Target : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Go_To_Rotation-Helper.html\' title=\'\'>Go_To_Rotation : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\' title=\'\'>mP_Collision : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\' title=\'\'>mP_Glue : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\' title=\'\'>mP_InterCollision : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_World-Helper.html\' title=\'\'>mP_World : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Scale_Test-Helper.html\' title=\'\'>Scale_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Send_Out-Helper.html\' title=\'\'>Send_Out : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Spawn-Helper.html\' title=\'\'>Spawn : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\' title=\'\'>speed : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Amount-Helper.html\' title=\'\'>Split_Amount : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Selected-Helper.html\' title=\'\'>Split_Selected : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Source-Helper.html\' title=\'\'>Split_Source : Helper</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";