var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>VolumeDocking Sample Script</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>VolumeDocking Sample Script</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"volumedocking-sample-script\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following sample is based on Laszlo Sebo&#39;s <em>VolumeDocking01.max</em> scene and illustrates the following MAXScript operations with <strong>Particle Flow</strong> :</p>\n\
<ul>\n\
<li><p>Common Action creation,</p></li>\n\
<li><p>Appending Actions to an Event,</p></li>\n\
<li><p>Inserting Actions to an Event,</p></li>\n\
<li><p>Cloning Actions and Events</p></li>\n\
<li><p>Wiring</p></li>\n\
<li><p>Repositioning events in Particle View</p></li>\n\
</ul>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>The script is self-contained and recreates all objects and <strong>Particle Flow</strong> Events and Actions on the fly:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5B2EA27F-F442-4C32-B255-AD0128ADD076-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script creates two geometry primitives and two <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Sources</a> with corresponding Actions and Events.</p>\n\
<p>The geometry objects are used as volumes to be filled with particles. The initial positions of the particles are dumped to the particleVector channel. Using a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Find_Target-Helper.html\' title=\'\'>Find_Target</a> action, the particles find their way from the one volume to the other and switch places after swirling around.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">```</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">-- SCENE SETUP --</td>\n\
</tr>\n\
</table>\n\
<p>-- Set scene animation range to 150 frames animationRange = interval 0f 150f -- Create Cylinder primitive cyl=cylinder radius:44 height:44 heightsegs:5 sides:18 pos:[-60, -55, 0] -- Create a Torus primitive tor=torus radius1:55 radius2:20 smooth:2 pos:[135, 120, 0] -- Create a Vortex Space Warp vor=vortex timeOff:33 axialStrength:22 rotationStrength:33 iconSise:40 rotation:(quat -1 0 0 0) pos:[20,35,-5]</p>\n\
<p>-- PF_Flow setup pf=PF_Source Show_Logo:off Show_Emitter:off Quantity_Viewport:100 isSelected:true</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\">-- Action List - Appending Example --</td>\n\
</tr>\n\
</table>\n\
<p>-- Disable automatic Event Encapsulation &amp; begin editing: ParticleFlow.BeginEdit() a1 = RenderParticles()--define Action 1 pf.AppendAction a1--append the Action to PF_Source ParticleFlow.EndEdit()--End editing, enable Auto-Encapsulation</p>\n\
<p>x=y=1--Initialize two variables --Get the location of the PF_Source in Particle View: pf.GetPViewLocation &amp;x &amp;y</p>\n\
<table class=\'ruled\'>\n\
<col width=\"33%\">\n\
<tr class=\"header\">\n\
<th align=\"left\">-- Define First Event --</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">ParticleFlow.BeginEdit()--start editing -- Create a Birth Action for Event 1 ev1_a1 = Birth Emit_Start:0 Emit_Stop:0 Amount:300</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">-- Create a Position Object Action for Event 1 ev1_a2 = Position_Object Location:4 Emitter_Objects:#(tor) name:&quot;PositionObjectFirst&quot; -- Comment the Position Object pf.SetComments ev1_a2 &quot;The operator defines the destination point inside the target volume&quot;</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">-- Create a Script Operator ev1_a3 = Script_Operator() -- Set the script operator’s script code as string. -- The code enables Position and Vector channels, -- the writes the particle position in the Vector channel -- for all new particles. ev1_a3.proceed_script = &quot;on ChannelsUsed pCont do ( pCont.usePosition = true pCont.useVector = true ) on Init pCont do (\\n\n\
) on Proceed pCont do ( count = pCont.NumParticles() for i in 1 to count do ( pCont.particleIndex = i if (pCont.particleNew) then ( pCont.particleVector = pCont.particlePosition) ) ) on Release pCont do (\\n\n\
)&quot;</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">-- Comment the action: pf.SetComments ev1_a3 &quot;The script is used to dump particle position to script vector channel&quot;</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">-- Clone the Position_Object action from Event 1 -- The result of the cloning will be stored in the -- by-reference variable dc. maxOps.cloneNodes ev1_a2 newNodes:&amp;dc -- Get the clone (first element of array) ev1_a4 = dc[1] -- Set the name of the action ev1_a4.name =&quot;PositionObjectSecond&quot; -- Set the Cylinder as the Emitter ev1_a4.Emitter_Objects = #(cyl)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">-- Comment the action: pf.SetComments ev1_a4 &quot;The operator defines the initial position of a particle inside a start volume. The destination position is overwritten but the real value is kept in Script Vector channel&quot;</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">-- Create some more actions needed to control the particle system ev1_a5 = Speed Direction:3 ev1_a6 = Rotation() ev1_a7 = ShapeStandard Shape:1 ev1_a8 = DisplayParticles Type:6 Color:(color 255 0 0)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">-- Create a new empty event, then append all already created -- actions to it: ev1 = Event() ev1.AppendAction ev1_a1 ev1.AppendAction ev1_a2 ev1.AppendAction ev1_a3 ev1.AppendAction ev1_a4 ev1.AppendAction ev1_a5 ev1.AppendAction ev1_a6 ev1.AppendAction ev1_a7 ev1.AppendAction ev1_a8 -- Disable editing, enable Auto-Event-Encapsulation ParticleFlow.EndEdit()</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">-- Append the event as the Initial Action List to the PF_Source. -- This will connect the Event to the PF_Source. pf.appendInitialActionList ev1 -- Position the Event inside the Particle View ev1.SetPViewLocation x (y+100)</td>\n\
</tr>\n\
</table>\n\
<p>-- Action List - Inserting Example -- -------------------------------------</p>\n\
<p>--Begin Editing again ParticleFlow.BeginEdit()</p>\n\
<p>ev1_a9 = Spin SpinRate:200 Variation:55--Create a Spin action ev1_a10 = Force Influence:111--Create a Force --Set the Vortex as Space Warp in the Force ev1_a10.Force_Space_Warps = #(vor)</p>\n\
<p>--Create and setup a Find_Target action: ev1_a11 = Find_Target() ev1_a11.name =&quot;FindTarget&quot; ev1_a11.Cruise_Speed_Variation = 1000 ev1_a11.Acceleration_Limit=3000 ev1_a11.Aim_Point_Type = 2 ev1_a11.Icon_Size = 0</p>\n\
<p>-- Comment the action: pf.SetComments ev1_a11 &quot;The destination point is defined by script vector. The script vector value was defined by the Script Operator 01 from the Position Object 01&quot;</p>\n\
<p>-- Insert the new actions into the existing Event ev1.InsertAction ev1_a9 8 ev1.InsertAction ev1_a10 9 ev1.InsertAction ev1_a11 10 ParticleFlow.EndEdit()</p>\n\
<p>-- Create a Second Event and its actions: ParticleFlow.BeginEdit() ev2_a1 = Speed Speed:0 ev2 = Event() ev2_a2 = DisplayParticles Type:6 Color:(color 0 255 0) ev2.AppendAction ev2_a1 ev2.AppendAction ev2_a2 ParticleFlow.EndEdit()</p>\n\
<p>--Connect the second Event to the Find_Target ev1_a11.setNextActionList ev2 ev1_a11 --Reposition the even ev2.SetPViewLocation x (y+400)</p>\n\
<p>-- Make copy of PF_Source and exchange Emitter objects -- for Position_Object operators:</p>\n\
<p>-- Clone the PF_Source and the two Emitters, -- store the clones in a by-reference variable maxOps.CloneNodes #(pf, ev1, ev2) newNodes:&amp;dc</p>\n\
<p>-- Get the PF_Source and Emitter clones pfc = dc[1] ev1c = dc[2] ev2c = dc[3]</p>\n\
<p>-- Get the current position of the Particle View... x=y=1 pfc.GetPViewLocation &amp;x &amp;y -- Reposition the two Events ev1c.SetPViewLocation x (y+100) ev2c.SetPViewLocation x (y+400)</p>\n\
<p>-- Copy the emitter objects from the original Position_Objects if $PositionObjectFirst01 != undefined then ( $PositionObjectFirst01.Emitter_Objects = ev1_a4.Emitter_Objects ) if $PositionObjectSecond01 != undefined then ( $PositionObjectSecond01.Emitter_Objects = ev1_a2.Emitter_Objects )</p>\n\
<p>-- Bind the Find_Target Test output to the clone of the Second Event if $FindTarget01 != undefined then ( $FindTarget01.setNextActionList ev2c $FindTarget01 )</p>\n\
<p>-- Switch to Modify Tab max modify mode -- Open Particle View to see what happened... ParticleFlow.OpenParticleView()</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";