var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>particleFloat Sample Script</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>particleFloat Sample Script</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particlefloat-sample-script\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following script sets each particle&#39;s float value as one tenth of its particle ID or birth index number.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Can be used to control the <strong>.Force</strong> value of <strong>Force</strong> and <strong>Speed_Keep_Apart</strong> Operators.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Force-Helper.html\' title=\'\'>Force : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\' title=\'\'>Speed_Keep_Apart : Helper</a></p>\n\
<p><strong>Effect:</strong></p>\n\
<p>The first particles get a low float value and thus a low Influence value. Each successive particle gets a larger float value than the one before. As a result, the later a particle is born, the more it is subject to the space warp(s) in the operator.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( pCont.useFloat = true--enable the Float channel )</p>\n\
<p>--The Init handler is called on initialization. --It is not used in this case. on Init pCont do ( )</p>\n\
<p>--The Proceed handler contains the main script --applied to the Particles. --The parameter pCont passed to the handler --contains the Particle Container the script is applied to: on Proceed pCont do ( --Get the number of particles count = pCont.NumParticles()</p>\n\
<p>--Loop from 1 to the number of particles: for i in 1 to count do (</p>\n\
<p>--Set the particle index in the container to the current i value. --This makes the i-th particle in the container the current one pCont.particleIndex = i</p>\n\
<p>--Set the particleFloat channel value of the current particle --to the particleID of the current particle divided by 10.0. --The younger the particle, the higher the particleFloat value. pCont.particleFloat = pCont.particleID/10.0 )--end i loop )--end Proceed</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";