var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>particleInteger Sample Script</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>particleInteger Sample Script</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particleinteger-sample-script\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following sample script assigns Integer values to the <strong>particleInteger</strong> channel according to particle speed.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Can be used to choose targets in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Find_Target-Helper.html\' title=\'\'>Find_Target</a> Test when <span class=\'code\'>.Assignment_Type</span> is set to <strong>4 : By Script Integer</strong>.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>When used with a <strong>Find_Target</strong> operator, the <strong>particleInteger</strong> channel can be used to specify the target objects by index.</p>\n\
<p>If the speed is below 1 unit per frame, then the particle is assigned to the first target (index=0). If the speed is higher than 10 units per frame then the particle is assigned to the third target (index=2). All other particles are assigned to the second target (index = 1).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( --Enable the Time channel: pCont.useTime = true --Enable the Speed channel: pCont.useSpeed = true --Enable the Integer channel: pCont.useInteger = true ) --The Init handler is called on initialization. --It is not used in this case. on Init pCont do ( )</p>\n\
<p>--The Proceed handler contains the main script --applied to the Particles. --The parameter pCont passed to the handler --contains the Particle Container the script is applied to: on Proceed pCont do ( --get the number of particles count = pCont.NumParticles()</p>\n\
<p>--define two local variables slowSpeed and fastSpeed --as 1 resp. 10 units per frame (in NTSC time 160 ticks are 1 frame) slowSpeed = 1/160.0 fastSpeed = 10/160.0</p>\n\
<p>--Loop from 1 to the number of particles: for i in 1 to count do (</p>\n\
<p>--Set the particle index in the container to the current i value pCont.particleIndex = i</p>\n\
<p>--If the length of the particleSpeed vector is shorter than --the defined slowSpeed value, --then set the particleInteger value to 0: if length(pCont.particleSpeed) &lt; slowSpeed then pCont.particleInteger = 0</p>\n\
<p>--If the particle is faster than the slowSpeed value, test its --speed against the fastSpeed value. If faster, assign 2, if slower, --(between slowSpeed and fastSpeed), assign 1 to the --particleInteger channel: else ( if (length(pCont.particleSpeed) &gt; fastSpeed) then pCont.particleInteger = 2 else pCont.particleInteger = 1 ) )--end i loop )--end Proceed --The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";