var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>particleVector Sample Script</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>particleVector Sample Script</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particlevector-sample-script\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following sample script assigns Vector values to the <strong>particleVector</strong> channel.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Can be used in a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator</a> to control the Target Point position of a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Find_Target-Helper.html\' title=\'\'>Find_Target</a> Test.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-884211A0-99A0-4F8B-BA3C-7617C1E84FEF-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<p>Takes a scene geometry object, gets the position of its first vertex, adds a random offset to it, and assigns to the particleVector channel of all particles. In result, all particles stream towards the vertex because the Find_Target is set to read the particleVector channel and send all particles to the position in the channel:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D8127ED1-8B21-4DF1-87C3-127D5B8A6537-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( --Enable the Vector channel: pCont.useVector = true )</p>\n\
<p>--The Init handler is called on initialization. --It is not used in this case. on Init pCont do ( --Define a global variable with unique name and store the --scene object which also has a unique name in it global obj_19680217 = $Sphere_19680217 --If the scene object does not exist, create a sphere, --give it the unique name and assign to the global variable if obj_19680217 == undefined then obj_19680217 = Sphere name:&quot;Sphere_19680217&quot; )</p>\n\
<p>--The Proceed handler contains the main script --applied to the Particles. --The parameter pCont passed to the handler --contains the Particle Container the script is applied to: on Proceed pCont do ( --Get the current number of particles count = pCont.NumParticles()</p>\n\
<p>--Loop from 1 to the number of particles: for i in 1 to count do (</p>\n\
<p>--Set the particle index in the container to the current i value. --This makes the i-th particle in the container the current one pCont.particleIndex = i</p>\n\
<p>--Get the position of the first vertex of the scene object. vpos = (getVert obj_19680217.mesh 1)</p>\n\
<p>--Add a random variation between -1 and +1 to all 3 axes vpos += random [-1,-1,-1] [1,1,1]</p>\n\
<p>--Set the particleVector channel value to the calculated value pCont.particleVector = vpos )--end i loop )--end Proceed</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";