var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Flying Letters from a Custom String</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Flying Letters from a Custom String</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"flying-letters-from-a-custom-string\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example uses a Script Operator to assign a single letter to each particle based on a scene text objects. You can type in any text you want, define the font and change the appearance of the text using modifiers like Extrude and Bevel and let Particle Flow generate a stream of letters showing the text.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>The scripts should be used inside a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator</a>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-ACE8921B-62AD-4C6D-9040-D6F2BE2897D4-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<ul>\n\
<li><p>The example uses a unique scene text object (with any modifiers on top) as instanced source.</p></li>\n\
<li><p>The script makes copies of the source text and replaces the original text with a single letter from the text.This means that you can create any appearance (like for example adding custom Bevel to the source) and the particle system will inherit these settings.</p></li>\n\
<li><p>Changing the Text of the Font of the Source and scrubbing the time back will automatically update the particle system.</p></li>\n\
<li><p>Deleted letters from the scene will be detected and the particle system will regenerate to bring them back.</p></li>\n\
<li><p>If the source object was removed, a new default text with extrude modifier will be created in the scene with the string &quot;Enter Text Here&quot; and renderable flag set to false. This means that you can start from scratch using this text object and edit its font,text and stack to get the look you want.</p></li>\n\
</ul>\n\
<p>Note:</p>\n\
<p>The source object must be a text object with some meshing modifier on top. Do not collapse the stack to EMesh as the script needs access to the text baseobject&#39;s font and text properties!</p>\n\
<ul>\n\
<li><p>You have to disable any Caches when changing the appearance in order to see the new look.</p></li>\n\
<li><p>You can change the timing of the Birth operator to get more particles if your text is longer than the default</p></li>\n\
<li><p>You can use any other PFlow operators to affect the particles. The Script is only responsible for the shape of the particles.</p></li>\n\
<li><p>If you need multiple particle systems using the script, you should change the unique naming throughout the whole script to keep them apart.</p></li>\n\
</ul>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E49BB8FD-47E1-4C91-8A94-8F92774C404E-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do( pCont.useShape = true --enable changes to the shape )</p>\n\
<p>--The Init handler is called on initialization. --In this case, it is used to define the string, font name --and create the text objects for every letter</p>\n\
<p>on Init pCont do ( --Define a global variable to store the array of letter objects --Use different unique ID if reusing the code --multiple times in the same scene</p>\n\
<p>global pflow_letter_array17b02b680</p>\n\
<p>local text_source = $PFlowText17b02b680</p>\n\
<p>--If the unique source is missing... if not isValidNode text_source do ( --Create new text source object text_source = text text:&quot;Enter Text Here&quot; --Give it the unique name - use a different ID --throughout the script if you need to use multiple --scripts in the same scene text_source.name =&quot;PFlowText17b02b680&quot; --Add an extrude modifier to the text object addmodifier text_source (extrude amount:10) --make the source invisible to the renderer text_source.renderable = false ) --If the array has been initialized before... if pflow_letter_array17b02b680 != undefined do ( txtpos = 0 --Go through all elements of the array for i in pflow_letter_array17b02b680 do ( txtpos += 1 --If any of the array nodes is invalid (deleted), --or the font does not match the source&#39;s font name, --or a letter does not match the letter in the source text, --reset the whole array so it can be reinitialized if not (isValidNode i) or i.font != text_source.font or i.text != (substring text_source.text txtpos 1) do pflow_letter_array = undefined ) )</p>\n\
<p>--If the array is newly created or reset (see above) if pflow_letter_array17b02b680 == undefined do ( --Initialize to empty array pflow_letter_array17b02b680 = #() --Get the string to display by the particle system from the --source text object in the scene. You can edit the --text&#39;s source to display any text you want! --Moving the time slider will update all letters! local str = text_source.text --Delete all possibly existing letter objects by name delete $PFlow_Letter_17b02b680_* --Loop from 1 to the number of letters in the string for i = 1 to str.count do ( --Create a copy of the source object with --the i-th letter from the string letter = copy text_source letter.text = (substring str i 1) --Give the object a unique name letter.name = (uniquename&quot;PFlow_Letter_17b02b680_&quot;) --Set the font to the font of the source letter.font = text_source.font --Append the new text object to the array append pflow_letter_array17b02b680 letter --Hide the text object hide letter ) ) )</p>\n\
<p>--In the Proceed handler, we will assign the letters to the --available particles</p>\n\
<p>on Proceed pCont do ( --Get the current particle count count = pCont.numParticles() --Get the number of text objects in the global array maxcount = pflow_letter_array17b02b680.count --Create an empty mesh empty_mesh = triMesh() --Repeat for all particles for i = 1 to count do ( --Set the current particle index pCont.particleIndex = i --If the particle index is less than the number of letters if i &lt;= maxcount then ( --If the node is not deleted, set the particle shape --to the mesh of the i-th text object if isValidNode pflow_letter_array17b02b680[i] do pCont.particleShape = pflow_letter_array17b02b680[i].mesh ) else ( --If there is no letter for this particle, --set the shape to an empty mesh pCont.particleShape = empty_mesh ) ) )</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do (</p>\n\
<p>)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";