var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Speed Operator in Script Operator Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Speed Operator in Script Operator Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"speed-operator-in-script-operator-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example shows a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator</a> that creates a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\' title=\'\'>Speed operator</a> and uses it to simulate its own functionality. It is possible to create several standard operators in this manner, set their properties in the Init block, and use them all together in succession in the Proceed block.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Must be used inside a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator</a>.</p>\n\
<p><strong>Effect:</strong></p>\n\
<p>This is basically a script wrapped around a Speed Operator. The Script Operator has the same functionality as the encapsulated Speed Operator inside of it. Using this as the starting point, the script can be enhanced to add scripted functionality to the existing operator.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. on ChannelsUsed pCont do ( -- No channels specified because the script doesn&#39;t make direct -- access to particle data )</p>\n\
<p>--The Init handler is called on initialization. --It is used to get the Speed action or create a new one --if there is not an existing one on Init pCont do ( --Get an existing Speed Action by its unique name. bb = $Speed74b93a88</p>\n\
<p>--If the unique action does not exist, create one and give it --the unique name. If you are reusing the code in multiple --Script Operators, change the name to have a unique ID! if (bb == undefined) then ( ParticleFlow.BeginEdit() bb = Speed() bb.name =&quot;Speed74b93a88&quot; bb.speed = 100 ParticleFlow.EndEdit() ) initActions = pCont.getInitActions() --Call the Init method in the Speed Action and pass --the Particle container, Particle System object and node --and the init action objects and nodes from the Scripted Operator. bb.Init (pCont.getParticleContainer()) (pCont.getParticleSystem()) (pCont.getParticleSystemNode()) (pCont.getInitActions()) (pCont.getInitActionNodes()) )</p>\n\
<p>--In the Proceed handler, we can call the .Proceed method --of the Operator Interface and pass the container, --particle system object and node, and --the Init Action objects and nodes --This means that the external Speed action will proceed whenever --the Script_Operator does. on Proceed pCont do ( t_start = pCont.GetTimeStart() as time t_end = pCont.GetTimeEnd() as time bb = $Speed74b93a88 if (bb != undefined) then ( bb.Proceed (pCont.getParticleContainer()) t_start &amp;t_end (pCont.getParticleSystem()) (pCont.getParticleSystemNode()) bb (pCont.GetIntegrator()) ) pCont.SetTimeEnd t_end )</p>\n\
<p>--In the Release hander of the Script_Operator, --call the.Release method and pass the container of the --Script_Operator. on Release pCont do ( bb = $Speed74b93a88 if (bb != undefined) then bb.Release(pCont.getParticleContainer()) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";