var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>View-Dependent Particle Resolution Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>View-Dependent Particle Resolution Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"view-dependent-particle-resolution-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example shows a possible way to control the resolution of particles based on the distance to a camera.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Should be used in a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator</a>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0911BCD3-DBC1-4918-A907-7997206265F9-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<p>The script uses a Sphere primitive from the scene as the shape of every particle and sets its segments based on the distance to a hard-coded camera $Camera001. As particles get farther from the camera, they get less polygons.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0AECEB5D-F4B0-4116-807E-09BA8F9A5BEE-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( pCont.useShape = true --Enable the Shape channel pCont.usePosition = true --Enable the Position channel pCont.useScale = true --Enable the Scale channel ) --The Init handler is called on initialization. --In this case, it is used to define and, if necessary, create --the source of particle shapes on Init pCont do ( -- Get the shape source primitive by name. -- Use random name to avoid conflict with other objects in the scene global sph = $SphereDynamic2468975</p>\n\
<p>-- In case the object does not exist, create it if sph == undefined then ( sph = Sphere() -- Give the object a unique name sph.name =&quot;SphereDynamic2468975&quot; -- Set the radius to one. sph.radius = 1.0 -- Hide the Sphere hide sph ) )</p>\n\
<p>--The Proceed handler contains the main script --applied to the Particles. --The parameter pCont passed to the handler --contains the Particle Container the script is applied to: on Proceed pCont do ( --If there is a camera named Camera001 in the scene... if $Camera001 != undefined then ( --Get the current total particles count: count = pCont.NumParticles()</p>\n\
<p>--Loop through all particles: for i in 1 to count do (</p>\n\
<p>--Set the current particle index: pCont.particleIndex = i</p>\n\
<p>--Modify the pre-created sphere with radius --based on the particle size: sph.radius = pCont.particleScale</p>\n\
<p>--Modify segments based on the distance to the camera --called $Camera01 --At distance of 500.0 units the segments will be set to 2 --At distance of 250.0 the segments will be 4, at 100 units 10 etc. --Change the function to get the desired falloff sph.segs = 1000.0/(length (pCont.particlePosition - $Camera01.pos))</p>\n\
<p>--Set the shape of the particle to the TriMesh of the Sphere pCont.particleShape = sph.mesh )--end i loop )--end if )--end proceed</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";