var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Integrator ProceedSynch Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Integrator ProceedSynch Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"integrator-proceedsynch-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following examples show the difference in particle position in two PF_Sources using the Integrator Interface’s proceedSynch methods.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>These two sample scripts should be used inside of <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test</a> actions.</p>\n\
<ul>\n\
<li><p>Create a PF_Source in the viewport.</p></li>\n\
<li><p>Open Particle View.</p></li>\n\
<li><p>Add a Script_Test action to the end of Event01.</p></li>\n\
<li><p>Clone the particle system but leave it at the exactly same position.</p></li>\n\
<li><p>Change the color of the second particle system</p></li>\n\
<li><p>Load the first sample in the Script_Test of the first particle system.</p></li>\n\
<li><p>Load the second sample in the Script_Test of the second particle system.</p></li>\n\
</ul>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-47D77EC2-C7C7-4370-96DF-50F4F0D466F3-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<p>Allows the user to compare the effects of two ProceedSynch calls.</p>\n\
<p>The resulting positions of all particles will be printed to the Listener.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE 1</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( pCont.useTime = true --enable the Time channel pCont.usePosition = true --enable the Position channel )</p>\n\
<p>--The Init handler is called on initialization. --It is not used in this case. on Init pCont do ( )</p>\n\
<p>--In the Proceed handler, we will call the ProceedSync method --of the integrator. on Proceed pCont do ( end = pCont.GetTimeEnd() as float _int = pCont.GetIntegrator() count = pCont.NumParticles() pCont_curr = pCont.GetParticleContainer()</p>\n\
<p>for i in 1 to count do ( pCont.particleIndex = i if _int != undefined then _int.proceedSync pCont_curr (end/160) 0.0 false #{} format &quot;p1.particle%=%\\n&quot; i (pCont.GetParticlePosition i) ) )</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE 2</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( pCont.useTime = true --enable the Time channelpCont.usePosition = true --enable the Position channel ) --The Init handler is called on initialization. --It is not used in this case. on Init pCont do ( )</p>\n\
<p>on Proceed pCont do ( end = pCont.GetTimeEnd()asfloat_int = pCont.GetIntegrator() count = pCont.NumParticles()pCont_curr = pCont.GetParticleContainer()</p>\n\
<p>for i in 1 to count do ( pCont.particleIndex = i if _int != undefined then _int.proceedSync pCont_curr (end/160) 0.5 false #{} -- Array version to try out: --_int.proceedASync pCont_curr #((end/160), (2<em>end/160), (3</em>end/160)) #(0.1, 0.2, 0.5) true #{1..3}</p>\n\
<p>format &quot;p2.particle%=%\\n&quot; i (pCont.GetParticlePosition i) ) )</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";