var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Proceed With Integrate Script_Test Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Proceed With Integrate Script_Test Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"proceed-with-integrate-script_test-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example shows the usage of the Integrator interface in a Script_Test action.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>Should be used inside a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test : Helper</a> action.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-52279FFE-03E3-438B-975B-3D23325703A0-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<p>Shows the necessity of using the Integrator. Without the Integrator particles are stopped <em>somewhere</em> around the zero Z plane. The Integrator is able to stop particles exactly at the plane level (without any modification of the particle position).</p>\n\
<p>In the example flow, the particles are born and accelerated. The Script_Test checks their position and if they pass the scripted test, they are moved to the second event which stops them.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( pCont.useTime = true --enable the Time channel pCont.usePosition = true --enable the Position channel pCont.useSpeed = true --enable the Speed channel )</p>\n\
<p>--The Init handler is called on initialization. --It is not used in this case. on Init pCont do (</p>\n\
<p>)</p>\n\
<p>on Proceed pCont do ( --Get the End Time end = pCont.GetTimeEnd() as float --Get the interface to the Integrator _int = pCont.GetIntegrator() --Get the current particle count count = pCont.NumParticles() --Get the particle container pCont_curr = pCont.GetParticleContainer() --Initialize Arrays timeToStopInt = #() timeToStopFloat = #() particlesToStop = #{} --Initialize a flag to signal when --there are particles to send to the integrator hasParticlesToIntegrate = false</p>\n\
<p>--Go through all particles for i in 1 to count do ( --Set the current particle index pCont.particleIndex = i --Calculate the remaining time to travel timeForTravel = end - (pCont.particleTimeasfloat) -- format &quot;time to travel % = %\\n&quot; i timeforTravel --Get the current position and speed of the particle curPos = pCont.particlePosition curSpeed = pCont.particleSpeed</p>\n\
<p>--Calculate the time to the XY plane. Because of the minus sign, --when the Z coordinate is negative, the time will be positive timeToPlane = -curPos.z / curSpeed.z -- format &quot;time to plane % = %\\n&quot; i timeToPlane</p>\n\
<p>--Initialize a flag stopThisParticle = 0 --Get the particle time in frames curParticleTime = pCont.particleTime as time</p>\n\
<p>--If the time to plane is positive or zero and shorter --than the time to travel, then the particle has passed --the plane already and has to be stopped! if((timeToPlane &gt;= 0.0)and(timeToPlane &lt;= timeForTravel))do ( --Set the Test status to true pCont.particleTestStatus = true --Set the precise particle time pCont.setParticleTestTimePrecise i pCont.particleTime timeToPlane --Append the particle index to the BitArray of particles --to be stopped append particlesToStop i --Raise the flag to signal there is work for the integrator hasParticlesToIntegrate = true )</p>\n\
<p>--Append the particle time frame and fraction to the two arrays append timeToStopInt curParticleTime append timeToStopFloat timeToPlane )</p>\n\
<p>--If the flag has been set if hasParticlesToIntegrate then ( --If the integrator can be accessed, send the particles to stop --to the Integrator if _int != undefined then _int.proceedASync pCont_curr timeToStopInt timeToStopFloat true particlesToStop ) -- format &quot;time to stop Int= %\\n&quot; timeToStopInt -- format &quot;time to stop Float= %\\n&quot; timeToStopFloat -- format &quot;part to stop Index= %\\n&quot; particlesToStop )</p>\n\
<p>--The Release handler is used to do cleanup work. --Not used in this case. on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";