var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Position Test Example</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Position Test Example</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-position-test-example\"></a></div>\n\
<p><strong>Description:</strong></p>\n\
<p>The following example uses Script_Test actions to implement scripted position tests with both relative offset and absolute position options.</p>\n\
<p><strong>Can Be Used With:</strong></p>\n\
<p>The two scripts must be used inside the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test : Helper</a> actions.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0C191B7B-F2A0-4FE2-B454-0511ACBD51B8-low.gif\' title=\'\'></div>\n\
<p><strong>Effect:</strong></p>\n\
<ul>\n\
<li><p>The PF_Source generates particles which get tested for relative offset of -100 to their birth position along the Z axis.</p></li>\n\
<li><p>If they pass the scripted offset test, the particles are moved to the second Event which stops them and tests them for Age above 30.</p></li>\n\
<li><p>If they pass the Age Test, the particles are moved to the Third event which tests them for absolute offset of -200 along the world Z axis using the second script.</p></li>\n\
<li><p>If they pass the scripted position test, the particles are moved to the last Event which stops them.</p></li>\n\
</ul>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C2C276D5-8312-4EA3-B00D-1E2B41772542-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>SCRIPT 1</strong></p>\n\
<p>``` --The ChannelsUsed handler defines the channels --to be made available to the script. --For the list of all channels, see --Interface: MaxscriptParticleContainer --The parameter pCont passed to the handler --contains the Particle Container the script is applied to on ChannelsUsed pCont do ( pCont.useTime = true pCont.usePosition = true )</p>\n\
<p>--The Init handler is called on initialization. --In this case, it is used to define the offset parameters on Init pCont do ( --Data paramters definition struct paramsStruct (cond_less, axis, testpos, offset) global paramsData = paramsStruct()</p>\n\
<p>--true means less than, false means greater then paramsData_offset.cond_less = true --Axis option: x=1, y=2, z=3 paramsData_offset.axis = 3 --When set to true, the offset test is relative --When set to false, the offset test is absolute. paramsData_offset.offset = true --Set the offset value to test for paramsData_offset.testpos = -100</p>\n\
<p>-- collects initial pos of each particle for offset test global pos_init_array =#() )</p>\n\
<p>--In the Proceed handler, the actual testing is performed</p>\n\
<p>on Proceed pCont do ( count = pCont.NumParticles()</p>\n\
<p>for i in 1 to count do ( pCont.particleIndex = i -- get ID of active particle id = pCont.getParticleID pCont.particleIndex if paramsData.cond_less == true then ( if paramsData.offset == true then ( -- collect initial pos for new born particle if pCont.particleNew == true then append pos_init_array pCont.particlePosition[paramsData.axis] pos_id = pCont.GetParticlePositionByID id if pos_id[paramsData.axis] &lt; (pos_init_array[id] + paramsData.testpos) then testSatisfied = true ) else ( if pCont.particlePosition[paramsData.axis] &lt; paramsData.testpos then testSatisfied = true ) ) else ( if paramsData.offset == true then ( -- collect initial pos for new born particle if pCont.particleNew == true then append pos_init_array pCont.particlePosition[paramsData.axis] pos_id = pCont.GetParticlePositionByID id if pos_id[paramsData.axis] &gt; (pos_init_array[id] + paramsData.testpos) then testSatisfied = true ) else ( if pCont.particlePosition[paramsData.axis] &gt; paramsData.testpos then testSatisfied = true ) ) if testSatisfied == true then ( pCont.particleTestStatus = true pCont.particleTestTime = pCont.particleTime ) ) )</p>\n\
<p>on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>SCRIPT 2</strong></p>\n\
<p>``` on ChannelsUsed pCont do ( pCont.useTime = true pCont.usePosition = true ) on Init pCont do ( --Data paramters definition struct paramsStruct (cond_less, axis, testpos, offset) global paramsData = paramsStruct()</p>\n\
<p>--true means less than, false means greater then paramsData.cond_less = true</p>\n\
<p>--Axis option: x=1, y=2, z=3 paramsData.axis = 3 --When set to false, the offset test is absolute. --When set to true, the offset test is relative paramsData.offset = false --Set the position value to test paramsData.testpos = -200</p>\n\
<p>-- Collects initial pos of each particle for offset test: global pos_init_array =#() )</p>\n\
<p>--The Proceed handler is identical to the one in the first script. --Only the test parameters defined in the Init handler alter the --behavior of the script!</p>\n\
<p>on Proceed pCont do ( count = pCont.NumParticles()</p>\n\
<p>for i in 1 to count do ( pCont.particleIndex = i -- get ID of active particle id = pCont.getParticleID pCont.particleIndex if paramsData.cond_less == true then ( if paramsData.offset == true then ( -- collect initial pos for new born particle if pCont.particleNew == true then append pos_init_array pCont.particlePosition[paramsData.axis] pos_id = pCont.GetParticlePositionByID id if pos_id[paramsData.axis] &lt; (pos_init_array[id] + paramsData.testpos) then testSatisfied = true ) else ( if pCont.particlePosition[paramsData.axis] &lt; paramsData.testpos then testSatisfied = true ) ) else ( if paramsData.offset == true then ( -- collect initial pos for new born particle if pCont.particleNew == true then append pos_init_array pCont.particlePosition[paramsData.axis] pos_id = pCont.GetParticlePositionByID id if pos_id[paramsData.axis] &gt; (pos_init_array[id] + paramsData.testpos) then testSatisfied = true ) else ( if pCont.particlePosition[paramsData.axis] &gt; paramsData.testpos then testSatisfied = true ) ) if testSatisfied == true then ( pCont.particleTestStatus = true pCont.particleTestTime = pCont.particleTime ) ) )</p>\n\
<p>on Release pCont do ( )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";