var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Particle_View : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Particle_View : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"particle_view-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Particle_View - superclass: helper super-superclass:node - classID: #(1962490631, 515064576) \n\
</pre></div><p><strong>Description:</strong></p>\n\
<p>Instances of this internal class are created by <strong>Particle Flow</strong> and returned by the <span class=\'code\'>particleFlow.OpenParticleView()</span> method. They represent the Particle View user interface. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\' title=\'\'>particleFlow Global Interface</a> for details.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Not creatable by MAXScript\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.origin Point3   \n\
</pre></div><p>Gets/Sets the origin of the Particle View in screen pixel coordinates relative to the upper left corner of the desktop.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.width Integer \n\
</pre></div><p>Gets/Sets the width of the Particle View in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.height Integer \n\
</pre></div><p>Gets/Sets the height of the Particle View in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.divider Point3 \n\
</pre></div><p>Gets/Sets the location of the divider of the Particle View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.selected Node Array \n\
</pre></div><p>Gets/Sets the array of selected nodes in the Particle View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.Show_Parameters Boolean default:true \n\
</pre></div><p>Controls the visibility of the Parameters panel in the right side of Particle View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.Show_Action_Depot Boolean default:true \n\
</pre></div><p>Controls the visibility of the Action Depot in the bottom of Particle View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.Show_Action_Description Boolean default:true \n\
</pre></div><p>Controls the visibility of the Action Description in the bottom right corner of Particle View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.show_Particle_Count Integer default: 0 \n\
</pre></div><p>When set to <strong>1</strong>, shows the Particle Count. Controls the checked state of the <strong>Particle View &gt; Options &gt; Track Update &gt; Particle Count</strong> menu item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.show_Action_Update Integer default: 0 \n\
</pre></div><p>When set to <strong>1</strong>, shows the Action Update. Controls the checked state of the <strong>Particle View &gt; Options &gt; Track Update &gt; Update Progress</strong> menu item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Particle_View&gt;.use_Dynamic_Names Integer default: 1 \n\
</pre></div><p>When set to <strong>1</strong>, Particle View uses Dynamic names. Controls the checked state of the <strong>Particle View &gt; Options &gt; Use Dynamic Names</strong> menu item.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES AND RESULTS:</strong></p>\n\
<p>``` --Open a Particle View pv = particleFlow.openParticleView() --&gt; $Particle_View:Particle View 001 @ [0.000000,0.000000,0.000000]</p>\n\
<p>pv.name--since it is a helper, it has all node properties --&gt; &quot;Particle View 001&quot;</p>\n\
<p>pv.Origin --&gt; [9,77,0] pv.Origin = [100,0,0] --&gt; [100,0,0] pv.Origin = [0,0,0] --&gt; [0,0,0]</p>\n\
<p>--Get the current size of the Particle View pv.Width --&gt; 549 pv.Height --&gt; 852 --Set the size of the Particle View to 800 x 600 pv.Width = 800 --&gt; 800 pv.Height = 600 --&gt; 600</p>\n\
<p>pv.Divider --&gt; [1,261,0] --Move the divider down to set Depot height to 100 pixels pv.Divider = [1,100,0] --&gt; [1,100,0]</p>\n\
<p>pv.Show_Particle_Count --&gt; 0 pv.Show_Particle_Count = 1 --&gt; 1</p>\n\
<p>pv.Show_Action_Update --&gt; 0 pv.Show_Action_Update = 1 --&gt; 1</p>\n\
<p>pv.Use_Dynamic_Names --&gt; 1 pv.Use_Dynamic_Names = 0 --&gt;0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The following MacroScript will open the Particle View on the right half of the desktop. If you are using a Dual Monitor setup with a single desktop, this will open Particle View on the right monitor.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` macroScript PView_TwoMonitors category: &quot;Particle View&quot; buttontext: &quot;PView Half&quot; tooltip: &quot;Open Particle View on Right Half of Desktop&quot; ( -- open Particle View, get the Particle View object pv =ParticleFlow.openParticleView()</p>\n\
<p>-- get desktop size winsize = getMaxWindowSize()</p>\n\
<p>-- set Origin of PView to half desktop width and 0 height pv.origin = [winsize.x/2, 0,0] -- set Width to half desktop width pv.width = winsize.x/2 -- set Height to full desktop height pv.height = winsize.y )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";