var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Vertical_Horizontal_Turn(Body):Matrix3 Controller</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Vertical_Horizontal_Turn(Body):Matrix3 Controller</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-vertical_horizontal_turnbodymatrix3-controller\"></a></div>\n\
<div class=\'codeBlock\'><pre>Vertical_Horizontal_Turn : MAXWrapper {9156,0} \n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
</pre></div><p>This controller is attached to the transform track of the Biped root objects.</p>\n\
<p><strong>Access:</strong></p>\n\
<div class=\'codeBlock\'><pre>biped_ctrl=bipobj.transform.controller \n\
</pre></div><p>or</p>\n\
<div class=\'codeBlock\'><pre>biped_ctrl=$bip01.controller \n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>All the following properties are get/set properties unless specified.</p>\n\
<div class=\'section\'><a id=\"structure-properties\"></a><h2 id=\"structure-properties\">Structure properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.rootName String Default: BipXX   where XX is a number\n\
</pre></div><p>The name of the biped center of mass object. The center of mass (COM) is the root of the biped hierarchy, and is visible as a diamond shaped object in the biped pelvis area. The Root Name is appended to all the links of the biped hierarchy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.rootNode Node Default: Varies -- Read-only \n\
</pre></div><p>The root node (COM) of the Biped system this biped_ctrl belongs to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.arms Boolean Default: True \n\
</pre></div><p>Specifies whether or not arms will be generated for the current biped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.neckLinks Integer Default: 1 range: 1-5\n\
</pre></div><p>Specifies the number of links in the biped neck.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.spineLinks Integer Default: 4 range: 1-5\n\
</pre></div><p>Specifies the number of links in the biped spine.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.legLinks Integer Default: 3 range: 3-4\n\
</pre></div><p>Specifies the number of links in the biped legs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.tailLinks Integer Default: 0 range: 0-5\n\
</pre></div><p>Specifies the number of links in the biped tail. A value of 0 specifies no tail.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.ponytail1Links Integer Default: 0 range: 0-5\n\
</pre></div><p>Specifies the number of Ponytail links.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.ponytail2Links Integer Default: 0 range: 0-5\n\
</pre></div><p>Specifies the number of Ponytail links.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.fingers Integer Default: 1 range: 0-5\n\
</pre></div><p>Specifies the number of biped fingers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.fingerLinks Integer Default: 1 range: 1-3\n\
</pre></div><p>Sets the number of links per finger.</p>\n\
<p>Note:</p>\n\
<p>If the number of fingers is 0, fingerLinks is always equal to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.toes Integer Default: 1 range: 1-5\n\
</pre></div><p>Specifies the number of biped toes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.toeLinks Integer Default: 3 range: 1-3\n\
</pre></div><p>Specifies the number of links per toe.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.ankleAttach Float Default: 0.2 range: 0-1\n\
</pre></div><p>Specifies the right and left ankles&#39; point of attachment along the corresponding foot block. The ankles may be placed anywhere along the center line of the foot block from the heel to the toe.</p>\n\
<p>A value of 0 places the ankle attachment point at the heel. A value of 1 places the ankle attachment point at the toes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.height Float Default: Defined at creation \n\
</pre></div><p>Sets the height of the biped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.trianglePelvis Boolean Default: True \n\
</pre></div><p>Select this control to create links from the upper legs to the lowest biped spine object when Physique is applied. Normally, the legs are linked to the biped pelvis object.</p>\n\
<p>The pelvis area can be a problem when the mesh is deformed with Physique. Triangle Pelvis creates a more natural spline for mesh deformation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.triangleNeck Boolean Default: false \n\
</pre></div><p>If Triangle Neck is true, the clavicles are parented to the top spine link.</p>\n\
<p>If Triangle Neck is false, the clavicles are parented to the neck base.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped&gt;.forearmTwistLinks Integer Default: 0 range: 0-10\n\
</pre></div><p>Specifies the number of forearm links. If 0, Forearm Twist is unchecked in the Structure dialog, and Forearm Links is 2. If non-zero, Forearm Twist is checked and Forearm Links is the specified number (the Forearm Links spinner has a lower limit of 2). Valid values are in the range of 0 to 10.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.bodyType Integer Default; 0 \n\
</pre></div><p>The body type of the biped: 0-Skeleton, 1-Male, 2-Female, 3-Classic</p>\n\
<div class=\'section\'><a id=\"props\"></a><h2 id=\"props\">Props</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped&gt;.prop1Exists Boolean Default: False \n\
</pre></div><p>Specifies whether prop 1 exists.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped&gt;.prop2Exists Boolean Default: False \n\
</pre></div><p>Specifies whether prop 2 exists.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped&gt;.prop3Exists Boolean Default: False \n\
</pre></div><p>Specifies whether prop 3 exists.</p>\n\
<div class=\'section\'><a id=\"animation-properties\"></a><h2 id=\"animation-properties\">Animation properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.gravAccel Float Default: 5.63855*Body height \n\
</pre></div><p>Sets the strength of the gravitational acceleration used to calculate the biped&#39;s motion.</p>\n\
<p>By default, this parameter is set to accurately simulate Newtonian gravity as found on the Earth&#39;s surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.dynamicsType Integer Default: 0 range: 0-1 \n\
</pre></div><p>0 - Biped Dynamics - Keys for the center of mass Balance Factor and Dynamics Blend parameters are set to a value of 1. Biped calculates airborne trajectories and biped balance.</p>\n\
<p>1 - Spline Dynamics - Create new center of mass keys using full spline interpolation.</p>\n\
<div class=\'section\'><a id=\"adapt-locks-group\"></a><h2 id=\"adapt-locks-group\">Adapt Locks Group</h2></div>\n\
<p>Lock specified tracks to prevent automatic adjustments being made to those tracks when footsteps are moved in space or edited in time. All the locks except for Time work for footstep editing in space. Time, locks upper body keys when footsteps are edited in time (Track View). Adapt Locks only applies to a Footstep animation not a freeform animation.</p>\n\
<p>When you move a footstep in space or adjust footstep timing, Biped automatically adapts existing keyframes to match the new footsteps. Adapt locks allows you to preserve the exact position of already created keys for a selected track.</p>\n\
<p>Adapt Locks does not need to be on all the time. For example, if you want to raise all the footsteps along the world Z-axis, without changing the upper body position, turn on Adapt Locks Body Vertical Keys, turn on Footstep mode, select all the footsteps and move them up along the world Z-axis. The footsteps are repositioned, the legs are adapted, but the upper body retains the same motion rather than being raised with the footsteps. Now turn off Adapt Locks Body Vertical Keys, the upper body still retains its original motion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.adaptLockFreeform Boolean Default: False \n\
</pre></div><p>Turn on to prevent adaptation of a freeform period in a footstep animation. The biped&#39;s position during a freeform period will not move if footsteps after the freeform period are moved further away.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.adaptLockHorz Boolean Default: False \n\
</pre></div><p>Turn on to prevent adaptation of body horizontal keys when footsteps are edited in space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.adaptLockTurn Boolean Default: False \n\
</pre></div><p>Turn on to prevent adaptation of body turning keys when footsteps are edited in space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.adaptLockVert Boolean Default: False \n\
</pre></div><p>Turn on to prevent adaptation of body vertical keys when footsteps are edited in space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.adaptLockLLeg Boolean Default: False \n\
</pre></div><p>Turn on to prevent adaptation of left leg move keys (a leg move key, is a leg key between footsteps) when footsteps are edited in space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.adaptLockRLeg Boolean Default: False \n\
</pre></div><p>Turn on to prevent adaptation of right leg move keys (a leg move key, is a leg key between footsteps) when footsteps are edited in space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.adaptLockTime Boolean Default: False \n\
</pre></div><p>Use Adapt Locks Time to retain upper body motion while editing footstep duration in Track View. When the duration of a footstep is changed, the biped leg will adapt by re-timing the touch, plant and lift keys. The biped upper body keys will retain their exact motion.</p>\n\
<div class=\'section\'><a id=\"separate-tracks-group\"></a><h2 id=\"separate-tracks-group\">Separate Tracks Group</h2></div>\n\
<p>By default character studio stores a finger, hand, forearm, and upper-arm key in the clavicle track. The toe, foot and calf keys are stored in the thigh track. This optimized approach to key storage works well in most cases. If you need extra tracks, turn them on for a specific biped body part.</p>\n\
<p>For example, turn on Arms if you plan on extensive finger-hand animation; if an arm key is deleted, it will not affect the finger-hand keys. Notice that in Track View a transform track is now available for the first link of the thumb (stores all finger keys), hand, forearm, and upper-arm.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.sepArmsTracks Boolean Default: False \n\
</pre></div><p>Turn on to create separate transform tracks for the finger, hand, forearm and upper-arm.</p>\n\
<p>There is one finger track per hand. All finger keys are stored in the &quot;Finger0&quot; transform track, the first link of the biped thumb.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.sepLegsTracks Boolean Default: False \n\
</pre></div><p>Turn on to create separate toe, foot, and calf transform tracks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.sepPonytail1Tracks Boolean Default: False \n\
</pre></div><p>Turn on to create separate ponytail 1 transform tracks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.sepPonytail2Tracks Boolean Default: False \n\
</pre></div><p>Turn on to create separate ponytail 2 transform tracks.</p>\n\
<p>Note:</p>\n\
<p>If the number of pony tail links is 0, you cannot set Separate Ponytail Tracks to true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.sepNeckTracks Boolean Default: False \n\
</pre></div><p>Turn on to create separate transform tracks for the neck links.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.sepTailTracks Boolean Default: True \n\
</pre></div><p>Turn on to create separate transform tracks for each tail link.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.sepSpineTracks Boolean Default: False \n\
</pre></div><p>Turn on to create separate spine transform tracks.</p>\n\
<div class=\'section\'><a id=\"modes\"></a><h3 id=\"modes\">Modes</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.figureMode Boolean Default: False \n\
</pre></div><p>Use Figure mode to fit a biped to the mesh or mesh objects representing your character. Leave Figure Mode on when you attach the mesh to the biped with Physique. Figure mode is also used to scale a biped with a mesh attached, to make biped &quot;fit&quot; adjustments after Physique is applied, and to correct posture in motion files that need a global posture change.</p>\n\
<p>Note: Cannot be in Buffer mode to enter figureMode</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.footstepMode Boolean Default: False \n\
</pre></div><p>Create and edit footsteps; generate a walk, run, or jump footstep pattern; edit selected footsteps in space; and append footsteps using parameters available in Footstep mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.motionMode Boolean Default: False \n\
</pre></div><p>Create scripts and use editable transitions to combine <em>.bip</em> files together (to create character animation) in Motion Flow mode. After creating a script and editing transitions, use Save Segment on the General rollout to store a script as one long .<em>bip</em> file. Save a <em>.mfe</em> file, this enables you to continue Motion Flow work in progress.</p>\n\
<p>Note: Cannot be in Buffer mode to enter motionMode</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.mixerMode Boolean Default: False \n\
</pre></div><p>Places the biped in Mixer mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.moveAllMode Boolean Default: False \n\
</pre></div><p>Places the biped in Move All mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.bufferMode Boolean Default: False \n\
</pre></div><p>Footsteps are required in the buffer to enter buffer Mode.</p>\n\
<p>Edit segments of an animation in Buffer mode. Copy footsteps and associated biped keys into the buffer using Copy Footsteps on the Footstep Operation rollout first, then turn on Buffer mode to view and edit the copied segment of your animation.</p>\n\
<p>Note:</p>\n\
<p>Paste buffered motion back to the original animation repeatedly to create looping motions.</p>\n\
<p>Edit footsteps and biped animation that has been copied into the buffer using Copy Footsteps on the Footsteps Operation rollout. The changes can be pasted back by turning off Buffer Mode, turning on Paste Footsteps on the Footstep Operation rollout and overlapping the buffered footsteps with the original footsteps. The buffered motion is spliced into the original animation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.bendLinksMode Boolean Default: False \n\
</pre></div><p>Bend all the biped spine objects naturally by rotating a biped spine object. Bend Links also works for the biped tail and ponytail links.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.rubberBandMode Boolean Default: False \n\
</pre></div><p>Use this to reposition the biped elbows and knees without moving the biped hands or feet in Figure mode. Reposition the biped center of mass to simulate the physics of wind or weight pushing against the biped. Figure mode must be turned on to enable Rubber Band Mode.</p>\n\
<p>Note:</p>\n\
<p>Rubber Band mode behaves differently than Non-Uniform Scale. If you &quot;Rubber Band&quot; the biped thigh, for example, the thigh and biped calf objects scale proportionally to keep the biped foot stationary. Using Non-Uniform Scale, the calf retains its scale and the foot moves.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.scaleStrideMode Boolean Default: True \n\
</pre></div><p>Footstep stride length and width are scaled to match the stride length and width of the biped figure. scaling occurs automatically when you load a .<em>bip</em>, .<em>stp</em>, or .<em>fig</em> file. When you paste footsteps; or when you scale the biped&#39;s legs or pelvis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.inPlaceMode Boolean Default: False \n\
</pre></div><p>Keep the biped visible in the viewports while the animation plays. Use this for biped key editing or adjusting envelopes with Physique. Prevents XY movement of the biped center of mass during animation playback; motion along the Z-axis is preserved. In Place mode is stored with the <strong>3ds Max</strong>file.</p>\n\
<p>Note: Cannot be in Figure mode to enter inPlaceMode!</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.inPlaceXMode Boolean Default: False \n\
</pre></div><p>Lock center of mass X-axis motion. Use this for game export where the character stays in place but the swinging motion of the hips and upper body along the Y-axis is preserved.</p>\n\
<p>Note: Cannot be in Figure mode to enter inPlaceXMode</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.inPlaceYMode Boolean Default: False \n\
</pre></div><p>Lock center of mass Y-axis motion. Use this for game export where the character stays in place but the swinging motion of the hips and upper body along the X-axis is preserved.</p>\n\
<p>Note: Cannot be in Figure mode to enter inPlaceYMode</p>\n\
<p>Biped limbs, footsteps, and center of mass keys can be adjusted using In Place mode (when the center of mass is moved on the XY-axes in this mode, the footsteps move). View biped playback without requiring a follow camera. In this viewing mode, visible footsteps &quot;slide&quot; under the biped.</p>\n\
<p>For export to games, this feature is valuable since many game engines intelligently move the character&#39;s center of mass laterally according to game play. In Place mode makes it easy to view, tune, and export animation in a manner that is complimentary to game engine playback.</p>\n\
<p>Note:</p>\n\
<p>Trajectories do not display when In Place mode is active.</p>\n\
<div class=\'section\'><a id=\"track-selection\"></a><h3 id=\"track-selection\">Track Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.trackSelection Integer Default: 0 \n\
</pre></div><p>While a <strong>trackSelection</strong> value of 0 is a valid return value, setting trackSelection to 0 is meaningless and will not change the current track selection.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - No track selection</p>\n\
<p>1 - Body Horizontal - Turn on to prevent adaptation of body horizontal keys when footsteps are edited in space.</p>\n\
<p>2 - Body Vertical - Turn on to prevent adaptation of body vertical keys when footsteps are edited in space.</p>\n\
<p>3 - Body Rotation - Turn on to prevent adaptation of body turning keys when footsteps are edited in space.</p>\n\
<div class=\'section\'><a id=\"display-properties\"></a><h3 id=\"display-properties\">Display properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.displayBones Boolean Default: False \n\
</pre></div><p>Displays biped bones. Bones are represented as yellow lines, which do not render. Selecting Bones is useful for seeing exactly where the joints fall in relation to the biped objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.displayObjects Boolean Default: True \n\
</pre></div><p>Displays biped body objects (objects).</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.displayFootsteps Boolean Default: True \n\
</pre></div><p>Displays biped footsteps in the viewport. Footsteps are represented as green and blue foot-shaped outlines by default; these are also visible in preview renderings. Turning off the Footsteps button also turns off the footstep numbers and the center of mass shadow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.displayFSNumbers Boolean Default: True \n\
</pre></div><p>Displays biped footstep numbers. Footstep numbers specify the order in which the biped will move along the path created by the footsteps. Footstep numbers are displayed in white and do not render, but do appear in preview renderings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.displayTrajectories Boolean Default: False \n\
</pre></div><p>Displays trajectories for selected biped limbs.</p>\n\
<div class=\'section\'><a id=\"layers\"></a><h3 id=\"layers\">Layers</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.visibleBefore Integer Default: 1 \n\
</pre></div><p>Set the number of preceding layers too display as stick figures.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.visibleAfter Integer Default: 0 \n\
</pre></div><p>Set the number of succeeding layers too display as stick figures.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.keyHighlight Boolean Default: False \n\
</pre></div><p>Display keys by highlighting the stick figures.</p>\n\
<div class=\'section\'><a id=\"footstep-related-properties\"></a><h3 id=\"footstep-related-properties\">Footstep related properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.fsAppendState Boolean Default: False \n\
</pre></div><p>Each new footstep is appended to the end of the biped&#39;s footstep sequence.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.fsCreateState Boolean Default: False \n\
</pre></div><p>Set to true to create new states. The first state you add is, by default, the first state in the controller that executes when the simulation is run.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.fsGroundDuration Time Default: 18f \n\
&lt;biped_ctrl&gt;.fsAirDuration Time Default: 3f \n\
</pre></div><p>Specifies the number of frames when the body will be in the air during a run or a jump.</p>\n\
<p>Note: If <strong><span class=\'code\'>fsGaitMode</span> is <span class=\'code\'>#walk</span> , the above 2 parameters are the Walk Footstep and Double Support durations, respectively. If <span class=\'code\'>fsGaitMode</span> is <span class=\'code\'>#run</span> , the above 2 parameters are the Run Footstep and Airborne durations, respectively. If <span class=\'code\'>fsGaitMode</span></strong> is <span class=\'code\'>#jump</span> , the above 2 parameters are the 2-Feet down and Airborne durations, respectively.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.fsGaitMode Name Default: #walk \n\
</pre></div><p>fsGaitMode can be set to any of the three gaits: #walk, #run, #jump</p>\n\
<div class=\'section\'><a id=\"motion-flow-properties\"></a><h3 id=\"motion-flow-properties\">Motion Flow properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.motionFlow MoFlow \n\
</pre></div><p>Returns an instance of <strong>MoFlow</strong>. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Motion-Flow/MoFlow-MaxWrapper.html\' title=\'\'>Biped Motion Flow</a> section for more details.</p>\n\
<div class=\'section\'><a id=\"motion-capture-properties\"></a><h3 id=\"motion-capture-properties\">Motion Capture properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.displayBuffer Boolean Default: False \n\
</pre></div><p>A red stick figure appears, representing the raw motion capture data.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.displayBufferTraj Boolean Default: False \n\
</pre></div><p>Display a trajectory based on the buffered raw motion capture data for any biped body part. Use this in combination with Show/Hide Trajectories on the Display rollout to see how closely the raw and filtered data match.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.talentFigMode Boolean Default: False \n\
</pre></div><p>Turn on Talent Figure mode to scale the biped relative to the markers. Calibration for the entire marker file takes place when you exit Talent Figure mode.</p>\n\
<p>Keyframe adaptation takes place in order to accommodate the new biped scale; because of this, you should adjust the biped scale before adjusting the biped position relative to the markers.</p>\n\
<p>Use Rubber Band Mode on the General rollout and Non-Uniform Scale to size the biped in Talent Figure mode.</p>\n\
<p>Ideally, you will not need to use this feature. When loading a motion capture file, Biped attempts to extract the appropriate figure scale from the given data. Use Talent Figure mode only if the extracted scale of the biped doesn&#39;t match the scale of the original talent. Minor differences in scale will alter the motion.</p>\n\
<p>Note: Calibration controls are only enabled when a marker or <strong>.bvh</strong> file is imported in its raw form. Do not use key reduction or extract footsteps when you import a marker file for the first time.</p>\n\
<div class=\'section\'><a id=\"object-space-object\"></a><h3 id=\"object-space-object\">Object Space Object</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.osObject Node Default: Undefined \n\
</pre></div><p>The Object Space Object for the currently selected body part.</p>\n\
<p>The <span class=\'code\'>osObject</span> can be specified for the Clavicle or any of its decedents, and the Thigh or any of its decedents.</p>\n\
<p>The <span class=\'code\'>osObject</span> is undefined for all other body parts.</p>\n\
<p>The <span class=\'code\'>osObject</span> is normally specified in the IK Key Info rollout.</p>\n\
<p>The <span class=\'code\'>.osObject</span> property can be reset by assigning <span class=\'code\'>undefined</span> via MAXScript in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"head-lookat-target\"></a><h3 id=\"head-lookat-target\">Head LookAt Target</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.headObject Node Default: Undefined \n\
</pre></div><p>The node the head object looks at.</p>\n\
<p>The <strong>.headObject</strong> property can be reset by assigning <span class=\'code\'>undefined</span> via MAXScript in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"hands-as-feet\"></a><h3 id=\"hands-as-feet\">Hands As Feet</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.foreFeet Boolean Default: false \n\
</pre></div><p>Get/Set theHands as Feet property.</p>\n\
<p>If <span class=\'code\'>.foreFeet</span> is <span class=\'code\'>true</span> , the the fingers are shaped and attached like toes, and viewport manipulation of IK hands is like feet.</p>\n\
<p>If <span class=\'code\'>.foreFeet</span> is <span class=\'code\'>false</span> , the fingers and hands appear and behave as usual.</p>\n\
<p>Available in<strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"knuckles-and-short-thumb-properties\"></a><h3 id=\"knuckles-and-short-thumb-properties\">Knuckles and Short Thumb Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.knuckles Boolean Default:false \n\
</pre></div><p>Get/Set the knuckles property.</p>\n\
<p>Must be in figure mode to set the property.</p>\n\
<p>When <span class=\'code\'>.knuckles</span> is set to <span class=\'code\'>true</span> , the hand is shrunk, the fingers have 4 links, splay out from the hand, and ThumbMinusOne is set to true.</p>\n\
<p>When <span class=\'code\'>.knuckles</span> is set to <span class=\'code\'>false</span> , the fingers and hands appear as in 3ds Max 2009, and ThumbMinusOne is set to false.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.shortThumb Boolean Default:false \n\
</pre></div><p>Get/Set the state of the shortThumb property.</p>\n\
<p>Must be in figure mode to set the property.</p>\n\
<p>If <span class=\'code\'>.shortThumb</span> is <span class=\'code\'>true</span> , the thumb has one less link than the other fingers, except when there is only one link per finger.</p>\n\
<p>If <span class=\'code\'>.shortThumb</span> is <span class=\'code\'>false</span> , the thumb has the same number of links as the fingers.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"sub-anim-animation-properties\"></a><h3 id=\"sub-anim-animation-properties\">Sub Anim Animation Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.enableSubAnims Boolean Default: True \n\
</pre></div><p>When on, sets the Workbench to display the curves of the selected part’s subanim in combination with the position or rotation curves.</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.manipSubAnims Boolean Default: False \n\
</pre></div><p>If <span class=\'code\'>true</span> , the following rollouts appear in the Motion panel: Position List, Scale List and Rotation List.</p>\n\
<div class=\'section\'><a id=\"subanim-properties-as-seen-in-track-view\"></a><h3 id=\"subanim-properties-as-seen-in-track-view\">SubAnim Properties (as seen in Track View)</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.vertical Matrix3 -- Animatable \n\
</pre></div><p>The vertical track of controller</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.horizontal Matrix3 -- Animatable \n\
</pre></div><p>The horizontal track of controller</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_ctrl&gt;.turning Matrix3 -- Animatable \n\
</pre></div><p>The turning track of controller</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` bipObj = biped.createNew 100 100 [0,0,0] select bipObj bip = bipObj.transform.controller -- Display properties bip.displayBones= true bip.displayObjects= false bip.displayFootsteps= false bip.displayFSNumbers= false -- Animations properties bip.gravAccel= 700 bip.dynamicsType= 1</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";