var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Class : MultFprintParams</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Class : MultFprintParams</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-class-multfprintparams\"></a></div>\n\
<p>This class represents multiple footstep creation parameters of a Biped. An instance of this class is returned by the <span class=\'code\'>biped.getMultipleFSParams &lt;gait_type_name&gt;</span> method, where gait_type_name can be #walk, #run or #jump.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.alternate Boolean Default: true(walk)true(run)true(jump)      \n\
</pre></div><p>Footsteps will alternate between right and left. Alternate is always selected when the Walk gait is selected. You can only clear Alternate when Run or Jump gaits are selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.numFootsteps Integer Default: 4(walk)4(run)4(jump)   \n\
</pre></div><p>Determines the number of new footsteps to be created.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.paramStrideWidth Float Default: 1.0(walk)1.0(run)1.0(jump) \n\
</pre></div><p>Sets the stride width as a percentage of the pelvis width. A value of 1.0 produces a stride width equal to the pelvis width. A value of 3.0 produces a wide, waddling stride. Changes to this setting automatically change the Actual Stride Width.</p>\n\
<p>Parametric describes the parameter in terms of biped anatomy, and Actual describes the value in <strong>3ds Max</strong> units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.autoTiming Boolean Default:true (walk) true (run) true (jump) \n\
</pre></div><p>Sets timing parameters automatically. Auto Timing affects the following timing parameters for the Walk gait:</p>\n\
<p>Walk footstep, Double Support</p>\n\
<p>When Auto Timing is selected, these parameters are automatically adjusted to reasonable values. Control the footstep sequence by adjusting the Stride Length and Time to Next Footstep parameters.</p>\n\
<p>When Auto Timing is cleared, you can control the footstep sequence by adjusting the gait timing parameters, but you can&#39;t change the Time to Next Footstep parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.interpTiming Boolean Default: false(walk)false(run)false(jump) \n\
</pre></div><p>Control acceleration or deceleration of the series of footsteps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.multiInsertInTime Boolean Default:false (walk) false (run) false (jump) false - Start after last footstep\n\
</pre></div><p>Appends the newly created footsteps to the end of the existing footstep sequence.</p>\n\
<div class=\'codeBlock\'><pre>true - Start at current frame\n\
</pre></div><p>Inserts the newly created footsteps at the current frame after the existing footstep sequence allowing you to make a gap in time before the footsteps start again.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.paramStrideLength1 Float Default: 0.75(walk)1.5(run)2.4(jump) \n\
</pre></div><p>Sets the stride length for the First Step as a percentage of the length of the biped&#39;s leg. The default value of 0.75 gives an average stride of normal proportions.</p>\n\
<p>A value of 1.0 will produce a stride length equal to the leg length, which makes the biped stretch slightly to reach the next step. A value of 0.0 will make the biped walk in place. A negative stride length will make the biped walk backwards.</p>\n\
<p>When a biped walks backwards, it does not simply reverse the forward movement but maintains the correct foot-state sequence with the toe touching the ground first, followed by the heel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.actualStrideHeight1 Float Default: 0.0(walk)0.0(run)0.0(jump) \n\
</pre></div><p>Sets the rise or fall between footsteps for the First Step. You can use this parameter to create a set of footsteps going up or down a slope or a stairway.</p>\n\
<p>The value for Actual Stride Height is the difference in height in units between each of the new footsteps. Positive values step up and negative values step down.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.cycle1 Time Default: 15f(walk)15f(run)15f(jump) \n\
</pre></div><p>Sets the Time to Next Footstep for the First Step.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.paramStrideLength2Float Default: 0.75(walk)1.5(run)2.4(jump) \n\
</pre></div><p>Sets the stride length for the Last Step as a percentage of the length of the biped&#39;s leg. The default value of 0.75 gives an average stride of normal proportions.</p>\n\
<p>A value of 1.0 will produce a stride length equal to the leg length, which makes the biped stretch slightly to reach the next step. A value of 0.0 will make the biped walk in place. A negative stride length will make the biped walk backwards. When a biped walks backwards, it does not simply reverse the forward movement but maintains the correct foot-state sequence with the toe touching the ground first, followed by the heel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.actualStrideHeight2Float Default: 0.0(walk)0.0(run)0.0(jump) \n\
</pre></div><p>Sets the rise or fall between footsteps for the Last Step. You can use this parameter to create a set of footsteps going up or down a slope or a stairway.</p>\n\
<p>The value for Actual Stride Height is the difference in height in units between each of the new footsteps. Positive values step up and negative values step down.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultipleFSParams&gt;.cycle2Time Default: 15f(walk)15f(run)15f(jump) \n\
</pre></div><p>Sets the Time to Next Footstep for the Last Step.</p>\n\
<p>Note: See the biped <strong>.addMultipleFootprints</strong> method for creating footsteps based on aMultipleFSParams, and biped <strong>.newFootprintKeys</strong> creating the biped keys for the inactive footsteps.</p>\n\
<p>Since MultipleFSParams is biped independent, the actual stride lengths and heights are not accessible in this class. To convert from a paramStrideWidth value to an actual StrideWidth value, multiply the paramStrideWidth value by the width of the pelvis.</p>\n\
<p>To convert from aparamStrideLength value to an actual StrideLengthvalue, multiply the paramStrideLength value by the length of the right leg. Given a biped_ctrl, the length of the right leg can be calculated by:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>legLength = distance (biped.getNode biped_ctrl#rleg link:1) (biped.getNode biped_ctrl#rleg link:2) -- thigh   legLength += distance (biped.getNode biped_ctrl#rleg link:2) (biped.getNode biped_ctrl#rleg link:3) -- calf   if ((biped_ctrl.rootnode).controller.leglinks) &gt; 3 do legLength += distance (biped.getNode biped_ctrl#rleg link:3) (biped.getNode biped_ctrl#rleg link:4) -- horsellink, if present</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";