var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Footprints</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Footprints</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-footprints\"></a></div>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.addFootprint &lt;biped_ctrl&gt;&lt;matrix3&gt; [append:&lt;boolean&gt;]      \n\
</pre></div><p>Creates a single footprint for the biped, where matrix3 specifies the position and rotation of the footstep. The scale portion of the matrix3 is ignored. Whether a left or right footstep is created depends on the value of biped.fsAddSide (see below). The length and timing of the footstep depends on biped’s fsGroundDuration and fsAirDuration property values.</p>\n\
<p>The append keyword argument specifies where in time the footstep is added. If true (the default) then the footstep is appended as the last footstep, else it is inserted at the current time.</p>\n\
<p>Note:</p>\n\
<p>Creates a single footprint for the Biped.</p>\n\
<p><strong>Global Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.fsAddSide Integer Default:0    \n\
0 - Start Right\n\
1 - Start Left  \n\
</pre></div><p>Note:</p>\n\
<p>For multiple footstep creation, the starting foot needs to be identified. There is a UI radio button in the Multiple Footstep Creation dialog &quot;Start Right/Start Left&quot;. The biped global property, <strong>fsAddSide</strong>, exposes access to this UI element.</p>\n\
<p>Note:</p>\n\
<p>This property also effects the start foot when manually creating footsteps in the viewports and when using biped.addFootprint. If the biped.fsAddSide is 1, a left footstep is created. If 0, a right footstep is created. When you create a footstep in the viewports or by using biped.addFootprint, the value of biped.fsAddSide is flipped, resulting in alternating footsteps being created by default.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.multipleFSDlg &lt;biped_ctrl&gt; \n\
</pre></div><p>Displays the Multiple Footstep Creation dialog</p>\n\
<div class=\'codeBlock\'><pre>biped.getMultipleFSParams &lt;gait_type_name&gt; \n\
</pre></div><p>Returns an instance of MultFprintParams, gait_type_name can be<strong>#walk</strong>,<strong>#run</strong>or<strong>#jump</strong>. For information on MultFprintParams andgait_type_name see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Footsteps-and-Footprints/Biped-Class-MultFprintParams.html\' title=\'\'>Biped MultFprintParams Class</a><strong>.</strong></p>\n\
<p>The following example will obtain the MultipleFSParams for a walk cycle, set several of its values and then show all of the properties.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` walk = biped.getMultipleFSParams #walk walk.numFootsteps= 5 walk.paramStrideWidth= 2.5 walk.paramStrideLength1= .6 walk.actualStrideHeight1= .6 walk.cycle1= 6 walk.paramStrideLength2= .7 walk.actualStrideHeight2= .7 walk.cycle2= 7 walk.autoTiming= true walk.interpTiming= true walk.alternate= true walk.multiInsertInTime= true showProperties walk</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.addMultipleFootprints &lt;biped_ctrl&gt; &lt;MultFprintParams&gt; \n\
</pre></div><p>Create footsteps for a Biped based on the MultFprintParams value</p>\n\
<div class=\'codeBlock\'><pre>biped.newFootprintKeys &lt;biped_ctrl&gt; \n\
</pre></div><p>Activates all inactive footsteps. Activation creates default keys for any footsteps that do not have them. If a footstep does not have keys, it is displayed as bright green (right foot) or bright blue (left foot). After keys are created for the footsteps, the footsteps change color to pastel green and pastel blue.</p>\n\
<div class=\'codeBlock\'><pre>biped.convertToFootSteps &lt;biped_ctrl&gt; [keyPerFrame:&lt;false&gt;] [flattenToZ:&lt;true&gt;] \n\
</pre></div><p>Converts a freeform animation to footsteps. If keyPerFrame is true, keys are created at every frame, and footsteps are extracted based on foot IK Blend values equal to 1. If flattenToZ is true, the entire biped is repositioned to place the footsteps at Z=0.</p>\n\
<div class=\'codeBlock\'><pre>biped.convertToFreeform &lt;biped_ctrl&gt; [keyPerFrame:&lt;false&gt;] \n\
</pre></div><p>Converts a freeform animation to footsteps. If <strong>keyPerFrame</strong> is <strong>true</strong> , keys are created at every frame.</p>\n\
<div class=\'section\'><a id=\"bendingscaling-footprints\"></a><h2 id=\"bendingscaling-footprints\">Bending/Scaling Footprints</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.bendFootprints &lt;biped_ctrl&gt; &lt;float&gt; --angle in degrees \n\
</pre></div><p>Bend the Footprints of the biped whose controller has been supplied as argument at the specified angle.</p>\n\
<div class=\'codeBlock\'><pre>biped.scaleFootprints &lt;biped_ctrl&gt; &lt;float&gt; --angle in degrees \n\
</pre></div><p>Scale the Footprints of the biped whose controller has been supplied as argument at the specified angle.</p>\n\
<p>The following example will create a biped, create 10 footsteps and then have Biped create default keys for the footsteps.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- create a Biped bipObj = biped.createNew 100 100 [0,0,0] -- get the transform controller for the Biped bip = bipObj.transform.controller -- get the multiple footstep parameters interface mfsp=biped.getMultipleFSParams #walk -- set the number of footsteps to 10 mfsp.numFootsteps=10 -- create the inactive footsteps bip.footstepMode=true biped.addMultipleFootprints bip mfsp -- create the Biped keys for inactive footsteps biped.newFootprintKeys bip</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";