var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Copy and Paste Posture Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Copy and Paste Posture Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-copy-and-paste-posture-methods\"></a></div>\n\
<p>These functions mirror the Copy/Paste functionality.</p>\n\
<div class=\'codeBlock\'><pre>biped.copyPosture &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;bool_horiz&gt; &lt;bool_vert&gt; &lt;bool_turn&gt;      \n\
</pre></div><p>Creates a copy of the posture, pose, or track, as specified, for the selected objects in the Biped. Returns the name of copy. bool_horiz, bool_vert, and bool_turn control whether the horizontal, vertical, and/or turn is copied for the COM.</p>\n\
<div class=\'codeBlock\'><pre>biped.pastePosture &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;bool_opposite&gt; &lt;string_name&gt;   \n\
</pre></div><p>Pastes the specified posture, pose, or track to the selected objects in the Biped.</p>\n\
<div class=\'codeBlock\'><pre>biped.deleteAllCopies &lt;biped_ctrl&gt; (#posture | #pose | #track) \n\
</pre></div><p>Deletes all postures, poses, or tracks, as specified.</p>\n\
<div class=\'codeBlock\'><pre>biped.numCopies &lt;biped_ctrl&gt; (#posture | #pose | #track) \n\
</pre></div><p>Returns the number of the posture, pose, or track copies.</p>\n\
<div class=\'codeBlock\'><pre>biped.deleteCopy &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;string_name&gt; \n\
</pre></div><p>Deletes the specified posture, pose, or track copy.</p>\n\
<div class=\'codeBlock\'><pre>biped.setCopyName &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;int_which&gt; &lt;String_newName&gt; \n\
</pre></div><p>Renames the specified posture, pose, or track copy.</p>\n\
<div class=\'codeBlock\'><pre>biped.getCopyName &lt;biped_ctrl&gt; (#posture | #pose | #track) &lt;int_which&gt; \n\
</pre></div><p>Returns the name of the specified posture, pose, or track copy.</p>\n\
<div class=\'codeBlock\'><pre>biped.loadCopyPasteFile &lt;biped_ctrl&gt; &lt;string_filename&gt; \n\
</pre></div><p>Loads the posture, pose, and track copies from the specified file.</p>\n\
<div class=\'codeBlock\'><pre>biped.saveCopyPasteFile &lt;biped_ctrl&gt; &lt;string_filename&gt; \n\
</pre></div><p>Saves the posture, pose, and track copies to the specified file. The file name extension should be &quot;cpy&quot;.</p>\n\
<div class=\'codeBlock\'><pre>biped.createCopyCollection &lt;biped_ctrl&gt; &lt;collection_name&gt; \n\
</pre></div><p>Creates a new collection with the given name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;biped.numCopyCollections &lt;biped_ctrl&gt; \n\
</pre></div><p>Returns the number of Copy Collections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;collection_value&gt;biped.getCopyCollection &lt;biped_ctrl&gt; &lt;collection_index&gt; \n\
</pre></div><p>Returns the indexed Copy Collection. The CopyCollection value has one property that can be get and set - .name</p>\n\
<div class=\'codeBlock\'><pre>biped.deleteCopyCollection &lt;biped_ctrl&gt; &lt;collection_index&gt; \n\
</pre></div><p>Deletes the indexed Copy Collection.</p>\n\
<div class=\'codeBlock\'><pre>biped.deleteAllCopyCollections &lt;biped_ctrl&gt; \n\
</pre></div><p>Deletes all Copy Collections.</p>\n\
<div class=\'codeBlock\'><pre>biped.copyBipPosture  &lt;biped_ctrl&gt; &lt;ICC_MXCopyCollection&gt; &lt;nodes_array&gt; (#snapView |#snapAuto |#snapNone) \n\
</pre></div><p>Copies the biped posture. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>biped.pasteBipPosture &lt;biped_ctrl&gt; &lt;ICP_MXBipedCopy&gt; &lt;bool_opposite&gt; (#pstdefault |#pstcopied |#pstinterp) &lt;bool_hor&gt;&lt;bool_ver&gt;&lt;bool_trn&gt;&lt;bool_byvel&gt; \n\
</pre></div><p>Pastes the biped posture. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>biped.copyBipPose &lt;biped_ctrl&gt; &lt;ICC_MXCopyCollection&gt;(#snapView |#snapAuto |#snapNone) \n\
</pre></div><p>Copies the biped pose. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>biped.pasteBipPose &lt;biped_ctrl&gt; &lt;ICP_MXBipedCopy&gt; &lt;bool_opposite&gt; (#pstdefault |#pstcopied |#pstinterp) &lt;bool_hor&gt; &lt;bool_ver&gt; &lt;bool_trn&gt; &lt;bool_byvel&gt; \n\
</pre></div><p>Pastes the biped pose. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>biped.copyBipTrack &lt;biped_ctrl&gt;&lt;ICC_MXCopyCollection&gt; &lt;nodes_array&gt;(#snapView |#snapAuto |#snapNone) \n\
</pre></div><p>Copies the biped track. Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>biped.pasteBipTrack &lt;biped_ctrl&gt; &lt;ICP_MXBipedCopy&gt; &lt;bool_opposite&gt; &lt;bool_hor&gt; &lt;bool_ver&gt; &lt;bool_trn&gt; \n\
</pre></div><p>Pastes the biped track. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";