var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Creation</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Creation</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-creation\"></a></div>\n\
<p>The following constructor function and optional creation parameters let the user create new Biped systems using MAXScript:</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.createNew &lt;height_float&gt; &lt;angle_float&gt; &lt;wpos_point3&gt; . . .     \n\
&lt;height_float&gt;\n\
</pre></div><p>The height of the Biped to be created</p>\n\
<div class=\'codeBlock\'><pre>&lt;angle_float&gt;\n\
</pre></div><p>Angle in degrees,0° will make the Biped look along the positive X axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;wpos_point3&gt;\n\
</pre></div><p>World position of the Biped.This is the position of the COM shadow.</p>\n\
<p><strong>CreationParameters</strong></p>\n\
<p>The following creation parameters are optional and can be used in any combination to override the default creation parameters.</p>\n\
<p>Note: All UI limit constraints apply on keyword parameters, for example, <strong>fingers</strong> and <strong>fingerLinks</strong> parameters are not respected when <strong>arms</strong> is set to false.</p>\n\
<div class=\'codeBlock\'><pre>arms:Boolean Default: True   \n\
</pre></div><p>Specifies whether or not arms will be generated for the current biped.</p>\n\
<div class=\'codeBlock\'><pre>neckLinks:Integer Default: 1 \n\
</pre></div><p>Specifies the number of links in the biped neck.</p>\n\
<div class=\'codeBlock\'><pre>spineLinks:Integer Default: 4 \n\
</pre></div><p>Specifies the number of links in the biped spine.</p>\n\
<div class=\'codeBlock\'><pre>legLinks:Integer Default: 3 \n\
</pre></div><p>Specifies the number of links in the biped legs.</p>\n\
<div class=\'codeBlock\'><pre>tailLinks:Integer Default: 0 \n\
</pre></div><p>Specifies the number of links in the biped tail. A value of 0 specifies no tail.</p>\n\
<div class=\'codeBlock\'><pre>ponytail1Links:Integer Default: 0 \n\
</pre></div><p>Specifies the number of Ponytail links.</p>\n\
<div class=\'codeBlock\'><pre>ponytail2Links:Integer Default: 0 \n\
</pre></div><p>Specifies the number of Ponytail links.</p>\n\
<div class=\'codeBlock\'><pre>fingers:Integer Default: 1 \n\
</pre></div><p>Specifies the number of biped fingers.</p>\n\
<div class=\'codeBlock\'><pre>fingerLinks:Integer Default: 3 \n\
</pre></div><p>Sets the number of links per finger.</p>\n\
<div class=\'codeBlock\'><pre>toes:Integer Default: 5 \n\
</pre></div><p>Specifies the number of biped toes.</p>\n\
<div class=\'codeBlock\'><pre>toeLinks:Integer Default: 3 \n\
</pre></div><p>Specifies the number of links per toe.</p>\n\
<div class=\'codeBlock\'><pre>ankleAttach:Float Default: 0.2 \n\
</pre></div><p>Specifies the right and left ankles&#39; point of attachment along the corresponding foot block. The ankles may be placed anywhere along the center line of the foot block from the heel to the toe.</p>\n\
<p>A value of 0 places the ankle attachment point at the heel. A value of 1 places the ankle attachment point at the toes.</p>\n\
<div class=\'codeBlock\'><pre>trianglePelvis:Boolean Default: True \n\
</pre></div><p>Select this control to create links from the upper legs to the lowest biped spine object when Physique is applied. Normally, the legs are linked to the biped pelvis object.</p>\n\
<p>The pelvis area can be a problem when the mesh is deformed with Physique. Triangle Pelvis creates a more natural spline for mesh deformation.</p>\n\
<div class=\'codeBlock\'><pre>triangleNeck:Boolean Default: false \n\
</pre></div><p>If Triangle Neck is true, the clavicles are parented to the top spine link.</p>\n\
<p>If Triangle Neck is false, the clavicles are parented to the neck base.</p>\n\
<div class=\'codeBlock\'><pre>prop1Exists:Boolean Default: False \n\
</pre></div><p>Specifies whether prop 1 exists.</p>\n\
<div class=\'codeBlock\'><pre>prop2Exists:Boolean Default: False \n\
</pre></div><p>Specifies whether prop 2 exists.</p>\n\
<div class=\'codeBlock\'><pre>prop3Exists:Boolean Default: False \n\
</pre></div><p>Specifies whether prop 3 exists.</p>\n\
<div class=\'codeBlock\'><pre>forearmTwistLinks:Integer Default: 0 \n\
</pre></div><p>Specifies the number of forearm links. If 0, Forearm Twist is unchecked in the Structure dialog, and Forearm Links is 2. If non-zero, Forearm Twist is checked and Forearm Links is the specified number (the Forearm Links spinner has a lower limit of 2). Valid values are in the range of 0 to 10.</p>\n\
<p>The following example will create a Biped with specific non default values and facing the front view (negative Y axis).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` bipObj = biped.createNew 100 -90 [0,0,0] arms:true neckLinks:2   spineLinks:4 legLinks:4 tailLinks:1 ponyTail1Links:1   ponyTail2Links:1 fingers:5 fingerLinks:2 toes:4   toeLinks:2 ankleAttach:0.3 trianglePelvis:True   prop1Exists:True forearmTwistLinks:4</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";