var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Layers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Layers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-layers\"></a></div>\n\
<div class=\'section\'><a id=\"layer-related-methods\"></a><h2 id=\"layer-related-methods\">Layer Related Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.collapseAtLayer &lt;biped_ctrl&gt; &lt;index&gt;      \n\
</pre></div><p>Collapses layer index+1 into layer index. All layers underneath (&lt;= index+1) must be active for this function to work. Returns true if successful, otherwise false.</p>\n\
<div class=\'codeBlock\'><pre>biped.createLayer &lt;biped_ctrl&gt; &lt;index&gt; &lt;name&gt;    \n\
</pre></div><p>Creates a layer at the specified position. The maximum index value can be NumLayers.</p>\n\
<div class=\'codeBlock\'><pre>biped.deleteLayer &lt;biped_ctrl&gt; &lt;index&gt;   \n\
</pre></div><p>Deletes the specified layer.</p>\n\
<div class=\'codeBlock\'><pre>biped.getCurrentLayer &lt;biped_ctrl&gt; \n\
</pre></div><p>Returns the position of the currently active layer in the UI.</p>\n\
<div class=\'codeBlock\'><pre>biped.getLayerActive &lt;biped_ctrl&gt; &lt;index&gt; \n\
</pre></div><p>Returns true if the specified layer is active.</p>\n\
<div class=\'codeBlock\'><pre>biped.getLayerName &lt;biped_ctrl&gt; &lt;index&gt; \n\
</pre></div><p>Returns the specified layer name.</p>\n\
<div class=\'codeBlock\'><pre>biped.numLayers &lt;biped_ctrl&gt; \n\
</pre></div><p>Returns the number of layers.</p>\n\
<div class=\'codeBlock\'><pre>biped.setCurrentLayer &lt;biped_ctrl&gt; &lt;index&gt; \n\
</pre></div><p>Sets the active layer in the UI to the specified layer.</p>\n\
<div class=\'codeBlock\'><pre>biped.setLayerActive &lt;biped_ctrl&gt; &lt;index&gt; &lt;bool_val&gt; \n\
</pre></div><p>Sets the specified layer to active/inactive based upon the bool_val passed.</p>\n\
<div class=\'codeBlock\'><pre>biped.setLayerName &lt;biped_ctrl&gt; &lt;index&gt; &lt;name&gt; \n\
</pre></div><p>Sets the specified layer name to the value passed.</p>\n\
<div class=\'codeBlock\'><pre>biped.setSnapKey &lt;biped_node&gt; \n\
</pre></div><p>Sets the snap key for a layer.</p>\n\
<p>The following example creates a new Biped, accesses its Vertical_Horizontal_Turn (Body) controller, and loads a specific *.Bip file:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- create a new Biped bipObj = biped.createNew 100 100 [0,0,0] -- select bipObj bip = bipObj.controller<br> max motion mode<br> -- File I/O biped.LoadBipFile bip (CSPATH + &quot;scripts\\Limploop.bip&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"layer-retargeting-methods\"></a><h2 id=\"layer-retargeting-methods\">Layer Retargeting Methods</h2></div>\n\
<p>The following functions are used for retargeting biped layer animation, either to the base layer or to a reference biped.</p>\n\
<div class=\'codeBlock\'><pre>biped.getLimbRetargetState &lt;limb_node&gt; \n\
</pre></div><p>Returns the retarget state of a limb.</p>\n\
<p>Expects any node from a biped limb as an argument.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>biped.setLimbRetargetState &lt;limb_node&gt; &lt;state&gt; \n\
</pre></div><p>Sets the retarget state of the given limb.</p>\n\
<p>Expects any node from a biped limb as the first argument, a Boolean value as the second argument.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>biped.getRetargetRefBip &lt;bipcontrol&gt; \n\
</pre></div><p>Returns the retarget reference biped for the given biped, or undefined if no reference biped is assigned.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>biped.setRetargetRefBip &lt;bipcontrol&gt; &lt;refBipNode&gt; \n\
</pre></div><p>Sets the retarget reference biped.</p>\n\
<p>The first argument is the biped for which the refbip is being set.</p>\n\
<p>The second argument is the refbip - any node from a different biped.</p>\n\
<p>Returns true if the reference biped was set correctly, false otherwise.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>biped.retargetToReferenceBiped &lt;bipcontrol&gt; &lt;IK_Only&gt; \n\
</pre></div><p>Retargets to the reference biped passed as the first argument.</p>\n\
<p>The second argument is the IK Only flag.</p>\n\
<p>For every limb whose retarget state is active, calculates the hand/foot position at every key, maintaining IK constraints to the retarget biped.</p>\n\
<p>When IK_Only is true, the biped&#39;s constrained hands and feet are retargeted only during the frames on which they are IK controlled.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>biped.retargetToBaseLayer &lt;bipcontrol&gt; &lt;IK_Only&gt; \n\
</pre></div><p>Retargets the biped passed as the first argument to the base layer.</p>\n\
<p>The second argument is the IK Only flag.</p>\n\
<p>A layer must be active.</p>\n\
<p>For every limb whose retarget state is active, calculates the hand/foot position at every key, maintaining IK constraints to the base layer.</p>\n\
<p>When IK_Only is true, the biped&#39;s constrained hands and feet are retargeted only during the frames on which they are IK controlled.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";