var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Load and Save Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Load and Save Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-load-and-save-methods\"></a></div>\n\
<p>This topic covers the load and save methods for motion, figure, score, keys, motion capture, and talent files.</p>\n\
<div class=\'section\'><a id=\"motion-file-access-methods\"></a><h2 id=\"motion-file-access-methods\">Motion File Access Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.loadBipFile &lt;biped_ctrl&gt; &lt;file_name&gt; [#matchFileStruct] [#zeroHgt] [#noRedraw] [#loadMaxObjects][#promptForDuplicates] [#retargetHeight] [#retargetLimbSizes] [#scaleIKObjectSize] [#loadSubAnimControllers] [#loadSelectedMaxObjects nodename_array] [#loadSelectedSubAnimControllers bipednodename_array int_array]         \n\
</pre></div><p>Load a biped motion file. Motion files include, footsteps, keyframe settings, the biped scale, and the active gravity value (GravAccel). IK Blend values for the keys and Object Space Object information are also loaded. This method will generate a runtime error if run while the biped is in Figure, Footstep, or Motion Flow modes.</p>\n\
<p>The optional arguments are:</p>\n\
<div class=\'codeBlock\'><pre>#matchFileStruct \n\
</pre></div><p>Restructure biped to match file</p>\n\
<div class=\'codeBlock\'><pre>#zeroHgt \n\
</pre></div><p>Set lowest starting foot height to Z=0</p>\n\
<div class=\'codeBlock\'><pre>#noRedraw \n\
</pre></div><p>Don’t redraw viewports after load</p>\n\
<div class=\'codeBlock\'><pre>#loadMaxObjects \n\
</pre></div><p>Load MAX objects</p>\n\
<div class=\'codeBlock\'><pre>#promptForDuplicates \n\
</pre></div><p>Prompt for duplicates</p>\n\
<div class=\'codeBlock\'><pre>#retargetHeight \n\
</pre></div><p>Retarget based on height</p>\n\
<div class=\'codeBlock\'><pre>#retargetLimbSizes \n\
</pre></div><p>Retarget based on limb sizes</p>\n\
<div class=\'codeBlock\'><pre>#scaleIKObjectSize \n\
</pre></div><p>Scale IK object’s size</p>\n\
<div class=\'codeBlock\'><pre>#loadSubAnimControllers \n\
</pre></div><p>Load List controllers</p>\n\
<div class=\'codeBlock\'><pre>#loadSelectedMaxObjects #loadSelectedSubAnimControllers \n\
</pre></div><p>The loadBipFile function call was modified in <strong>3ds Max7</strong> to handle selecting which max objects or subanims you wish to load.</p>\n\
<p>Note:</p>\n\
<p>For the selected objects, you pass in an array of strings of the nodes you wish to load.For the selected subanims you wish to load, you pass in array of string names of the biped nodes and a corresponding array of integers which specify which subanim (0= pos, 1 = rot, 2= scale).</p>\n\
<div class=\'codeBlock\'><pre>biped.saveBipFile &lt;biped_ctrl&gt; &lt;file_name&gt; [#saveSubAnimControllers] [#saveMaxObjects] [#saveSelectedMaxObjects node_array] [#saveSelectedSubAnimControllers node_array int_array ] \n\
</pre></div><p>Save a biped motion file. A<em>.bip</em> file includes footsteps and keyframe data. Biped files store the complete movement and allow you to create libraries of motion. Create your own <em>.bip</em> library by animating the biped and saving a <em>.bip</em> file. This method will generate a runtime error if run while the biped is in Figure, Footstep, or Motion Flow modes. If the Biped contains footstep animation, the entire animation is always saved.</p>\n\
<p>The optional arguments are:</p>\n\
<div class=\'codeBlock\'><pre>#saveMaxObjects \n\
</pre></div><p>Save MAX objects</p>\n\
<div class=\'codeBlock\'><pre>#saveSubAnimControllers \n\
</pre></div><p>Save List controllers</p>\n\
<div class=\'codeBlock\'><pre>#saveSelectedMaxObjects #saveSelectedSubAnimControllers \n\
</pre></div><p>The saveBipFile and saveBipFileSegment functions in <strong>3ds Max7 and higher</strong> let you selectively pick objects and subanims to save.</p>\n\
<p>Note:</p>\n\
<p>For the selected objects, you pass in an array of strings of the nodes you wish to save. For the subanims you wish to save you pass in an array of biped nodes and an array of corresponding subanim integers.</p>\n\
<div class=\'codeBlock\'><pre>biped.saveBipFileSegment &lt;biped_ctrl&gt; &lt;file_name&gt; &lt;StartSeg&gt; &lt;EndSeg&gt; [#keyPerFrame] [#saveSubAnimControllers] [#saveMaxObjects] [#saveSelectedMaxObjects node_array] [#saveSelectedSubAnimControllers node_array int_array ] \n\
</pre></div><p>Save a biped motion file for the specified time segment. StartSeg and EndSeg are integer values specifying the begin and end frames of the time segment to save. This method will generate a runtime error if run while the biped is in Figure, Footstep, or Motion Flow modes.</p>\n\
<p>The optional arguments are:</p>\n\
<div class=\'codeBlock\'><pre>#keyPerFrame \n\
</pre></div><p>Saves a key per frame per object</p>\n\
<div class=\'codeBlock\'><pre>#saveMaxObjects \n\
</pre></div><p>Save MAX objects</p>\n\
<div class=\'codeBlock\'><pre>#saveSubAnimControllers \n\
</pre></div><p>Save List controllers</p>\n\
<div class=\'codeBlock\'><pre>#saveSelectedMaxObjects #saveSelectedSubAnimControllers \n\
</pre></div><p>The saveBipFile and saveBipFileSegment functions in <strong>3ds Max7 and higher</strong> let you selectively pick objects and subanims to save.</p>\n\
<p>Note:</p>\n\
<p>For the selected objects, you pass in an array of strings of the nodes you wish to save. For the subanims you wish to save you pass in an array of biped nodes and an array of corresponding subanim integers.</p>\n\
<div class=\'section\'><a id=\"motion-file-dialog-methods\"></a><h2 id=\"motion-file-dialog-methods\">Motion File Dialog Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.loadBipFileDlg &lt;biped_ctrl&gt; \n\
</pre></div><p>Displays the load biped dialog.</p>\n\
<div class=\'codeBlock\'><pre>biped.saveBipFileDlg &lt;biped_ctrl&gt; \n\
</pre></div><p>Displays the save biped dialog.</p>\n\
<div class=\'section\'><a id=\"figure-file-access-methods\"></a><h2 id=\"figure-file-access-methods\">Figure File Access Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.LoadFigFile &lt;biped_ctrl&gt; &lt;filename&gt; [#noRedraw] \n\
</pre></div><p>Load a Figure file. Figure mode must be active to load a Figure file. Figure files allow you to apply the structure of one biped to another. Reload a Figure file if you accidentally lose your biped Figure mode pose; this pose is the biped fitted to a mesh.</p>\n\
<p>The optional argument is:</p>\n\
<div class=\'codeBlock\'><pre>#noRedraw - don’t redraw viewports after load \n\
biped.loadFigJustTwists &lt;biped_ctrl&gt;&lt;filename&gt; [#noRedraw] \n\
</pre></div><p>Load just the Twists from a Figure file. Figure mode must be active to load a Figure file. Corresponds to the radio button option &quot;Load Twist Poses Only&quot; in the Load Figure file dialog.</p>\n\
<div class=\'codeBlock\'><pre>biped.loadFigNoTwists &lt;biped_ctrl&gt;&lt;filename&gt; [#noRedraw] \n\
</pre></div><p>Load a Figure file without the Twists. Figure mode must be active to load a Figure file. Corresponds to the radio button option &quot;Don&#39;t Load Twist Poses&quot; in the Load Figure file dialog.</p>\n\
<div class=\'codeBlock\'><pre>biped.SaveFigFile &lt;biped_ctrl&gt; &lt;filename&gt; \n\
</pre></div><p>Save the structure and position of a biped in Figure mode.</p>\n\
<div class=\'section\'><a id=\"step-file-access-methods\"></a><h2 id=\"step-file-access-methods\">Step File Access Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.LoadStpFile &lt;biped_ctrl&gt; &lt;filename&gt; [#noRedraw] \n\
</pre></div><p>Step files save footsteps, but don&#39;t save body keyframes. They are an ASCII file format that enables developers to write programs that generate step files for biped motion. The online document stp.rtf, provided with character studio in the \\cstudio\\docs directory, describes the .<em>stp</em> format.</p>\n\
<p>The optional argument is:</p>\n\
<div class=\'codeBlock\'><pre>#noRedraw - don’t redraw viewports after load \n\
biped.SaveStpFile &lt;biped_ctrl&gt; &lt;filename&gt; \n\
</pre></div><p>Save footstep file.</p>\n\
<div class=\'section\'><a id=\"motion-capture-file-access-methods\"></a><h2 id=\"motion-capture-file-access-methods\">Motion Capture File Access Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.loadMocapFile &lt;biped_ctrl&gt; &lt;file_name&gt; [#prompt] [#noRedraw] \n\
</pre></div><p>Load a motion capture (.BIP, .BVH, .CSM) file. If.</p>\n\
<p>The optional arguments are:</p>\n\
<div class=\'codeBlock\'><pre>#prompt - the file is not automatically loaded, rather the Motion Capture Conversion Parameters dialog is displayed with the specified file as the motion capture file \n\
#noRedraw - don’t redraw viewports after load \n\
</pre></div><div class=\'section\'><a id=\"talent-file-access-methods\"></a><h2 id=\"talent-file-access-methods\">Talent File Access Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.adjustTalentPose &lt;biped_ctrl&gt; \n\
</pre></div><p>After loading a marker file, use Adjust Talent Pose to correct the biped position relative to the markers. Align the biped limbs to the markers then call biped. <strong>adjustTalentPose</strong> to compute this offset for all the loaded marker data.</p>\n\
<p>Note: Calibration controls are only enabled when a marker or .<em>bvh</em> file is imported in its raw form. Do not use key reduction or extract footsteps when you import a marker file for the first time.</p>\n\
<div class=\'codeBlock\'><pre>biped.saveTalentFigFile &lt;biped_ctrl&gt; &lt;file_name&gt; \n\
</pre></div><p>After changing the biped scale in Talent Figure mode, save the changes into a .<em>fig</em> file. Use this file in the Motion Capture Conversion Parameters dialog to adjust marker files created by the same actor.</p>\n\
<div class=\'codeBlock\'><pre>biped.saveTalentPoseFile &lt;biped_ctrl&gt; &lt;file_name&gt; \n\
</pre></div><p>Save a Talent Pose adjustment as a <em>.cal</em> file.</p>\n\
<p>Save a .<em>cal</em> file after adjusting the biped relative to the markers. A .<em>cal</em> file is used for processing marker files that require the same adjustment. A .<em>cal</em> file can be loaded in the Motion Capture Conversion Parameters dialog during marker file importation.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";