var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Node Hierarchy</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Node Hierarchy</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-node-hierarchy\"></a></div>\n\
<div class=\'codeBlock\'><pre>biped.getNode &lt;biped | biped_ctrl&gt; &lt;name | index&gt; [link:&lt;int_link&gt;]\n\
</pre></div><p>Returns the specified limb node where the second argument can be a named limb (like #larm, #rarm, or #lfingers) or an integer index. If you do not specify the link argument, the top (first) node is returned. If the specified node does not exist, a value of undefined is returned.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --you can get the left hand as follows: biped.getNode $ #lArm link:4</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The top level and their link nodes in a Biped are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Index</th>\n\
<th align=\"left\">Limb Name</th>\n\
<th align=\"left\">Link Nodes in Link Index Order</th>\n\
<th align=\"left\"></th>\n\
<th align=\"left\"></th>\n\
<th align=\"left\"></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1</td>\n\
<td align=\"left\">#larm</td>\n\
<td align=\"left\">L Clavicle</td>\n\
<td align=\"left\">L UpperArm</td>\n\
<td align=\"left\">L Forearm</td>\n\
<td align=\"left\">L Hand</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2</td>\n\
<td align=\"left\">#rarm</td>\n\
<td align=\"left\">R Clavicle</td>\n\
<td align=\"left\">R UpperArm</td>\n\
<td align=\"left\">R Forearm</td>\n\
<td align=\"left\">R Hand</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">3</td>\n\
<td align=\"left\">#lfingers</td>\n\
<td align=\"left\">L Finger0</td>\n\
<td align=\"left\">L Finger01</td>\n\
<td align=\"left\">L Finger02</td>\n\
<td align=\"left\">L Finger1</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L Finger11</td>\n\
<td align=\"left\">L Finger12</td>\n\
<td align=\"left\">L Finger2</td>\n\
<td align=\"left\">L Finger21</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L Finger22</td>\n\
<td align=\"left\">L Finger3</td>\n\
<td align=\"left\">L Finger31</td>\n\
<td align=\"left\">L Finger32</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L Finger4</td>\n\
<td align=\"left\">L Finger41</td>\n\
<td align=\"left\">L Finger42</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">4</td>\n\
<td align=\"left\">#rfingers</td>\n\
<td align=\"left\">R Finger0</td>\n\
<td align=\"left\">R Finger01</td>\n\
<td align=\"left\">R Finger02</td>\n\
<td align=\"left\">R Finger1</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R Finger11</td>\n\
<td align=\"left\">R Finger12</td>\n\
<td align=\"left\">R Finger2</td>\n\
<td align=\"left\">R Finger21</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R Finger22</td>\n\
<td align=\"left\">R Finger3</td>\n\
<td align=\"left\">R Finger31</td>\n\
<td align=\"left\">R Finger32</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R Finger4</td>\n\
<td align=\"left\">R Finger41</td>\n\
<td align=\"left\">R Finger42</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">5</td>\n\
<td align=\"left\">#lleg</td>\n\
<td align=\"left\">L Thigh</td>\n\
<td align=\"left\">L Calf</td>\n\
<td align=\"left\">L HorseLink</td>\n\
<td align=\"left\">L Foot</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">6</td>\n\
<td align=\"left\">#rleg</td>\n\
<td align=\"left\">R Thigh</td>\n\
<td align=\"left\">R Calf</td>\n\
<td align=\"left\">R HorseLink</td>\n\
<td align=\"left\">R Foot</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">7</td>\n\
<td align=\"left\">#ltoes</td>\n\
<td align=\"left\">L Toe0</td>\n\
<td align=\"left\">L Toe01</td>\n\
<td align=\"left\">L Toe02</td>\n\
<td align=\"left\">L Toe1</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L Toe11</td>\n\
<td align=\"left\">L Toe12</td>\n\
<td align=\"left\">L Toe2</td>\n\
<td align=\"left\">L Toe21</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L Toe22</td>\n\
<td align=\"left\">L Toe3</td>\n\
<td align=\"left\">L Toe31</td>\n\
<td align=\"left\">L Toe32</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L Toe4</td>\n\
<td align=\"left\">L Toe41</td>\n\
<td align=\"left\">L Toe42</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">8</td>\n\
<td align=\"left\">#rtoes</td>\n\
<td align=\"left\">R Toe0</td>\n\
<td align=\"left\">R Toe01</td>\n\
<td align=\"left\">R Toe02</td>\n\
<td align=\"left\">R Toe1</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R Toe11</td>\n\
<td align=\"left\">R Toe12</td>\n\
<td align=\"left\">R Toe2</td>\n\
<td align=\"left\">R Toe21</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R Toe22</td>\n\
<td align=\"left\">R Toe3</td>\n\
<td align=\"left\">R Toe31</td>\n\
<td align=\"left\">R Toe32</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R Toe4</td>\n\
<td align=\"left\">R Toe41</td>\n\
<td align=\"left\">R Toe42</td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">9</td>\n\
<td align=\"left\">#spine</td>\n\
<td align=\"left\">Spine</td>\n\
<td align=\"left\">Spine1</td>\n\
<td align=\"left\">Spine2</td>\n\
<td align=\"left\">Spine3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">Spine4</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">10</td>\n\
<td align=\"left\">#tail</td>\n\
<td align=\"left\">Tail</td>\n\
<td align=\"left\">Tail1</td>\n\
<td align=\"left\">Tail2</td>\n\
<td align=\"left\">Tail3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">Tail4</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">11</td>\n\
<td align=\"left\">#head</td>\n\
<td align=\"left\">Head</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">12</td>\n\
<td align=\"left\">#pelvis</td>\n\
<td align=\"left\">Pelvis</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">13</td>\n\
<td align=\"left\">#vertical</td>\n\
<td align=\"left\">Biped COM</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">14</td>\n\
<td align=\"left\">#horizontal</td>\n\
<td align=\"left\">Biped COM</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">15</td>\n\
<td align=\"left\">#turn</td>\n\
<td align=\"left\">Biped COM</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">16</td>\n\
<td align=\"left\">#footprints</td>\n\
<td align=\"left\">Footsteps</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">17</td>\n\
<td align=\"left\">#neck</td>\n\
<td align=\"left\">Neck</td>\n\
<td align=\"left\">Neck1</td>\n\
<td align=\"left\">Neck2</td>\n\
<td align=\"left\">Neck3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">Neck4</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">18</td>\n\
<td align=\"left\">#pony1</td>\n\
<td align=\"left\">Ponytail1</td>\n\
<td align=\"left\">Ponytail11</td>\n\
<td align=\"left\">Ponytail12</td>\n\
<td align=\"left\">Ponytail13</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">Ponytail14</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">19</td>\n\
<td align=\"left\">#pony2</td>\n\
<td align=\"left\">Ponytail2</td>\n\
<td align=\"left\">Ponytail21</td>\n\
<td align=\"left\">Ponytail22</td>\n\
<td align=\"left\">Ponytail23</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">Ponytail24</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">20</td>\n\
<td align=\"left\">#prop1</td>\n\
<td align=\"left\">Prop1</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">21</td>\n\
<td align=\"left\">#prop2</td>\n\
<td align=\"left\">Prop2</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">22</td>\n\
<td align=\"left\">#prop3</td>\n\
<td align=\"left\">Prop3</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">101</td>\n\
<td align=\"left\">#lfArmTwist</td>\n\
<td align=\"left\">L ForeTwist</td>\n\
<td align=\"left\">L ForeTwist1</td>\n\
<td align=\"left\">L ForeTwist2</td>\n\
<td align=\"left\">L ForeTwist3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L ForeTwist4</td>\n\
<td align=\"left\">L ForeTwist5</td>\n\
<td align=\"left\">L ForeTwist6</td>\n\
<td align=\"left\">L ForeTwist7</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L ForeTwist8</td>\n\
<td align=\"left\">L ForeTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">102</td>\n\
<td align=\"left\">#rfArmTwist</td>\n\
<td align=\"left\">R ForeTwist</td>\n\
<td align=\"left\">R ForeTwist1</td>\n\
<td align=\"left\">R ForeTwist2</td>\n\
<td align=\"left\">R ForeTwist3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R ForeTwist4</td>\n\
<td align=\"left\">R ForeTwist5</td>\n\
<td align=\"left\">R ForeTwist6</td>\n\
<td align=\"left\">R ForeTwist7</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R ForeTwist8</td>\n\
<td align=\"left\">R ForeTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">103</td>\n\
<td align=\"left\">#lUparmTwist</td>\n\
<td align=\"left\">L UpTwist</td>\n\
<td align=\"left\">L UpTwist1</td>\n\
<td align=\"left\">L UpTwist2</td>\n\
<td align=\"left\">L UpTwist3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L UpTwist4</td>\n\
<td align=\"left\">L UpTwist5</td>\n\
<td align=\"left\">L UpTwist6</td>\n\
<td align=\"left\">L UpTwist7</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L UpTwist8</td>\n\
<td align=\"left\">L UpTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">104</td>\n\
<td align=\"left\">#rUparmTwist</td>\n\
<td align=\"left\">R UpTwist</td>\n\
<td align=\"left\">R UpTwist1</td>\n\
<td align=\"left\">R UpTwist2</td>\n\
<td align=\"left\">R UpTwist3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R UpTwist4</td>\n\
<td align=\"left\">R UpTwist5</td>\n\
<td align=\"left\">R UpTwist6</td>\n\
<td align=\"left\">R UpTwist7</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R UpTwist8</td>\n\
<td align=\"left\">R UpTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">105</td>\n\
<td align=\"left\">#lThighTwist</td>\n\
<td align=\"left\">L ThighTwist</td>\n\
<td align=\"left\">L ThighTwist1</td>\n\
<td align=\"left\">L ThighTwist2</td>\n\
<td align=\"left\">L ThighTwist3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L ThighTwist4</td>\n\
<td align=\"left\">L ThighTwist5</td>\n\
<td align=\"left\">L ThighTwist6</td>\n\
<td align=\"left\">L ThighTwist7</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L ThighTwist8</td>\n\
<td align=\"left\">L ThighTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">106</td>\n\
<td align=\"left\">#rThighTwist</td>\n\
<td align=\"left\">R ThighTwist</td>\n\
<td align=\"left\">R ThighTwist1</td>\n\
<td align=\"left\">R ThighTwist2</td>\n\
<td align=\"left\">R ThighTwist3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R ThighTwist4</td>\n\
<td align=\"left\">R ThighTwist5</td>\n\
<td align=\"left\">R ThighTwist6</td>\n\
<td align=\"left\">R ThighTwist7</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R ThighTwist8</td>\n\
<td align=\"left\">R ThighTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">107</td>\n\
<td align=\"left\">#lCalfTwist</td>\n\
<td align=\"left\">L CalfTwist</td>\n\
<td align=\"left\">L CalfTwist1</td>\n\
<td align=\"left\">L CalfTwist2</td>\n\
<td align=\"left\">L CalfTwist3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L CalfTwist4</td>\n\
<td align=\"left\">L CalfTwist5</td>\n\
<td align=\"left\">L CalfTwist6</td>\n\
<td align=\"left\">L CalfTwist7</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L CalfTwist8</td>\n\
<td align=\"left\">L CalfTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">108</td>\n\
<td align=\"left\">#rCalfTwist</td>\n\
<td align=\"left\">R CalfTwist</td>\n\
<td align=\"left\">R CalfTwist1</td>\n\
<td align=\"left\">R CalfTwist2</td>\n\
<td align=\"left\">R CalfTwist3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R CalfTwist4</td>\n\
<td align=\"left\">R CalfTwist5</td>\n\
<td align=\"left\">R CalfTwist6</td>\n\
<td align=\"left\">R CalfTwist7</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R CalfTwist8</td>\n\
<td align=\"left\">R CalfTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">109</td>\n\
<td align=\"left\">#lHorseTwist</td>\n\
<td align=\"left\">L HorseTwist</td>\n\
<td align=\"left\">L HorseTwist1</td>\n\
<td align=\"left\">L HorseTwist2</td>\n\
<td align=\"left\">L HorseTwist3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L HorseTwist4</td>\n\
<td align=\"left\">L HorseTwist5</td>\n\
<td align=\"left\">L HorseTwist6</td>\n\
<td align=\"left\">L HorseTwist7</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">L HorseTwist8</td>\n\
<td align=\"left\">L HorseTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">110</td>\n\
<td align=\"left\">#rHorseTwist</td>\n\
<td align=\"left\">R HorseTwist</td>\n\
<td align=\"left\">R HorseTwist1</td>\n\
<td align=\"left\">R HorseTwist2</td>\n\
<td align=\"left\">R HorseTwist3</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">R HorseTwist4</td>\n\
<td align=\"left\">R HorseTwist5</td>\n\
<td align=\"left\">R HorseTwist6</td>\n\
<td align=\"left\">R HorseTwist7</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">RHorseTwist8</td>\n\
<td align=\"left\">R HorseTwist9</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"biped-node-hierarchy-relatedmethods\"></a><h2 id=\"biped-node-hierarchy-relatedmethods\">Biped Node Hierarchy RelatedMethods</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.maxNumNodes &lt;biped | biped_ctrl&gt;\n\
</pre></div><p>Maximum nodes supported by Biped.</p>\n\
<p>See the description of <span class=\'code\'>biped.getNode()</span> for a list of the top level nodes.</p>\n\
<div class=\'codeBlock\'><pre>biped.maxNumLinks &lt;biped | biped_ctrl&gt;\n\
</pre></div><p>Maximum link nodes supported by Biped.</p>\n\
<p>See the description of <strong><span class=\'code\'>biped.getNode()</span></strong> for a list of the link nodes.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` bipObj = biped.createNew 100 0 [0,0,0] arms:true neckLinks:5<br> spineLinks:5 legLinks:4 tailLinks:5 ponyTail1Links:5<br> ponyTail2Links:5 fingers:5 fingerLinks:3 toes:5<br> toeLinks:3 ankleAttach:0.3 trianglePelvis:True<br> prop1Exists:True prop2Exists:True prop3Exists:True<br> forearmTwistLinks:4</p>\n\
<p>nn = biped.maxNumNodes bipObj nl = biped.maxNumLinks bipObj for i = 1 to nn do ( anode = biped.getNode bipObj i if anode != undefined do ( format &quot;% :\\t%\\n&quot; i anode.name for j = 1 to nl do ( alink = biped.getNode bipObj i link:j if alink != undefined do format &quot;% : % \\t%\\n&quot; i j alink.name ) ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The above example code will give you all of the Biped nodes, but it will NOT give you the Biped twisty nodes.</p>\n\
<p>In <strong>3ds Max 7</strong> it used to get the forearm twist nodes with ID 24 and 25, but that was all the twist nodes a Biped had.</p>\n\
<p>In <strong>3ds Max 8</strong>, twist nodes were added for the upper arms, calves, horse legs, and thighs.</p>\n\
<p><strong>maxNumNodes</strong> was changed to return 22 instead of 24, so one could no longer access the forearm twists.</p>\n\
<p>The IDs of the forearm twists were changed, and newIDs were added for all of the other twists, but there were no methods to allow users to access the twists.</p>\n\
<div class=\'section\'><a id=\"twisty-bones-methods\"></a><h2 id=\"twisty-bones-methods\">Twisty Bones Methods</h2></div>\n\
<p>The following methods were added in <strong>3ds Max 9</strong> to allow user access to the twisty bones in a Biped. They each take a Biped controller as their only parameter:</p>\n\
<div class=\'codeBlock\'><pre>Biped.maxTwistNodes  &lt;biped | biped_ctrl&gt;\n\
</pre></div><p>Number of twist node tracks supported by Biped.</p>\n\
<p>See the description of <span class=\'code\'>biped.getNode()</span> for a list of the top level twist nodes.</p>\n\
<div class=\'codeBlock\'><pre>Biped.maxTwistLinks  &lt;biped | biped_ctrl&gt;\n\
</pre></div><p>Maximum number of link nodes for each twist track supported by Biped.</p>\n\
<p>See the description of biped. <span class=\'code\'>biped.getNode()</span> for a list of the link nodes.</p>\n\
<div class=\'codeBlock\'><pre>Biped.getTwistStartId &lt;biped | biped_ctrl&gt;\n\
</pre></div><p>Starting id for the twist nodes.</p>\n\
<p>See the description of <span class=\'code\'>biped.getNode()</span> for a list of the twist nodes and their ids.</p>\n\
<p>Below is an example which gets all of the twisty nodes in a Biped.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` nn = biped.maxTwistNodes bipObj format &quot;num twist nodes: %\\n&quot; nn nl = biped.maxTwistLinks bipObj format &quot;max twist links: %\\n&quot; nl ts = biped.getTwistStartId bipObj format &quot;twist start id: %\\n&quot; ts</p>\n\
<p>for i = ts to ts+nn-1 do ( anode = biped.getNode bipObj i if anode != undefined do ( format &quot;% :\\t%\\n&quot; i anode.name for j = 1 to nl do ( alink = biped.getNode bipObj i link:j if alink != undefined do ( format &quot;% : % \\t%\\n&quot; i j alink.name ) ) ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";