var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Sub Anim Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Sub Anim Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-sub-anim-methods\"></a></div>\n\
<p>A set of Biped Sub Anim helper functions.</p>\n\
<div class=\'codeBlock\'><pre>biped.createPosSubAnims &lt;biped_ctrl&gt; &lt;control&gt; &lt;bool_checkIfExists&gt;         \n\
biped.createRotSubAnims &lt;biped_ctrl&gt; &lt;control&gt; &lt;bool_checkIfExists&gt;         \n\
biped.createScaleSubAnims &lt;biped_ctrl&gt; &lt;control&gt; &lt;bool_checkIfExists&gt;    \n\
</pre></div><p>These functions place a clone of the specified control in the subanim control of every biped body part. If <span class=\'code\'>checkIfExists</span> is <span class=\'code\'>true</span> we check first to see whether or not the control of the same type already exists, if so we do not create it.</p>\n\
<div class=\'codeBlock\'><pre>biped.setPosSubAnim &lt;biped_ctrl&gt; &lt;point3&gt; &lt;node&gt; &lt;bool_absolute&gt;     \n\
biped.setRotSubAnim &lt;biped_ctrl&gt; &lt;quat&gt; &lt;node&gt; &lt;bool_absolute&gt;   \n\
biped.setScaleSubAnim &lt;biped_ctrl&gt; &lt;point3&gt; &lt;node&gt;   \n\
</pre></div><p>These functions set the particular sub anim for the specified node with the specified value. If <span class=\'code\'>absolute</span> is <span class=\'code\'>true</span> then the specified position or rotation value is the absolute world space position or rotation of the combined biped + subanims (so the subanim stores the difference between the current biped value and the specified value). If <span class=\'code\'>false</span> , then the specified value is the value that&#39;s stored the subanim. Setting the Scale subanim always stores the specified value in subanim. These methods are not applicable to the biped’s COM node.</p>\n\
<div class=\'codeBlock\'><pre>biped.collapsePosSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt; &lt;node&gt;   \n\
biped.collapseRotSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt; &lt;node&gt;   \n\
biped.collapseAllPosSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt;   \n\
biped.collapseAllRotSubAnims &lt;biped_ctrl&gt; &lt;bool_perFrame&gt; &lt;bool_keep&gt; \n\
</pre></div><p>These functions collapse the sub anim onto the specified node or all nodes. If <span class=\'code\'>perFrame</span> is <span class=\'code\'>true</span> a key is created per frame, otherwise only the biped&#39;s keys are modified. If <span class=\'code\'>keep</span> is <span class=\'code\'>true</span> then the subAnim is not deleted, otherwise it is.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` bipObj = biped.createNew 100 100 [0,0,0] bip = bipObj.controller b=bezier_position() biped.createPosSubAnims bip b true biped.setPosSubAnim bip [20,0,60] $&#39;Bip001 R Hand&#39; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";