var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped and Crowd Interaction</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped and Crowd Interaction</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-and-crowd-interaction\"></a></div>\n\
<p>It is possible to influence clip selection for bipeds during a Crowd solution by using preferred clips. The following biped MAXScript functions allow users to set the biped preferred clip during a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd.html\' title=\'\'>crowd solution</a>.</p>\n\
<div class=\'codeBlock\'><pre>biped.numPrefClips &lt;biped_ctrl&gt;      \n\
</pre></div><p>Returns the number of preferred clips</p>\n\
<div class=\'codeBlock\'><pre>biped.getPrefClip &lt;biped_ctrl&gt; &lt;index_integer&gt;   \n\
</pre></div><p>Returns the name of the nth preferred clip. The index is 0-based.</p>\n\
<div class=\'codeBlock\'><pre>biped.clearPrefClips &lt;biped_ctrl&gt; \n\
</pre></div><p>Clears the preferred clip list.</p>\n\
<div class=\'codeBlock\'><pre>biped.addPrefClip &lt;biped_ctrl&gt; &lt;name_string&gt; &lt;prob_integer&gt; \n\
</pre></div><p>Adds the clip to the preferred clip list with the given probability. Returns true if added, false if not added because it was already in the list. If the clip is already in the preferred clip list, its probability is changed to the specified probability. The range of meaningful probabilities is -100 to 100 where negative values make the clip less likely to be taken. A value of -100 effectively ensures that the clip will not be taken, and for values greater than -100, a comparision is done where choices of transitions prefer higher values (with positive values being favored over negative ones and zero being neutral). Negative preferences are useful when you want to avoid certain clips. For example , if have 30 clips, you can easily avoid a clip by setting it with one negative value without having to set positive preferences for the other 29 clips.</p>\n\
<div class=\'codeBlock\'><pre>biped.getPrefClipProb &lt;biped_ctrl&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the probability of the nth preferred clip. The index is 0-based.</p>\n\
<div class=\'codeBlock\'><pre>biped.deletePrefClip &lt;biped_ctrl&gt; &lt;name_string&gt; \n\
</pre></div><p>Deletes the named clip from the preferred clip list. Returns true is successful, false if the clip was not in the list.</p>\n\
<div class=\'codeBlock\'><pre>biped.isPrefClip &lt;biped_ctrl&gt; &lt;name_string&gt;  \n\
</pre></div><p>Returns true if the clip is in the list, false if not.</p>\n\
<div class=\'codeBlock\'><pre>biped.getCurrentClip &lt;biped_ctrl&gt; \n\
</pre></div><p>Returns the name of the currently active clip for this biped - only relevant during a crowd solve.</p>\n\
<div class=\'codeBlock\'><pre>biped.getClipAtTime &lt;biped_ctrl&gt; &lt;time&gt; \n\
</pre></div><p>Returns the name of the active clip for the biped at the specified time. If a transition between clips is occurring at the specified time, the clip being transitioned from is returned.</p>\n\
<p>Note:</p>\n\
<p>Preferred clip names are case-sensitive.</p>\n\
<p>The following are examples showing how the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/MAXScript-Extensions-for-Crowd/Crowds/Crowd-helper.html\' title=\'\'>crowd system &quot;PerFrameFn&quot;</a> can be used to dynamically change the biped preferred clip.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- changes the preferred clip as a function of frame number. fn PerFrameFn crwd t = ( a = $bip100.controller if (t == 200f) then biped.addprefclip a&quot;jog_L45&quot;100 else biped.deletePrefClipa&quot;jog_L45&quot; )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- changes the preferred clip as a function of the current clip. fn PerFrameFn crwd t = ( a = $bip100.controller if (biped.getcurrentclip a ==&quot;jog_L135&quot;) then biped.addprefclip a&quot;jog_L45&quot;100 else biped.clearPrefClipsa )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";