var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Keys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Keys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-keys\"></a></div>\n\
<p>All common MAXScript key functions like deleteKey, selectKeys, moveKeys, and others can be used with Biped keys with the exceptions of addNewKey and deleteKeys. These methods are substituted with the following methods.</p>\n\
<p><strong>Method</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.addNewKey &lt;biped_controller&gt; &lt;time&gt; [#select]      \n\
</pre></div><p>Where,</p>\n\
<div class=\'codeBlock\'><pre>&lt;time&gt;\n\
</pre></div><p>Adds a new key to the controller track at the specified time.</p>\n\
<div class=\'codeBlock\'><pre>[#select]   \n\
</pre></div><p>The new key is also selected if the #select optional argument is specified.</p>\n\
<p>The value for the new key is the interpolated controller value at the specified time. The value for the new key is the interpolated controller value at that time. The new key is also selected if the<strong>#select</strong> optional argument is specified.</p>\n\
<p><strong>addNewKey</strong>() will not add a key if a key already exists at the specified time. The return value is the key located at the specified time.</p>\n\
<p>Note: The biped COM and props’ controllers are not keyable.</p>\n\
<p><strong>Method</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.deleteKeys &lt;biped_controller&gt; [#allKeys] [#selection] \n\
</pre></div><p>Where,</p>\n\
<div class=\'codeBlock\'><pre>[#allKeys] \n\
</pre></div><p>Deletes all the controller’s keys. The default if no other arguments specified.</p>\n\
<div class=\'codeBlock\'><pre>[#selection] \n\
</pre></div><p>Deletes the selected keys.</p>\n\
<p>Deletes either all keys or all selected keys from the controller. If neither <strong>#allKeys</strong> or <strong>#selection</strong> is specified, all keys are deleted.</p>\n\
<div class=\'section\'><a id=\"accessing-a-biped-controller-key-by-index\"></a><h2 id=\"accessing-a-biped-controller-key-by-index\">Accessing a Biped Controller Key by Index</h2></div>\n\
<p>Accessing a Biped controller key by indexing into the <strong>.keys</strong> property of the controller returns a type of key that MAXScript does not recognize. To get a Biped controller key by index use the following method:</p>\n\
<p><strong>Method</strong></p>\n\
<div class=\'codeBlock\'><pre>biped.getKey ( &lt;biped_controller&gt; | &lt;footstep_ctrl&gt; ) &lt;index&gt; \n\
</pre></div><p>Where,</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_controller&gt;\n\
</pre></div><p>A biped object controller</p>\n\
<div class=\'codeBlock\'><pre>&lt;footstep_ctrl&gt;\n\
</pre></div><p>A biped footstep controller</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;\n\
</pre></div><p>Which key to retrieve from the controller</p>\n\
<p>Returns an instance of BipedKey for Biped body controllers and BipedFSKey for footstep controllers. BipedKey and BipedFSKey are defined below.</p>\n\
<p>Not all of the Biped elements contain their own transform controller. Rather, a controller on an object typically higher in the hierarchy might store the transform key for an element. For example, the transforms for all the fingers on a hand are stored in either the Finger0 or Clavicle transform controller. This depends on whether &quot;Separate Tracks for Arms&quot; is set to true or false, respectively.</p>\n\
<p>The following example will get the first key for each of the subcontrollers of the $Bip01 Vertical_Horizontail_Turn transform controller and show their properties.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` bipObj = biped.createNew 100 100 [0,0,0] -- select bipObj<br> bip = bipObj.transform.controller</p>\n\
<p>-- Obtain the subcontrollers vertCont = bip.vertical.controller horzCont = bip.horizontal.controller turnCont = bip.turning.controller</p>\n\
<p>-- Add some keys biped.addNewKey vertCont 1 biped.addNewKey horzCont 1 biped.addNewKey turnCont 1</p>\n\
<p>-- Get the first key for each subcontroller vk = biped.getKey vertCont 1 hk = biped.getKey horzCont 1 tk = biped.getKey turnCont 1 -- Show the properties for the individual subcontroller key types</p>\n\
<p>showProperties vk showProperties hk showProperties tk</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";