var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Motion Capture</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Motion Capture</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-motion-capture\"></a></div>\n\
<p>All motion capture properties in Biped are global parameters and cannot be varied from Biped to Biped. Hence they are exposed as system globals residing in the <strong>mocap</strong> struct.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>mocap.      fsExtractionMode Integer Default: 0         \n\
     \n\
</pre></div><p>0 - None: Freeform - No footsteps are extracted.</p>\n\
<p>1 - On - Extract footsteps.</p>\n\
<p>2 - Fit to existing - For motion data that has both footstep motion and flying, swimming, falling, or tumbling motions.</p>\n\
<div class=\'codeBlock\'><pre>mocap.fsConversionMode Integer Default: 0 \n\
</pre></div><p>0 - No Key Reduction - Do not reduce keys. Use this on files that are already key reduced or if you want to work with all the data in a raw motion capture file.</p>\n\
<p>1 - Use Key Reduction - Reduce keys for simpler key editing.</p>\n\
<p>2 - Load Buffer Only - Do not apply the data to the biped, load the data to the motion capture buffer only. Use this to either compare your edited version with the original or to paste postures from the motion capture buffer to the biped in the scene.</p>\n\
<div class=\'codeBlock\'><pre>mocap.upVector Integer Default: 2 \n\
</pre></div><p>Set the vertical axis used in the motion capture data.</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<div class=\'codeBlock\'><pre>mocap.scaleFactor Float Default: 1.0 -- range: 0+\n\
</pre></div><p>Multiply the stored talent size by this value and size the biped accordingly.</p>\n\
<div class=\'section\'><a id=\"footstep-extraction\"></a><h2 id=\"footstep-extraction\">Footstep Extraction</h2></div>\n\
<div class=\'codeBlock\'><pre>mocap.fsExtractionTol Float Default: 0.07 -- range: 0+\n\
</pre></div><p>Set the sensitivity of footstep extraction. Biped determines if the footstep is there by checking that the foot does not move beyond the distance determined by the Extraction Tolerance value. Smaller numbers are more sensitive and extract more footsteps. Value is a percentage of foot length.</p>\n\
<div class=\'codeBlock\'><pre>mocap.fsSlidingDist Float Default: 25.0 -- range: 0+\n\
</pre></div><p>Create a sliding footstep when positional tolerance is reached. This value is a percentage of foot length. By default the foot must slide its own distance (100), before a sliding footstep is created.</p>\n\
<div class=\'codeBlock\'><pre>mocap.fsSlidingAngle Float Default: 0.0 -- range: 0-360\n\
</pre></div><p>Create a sliding footstep when rotational tolerance is reached. This value is in degrees. If this is set high (360 degrees), the foot must make a complete turn before a sliding footstep is created.</p>\n\
<div class=\'codeBlock\'><pre>mocap.fsUseVerticalTol Boolean Default: False \n\
</pre></div><p>Turn on Z-axis Tolerance. The control filters out footsteps that do not fall within a given range of the ground plane. Use this when filtering motions, such as hopping or pitching a baseball, in which a foot may come off the ground and remain stationary, but its position is not intended as a footstep.</p>\n\
<div class=\'codeBlock\'><pre>mocap.fsVerticalTol Float Default: 0.5 -- range: 0+\n\
</pre></div><p>Value is a percentage of leg length</p>\n\
<div class=\'codeBlock\'><pre>mocap.fsZLevel Float Default: 0.0 \n\
</pre></div><p>Set a Z value (ground).</p>\n\
<div class=\'codeBlock\'><pre>mocap.fsUseFlatten Boolean Default: False \n\
</pre></div><p>Extracted footsteps are moved to Z=0. Use this to flatten out minor differences in the height of the extracted footsteps.</p>\n\
<div class=\'section\'><a id=\"load-frames\"></a><h2 id=\"load-frames\">Load Frames</h2></div>\n\
<div class=\'codeBlock\'><pre>mocap.startFrame Integer Default: 0 \n\
</pre></div><p>Start importing at this frame. Default is frame 0, the first frame.</p>\n\
<div class=\'codeBlock\'><pre>mocap.endFrame Integer Default:0 \n\
</pre></div><p>Stop importing at this frame. Default is the last frame of the clip.</p>\n\
<div class=\'codeBlock\'><pre>mocap.loop Boolean Default: False \n\
</pre></div><p>Loop the data by the value set here.</p>\n\
<p>This is relative. Succeeding loops start where the previous loop left off. The clips are not blended and may require editing unless the original clip was designed to loop.</p>\n\
<p>Use this for clips designed to loop.</p>\n\
<p>Note:</p>\n\
<p>This often works best if Footstep Extraction is tuned off.</p>\n\
<div class=\'codeBlock\'><pre>mocap.loopFrameCount IntegerDefault: 0 -- range: 0+\n\
</pre></div><p><strong>Key Reduction Settings</strong></p>\n\
<p><strong>Tolerance:</strong> Set the maximum angular or positional deviation for a track.</p>\n\
<p>Values are in degrees for rotation tracks. Values are in units of translation for position tracks.</p>\n\
<p><strong>Minimum Key Spacing:</strong> Set the minimum number of frames between keys.</p>\n\
<p>Tolerance is computed first, then Minimum Key Spacing computes further key reduction.</p>\n\
<p>A Minimum Key Spacing value of 10 for the head track ensures that no two keys are closer than 10 frames for this track.</p>\n\
<p><strong>Set All:</strong> Force all tracks to the values set in these fields.</p>\n\
<p>Higher values here can determine how much key reduction is possible while preserving the original motion.</p>\n\
<p><strong>Filter:</strong> Clear to prevent filtering of the motion capture data into a track. If this is cleared, there will be no key reduction for the track.</p>\n\
<div class=\'codeBlock\'><pre>mocap.allTol Float Default: 0.0 -- range: 0+\n\
mocap.allSpacing Integer Default: 3 -- range: 0+\n\
mocap.allFilter Boolean Default: False \n\
mocap.horzTol Float Default: 1.0 -- range: 0+\n\
mocap.horzSpacing Integer Default: 3 -- range: 0+\n\
mocap.horzFilter Boolean Default: True \n\
mocap.rotTol Float Default: 1.0 -- range: 0+\n\
mocap.rotSpacing Integer Default: 3 -- range: 0+\n\
mocap.rotFilter Boolean Default: True \n\
mocap.vertTol Float Default: 1.0 -- range: 0+\n\
mocap.vertSpacing Integer Default: 4 -- range: 0+\n\
mocap.vertFilter Boolean Default: True \n\
mocap.pelvisTol Float Default: 6.0 -- range: 0+\n\
mocap.pelvisSpacing Integer Default: 3 -- range: 0+\n\
mocap.pelvisFilter Boolean Default: True \n\
mocap.spineTol Float Default: 6.0 -- range: 0+\n\
mocap.spineSpacing Integer Default: 3 -- range: 0+\n\
mocap.spineFilter Boolean Default: True \n\
mocap.neckTol Float Default: 6.0 -- range: 0+\n\
mocap.neckSpacing Integer Default: 3 -- range: 0+\n\
mocap.neckFilter Boolean Default: True \n\
mocap.leftArmTol Float Default: 6.0 -- range: 0+\n\
mocap.leftArmSpacing Integer Default: 3 -- range: 0+\n\
mocap.leftArmFilter Boolean Default: True \n\
mocap.rightArmTol Float Default: 6.0 -- range: 0+\n\
mocap.rightArmSpacing Integer Default: 3 -- range: 0+\n\
mocap.rightArmFilter Boolean Default: True \n\
mocap.leftLegTol Float Default: 6.0 -- range: 0+\n\
mocap.leftLegSpacing Integer Default: 3 -- range: 0+\n\
mocap.leftLegFilter Boolean Default: True \n\
mocap.rightLegTol Float Default: 6.0 -- range: 0+\n\
mocap.rightLegSpacing Integer Default: 3 -- range: 0+\n\
mocap.rightLegFilter Boolean Default: True \n\
mocap.tailTol Float Default: 6.0 -- range: 0+\n\
mocap.tailSpacing Integer Default: 3 -- range: 0+\n\
mocap.tailFilter Boolean Default: True \n\
</pre></div><div class=\'section\'><a id=\"limb-orientation\"></a><h2 id=\"limb-orientation\">Limb orientation</h2></div>\n\
<p><strong>Angle:</strong> Move the knee or Elbow <em>position</em> to create the biped joint key.</p>\n\
<p><strong>Point:Rotate</strong> the shoulder-elbow-wrist or hip-knee-ankle to create the biped joint key.</p>\n\
<p><strong>Auto:</strong> Auto reads exact hand and foot positions from the motion capture data, character studio then places the knees and elbows in a natural position. For marker files involving running and walking, this option can clean up the data nearly instantly, regardless of how many markers were used (and where they were placed).</p>\n\
<div class=\'codeBlock\'><pre>mocap.kneeOrient Integer Default: 1 \n\
</pre></div><p>0 - angle</p>\n\
<p>1 - point</p>\n\
<p>2 - auto</p>\n\
<p>The biped knee hinge joints are perpendicular to the triangles formed by the hip-knee-ankle. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<div class=\'codeBlock\'><pre>mocap.elbowOrient Integer Default: 1 \n\
</pre></div><p>0 - angle</p>\n\
<p>1 - point</p>\n\
<p>2 - auto</p>\n\
<p>The biped elbow hinge joints are perpendicular to the triangles formed by the shoulder-elbow-wrist. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<div class=\'codeBlock\'><pre>mocap.footOrient Integer Default: 0 \n\
</pre></div><p>0 - angle</p>\n\
<p>1 - auto</p>\n\
<p>The biped foot hinge joints are perpendicular to the triangles formed by the hip-knee-ankle respectively. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<div class=\'codeBlock\'><pre>mocap.handOrient Integer Default: 0 \n\
</pre></div><p>0 - angle</p>\n\
<p>1 - auto</p>\n\
<p>The biped hand hinge joints are perpendicular to the triangles formed by the shoulder-elbow-wrist. Resolve errors in the motion capture data that break this rule by using either the angle or point method.</p>\n\
<div class=\'section\'><a id=\"talent-definition\"></a><h2 id=\"talent-definition\">Talent Definition</h2></div>\n\
<div class=\'codeBlock\'><pre>mocap.talentFigStrucFile String Default: &quot;&quot;--figure structure file (.fig) \n\
</pre></div><p>A .<em>fig</em> file containing changes made to the biped scale while in Talent Figure mode.</p>\n\
<div class=\'codeBlock\'><pre>mocap.useTalentFigStrucFile Boolean Default: False \n\
</pre></div><p>Turn on <strong>useTalentFigStrucFile</strong> to use the file whose string is defined in mocap <strong>.talentFigStrucFile</strong>.</p>\n\
<div class=\'codeBlock\'><pre>mocap.talentPoseAdjFile String Default: &quot;&quot; -- pose adjustment file (.cal) \n\
</pre></div><p>A .<em>cal</em> file containing changes made to the biped while in Adjust Talent Pose mode.</p>\n\
<div class=\'codeBlock\'><pre>mocap.useTalentPoseAdjFile Boolean Default: False \n\
</pre></div><p>Turn on <strong>useTalentPoseAdjFile</strong> to use the file whose string is defined in mocap <strong>.talentPoseAdjFile</strong>.</p>\n\
<div class=\'section\'><a id=\"marker-name-files\"></a><h2 id=\"marker-name-files\">Marker Name Files</h2></div>\n\
<div class=\'codeBlock\'><pre>mocap.markerNameFile String Default: &quot;&quot; -- csm marker name file (.mnm) \n\
</pre></div><p>A Marker Name file to map incoming marker names in motion capture files (<em>.bvh </em>or .<em>csm</em>) to the character studio marker naming convention.</p>\n\
<div class=\'codeBlock\'><pre>mocap.useMarkerNameFile Boolean Default: False \n\
</pre></div><p>When set to true, use the file defined in mocap <strong>.markerNameFile</strong>.</p>\n\
<div class=\'codeBlock\'><pre>mocap.jointNameFile String Default: &quot;&quot; --bvh marker name file (.mnm) \n\
</pre></div><p>A Marker Name file to map incoming marker names in motion capture files (<em>.bvh</em> or .<em>csm</em>) to the character studio marker naming convention.</p>\n\
<div class=\'codeBlock\'><pre>mocap.useJointNameFile Boolean Default: False \n\
</pre></div><p>When set to true, use the file defined in mocap <strong>.jointNameFile</strong>.</p>\n\
<div class=\'section\'><a id=\"marker-display-options\"></a><h2 id=\"marker-display-options\">Marker Display Options</h2></div>\n\
<p>Marker and marker names are displayed around the biped. Discrepancies like the biped elbow position relative to the elbow marker can be spotted and adjusted.</p>\n\
<div class=\'codeBlock\'><pre>mocap.dispKnownMarkers Boolean Default: False \n\
mocap.dispKnownMarkersType Boolean Default: False \n\
</pre></div><p>true - on all props</p>\n\
<p>false - on selected props</p>\n\
<div class=\'codeBlock\'><pre>mocap.dispPropMarkers Boolean Default: False \n\
mocap.dispUnKnownMarkers Boolean Default: False \n\
</pre></div><div class=\'section\'><a id=\"load-save-methods\"></a><h2 id=\"load-save-methods\">Load Save Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>mocap.loadParameters &lt;file_name&gt; mocap.saveParameters &lt;file_name&gt; \n\
</pre></div><p>Load/Save a motion capture parameter (.MOC) file</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";