var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MoFlow : MaxWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MoFlow : MaxWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"moflow-maxwrapper\"></a></div>\n\
<p>This class can be used to access features in the Biped Motion Flow panel. An instance of this class is returned by the <strong>.motionFlow</strong> property of a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in/Biped-MAXScript-Extensions/Biped-Controllers/Biped-Vertical_Horizontal_Turn.html\' title=\'\'>Biped Body Controller</a>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;moflow&gt;.scripts Array Default: #()         -- Read-onlyAn array of motion flow scripts (MoFlowScript values).   \n\
</pre></div><p>A Script is a list of clips (.<em>bip </em>files) that are executed sequentially to animate a character.</p>\n\
<div class=\'codeBlock\'><pre>&lt;moflow&gt;.activeScript MoFlowScript Default:undefined   \n\
</pre></div><p>Get/set which MoFlowScript in scripts array is the active script. If the specified MoFlowScript is not in the scripts array, no action occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;moflow&gt;.snippets Array Default: #()   -- Read-only \n\
</pre></div><p>An array of motion flow snippets (MoFlowSnippet values).</p>\n\
<div class=\'codeBlock\'><pre>&lt;moflow&gt;.selSnippets BitArray Default: #{} \n\
</pre></div><p>A bitarray specifying the motion flow snippets that are selected in the Motion Flow Graph.</p>\n\
<div class=\'codeBlock\'><pre>&lt;moflow&gt;.startFrame Integer Default: 0 -- Read-only\n\
</pre></div><p>The start frame of currently active motion flow script.</p>\n\
<div class=\'codeBlock\'><pre>&lt;moflow&gt;.endFrame Integer Default: 0 -- Read-only\n\
</pre></div><p>The last frame of currently active motion flow script.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>loadMoFlowFile&lt;moflow&gt; &lt;file_name&gt; [quiet:&lt;boolean&gt; ] \n\
</pre></div><p>Load a Motion Flow Editor file (.mfe). Motion Flow Editor files include:</p>\n\
<p><strong>Clips</strong>: references to biped animation files.</p>\n\
<p><strong>Transitions</strong>: The names, attributes, and connections between clips.</p>\n\
<p><strong>Scripts</strong>: different paths through a set of connected clips and transitions.</p>\n\
<p>If <strong>quiet:true</strong>, which is the default, any warning message dialogs are suppressed.</p>\n\
<div class=\'codeBlock\'><pre>saveMoFlowFile &lt;moflow&gt; &lt;file_name&gt; \n\
</pre></div><p>Save a Motion Flow Editor file (.mfe).</p>\n\
<p>Load/Save a motion flow (.MFE) file.</p>\n\
<p>Note:</p>\n\
<p>The location of the referenced .<em>bip</em> files is saved in the <em>.mfe</em> file. If the<em>.bip</em> file cannot be found, the program looks to the motion flow directory specified in <em>\\plugcfg\\biped.ini</em>. By default, this setting is <strong>MoFlowDir=<maxdir>\\cstudio\\scripts</maxdir></strong></p>\n\
<p>Note:</p>\n\
<p>If a referenced <em>.bip</em> file cannot be found in its current location, you will need to move it to the specified Motion Flow directory. You can change the location of this directory at any time by editing your <em>biped.ini</em> file with a text editor. The new directory will be used the next time you restart <strong>3ds Max</strong>. You can also add multiple search paths to your biped.ini file by repeating the <em>MoFloDir=</em> line multiple times. The program will search the directories in the order they appear and will use the first instance of the file that it finds.</p>\n\
<div class=\'codeBlock\'><pre>loadSnippetFiles &lt;moflow&gt; \n\
</pre></div><p>Loads the snippet files whose file names are assigned. This function should be called whenever new snippets are added.</p>\n\
<p>Clips represent all or part of a .<em>bip </em>file.</p>\n\
<div class=\'codeBlock\'><pre>addScript &lt;moflow&gt; &lt;name&gt; \n\
</pre></div><p>Scripts represent different paths through the clips in the Motion Flow Graph.</p>\n\
<p>Creates a new motion flow script with the given name and adds it to the motion flow. Returns the new MoFlowScript.</p>\n\
<div class=\'codeBlock\'><pre>deleteScript &lt;moflow&gt; &lt;MoFlowScript&gt; \n\
deleteScript &lt;moflow&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the specified script. If the second argument is an integer, the script deleted is the indexed script in the motion flow’s .scripts array.</p>\n\
<p>Note: <strong>deleteScript</strong> sets the active script to the first script. To maintain the current active script store and set <span class=\'code\'>&lt;motionflow&gt;.activeScript</span> around the call to <strong>deleteScript</strong>.</p>\n\
<div class=\'codeBlock\'><pre>getScriptIndex &lt;moflow&gt; &lt;MoFlowScript&gt; \n\
</pre></div><p>Given the script, returns its index in the script’s combobox.</p>\n\
<div class=\'codeBlock\'><pre>getSnippetIndex &lt;moflow&gt; &lt;MoFlowSnippet&gt; \n\
</pre></div><p>Given the snippet, returns its index in the in the motion flow’s .snippets array.</p>\n\
<div class=\'codeBlock\'><pre>computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] \n\
</pre></div><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. <strong>redraw:true</strong> will redraw the viewports. <strong>incGlobals:true</strong> will also include the global motion flow network.</p>\n\
<p><strong>Related Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>newSnippet &lt;moflow&gt; &lt;filename&gt; &lt;point2_pos&gt; &lt;redraw:true&gt; &lt;load:true&gt; \n\
</pre></div><p>Adds a new MoFlowSnippet to the motion flow network, from the given .bip file. <span class=\'code\'>&lt;point2_pos&gt;</span> is the position in windows coordinates where the origin is the top left of the snippet in the motion flow graph. <strong>Redraw:true</strong> will redraw the graph window. <strong>Load:true</strong> will immediately load the snippet</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";