var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MoFlowSnippet : MaxWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MoFlowSnippet : MaxWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"moflowsnippet-maxwrapper\"></a></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>newSnippet &lt;moflow&gt; &lt;filename&gt; &lt;point2_pos&gt; [redraw:&lt;true&gt;] [load:&lt;true&gt;]    \n\
</pre></div><p>Adds a new MoFlowSnippet to the motion flow network, from the given .bip file. <span class=\'code\'>&lt;point2_pos&gt;</span> is the position in windows coordinates where the origin is the top left of the snippet in the motion flow graph. <strong>Redraw:true</strong> will redraw the graph window. <strong>.Load:true</strong> will immediately load the snippet. Returns the new MoFlowSnippet.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowSnippet&gt;.start Integer Default: 0   \n\
</pre></div><p>The start frame in the snippet file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowSnippet&gt;.end Integer Default: Varies \n\
</pre></div><p>The end frame in the snippet file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowSnippet&gt;.clipName String Default: Varies \n\
&lt;MoFlowSnippet&gt;.fileName String Default: Varies \n\
&lt;MoFlowSnippet&gt;.pos Point2 Default: Varies \n\
</pre></div><p>The coordinates of the snippet in the Motion Flow Graph.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowSnippet&gt;.active Boolean Default: True \n\
&lt;MoFlowSnippet&gt;.transitions Array Default: #(MoFlowTransition : X -&gt; Y) - read only \n\
</pre></div><p>An array of the transitions defined for the snippet (MoFlowTransition values). The MoFlowTransition values printed show the from and to MoFlowSnippet names.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowSnippet&gt;.randomStartProbability Integer Default: 100 \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addTransition &lt;from_MoFlowSnippet&gt; &lt;to_MoFlowSnippet&gt; &lt;bool_optimize&gt; \n\
</pre></div><p>Adds a new MoFlowTransition to a motion flow Snippet. The optimize parameter acts as the &quot;Optimize Selected Transition&quot; in the Motion Flow Editor. If a MoFlowTransition already exists from <strong>from_MoFlowSnippet</strong> to <strong>to_MoFlowSnippet</strong>, no action occurs.</p>\n\
<div class=\'codeBlock\'><pre>deleteTransition &lt;MoFlowSnippet&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed MoFlowTransition emanating from the MoFlowSnippet.</p>\n\
<div class=\'codeBlock\'><pre>deleteTransitionsTo &lt;from_MoFlowSnippet&gt; &lt;to_MoFlowSnippet&gt; \n\
</pre></div><p>Delete all transitions that emanate to the specified snippet.</p>\n\
<p><strong>Related Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addSnippet &lt;MoFlowScript&gt; &lt;MoFlowSnippet&gt; \n\
</pre></div><p>Adds the specified MoFlowSnippet to a motion flow script. Returns the MoFlowSnippet value.</p>\n\
<div class=\'codeBlock\'><pre>insertSnippet &lt;MoFlowScript&gt; &lt;MoFlowSnippet&gt; &lt;index_integer&gt; \n\
</pre></div><p>Inserts a snippet at the location specified and returns the new script item. Returns the MoFlowSnippet value.</p>\n\
<div class=\'codeBlock\'><pre>deleteSnippet &lt;MoFlowScript&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed MoFlowSnippet from the motion flow script.</p>\n\
<div class=\'codeBlock\'><pre>loadSnippetFiles &lt;moflow&gt; \n\
</pre></div><p>Loads all of the snippet files whose file names are assigned. This function should be called whenever new snippets are added.</p>\n\
<div class=\'codeBlock\'><pre>getSnippetIndex &lt;moflow&gt; &lt;MoFlowSnippet&gt; \n\
</pre></div><p>Given the snippet, returns its index in the motion flow’s <strong>.snippets</strong> array.</p>\n\
<div class=\'codeBlock\'><pre>computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] \n\
</pre></div><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. redraw:true will redraw the viewports. <span class=\'code\'>incGlobals:true</span> will also include the global motion flow network</p>\n\
<p>Note:</p>\n\
<p>Changes to the MoFlowSnippet property values do not cause an immediate update of the biped. ComputeAnimation must be called on the MoFlow value to re-compute the biped motion.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";