var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MoFlowTranInfo : MaxWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MoFlowTranInfo : MaxWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"moflowtraninfo-maxwrapper\"></a></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>addTranInfo &lt; MoFlowTransition &gt;     \n\
</pre></div><p>Adds a new MoFlowTranInfo to the MoFlowTransition and returns the newly created MoFlowTranInfo.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTranInfo&gt;.length Integer Default: 25   \n\
</pre></div><p>The transition length in frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTranInfo&gt;.angle Float Default: 0.0 \n\
</pre></div><p>The direction of the destination clip.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTranInfo&gt;.easeFrom Float Default: 0.5 \n\
&lt;MoFlowTranInfo&gt;.easeTo Float Default: 0.5 \n\
&lt;MoFlowTranInfo&gt;.sourceStart Integer Default: Varies \n\
</pre></div><p>The start frame for the source clip.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTranInfo&gt;.destStart Integer Default: Varies   \n\
</pre></div><p>The start frame for the destination clip.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTranInfo&gt;.sourceState Boolean Default: True \n\
</pre></div><p>false - Fixed</p>\n\
<p>true - Rolling</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTranInfo&gt;.destState Boolean Default: True \n\
</pre></div><p>false - Fixed</p>\n\
<p>true - Rolling</p>\n\
<div class=\'codeBlock\'><pre>&lt;MoFlowTranInfo&gt;.note String Default:&quot;&quot; \n\
&lt;MoFlowTranInfo&gt;.probability Integer Default: 100 \n\
</pre></div><p><strong>Related Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>deleteTranInfo &lt; MoFlowTransition &gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed MoFlowTranInfo from the MoFlowTransition. If the MoFlowTranInfo is the only MoFlowTranInfo in MoFlowTransition, it is not deleted.</p>\n\
<div class=\'codeBlock\'><pre>computeAnimation &lt;moflow&gt; [redraw:&lt;true&gt;] [incGlobals:&lt;false&gt;] \n\
</pre></div><p>Computes the global flow network. This function has to be called to update any changes made to the motion flow network. The redraw:true option will redraw the viewports. The incGlobals:true option will also include the global motion flow network</p>\n\
<p>Note:</p>\n\
<p>Changes to the MoFlowSnippet property values do not cause an immediate update of the biped. ComputeAnimation must be called on the MoFlow value to recompute the biped motion.</p>\n\
<p>The following example will find the transition information from the first clip (snippet) to the next in the first script defined for the Biped motion flow.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` CSPATH =&quot;f:\\3dsmax31_86\\cstudio\\&quot; bipObj = biped.createNew 100 100 [0,0,0] select bipObj max motion mode bip = bipObj.controller -- get the MoFlow value from the biped controller: mf = bip.motionFlow -- go into motion flow mode and load a motion flow file bip.motionmode= true loadMoFlowFile mf (CSPATH +&quot;scripts\\4floloop.mfe&quot;) -- get the script of interest from the MoFlow and make it the active script: mfs = mf.activeScript= mf.scripts [2] -- the sequence of snippets for the script are in mfs..snippets -- get the first snippet (snippet_from) from the script: snippet_from = mfs.snippets[1] -- get the second snippet (snippet_to) from the script: snippet_to = mfs.snippets[2] -- search the transitions in snippet_from to find -- the one whose toSnippet property == snippet_to: theTrans = undefined for trans in snippet_from.transitions where (trans.toSnippet== snippet_to) do ( theTrans = trans break )<br> -- which transition info used to go from snippet_from to snippet_to for -- this particular transition is in the mfs.tranIndices array: whichTrans = mfs.tranIndices[1] --get the transition information for the from script item: theTransInfo = theTrans.tranInfos[whichTrans]</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";