var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Biped Miscellaneous Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Biped Miscellaneous Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"biped-miscellaneous-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;biped.getIKActive &lt;biped_ctrl&gt; &lt;int_index&gt;      \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the indexed limb is under IK control at the current MAXScript time. Useful for custom key reducers and exporters.</p>\n\
<div class=\'codeBlock\'><pre>biped.unifyMotion &lt;biped_ctrl&gt;   \n\
</pre></div><p>Displays the Unify Motion dialog for the specified biped. The biped must be selected in the Motion panel and in Motion mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interval&gt;biped.getCurrentRange &lt;biped_ctrl&gt; \n\
</pre></div><p>Get the animation range of the specified biped controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point2&gt;biped.getIdLink &lt;node&gt; \n\
</pre></div><p>The id and link values for a particular biped node. The &#39;x&#39; value is the id and the &#39;y&#39; value is the link. An id value of -1 means the node isn&#39;t part of a biped.</p>\n\
<div class=\'section\'><a id=\"copy-paste-buffer\"></a><h2 id=\"copy-paste-buffer\">Copy Paste Buffer</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.loadCopyPasteFile &lt;biped_ctrl&gt;&lt;file_name&gt; \n\
</pre></div><p>Load the specified buffer file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;biped.pasteFromBuffer &lt;biped_ctrl&gt; \n\
</pre></div><p>Paste from buffer. Returns true on success, false otherwise.</p>\n\
<div class=\'section\'><a id=\"accessing-internal-biped-values\"></a><h2 id=\"accessing-internal-biped-values\">Accessing Internal Biped Values</h2></div>\n\
<p>Collection of functions useful for a biped interpolator that uses the internal biped hierarchy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;INode&gt;biped.getRotParentNode &lt;node&gt; \n\
&lt;INode&gt;biped.getPosParentNode &lt;node&gt; \n\
&lt;Quat&gt;biped.getParentNodeRot &lt;node&gt; \n\
&lt;Point3&gt;biped.getParentNodePos &lt;node&gt; \n\
&lt;Point2&gt;biped.getClavicleVals &lt;node&gt; --2 angles in degrees \n\
&lt;float&gt;biped.getHingeVal &lt;node&gt; --in degrees \n\
&lt;float&gt;biped.getHorseAnkleVal &lt;node&gt; --in degrees \n\
&lt;float&gt;biped.getPelvisVal &lt;node&gt; --in degrees \n\
&lt;float&gt;biped.getFingerVal &lt;node&gt; --in degrees \n\
</pre></div><div class=\'section\'><a id=\"com-controls-access\"></a><h2 id=\"com-controls-access\">COM Controls Access</h2></div>\n\
<p>Convenience functions for getting the different biped COM controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Control&gt;biped.getHorizontalControl &lt;biped_ctrl&gt; \n\
&lt;Control&gt;biped.getVerticalControl &lt;biped_ctrl&gt; \n\
&lt;Control&gt;biped.getTurnControl &lt;biped_ctrl&gt; \n\
</pre></div><div class=\'section\'><a id=\"biped-keys-display-in-trackbar\"></a><h2 id=\"biped-keys-display-in-trackbar\">Biped Keys Display in Trackbar</h2></div>\n\
<p>You can turn off biped keys in the trackbar, so that you may only just see subanim keys. The property is</p>\n\
<div class=\'codeBlock\'><pre>&lt;biped_controller&gt;.showBipedInTrackBar = true|false. \n\
</pre></div><div class=\'section\'><a id=\"set-multiple-keys-dialog\"></a><h2 id=\"set-multiple-keys-dialog\">Set Multiple Keys Dialog</h2></div>\n\
<div class=\'codeBlock\'><pre>biped.dosetmultiplekeysdlg &lt;biped_controller&gt; \n\
</pre></div><p>The function will bring up the old set multiple keys dialog in a popup.</p>\n\
<div class=\'codeBlock\'><pre>biped.setmultiplekeys &lt;biped_controller&gt; \n\
</pre></div><p>The functionwill apply increment without bringing up the dialog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";