var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Path_Follow_Behavior : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Path_Follow_Behavior : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"path_follow_behavior-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Path_Follow_Behavior - superclass: ReferenceTarget; super-superclass:MAXWrapper - 14:0 - classID: #(1057384567, 1223371753) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Path_Follow_Behavior ... PathFollowBehavior ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.name String Default: &quot;Path Follow&quot; \n\
&lt;path_follow_behavior&gt;.path Node Default: Undefined \n\
</pre></div><p>A path object. Suitable path objects include splines and NURBS curves. If a path object contains more than one spline or curve, character studio uses the lowest-numbered element (usually the earliest created one).</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.radius Float Default: 20.0 Alias: Radius_about_Path -- animatable \n\
</pre></div><p>The radial distance from the path within which the delegate stays while traversing the path. Range=0.0 to 99,999.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.awareness Float Default: 0.5 -- animatable \n\
</pre></div><p>Specifies how &quot;intelligent&quot; the delegate is while traversing this path. A high Awareness setting means that it takes into account the curve of the path while moving and will try to anticipate changes. A low value for Awareness, on the other hand, means that the delegate notices the path only when leaving it. Range=0.0 to 1.0.</p>\n\
<p>Note:</p>\n\
<p>You can randomize awareness behavior with the Deviation and Seed settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.awareDeviation Float Default: 0.0 Alias: AwarenessDeviation -- animatable \n\
</pre></div><p>Specifies the maximum amount by which Awareness should vary. character studio takes a random number between the negative and positive values of the Deviation setting, multiplies it by the Awareness setting, and adds the result to Awareness. Range=0.0 to 1.0.</p>\n\
<p>Note:</p>\n\
<p>You can vary behaviors among different Path Follow behaviors that use the same Awareness and Deviation settings by changing the Seed value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.start Integer Default: 0 -- animatable \n\
</pre></div><p>0 - Path Beginning</p>\n\
<p>1 - Path End</p>\n\
<p>This setting determines where on the path the delegate begins to follow the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.direction Integer Default: 0 -- animatable \n\
</pre></div><p>0 - Forwards: The delegate moves along path vertices in ascending order.</p>\n\
<p>1 - Backwards: The delegate moves along path vertices in descending order.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.endAction Integer Default: 0 -- animatable \n\
</pre></div><p>0 - Loop: The delegate loops around the path, even if it isn&#39;t closed. If Beginning of Path or End of Path is chosen, it returns to the path&#39;s start or end point each time it finishes traversing the path. If Nearest Point is chosen, it returns to an arbitrary point determined by its position and the path shape.</p>\n\
<p>1 - Reverse: The delegate reverses direction at the end of the path. Use this choice to simulate a back-and-forth &quot;patrol&quot; behavior.</p>\n\
<p>2 - Continue: The delegate continues moving in the same direction it faced at the end of the path until the simulation ends or it&#39;s acted upon by another force or behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.seed Integer Default: 1 -- animatable \n\
</pre></div><p>Specifies a seed value for randomizing Awareness.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.forceColor Color Default: (color 0 0 255) \n\
</pre></div><p>The color used to draw the Path Follow force vector during the solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.displayForce Boolean Default: True \n\
</pre></div><p>When true, force exerted on the delegate(s) by the Path Follow behavior is drawn in the viewports as a vector during the simulation solution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.targetColor Color Default: (color 0 0 127.5) \n\
</pre></div><p>Sets the color used to draw the target icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.displayTarget Boolean Default: True \n\
</pre></div><p>Enables display of the target icon, which appears during the solution when a new interim goal is calculated for the delegate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;path_follow_behavior&gt;.targetScale Float Default: 5.0 -- animatable \n\
</pre></div><p>The overall size of the target icon.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";