var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CrowdScatter : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CrowdScatter : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crowdscatter-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Crowd.scatter - superclass: ReferenceTarget; super-superclass:MAXWrapper - 51:0 - classID: #(2055548930, 169758462) \n\
</pre></div><p>These properties correspond to the Scatter Objects dialog displayed by clicking the Scatter Objects icon in Crowd’s Setup rollout.</p>\n\
<div class=\'section\'><a id=\"clone-tab-properties\"></a><h2 id=\"clone-tab-properties\">Clone Tab Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.cloneObject Node Default: Undefined      \n\
</pre></div><p>Object in the scene to be cloned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.numClones Integer Default: 10   \n\
</pre></div><p>The number of clones to be generated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.cloneType Integer Default: 0 Alias (0_copy__1_reference__2_instance) \n\
</pre></div><p>0 - copy</p>\n\
<p>1 - Instance</p>\n\
<p>2 - Reference</p>\n\
<p>Specify how the object is cloned. It can be cloned as a copy, an instance, or a reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;. Boolean Default: True cloneHierarchy \n\
</pre></div><p>When true, all objects linked to the selected object are cloned as well, with the hierarchical structure retained intact for each clone.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.cloneControllers Boolean Default: True \n\
</pre></div><p>Set true to clone an object when calling Scatter All. The object is cloned and then any specified transforms are applied to the clones.</p>\n\
<div class=\'section\'><a id=\"position-tab-properties\"></a><h2 id=\"position-tab-properties\">Position Tab Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.positionSpace Integer Default: 0 Alias 0_Grid__1_Box___2_Sphere__3_Surface \n\
</pre></div><p>0 - On Grid</p>\n\
<p>1 - Inside Box</p>\n\
<p>2 - Inside Sphere</p>\n\
<p>3 - On Surface</p>\n\
<p>4 - In Radial Area</p>\n\
<p>Choose position object before selecting the reference object. On Grid distributes the clones over the surface of a grid object. Inside Box and Inside Sphere distribute the clones within the volume of a primitive box or sphere object, respectively.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.positionObject Node Default: Undefined Alias: Grid_Box_Sphere_Surface \n\
</pre></div><p>An object in the scene to be used as a reference object.</p>\n\
<p>Note:</p>\n\
<p>You can use only a primitive sphere, a primitive box, or a grid helper object as a reference object. A primitive sphere or box that has been converted to a editable mesh object can&#39;t be used as a reference object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.surfaceOffset Float Default: 0.0 \n\
</pre></div><p>On Surface specifies a consistent distance above the surface using surface normals for distribution. Available only when. <strong>positionSpace</strong> is set to On Surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.centerX Float Default: 0.0 \n\
</pre></div><p>Specifies the <strong>X</strong> value for the center of the distribution in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.centerY Float Default: 0.0 \n\
</pre></div><p>Specifies the <strong>Y</strong> value for the center of the distribution in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.centerZ Float Default: 0.0 \n\
</pre></div><p>Specifies the <strong>Z</strong> value for the center of the distribution in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.radius Float Default: 10.0 \n\
</pre></div><p>Specifies the maximum distance from the center within which clones are to be positioned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.XYPlane Boolean Default: False \n\
</pre></div><p>Specifies that clones are to be distributed on the world XY plane only, resulting in a disc-like array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.childBbox Boolean Default: True Alias: Include_childrens__bounding_boxes_in_spacing_calculations \n\
</pre></div><p>When true, all of a hierarchical object&#39;s sub-objects are considered when determining spacing. When false, only the selected object is considered.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.spacing Float Default: 1.0 Alias: Bounding_Box_Multiplier_for_Position_Spacing \n\
</pre></div><p>Specifies the minimum distance between cloned objects. The Spacing setting is multiplied by the size of the object&#39;s bounding sphere to determine how close objects can get. If Spacing is left at 1.0, the default, objects normally cannot be positioned within each others&#39; bounding spheres. If Spacing is set to 2.0, objects are separated by a distance equal to or greater than the size of the bounding sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.positionSeed Integer Default: 0 \n\
</pre></div><p>Specifies a seed value for randomizing the clones&#39; locations. If a scene has more than one crowd, each should use a different seed to avoid having identical configurations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.IncPositionSeed Boolean Default: False \n\
</pre></div><p>When true and <span class=\'code\'>crowds.genlocations</span> is called, add 1 to the <span class=\'code\'>.positionSeed</span> value, and redistributes the objects using the new random seed.</p>\n\
<div class=\'section\'><a id=\"rotation-tab-properties\"></a><h2 id=\"rotation-tab-properties\">Rotation Tab Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.forwardAxisSign Boolean Default: True \n\
</pre></div><p>If true, the forward axis is in the positive direction. If false the forward axis is in the negative direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.forwardAxis Integer Default: 1 \n\
</pre></div><p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<p>Specifies which axis of the cloned objects points forward, for use with the Look At Target option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.UpAxisSign Boolean Default: True \n\
</pre></div><p>If true the up axis is in the positive direction. If false the up axis is in the negative direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.UpAxis Integer Default: 2 \n\
</pre></div><p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<p>Axis of the cloned objects points upward; this axis is aligned with the world Z axis.</p>\n\
<p>Note:</p>\n\
<p>You cannot specify the same axis as Local Forward and Local Up simultaneously. If you choose an axis for one that&#39;s already chosen for the other, the software switches the other to a different axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.lookFrom Integer Default: 0 \n\
</pre></div><p>0 - Look From Self</p>\n\
<p>1 - Look From Selected Object</p>\n\
<p>Determines the direction from which the clones look. By default, each clone looks from its own position (Self), so that when several clones are looking at a single target, each is oriented differently. To orient each clone so that it&#39;s parallel to an imaginary line between two objects (the &quot;from&quot; object and the &quot;to&quot; object), choose Selected Object and specify the object with the (None) button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.lookFromObject Node Default: Undefined \n\
</pre></div><p>An object from which the clones are to look if <strong>lookFrom</strong> = 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowds.scatter&gt;.LookTowards Integer Default: 0 \n\
</pre></div><p>0 - Look Toward Self</p>\n\
<p>1 - Look Toward Selected Object</p>\n\
<p>Determines the direction toward which the scatter objects look. By default, each object retains its current orientation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.lookAtTarget Node Default: Undefined \n\
</pre></div><p>An object toward which the clones are to look.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.sideDeviation Float Default: 0.0 \n\
</pre></div><p>Sets a maximum deviation angle in degrees for the clones&#39; sideways orientation. If clones should look in an object&#39;s general direction but may look at a spot to either side of the target, use Sideways Deviation to set the maximum amount by which they can deviate from the calculated angle. The actual deviation amount for each clone is calculated at random, based on the Deviation settings and the Rand Seed setting. Range=0.0 to 180.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.upDownDeviation Float Default: 0.0 \n\
</pre></div><p>Sets a maximum deviation angle in degrees for the clones&#39; up/down orientation. If clones should look in an object&#39;s general direction but may look at a spot above or below the target, use Up/Down Deviation to set the maximum amount by which they can deviate from the calculated angle. The actual deviation amount for each clone is calculated at random, based on the Deviation settings and the Rand Seed setting. Range=0.0 to 180.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.rotationSeed Integer Default: 0 \n\
</pre></div><p>Specifies a seed value for randomizing the clones&#39; orientations, based on the Deviation settings. If a scene has more than one crowd, each should use a different seed to avoid having identical configurations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.IncRotationSeed Boolean Default: False \n\
</pre></div><p>When true and crowds. <strong>genrotations</strong> is called, add 1 to the <strong>.rotationSeed</strong> value, and redistributes the objects using the new random seed.</p>\n\
<div class=\'section\'><a id=\"scale-tab-properties\"></a><h2 id=\"scale-tab-properties\">Scale Tab Properties</h2></div>\n\
<p>Contains options for scaling object clones. For each scaling axis you can specify alternative forward and up axes, plus a target object toward which the clones will point. In addition, you can specify a source object; when using both source and target objects, the clones are rotated so they&#39;re parallel to the line between the two.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.xScale Float Default: 1.0 \n\
</pre></div><p>Sets scaling on the X axis as a multiplier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.xScaleDeviation Float Default: 0.0 \n\
</pre></div><p>Sets the maximum factor for randomization of scaling. For each clone, Deviation is multiplied by a random number between 0.0 and 1.0, and then added to the Scale multiplier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.matchXtoYscale Boolean Default: False \n\
</pre></div><p>Lets you use the same scaling as on the Y axis, whether explicit or randomized. When you specify an axis, the parameters group for that axis becomes unavailable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.matchXtoZscale Boolean Default: False \n\
</pre></div><p>Lets you use the same scaling as on the Z axis, whether explicit or randomized. When you specify an axis, the parameters group for that axis becomes unavailable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.yScale Float Default: 1.0 \n\
</pre></div><p>Sets scaling on the Y axis as a multiplier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.yScaleDeviation Float Default: 0.0 \n\
</pre></div><p>Sets the maximum factor for randomization of scaling. For each clone, Deviation is multiplied by a random number between 0.0 and 1.0, and then added to the Scale multiplier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.matchYtoXscale Boolean Default: False \n\
</pre></div><p>Lets you use the same scaling as on the X axis, whether explicit or randomized. When you specify an axis, the parameters group for that axis becomes unavailable</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.matchYtoZscale Boolean Default: False \n\
</pre></div><p>Lets you use the same scaling as on the Z axis, whether explicit or randomized. When you specify an axis, the parameters group for that axis becomes unavailable</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.zScale Float Default: 1.0 \n\
</pre></div><p>Sets scaling on the Z axis as a multiplier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.zScaleDeviation Float Default: 0.0 \n\
</pre></div><p>Sets the maximum factor for randomization of scaling. For each clone, Deviation is multiplied by a random number between 0.0 and 1.0, and then added to the Scale multiplier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.matchZtoXScale Boolean Default: False \n\
</pre></div><p>Lets you use the same scaling as on the X axis, whether explicit or randomized. When you specify an axis, the parameters group for that axis becomes unavailable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.matchZtoYScale Boolean Default: False \n\
</pre></div><p>Lets you use the same scaling as on the Y axis, whether explicit or randomized. When you specify an axis, the parameters group for that axis becomes unavailable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.scaleSeed Integer Default: 0 \n\
</pre></div><p>Specifies a seed value for randomizing the clones&#39; scales, based on the Deviation settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.IncScaleSeed Boolean Default: False \n\
</pre></div><p>When true and crowds. <strong>genscales</strong> is called, add 1 to the <strong>.scaleSeed</strong> value, and redistributes the objects using the new random seed.</p>\n\
<div class=\'section\'><a id=\"all-ops-tab-properties\"></a><h2 id=\"all-ops-tab-properties\">All Ops Tab Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.ComputeClones Boolean Default: False \n\
</pre></div><p>Set true to clone an object when calling Scatter All. The object is cloned, then any specified transforms are applied to the clones.</p>\n\
<p>Turning on Clones makes the Select Objects to Transform button unavailable. The object to clone and cloning parameters must be specified on the with <strong>.ComputeClone</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.ComputePositions Boolean Default: False \n\
</pre></div><p>When true and <span class=\'code\'>crowds.scatterall</span> is called, the transforms are applied according to the settings in the Position panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.ComputeRotations Boolean Default: False \n\
</pre></div><p>When true and <span class=\'code\'>crowds.scatterall</span> is called, the transforms are applied according to the settings in the Rotation panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.ComputeScales Boolean Default: False \n\
</pre></div><p>When true and <span class=\'code\'>crowds.scatterall</span> is called, the transforms are applied according to the settings in the Scale panel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.IncPosSeed Boolean Default: False \n\
</pre></div><p>When true, <strong>.ComputePositions</strong> is true, and <span class=\'code\'>crowds.scatterall</span> is called, add 1 to the <strong>.positionSeed</strong> value before redistributing the objects using the new random seed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.IncRotSeed Boolean Default: False \n\
</pre></div><p>When true, <strong>.ComputeRotations</strong> is true, and <span class=\'code\'>crowds.scatterall</span> is called, add 1 to the <strong>.rotationSeed</strong> value before redistributing the objects using the new random seed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd.scatter&gt;.IncSclSeed Boolean Default: False \n\
</pre></div><p>When true, <strong>.ComputeScales</strong> is true, and <span class=\'code\'>crowds.scatterall</span> is called, add 1 to the <strong>.scaleSeed</strong> value before redistributing the objects using the new random seed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;crowd.scatter&gt;.ObjectsToScatter ArrayParameter Default: #() \n\
</pre></div><p>Objects to be affected by calling <span class=\'code\'>crowds.scatterall</span></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";