var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Crowds - Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Crowds - Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crowds---methods\"></a></div>\n\
<p>The Crowds structure provides the following methods affecting the <strong>character studio</strong>Crowd feature:</p>\n\
<div class=\'codeBlock\'><pre>crowds.     solve &lt;crowd_node&gt;   \n\
</pre></div><p>Equivalent to clicking Solve in the crowd’s Solve rollout<strong>..solve</strong> starts the solving, based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.  genclones &lt;crowd_node&gt;   \n\
</pre></div><p>Equivalent to clicking Generate Clones in the Scatter Objects dialog, Clone tab, displayed by clicking the Scatter Objects icon. Generates clones based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.  genlocations &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Generate Locations in the Scatter Objects dialog, Position tab, displayed by clicking the Scatter Objects icon. Generates locations based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.genrotations &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Generate Orientations in the Scatter Objects dialog, Rotation tab, displayed by clicking the Scatter Objects icon. Generates rotations based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.genscales &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Generate Scales in the Scatter Objects dialog, Scale tab, displayed by clicking the Scatter Objects icon. Generates scales based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.scatterall &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Scatter button in the Scatter Objects dialog, All Ops tab. Scatters objects based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.alignObjects &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Align Objects with Delegates in the Object / Delegates dialog displayed by clicking the Associate Objects with Delegates icon. Aligns objects based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.linkObjects&lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Link Objects to Delegates in the Object / Delegates dialog displayed by clicking the Associate Objects with Delegates icon. Links objects based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.assignControllers &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Assign Delegate Controllers to Objects in the Object / Delegates dialog displayed by clicking the Associate Objects with Delegates icon. Assigns controllers based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.smooth&lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking OK in the Smoothing dialog displayed by clicking the Smooth Paths button in the Solve rollout. Smooths objects motions based on all other current crowd parameter settings.</p>\n\
<div class=\'codeBlock\'><pre>crowds.assignGridProximityPriorities &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Proximity to a Grid / Assign in the Priority rollout. Assigns priorities to the delegates specified in <crowd.priority>.delegates based on their distance from the grid specified in <crowd.priority>.grid.<p>\n\
<div class=\'codeBlock\'><pre>crowds.assignObjectProximityPriorities &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Proximity to an Object / Assign in the Priority rollout. Assigns priorities to the delegates specified in <crowd.priority>.delegates based on their distance from the object specified in <crowd.priority>.object.<p>\n\
<div class=\'codeBlock\'><pre>crowds.assignRandomPriorities &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Assign Random Priorities in the Priority rollout. Assigns random priorities to the delegates specified in <crowd.priority>.delegates.<p>\n\
<div class=\'codeBlock\'><pre>crowds.assignUniquePriorities &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Make Priorities Unique in the Priority rollout. Ensures that the priorities of the delegates specified in <crowd.priority>.delegates are unique. If two delegates share the same priority, one of them will be given a new priority.<p>\n\
<div class=\'codeBlock\'><pre>crowds.incrementPriorities &lt;crowd_node&gt; \n\
</pre></div><p>Equivalent to clicking Increment Priorities in the Priority rollout. Increments the priorities of the delegates specified in <crowd.priority>.delegates by the value in <crowd.priority>.increment.<p>\n\
<blockquote>\n\
<p><strong>NOTES - MAXSCRIPT GROUP:</strong></p>\n\
<p>The MAXScript group of the Solve Rollout has a feature to control the execution of a MAXScript script at each frame.</p>\n\
<p><strong>Use MAXScript:</strong> When on, a user-specified script is executed at each frame during the solution. Default=off.</p>\n\
<p><strong>Function Name:</strong> The name of the function to be executed. This name must be identical to the one specified in the script.</p>\n\
<p><strong>Edit MAXScript:</strong> Click this button to open a MAXScript window for displaying and modifying the script.</p>\n\
</blockquote>\n\
<p>The crowd function needs two parameters defined. The 1st parameter passed in is the current crowd and the 2nd parameter passed in is the solve frame.</p>\n\
<blockquote>\n\
<p><strong>HERE IS A SIMPLE EXAMPLE</strong></p>\n\
<p>``` fn g_PerFrameFn current_crowd the_frame_time = ( if the_frame_time == 1f then (_g_mydebugwindow = newScript() format &quot;% %\\n&quot; current_crowd the_frame_timeto:_g_mydebugwindow ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>You can perform the following MAXScript operations:</p>\n\
<div class=\'codeBlock\'><pre>deleteitem &lt;array&gt; &lt;itemnumber&gt;&lt;array&gt; = #(item,item...)&lt;array&gt; = append &lt;array&gt; &lt;item&gt;\n\
</pre></div><p>on all of the properties containing an ArrayParamater of objects listed below. You can also undo/redo these operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Crowd&gt;.behaviors-- array of Behavior objects \n\
&lt;Crowd&gt;.teams-- array of CrowdTeam objects \n\
&lt;Crowd&gt;.assignments-- array of Assignment objects \n\
&lt;Crowd&gt;.cogcontrols-- array of CognotiveController objects \n\
&lt;Crowd.scatter&gt;.ObjectsToScatter-- node array \n\
&lt;Crowd.objAssoc&gt;.objects-- node array \n\
&lt;Crowd.objAssoc&gt;.delegates-- node array \n\
&lt;Crowd.smooth&gt;.objects-- node array \n\
</pre></div><p>If you delete a team or a cognitive controller via MAXScript<strong>deleteitem\\(crowd01.teams**\\[1\\] 1 or **deleteitem\\)crowd01.cogcontrols</strong>[1] 1, it may still be referenced by some assignments. Nothing will go wrong, but it&#39;s a strange thing to do and one probably should not do it.</p>\n\
<blockquote>\n\
<p><strong>The following MAXScript operations will cause Crowd to fail, either right away or later:</strong></p>\n\
<p><strong>NEVER</strong> set a Crowd ArrayParameter element to undefined.</p>\n\
<p><strong>NEVER</strong> set a Crowd ArrayParameter element to to anything other than an object of the appropriate type.</p>\n\
</blockquote>\n\
</crowd.priority></crowd.priority></crowd.priority></crowd.priority></crowd.priority></crowd.priority></crowd.priority></crowd.priority>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";