var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Delegate:Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Delegate:Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"delegatehelper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Delegate - superclass: helper; super-superclass:node - 36:0 - classID: #(1086356394, 610041830) \n\
<blockquote>\n\
</blockquote></pre></div><p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Value-Common-Properties.html\' title=\'\'>Value</a>&gt;<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>MAXWrapper</a>&gt;<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>Node</a>&gt;<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Node-1.html\' title=\'\'>Helper</a>&gt; Delegate</p>\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\' title=\'\'></div>\n\
<p>The Delegate helper object is a special pyramidal object used in crowd animation. By default, the point of the pyramid indicates the forward direction.</p>\n\
<p>The Crowd object controls the delegate or delegates, whose motion can then be imparted to a biped or other object.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Delegate ... CrowdDelegate ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.width Float Default: 0.0 -- world units \n\
</pre></div><p>The width of the Delegate object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.depth Float Default: 0.0 -- world units \n\
</pre></div><p>The depth of the Delegate object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.height Float Default: 0.0 -- world units \n\
</pre></div><p>The height of the Delegate object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.velocityColor Color Default: (color 0 0 0) \n\
</pre></div><p>When <strong>showVelocity</strong> is true, uses the specified color to draw a vector in the delegate&#39;s center during the simulation solution. The vector length indicates the delegate&#39;s relative speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.active Boolean Default: True \n\
</pre></div><p>The delegate object is subject to control by a Crowd object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.showForces Boolean Default: True \n\
</pre></div><p>The forces being applied to a delegate by any applicable behaviors are drawn as vectors whose length indicate the extent of the forces. For example, if the delegate is affected by a Space Warp behavior and a Wander behavior, the vectors (using default colors) are yellow and blue-green, respectively. These vectors are visible only during solution of the crowd simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.showVelocity Boolean Default: False \n\
</pre></div><p>Uses the Velocity Color (see above) to draw a vector whose length depicts the delegate&#39;s relative speed. This vector is visible only during solution of the crowd simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.showCogStates Boolean Default: True \n\
</pre></div><p>During a solve, a text label appears next to the delegate showing the name of the cognitive controller state or transition that currently directs its behavior, if any.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.xyConstrain Boolean Default: True \n\
</pre></div><p>The delegate remains at its initial height (position on the world XY axis) throughout the simulation. When off, the delegate&#39;s height can change during the simulation, for example when seeking an object at a different height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.useHierBbox Boolean Default: True \n\
Alias Use_Hierarchy_in_Bounding_Box_Computation\n\
</pre></div><p>When true, the Avoid behavior uses the bounding box of the delegate and all of its children to perform its behavior.</p>\n\
<p>This bounding box is computed by the Crowd object, is used by the collision detector, and can be accessed by other behaviors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.averageSpeed Float Default: 5.0 -- animatable; world units \n\
</pre></div><p>Specifies the delegate&#39;s baseline velocity in <strong>3ds Max</strong> units (or the current unit type) per second. This can be modified during the simulation by a variety of factors, such as a linked biped&#39;s built-in speed and Deviation settings in a behavior.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.maxAccel Float Default: 0.1 -- animatable; world units \n\
</pre></div><p>Multiplied times Average Speed to determine the maximum acceleration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.turnDecel Float Default: 0.3 -- animatable; Alias: Turn_Deceleration_Weight \n\
</pre></div><p>Specifies how much a delegate should slow down when turning. The higher this setting, the more the delegate slows down when it reaches the turn angle (see following parameter). A value of 0 specifies no slowdown; a value of 1 tells the delegate to stop.</p>\n\
<p>The algorithm computes a value, d, which goes linearly from 0 to (1 - Decel Weight) as the turn angle of the delegate goes from 0 to the Turn Angle specified by the user. The speed of the delegate is then multiplied by d. For example, when the delegate turns at the Turn Angle or greater, its speed will be multiplied by 1 - Decel Weight, slowing it down as much as possible based on this parameter. When the delegate is not turning at all, its speed is not affected by the Decel Weight. When the delegate is turning at half the specified Turn Angle, d = Decel Weight / 2, so its speed will be multiplied by (1 - Decel Weight / 2).</p>\n\
<p>As a practical example, take a delegate traveling at 10 units/sec, Decel Weight is set to 0.4, and At Turn Angle is set to 30. When the delegate has turned 15 degrees (half the At Turn Angle), the effective deceleration weight is 0.2. Subtract that quantity from 1 to get 0.8, and then multiply that times the delegate&#39;s speed to get 8 units per second halfway into the turn. At the full turn (30 degrees), the delegate travels at 6 units per second.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.turnDecelAngle Float Default: 10.0 -- animatable; Alias: Turn_Deceleration_Angle \n\
</pre></div><p>Specifies the turn angle at which Decel Weight&#39;s full slowdown effect is applied. If the current turn angle is less than At Turn Angle, the algorithm divides the latter by the former, and then divides the Decel Weight setting by the result to derive the effective decel weight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.inclineDecel Float Default: 0.1 -- animatable; Alias: Incline_Deceleration_Weight \n\
</pre></div><p>Specifies how much the delegate should slow down when moving at an upward slant.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.inclineDecelAngle Float Default: 90.0 -- animatable; Alias: Incline_Deceleration_Angle \n\
</pre></div><p>Specifies the upward slant angle at which Decel Weight&#39;s full slowdown effect is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.declineAccel Float Default: 0.1 -- animatable; Alias: Decline_Acceleration_Weight \n\
</pre></div><p>Specifies how much the delegate should speed up when moving at a downward slant.</p>\n\
<p>See Decel Weight for a full explanation, taking into account that Accel Weight produces a speedup effect rather than a slowdown. Thus, the effective acceleration weight is added to 1, not subtracted from it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.declineAccelAngle Float Default: 90.0 -- animatable; Alias: Decline_Acceleration_Angle \n\
</pre></div><p>Specifies the downward slant angle at which Accel Weight&#39;s full speedup effect is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.maxTurnVel Float Default: 30.0 -- animatable; Alias: Max_Turn_Velocity \n\
</pre></div><p>Specifies the maximum number of degrees a delegate can turn.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.maxTurnAccel Float Default: 3.0 -- animatable; Alias: Max_Turn_Acceleration \n\
</pre></div><p>Specifies how much the delegate&#39;s turn angle can change per frame. If this is not small, the delegate&#39;s direction might jerk around. It would be allowed to turn suddenly, rather than smoothly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.maxIncline Float Default: 90.0 -- animatable; Alias: Max_Incline_Velocity \n\
</pre></div><p>Specifies the maximum number of degrees a delegate can turn upward per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.maxDecline Float Default: 90.0 -- animatable; Alias: Max_Decline_Velocity \n\
</pre></div><p>Specifies the maximum number of degrees a delegate can turn downward per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.maxBank Float Default: 30.0 -- animatable \n\
</pre></div><p>Specifies the maximum number of degrees a delegate can bank.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.maxBankVel Float Default: 3.0 -- animatable; Alias: Max_Bank_Velocity \n\
</pre></div><p>Specifies how much the delegate&#39;s bank angle can change per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.bankPerTurn Float Default: 1.0 -- animatable \n\
</pre></div><p>The number of degrees the delegate will bank as a function of the turn angle at the current frame. For example, if Bank per Turn=1, the delegate will bank one degree for every degree it is turning at a given frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.useBiped Boolean Default: False \n\
</pre></div><p>When true, the delegate is associated with a biped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.biped Node Default: Undefined \n\
</pre></div><p>The biped with which the delegate is associated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.startFrame Integer Default: 0 \n\
</pre></div><p>The frame at which the associated biped&#39;s first clip will begin to play.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.priority Integer Default: 0 \n\
</pre></div><p>Sets the delegate priority, which determines the order of solution in biped/delegate simulations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.startClip Integer Default: 0 \n\
</pre></div><p>0 - First clip of current script</p>\n\
<p>1 - Random start clip</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.duration Integer Default: 0 \n\
</pre></div><p>The number of frames the delegate has been in the current state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.behaviors ArrayParameter Default: #() \n\
</pre></div><p>The behaviors property contains valid values only during a solve. Contains the behaviors being used during the solve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.weights ArrayParameter Default: #() \n\
</pre></div><p>The weights property contains valid values only during a solve. Each element contains the weight of the corresponding behavior in the behaviors property value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.simpos Point3 Default: [0,0,0] \n\
</pre></div><p>The simpos property contains a valid value only during a solve. Contains the current position of the delegate during the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.randID Integer Default: 0 \n\
</pre></div><p>A possibly non-unique identifier whose purpose is to be used by behaviors as part of it&#39;s seed calculation. If more than one delegate has the the same randId then they should have the same random behavior. By defualt, crowd creates unique randIds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Delegate&gt;.index Integer Default: -1 -- Read-only \n\
</pre></div><p>Index used by various behaviors as indices into internal arrays. Before a solve, Crowd makes sure that the delegates who are participating in the solve are given a contiguous set of indices, so that behaviors can set up arrays which use these indices.</p>\n\
<p><strong>Related Delegates Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>delegates.isComputing &lt;delegate_node&gt; \n\
</pre></div><p>Returns a &#39;1&#39; if the delegate is currently active in a crowd solve simulation, it returns a &#39;0&#39; otherwise.</p>\n\
<div class=\'codeBlock\'><pre>delegates.velocity &lt;delegate_node&gt; \n\
</pre></div><p>Returns the normalized velocity of the delegate at the current simulation frame as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>delegates.prevVelocity &lt;delegate_node&gt; \n\
</pre></div><p>Returns the normalized velocity of the delegate at the previous simulation frame as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>delegates.startVelocity &lt;delegate_node&gt; &lt;time&gt; \n\
</pre></div><p>Returns the normalized velocity of the delegate at the start of the crowd simulation as a Point3 value. Thus the <span class=\'code\'>&lt;time&gt;</span> parameter is a time value that should be equal to crowd.simStart.</p>\n\
<div class=\'codeBlock\'><pre>delegates.speed &lt;delegate_node&gt; \n\
</pre></div><p>Returns the speed of the delegate at the current simulation frame as a float.</p>\n\
<div class=\'codeBlock\'><pre>delegates.isAssignmentActive &lt;delegate_node&gt; &lt;assignmentIndex&gt; &lt;time&gt; \n\
</pre></div><p>Returns a &#39;1&#39; if the delegate is active for a particular crowd assignment at the time specified, if not it returns a &#39;0&#39;. The <span class=\'code\'>&lt;assignmentIndex&gt;</span> directly corresponds to the index of the assignment in the crowds.assignment array.</p>\n\
<div class=\'codeBlock\'><pre>delegates.computingBiped &lt;delegate_node&gt; \n\
</pre></div><p>Returns a &#39;0&#39; if the biped associated with the delegate is backtracking. This method is primarily for internal use.</p>\n\
<div class=\'codeBlock\'><pre>delegates.reactToMe &lt;delegate_node&gt; \n\
</pre></div><p>If <strong>true</strong>, the delegate&#39;s position/orientation is correct at the current time in the simulation, so it&#39;s ok to use the delegate&#39;s position in a MAXScript computation, thereby &quot;reacting to&quot; the delegate. This property will be false when you have a biped/crowd simulation with priorities, and the delegate&#39;s priority is lower so the delegate has not yet been computed. The delegate’s position is incorrect and you should not base any MAXScript computations upon its position.</p>\n\
<p>The functions <strong>lineDisplay</strong>, <strong>sphereDisplay</strong>, <strong>bboxDisplay</strong>, and <strong>textDisplay</strong> are all functions which can be used to draw a graphic primitive for a particular delegate when the crowd simulation is being solved. All of the positional values are in world space. Usually these functions will be used within a scripted behavior to visually demonstrate the behavior. For example, lineDisplay could be used to draw a line that represents the force that the behavior is exerting on that delegate.</p>\n\
<div class=\'codeBlock\'><pre>delegates.lineDisplay &lt;delegate_node&gt; &lt;startPosition&gt; &lt;endPosition&gt; &lt;color&gt; &lt;vectorScale&gt; \n\
</pre></div><p>This function will draw a line from the start position to the endPosition with the color specified .</p>\n\
<p><span class=\'code\'>&lt;startPosition&gt;</span> is a point3 value.</p>\n\
<p><span class=\'code\'>&lt;endPositions&gt;</span> is a point3 value.</p>\n\
<p><span class=\'code\'>&lt;color&gt;</span> is a color value.</p>\n\
<p><span class=\'code\'>&lt;vectorScale&gt;</span> boolean value. Whether or not to scale the line display by the Crowd.vectorScale value.</p>\n\
<div class=\'codeBlock\'><pre>delegates.sphereDisplay &lt;delegate_node&gt; &lt;position&gt; &lt;radius&gt; &lt;color&gt; \n\
</pre></div><p>This function will draw a sphere at the position <span class=\'code\'>&lt;position&gt;</span>, with a radius of size <span class=\'code\'>&lt;radius&gt;</span>, and a color of <span class=\'code\'>&lt;color&gt;</span>. <span class=\'code\'>&lt;position&gt;</span> is a point3 value, radius is a float and <span class=\'code\'>&lt;color&gt;</span> is a color value.</p>\n\
<div class=\'codeBlock\'><pre>delegates.bboxDisplayc &lt;delegate_node&gt; &lt;minPosition&gt; &lt;maxPosition&gt; &lt;color&gt; \n\
</pre></div><p>This function will draw a bounding box specifed by the two extrema points, <span class=\'code\'>&lt;minPosition&gt;</span> and <span class=\'code\'>&lt;maxPosition&gt;</span>, with the color specified. <span class=\'code\'>&lt;minPosition&gt;</span> and <span class=\'code\'>&lt;maxPosition&gt;</span> are point3 values and <span class=\'code\'>&lt;color&gt;</span> is a color value.</p>\n\
<div class=\'codeBlock\'><pre>delegates.textDisplay &lt;delegate_node&gt; &lt;position&gt; &lt;color&gt; &lt;string&gt; \n\
</pre></div><p>This function will draw the text found in the <span class=\'code\'>&lt;string&gt;</span> parameter at the position specified at <span class=\'code\'>&lt;position&gt;</span>, with the color found in <span class=\'code\'>&lt;color&gt;</span>. <span class=\'code\'>&lt;position&gt;</span> is a point3 value, <span class=\'code\'>&lt;color&gt;</span> is a color value, and <span class=\'code\'>&lt;string&gt;</span> is a string value.</p>\n\
<div class=\'codeBlock\'><pre>delegates.simTransform&lt;delegate&gt; &lt;time&gt; \n\
</pre></div><p>Returns the delegate’s transformation matrix at the specified time as a Matrix3 value. This method returns valid values during a solve.</p>\n\
<p>Note:</p>\n\
<p>During a Solve, the simulation doesn&#39;t set the delegate nodes’ position and rotation keys until the simulation stops. As such, accessing the delegate nodes’ position and rotation during the solve will return incorrect results. The position of a delegate during a solve can be accessed via the <strong>.simpos</strong> property.</p>\n\
<p>Delegates cannot be rendered, so the size of the Delegate object is primarily for use in scene setup and for determining bounding box extents.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";