var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Vector_Field: SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Vector_Field: SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"vector_field-spacewarpobject\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-48434F73-5CDC-435A-A130-2273AC57C88D-low.gif\' title=\'\'></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Vector_Field ... VectorField ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.Length Float Default: 0.0 -- world units\n\
</pre></div><p>Specify the length dimension of the vector field lattice. The lattice should be larger than the vector field object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.Width Float Default: 0.0 -- world units\n\
</pre></div><p>Specify the width dimension of the vector field lattice. The lattice should be larger than the vector field object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.Height Float Default: 0.0 -- world units\n\
</pre></div><p>Specify the height dimension of the vector field lattice. The lattice should be larger than the vector field object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.LenSegs Integer Default: 1 Alias: Length_Segments\n\
</pre></div><p>Specify the resolution of the vector field lattice’s length segments. The greater the resolution, the higher the accuracy of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.WidSegs Integer Default: 1 Alias: Width_Segments\n\
</pre></div><p>Specify the resolution of the vector field lattice’s width segments. The greater the resolution, the higher the accuracy of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.HgtSegs Integer Default: 1 Alias: Height_Segments\n\
</pre></div><p>Specify the resolution of the vector field lattice’s height segments. The greater the resolution, the higher the accuracy of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.showLattice Boolean Default: True\n\
</pre></div><p>Set on to display the vector field lattice as a yellow wireframe box. The vectors are generated at lattice intersections inside the vector field range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.showRange Boolean Default: True\n\
</pre></div><p>Set on to display the volume about the obstacle object within which vectors are generated as an olive-colored wireframe.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.showVectors Boolean Default: False\n\
</pre></div><p>Set on to display vectors, which appear as blue lines emanating outward from the lattice intersections within the range volume.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.showSurfSamps Boolean Default: False\n\
</pre></div><p>Set on to display short green lines emanating from sample points on the surface of the obstacle object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.vecScale Float Default: 1.0 -- world units\n\
</pre></div><p>Scales the vectors so they&#39;re more visible or less obtrusive. This setting does not affect the strength of the vectors only their visibility.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.iconSize Float Default: 0.0 -- world units\n\
</pre></div><p>Adjusts the size of the Vector Field space warp icon. The icon is a pair of crossed double-headed arrows. Increase the size for easier viewport selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.strength Float Default: 1.0 -- animatable; world units\n\
</pre></div><p>Sets the degree of effect the vectors have on the movement of an object entering the vector field. Changing Strength does not require that you recalculate the vector field.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.falloff Float Default: 2.0 -- animatable; world units   \n\
</pre></div><p>Determines the rate at which the strength of the vectors falls off with distance from the surface of the object. A value of 0 will make all the vectors the same size. A value greater than 0 will make them get smaller as they get further away. A value less then 0 will make them get larger as they get further away.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.direction Integer Default: 1 -- animatable \n\
</pre></div><p>Sets whether the force generated by the vectors works parallel or perpendicular to the vector field. Because the vectors are perpendicular to the object surface, and you typically would want delegates to travel parallel to the surface, you would normally use a perpendicular force.</p>\n\
<p>0 - Parallel</p>\n\
<p>1 - Perpendicular</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.pull Float Default: 0.0 -- animatable; world units \n\
</pre></div><p>Adjusts objects&#39; position relative to the field. Available only when Perpendicular is chosen. Range=-1.0 to 1.0. Objects moving perpendicular to a vector field sometimes tend to drift away from it, due to lack of subsampling. The Pull parameter helps to pull objects back. Pull values greater than 0 create a pulling force towards the source of the vector field vector. Values less than 0 pull the force towards the direction in which the vector field&#39;s vector is pointing. A value of 0.0 produces a force perfectly perpendicular to the vector field&#39;s vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.object Node Default: Undefined Alias: Vector_Field_Object \n\
</pre></div><p>The obstacle object around which the vector field is to be generated. Only primitives and unmodified editable mesh objects can be used as obstacles. The object should be fully enclosed in the Vector Field lattice.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.range Float Default: 1.0 -- world units \n\
</pre></div><p>Determines the volume within which vectors are generated. The Range is represented in viewports as an olive-colored wireframe that starts out the same size and shape as the obstacle object. Increasing the Range setting moves the wireframe away from the obstacle object in the direction of its surface normals.</p>\n\
<p>Note:</p>\n\
<p>In crowd simulations, the Range outline is where the delegates start to &quot;see&quot; the obstacle object, and begin to turn to avoid it. If your crowd members are penetrating the obstacle, or even just coming too close to it before turning, increase the Range setting. Also try increasing the Vector Field lattice resolution and/or the Sample Res setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.resolution Integer Default: 1 \n\
</pre></div><p>Acts as a multiplier of the effective sampling rate used on the obstacle object&#39;s surface to calculate vector directions in the field. The basic sampling rate is determined by the program from the size of the lattice and the size of each polygon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.flipFaces Boolean Default: False \n\
</pre></div><p>Setting to true causes flipped normals to be used during the computation of the vector field. By default, vectors are generated in the same direction as the obstacle object&#39;s face normals, so that assuming its face normals point outward, objects move around its exterior in a crowd simulation. However, if you want objects to remain within an object&#39;s interior, turn on <strong>flipFaces</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.blendStart Float Default: 0.0 -- world units \n\
</pre></div><p>The distance from the object at which blending the vectors starts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.blendFalloff Float Default: 2.0 -- world units \n\
</pre></div><p>The falloff of the blend of the surrounding vectors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.blendWidSegs Integer Default: 1 \n\
</pre></div><p>The number of adjacent lattice points to blend on the X axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.blendLenSegs Integer Default: 1 \n\
</pre></div><p>The number of adjacent lattice points to blend on the Y axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vector_Field&gt;.blendHgtSegs Integer Default: 1 \n\
</pre></div><p>The number of adjacent lattice points to blend on the Z axis.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>vfields.computeVectors &lt;Vector_Field&gt; \n\
</pre></div><p>Calculates the vector field using the current Vector Field parameters. Always recalculate the vector field after changing any of the non-display related parameters.</p>\n\
<div class=\'codeBlock\'><pre>vfields.BlendVectors &lt;Vector_Field&gt; \n\
</pre></div><p>Blends the vectors for reducing abrupt changes in angles of neighboring vectors.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;Vector_Field_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<p>Vector_Field_Mod</p>\n\
<p>This modifier is automatically created by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>bindSpaceWarp()</a> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";