var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MxClip Class</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MxClip Class</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mxclip-class\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.orgstart: timevalue,Read-only      .orgend: timevalue,Read-only     \n\
</pre></div><p>These are the original time boundaries of the file loaded into the clip. These bounds never change unless a new file is loaded into the clip.</p>\n\
<div class=\'codeBlock\'><pre>.trimstart: timevalue    .trimend: timevalue   \n\
</pre></div><p>These are the trimmed boundaries of the clip. They are the same as or within the original boundaries. These values do not change when you scale a clip. They simply tell you what subset of the original clip is being used. These boundaries are visible in the mixer when you are in trim mode. When you set these values, the weight curve and time warps will be trimmed appropriately.</p>\n\
<div class=\'codeBlock\'><pre>.globstart: timevalue   .globend: timevalue \n\
</pre></div><p>These are global frame values. They indicate where the trimmed bounds of the clip are mapped globally. The clip&#39;s scale is defined by the relationship between the trimmed interval (trimend - trimstart) and the global interval (globend - globstart). If those intervals are equal, the clip’s scale is 1. globstart must be less than globend.</p>\n\
<div class=\'codeBlock\'><pre>.scale: float (must be &gt; 0.0) \n\
</pre></div><p>This is the clips&#39; scale. When you change it, the clip will scale on the right edge. The left edge will not move.</p>\n\
<div class=\'codeBlock\'><pre>.transInpt: timevalue \n\
</pre></div><p>This is the inpoint of the transition from this clip to the next. The inpoint must be greater than the outpoint from the previous transition to this clip (prevTransOutpt). The inpoint must be less than the scaled local trimmed end of the clip. (see definition of scaled local below)</p>\n\
<div class=\'codeBlock\'><pre>.transAngle: float \n\
</pre></div><p>This is the transition angle for the transition from this clip to the next.</p>\n\
<div class=\'codeBlock\'><pre>.transFocus: name must be set to one of the following: #focusAuto, #focusCom, #focusLftFoot, #focusRgtFoot, #focusBthFeet\n\
</pre></div><p>This is the transition focus for the transition from this clip to the next.</p>\n\
<div class=\'codeBlock\'><pre>.transRolling: boolean \n\
</pre></div><p>This describes whether or not this clip is rolling or fixed during the transition to the next clip.</p>\n\
<div class=\'codeBlock\'><pre>.transEasein: float (0.0 - 1.0) .transEaseout: float (0.0 - 1.0) \n\
</pre></div><p>These are the ease values for the transition from this clip to the next. Each ease value, and the sum of the ease values, must be between 0.0 and 1.0, inclusive.</p>\n\
<div class=\'codeBlock\'><pre>.prevTransOutpt: timevalue \n\
</pre></div><p>This is the outpoint of the transition from the previous clip to this clip. The outpoint must be less than the inpoint from this clip to the next (transInpt). The outpoint must be greater than the scaled local trimmed start of the clip. . (see definition of scaled local below)</p>\n\
<div class=\'codeBlock\'><pre>.prevTransRolling: boolean \n\
</pre></div><p>This describes whether or not this clip is rolling or fixed during the transition from the previous clip to this clip.</p>\n\
<div class=\'codeBlock\'><pre>.filename: string, not settable \n\
</pre></div><p>This is the filename of the bip file used by this clip. You must use the loadFile function to change the file.</p>\n\
<div class=\'codeBlock\'><pre>.numWeights: integer, not settable \n\
</pre></div><p>The number of weights in the clip’s weight curve (relevant only when clip is in a layer track)</p>\n\
<div class=\'codeBlock\'><pre>.numTimeWarps: integer, not settable \n\
</pre></div><p>The number of time warp keys in the clip’a s time warp.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'section\'><a id=\"clips\"></a><h2 id=\"clips\">Clips</h2></div>\n\
<div class=\'codeBlock\'><pre>loadFile &lt;clip:mxclip&gt; &lt;loadOption:name&gt; &lt;filename:string&gt; &lt;ZeroFootHeight:boolean&gt; \n\
</pre></div><p>This loads a .bip file into a clip. loadOption must be one of the following:</p>\n\
<ul>\n\
<li><span class=\'code\'>#singleClip</span> (means load the file only into this clip),</li>\n\
<li><span class=\'code\'>#instances</span> (means load the file into this clip as well as all instances of this clip),</li>\n\
<li><span class=\'code\'>#adaptations</span> (means load the file into this clip and all instances and adaptations of this clip).</li>\n\
</ul>\n\
<p>Returns true or false, indicating whether or not the file load was successful.</p>\n\
<div class=\'codeBlock\'><pre>moveClip &lt;clip:mxclip&gt; &lt;timeInc:timevalue&gt; \n\
</pre></div><p>This moves the clip timeInc frames. It returns true. Using this function, you can overlap clips, unlike you can in the user interface. However, this is not advised.</p>\n\
<div class=\'codeBlock\'><pre>scaleClip &lt;clip:mxclip&gt; &lt;scale:float&gt; \n\
</pre></div><p>This scales the clip. This scale value must be greater than 0. This is different from the clip&#39;s scale property, which sets the absolute scale. Instead this will multiply the absolute scale by the specified amount. Using this function, you can overlap clips, unlike you can in the user interface. However, this is not advised.</p>\n\
<div class=\'section\'><a id=\"time-conversion-methods\"></a><h2 id=\"time-conversion-methods\">Time Conversion Methods</h2></div>\n\
<p>The following functions return a time value.They are useful for converting between various time spaces described below:</p>\n\
<p><strong>local:</strong> a time between trimstart and trimend, inclusive</p>\n\
<p><strong>scaled local</strong>: a time between 0 and the length of the scaled clip, which can be found this way:</p>\n\
<div class=\'codeBlock\'><pre>length = &lt;mxclip&gt;.globend- &lt;mxclip&gt;.globstart\n\
</pre></div><p>Transition inpoints and outpoints are stored in scaled local time.</p>\n\
<p><strong>global</strong>: a global time value</p>\n\
<div class=\'codeBlock\'><pre>LocalToScaledLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; \n\
ScaledLocalToLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; \n\
LocalToGlobal &lt;clip:mxclip&gt; &lt;frame:integer&gt; \n\
GlobalToLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; \n\
GlobalToScaledLocal &lt;clip:mxclip&gt; &lt;frame:integer&gt; \n\
ScaledLocalToGlobal &lt;clip:mxclip&gt; &lt;frame:integer&gt; \n\
GlobalInpoint &lt;clip:mxclip&gt; \n\
GlobalOutpoint &lt;clip:mxclip&gt; \n\
</pre></div><div class=\'section\'><a id=\"weight-methods\"></a><h2 id=\"weight-methods\">Weight Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>getWeight &lt;index::integer &gt; \n\
</pre></div><p>Returns the weight at the specified index in the clip’s weight curve. If the Index is out of bounds, the function will return 0.0.</p>\n\
<div class=\'codeBlock\'><pre>getWeightTime &lt;index::integer &gt; \n\
</pre></div><p>Returns the time at the specified index in the clip’s weight curve. If the Index is out of bounds, the function will return 0.</p>\n\
<div class=\'codeBlock\'><pre>deleteWeight &lt;index::integer &gt; \n\
</pre></div><p>Deletes the weight at the specified index in the clip’s weight curve. If the Index is out of bounds, the function will return false. Otherwise, it returns true.</p>\n\
<div class=\'codeBlock\'><pre>setWeight &lt;index::integer &gt; &lt;float::weight&gt; \n\
</pre></div><p>Sets the weight at the specified index in the clip’s weight curve. If the Index is out of bounds or weight is not between 0.0 and 1.0, the function will return false. Otherwise, it returns true.</p>\n\
<div class=\'codeBlock\'><pre>setWeightTime &lt;index::integer &gt; &lt;time::timevalue&gt; \n\
</pre></div><p>Sets the time at the specified index in the clip’s weight curve. If the Index is out of bounds or time is not between the time values of the previous and next values in the weight curve, the function will return false. If time is less than 0 or greater than the scaled local last frame of the clip, the function will also return false. Otherwise, it returns true.</p>\n\
<div class=\'codeBlock\'><pre>setWeightAtTime &lt;time::timevalue&gt; &lt;float::weight&gt; \n\
</pre></div><p>If there is a key at time time on the weight curve, this will reset the weight at that key. If not, this will create a new key at time time with weight weight. If time is less than 0 or greater than the scaled local last frame of the clip, the function will return false. Otherwise, it returns true.</p>\n\
<div class=\'codeBlock\'><pre>getWeightAtTime &lt;time::timevalue&gt; \n\
</pre></div><p>If t is at a key at time time in the weight curve, this returns the weight at that key. Otherwise, it returns the interpolated weight at time time. If there are no weights, this returns 1.0.</p>\n\
<div class=\'section\'><a id=\"time-warp-methods\"></a><h2 id=\"time-warp-methods\">Time Warp Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>isTimeWarpActive() \n\
</pre></div><p>Returns true if time warp exists, false if not.</p>\n\
<div class=\'codeBlock\'><pre>ActivateTimeWarp() \n\
</pre></div><p>Activates the time warp for this clip.</p>\n\
<div class=\'codeBlock\'><pre>DeactivateTimeWarp() \n\
</pre></div><p>Deactivates the time warp for this clip.</p>\n\
<div class=\'codeBlock\'><pre>InitializeTimeWarp() \n\
</pre></div><p>Initializes the time warp for this clip, placing one time warp key at the beginning of the clip, and another at the end. This will also activate the time warp if it is not active.</p>\n\
<div class=\'codeBlock\'><pre>getTwOrgTime &lt;index::integer&gt; \n\
</pre></div><p>Returns the original time at index index. If index is out of bounds of the time warp, this returns 0.</p>\n\
<div class=\'codeBlock\'><pre>getTwWarpTime &lt;index::integer&gt; \n\
</pre></div><p>Returns the warped time at index index. If index is out of bounds of the time warp, this returns 0.</p>\n\
<div class=\'codeBlock\'><pre>GetOrgTimeAtWarpedTime &lt;wtime::timevalue&gt; \n\
</pre></div><p>This returns what original time has been warped to time wtime. If wtime is out of bounds of the time warp, this returns 0.</p>\n\
<div class=\'codeBlock\'><pre>GetWarpedTimeAtOrgTime &lt;otime::timevalue&gt; \n\
</pre></div><p>Returns what the original time, otime, has been warped to. If otime is out of bounds of the clip’s scaled local time, this returns 0.</p>\n\
<div class=\'codeBlock\'><pre>DeleteTw &lt;index::integer&gt; \n\
</pre></div><p>Deletes the time warp key at index index. If index is out of bounds of the time warp, this returns false. Otherwise it returns true.</p>\n\
<div class=\'codeBlock\'><pre>SetTwOrgTime &lt;index::integer&gt; &lt;otime::timevalue&gt; \n\
</pre></div><p>Sets the original time of the time warp key at index index to otime. This returns false if index is out of bounds of the time warp, or otime is not inbetween the two original times of the warp indices surrounding index. This also returns false if you attempt to change the original time of the first and last values in the time warp, since it must remain at the clip boundaries. Otherwise, this returns true.</p>\n\
<div class=\'codeBlock\'><pre>SetTwWarpTime &lt;index::integer&gt; &lt;wtime::timevalue&gt; \n\
</pre></div><p>Sets the warped time of the time warp key at index index to wtime. This returns false if index is out of bounds of the time warp, or wtime is not inbetween the two warped times of the warp indices surrounding index. This also returns false if wtime is less than 0 or greater than the scaled local last frame of the clip. Otherwise, this returns true.</p>\n\
<div class=\'codeBlock\'><pre>InsertWarpAtOrgTime &lt;otime::timevalue&gt; \n\
</pre></div><p>If otime is at an existing warp key&#39;s original time value, or otime is out of bounds of the clip&#39;s scaled local bounds, then this returns false. Otherwise it sets a new time warp key, computing the warped time for this key such that the flow is continuous, and it returns true.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";