var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MxTrack Class</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MxTrack Class</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mxtrack-class\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.tracktype: name (#layertrack|#transtrack)   \n\
</pre></div><p>Get/set the type of the track - layer or transition.</p>\n\
<div class=\'codeBlock\'><pre>.mute: boolean   \n\
</pre></div><p>Get/set the muted state of the track.If set to true, the track will be muted.</p>\n\
<p>If you turn soloon,mute will be turned off, and vice-versa.</p>\n\
<div class=\'codeBlock\'><pre>.solo: boolean \n\
</pre></div><p>Get/set the solo state of the track. If set to true, all other track will be muted.</p>\n\
<p>If you turn mute on, solo will be turned off, and vice-versa.</p>\n\
<div class=\'codeBlock\'><pre>.transPreserveHgt: boolean \n\
</pre></div><p>Although this appears in the transition edit dialog, it is actually set for the entire track.</p>\n\
<div class=\'codeBlock\'><pre>.numClips: integer .numTransClips: integer \n\
</pre></div><p>For a layer track, this property will always contain 0.</p>\n\
<p>For a transition track, this property will contain the number of clips which are actually part of the transitioning clips in the track. A greyed out clip will not be counted. This value should be used to loop through the transition clips, in order, using the GetClip()function.</p>\n\
<div class=\'codeBlock\'><pre>.numWeights: integer, not settable \n\
</pre></div><p>The number of weights in the track’s weight curve (relevant for transition tracks only)</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getclip &lt;track:mxtrack&gt; &lt;index:integer&gt; \n\
</pre></div><p>This method will return the clip in the track specified by the index.</p>\n\
<p>Indices start with 1.</p>\n\
<p>In the case of a transition track, this will be an index into the set of clips, in order, which are actually part of the transitioning clips in the track.</p>\n\
<p>A greyed out clip will not be counted.</p>\n\
<p>Use the <span class=\'code\'>. numTransClips</span> property to find out how many transitioning clips there are in the track.</p>\n\
<div class=\'codeBlock\'><pre>cleartrack &lt;track:mxtrack&gt; \n\
</pre></div><p>This method deletes all the clips in the track. It returns <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>appendClip &lt;track:mxtrack &gt; &lt;fname:string&gt; &lt;ZeroFootHgt:boolean&gt; &lt;interval:timevalue&gt; \n\
</pre></div><p>The specified bip file will be loaded into the new clip, and the reservoir, using the ZeroFootHeight parameter.</p>\n\
<p>For layer tracks, the start of the new clip will be appended interval time from the end of the last clip in the track.</p>\n\
<p>The interval variable must be &gt;= 0.</p>\n\
<p>For transition tracks, the interval parameter is ignored. The start of the new clip will be at the inpoint of the last clip in the track, and it will be on the opposite row of the last clip. It will start later if it collides with another clip.</p>\n\
<p>For both layer and transition tracks, if there are no clips in the track, the new clip will start at frame 0.</p>\n\
<p>Returns <span class=\'code\'>false</span> if the specified file could not be loaded. Other wise, it returns <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>appendMaxClip &lt;track:MXtrack&gt; &lt;fname:string&gt; &lt;interval:timevalue&gt; &lt;mapName:string&gt; \n\
</pre></div><p>Loads the specified max animation file as a clip onto the track. Only works for <strong>3ds Max</strong>animation tracks, see <span class=\'code\'>appendTrack()</span> above for a Biped-only method.</p>\n\
<p>The fname argument defines the filename of the .xaf file to be loaded.</p>\n\
<p>The interval argument defines the number of frames from the end of the last clip in the track that the new clip will be appended at in layer tracks. The interval must be greater or equal to 0.</p>\n\
<p>For transistion tracks, the interval parameter is ingnored and the start of the new clip will be at the inpoint of the last clip in the track, and it will be on the opposite row of the last clip. The parameter is also ignored if there are no clips in the track - in that case, the clip will automatically start at frame 0.</p>\n\
<p>The mapName argument defines the filename of the .xmm map file to be loaded.</p>\n\
<p>The method returns <span class=\'code\'>true</span> if the clip is created properly.</p>\n\
<p>The method returns <span class=\'code\'>false</span> if the files cannot be loaded or the mapping is not correct.</p>\n\
<div class=\'codeBlock\'><pre>optimizeTransitions &lt;track:mxtrack&gt; &lt;PreferredTransLength:integer&gt; &lt;SearchEntireClip:boolean&gt; &lt;SearchRangeBefore:integer&gt; &lt;SearchRangeAfter:integer&gt; \n\
</pre></div><p>This method optimizes transitions.</p>\n\
<p>If this methodis called foralayer track, it will return <span class=\'code\'>false</span> and do nothing.</p>\n\
<p>PreferredTransLength and the search ranges must be positive values. They are specified as frames. If they are negative values, the optimization will not be performed and the function will return <span class=\'code\'>false</span> .</p>\n\
<p>Otherwise, the function will return <span class=\'code\'>true</span> on success and <span class=\'code\'>false</span> on failure.</p>\n\
<p>If optimization requires clips to be trimmed to avoid visual overlap, then they will be trimmed.</p>\n\
<div class=\'codeBlock\'><pre>optimizeClipTransition &lt;track:mxtrack &gt; &lt;PreferredTransLength:integer&gt; &lt;SearchEntireClip:boolean&gt; &lt;SearchRangeBefore:integer&gt; &lt;SearchRangeAfter:integer&gt; &lt;ClipIndex:integer&gt; \n\
</pre></div><p>See notes above about legal parameter values. This function optimizes only a single clip&#39;s transition.</p>\n\
<p>The ClipIndex is an index into the track&#39;s trans clips and specifies which clip’s transition, from itself to the next clip, will be optimized.</p>\n\
<p>If the ClipIndex is out of range of the trans clips, the optimization will not be performed and the function will return <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>getWeight &lt;index::integer &gt; \n\
</pre></div><p>This method returns the weight at the specified index in the track’s weight curve. If the Index is out of bounds, the function will return 0.0.</p>\n\
<div class=\'codeBlock\'><pre>getWeightTime &lt;index::integer &gt; \n\
</pre></div><p>This method returns the time at the specified index in the track’s weight curve. If the Index is out of bounds, the function will return 0.</p>\n\
<div class=\'codeBlock\'><pre>deleteWeight &lt;index::integer &gt; \n\
</pre></div><p>This method deletes the weight at the specified index in the track’s weight curve. If the Index is out of bounds, the function will return <span class=\'code\'>false</span> . Otherwise, it returns <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>setWeight &lt;index::integer &gt; &lt;float::weight&gt; \n\
</pre></div><p>This method sets the weight at the specified index in the track’s weight curve. If the Index is out of bounds or weight is not between 0.0 and 1.0, the function will return <span class=\'code\'>false</span> . Otherwise, it returns <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>setWeightTime &lt;index::integer &gt; &lt;time::timevalue&gt; \n\
</pre></div><p>This method sets the time at the specified index in the track’s weight curve. If the Index is out of bounds or time is not between the time values of the previous and next values in the weight curve, the function will return <span class=\'code\'>false</span> . Otherwise, it returns <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>setWeightAtTime &lt;time::timevalue&gt; &lt;float::weight&gt; \n\
</pre></div><p>If there is a key at time time on the weight curve, this will reset the weight at that key. If not, this method will create a new key at time time with weight weight.</p>\n\
<div class=\'codeBlock\'><pre>getWeightAtTime &lt;time::timevalue&gt; \n\
</pre></div><p>If t is at a key at time time in the weight curve, This method returns the weight at that key. Otherwise, it returns the interpolated weight at time time. If there are no weights,itreturns 1.0.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";