var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BipAnalyzer Core Interface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BipAnalyzer Core Interface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bipanalyzer-core-interface\"></a></div>\n\
<div class=\'codeBlock\'><pre>Interface:BipAnalyzer \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipAnalyzer.DoNoiseDetectorAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;deviation &lt;boolean&gt;angular &lt;integer&gt;noiseType &lt;node&gt;parentNode   \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p><strong>noiseType</strong> is</p>\n\
<p>0-speed,</p>\n\
<p>1-acceleration,</p>\n\
<p>2-jerk</p>\n\
<p>Performs Noise Detector Analysis of the specified nodes in the given interval using the supplied deviation. If <strong>angular</strong> is <strong>true</strong>, the Rotation will be analysed, otherwise the Position will be analysed. The analysis will be performed relatively to the supplied <strong>parentNode</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` nodesToAnalyse = #(\\(&#39;Bip01 Head&#39;,\\)&#39;Bip01 Pelvis&#39;) BipAnalyzer.doNoiseDetectorAnalysis nodesToAnalyse (interval 0 100) 3.0 true 0 $Bip01</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipAnalyzer.DoSpikeDetectorAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;deviation \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Performs Spike Detector Analysis of the specified nodes in the given interval using the supplied deviation.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>```</p>\n\
<p>BipAnalyzer.doSpikeDetectorAnalysis $&#39;Bip01 Head&#39; (interval 0 100) 3.0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipAnalyzer.DoKneeWobbleAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;frameThreshold &lt;float&gt;fluctuationThreshold \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Performs Knee Wobble Analysis of the specified nodes in the given time interval using the supplied frame and fluctuation thresholds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipAnalyzer.DoKneeExtensionAnalysis &lt;&amp;node array&gt;nodeTab &lt;interval&gt;range &lt;float&gt;kneeAngle \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Performs Knee Extension Analysis of the specified nodes in the given time interval using the supplied knee angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;time array&gt;BipAnalyzer.GetResults &lt;node&gt;node \n\
</pre></div><p>Returns a TimeValueTab.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipAnalyzer.LoadAnalysisFile &lt;filename&gt;fileName \n\
</pre></div><p>Loads the Analysis File with the given file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipAnalyzer.SaveAnalysisFile &lt;&amp;node array&gt;nodeTab &lt;filename&gt;fileName \n\
\n\
nodeTab is In and Out parameter \n\
</pre></div><p>Saves an Analysis File for the specified objects to the given file name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipAnalyzer.ClearAnalysisResults() \n\
</pre></div><p>Clears all results.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";