var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BipWorkBench Core Interface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BipWorkBench Core Interface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bipworkbench-core-interface\"></a></div>\n\
<p>This Core Interface exposes the functionality of the Workbench to MAXScript.</p>\n\
<p>Note:</p>\n\
<p>All of the &#39;toggle&#39; functions are listed as BipAnimationWB actions in the Customize UI section.</p>\n\
<p>This gives users a quick way to mirror some workbench functionality in the trackview via quadmenus, etc.</p>\n\
<div class=\'codeBlock\'><pre>Interface:BipWorkBench \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ToggleShowX()   \n\
</pre></div><p>Toggles the <strong>X</strong> function curve display checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BipWorkBench.GetShowX() \n\
</pre></div><p>Returns <strong>true</strong> if the <strong>X</strong> function curve display checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ToggleShowY() \n\
</pre></div><p>Toggles the <strong>Y</strong> function curve display checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BipWorkBench.GetShowY() \n\
</pre></div><p>Returns <strong>true</strong> if the <strong>Y</strong> function curve display checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ToggleShowZ() \n\
</pre></div><p>Toggles the <strong>Z</strong> function curve display checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BipWorkBench.getShowZ() \n\
</pre></div><p>Returns <strong>true</strong> if the <strong>Z</strong> function curve display checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ToggleLayerEdit() \n\
</pre></div><p>Toggles the <strong>Show Layered Edit</strong> checkbutton</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BipWorkBench.GetLayerEdit() \n\
</pre></div><p>Returns <strong>true</strong> if the <strong>Show Layered Edit</strong> checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ToggleDrawDuringMove() \n\
</pre></div><p>Toggles the Draw While Moving checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BipWorkBench.GetDrawDuringMove() \n\
</pre></div><p>Returns <strong>true</strong> if the <strong>Draw While Moving</strong> checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ToggleLimit180() \n\
</pre></div><p>Toggles the Limit -180 to 180 checkbutton</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;BipWorkBench.GetLimit180() \n\
</pre></div><p>Returns <strong>true</strong> if the <strong>Limit -180 to 180</strong> checkbutton is checked, <strong>false</strong> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowQuatCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Quat Curve</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowPosCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Pos Curve</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowAngSpeedCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Rot Speed</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowAngAccelCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Rot Accel</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowAngJerkCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Rot Jerk</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowPosSpeedCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Pos Speed</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowPosAccelCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Pos Accel</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowPosJerkCurve() \n\
</pre></div><p>Sets the Curve drop-down list to <strong>Pos Jerk</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.PosCurveToWorld() \n\
</pre></div><p>Put the position curve relative to the World. Checks the <strong>World</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.PosCurveToBipRoot() \n\
</pre></div><p>Put the position curve relative to the Root. Checks the <strong>Parent</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.PosCurveToThisNode&lt;node&gt;relativeToNode \n\
</pre></div><p>Put the position curve relative to the specified node. Checks the Node checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.Open() \n\
</pre></div><p>Opens the Animation Workbench.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowQuatXYZ() \n\
</pre></div><p>Enables the Show Quat XYZ option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowQuatXZY() \n\
</pre></div><p>Enables the Show Quat XZY option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowQuatYXZ() \n\
</pre></div><p>Enables the Show Quat YXZ option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowQuatYZX() \n\
</pre></div><p>Enables the Show Quat YZX option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowQuatZXY() \n\
</pre></div><p>Enables the Show Quat ZXY option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;BipWorkBench.ShowQuatZYX() \n\
</pre></div><p>Enables the Show Quat ZYZ option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";