var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Access to MAXWrapper AppData</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Access to MAXWrapper AppData</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"access-to-maxwrapper-appdata\"></a></div>\n\
<p>The AppData access methods give a simple form of access to the AppData capability in the <strong>3ds Max</strong> SDK.</p>\n\
<p>The AppData mechanism provides a way for plug-ins to attach arbitrary data to any <strong>3ds Max</strong> object in a scene, such as nodes, materials, modifiers, controllers, etc., that is permanently stored with that object in the <strong>3ds Max</strong> scene file.</p>\n\
<p>The following <strong>methods</strong> are used to read and store AppData for a MAXWrapper object:</p>\n\
<div class=\'codeBlock\'><pre>setAppData &lt;MAXWrapper_object&gt; &lt;integer_ID&gt; &lt;string&gt;     \n\
</pre></div><p>Sets the AppData item of the given ID number on the given <strong>3ds Max</strong> object to the <span class=\'code\'>&lt;string&gt;</span> value. This creates a new item if needed or replaces the string contents if an item of that ID already exists.</p>\n\
<div class=\'codeBlock\'><pre>getAppData &lt;MAXWrapper_object&gt; &lt;integer_ID&gt;   \n\
</pre></div><p>Returns the AppData item string of the given ID number from the given <strong>3ds Max</strong> object. Returns the value <span class=\'code\'>undefined</span> if the ID&#39;d item is not present.</p>\n\
<div class=\'codeBlock\'><pre>deleteAppData &lt;MAXWrapper_object&gt; &lt;integer_ID&gt; \n\
</pre></div><p>Deletes the AppData item if the given ID number from the given <strong>3ds Max</strong> object.</p>\n\
<div class=\'codeBlock\'><pre>clearAllAppData &lt;MAXWrapper_object&gt; \n\
</pre></div><p>Clears out all MAXScript-related AppData items from the given MAXWrapper object.</p>\n\
<p>You can add as many AppData strings as you like to an object—you assign them each an integer identification number when they are first added and access them later using those IDs.</p>\n\
<p>AppData strings can be attached to any MAXWrapper subclass instance, including scene nodes, modifiers, controllers, materials, atmospherics, etc.</p>\n\
<p>Note: The AppData is stored in the scene—file <strong>only</strong> if its object is in the scene—if, for example, you create a material in MAXScript and do not assign it to any object or the material editor, it will not be saved in the scene file nor will its AppData.</p>\n\
<p>If you want to associate certain AppData strings with the scene as a whole, it is recommended that you create a hidden dummy node with a unique name and attach the scene AppData to that node.</p>\n\
<p>AppData in its full generality allows the C++ plug-in developer to store arbitrary binary data with an object. This is not directly possible with MAXScript, so the approach taken is to store and retrieve AppData text strings that can be built-up or parsed into complex MAXScript objects using a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\' title=\'\'>StringStream Value</a>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>To store some numbers in an array on a scene node, you might do the following:</p>\n\
<p>``` ss = StringStream&quot;&quot; for v in data_values do print v to:ss setAppData $foo 1 ss</p>\n\
<p>```</p>\n\
<p>and read them back after the scene has been saved and reloaded as follows:</p>\n\
<p>``` ss = StringStream (getAppData $foo 1) data_values = #() while not eof ss do append data_values (readValue ss)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";