var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Nested Object Controller Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Nested Object Controller Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nested-object-controller-functions\"></a></div>\n\
<p>Certain time and keyframe functions on controllers can be called on any <strong>3ds Max</strong> object or collection of <strong>3ds Max</strong> objects.</p>\n\
<p>If called in this way, they apply recursively to all the nested controllers within that object and on any sub-objects and sub-controllers within those objects.</p>\n\
<p>In this way, they work in a manner similar to the object-level tracks in the <strong>3ds Max</strong> Track View that allow you to manipulate keys and time for all the sub-objects and sub-controllers within them.</p>\n\
<p>The time and controller functions that work in this way are:</p>\n\
<div class=\'codeBlock\'><pre>deleteTime reverseTime scaleTime insertTime setTimeRange addNewKey deleteKeys selectKeys deselectKeys moveKeys mapKeys sortKeys reduceKeys addEaseCurve deleteEaseCurve setBeforeORT setAfterORT enableORTs \n\
</pre></div><p>The above functions can be called on any <strong>3ds Max</strong> object collection (such as, a wild-card pathname, object set, or array of objects ) and will recursively apply to all animation within those objects.</p>\n\
<p>For more information, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Time-and-Key-Functions-on-Object.html\' title=\'\'>Time and Key Functions on Object Hierarchies</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Common-Properties/Controller-Time-Functions.html\' title=\'\'>Controller Time Functions</a>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` for i = 1 to 3 do ( b = box() addmodifier b (XForm()) )</p>\n\
<p>insertTime $box001.xform 0f 10f -- all keys after0fin all controllers in theXFormmodifier are moved by10f insertTime $box001 0f 10f -- all keys after0finbox01are moved (transform, creation, modifiers) selectKeys $box002.xform.gizmo.rotation.controller 0f 100f -- selects keys in0-100f. If controller is Euler, will select x, y and z keys deleteTime \\(box* 10f 20f  -- deletetime fromframe10to frame20in all keys in all objects named\\)box*(works with—any pathname or array of objects) insertTime \\(box003.children 0f 10f  -- inserts time in all controllers of all children of\\)box03 reduceKeys \\(box001.modifiers 0.5 1f  -- applies key reductions to all controllers in all modifiers in\\)box01(leaves—transform and creation parameters alone)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";