var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Nested Object Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Nested Object Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nested-object-properties\"></a></div>\n\
<p>Several of the properties on <strong>3ds Max</strong> objects contain values that are themselves compound, for example <span class=\'code\'>&lt;node&gt;.pos</span> yields a Point3, which itself contains <span class=\'code\'>x</span> , <span class=\'code\'>y</span> and <span class=\'code\'>z</span> properties.</p>\n\
<p>MAXScript provides a mechanism that lets you modify these nested properties on MAXWrapper objects <strong>in place</strong> such that assignment to them will affect that nested property on the <strong>3ds Max</strong> object.</p>\n\
<p>This mechanism depends on the nested property being accessed in <strong>one, cascaded</strong> property access.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` $foo.pos.x += 23-- move the node 23 units in x $baz.rotation.angle *= 2-- double the rotation</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>If you first get the intermediate value into some variable and then set the property on that value, the change will <strong>not</strong> be reflected in the original object, the connection is only maintained within a single cascaded property access.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` p = $foo.pos-- get foo&#39;s position as a &#39;detached&#39; point3 p.x += 23-- set the x prop of that point, it doesn&#39;t know -- about foo anymore, foo&#39;s pos isnotchanged</p>\n\
<p>```</p>\n\
<p>In this case, you would have to explicitly re-assign the free-standing point to $foo&#39;s position to affect $foo:</p>\n\
<p>``` $foo.pos = p-- set foo&#39;s new position</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In general, any property on a MAXWrapper object that is itself a foundation compound value such as a Point3 or Quat will yield a free-standing value when simply accessed and supports object sub-property assignment in cascaded property assignment.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";