var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXNoteKeyArray Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXNoteKeyArray Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxnotekeyarray-values\"></a></div>\n\
<p>A <strong>MAXNoteKeyArray</strong>represents all the note keys in a <strong>3ds Max</strong> note track. See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/Note-Track-Access/MAXNoteKey-Values.html\' title=\'\'>MAXNoteKey Values</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/Note-Track-Access/Notetrack-Values.html\' title=\'\'>Notetrack Values</a>. MAXNoteKeyArray values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;NoteTrack&gt;.keys \n\
</pre></div><p>The note key array can be constructed by accessing the <span class=\'code\'>keys</span> property on the note track.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` -- get first note track on controller: nt=getNoteTrack$foo.position.controller 1 ntk=nt.keys-- note key array for note track</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;NoteKeyArray&gt;.count: Integer, read-only   \n\
</pre></div><p>Returns the number of objects in set</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;NoteKeyArray&gt; [&lt;index_integer&gt;] \n\
</pre></div><p>Accesses member of collection. Indexes start at 1.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addNewNoteKey &lt;NoteKeyArray&gt; &lt;time&gt; \n\
</pre></div><p>Adds a new note key to the note key array at the time specified. The value for the new note key is a null string. Returns the note key added.</p>\n\
<div class=\'codeBlock\'><pre>deleteNoteKeys &lt;NoteKeyArray&gt; (#allKeys|#selection) \n\
</pre></div><p>Deletes note keys from the note key array according to the optional symbolic argument supplied.</p>\n\
<p><span class=\'code\'>#allKeys</span>: deletes <strong>all</strong> keys in the note key array.</p>\n\
<p><span class=\'code\'>#selection</span>: deletes the currently selected note keys</p>\n\
<div class=\'codeBlock\'><pre>deleteNoteKey &lt;NoteKeyArray&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed note key. Key indexes are <strong>1-based</strong>.</p>\n\
<div class=\'codeBlock\'><pre>sortNoteKeys &lt;NoteKeyArray&gt; \n\
</pre></div><p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getNoteKeyTime &lt;notetrack&gt; &lt;index&gt; \n\
</pre></div><p>Returns the time of indexed note key.</p>\n\
<div class=\'codeBlock\'><pre>getNoteKeyIndex &lt; notetrack &gt; &lt;time&gt; \n\
</pre></div><p>Returns the index of the note key at the specified time.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";