var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Notetrack Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Notetrack Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"notetrack-values\"></a></div>\n\
<p>The following methods are related to creating, adding, deleting Note tracks. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/Note-Track-Access/MAXNoteKeyArray-Values-1.html\' title=\'\'>MAXNoteKeyArray Values</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/Note-Track-Access/MAXNoteKey-Values.html\' title=\'\'>MAXNoteKey Values</a> for information on accessing the contents of Note tracks.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>notetrack &lt;name_string&gt;      \n\
</pre></div><p>Creates a new, empty note track with the specified name. The name is only used to differentiate different note tracks in MAXScript but is not visible in <strong>3ds Max</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;noteTrack&gt;.keys MAXNoteKeyArray   \n\
</pre></div><p>Contains an array of note keys.</p>\n\
<div class=\'codeBlock\'><pre>&lt;noteTrack&gt;.name String \n\
</pre></div><p>Get/set the name of the note track.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getNoteKeyTime &lt;notetrack&gt; &lt;index&gt; \n\
</pre></div><p>Returns the time of indexed note key.</p>\n\
<div class=\'codeBlock\'><pre>getNoteKeyIndex &lt; notetrack &gt; &lt;time&gt; \n\
</pre></div><p>Returns the index of the note key at the specified time.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addNoteTrack &lt;MAXWrapper_object&gt; &lt;NoteTrack&gt; \n\
</pre></div><p>Adds a new note track to the MAXWrapper object.</p>\n\
<div class=\'codeBlock\'><pre>deleteNoteTrack &lt;MAXWrapper_object&gt; &lt;NoteTrack&gt; \n\
</pre></div><p>Deletes specified note track from the MAXWrapper object.</p>\n\
<div class=\'codeBlock\'><pre>hasNoteTracks &lt;MAXWrapper_object&gt; \n\
</pre></div><p>Returns true if the MAXWrapper object has note tracks, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>numNoteTracks &lt;MAXWrapper_object&gt; \n\
</pre></div><p>Returns the number of note tracks applied to the MAXWrapper object as an integer.</p>\n\
<div class=\'codeBlock\'><pre>getNoteTrack &lt;MAXWrapper_object&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the indexed note track applied to the MAXWrapper object. Index is 1-based.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";