var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working with Note Tracks</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working with Note Tracks</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-note-tracks\"></a></div>\n\
<p>Changing the <span class=\'code\'>time</span> property of a note key may cause it to go out of time order relative to the other keys in the controller. You <strong>must</strong> call the <span class=\'code\'>sortKeys()</span> function on the controller or associated <span class=\'code\'>MAXNoteKeyArray</span> once all key time manipulations of this kind is complete so that animation will perform correctly.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` s = sphere()-- create a sphere --&gt;$Sphere:Sphere02 @ [0.0,0.0,0.0] ntp1 = NoteTrack&quot;PosNT1&quot;-- create a note track --&gt;Notetrack:PosNT1 ntp2 = NoteTrack&quot;PosNT2&quot;-- create another note track --&gt;Notetrack:PosNT2 -- apply first note track to sphere&#39;s pos controller: addNoteTrack s.pos.controller ntp1 --&gt;OK -- apply second note track to sphere&#39;s pos controller: addNoteTrack s.pos.controller ntp2 --&gt;OK -- check number of note tracks on pos controller: numNoteTracks s.pos.controller --&gt;2 -- test to see if pos controller has note tracks: hasNoteTracks s.pos.controller --&gt;true -- add key to first note track, and select the key: addNewNoteKey ntp1.keys 20 #select --&gt;#Note key(1 @ 20f) -- add another key to first note track: addNewNoteKey ntp1.keys 40 --&gt;#Note key(2 @ 40f) -- retrieve first note track on the pos controller: n = getNoteTrack s.pos.controller 1 -- retrieve an instance of the note track key array Notetrack: nk=n.keys --&gt;#keys(20f, 40f) -- set value for second note key: nk[2].value =&quot;Yo What&#39;s Up&quot; --&gt;&quot;Yo What&#39;s Up&quot; -- change the time for second note key. Now first key nk[2].time = 10 --&gt;10 nk[1].selected = true-- select the first note key --&gt;true -- changed the time of the note keys, so re-sort: sortNoteKeys nk --&gt;OK nk.count-- check number of keys --&gt;2 nk-- display the note keys --&gt;#keys(10f, 20f) -- To delete the note tracks and note keys: deleteNoteKey nk 1-- delete first note key --&gt;OK deleteNoteKeys n.keys #allKeys-- delete all the note keys --&gt;OK -- remove note track from pos controller: deleteNoteTrack s.pos.controller ntp1 --&gt;OK -- remove note track from pos controller: deleteNoteTrack s.pos.controller ntp2 --&gt;OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";