var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Material Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Material Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"material-common-properties-operators-and-methods\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;material&gt;.name \n\
</pre></div><p>All the material subclasses can access the <span class=\'code\'>name</span> property and specify it as a constructor parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;material&gt;.effectsChannel \n\
</pre></div><p>All the material subclasses can access the <span class=\'code\'>effectsChannel</span> property and specify it as a constructor parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;material&gt;.showInViewport \n\
</pre></div><p>Accesses the material-level show-in-viewport state, which can also be set on a material constructor call using the <span class=\'code\'>showInViewport</span> : parameter.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b=box() b.material = standard diffuseMap:(checker()) showInViewport:true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>assignNewName &lt;material&gt; \n\
</pre></div><p>Modifies the name of the specified material to make it unique. The name is of the form &quot;Material #1&quot; where the number is incremented as required to make ensure it’s unique.</p>\n\
<div class=\'codeBlock\'><pre>okMtlForScene &lt;material&gt; \n\
</pre></div><p>Tests the material name against other material names in the scene, and returns <span class=\'code\'>true</span> if there are no other materials with the same name, <span class=\'code\'>false</span> otherwise. Before assigning material to scene, call this to avoid duplicate names.</p>\n\
<div class=\'codeBlock\'><pre>getMTLMEditFlags ( &lt;material&gt; | &lt;texture&gt; ) setMTLMEditFlags ( &lt;material&gt; | &lt;texture&gt; ) &lt;bitarray&gt; \n\
</pre></div><p>Get and set the MEdit options for the specified material or texture as a <span class=\'code\'>&lt;bitarray&gt;</span>. If a bit is on, the corresponding option is turned on. The order of the bits is: <span class=\'code\'>#{MTL_BEING_EDITED,BACKGROUND,BACKLIGHT,VIDEO_COLOR_CHECK}</span></p>\n\
<p>The first bit is set if the rollout for the specified material or texture is currently displayed in the active MEdit slot. The state of this bit is ignored in setMTLMEditFlags().</p>\n\
<div class=\'codeBlock\'><pre>getMTLMeditObjType ( &lt;material&gt; | &lt;texture&gt; ) setMTLMeditObjType ( &lt;material&gt; | &lt;texture&gt; ) &lt;integer&gt; \n\
</pre></div><p>Get and set the MEdit sample object type for the specified material or texture. The valid values are: 1 - sphere; 2 - cylinder; 3 - cube; 4 - custom</p>\n\
<div class=\'codeBlock\'><pre>getMTLMeditTiling ( &lt;material&gt; | &lt;texture&gt; ) setMTLMeditTiling ( &lt;material&gt; | &lt;texture&gt; ) &lt;integer&gt; \n\
</pre></div><p>Get and set the MEdit tiling type for the specified material or texture. The valid values are: 1 - 1x1; 2 - 2x2; 3 - 3x3; 4 - 4x4</p>\n\
<div class=\'codeBlock\'><pre>updateMTLInMedit ( &lt;material&gt; | &lt;texture&gt; ) \n\
</pre></div><p>Performs a set of <strong>3ds Max</strong> notifications that forces an update of the material or texture throughout <strong>3ds Max</strong>, including the MEdit and material browser.</p>\n\
<p>You can get and set Material Editor materials using the <span class=\'code\'>getMeditMaterial()</span> and <span class=\'code\'>setMeditMaterial()</span> functions. You can also get a material from the Material Editor using the <span class=\'code\'>editMaterials</span> virtual array. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/Material-Editor-1.html\' title=\'\'>Material Editor</a> and <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a> for more information.</p>\n\
<p>The following methods are available in <strong>3ds Max 6 and higher:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; getNumSubMtls &lt;material&gt; \n\
</pre></div><p>This method returns the number of sub materials for the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;material&gt; getSubMtl &lt;material&gt; &lt;index&gt; \n\
</pre></div><p>This method returns the indexed sub material of the material.</p>\n\
<div class=\'codeBlock\'><pre>setSubMtl &lt;material&gt; &lt;index&gt; &lt;material&gt; \n\
</pre></div><p>This method sets the indexed sub material of the material to the specified material.</p>\n\
<div class=\'codeBlock\'><pre>getSubMtlSlotName &lt;material&gt; &lt;index&gt; [localizedName:&lt;bool&gt;] \n\
</pre></div><p>This method returns the slot name of the indexed sub material of the material.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong> When the <span class=\'code\'>localizedName</span> keyword parameter is <span class=\'code\'>true</span> (the default), the localized name as it appears in the UI is returned. Otherwise the non-localized name is returned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; getNumSubTexmaps (&lt;material&gt; | &lt;texture&gt;) \n\
</pre></div><p>This method returns the number of sub textures for the material or texture.</p>\n\
<div class=\'codeBlock\'><pre>&lt;material&gt; getSubTexmap (&lt;material&gt; | &lt;texture&gt;) &lt;index&gt; \n\
</pre></div><p>This method returns the indexed sub texture of the material or texture.</p>\n\
<div class=\'codeBlock\'><pre>setSubTexmap (&lt;material&gt; | &lt;texture&gt;) &lt;index&gt; &lt;texture&gt; \n\
</pre></div><p>This method sets the indexed sub texture of the material or texture to the specified texture.</p>\n\
<div class=\'codeBlock\'><pre>getSubTexmapSlotName (&lt;material&gt; | &lt;texture&gt;) &lt;index&gt; [localizedName:&lt;bool&gt;] \n\
</pre></div><p>This method returns the slot name of the indexed sub texture of the material or texture.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong> When the <span class=\'code\'>localizedName</span> keyword parameter is <span class=\'code\'>true</span> (the default), the localized name as it appears in the UI is returned. Otherwise the non-localized name is returned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; isMtlUsedInSceneMtl  &lt;material&gt; skipCustAttributes:&lt;true&gt; includeXrefScenes:&lt;false&gt; topLevelMtlOnly:&lt;false&gt;\n\
</pre></div><p>Available in <strong>3ds Max 2018 and higher</strong>: This function returns true if the specified material or texturemap is used in some way by any material that is assigned to a node in the scene. Specify <strong>skipCustAttributes</strong> as true to skip over any MAXWrapper objects held in Custom Attributes. Set <strong>includeXrefScenes</strong> as true to search any Xrefed scenes as well. Specify <strong>topLevelMtlOnly</strong> as true to only check the diffusemap (maps[1]) of each material.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";