var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Advanced_Lighting_Override : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Advanced_Lighting_Override : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"advanced_lighting_override-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>Advanced_Lighting_Override - superclass: material; super-superclass:MAXWrapper - classID: #(689195325, 1828668151) \n\
</pre></div><p>This material is used to override the physical properties of the Base material for radisosity calculations.</p>\n\
<p>Note:</p>\n\
<p>The <strong>Advanced_Lighting_Override</strong> material found in <strong>3ds Max</strong> was called <strong>Radiosity_Override</strong> in <strong>Autodesk VIZ</strong>, but has the same classID in both applications!</p>\n\
<p>Class instances of this material can also be constructed in both applications using the alias <strong>discreetRadiosityMaterial</strong>. It is a good idea to use the alias in your scripts to ensure compatibility between <strong>3ds Max</strong> and <strong>Autodesk VIZ</strong>.</p>\n\
<p>Checking the class using</p>\n\
<div class=\'codeBlock\'><pre>classof my_mat == discreetRadiosityMaterial\n\
</pre></div><p>will return <span class=\'code\'>true</span> in both applications.</p>\n\
<p><strong>3ds Max Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>advanced_lighting_override...    \n\
discreetRadiosityMaterial... \n\
</pre></div><p><strong>Autodesk VIZ Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>radiosity_override ...   \n\
discreetRadiosityMaterial ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Advanced_Lighting_Override&gt;.baseMaterial Standardmaterial default: (null):Standard -- material; SubAnim \n\
</pre></div><p>Contains the base material whose radiosity properties have to be controlled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Advanced_Lighting_Override&gt;.bumpScale Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the Bump Scale value.</p>\n\
<p>Scales the effect of the base material&#39;s Bump Mapping in areas lit by indirect light.</p>\n\
<p>When this value is zero, no bump mapping is done for indirect light.</p>\n\
<p>Increasing Indirect Light Bump Scale increases the bump effect under indirect lighting.</p>\n\
<p>This value does not affect the Bump amount in areas where the base material is lit directly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Advanced_Lighting_Override&gt;.colorBleed Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the Color Bleeding value.</p>\n\
<p>Controls the saturation of reflected color during radiosity processing.</p>\n\
<p>Range from 0.0 to 1.0 in <strong>Autodesk VIZ</strong>.</p>\n\
<p>Range from 0.0 to 1000.0 in <strong>3ds Max</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Advanced_Lighting_Override&gt;.luminanceScale Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the Luminance Scale value.</p>\n\
<p>Scales the self-illumination component of the base material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Advanced_Lighting_Override&gt;.reflectanceScale Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the Reflectance Scale value.</p>\n\
<p>Used to Scale increases or decreases the energy of reflected rays.</p>\n\
<p>Range from 0.1 to 5.0 in <strong>Autodesk VIZ</strong>.</p>\n\
<p>Range from 0.0 to 1000.0 in <strong>3ds Max</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Advanced_Lighting_Override&gt;.transmittanceScale Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the Transmittance Scale value.</p>\n\
<p>Used to control the amount of radiosity energy the material transmits.</p>\n\
<p>Range from 0.0 to 1000.0 in <strong>3ds Max</strong>.</p>\n\
<p>(Range from 0.1 to 5.0 in the <strong>Radiosity_Override</strong> material in <strong>Autodesk VIZ</strong>.)</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";