var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DirectX_9_Shader : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DirectX_9_Shader : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"directx_9_shader-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>DirectX_9_Shader - superclass: material; super-superclass:MAXWrapper - 6:0 - classID: #(249140708, 1630788338) \n\
</pre></div><p>The <strong>DirectX_9_Shader</strong> provides access to DirectX 9 shader files.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>DirectX_9_Shader...      \n\
DxMaterial ...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.effectfile Stringdefault: &quot;None&quot; -- filename \n\
</pre></div><p>Get/Set the .FX effect file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.shaderfxgraph (ShaderFX_Graph) : string\n\
</pre></div><p>Get/set the ShaderFX graph as string.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.technique Integerdefault: 0 -- integer \n\
</pre></div><p>Get/Set the effect technique.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.renderEnabled BooleanClass default: false -- Boolean; Force_Software_Render \n\
</pre></div><p>Enable Software Rendering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.renderMaterial Standardmaterialdefault: Material #29:Standard -- material; SubAnim \n\
</pre></div><p>Get/Set the Standard Material corresponding to the directX shader.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.lightDir Integerdefault:0 \n\
</pre></div><p>Get/Set the Light Direction drop-down list selection. Default is 0 = Default Light. The possible values depend on the number of directional light sources (Spotlights, DirectLights etc.) in the scene which appear in the drop-down list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.k_a fRGBA colordefault:(color 119.85 119.85 119.85) \n\
</pre></div><p>Get/Set the shader&#39;s Ambient color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.k_d fRGBA colordefault:(color 119.85 119.85 119.85) \n\
</pre></div><p>Get/Set the shader&#39;s Diffuse color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.k_s fRGBA colordefault:(color 255 255 255) \n\
</pre></div><p>Get/Set the shader&#39;s Specular color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.n Integerdefault: 15 \n\
</pre></div><p>Get/Set the shader&#39;s Specular Power.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.renderStyle Integer default: 0 -- integer; Software_Rendering \n\
</pre></div><p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>Retired. Not used in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.renderShade Color default: (color 127.5 127.5 127.5) -- RGB color; Shaded_Color; \n\
</pre></div><p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>Retired. Not used in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.renderBitmap UndefinedClass default: undefined -- bitmap; Render_Bitmap \n\
</pre></div><p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>Retired. Not used in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.parentMaterial String default: undefined -- alias: stingray_parent_material\n\
</pre></div><p>Get/Set the shader&#39;s parent material.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"directx_9_shader-interfaces\"></a><h2 id=\"directx_9_shader-interfaces\">DirectX_9_Shader interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:IMtlRender_Compability_MtlBase \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:IDxMaterial \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.effectFilename: string : Read|Write \n\
</pre></div><p>Get/Set the name of the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DirectX_9_Shader&gt;.softwareBitmap: bitmap : Read|Write \n\
</pre></div><p>Get/Set the bitmap to be used by the software rendering.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;DirectX_9_Shader&gt;.reloadeffect() \n\
</pre></div><p>Reload the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;DirectX_9_Shader&gt;.numberofbitmaps() \n\
</pre></div><p>Get thenumber ofbitmaps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;&lt;DirectX_9_Shader&gt;.geteffectbitmap &lt;integer&gt;index \n\
</pre></div><p>Get the bitmap of the specified indexed effect channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;DirectX_9_Shader&gt;.seteffectbitmap &lt;integer&gt;index &lt;bitmap&gt;bitmap \n\
</pre></div><p>Set the indexed effect channel to the specified bitmap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;DirectX_9_Shader&gt;.bitmapmappingchannel &lt;index&gt;index \n\
</pre></div><p>Set the mapping channel of the indexed bitmap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;DirectX_9_Shader&gt;.bitmapusage &lt;index&gt;index \n\
bitmapusage enums:{#Unknown|#DiffuseMap|#BumpMap|#OpacityMap|#DisplacementMap|#LightMap} \n\
</pre></div><p>Get the bitmap usage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;DirectX_9_Shader&gt;.setmappingchannel &lt;index&gt;index &lt;integer&gt;mapChannel \n\
</pre></div><p>Set the mapping channel of the indexed bitmap to the integer value mapChannel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;DirectX_9_Shader&gt;.getNumberOfTechniques() \n\
</pre></div><p>Returns the number of techniques.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;DirectX_9_Shader&gt;.getTechniqueName &lt;index&gt;Index \n\
</pre></div><p>Returns the name of the indexed technique.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string array&gt;&lt;DirectX_9_Shader&gt;.getTechniqueList() \n\
</pre></div><p>Returns the technique list.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;DirectX_9_Shader&gt;.getCurrentTechniqueName() \n\
</pre></div><p>Returns the name of the current technique.Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";