var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MatteShadow : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MatteShadow : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"matteshadow-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>MatteShadow - superclass: material; super-superclass:MAXWrapper - classID: #(608, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>matteShadow...   \n\
matte...  \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.opaqueAlpha Boolean default: false -- boolean; Opaque_Alpha \n\
</pre></div><p>Determines whether or not the matte material appears in the alpha channel.</p>\n\
<p>If you turn off Opaque Alpha, the matte object will not make an alpha channel, and the image can be used for compositing, just as if there are no matte objects in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.applyAtmosphere Boolean default: false \n\
</pre></div><p>Turns the fogging of matte objects on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.atmosphereDepth Integer default: 0 \n\
</pre></div><p>When applying fog, you can choose between two different methods.</p>\n\
<p>You can either apply fog as if the matte surface is at an infinite distance from the camera or you can apply it as if the matte surface is actually at that point on the object being shaded. In other words, you can apply the fog to the matte surface in either 2D or 3D.</p>\n\
<p>The following controls determine how this is applied:</p>\n\
<p>0 - <strong>At Background Depth</strong> (This is the 2D method. The scanline renderer fogs the scene, and then renders its shadows. In this case, the shadows won’t be lightened by the fog. If you want to lighten the shadows, you need to turn up the shadow brightness.)</p>\n\
<p>1 - <strong>At Object Depth</strong> (This is the 3D method. The renderer first renders the shadows, and then fogs the scene. Since this varies the amount of fog over the 3D matte surface, the generated matte/alpha channels don’t blend perfectly into the background. Use At Object Depth when the matte object is meant to be a 3D object in the scene that the 2D background represents.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.receiveShadows Boolean default: true -- boolean; RecieveShadows \n\
</pre></div><p>When on, renders shadows on the matte surfaces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.affectAlpha Boolean default: true -- boolean \n\
</pre></div><p>When on, shadows cast on a matte material are applied to the alpha channel.</p>\n\
<p>This lets you render bitmaps with alpha channels that you can composite later.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.shadowBrightness Float default: 0.0 -- animatable, alias: Shadow_Brightness \n\
</pre></div><p>Sets shadow brightness.</p>\n\
<p>At 0.5, the shadows will not be attenuated on the matte surface; at 1.0, the shadows are brightened to the color of the matte surface; and at 0.0 they are darkened to completely obliterate the matte surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.color Color default: (color 0 0 0) -- animatable, alias: Shadow_Color \n\
</pre></div><p>The color of the shadow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.amount Float default: 50 -- animatable, percentage, alias: Reflection_Amount \n\
</pre></div><p>The amount of reflection to use.</p>\n\
<p>This is a percentage that can range from 0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.map TextureMap default: undefined \n\
</pre></div><p>The map used for reflections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.useReflMap Boolean default: true \n\
</pre></div><p>Turns on/off the use of a reflection map.</p>\n\
<p>Corresponds to the checkbox next to the map slot in the material’s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MatteShadow&gt;.additiveReflection Integer default: 1 \n\
</pre></div><p>When set to 1, the material will use additive reflections.</p>\n\
<p>Set it to 0 to disable additive reflections.</p>\n\
<p>Corresponds to the Additive Reflection checkbox in the material’s UI.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";