var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MultiMaterial : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MultiMaterial : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"multimaterial-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>multimaterial - superclass: material; super-superclass:MAXWrapper - classID: #(512, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>multimaterial [numsubs:&lt;integer&gt;]\n\
multiSubMaterial [numsubs:&lt;integer&gt;]   \n\
</pre></div><p>Note: <span class=\'code\'>MultiSubMaterial</span> is obsolete and is visible only for backward compatibility.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;multimaterial&gt;.numsubs \n\
</pre></div><p>Sets the number of sub-materials in the MultiMaterial.</p>\n\
<p>When getting this value, the result will be the number of sub-anims in the MultiMaterial.</p>\n\
<p>Please see the <strong>Historical Notes</strong> at the end of this page for important details on how the behaviour of this property has changed between <strong>3ds Max</strong> versions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;multimaterial&gt;.materialList ArrayParameter default: #(Standard, Standard, ... Standard, Standard) \n\
</pre></div><p>Stores the Material for each sub-material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;multimaterial&gt;.mapEnabled ArrayParameter default: #(true, true, ... true, true) \n\
</pre></div><p>Stores whether the sub-material is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;multimaterial&gt;.names ArrayParameter default: #(&quot;&quot;, &quot;&quot;, ... &quot;&quot;, &quot;&quot;) \n\
</pre></div><p>Stores the sub-material slot name (not the sub-material name).</p>\n\
<div class=\'codeBlock\'><pre>&lt;multimaterial&gt;.materialIDList ArrayParameter default: #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10) -- int array; Index \n\
</pre></div><p>Stores the sub-material ID’s.</p>\n\
<p>Note: The 3ds Max UI has a limit for Material ID values of 1000, while MAXScript has a limit of 60,000. This means you can set ID values larger than 1000 in MAXScript, but if a user subsequently attempts to set the Material ID in the UI to a value higher than 1000, it will be set to 1000. If you attempt to set a Material ID to a value larger than 60,000 in MAXScript, it will cause an exception.</p>\n\
<div class=\'codeBlock\'><pre>&lt;multimaterial&gt;.material1 Standardmaterial default: Standard -- alias for materialList[0]; SubAnim \n\
</pre></div><p>Stores the material.</p>\n\
<p>Note:</p>\n\
<p>Each of the arrays contains as many elements as there are sub-materials.</p>\n\
<p>The <span class=\'code\'>materialList</span> array stores the Material for each sub-material.</p>\n\
<p>The <span class=\'code\'>mapEnabled</span> array stores whether that sub-material is enabled.</p>\n\
<p>The <span class=\'code\'>names</span> array stores the sub-material slot name (not the sub-material name).</p>\n\
<p>The <span class=\'code\'>materialIDList</span> stores the Material ID corresponding to the sub-material.</p>\n\
<p>If the <span class=\'code\'>numsubs</span> named parameter is not specified, the default <span class=\'code\'>numsubs</span> value is 10.</p>\n\
<p>The number of sub-materials can be changed after material creation by changing the <span class=\'code\'>numsubs</span> property value.</p>\n\
<p>The number of sub-materials can also be changed by setting the <span class=\'code\'>count</span> property for the <span class=\'code\'>materialList,mapEnabled</span> , or <span class=\'code\'>names</span> property to the desired number.</p>\n\
<p><span class=\'code\'>material1</span> is an alias for <span class=\'code\'>materialList\\[1\\]</span> .</p>\n\
<p>In versions prior to <strong>3ds Max 4</strong>, MultiMaterials had sub-materials arranged in a table, so MAXScript also allowed access to these sub-materials using the array indexing accessor:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` mm = multimaterial numsubs:3 mm[1] = $foo.material $baz.material = mm[2]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>See the notes below regarding indexed access in newer versions of <strong>3ds Max</strong>.</p>\n\
<blockquote>\n\
<p><strong>HISTORICALNOTES REGARDING .NUMSUBS:</strong></p>\n\
<p>The <span class=\'code\'>.numsubs</span> property is normally a read-only property that returns the number of immediate subAnims in any MAXWrapper as explained in the topic <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Indexed-Access-to-Animatable.html\' title=\'\'>Indexed Access to Animatable Properties in3ds Max Objects</a>.</p>\n\
<p>Originally, in <strong>3ds Max prior to version 4</strong>, the value returned by the <span class=\'code\'>.numsubs</span> property in the MultiMaterial was equivalent to the number of sub-materials in the MultiMaterial because there were always as many sub-materials in the MultiMaterial as there were Material IDs to be assigned. In addition, the <span class=\'code\'>.numsubs</span> property can be both get and set in a MultiMaterial.</p>\n\
<p>After the introduction of the <span class=\'code\'>.materialIDList</span> property that specifies the correspondence between the sub-materials and the Material IDs, it became possible to have sub-materials corresponding to much higher Material IDs than the total number of sub-materials. In this case, the number of sub-anims in the MultiMaterial will be set internally to reflect the highest ID, with any sub-anims without corresponding Material IDs left undefined.</p>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>Creating a default MultiMaterial with 10 sub-materials and accessing the <span class=\'code\'>.count</span> of the <span class=\'code\'>MaterialIDList</span> or <span class=\'code\'>.materialList</span> and the <span class=\'code\'>.numsubs</span> property always returns 10:</p>\n\
<p>``` theMat = multiMaterial() --&gt; #Multi/Sub-Object:Multimaterial(Standard:Material #25, Standard:Material #26, Standard:Material #27, Standard:Material #28, Standard:Material #29, Standard:Material #30, Standard:Material #31, Standard:Material #32, Standard:Material #33, Standard:Material #34) theMat.materialList.count --&gt; 10 theMat.numsubs --&gt; 10</p>\n\
<p>```</p>\n\
<p>But, assigning Material ID 20 to the 10 th material and looking at the same values shows a different picture:</p>\n\
<p>``` theMat.materialIDList[10]=20 --&gt; 20 theMat.materialIDList --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 20) theMat.materialList.count--still 10 sub-materials --&gt; 10 theMat.numsubs--but the number of sub-anims is 20! --&gt; 20 --Let&#39;s print the sub-anims to get a better idea: for i = 1 to theMat.numsubs do format &quot;%: %\\n&quot; i theMat[i] --&gt; 1: Material #25:Standard --&gt; 2: Material #26:Standard --&gt; 3: Material #27:Standard --&gt; 4: Material #28:Standard --&gt; 5: Material #29:Standard --&gt; 6: Material #30:Standard --&gt; 7: Material #31:Standard --&gt; 8: Material #32:Standard --&gt; 9: Material #33:Standard --&gt; 10: undefined --&gt; 11: undefined --&gt; 12: undefined --&gt; 13: undefined --&gt; 14: undefined --&gt; 15: undefined --&gt; 16: undefined --&gt; 17: undefined --&gt; 18: undefined --&gt; 19: undefined --&gt; 20: Material #34:Standard --&gt; OK</p>\n\
<p>```</p>\n\
<p>From this example it is obvious that the sub-material 10 corresponding to Material ID 20 was stored internally in the sub-anim track 20, leaving sub-anims 10 to 19 undefined.</p>\n\
<p>Thus, it is a good idea to use the <span class=\'code\'>.materialList</span> property to iterate through sub-materials instead of using the indexed access to sub-anims.</p>\n\
</blockquote>\n\
<p>See also <a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-Sort-a-MultiMaterial-By.html\' title=\'\'>How do I Sort a MultiMaterial By Material ID?</a> in the <a href=\'#!/url=./developer/Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\' title=\'\'>FAQ</a> Chapter for more examples of working with MultiMaterials.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";