var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Physical_Material : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Physical_Material : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"physical_material-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>Physical_Material - superclass: material; super-superclass:MAXWrapper - 115:1 - classID: #(1030429932L, 3735928833L)\n\
</pre></div><p>Implements a General physical material that can be used both with the ART_Renderer and all other rendering engines shipping with 3ds Max. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre> Physical_Material...\n\
PhysicalMaterial... \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.material_mode     Integer    default: 0   --  integer\n\
</pre></div><p>Possible values are:</p>\n\
<p>0 - <strong>Standard</strong> (default)</p>\n\
<p>1 - <strong>Advanced</strong></p>\n\
<p><strong>Coating Parameters Rollout</strong></p>\n\
<p>Clear Coat Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coating     Float    default: 0.0   --  animatable; float; Coating_Weight\n\
</pre></div><p>Get/set the Weight of the Coating.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_color     Color    default: (color 255 255 255)   --  animatable; fRGBA color; Coating_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the Color of the Coating.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_roughness     Float    default: 0.0   --  animatable; float; Coating_Rougness\n\
</pre></div><p>Get/set the Roughness of the Coating.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_roughness_inv     BooleanClass    default: false   --  boolean; Invert_Coating_Roughness\n\
</pre></div><p>Get/set the state of the <strong>Invert Coating Roughness</strong> checkbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_ior     Float    default: 1.52   --  animatable; float; Coating_IOR\n\
</pre></div><p>Get/set the Index Of Refraction of the Coating.</p>\n\
<p>Affect Underlying Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_affect_color     Float    default: 0.5   --  animatable; float; Coating_Affect_Color\n\
</pre></div><p>Get/set the value controlling how much the Coating affects the Color of the underlying materials by making the color darker and more saturated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_affect_roughness    Float    default: 0.5   --  animatable; float; Coating_Affect_Rougness\n\
</pre></div><p>Get/set the value controlling how much the Coating affects the Roughness of the underlying materials.</p>\n\
<p><strong>Basic Parameters Rollout</strong></p>\n\
<p>Basic Color Group Of Controls (Advanced Mode)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.base_weight     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Weight of the Base Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.Base_Color     Color    default: (color 127.5 127.5 127.5)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the Base Color value.</p>\n\
<p>For non-metals, it can be considered the Diffuse color.</p>\n\
<p>For metals, it is the color of the metal itself.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.diff_roughness     Float    default: 0.0   --  animatable; float; Diffuse_Roughness\n\
</pre></div><p>Get/set the Diffuse Roughness value (using the Oren/Nayar diffuse model).</p>\n\
<p>Not used for metals.</p>\n\
<p>Reflections Group Of Controls (Advanced Mode)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.Reflectivity     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Reflectivity value.</p>\n\
<p>Should be left at 1.0 for realistic results.</p>\n\
<p>It has no effect on metals which always reflect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.refl_color     Color    default: (color 255 255 255)   --  animatable; fRGBA color; Reflection_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the Reflection Color value.</p>\n\
<p>Should be left at white for realistic results.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.roughness     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the Roughness value.</p>\n\
<p>The higher the roughness, the blurrier the material.</p>\n\
<p>Lower roughness produces a more mirror-like material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.roughness_inv    BooleanClass    default: false   --  boolean; Invert_Rougness\n\
</pre></div><p>Get/set the Invert Roughness checkbox.</p>\n\
<p>When checked, the <span class=\'code\'>.roughness</span> value will be inverted so that higher values produce less roughness, and vice-versa.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.metalness     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the Metalness value.</p>\n\
<p>It mixes two shading modes.</p>\n\
<p>At 0, a non-metal diffuse model is used where the Base Color is taken as the diffuse color, with reflections added on top, with sub-surface scattering and transparency.</p>\n\
<p>At 1, a solely reflective metallic surface is rendered, reflecting the Base Color for facing angles, and the Reflection color (typically white) at the edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_ior    Float    default: 1.52   --  animatable; float; Index_of_Refraction\n\
</pre></div><p>Get/set the Index Of Refraction (IOR) value.</p>\n\
<p>It defines both how much rays bend when entering the medium, and also the angular dependency of the reflectivity when set to Fresnel mode (the default).</p>\n\
<p>Transparency Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.Transparency     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the Transparency value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_color     Color    default: (color 255 255 255)   --  animatable; fRGBA color; Transparency_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the Transparency color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_roughness_lock     BooleanClass    default: true   --  boolean; Lock_Transparency_Roughness\n\
</pre></div><p>Get/set the state of the Transparency Roughness lock checkbutton.</p>\n\
<p>When checked (default), the Transparency Roughness will be locked to the Roughness of Reflections.</p>\n\
<p>When unchecked, the Transparency Roughness can be set independently.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_roughness    Float    default: 0.0   --  animatable; float; Transparency_Roughness\n\
</pre></div><p>Get/set the Transparency Roughness.</p>\n\
<p>Used only when the <span class=\'code\'>.trans_roughness_lock</span> property is set to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_roughness_inv     BooleanClass    default: false   --  boolean; Invert_Transparency_Roughness\n\
</pre></div><p>Get/set the state of the <strong>Invert Transparency Roughness</strong> checkbox.</p>\n\
<p>Used only when the <span class=\'code\'>.trans_roughness_lock</span> property is set to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_depth    Float    default: 0.0   --  animatable; float; Transparency_Depth\n\
</pre></div><p>Get/set the Transparency Depth value.</p>\n\
<p>When set to 0.0 (default), the Transparency is computed at the surface.</p>\n\
<p>When not 0.0, the Transparency Color is applied as an Absorption, and the Depth value defines the depth at which the Absorption reaches the specified Transparency Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.thin_walled     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>Thin-Walled</strong> checkbox.</p>\n\
<p>When set to False (default), the object is considered solid, and contains volume of material that supports transparency depth and sub-surface scattering.</p>\n\
<p>When set to True, the object is considered to be made of an infinitely thin transparent shell (like a soap bubble), and there is no refraction, Transparency Depth is disabled, and sub-surface scattering is replaced by Translucency.</p>\n\
<p>Sub-Surface Scattering Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.scattering    Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the weight of the Sub-Surface Scattering / Translucency.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.sss_color    Color    default: (color 255 255 255)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the color of the Sub-Surface Scattering / Translucency.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PhysicalMaterial&gt;.sss_scatter_color     Color    default: (color 255 127.5 63.75)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Defines the color of the interior of the medium where the light is scattered in.</p>\n\
<p>Technically, it is the red, green and blue ratios of the &quot;mean free path&quot; of scattering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.sss_depth     Float    default: 10.0   --  animatable; float\n\
</pre></div><p>Get/set the amount of spread of light in the material (&quot;mean free path&quot; of the scattering).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.sss_scale     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the scale of the depth.</p>\n\
<p>Used mainly for adjust the Depth via a bitmap with values in the range from 0.0 and 1.0.</p>\n\
<p>See also the <strong>.sss_scale_map</strong> property.</p>\n\
<p>Emission Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emission     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the amount of the Emission (Self-Illumination).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emit_color   Color    default: (color 255 255 255)   --  animatable; fRGBA color; Emission_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the Emission Color (Self-Illumination Color).</p>\n\
<p>Also affected by the color temperature.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emit_luminance    Float    default: 1500.0   --  animatable; float; Luminance\n\
</pre></div><p>Get/set the luminance of the surface in cd/m2 (&quot;nits&quot;).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emit_kelvin     Float    default: 6500.0   --  animatable; float; Kelvin_Degrees\n\
</pre></div><p>Get/set the Kelvin temperature of the Emission.</p>\n\
<p>Also affected by the Emission Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.EffectiveLuminance     Color    default: (color 801.106 801.106 801.106)   --  color by value;\n\
</pre></div><p>Not exposed to the UI.</p>\n\
<p>Read-Only.</p>\n\
<p>Returns the effective illuminance, taking into account all Emission properties.</p>\n\
<p>Exposed by the Helpers MininInterface.</p>\n\
<p><strong>Advanced Reflectance Parameters Rollout (Advanced Mode)</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.brdf_mode     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the radio buttons controlling the BRDF Reflectance mode.</p>\n\
<p>Possible values are:</p>\n\
<p>True - <strong>By IOR</strong> (default) - uses the Fresnel effect based on the IOR value (most physically plausible mode)</p>\n\
<p>False - <strong>Custom Curve</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.brdf_low   Float    default: 0.05   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Facing&quot;</strong> spinner.</p>\n\
<p>Controls the low value of the curve.</p>\n\
<p>Used only when in Custom Curve mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.brdf_high     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Edge&quot;</strong> spinner.</p>\n\
<p>Controls the high value of the curve.</p>\n\
<p>Used only when in Custom Curve mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.brdf_curve    Float    default: 5.0   --  animatable; float; Brdf_Exponent\n\
</pre></div><p>Get/set the value of the <strong>&quot;Slope&quot;</strong> spinner.</p>\n\
<p>Controls the Exponent of the curve.</p>\n\
<p>Used only when in Custom Curve mode.</p>\n\
<p><strong>Anisotropy Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.anisotropy   Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Anisotropy&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.anisoangle     Float    default: 0.0   --  animatable; float; Anisotropy_Angle\n\
</pre></div><p>Get/set the value of the <strong>&quot;Rotation&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.aniso_mode     Integer    default: 0   --  integer; Anisotropy_Mode\n\
</pre></div><p>Get/set the state of the Anisotropy Mode radio buttons.</p>\n\
<p>Possible vaues are:</p>\n\
<p>0 - <strong>Auto</strong> (default)</p>\n\
<p>1 - <strong>Map Channel</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.aniso_channel     Integer    default: 0   --  integer; Anisotropy_Channel\n\
</pre></div><p>Get/set the value of the <strong>&quot;Map Channel&quot;</strong> spinner.</p>\n\
<p>Used only when the <strong>.aniso_mode</strong> is set to 1.</p>\n\
<p><strong>Special Maps Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.bump_map_on     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Bump Map&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.bump_map_amt     Float    default: 0.3   --  animatable; float; Bump_Map_Amount\n\
</pre></div><p>Get/set the value of the <strong>&quot;Bump Map&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.bump_map     UndefinedClass    default: undefined   --  texturemap\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Bump Map&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_bump_map_on     BooleanClass    default: true   --  boolean; Coating_Bump_Map_On\n\
</pre></div><p>Get/set the state of the <strong>&quot;Coating Bump Map&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.clearcoat_bump_map_amt     Float    default: 0.3   --  animatable; float; Coating_Bump_Map_Amount\n\
</pre></div><p>Get/set the value of the <strong>&quot;Coating Bump Map&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_bump_map     UndefinedClass    default: undefined   --  texturemap; Coating_Bump_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Coating Bump Map&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.displacement_map_on     BooleanClass    default: true   --  boolean; Displacement_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Displacement&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.displacement_map_amt     Float    default: 1.0   --  animatable; float; Displacement_Map_Amount\n\
</pre></div><p>Get/set the value of the <strong>&quot;Displacement&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.displacement_map     UndefinedClass    default: undefined   --  texturemap\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Displacement&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.cutout_map_on     BooleanClass    default: true   --  boolean; Cutout_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Cutout&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.cutout_map     UndefinedClass    default: undefined   --  texturemap\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Cutout&quot;</strong> map button.</p>\n\
<p><strong>Generic Maps Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.base_weight_map_on     BooleanClass    default: true   --  boolean; Base_Weight_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Base Weight&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.base_weight_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM0     UndefinedClass    default: undefined   --  texturemap; Base_Weight_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Base Weight&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.base_color_map_on     BooleanClass    default: true   --  boolean; Base_Color_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Base Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.base_color_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM1     UndefinedClass    default: undefined   --  texturemap; Base_Color_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Base Color&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.reflectivity_map_on     BooleanClass    default: true   --  boolean; Reflectivity_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Reflection Weight&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.reflectivity_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM2     UndefinedClass    default: undefined   --  texturemap; Reflectivity_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Reflection Weight&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.refl_color_map_on     BooleanClass    default: true   --  boolean; Refl_Color_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Reflection Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.refl_color_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM3     UndefinedClass    default: undefined   --  texturemap; Refl_Color_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Reflection Color&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.roughness_map_on     BooleanClass    default: true   --  boolean; Roughness_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Roughness&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.roughness_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM4     UndefinedClass    default: undefined   --  texturemap; Roughness_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Roughness&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.metalness_map_on     BooleanClass    default: true   --  boolean; Metalness_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Metalness&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.metalness_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM5     UndefinedClass    default: undefined   --  texturemap; Metalness_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Metalness&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.diff_rough_map_on     BooleanClass    default: true   --  boolean; Diffuse_Roughness_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Diffuse Roughness&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.diff_rough_map     UndefinedClass    default: undefined   --  texturemap; Diffuse_Roughness_Map\n\
&lt;Physical_Material&gt;.mapM6     UndefinedClass    default: undefined   --  texturemap; Diffuse_Roughness_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Diffuse Roughness&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.anisotropy_map_on     BooleanClass    default: true   --  boolean; Anisotropy_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Anisotropy&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.anisotropy_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM7     UndefinedClass    default: undefined   --  texturemap; Anisotropy_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Anisotropy&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.aniso_angle_map_on     BooleanClass    default: true   --  boolean; Anisotropy_Angle_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Anisotropy Angle&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.aniso_angle_map     UndefinedClass    default: undefined   --  texturemap; Anisotropy_Angle_Map\n\
&lt;Physical_Material&gt;.mapM8     UndefinedClass    default: undefined   --  texturemap; Anisotropy_Angle_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Anisotropy Angle&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.transparency_map_on     BooleanClass    default: true   --  boolean; Transparency_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Transparency Weight&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.transparency_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM9     UndefinedClass    default: undefined   --  texturemap; Transparency_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Transparency Weight&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_color_map_on     BooleanClass    default: true   --  boolean; Transparency_Color_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Transparency Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_color_map     UndefinedClass    default: undefined   --  texturemap; Transparency_Color_Map\n\
&lt;Physical_Material&gt;.mapM10     UndefinedClass    default: undefined   --  texturemap; Transparency_Color_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Transparency Color&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_rough_map_on     BooleanClass    default: true   --  boolean; Transparency_Rougness_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Transparency Roughness&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>Physical_Material&gt;.trans_rough_map    UndefinedClass    default: undefined   --  texturemap; Transparency_Rougness_Map\n\
&lt;Physical_Material&gt;.mapM11     UndefinedClass    default: undefined   --  texturemap; Transparency_Rougness_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Transparency Roughness&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_ior_map_on     BooleanClass    default: true   --  boolean; IOR_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;IOR&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.trans_ior_map     UndefinedClass    default: undefined   --  texturemap; IOR_Map\n\
&lt;Physical_Material&gt;.mapM12     UndefinedClass    default: undefined   --  texturemap; IOR_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;IOR&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.scattering_map_on     BooleanClass    default: true   --  boolean; Scattering_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Scattering Weight&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.scattering_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM13    UndefinedClass    default: undefined   --  texturemap; Scattering_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Scattering Weight&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.sss_color_map_on    BooleanClass    default: true   --  boolean; SSS_Color_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Scattering Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.sss_color_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM14     UndefinedClass    default: undefined   --  texturemap; SSS_Color_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Scattering Color&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.sss_scale_map_on     BooleanClass    default: true   --  boolean; SSS_Scale_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Scattering Scale&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.sss_scale_map    UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM15     UndefinedClass    default: undefined   --  texturemap; SSS_Scale_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Scattering Scale&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emission_map_on     BooleanClass    default: true   --  boolean; Emission_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Emission Weight&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emission_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;Physical_Material&gt;.mapM16     UndefinedClass    default: undefined   --  texturemap; Emission_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Emission Weight&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emit_color_map_on     BooleanClass    default: true   --  boolean; Emission_Color_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Emission Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.emit_color_map     UndefinedClass    default: undefined   --  texturemap; Emission_Color_Map\n\
&lt;Physical_Material&gt;.mapM17     UndefinedClass    default: undefined   --  texturemap; Emission_Color_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Emission Color&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_map_on     BooleanClass    default: true   --  boolean; Coating_Weight_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Coating Weight&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_map     UndefinedClass    default: undefined   --  texturemap; Coating_Weight_Map\n\
&lt;Physical_Material&gt;.mapM18     UndefinedClass    default: undefined   --  texturemap; Coating_Weight_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Coating Weight&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_color_map_on     BooleanClass    default: true   --  boolean; Coating_Color_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Coating Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_color_map     UndefinedClass    default: undefined   --  texturemap; Coating_Color_Map\n\
&lt;Physical_Material&gt;.mapM19     UndefinedClass    default: undefined   --  texturemap; Coating_Color_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Coating Color&quot;</strong> map button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_rough_map_on     BooleanClass    default: true   --  boolean; Coating_Roughness_Map_Enabled\n\
</pre></div><p>Get/set the state of the <strong>&quot;Coating Roughness&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Material&gt;.coat_rough_map     UndefinedClass    default: undefined   --  texturemap; Coating_Roughness_Map\n\
&lt;Physical_Material&gt;.mapM20    UndefinedClass    default: undefined   --  texturemap; Coating_Roughness_Map\n\
</pre></div><p>Get/set the texture map of the <strong>&quot;Coating Roughness&quot;</strong> map button.</p>\n\
<div class=\'section\'><a id=\"physical_material-interfaces\"></a><h2 id=\"physical_material-interfaces\">Physical_Material interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: Helpers\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.EffectiveLuminance : color by value : Read\n\
</pre></div><p>See description earlier on this page in the &quot;Emission Group Of Controls&quot; section.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";