var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>StandardMaterial : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>StandardMaterial : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"standardmaterial-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>Standardmaterial - superclass: material; super-superclass:MAXWrapper - classID: #(2, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>standardMaterial...      \n\
standard...   \n\
</pre></div><p>{{toc}}</p>\n\
<p><strong>Properties</strong></p>\n\
<p>The properties of a standard material vary based on the shader type. The following properties are applicable to all shader types:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.shaderType Integer default: 1 -- alias: Shader_Type \n\
</pre></div><p>Sets the shader type:</p>\n\
<p>0- Anisotropic</p>\n\
<p>1- Blinn</p>\n\
<p>2- Metal</p>\n\
<p>3- Multi-Layer</p>\n\
<p>4- Oren-Nayar-Blinn</p>\n\
<p>5- Phong</p>\n\
<p>6- Strauss</p>\n\
<p>7-Translucent</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.shaderByName String default:&quot;Blinn&quot;&amp;emdash;alias: Shader_Name \n\
</pre></div><p>Sets the type of shader with a string, rather than a number. Enter &quot; <span class=\'code\'>anisotropic</span> &quot;,&quot; <span class=\'code\'>blinn</span> &quot;,&quot; <span class=\'code\'>metal</span> &quot;,&quot; <span class=\'code\'>multi-layer</span> &quot;,&quot; <span class=\'code\'>oren-nayar-blinn</span> &quot;,&quot; <span class=\'code\'>phong</span> &quot;,&quot; <span class=\'code\'>strauss</span> &quot;or&quot; <span class=\'code\'>Translucent Shader</span> &quot;</p>\n\
<p>Note: The <span class=\'code\'>.shaderType</span> and <span class=\'code\'>.shaderByName</span> are linked and will automatically change each others values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;standard&gt;.wire Boolean default: false -- boolean \n\
</pre></div><p>When on, the material will be rendered in wireframe mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.twoSided Boolean default: false -- alias: Two_sided \n\
</pre></div><p>When on, the material will be applied to both sides of the selected faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.faceMap Boolean default: false -- alias: Face_Map \n\
</pre></div><p>Applies the material to the faces of the geometry. If the material is a mapped material, it requires no mapping coordinates. The map is automatically applied to each facet of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.faceted Boolean default: false \n\
</pre></div><p>Renders each face of a surface as if it were flat.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.adTextureLock Boolean default: true -- alias: Ambient_Diffuse_Texture_Lock \n\
</pre></div><p>When on, ambient and diffuse texture maps will be locked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;standard&gt;.adLock Boolean default: true -- alias: Ambient_Diffuse_Lock \n\
</pre></div><p>When on, ambient and diffuse colors will be locked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityType Integer default: 0 -- alias: Opacity_Type \n\
</pre></div><p>Sets the type of opacity:</p>\n\
<p>0- Filter</p>\n\
<p>1- Subtractive</p>\n\
<p>2- Additive</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacity Float default: 100.0 -- animatable, percentage \n\
</pre></div><p>Sets the opacity/transparency of the material as a percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.filterColor Color default: (color 127.5 127.5 127.5) -- animatable, alias: Filter_Color \n\
</pre></div><p>The color transmitted through transparent or semi-transparent materials such as glass.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityFallOffType Integer default: 0, -- alias: Falloff_Type \n\
</pre></div><p>Sets the fallof type:</p>\n\
<p>0- In (Increases transparency towards the inside of the object, as in a glass bottle.)</p>\n\
<p>1- Out (Increases transparency towards the outside of the object, as in a cloud of smoke.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityFallOff Float default: 0.0 -- animatable, percentage, alias: Falloff \n\
</pre></div><p>Specifies the amount of transparency at the outside or inside extreme.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.ior Float default: 1.5 -- animatable, alias: Index_of_Refraction \n\
</pre></div><p>Sets the index of refraction (IOR) used by refraction maps and raytracing. The IOR controls how severely the material refracts transmitted light. Left at 1.0, the IOR of air, the object behind the transparent object does not distort. At 1.5 the object behind distorts greatly, like a glass marble. At an IOR slightly less than 1.0, the object reflects along its edges, like a bubble seen from under water.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.wireSize Float default: 1.0 -- animatable, alias: Wire_Size \n\
</pre></div><p>Sets the size of the wire inwireframe mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.wireUnits Integer default: 0 -- alias: Wire_Units \n\
</pre></div><p>Sets the units to use with the <span class=\'code\'>.wiresize</span> value:</p>\n\
<p>0- Pixels</p>\n\
<p>1- Units</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.applyReflectionDimming Boolean default: false -- alias: Apply_Reflection_Dimming \n\
</pre></div><p>Turn on to use reflection dimming. When off, the reflection-mapped material is not affected by the presence or absence of direct light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.dimLevel Float default: 0.0 -- animatable, alias: Dim_Level \n\
</pre></div><p>The amount of dimming that takes place in shadow. At 0.0, the reflection map is completely dark in shadow. At 0.5, the reflection map is half dimmed. At 1.0, the reflection map is not dimmed and the material appears as if Apply were turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.reflectionLevel Float default: 3.0 -- animatable, alias: Reflection_Level \n\
</pre></div><p>Affects the intensity of the reflection that is <em>not</em> in shadow. The Reflection Level value multiplies the illumination level of the lit area of the reflection, to compensate for dimming.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.sampler Integer default: 3 -- alias: Pixel_Sampler \n\
</pre></div><p>Sets the sampler type:</p>\n\
<p>0 - <strong>Adaptive Halton</strong> (Spaces samples along both X and Y axes according to a scattered, &quot;quasi random&quot; pattern. Depending on Quality, the number of samples can range from 4 to 40. )</p>\n\
<p>1 - <strong>Adaptive Uniform</strong> (Spaces samples regularly, from a minimum quality of 4 samples to a maximum of 36. The pattern is not square, but skewed slightly to improve accuracy in the vertical and horizontal axes. )</p>\n\
<p>2 - <strong>Hammersley</strong> (Spaces samples regularly along the X axis, but along the Y axis it spaces them according to a scattered, &quot;quasi random&quot; pattern. Depending on Quality, the number of samples can range from 4 to 40.)</p>\n\
<p>3 - <strong>Max 2.5 Star</strong> (The sample at the center of the pixel is averaged with 4 samples surrounding it. The pattern is like the fives on dice.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.samplerByName String default: &quot;Max 2.5 Star&quot; -- string; Sampler_Name \n\
</pre></div><p>Sets the sampler type by name. Enter <strong>&quot;Adaptive Halton&quot;,</strong>&quot;<strong>Adaptive Uniform&quot;</strong>, &quot;<strong>Hammersley&quot;</strong>, or &quot;<strong>Max 2.5 Star&quot;</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.samplerEnable Boolean default: false -- animatable, alias: Sampler_Enable \n\
</pre></div><p>When on, applies supersampling to the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.subSampleTextureOn Boolean default: true -- animatable, alias: SubSample_Textures \n\
</pre></div><p>When on, the maps applied to the material are supersampled as well. When off, the supersampler uses pixel averages for maps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.samplerQuality Float default: 0.5 -- animatable, alias: Sampler_Enable \n\
</pre></div><p>Adjusts the quality of supersampling by controlling the number of samples used for each pixel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.samplerAdaptOn Boolean default: true -- alias: Adaptive_On \n\
</pre></div><p>When on, these methods take fewer samples than the Quality specifies unless samples show a change in color greater than the Threshold value. In that case, they take all the samples specified by the Quality. Turning on Adaptive On can reduce the amount of time required to supersample.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.samplerAdaptThreshold Float default: 0.1 -- alias: Adaptive_Threshold \n\
</pre></div><p>Controls the Adaptive methods. A change in color greater than the Threshold value causes the adaptive methods to take the full number of samples specified by the Quality. If the color does not change as much, the adaptive method takes fewer samples and does not require as much processing time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.samplerAdvancedOptions Boolean default: true -- alias: Advanced_Options \n\
</pre></div><p>The samplerAdvancedOptions property is defined as a property, but is not used by the Standard material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;standard&gt;.UserParam0 Float default: 0.0 -- alias: Optional_Param0 \n\
&lt;standard&gt;.UserParam1 Float default: 0.0 -- alias: Optional_Param1 \n\
</pre></div><p>The UserParam0 and UserParam1 properties are defined as properties, but are not used by the Standard material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.maps ArrayParameter default: #(undefined, undefined, ... , undefined, undefined) \n\
&lt;Standard&gt;.mapEnables ArrayParameter default: #(false, false, ... , false, false) -- alias: Map_Enables \n\
&lt;Standard&gt;.mapAmounts ArrayParameter default: #(100.0, 100.0, ... , 100.0, 100.0) -- animatable, alias: Map_Amounts \n\
</pre></div><p>The three map arrays each have 24 elements and store data related to the material’s maps. The <span class=\'code\'>maps</span> array stores the textureMap for each channel, the <span class=\'code\'>mapEnables</span> array stores whether the that map channel is enabled, and the <span class=\'code\'>mapAmounts</span> array stores the amount value for each channel. The meaning of each map channel depends on the shaderType value. Table <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Material-MAXWrapper/Material-Types/StandardMaterial-Material.html\' title=\'\'>Map Channels for Standard Material Shaders</a> shows the meaning of each map channel for each shader. For example, for the Blinn shader type element 5 of the map arrays correspond to the Glossiness map channel. The names in this table also reflect property aliases that have been defined for easier access to the map channels. Again for the Blinn shader type, array element 4, the property aliases for the 3 map arrays are: <span class=\'code\'>GlossinessMap</span> (maps[5]), <span class=\'code\'>GlossinessMapEnable</span> (mapEnables[5]), and <span class=\'code\'>GlossinessMapAmount</span> (mapAmounts[5]). A textureMap needs to be assigned to a <span class=\'code\'>maps</span> array element (or alias) before the corresponding <span class=\'code\'>mapAmounts</span> property (or alias) can be animated.</p>\n\
<div class=\'section\'><a id=\"the-following-properties-were-associated-with-the-dynamics-properties-rollout-available-from-3ds-max-2-to-3ds-max-2011.\"></a><h3 id=\"the-following-properties-were-associated-with-the-dynamics-properties-rollout-available-from-3ds-max-2-to-3ds-max-2011.\">The following properties were associated with the Dynamics Properties rollout available from 3ds Max 2 to 3ds Max 2011.</h3></div>\n\
<p>These properties have been <strong>removed</strong> together with the old Dynamics system introduced in <strong>3ds Max 2</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.bounce Float default: 1.0 -- animatable, alias: Bounce_Coefficient \n\
</pre></div><p>Sets how far an object bounces after hitting a surface. The higher the value, the greater the bounce. A value of 1 represents a &quot;perfectly elastic collision&quot;, or a bounce in which no kinetic energy is lost.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> <strong>Removed from 3ds Max 2012</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.staticFriction Float default: 0.0 -- animatable, alias: Static_Friction \n\
</pre></div><p>Sets how difficult it is for the object to start moving along a surface. The higher this value, the more difficult.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> <strong>Removed from 3ds Max 2012</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.slidingFriction Float default: 0.0 -- animatable, alias: Sliding_Friction \n\
</pre></div><p>Sets how difficult it is for the object to keep moving over a surface. The higher this value, the more difficult for the object to keep moving.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> <strong>Removed from 3ds Max 2012</strong>.</p>\n\
<div class=\'section\'><a id=\"shader-types-phong-metal-blinn-oren-nayar-blinn-anisotropic-translucent\"></a><h3 id=\"shader-types-phong-metal-blinn-oren-nayar-blinn-anisotropic-translucent\">Shader Types: Phong; Metal; Blinn; Oren-Nayar-Blinn; Anisotropic; Translucent</h3></div>\n\
<p>Unless otherwise noted, the following additional properties are applicable to the above shader types:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.ambient Color default:(color 127.5 127.5 127.5)- animatable; RGB color; Ambient_Color \n\
</pre></div><p>Controls the ambient color. The ambient color is the color in direct light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.ambientMap TextureMap default: undefined -- alias for maps[0] \n\
</pre></div><p>Get/Set the ambient map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.ambientMapAmount Float default: 100.0 -- alias for mapAmounts[0] \n\
</pre></div><p>Get/Set the ambient map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;standard&gt;.ambientMapEnable Boolean default: false -- alias for mapEnables[0] \n\
</pre></div><p>Enable/Disable the ambient map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuse Color default:(color 127.5 127.5 127.5)-- animatable, alias: Diffuse_Color \n\
</pre></div><p>Controls the diffuse color. The diffuse color is the color in direct light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseLevel Float default: 100.0 -- animatable; percentage; Diffuse_Level \n\
</pre></div><p>Controls the brightness of the material’s diffuse component. Increasing this value increases diffuse brightness, and decreasing it reduces diffuse brightness without affecting the specular highlight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseLevelMap TextureMap default: undefined -- alias for maps[8] \n\
</pre></div><p>Get/Set the diffuse level map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseLevelMapAmount Float default: 100.0 -- alias for mapAmounts[8] \n\
</pre></div><p>Get/Set the diffuse level map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseLevelMapEnable Boolean default: false -- alias for mapEnables[8] \n\
</pre></div><p>Enable/Disable the diffuse level map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseMap TextureMap default: undefined -- alias for maps[1] \n\
</pre></div><p>Get/Set the diffuse map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseMapAmount Float default: 100.0 -- alias for mapAmounts[1] \n\
</pre></div><p>Get/Set the diffuse map value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseMapEnable Boolean default: false -- alias for mapEnables[1] \n\
</pre></div><p>Enable/Disable the diffuse map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularMap TextureMap default: undefined -- alias for maps[2] \n\
</pre></div><p>Get/Set the specular map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularMapAmount Float default: 100.0 -- alias for mapAmounts[2] \n\
</pre></div><p>Get/Set the specular map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularMapEnable Boolean default: false -- alias for mapEnables[2] \n\
</pre></div><p>Enable/Disable the specular map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.Glossiness Float default: 25.0 -- animatable; percentage \n\
</pre></div><p>Get/Set the glossiness value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.glossinessMap TextureMap default: undefined -- alias for maps[3] \n\
</pre></div><p>Get/Set the glossiness map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.glossinessMapAmount Float default: 100.0 -- alias for mapAmounts[3] \n\
</pre></div><p>Get/Set the glossiness map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.glossinessMapEnable Boolean default: false -- alias for mapEnables[3] \n\
</pre></div><p>Enable/Disable the glossiness map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specular Color default: (color 229.5 229.5 229.5) -- animatable; Specular_Color \n\
</pre></div><p>Get/Set the specular color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularLevel Float default: 0.0 -- animatable; percentage; Specular_Level \n\
</pre></div><p>Get/Set the specular level value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularLevelMap TextureMap default: undefined -- alias for maps[4] \n\
</pre></div><p>Get/Set the specular level map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularLevelMapAmount Float default: 100.0 -- alias for mapAmounts[4] \n\
</pre></div><p>Get/Set the specular level map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularLevelMapEnable Boolean default: false -- alias for mapEnables[4] \n\
</pre></div><p>Enable/Disable the specular level map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumAmount Float default: 0.0 -- animatable; percentage; Self_Illumination \n\
</pre></div><p>Get/Set the self illumination amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumColor Color default: (color 0 0 0) -- animatable; Self_Illum_Color \n\
</pre></div><p>Get/Set the self illumination color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumMap TextureMap default: undefined -- alias for maps[5] \n\
</pre></div><p>Get/Set the self illumination map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumMapAmount Float default: 100.0 -- alias for mapAmounts[5] \n\
</pre></div><p>Get/Set the self illumination map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumMapEnable Boolean default: false -- alias for mapEnables[5] \n\
</pre></div><p>Enable/Disable the self illumination map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacity Float default: 100.0 -- animatable; percentage \n\
</pre></div><p>Get/Set the opacity value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityFallOff Float default: 0.0 -- animatable; percentage; Falloff \n\
</pre></div><p>Get/Set the opacity falloff value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityFallOffType Integer default: 0 -- integer; Falloff_Type \n\
</pre></div><p>Get/Set the opacity falloff type.</p>\n\
<p>0 - In</p>\n\
<p>1 - Out</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityMap TextureMap default: undefined -- alias for maps[6] \n\
</pre></div><p>Get/Set the opacity map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityMapAmount Float default: 100.0 -- alias for mapAmounts[6] \n\
</pre></div><p>Get/Set the opacity map amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityMapEnable Boolean default: false -- alias for mapEnables[6] \n\
</pre></div><p>Enable/Disable the opacity map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.opacityType Integer default: 0 -- integer; Opacity_Type \n\
</pre></div><p>Get/Set the opacity type.</p>\n\
<p>0 - Filter</p>\n\
<p>1 - Subtractive</p>\n\
<p>2 - Additive</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.filterColor default: (color 127.5 127.5 127.5) -- animatable; Filter_Color \n\
&lt;standard&gt;.filterColor Color default: (color 127.5 127.5 127.5) -- animatable; Filter_Color \n\
</pre></div><p>Specifies a filer color that is multiplied by the translucent color. The filter, or transmissive color, is the color transmitted through transparent or semi-transparent materials such as glass. Raytraced shadows cast by transparent objects are tinted with the filter color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.filterMap TextureMap default: undefined -- texmap; Filter_Map, alias for maps[7] \n\
</pre></div><p>Specifies a filter color map to control the trasmissive color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.filterMapAmount Float default: 100.0 -- alias for mapAmounts[7] \n\
</pre></div><p>Get/Set the filter map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.filterMapEnable Boolean default: false -- alias for mapEnables[7] \n\
</pre></div><p>Enable/Disable the filter map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.bumpMap TextureMap default: undefined -- alias for maps[10] \n\
</pre></div><p>Get/Set the bump map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.bumpMapAmount Float default: 30.0 -- alias for mapAmounts[10] \n\
</pre></div><p>Get/Set the bump map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.bumpMapEnable Boolean default: false -- alias for mapEnables[10] \n\
</pre></div><p>Enable/Disable the bump map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.reflectionLevel Float default: 3.0 -- animatable; float; Reflection_Level \n\
</pre></div><p>Get/Set the reflection level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.reflectionMap TextureMap default: undefined -- alias for maps[11] \n\
</pre></div><p>Get/Set the reflection map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.reflectionMapAmount Float default: 100.0 -- alias for mapAmounts[11] \n\
</pre></div><p>Get/Set the reflection map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.reflectionMapEnable Boolean default: false -- alias for mapEnables[11] \n\
</pre></div><p>Enable/Disable the reflection map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.refractionMap TextureMap default: undefined -- alias for maps[12] \n\
</pre></div><p>Get/Set the refraction map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.refractionMapAmount Float default: 100.0 -- alias for mapAmounts[12] \n\
</pre></div><p>Get/Set the refraction map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.refractionMapEnable Boolean default: false -- alias for mapEnables[12] \n\
</pre></div><p>Enable/Disable the refraction map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.displacementMap TextureMap default: undefined -- alias for maps[13] \n\
</pre></div><p>Get/Set the displacement map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.displacementMapAmount Float default: 100.0 -- alias for mapAmounts[13] \n\
</pre></div><p>Get/Set the displacement map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.displacementMapEnable Boolean default: false -- alias for mapEnables[13] \n\
</pre></div><p>Enable/Disable the displacement map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specular Color default: (color 229.5 229.5 229.5) -- animatable, alias: Specular_Color \n\
</pre></div><p>Controls the specular color. The specular color is the color of the highlight on a shiny object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.dsLock Boolean default: false -- alias: Diffuse_Specular_Lock \n\
</pre></div><p>When on, the diffuse and specular colors are linked together.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.useSelfIllumColor Boolean default: false -- boolean; Use_Self_Illum_Color \n\
</pre></div><p>When on, the material uses a special self-illumination color ( <span class=\'code\'>.selfIllumColor</span> ). When off, the material uses the diffuse color for self-illumination.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumAmount Float default: 0.0 -- animatable, percentage, alias: Self_Illumination \n\
</pre></div><p>Sets the amount of self-illumination.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumColor Color default: (color 0 0 0) -- animatable, alias: Self_Illum_Color \n\
</pre></div><p>Sets a separate color to use for self-illumination.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularLevel Float default: 5.0 -- animatable, percentage, alias: Specular_Level \n\
</pre></div><p>Affects the intensity of the specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.glossiness Float default: 25.0 -- animatable, percentage \n\
</pre></div><p>Affects the size of the specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.soften Float default: 0.1 -- animatable, alias: Soften_Level \n\
</pre></div><p>Softens the effect of specular highlights, especially those formed by glancing light. When Specular Level is high and Glossiness is low, you can get harsh backlights on surfaces. Increase the value of Soften to mitigate this effect. At 0 there is no softening. At 1.0, the maximum amount of softening is applied.</p>\n\
<p>Note:</p>\n\
<p>Soften is not applicable to the Anisotropic and Translucent shader.</p>\n\
<div class=\'section\'><a id=\"the-following-additional-properties-are-applicable-to-the-oren-nayar-blinn-shader\"></a><h3 id=\"the-following-additional-properties-are-applicable-to-the-oren-nayar-blinn-shader\">The following additional properties are applicable to the Oren-Nayar-Blinn shader:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseRoughness Float default: 50.0 -- animatable, percentage, alias: Diff_Roughness \n\
</pre></div><p>Controls how quickly the diffuse component blends into the ambient component. As you increase roughness, the matte appearance of the material increases. It also grows darker and appears more flat.</p>\n\
<div class=\'section\'><a id=\"the-following-additional-properties-are-applicable-to-the-anisotropic-shader\"></a><h3 id=\"the-following-additional-properties-are-applicable-to-the-anisotropic-shader\">The following additional properties are applicable to the Anisotropic shader:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.anisotropy Float default: 50.0 -- animatable, percentage \n\
</pre></div><p>Controls the anisotropy, or shape, of the highlight. At 0, the highlight is round. At 100, the highlight is extremely narrow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.orientation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Changes the orientation of the highlight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.unused Integer default: 1 \n\
</pre></div><p>The unused property is defined but not used by the shader</p>\n\
<div class=\'section\'><a id=\"the-following-additional-properties-are-applicable-to-the-translucent-shader\"></a><h3 id=\"the-following-additional-properties-are-applicable-to-the-translucent-shader\">The following additional properties are applicable to the Translucent shader:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.translucentColor Color default: (color 0 0 0) -- RGB color; Translucent_Color \n\
</pre></div><p>Specifies a translucency color. This is the color of light that is scattered within the material. It does not need to be the same as the filter color, which is light transmitted by the material. The two color values are multiplied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.translucentColorMap UndefinedClass default: undefined -- alias for maps[9] \n\
</pre></div><p>Specifies a translucency color map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.translucentColorMapAmount Float default: 100.0 -- alias for mapAmounts[9] \n\
</pre></div><p>Specifies a translucency color map amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.translucentColorMapEnable Boolean default: false -- alias for mapEnables[9] \n\
</pre></div><p>Controls the usage of the translucency color map. When<strong>true</strong>, the map will be used. When <span class=\'code\'>false</span> , the translucency color will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.backsideSpecular Boolean default: true -- boolean; alias: Backside_Specular \n\
</pre></div><p>When <span class=\'code\'>true</span> , both sides of the material receive a specular highlight. When <span class=\'code\'>false</span> , only the front side of the material receives a highlight. Default=on.</p>\n\
<div class=\'section\'><a id=\"shader-type-multi-layer\"></a><h3 id=\"shader-type-multi-layer\">Shader Type: Multi-Layer</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.ambient Color default: (color 127.5 127.5 127.5) -- animatable, alias: Ambient_Color \n\
</pre></div><p>Controls the ambient color. The ambient color is the color not in direct light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuse Color default: (color 127.5 127.5 127.5) -- animatable, alias: Diffuse_Color \n\
</pre></div><p>Controls the diffuse color. The diffuse color is the color in direct light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.useSelfIllumColor Boolean default: false -- alias: Use_Self_Illumination \n\
</pre></div><p>When on, the material uses a special self-illumination color ( <span class=\'code\'>.selfIllumColor</span> ). When off, the material uses the diffuse color for self-illumination.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumAmount Float default: 0.0 -- animatable, percentage, alias: Self_Illumination \n\
</pre></div><p>Sets the amount of self-illumination. As you increase self-illumination, the self-illumination color takes over from the ambient color. At a setting of 100, the material shows no shaded areas, although it can show specular highlights.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.selfIllumColor Color default: (color 0 0 0) -- animatable, alias: Self_Illum_Color \n\
</pre></div><p>Sets an alternate color to use for self-illumination.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseLevel Float default: 100.0 -- animatable, percentage, alias: Diffuse_Level \n\
</pre></div><p>Controls the brightness of the material’s diffuse component. Increasing this value increases diffuse brightness, and decreasing it reduces diffuse brightness without affecting the specular highlight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuseRoughness Float default: 0.0 -- animatable, percentage, alias: Diff_Roughness \n\
</pre></div><p>Controls how quickly the diffuse component blends into the ambient component. As you increase roughness, the matte appearance of the material increases. It also grows darker and appears more flat.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specular Color default: (color 229.5 229.5 229.5) -- animatable, alias: Color_1 \n\
</pre></div><p>Controls the specular color of the first color’s highlight. The specular color is the color of the highlight on a shiny surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularLevel Float default: 5.0 -- animatable, percentage, alias: Level_1 \n\
</pre></div><p>Affects the intensity of the first color’a s specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.glossiness Float default: 50.0 -- animatable, percentage, alias: Glossiness_1 \n\
</pre></div><p>Affects the size of the first color’s specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.anisotropy Float default: 0.0 -- animatable, alias: Anisotropy_1 \n\
</pre></div><p>Controls the anisotropy, or shape, of the first color’s highlight. At 0, the highlight is round. At 100, the highlight is extremely narrow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.orientation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Changes the orientation of the first color’s highlight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specular2 Color default: (color 229.5 229.5 229.5) -- animatable, alias: Color_2 \n\
</pre></div><p>Affects the intensity of the second color’s specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.specularLevel2 Float default: 0.0 -- animatable, percentage, alias: Level_2 \n\
</pre></div><p>Affects the intensity of the second color’s specular highlight. As you increase the value, the highlight grows brighter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.glossiness2 Float default: 25.0 -- animatable, percentage, alias: Glossiness_2 \n\
</pre></div><p>Affects the size of the second color’s specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.anisotropy2 Float default: 0.0 -- animatable, alias: Anisotropy_2 \n\
</pre></div><p>Controls the anisotropy, or shape, of the second color’s highlight. At 0, the highlight is round. At 100, the highlight is extremely narrow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.orientation2 Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Changes the orientation of the second color’s highlight.</p>\n\
<div class=\'section\'><a id=\"shader-type-strauss\"></a><h3 id=\"shader-type-strauss\">Shader Type: Strauss</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.diffuse Color default: (color 127.5 127.5 127.5) -- animatable, alias: Diffuse_Color \n\
</pre></div><p>Controls the color of the material. This corresponds to the diffuse color you specify for other kinds of shaders. With the Strauss shader, you control only this color. The shader calculates the ambient and specular color components.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.glossinessFloat default: 25.0 -- animatable, percentage \n\
</pre></div><p>Affects the size and intensity of the specular highlight. As you increase the value, the highlight gets smaller and the material appears shinier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Standard&gt;.metalness Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Changes the metallic appearance of a material. Increasing the Metalness value increases the metallic appearance, with glancing as well as primary highlights. Because a metallic appearance principally depends on highlights, the Metalness value has little effect unless you also increase the Glossiness value.</p>\n\
<p><strong>The following Interface is available in 3ds Max 6 and higher:</strong></p>\n\
<div class=\'section\'><a id=\"standardmaterial-interfaces\"></a><h2 id=\"standardmaterial-interfaces\">Standardmaterial interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:ExposureMaterialControl \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.noExposureControl: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Exposure Controls will ignore the material.</p>\n\
<div class=\'codeBlock\'><pre>.exposureControlInvertSelfIllum: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Self-Illumination values from this material will be inverted.</p>\n\
<div class=\'codeBlock\'><pre>.exposureControlInvertReflection: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Reflection values from this material will be inverted.</p>\n\
<div class=\'codeBlock\'><pre>.exposureControlInvertRefraction: boolean : Read|Write \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Refraction values from this material will be inverted.</p>\n\
<p><strong>Map Channels for Standard Material Shaders</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"></th>\n\
<th align=\"left\">Anisotropic</th>\n\
<th align=\"left\">Blinn</th>\n\
<th align=\"left\">Metal</th>\n\
<th align=\"left\">Multi-Layer</th>\n\
<th align=\"left\">Oren-Nayar-Blinn</th>\n\
<th align=\"left\">Phong</th>\n\
<th align=\"left\">Strauss</th>\n\
<th align=\"left\">Translucent</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>1</strong></td>\n\
<td align=\"left\">AmbientMap</td>\n\
<td align=\"left\">AmbientMap</td>\n\
<td align=\"left\">AmbientMap</td>\n\
<td align=\"left\">AmbientMap</td>\n\
<td align=\"left\">AmbientMap</td>\n\
<td align=\"left\">AmbientMap</td>\n\
<td align=\"left\">DiffuseMap</td>\n\
<td align=\"left\">AmbientMap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>2</strong></td>\n\
<td align=\"left\">DiffuseMap</td>\n\
<td align=\"left\">DiffuseMap</td>\n\
<td align=\"left\">DiffuseMap</td>\n\
<td align=\"left\">DiffuseMap</td>\n\
<td align=\"left\">DiffuseMap</td>\n\
<td align=\"left\">DiffuseMap</td>\n\
<td align=\"left\">GlossinessMap</td>\n\
<td align=\"left\">DiffuseMap</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>3</strong></td>\n\
<td align=\"left\">SpecularMap</td>\n\
<td align=\"left\">SpecularMap</td>\n\
<td align=\"left\">SpecularMap</td>\n\
<td align=\"left\">DiffuseLevelMap</td>\n\
<td align=\"left\">SpecularMap</td>\n\
<td align=\"left\">SpecularMap</td>\n\
<td align=\"left\">MetalnessMap</td>\n\
<td align=\"left\">SpecularMap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>4</strong></td>\n\
<td align=\"left\">DiffuseLevelMap</td>\n\
<td align=\"left\">SpecularLevelMap</td>\n\
<td align=\"left\">SpecularLevelMap</td>\n\
<td align=\"left\">DiffuseRoughnessMap</td>\n\
<td align=\"left\">GlossinessMap</td>\n\
<td align=\"left\">SpecularLevelMap</td>\n\
<td align=\"left\">OpacityMap</td>\n\
<td align=\"left\">GlossinessMap</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>5</strong></td>\n\
<td align=\"left\">SpecularLevelMap</td>\n\
<td align=\"left\">GlossinessMap</td>\n\
<td align=\"left\">GlossinessMap</td>\n\
<td align=\"left\">SpecularMap</td>\n\
<td align=\"left\">SpecularLevelMap</td>\n\
<td align=\"left\">GlossinessMap</td>\n\
<td align=\"left\">FilterMap</td>\n\
<td align=\"left\">SpecularLevelMap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>6</strong></td>\n\
<td align=\"left\">GlossinessMap</td>\n\
<td align=\"left\">SelfIllumMap</td>\n\
<td align=\"left\">SelfIllumMap</td>\n\
<td align=\"left\">SpecularLevelMap</td>\n\
<td align=\"left\">SelfIllumMap</td>\n\
<td align=\"left\">SelfIllumMap</td>\n\
<td align=\"left\">BumpMap</td>\n\
<td align=\"left\">SelfIllumMap</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>7</strong></td>\n\
<td align=\"left\">AnisotropyMap</td>\n\
<td align=\"left\">OpacityMap</td>\n\
<td align=\"left\">OpacityMap</td>\n\
<td align=\"left\">GlossinessMap</td>\n\
<td align=\"left\">OpacityMap</td>\n\
<td align=\"left\">OpacityMap</td>\n\
<td align=\"left\">ReflectionMap</td>\n\
<td align=\"left\">OpacityMap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>8</strong></td>\n\
<td align=\"left\">OrientationMap</td>\n\
<td align=\"left\">FilterMap</td>\n\
<td align=\"left\">FilterMap</td>\n\
<td align=\"left\">AnisotropyMap</td>\n\
<td align=\"left\">FilterMap</td>\n\
<td align=\"left\">FilterMap</td>\n\
<td align=\"left\">RefractionMap</td>\n\
<td align=\"left\">FilterMap</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>9</strong></td>\n\
<td align=\"left\">SelfIllumMap</td>\n\
<td align=\"left\">BumpMap</td>\n\
<td align=\"left\">BumpMap</td>\n\
<td align=\"left\">OrientationMap</td>\n\
<td align=\"left\">DiffuseLevelMap</td>\n\
<td align=\"left\">BumpMap</td>\n\
<td align=\"left\">DisplacementMap</td>\n\
<td align=\"left\">DiffuseLevel</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>10</strong></td>\n\
<td align=\"left\">OpacityMap</td>\n\
<td align=\"left\">ReflectionMap</td>\n\
<td align=\"left\">ReflectionMap</td>\n\
<td align=\"left\">specularMap2</td>\n\
<td align=\"left\">DiffuseRoughnessMap</td>\n\
<td align=\"left\">ReflectionMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">TranslucentColor</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>11</strong></td>\n\
<td align=\"left\">FilterMap</td>\n\
<td align=\"left\">RefractionMap</td>\n\
<td align=\"left\">RefractionMap</td>\n\
<td align=\"left\">SpecularLevelMap2</td>\n\
<td align=\"left\">BumpMap</td>\n\
<td align=\"left\">RefractionMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">BumpMap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>12</strong></td>\n\
<td align=\"left\">BumpMap</td>\n\
<td align=\"left\">DisplacementMap</td>\n\
<td align=\"left\">DisplacementMap</td>\n\
<td align=\"left\">GlossinessMap2</td>\n\
<td align=\"left\">ReflectionMap</td>\n\
<td align=\"left\">DisplacementMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">ReflectionMap</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>13</strong></td>\n\
<td align=\"left\">ReflectionMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">AnisotropyMap2</td>\n\
<td align=\"left\">RefractionMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">RefractionMap</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>14</strong></td>\n\
<td align=\"left\">RefractionMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">OrientationMap2</td>\n\
<td align=\"left\">DisplacementMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">DisplacementMap</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>15</strong></td>\n\
<td align=\"left\">DisplacementMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">SelfIllumMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>16</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">OpacityMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>17</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">FilterMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>18</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">BumpMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>19</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">ReflectionMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>20</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">RefractionMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>21</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\">DisplacementMap</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";