var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: ParticleCache</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: ParticleCache</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-particlecache\"></a></div>\n\
<p>This interface provides access to the liquid or foam particle cache for <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/MaxLiquidSolver.html\' title=\'\'>MaxLiquidSolver</a> objects. Available in <strong>3ds Max 2018.3</strong> and later.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>ParticleCache.baseFilename : string : Read\n\
</pre></div><p>Gets the base path and filename for the cache files. For example, &quot;C:\\Program Files\\3ds Max 2019\\SimCache\\Untitled\\Liquid001\\Solver01\\voxel_liquid\\voxel_liquid_particle&quot;. This path is constructed from the <span class=\'code\'>MaxLiquid.cacheOutputFilePattern</span> property. Cache files are stored in this location with a suffix of <span class=\'code\'>&lt;frame number&gt;.bif</span>. For example &quot;voxel_liquid_particle.0001.bif&quot;.</p>\n\
<div class=\'codeBlock\'><pre>ParticleCache.numDigits : integer : Read\n\
</pre></div><p>Gets the number of digits used for the frame portion of the cache file name.</p>\n\
<div class=\'codeBlock\'><pre>ParticleCache.cacheType : enum : Read\n\
 cacheType enums: {#unknown|#liquid|#smoke|#foam|#mesh}\n\
</pre></div><p>Returns the cache object type.</p>\n\
<div class=\'codeBlock\'><pre>ParticleCache.startFrame : integer : Read\n\
</pre></div><p>Returns the frame number the cache starts at.</p>\n\
<div class=\'codeBlock\'><pre>ParticleCache.endFrame : integer : Read\n\
</pre></div><p>Returns the frame number the cache ends at.</p>\n\
<div class=\'codeBlock\'><pre>ParticleCache.colorChannelname : string : Read|Write\n\
ParticleCache.sizeChannelName : string : Read|Write\n\
ParticleCache.opacityChannelname : string : Read|Write\n\
</pre></div><p>Gets or sets the color, size, or opacity channel names. The string is empty when the channel mode is &quot;Static&quot;. This corresponds to the <span class=\'code\'>&lt;MaxLiquidSolver&gt;.colorChannelMode</span>, <span class=\'code\'>.sizeChannelMode</span>, and <span class=\'code\'>.opacityChannelMode</span> properties.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;ParticleCache.GetMainName()\n\
</pre></div><p>Returns the name of the solver the particle cache is associated with.</p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;ParticleCache.GetNumFrames()\n\
</pre></div><p>Returns the number of frames in the cache.</p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;ParticleCache.GetNumParticles &lt;integer&gt;frame\n\
</pre></div><p>Returns the number of particles in the cache file for the specified frame number, or -1 if the specified frame does not exist.</p>\n\
<div class=\'codeBlock\'><pre> &lt;point3 by value&gt;ParticleCache.GetParticlePos &lt;integer&gt;frame &lt;index&gt;particleIndex\n\
</pre></div><p>Returns the position of the particle at the specified index at the specified frame, or [0,0,0] if the frame or index does not exist.</p>\n\
<div class=\'codeBlock\'><pre> &lt;box3&gt;ParticleCache.GetBoundingBox &lt;integer&gt;frame\n\
</pre></div><p>Returns the bounding box of all the particles at the specified frame.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;ParticleCache.Clear()\n\
</pre></div><p>Clears the particle cache from memory. Note that this does not delete the cache files on disk.</p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;ParticleCache.IsCached &lt;integer&gt;frame\n\
</pre></div><p>Returns true if a cache exists for the specified fame.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";