var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxLiquid : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxLiquid : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxliquid-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>MaxLiquid - superclass: GeometryClass; super-superclass:node - 28:0 - classID: #(712128612L, 2137014116L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.3 and higher</strong>. The liquid class contains the set up parameters for a fluid simulation, including references to other objects, such as colliders and kill planes, that interact with the liquid in the simulation.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxLiquid...\n\
</pre></div><div class=\'section\'><a id=\"example\"></a><h3 id=\"example\">Example</h3></div>\n\
<div class=\'codeBlock\'><pre>-- Max fluid scene set up\n\
resetmaxFile #noPrompt\n\
p = plane()\n\
\n\
b = box width:70 length:70 height:20\n\
convertto b editable_poly\n\
\n\
subobjectlevel = 4\n\
b.SetSelection #Face #{2}\n\
b.delete #face\n\
addmodifier b (shell outerAmount:3.0)\n\
\n\
liquid = maxLiquid pos:[0,0,50]\n\
-- don&#39;t do this:\n\
-- append liquid.collider_Meshes b\n\
-- append liquid.killplanes p\n\
liquid.AddCollider b\n\
liquid.AddKillPlane p\n\
\n\
-- create a new solver for the liquid and set the Base Voxel size\n\
liquid.CreateSolver 1\n\
solver = liquid.solvers[1]\n\
solver.baseVoxelSize = 4.0\n\
\n\
-- Turn on override for the first collider:\n\
solver.colliderConversionOverrideTab[1] = true\n\
-- Set thickness for the collider\n\
solver.colliderConversionOverrideThicknessTab[1] = 5.0\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.accelerator_Meshes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>Reserved for future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.cacheOutputFilePattern     String    default: &quot;&lt;ProjectName&gt;\\SimCache\\&lt;ObjectName&gt;\\&lt;SolverName&gt;\\&quot;   --  string\n\
</pre></div><p>Reserved for future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.collider_Meshes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of scene nodes that act as colliders with the liquid in the simulation.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with collider meshes, use the <span class=\'code\'>Add/Get/Delete</span> methods for Colliders (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.emitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of scene nodes that act as liquid emitters. This array is only used when the emitter icon type is &quot;custom&quot;.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with emitter meshes, use the <span class=\'code\'>Add/Get/Delete</span> methods for Emitters (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.emitterType     Integer    default: 0   --  integer\n\
</pre></div><p>The type of emitter icon, where:</p>\n\
<ul>\n\
<li>0 = sphere</li>\n\
<li>1 = box</li>\n\
<li>2 = plane</li>\n\
<li>3 = custom – the nodes in the <strong>emitter_Meshes</strong> array are used as emitters.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.emitterHeight     Float    default: 5.0   --  animatable; float\n\
&lt;MaxLiquid&gt;.emitterLength     Float    default: 5.0   --  animatable; float\n\
&lt;MaxLiquid&gt;.emitterWidth     Float    default: 5.0   --  animatable; float\n\
</pre></div><p>The height, length, and width of the emitter, when it is a box. When it is a sphere, the <strong>emitterLength</strong> is the radius. When the emitter is a plane, only the width and length parameters are used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.exportPRTFiles     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Indicates whether to export voxels as PRT files when running the solve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.field_Meshes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of scene nodes that act as motion fields.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with motion fields, use the <span class=\'code\'>Add/Get/Delete</span> methods for motion fields (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.foammask_Meshes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of scene nodes that act as foam masks.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with foam masks, use the <span class=\'code\'>Add/Get/Delete</span> methods for Foam Masks (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.guide_Meshes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of scene nodes that act as guide meshes.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with guide meshes, use the <span class=\'code\'>Add/Get/Delete</span> methods for Guide Meshes (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.guideEmitter_Meshes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of scene nodes that act as Guide Emitters.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with guide emitter meshes, use the <span class=\'code\'>Add/Get/Delete</span> methods for Guide Emitters (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.iconSize     Float    default: 10.0   --  float\n\
</pre></div><p>The size of the liquid icon in the viewport. Note that this is always in inches, regardless of the scene units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.killplanes     ArrayParameter    default: #()   --  node array; SubAnim\n\
</pre></div><p>An array of scene nodes that act as kill planes in the simulation.</p>\n\
<p><strong>Note</strong>: this array should not be directly manipulated, it is for reading only. To work with kill planes, use the <span class=\'code\'>Add/Get/Delete</span> methods for Kill Planes (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.killVolumeNode     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Reserved for future use</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.lastSelectedSolverIndex     Integer    default: 1   --  integer\n\
</pre></div><p>Contains the index in the solvers array of the last solve selected by the user.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.maxScratchCacheRAM     Float    default: 1.0   --  float\n\
</pre></div><p>Reserved for future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.renderSolveIndex     Integer    default: 1   --  integer\n\
</pre></div><p>Contains the index of the solver in the solver list which was last rendered.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.renderSolveLock     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Gets or sets the state of the render lock button, where true indicates that the selected solve is locked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.rootSimDirectory     String    default: &quot;c:\\MaxFluidSim\\&quot;   --  string\n\
</pre></div><p>Contains the root directory in which cache files are saved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.scratchCache     String    default: &quot;c:\\MaxFluidScratchCache\\&quot;   --  string\n\
</pre></div><p>Reserved for future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.showVoxelGrid     BooleanClass    default: true   --  Boolean\n\
</pre></div><p>Indicates whether to show a visual representation of the voxel size in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.solvers     ArrayParameter    default: #()   --  maxObject array; SubAnim\n\
</pre></div><p>An array of solver objects for the liquid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquid&gt;.useProjectFolders     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Indicates whether to use the Max project folder instead of the <strong>rootSimDirectory</strong> to store solver cache files.</p>\n\
<div class=\'section\'><a id=\"maxliquid-interfaces\"></a><h2 id=\"maxliquid-interfaces\">MaxLiquid Interfaces</h2></div>\n\
<p><strong>Interface: MaxFluidLiquidObject</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;CreateSolver &lt;&amp;index&gt;solverIndex\n\
       solverIndex is Out parameter\n\
</pre></div><p>Creates a new solver in the liquid’s solvers array, returning the index of the newly created solve.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;CloneSolver &lt;index&gt;index &lt;&amp;string&gt;cloneName &lt;&amp;index&gt;cloneIndex\n\
       cloneName is Out parameter\n\
       cloneIndex is Out parameter\n\
</pre></div><p>Creates a new, cloned copy of the solver specified by the index, returning the new name and index.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;DeleteSolver &lt;index&gt;index\n\
</pre></div><p>Deletes the solver specified by the index.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;integer&gt;NumberSolvers()\n\
</pre></div><p>Returns the number of solvers in the solvers array.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;index&gt;AddEmitter &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberEmitters()\n\
    &lt;node&gt;GetEmitter &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteEmitter &lt;index&gt;index\n\
</pre></div><p>Manipulates the collection of emitters held in the liquid&#39;s <span class=\'code\'>emitter_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;index&gt;AddCollider &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberColliders()\n\
    &lt;node&gt;GetCollider &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteCollider &lt;index&gt;index\n\
</pre></div><p>Manipulates the collection of colliders held in the liquid&#39;s <span class=\'code\'>collider_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;index&gt;AddKillPlane &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberKillPlanes()\n\
    &lt;node&gt;GetKillPlane &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteKillPlane &lt;index&gt;index\n\
</pre></div><p>Manipulates the collection of kill planes held in the liquid&#39;s <span class=\'code\'>killplanes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;index&gt;AddFoamMask &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberFoamMasks()\n\
    &lt;node&gt;GetFoamMask &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteFoamMask &lt;index&gt;index\n\
</pre></div><p>Manipulates the collection of foam masks held in the liquid&#39;s <span class=\'code\'>foammask_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;index&gt;AddGuideEmitter &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberGuideEmitters()\n\
    &lt;node&gt;GetGuideEmitter &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteGuideEmitter &lt;index&gt;index\n\
</pre></div><p>Manipulates the collection of guide emitters held in the liquid&#39;s <span class=\'code\'>guideEmitter_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;index&gt;AddMotionField &lt;node&gt;node\n\
    &lt;integer&gt;GetNumberMotionFields()\n\
    &lt;node&gt;GetMotionField &lt;index&gt;index\n\
    &lt;boolean&gt;DeleteMotionField &lt;index&gt;index\n\
</pre></div><p>Manipulates the collection of motion fields held in the liquid&#39;s <span class=\'code\'>field_Meshes</span> array.</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";