var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxLiquidSolver</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxLiquidSolver</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxliquidsolver\"></a></div>\n\
<div class=\'codeBlock\'><pre>MaxLiquidSolver : MaxFluidSolverClass {49815c51,49491593}\n\
</pre></div><p>Available in <strong>3ds Max 2018.3 and higher</strong>. The liquid class contains the set up parameters for a fluid simulation, including references to other objects, such as colliders and kill planes, that interact with the liquid in the simulation.</p>\n\
<p><strong>Constructor</strong></p>\n\
<p>Not directly creatable by MAXScript. Solvers are &quot;owned&quot; by <strong>MaxLiquid</strong> objects. You can create a solver using <span class=\'code\'>MaxFluidLiquidObject.createSolver()</span>.</p>\n\
<p>For example:</p>\n\
<div class=\'codeBlock\'><pre>liquid = maxLiquid pos:[0,0,50]\n\
liquid.CreateSolver 1\n\
solver = liquid.solvers[1]\n\
solver.baseVoxelSize = 4.0\n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<p>This class has many properties. They are organized here according to their order of appearance on the Simulation View dialog.</p>\n\
<p>Note: Properties not listed here should be considered as for internal use only, or reserved for future implementation.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"general-parameters\"></a><h3 id=\"general-parameters\">General Parameters</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.solveName : string\n\
</pre></div><p>The solver name.</p>\n\
<div class=\'section\'><a id=\"liquid-attributes-tab\"></a><h3 id=\"liquid-attributes-tab\">Liquid Attributes Tab</h3></div>\n\
<p>Properties in this area of the dialog are associated with the parent MaxLiquid object. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Fluids/MaxLiquid-GeometryClass.html\' title=\'\'>MaxLiquid</a>.</p>\n\
<div class=\'section\'><a id=\"solver-parameters-tab\"></a><h3 id=\"solver-parameters-tab\">Solver Parameters Tab</h3></div>\n\
<div class=\'section\'><a id=\"simulation-parameters\"></a><h4 id=\"simulation-parameters\">Simulation Parameters</h4></div>\n\
<p><strong>General Parameters Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.simUseTimeline : boolean\n\
</pre></div><p>Indicates whether to use the full scene timeline for the start and end of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.simStartFrame : integer\n\
</pre></div><p>When <strong>simUseTimeline</strong> is false, sets the start frame of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.simEndFrame : integer\n\
</pre></div><p>When <strong>simUseTimeline</strong> is false, sets the end frame of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.useSystemScale : boolean\n\
</pre></div><p>Indicates whether to use the default system scale (where one unit = 1 inch).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.fluidScale : float\n\
&lt;MaxLiquidSolver&gt;.fluidScaleList : integer\n\
</pre></div><p>When <strong>useSystemScale</strong> is false, these parameters set the scale of one fluid unit. The <strong>fluidScale</strong> parameter sets the value, and the <strong>fluidScaleList</strong> parameter sets the units, where:</p>\n\
<ul>\n\
<li>0=inches</li>\n\
<li>1=feet</li>\n\
<li>2=miles</li>\n\
<li>3 = millimeters</li>\n\
<li>4 = centimeters</li>\n\
<li>5 = meters</li>\n\
<li>6 = kilometers</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.reScaleParams : boolean\n\
</pre></div><p>Gets or sets the Auto-rescale parameters setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.baseVoxelSize : float\n\
</pre></div><p>Gets or sets the Base Voxel size, which is the base resolution for the simulation.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>masterVoxelSize</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.gravityMagnitude : float\n\
</pre></div><p>The base gravity magnitude, in meters per second squared. The default of 9.8 corresponds to the earth&#39;s gravity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.gravityForceNode : node\n\
</pre></div><p>Gets or sets the gravity force node (which is a <span class=\'code\'>Gravity : SpacewarpObject</span> object) that affects the gravity direction for the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.useGravityNodeStrength : boolean\n\
</pre></div><p>Indicates whether to use the <strong>.strength</strong> parameter on the gravity force node instead of the <strong>.gravityMagnitude</strong> parameter to determine gravity strength.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.enableSpatialAdapt : boolean\n\
</pre></div><p>Gets or sets whether the special adaptivity is turned on for the simulation. This feature is useful in deep water simulations, where detail is needed at the surface and edges, and lower resolution can be used everywhere else.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.deleteExceedingParticles : boolean\n\
</pre></div><p>Indicates whether exceeding particles are deleted. These are particles in low resolution areas. This further reduces the number of voxels simulated, which can improve simulation performance.</p>\n\
<p><strong>Simulation Parameters Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.transportStepAdaptivity : float\n\
</pre></div><p>Gets or sets the transport adaptivity value, which determines the distance voxels can travel before additional transport phase substeps are calculated. This value can be in the range of 0.0 to 1.0, where:</p>\n\
<ul>\n\
<li>0.0 - particles can move an unlimited distance without triggering further substeps.</li>\n\
<li>0.32 (the default) - particles can move about 5 voxel lengths before triggering further substeps.</li>\n\
<li>0.5 - particles can move up to 1 voxel length before triggering further substeps.</li>\n\
<li>0.75 - particles can move about half a voxel length before triggering further substeps.</li>\n\
<li>1.0 - particles can only move about 0.001 voxel lengths before triggering further substeps.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minSteps : integer\n\
</pre></div><p>The minimum number of substep calculations to perform per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.maxSteps : integer\n\
</pre></div><p>The maximum number of substep calculations to perform per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.transportTimeScale : float\n\
</pre></div><p>Sets the speed of the particle flow, where values greater than 1.0 speed up the flow without introducing any new velocities or accelerations, and values between 0.0 and 1.0 slow it down.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.timeStepAdaptivity : float\n\
</pre></div><p>Gets or sets the time stepping adaptivity value. This determines the number of iterations of the whole simulation per frame, including voxelization, pressure, and transport phases.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minTimeSteps : integer\n\
</pre></div><p>The minimum number of time steps to perform per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.maxTimeSteps : integer\n\
</pre></div><p>The maximum number of time steps to perform per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.solidVoxelScale : float\n\
</pre></div><p>Gets or sets the collision voxel scale, which is the multiplier applied to the Base Voxel size when voxelizing collider objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.forceVoxelScale : float\n\
</pre></div><p>Gets or sets the acceleration voxel scale, which is the multiplier applied to the Base Voxel size when voxelizing accelerator objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamMaskVoxelScale : float\n\
</pre></div><p>Gets or sets the foam mask voxel scale, which is the multiplier applied to the Base Voxel size when voxelizing foam mask objects.</p>\n\
<div class=\'section\'><a id=\"liquid-parameters\"></a><h4 id=\"liquid-parameters\">Liquid Parameters</h4></div>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.dropletThreshold : float           \n\
</pre></div><p>The threshold at which particles get converted to droplets. Values of 1.0 or above prevent droplet formation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.dropletMergeBackDepth : float          \n\
</pre></div><p>The depth (in voxel widths) within the liquid surface that a droplet must reach before it rejoins the liquid and is included in the fluid dynamic computations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.surfaceBandWidth : float           \n\
</pre></div><p>The width of the liquid&#39;s surface, in voxels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.interiorParticleDensity : float            \n\
</pre></div><p>The particle density of the inner volume of the liquid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.surfaceParticleDensity : float             \n\
</pre></div><p>The particle density at the surface of the liquid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.vorticityEnable : boolean          \n\
</pre></div><p>Enables the calculation of the vorticity channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.vorticityDecay : float\n\
             \n\
</pre></div><p>A value that is subtracted from the accumulated vorticity every frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.vorticityMult : float          \n\
</pre></div><p>A multiplier for the magnitude of the curl of the current frame, before it is added to the accumulated vorticity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.vorticityMax : float           \n\
</pre></div><p>A clamp for the total allowed vorticity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.surfaceTensionEnable : boolean             \n\
</pre></div><p>Enables surface tension calculations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.surfaceTension : float             \n\
</pre></div><p>The surface tension value, which is an attractive force between particles on the surface. This causes a clumping effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.viscosity : float          \n\
</pre></div><p>Controls the thickness of the liquid. Higher values are thicker.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.viscosityScale : float             \n\
</pre></div><p>Smooths and dampens the liquid flow by blending the simulated velocities with the neighboring average. This is not physically correct, but can be used to mimic viscosity with very little computational cost. Values over 2.0 may produce unpredictable results over the duration of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.erosionFactor : float\n\
</pre></div><p>Controls how closely the fluid boundary gets shrink wrapped back to the particle positions, as a percentage of the particle radius. A value of 0.0 results in no erosion, while 1.0 erodes by the full particle radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.erosionFactorNearSolids : float            \n\
</pre></div><p>Determines whether the fluid surface is eroded in regions that are close to collider objects, based on the normal of the collider surface. Whenever the surface is eroded, it is always eroded by the full factor amount.</p>\n\
<div class=\'section\'><a id=\"emitter-objects\"></a><h4 id=\"emitter-objects\">Emitter Objects</h4></div>\n\
<p>Emitter parameters have &quot;global&quot; and &quot;override&quot; versions for each setting. The global parameters are applied to all emitters, except for those with override enabled. The override versions of parameters are arrays of values, with the index of the value affecting the corresponding emitter in the owning <span class=\'code\'>MaxLiquid.emitter_Meshes</span> array.</p>\n\
<p><strong>Note</strong>: There are also some &quot;generic&quot; parameters that are not documented and are for internal use only.</p>\n\
<p><strong>Emitter Parameters Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.emitterOverrideTab : boolean array\n\
</pre></div><p>Indicates whether to override the global parameters for the corresponding emitter in the <span class=\'code\'>MaxLiquid.emitter_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterEmitType : int\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideEmitTypeTab : int array\n\
</pre></div><p>Gets or sets the emitter type, where:</p>\n\
<ul>\n\
<li>0 = Emitter</li>\n\
<li>1 = Container</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.enableEmission : boolean\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideEnableEmissionTab (OverrideEnableEmission) : boolean array\n\
</pre></div><p>Indicates whether liquid emission is enabled for the emitter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterDensity : float\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideDensityTab (EmitterOverrideDensity) : float array\n\
</pre></div><p>The physical density of the fluid. Water has a higher density than oil.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.densityMap : texturemap\n\
&lt;MaxLiquidSolver&gt;.globalEmitterDensityTexmap : texturemap\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideDensityTexmapTab : texturemap array\n\
\n\
</pre></div><p>A texture map to use for density distribution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterExpansionRate : float\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideExpansionRateTab (OverrideExpansionRate) : float array\n\
</pre></div><p>Expands or contracts the liquid within the emitter. Positive values push particles out of the emitter in all directions while negative values pull particles in. A value of 0.0 neither pushes nor pulls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.expansionRateMap : texturemap\n\
&lt;MaxLiquidSolver&gt;.globalEmitterExpansionRateTexmap : texturemap\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideExpansionRateTexmapTab : texturemap array\n\
</pre></div><p>A texture map to use for expansion distribution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterStickinessStrength : float\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideStickinessStrengthTab (OverrideStickinessStrength) : float array\n\
</pre></div><p>The amount that the fluid from this emitter adheres to nearby colliders.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterStickinessBandwidth : float\n\
&lt;MaxLiquidSolver&gt;.emitterOverrideStickinessBandwidthTab (OverrideStickinessBandwidth) : float array\n\
</pre></div><p>Sets, in world-space units, how close the fluid from this emitter must be to a collider in order for the stickiness to affect it.</p>\n\
<p><strong>Emitter Conversion Parameters</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.emitterConversionOverrideTab : boolean array\n\
</pre></div><p>Indicates whether to override the global parameters for the corresponding emitter in the <span class=\'code\'>MaxLiquid.emitter_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterMode : integer\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideModeTab : int array\n\
\n\
</pre></div><p>The emitter mode, where:</p>\n\
<ul>\n\
<li>0 = Solid</li>\n\
<li>1 = Shell</li>\n\
<li>2 = Solid (Robust)</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterCoarsenInterior : boolean\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideCoarsenInteriorTab : boolean array\n\
</pre></div><p>Sets the distance in voxel widths used to close (dilate and then erode) the solid voxels when the conversion mode is Solid (Robust). The internal minimum is 1.0 so that only greater values have an effect. Note that high values can create artifacts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterOffsetSurfaceDistance : float\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideOffsetDistanceTab (OverrideOffsetSurfaceDistance) : float array\n\
</pre></div><p>The distance in voxel widths used to close (dilate and then erode) the solid voxels when Mode is Solid (Robust). The internal minimum is 1.0 so only values greater than that have an effect. High values can create artifacts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterThicknessUnits : integer\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideThicknessUnitsTab : int array\n\
</pre></div><p>Sets whether thickness is in voxels or world-space units. When set to Voxels, the effective thickness depends on the Base Voxel Size of the simulation. Possible values are:</p>\n\
<ul>\n\
<li>0 = Voxels</li>\n\
<li>1 = World Units</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterThickness : float\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideThicknessTab : float array\n\
</pre></div><p>Sets the amount to thicken the mesh. For solid shapes that are already quite thick, you can use 0.0 for a precise boundary or even negative values to shrink along the surface normals. For thinner volumes and shells, you should use larger values to prevent holes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.emitter_voxelScale : float\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideVoxelScaleTab : float\n\
</pre></div><p>Sets a scaling factor for the Base Voxel Size used to initially voxelize meshes that share this property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterVelocityScale : point3\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideVelocityScaleTab (OverrideVelocityScale) : point3 array\n\
</pre></div><p>Controls the proportion of velocity that is inherited from the emitters&#39; animated transformation and deformation by the fluid at the time of emission in each of the world X, Y, and Z axes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterEnableAdditionalVelocity : boolean\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideEnableAdditionalVelocityTab (OverrideAddlVelocityMult) : float array\n\
</pre></div><p>Adds extra velocity to any existing velocity from other sources (such as velocity inherited from the emitter&#39;s animation).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterAdditionalVelocityMult : float\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideAdditionalVelocityMultTab : float\n\
</pre></div><p>Sets a multiplier to scale additional velocity uniformly across all axes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterAdditionalVelocity : point3\n\
&lt;MaxLiquidSolver&gt;.emitterConversionOverrideAdditionalVelocityTab (OverrideAddlVelocity) : point3 array\n\
</pre></div><p>Sets the base velocity to add in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalEmitterArrowNode : node\n\
&lt;MaxLiquidSolver&gt;.emitterConversionArrowNodeTab : node array\n\
</pre></div><p>Holds an arrow helper object in the scene. The orientation of the arrow will adjust the direction of additional velocity.</p>\n\
<div class=\'section\'><a id=\"collision-objects\"></a><h4 id=\"collision-objects\">Collision Objects</h4></div>\n\
<p>Collider parameters have &quot;global&quot; and &quot;override&quot; versions for each setting. The global parameters are applied to all colliders, except for those with override enabled. The override versions of parameters are arrays of values, with the index of the value affecting the corresponding collider in the owning <span class=\'code\'>MaxLiquid.collider_Meshes</span> array.</p>\n\
<p><strong>Note</strong>: There are also some &quot;generic&quot; parameters that are not documented and are for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.colliderConversionOverrideTab : boolean array\n\
</pre></div><p>Indicates whether to override the global parameters for the corresponding collider in the <span class=\'code\'>MaxLiquid.collider_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderMode : integer\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideModeTab : int array\n\
</pre></div><p>The collider mode, where:</p>\n\
<ul>\n\
<li>0 = Solid</li>\n\
<li>1 = Shell</li>\n\
<li>2 = Solid (Robust)</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderCoarsenInterior : boolean\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideCoarsenInteriorTab : boolean array\n\
</pre></div><p>Sets the distance in voxel widths used to close (dilate and then erode) the solid voxels when the conversion mode is Solid (Robust). The internal minimum is 1.0 so that only greater values have an effect. Note that high values can create artifacts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderOffsetSurfaceDistance : float\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideOffsetDistanceTab : float array\n\
</pre></div><p>The distance in voxel widths used to close (dilate and then erode) the solid voxels when Mode is Solid (Robust). The internal minimum is 1.0 so only values greater than that have an effect. High values can create artifacts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderThicknessUnits : integer\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideThicknessUnitsTab : int array\n\
</pre></div><p>Sets whether thickness is in voxels or world-space units. When set to Voxels, the effective thickness depends on the Base Voxel Size of the simulation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderThickness : float\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideThicknessTab : float array\n\
</pre></div><p>Sets the amount to thicken the mesh. For solid shapes that are already quite thick, you can use 0.0 for a precise boundary or even negative values to shrink along the surface normals. For thinner volumes and shells, you should use larger values to prevent holes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.collider_voxelScale : float\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideVoxelScaleTab : float array\n\
</pre></div><p>Sets a scaling factor for the Base Voxel Size used to initially voxelize meshes that share this property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderVelocityScale : point3\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideVelocityScaleTab : point3 array\n\
</pre></div><p>Controls the proportion of velocity that is inherited from the collider&#39;s animated transformation and deformation by the fluid at the time of collision in each of the world X, Y, and Z axes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderEnableAdditionalVelocity : boolean\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideEnableAdditionalVelocityTab : boolean array\n\
</pre></div><p>Adds extra velocity to any existing velocity from other sources (such as velocity inherited from the collider&#39;s animation).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderAdditionalVelocityMult : float\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideAdditionalVelocityMultTab : float array\n\
</pre></div><p>Sets a multiplier to scale additional velocity uniformly across all axes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderAdditionalVelocity : point3\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideAdditionalVelocityTab : point3 array\n\
</pre></div><p>Sets the base velocity to add in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderArrowNode : node\n\
&lt;MaxLiquidSolver&gt;.colliderConversionArrowNodeTab : node array\n\
</pre></div><p>Holds a reference to a helper object that determines the direction of additional velocity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalColliderRefineNearbyFluids : boolean\n\
&lt;MaxLiquidSolver&gt;.colliderConversionOverrideRefineNearbyTab : boolean array\n\
</pre></div><p>Prevents the fluid resolution from being coarsened in regions that are close to the collider when spatial adaptivity is enabled on the liquid.</p>\n\
<div class=\'section\'><a id=\"kill-plane-objects\"></a><h4 id=\"kill-plane-objects\">Kill Plane Objects</h4></div>\n\
<p>There are no additional parameters for kill plane objects. This part of the UI is reserved for future use.</p>\n\
<div class=\'section\'><a id=\"guide-system\"></a><h4 id=\"guide-system\">Guide System</h4></div>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.enableGuiding : boolean\n\
&lt;MaxLiquidSolver&gt;.guideEnableTab : boolean array\n\
</pre></div><p>When true, self-collision and volume preservation calculations use foam particles in neighboring tiles. This increases simulation accuracy and eliminates visible boundary artifacts between tiles, especially in thick, static foam.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.computeGuideFromHighResLiquid: boolean\n\
</pre></div><p>Computes a final guiding shape that takes the high-resolution liquid into account.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.guideVoxelScale : float\n\
&lt;MaxLiquidSolver&gt;.guideMeshVoxelScaleTab : float array\n\
</pre></div><p>A scaling factor for the Base Voxel Size that is used to voxelize the guide shapes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minSimulationDepth : float\n\
</pre></div><p>Sets the depth to simulate below the top liquid surface in scene units. You may need to change this depending on the scale of the modelled scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.surfaceLayer : float\n\
</pre></div><p>Sets the height of the simulated layer on top of the guide surface, in scene units. This can be useful for surface splashes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.reseedParticleDensity : float\n\
</pre></div><p>Controls the number of particles to add per voxel in air pockets.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.reseedGuideOverlap : float\n\
</pre></div><p>Multiplies the Base Voxel Size to determine how deeply into the guiding shape and liquid shape to reseed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.reseedLiquidOverlap : float\n\
</pre></div><p>Multiplies the Base Voxel Size to determine how deeply into the guiding shape and liquid shape to reseed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minReseedAirDistance : float\n\
</pre></div><p>Sets the minimum distance in scene units from the air-liquid boundary, below which particles are not reseeded. This prevents noise at the surface.</p>\n\
<div class=\'section\'><a id=\"foam-parameters\"></a><h4 id=\"foam-parameters\">Foam Parameters</h4></div>\n\
<p><strong>Foam Properties Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.emissionRate : float\n\
</pre></div><p>Sets the number of emission points generated per voxel per second. Increasing this value generates more foam particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minLiquidSpeed : float\n\
</pre></div><p>Sets the threshold to trigger foam emission, in meters per second, based on the velocity vectors of the liquid. Lower values generate more foam particles, while faster moving areas of the liquid emit more particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minLiquidChurn : float\n\
</pre></div><p>Sets the threshold to trigger foam emission, in meters per second, based on the rotational and angular momentum in the liquid. Set Min Liquid Churn between 0 and 2, with lower values emitting more foam.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minLiquidCurvature : float\n\
</pre></div><p>Sets the threshold to trigger foam emission based on curvature forming on the surface of the liquid. Lower values generate more foam particles. Liquid curvature refers to shapes on the liquid surface, such as those generated by rolling and cresting waves. Areas of the liquid with the steepest curves emit the largest number of particles. Liquid curvature refers to shapes on the liquid surface, such as those generated by rolling and cresting waves. Areas of the liquid with the steepest curves emit the largest number of particles.</p>\n\
<p><strong>Advanced:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.minLiquidDepth : float\n\
</pre></div><p>Sets the top of the voxel region in the liquid, in voxels, that emits foam particles. A value of 0 sets the liquid surface as the top of the emission region.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.maxLiquidDepth : float\n\
</pre></div><p>Sets the bottom of the voxel region in the liquid, in voxels, that emits foam particles. Positive non-zeros values set the bottom of the emission region below the surface of the liquid. Use a value of 3 for typical foam effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.maxSolidDepth : float\n\
</pre></div><p>Sets the distance, in voxels, between foam emission points and closed boundaries such as collision objects. Use values between 0 and 1 to maintain a boundary between voxel emission points and collision objects. To emit foam under the liquid surface (bubbles), set Max Solid Depth to a negative value and Max Liquid Depth to a high value such as 10 or greater.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.emitFlatnessToSurface : float\n\
</pre></div><p>Snaps particles to the surface of the liquid at the time of emission. This prevents particles from being emitted under the surface of the liquid.</p>\n\
<p>When set to 1.0, particles snap to the liquid surface. When set to 0 the particles are not affected, which allows buoyancy to direct the particles&#39; upward motion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.microVortices : float\n\
</pre></div><p>Creates fine structure in the foam when it is emitted by pushing the particles using vortices that are a few voxels in size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.emitMotionStreak : float\n\
</pre></div><p>Randomizes the particle positions along the velocity vector when they are emitted. Higher values may help to reduce banding but also may result in a noisier appearance.</p>\n\
<p><strong>Behavior Parameters Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.evaluateNeighborTile : boolean\n\
</pre></div><p>When enabled, self-collision and volume preservation calculations use foam particles in neighboring tiles. This increases simulation accuracy and eliminates visible boundary artifacts between tiles, especially with thick, static foam. You must set Preserve Volume to a non-zero value to compute this option. Enabling Evaluate Neighbor Tile increases simulation time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.compressionModel : boolean\n\
</pre></div><p>Enables the Compression Model solver method. Similar to smoothed-particle hydrodynamics (SPH), Compression Model uses incompressibility calculations to resolve overlapping foam particles. This method increases accuracy and realism of foam simulations in small-scale liquids. When the combined particle overlap density is less than the set Target Density value, particles attract each other. When the particle overlap density is greater than the set Target Density however, foam particles repel each other.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.targetDensity : float\n\
</pre></div><p>Controls how the computations of the Compression Model method are applied to the foam simulation. Increasing this value allows more particles to overlap before they repel each other. For typical foam simulations, use values between 0 and 2. Values such as 10 can provide smoother distribution of particles. When using higher values, the Point Radius needs to be increased to compensate for the higher particle overlap density. This results in greater accuracy at the cost of longer computation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.inheritLiquidVelocity : float\n\
</pre></div><p>Applies acceleration to the emitted foam particles based on the liquid velocity. When set to 1, foam particles emit with a velocity equal to the liquid velocity vector. At values greater than 1, foam can shoot off the surface as spray; values of less than 1 will dampen the particle velocity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.gravityMult : float\n\
</pre></div><p>Sets a value that scales the liquid container&#39;s Gravity Magnitude and applies it to the foam particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.maskFalloffDistance : float\n\
</pre></div><p>Sets a falloff region, in scene units, around the input mesh of a foam mask. Increase this value to soften the emission boundaries around mask.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.dissipationRate : float\n\
</pre></div><p>Sets the rate per-second that foam particles lose density. Foam particles at and above the liquid surface will dissipate. Particles under the liquid surface do not dissipate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.killDensityThreshold : float\n\
</pre></div><p>Sets the Threshold Density value causing foam particles to be eliminated. Particles below the surface of the liquid have a density of 1 plus the Max Liquid Depth value. At the surface particles have a density of 1; above the surface they have a density of less than 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.buoyancy : float\n\
</pre></div><p>Sets the upward acceleration of foam particles in m/s2. With turbulent, fast moving liquids, increase Buoyancy to force particles to the surface. This stops the particles from remaining under the surface as bubbles, which do not dissipate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.collideKillDepth : float\n\
</pre></div><p>Sets the distance from collision objects, in voxels, that triggers an additional dissipation effect on colliding particles. This is useful for eliminating particles that are trapped by collision objects and cannot rise to the liquid surface and dissipate. When set to 1, colliding particles dissipate at the set Dissipation Rate. When set to 0 or a negative value, particles dissipate at a rate greater than the Dissipation Rate. The relation between Collide Kill Depth and dissipation rate is non-linear. For example, when set to -0.5, dissipation increases by a factor of 10. Values greater than 1 do not noticeably affect dissipation as collisions stop particles from penetrating more that 1 voxel inside the collision object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamSurfaceTension : float\n\
</pre></div><p>Sets the amount of surface tension to apply to the foam particles. The attractive force pulling particles together works within the region set by Tension Radius. Use values between 0 and 0.1, and more typically in the 0.01 to 0.02 range. Values higher than 0.1 can cause foam particles to ball together. The effect is most noticeable in small-scale non-turbulent liquids. Foam Surface Tension works best with Compression Model and Evaluate Neighbor Tile turned on. You must set Preserve Volume to a non-zero value to compute this option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.tensionRadius : float\n\
</pre></div><p>Sets the active distance of Surface Tension in voxels. This distance is computed as a multiple of the Point Radius option, where a value of 2 corresponds to a distance that is two times the point radius.</p>\n\
<p><strong>Foam Volume Behavior Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.snapToSurface : boolean\n\
</pre></div><p>When enabled, causes particles to snap back to the surface each frame. Use this setting to keep foam on the surface of the liquid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.surfaceOffset : float\n\
</pre></div><p>Sets a distance, in voxels, between the liquid surface and the foam particles that are emitted at the liquid surface. When set to a non-zero value, the solver uses the Surface Offset option to determine whether foam particles are below or above the liquid surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.preserveVolume : float\n\
</pre></div><p>Applies a repulsive force to particles when the distance between them is equal to the Point Radius option. Increase this value if you notice foam collapsing rather than dissipating as expected, or if particles are piling up and making the foam too thick.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.pointRadius : float\n\
</pre></div><p>Sets the radius, in voxels, used by the repulsive force applied by the Preserve Volume option. Point Radius does not determine the size of simulated or rendered foam particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.overlapPruning : float\n\
</pre></div><p>Deletes overlapping particles without affecting the overall density of the foam simulation. Use Overlap Pruning to reduce excessive foam particle counts in highly turbid liquids, such as at the bottom of a waterfall, where bursts of foam emission can occur. When set to 0, no particles are deleted. Values closer to 0 allow more particles to overlap before they are deleted. At a value of 1, one out of every two overlapping particles is deleted. The effect of Overlap Pruning intensifies with increasing Point Radius values. The density of the deleted particles is transferred to the remaining foam particles. This means that the foam object&#39;s emission and dissipation rates do need to change to maintain overall density of the simulation. Overlap Pruning does not apply when the Compression Model is on.</p>\n\
<p><strong>Foam Wind/Air Parameters Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.airDrag : float\n\
</pre></div><p>Applies a drag force to foam particles above the liquid surface, which slows down falling particles at a rate relative to their density. Lower density particles are most affected by drag, which causes them to hang in the air longer and behave like mist. Higher density particles are still affected by drag, but tend to be more affected by gravity and behave like spray.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.boundaryDrag : float\n\
</pre></div><p>Applies a drag force that is strongest where foam particles are not colliding with each other and weakest where they are. This can help to break up clumps of foam above the liquid surface because particles on the outside of the clump experience more drag than particles on the inside. For this attribute to be effective, set Preserve Volume to a non-zero value and make sure Point Radius is large enough for particles to collide.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamWindMagnitude : float\n\
</pre></div><p>Sets the amount of wind directed by the wind helper object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamWindDirectionArrowNode : node\n\
</pre></div><p>Holds a reference to an arrow helper object in the scene. The orientation of the arrow adjusts the direction of additional velocity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.airTurbulence: float\n\
</pre></div><p>Sets the magnitude of a turbulence field to be applied to the air velocity, affecting particles above the liquid surface. Note that this controls the speed of the air, while the Air Drag and Boundary Drag options control how strongly particles are affected by the air velocity based on their density.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.airTurbulenceFrequency: float\n\
</pre></div><p>Sets the granularity of the turbulence. Higher values produce smaller, denser vortices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.airTurbulenceSpeed: float\n\
</pre></div><p>Sets the rate at which the turbulence pattern evolves over time.</p>\n\
<div class=\'section\'><a id=\"foam-mask-objects\"></a><h4 id=\"foam-mask-objects\">Foam Mask Objects</h4></div>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamMaskConversionOverrideTab : boolean array\n\
</pre></div><p>Indicates whether to override the global parameters for the corresponding emitter in the <span class=\'code\'>MaxLiquid.emitter_Meshes</span> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalFoamMaskMode : integer\n\
&lt;MaxLiquidSolver&gt;.foamMaskConversionOverrideModeTab : int array\n\
</pre></div><p>Sets the foam mask mode, which determines how the foam mask is voxelized, where:</p>\n\
<ul>\n\
<li>0 = Solid</li>\n\
<li>1 = Shell</li>\n\
<li>2 = Solid (Robust)</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalFoamMaskEmitterCoarsenInterior : boolean\n\
&lt;MaxLiquidSolver&gt;.foamMaskConversionOverrideCoarsenInteriorTab : boolean array           \n\
</pre></div><p>Sets the distance in voxel widths used to close (dilate and then erode) the solid voxels when the conversion mode is Solid (Robust). The internal minimum is 1.0 so that only greater values have an effect. Note that high values can create artifacts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalFoamMaskOffsetSurfaceDistance : float\n\
&lt;MaxLiquidSolver&gt;.foamMaskConversionOverrideOffsetDistanceTab (OverrideOffsetSurfaceDistance) : float array\n\
</pre></div><p>The distance in voxel widths used to close (dilate and then erode) the solid voxels when Mode is Solid (Robust). The internal minimum is 1.0 so only values greater than that have an effect. High values can create artifacts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalFoamMaskThicknessUnits : integer\n\
&lt;MaxLiquidSolver&gt;.foamMaskConversionOverrideThicknessUnitsTab : int array\n\
</pre></div><p>Sets whether thickness is in voxels or world-space units. When set to Voxels, the effective thickness depends on the Base Voxel Size of the simulation. Possible values are:</p>\n\
<ul>\n\
<li>0 = Voxels</li>\n\
<li>1 = World Units</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.globalFoamMaskThickness : float\n\
&lt;MaxLiquidSolver&gt;.foamMaskConversionOverrideThicknessTab : float array\n\
</pre></div><p>Sets the amount to thicken the mesh. For solid shapes that are already quite thick, you can use 0.0 for a precise boundary or even negative values to shrink along the surface normals. For thinner volumes and shells, you should use larger values to prevent holes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foammask_voxelScale : float\n\
&lt;MaxLiquidSolver&gt;.foamMaskConversionOverrideVoxelScaleTab : float array\n\
</pre></div><p>Sets a scaling factor for the Base Voxel Size used to initially voxelize meshes that share this property.</p>\n\
<div class=\'section\'><a id=\"motion-field-objects\"></a><h4 id=\"motion-field-objects\">Motion Field Objects</h4></div>\n\
<p>Not implemented.</p>\n\
<div class=\'section\'><a id=\"caching-tab\"></a><h3 id=\"caching-tab\">Caching Tab</h3></div>\n\
<p>See the cache options for the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Fluids/MaxLiquid-GeometryClass.html\' title=\'\'>MaxLiquid</a> object.</p>\n\
<div class=\'section\'><a id=\"display-settings-tab\"></a><h3 id=\"display-settings-tab\">Display Settings Tab</h3></div>\n\
<p><strong>Liquid Settings Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.displayTypeMode\n\
</pre></div><p>Sets the way the liquid mesh is displayed in the viewport, where:</p>\n\
<ul>\n\
<li>0 = Bifrost Dynamic Mesh</li>\n\
<li>1 = Bifrost Cache Mesh</li>\n\
<li>2 = Point</li>\n\
<li>3 = Plane</li>\n\
<li>4 = Sphere</li>\n\
<li>5 = Custom</li>\n\
<li>6 = None</li>\n\
</ul>\n\
<p><strong>Mesh Settings</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_dropletRevealFactor : float\n\
&lt;MaxLiquidSolver&gt;.meshingDropletRevealFactorTab : float array\n\
</pre></div><p>Creates and preserves detail around splashes when generating and smoothing the mesh. Lower values result in smoother meshes, while higher values give more small, higher frequency detail. The slots in the <strong>meshingDropletRevealFactorTab</strong> correspond to the setting for the index of the matching display type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_surfaceRadius : float\n\
&lt;MaxLiquidSolver&gt;.meshingSurfaceRadiusTab : float array\n\
</pre></div><p>The radius of each particle blob used to create the surface, in multiples of the Base Voxel size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_dropletRadius : float\n\
&lt;MaxLiquidSolver&gt;.meshingDropletRadiusTab : float array\n\
</pre></div><p>The radius of each droplet, relative to the Base Voxel size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_kernelFactor : float\n\
&lt;MaxLiquidSolver&gt;.meshingKernelFactorTab : float array\n\
</pre></div><p>Controls the width of the surface smoothing kernel. Smaller values give sharper features and higher curvature in the resulting mesh. Larger values result in smoother features.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_smoothing : integer\n\
&lt;MaxLiquidSolver&gt;.meshingSmoothingTab : int array\n\
</pre></div><p>The number of smoothing steps performed on a mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_resolutionFactor : float\n\
&lt;MaxLiquidSolver&gt;.meshingResolutionFactorTab : float array\n\
</pre></div><p>A scaling factor for adjusting the particle resolution before the mesh is generated. Higher values create more high-frequency detail at a cost of longer calculation times.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_holeKillThreshold : float\n\
&lt;MaxLiquidSolver&gt;.meshingHoleKillThresholdTab : float array\n\
</pre></div><p>Increase this value to eliminate meshed holes in the interior of the fluid. Such holes can occur especially when using high Resolution Factor values with spacially adaptive simulations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.meshing_flipFaceNormal : boolean\n\
&lt;MaxLiquidSolver&gt;.meshingFlipFaceNormalTab : boolean array\n\
</pre></div><p>When true, flips the face normals of the mesh.</p>\n\
<p><strong>Particle Settings</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.customNode : node\n\
</pre></div><p>Holds the geometry node used as a custom node when the display type is custom.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.colorChannelMode : integer\n\
</pre></div><p>Displays the specified color channel as a color ramp. This can be useful for previewing or diagnosing your simulation. Possible values are:</p>\n\
<ul>\n\
<li>0 = Static</li>\n\
<li>1 = Age</li>\n\
<li>2 = Air Distance</li>\n\
<li>3 = Churn</li>\n\
<li>4 = Curvature</li>\n\
<li>5 = Density</li>\n\
<li>6 = Droplet</li>\n\
<li>7 = Expansion Rate</li>\n\
<li>8 = Position</li>\n\
<li>9 = Stiction Bandwidth</li>\n\
<li>10 = Stiction Strength</li>\n\
<li>11 = UV</li>\n\
<li>12 = Velocity</li>\n\
<li>13 = Vorticity</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.staticColor : RGB color\n\
</pre></div><p>Sets the channel color when the <strong>colorChannelMode</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.colorChannelMin : RGB color\n\
&lt;MaxLiquidSolver&gt;.colorChannelMax : RGB color\n\
</pre></div><p>Set the minimum and maximum color values for the color ramp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.opacityChannelMode : integer\n\
</pre></div><p>Uses the selected channel to control the fluid opacity in the viewport. Possible values are:</p>\n\
<ul>\n\
<li>0 = Static</li>\n\
<li>1 = Age</li>\n\
<li>2 = Air Distance</li>\n\
<li>3 = Churn</li>\n\
<li>4 = Curvature</li>\n\
<li>5 = Density</li>\n\
<li>6 = Droplet</li>\n\
<li>7 = Expansion Rate</li>\n\
<li>8 = Position</li>\n\
<li>9 = Stiction Bandwidth</li>\n\
<li>10 = Stiction Strength</li>\n\
<li>11 = UV</li>\n\
<li>12 = Velocity</li>\n\
<li>13 = Vorticity</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.staticOpacity : float\n\
</pre></div><p>Sets the channel color when the <strong>opacityChannelMode</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.opacityChannelMin : float\n\
&lt;MaxLiquidSolver&gt;.opacityChannelMax : float\n\
</pre></div><p>Sets the minimum and maximum opacity values for the opacity ramp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.sizeChannelMode : float\n\
</pre></div><p>Uses the specified channel to control the size of the particles in the viewport.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li>0 = Static</li>\n\
<li>1 = Age</li>\n\
<li>2 = Air Distance</li>\n\
<li>3 = Churn</li>\n\
<li>4 = Curvature</li>\n\
<li>5 = Density</li>\n\
<li>6 = Droplet</li>\n\
<li>7 = Expansion Rate</li>\n\
<li>8 = Position</li>\n\
<li>9 = Stiction Bandwidth</li>\n\
<li>10 = Stiction Strength</li>\n\
<li>11 = UV</li>\n\
<li>12 = Velocity</li>\n\
<li>13 = Vorticity</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.staticSize : float\n\
</pre></div><p>Sets the particle size when the <strong>sizeChannelMode</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.sizeChannelMin : float\n\
&lt;MaxLiquidSolver&gt;.sizeChannelMax : float\n\
</pre></div><p>Sets the minimum and maximum size values for the particle size ramp.</p>\n\
<p><strong>Foam Settings</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamDisplayTypeMode : integer\n\
</pre></div><p>The foam display type. Possible values are:</p>\n\
<ul>\n\
<li>3 = Point</li>\n\
<li>4 = Plane</li>\n\
<li>7 = None</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamColorChannelMode : integer\n\
</pre></div><p>Specifies the data channel to use as the foam color channel. Possible values are:</p>\n\
<ul>\n\
<li>0 = Static</li>\n\
<li>1 = Age</li>\n\
<li>2 = Air Distance</li>\n\
<li>3 = Churn</li>\n\
<li>4 = Curvature</li>\n\
<li>5 = Density</li>\n\
<li>6 = Droplet</li>\n\
<li>7 = Expansion Rate</li>\n\
<li>8 = Position</li>\n\
<li>9 = Stiction Bandwidth</li>\n\
<li>10 = Stiction Strength</li>\n\
<li>11 = UV</li>\n\
<li>12 = Velocity</li>\n\
<li>13 = Vorticity</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamStaticColor : RGB color\n\
</pre></div><p>Specifies the foam color when the <strong>foamColorChannelMode</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamColorChannelMin : RGB color\n\
&lt;MaxLiquidSolver&gt;.foamColorChannelMax : RGB color\n\
</pre></div><p>Specifies the minimum and maximum colors to use for the foam color ramp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamOpacityChannelMode : float\n\
</pre></div><p>Uses the specified channel to control the foam opacity in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamStaticOpacity : float\n\
</pre></div><p>Specifies the foam opacity when the <strong>foamOpacityChannelMode</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamOpacityChannelMin : float\n\
&lt;MaxLiquidSolver&gt;.foamOpacityChannelMax : float\n\
</pre></div><p>Specifies the minimum and maximum opacity values for the opacity ramp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamSizeChannelMode : float\n\
</pre></div><p>Uses the specified channel to control the foam particle size in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamStaticSize : float\n\
</pre></div><p>Specifies the foam particle size when the <strong>foamSizeChannelMode</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamSizeChannelMin : float\n\
&lt;MaxLiquidSolver&gt;.foamSizeChannelMax : float\n\
</pre></div><p>Specifies the minimum and maximum foam particle sizes for the size ramp.</p>\n\
<p><strong>Display</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.viewportPercentAccessor  : float\n\
&lt;MaxLiquidSolver&gt;.foamViewportPercentAccessor : float\n\
</pre></div><p>Gets or sets the percent of liquid and foam particles visible in the viewport.</p>\n\
<div class=\'section\'><a id=\"render-settings-tab\"></a><h3 id=\"render-settings-tab\">Render Settings Tab</h3></div>\n\
<p><strong>Channels Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.renderChannelMapIndex : int array\n\
&lt;MaxLiquidSolver&gt;.renderChannelMapName : string array\n\
</pre></div><p>These arrays contain the channel names and corresponding map channels to be rendered.</p>\n\
<p><strong>Liquid Settings Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.liquidRenderType : integer\n\
</pre></div><p>The object type to render the liquid as. Possible values are:</p>\n\
<ul>\n\
<li>0 = Cache Mesh</li>\n\
<li>1 = Plane</li>\n\
<li>2 = Cross</li>\n\
<li>3 = Box</li>\n\
<li>4 = Sphere</li>\n\
<li>5 = Custom</li>\n\
<li>6 = Arnold Surface</li>\n\
<li>7 = None</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.liquidRenderSizeChannel : string\n\
&lt;MaxLiquidSolver&gt;.liquidSizeChannelType : integer\n\
</pre></div><p>Specifies the name and type of the size channel for rendering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.liquidRenderStaticSize : float\n\
</pre></div><p>Specifies the liquid particle size when the <strong>liquidRenderSizeChannel</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.liquidRenderSizeMin : float\n\
&lt;MaxLiquidSolver&gt;.liquidRenderSizeMax : float\n\
&lt;MaxLiquidSolver&gt;.liquidRenderSizeMinDomain : float\n\
&lt;MaxLiquidSolver&gt;.liquidRenderSizeMaxDomain : float\n\
</pre></div><p>Specifies the minimum and maximum size and size domain for rendered liquid particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.liquidCustomRenderNode (LiquidRenderCustomNode) : node\n\
</pre></div><p>Holds the scene node used for rendering liquid particles when the <strong>liquidRenderType</strong> is custom.</p>\n\
<p><strong>Foam Settings Rollup</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamRenderType  : integer\n\
</pre></div><p>The object type to render the foam as. Possible values are:</p>\n\
<ul>\n\
<li>0 = Arnold Point</li>\n\
<li>1 = Plane</li>\n\
<li>2 = Cross</li>\n\
<li>3 = Box</li>\n\
<li>4 = Sphere</li>\n\
<li>5 = Custom</li>\n\
<li>6 = Arnold Surface</li>\n\
<li>7 = None</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamRenderSizeChannel : string\n\
&lt;MaxLiquidSolver&gt;.foamSizeChannelType : integer\n\
</pre></div><p>The name and index of the channel used to determine foam particle size in the renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamRenderStaticSize : float\n\
</pre></div><p>The rendered foam particle size, when <strong>foamRenderSizeChannel</strong> is static.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamRenderSizeMin : float\n\
&lt;MaxLiquidSolver&gt;.foamRenderSizeMax : float\n\
&lt;MaxLiquidSolver&gt;.foamRenderSizeMinDomain : float\n\
&lt;MaxLiquidSolver&gt;.foamRenderSizeMaxDomain : float\n\
</pre></div><p>Sets the minimum and maximum size and size domain for rendered foam particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.foamCustomRenderNode (FoamRenderCustomNode) : node\n\
</pre></div><p>Holds the custom scene node used as rendered foam particles when the <strong>foamRenderType</strong> is custom.</p>\n\
<p><strong>Arnold Surface Liquid Render Parameters</strong></p>\n\
<p>These parameters are available when the <strong>liquidRenderType</strong> is Arnold Surface:</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.arnoldSurfaceType : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldRenderComponentType : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldDropletRevealFactor : float\n\
&lt;MaxLiquidSolver&gt;.arnoldSurfaceRadius : float\n\
&lt;MaxLiquidSolver&gt;.arnoldDropletRadius : float\n\
&lt;MaxLiquidSolver&gt;.arnoldResolutionFactor : float\n\
&lt;MaxLiquidSolver&gt;.arnoldHoleKillThreshold : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFilteringDilate : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFilteringSmooth : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFilteringSmoothMode : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldFilteringSmoothIterations : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldFilteringErode : float\n\
&lt;MaxLiquidSolver&gt;.arnoldMeshSubdivisions : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldMeshSmoothing : boolean       \n\
&lt;MaxLiquidSolver&gt;.arnoldImplicitStepSize : float\n\
&lt;MaxLiquidSolver&gt;.arnoldImplicitSamples : integer \n\
</pre></div><p><strong>Arnold Point Foam Settings</strong></p>\n\
<p>The following parameters are available when the <strong>foamRenderType</strong> is Arnold Point:</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.arnoldPointRadiusChannel : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldPointRadius : float\n\
&lt;MaxLiquidSolver&gt;.arnoldPointStepSize : float\n\
&lt;MaxLiquidSolver&gt;.arnoldPointChunkSize : integer\n\
</pre></div><p><strong>Arnold Surface Foam Settings</strong></p>\n\
<p>The following parameters are available when the <strong>foamRenderType</strong> is Arnold Surface:</p>\n\
<div class=\'codeBlock\'><pre>&lt;MaxLiquidSolver&gt;.arnoldFoamSurfaceType : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamDropletRevealFactor : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamSurfaceRadius : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamDropletRadius : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamResolutionFactor : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamHoleKillThreshold : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamFilteringDilate : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamFilteringSmoothMode : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamFilteringSmoothIterations : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamFilteringErode : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamMeshSubdivisions : integer\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamMeshSmoothing : boolean\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamImplicitStepSize : float\n\
&lt;MaxLiquidSolver&gt;.arnoldFoamImplicitSamples : integer         \n\
</pre></div><div class=\'section\'><a id=\"maxliquidsolver-interfaces\"></a><h2 id=\"maxliquidsolver-interfaces\">MaxLiquidSolver interfaces</h2></div>\n\
<p><strong>Interface: MaxFluidLiquidSolver</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;RunSolve()\n\
</pre></div><p>Runs the current solve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;PauseSolve &lt;boolean&gt;wait\n\
</pre></div><p>Pauses the current solve, if it is running. If <span class=\'code\'>wait</span> is true, the call waits to return until the solver has actually paused. This parameter should always be true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;StopSolve &lt;boolean&gt;wait\n\
</pre></div><p>Stops the current solve, if it is running. If <span class=\'code\'>wait</span> is true, the call waits to return until the solver has actually stopped. This parameter should always be true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsSolveRunning()\n\
</pre></div><p>Returns true if the solve is running.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ExportSolve &lt;integer&gt;startFrame &lt;integer&gt;endFrame &lt;string&gt;filename\n\
</pre></div><p>Exports the current solve settings and sets the start and end frames to the specified file. The file is saved to the current path if an absolute path is not specified.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ImportAndRunSolve &lt;string&gt;filename\n\
</pre></div><p>Imports and runs the solve settings from the specified file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;RenameSolve &lt;string&gt;name\n\
</pre></div><p>Renames the solve to the specified name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ClearCaches &lt;boolean&gt;liquid &lt;boolean&gt;foam &lt;boolean&gt;mesh\n\
</pre></div><p>Clears the caches for those caches specified as true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ClearStaleCaches()\n\
</pre></div><p>Clears any stale caches. Any cache with a timestamp older than the liquid cache is considered &quot;stale&quot;, since all cache states depend on the liquid cache, and should be calculated after it has been created.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetCacheMesh &lt;integer&gt;frame &lt;&amp;mesh&gt;meshOut\n\
meshOut is In and Out parameter\n\
</pre></div><p>Gets the cache mesh for the specified frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetDynamicMesh &lt;integer&gt;frame &lt;enum&gt;meshOrFoam &lt;&amp;mesh&gt;meshOut\n\
    meshOrFoam enums: {#liquid|#foam}\n\
    meshOut is In and Out parameter\n\
</pre></div><p>Gets the dynamic mesh for the specified frame for either liquid or foam, specified by the <strong>meshOrFoam</strong> parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ImportSolveTest &lt;string&gt;filename\n\
</pre></div><p>Imports a test file and runs the solve. This is for internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Interface&gt;GetParticleCache &lt;enum&gt;type\n\
    type enums: {#liquid|#foam}\n\
</pre></div><p>Gets the particle cache for the specified type, liquid or foam. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Max-Fluid-Classes/Interface-ParticleCache.html\' title=\'\'>ParticleCache</a> for the properties and methods implemented by this interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AddMeshChannel &lt;string&gt;name &lt;integer&gt;mapChannelIndex\n\
</pre></div><p>Adds a channel to the simulation&#39;s render settings, using the given name and map index. Note: the name must match an existing channel type, which is one of:</p>\n\
<ul>\n\
<li>age</li>\n\
<li>airDistance</li>\n\
<li>churn</li>\n\
<li>curvature</li>\n\
<li>density</li>\n\
<li>droplet</li>\n\
<li>expansionRate</li>\n\
<li>position</li>\n\
<li>stictionBandwith</li>\n\
<li>stictionStrength</li>\n\
<li>uv</li>\n\
<li>velocity</li>\n\
<li>vorticity</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;DeleteMeshChannel &lt;string&gt;name\n\
</pre></div><p>Deletes the channel from the simulation&#39;s render settings with the matching name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;FrameStatus &lt;integer&gt;frame\n\
</pre></div><p>Returns true if there is simulation data for the specified frame.</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";