var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MeshProjIntersect : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MeshProjIntersect : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"meshprojintersect-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>MeshProjIntersect - superclass: ReferenceTarget; super-superclass:MAXWrapper - 0:0 - classID: #(1266304708, 865233301) \n\
</pre></div><p>This class exposes an interface that is used by the ProjectionMapping tools to find the projection of one mesh point onto another mesh.</p>\n\
<p><strong>MeshProjIntersect interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: rayMeshProjIntersectOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetNode &lt;node&gt;node \n\
</pre></div><p>Sets the node to perform the intersections on.Multiple nodes can be added to the same instance of the intersector interface. Use the GetHitNode() method to determine which of the nodes added to the intersector was hit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Build () \n\
</pre></div><p>Builds the internal data structures for fast intersections.This method has to be called after adding the nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Free () \n\
</pre></div><p>Removes the internal data structures, frees memory.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ProjectionFace &lt;integer&gt;triIndex &lt;point3 by value&gt;triBary \n\
</pre></div><p>Performs a face projection.</p>\n\
<p>The <span class=\'code\'>triIndex</span> argument is the 0-based face index.</p>\n\
<p>The <span class=\'code\'>triBary</span> argument specifies the barycentric coordinates of the point in the face.</p>\n\
<p>Returns true on success, false if no valid projection could be performed.</p>\n\
<p>When performing Projection Mapping, a <strong>low-resolution working</strong> model and a <strong>high-resolution reference</strong> model are used. A cage is defined around the working model which has to completely surround the reference model. Every point on the high-resolution reference model corresponds to a point on the low-resolution working model. There can be multiple reference modes for one working model.</p>\n\
<p>To use this method,</p>\n\
<ul>\n\
<li><p>Create an instance of the <span class=\'code\'>MeshProjIntersect</span> class.</p></li>\n\
<li><p>Call <span class=\'code\'>SetNode()</span> passing the low-resolution working model and call <span class=\'code\'>Build()</span> to generate the acceleration data. It must have a Projection modifier applied.</p></li>\n\
<li><p>The Projection modifier must have one or more reference models defined.</p></li>\n\
<li><p>Call the <span class=\'code\'>ProjectionFace()</span> method with the face index and barycentric coordinates of any point on the surface of the working model.</p></li>\n\
</ul>\n\
<p>As result, the <span class=\'code\'>ProjectionFace()</span> method sets the internal values to hits on the reference models. The method <span class=\'code\'>getHitNode()</span> will return the reference model that was hit, <span class=\'code\'>getHitFace()</span> will return the face index, <span class=\'code\'>getHitPos()</span> will return the position of the hit and so on.See further on this page for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;ClosestFace &lt;point3 by value&gt;point dir:&lt;point3 by value&gt;caged:&lt;boolean&gt; doubleSided:&lt;boolean&gt; \n\
dir default value: [0,0,0] \n\
caged default value: false \n\
doubleSided default value: false \n\
</pre></div><p>Returns the closest face to the given point is space.</p>\n\
<p>If the optional <span class=\'code\'>dir:</span> keyword parameter is supplied and is not [0,0,0], the closest face in the given direction is detected.</p>\n\
<p>If the optional <span class=\'code\'>doubleSided:</span> keyword parameter is supplied and is true, both facing and backfacing faces will be considered.</p>\n\
<p>Returns true if a closest face has been found, false otherwise.</p>\n\
<blockquote>\n\
<p>Warning: Currently, you have to call the <span class=\'code\'>IntersectRay()</span> method AT LEAST ONCE before calling the <span class=\'code\'>ClosestFace()</span> method - some internal structures required for closest face calculations are only initialized when performing intersections!The results from the <span class=\'code\'>IntersectRay()</span> call should not be trusted though. See warning further on this page.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetHitDist hitIndex:&lt;integer&gt; \n\
hitIndex default value: -1 \n\
</pre></div><p>Returns the distance to the hit.</p>\n\
<p>If the optional <span class=\'code\'>hitIndex:</span> keyword argument is not supplied or is supplied as -1, the closest hit is returned. If it is supplied and is a positive integer, the distance to the corresponding indexed hit is returned.See warning below.</p>\n\
<blockquote>\n\
<p>Warning: After calling the <span class=\'code\'>ClosestFace()</span> method, you MUST NOT specify the <span class=\'code\'>hitIndex:</span> optional parameter when calling any of the following methods! There is only one possible closest face and attempting to pass a value other than -1 can cause <strong>instabilities</strong> or <strong>incorrect results</strong>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetHitNode hitIndex:&lt;integer&gt; \n\
hitIndex default value: -1 \n\
</pre></div><p>Returns the node that has been hit.</p>\n\
<p>If the optional <span class=\'code\'>hitIndex:</span> keyword argument is not supplied or is supplied as -1, the node of the closest hit is returned. If it is supplied and is a positive integer, the node of the corresponding indexed hit is returned.</p>\n\
<p>See previous warning regarding getting data after a <span class=\'code\'>ClosestFace()</span> call.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetHitFace hitIndex:&lt;integer&gt; \n\
hitIndex default value: -1 \n\
</pre></div><p>Returns the <strong>ZERO-BASED</strong> index of the face that has been hit.</p>\n\
<p>If the optional <span class=\'code\'>hitIndex:</span> keyword argument is not supplied or is supplied as -1, the closest face hit is returned. If it is supplied and is a positive integer, the face of the corresponding indexed hit is returned.</p>\n\
<p>See previous warning regarding getting data after a <span class=\'code\'>ClosestFace()</span> call.</p>\n\
<p>Note:</p>\n\
<p>The face indexing can change between a geometry primitive and the Editable Mesh version of the same geometry. For example, a plane with just two faces would return a hit as face 0 when using the primitive geometry but 1 for the same hit when using a collapsed version of the same object.</p>\n\
<p>This is normal but quite rarely visible throughMAXScript since no other methods provide access to the actual underlying geometry of primitives - the other intersection and mesh methods operate on objects already converted to mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetHitBary hitIndex:&lt;integer&gt; \n\
hitIndex default value: -1 \n\
</pre></div><p>Returns the barycentric coordinates of the hit.</p>\n\
<p>If the optional <span class=\'code\'>hitIndex</span> : keyword argument is not supplied or is supplied as -1, the barycentric coordinates of the closest hit are returned. If it is supplied and is a positive integer, the barycentric coordinates of the corresponding indexed hit are returned.</p>\n\
<p>See previous warning regarding getting data after a <span class=\'code\'>ClosestFace()</span> call.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetHitBackfacing hitIndex:&lt;integer&gt; \n\
hitIndex default value: -1 \n\
</pre></div><p>Returns the backfacing hit.</p>\n\
<p>If the optional <span class=\'code\'>hitIndex:</span> keyword argument is not supplied or is supplied as -1, the closest backfacing hit is returned. If it is supplied and is a positive integer, the corresponding indexed backfacing hit is returned.</p>\n\
<p>See previous warning regarding getting data after a <span class=\'code\'>ClosestFace()</span> call.</p>\n\
<div class=\'codeBlock\'><pre>&lt;value&gt;GetHitPos hitIndex:&lt;integer&gt; \n\
hitIndex default value: -1 \n\
</pre></div><p>Returns the world position of the hit.</p>\n\
<p>If the optional <span class=\'code\'>hitIndex:</span> keyword argument is not supplied or is supplied as -1, the position of the closest hit is returned. If it is supplied and is a positive integer, the position of the corresponding indexed hit is returned.</p>\n\
<p>See previous warning regarding getting data after a <span class=\'code\'>ClosestFace()</span> call.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IntersectRay &lt;point3 by value&gt;point &lt;point3 by value&gt;dir doubleSided:&lt;boolean&gt; \n\
doubleSided default value: false \n\
</pre></div><p>Performs a ray intersection with the nodes set using <span class=\'code\'>SetNode()</span> from the world space position defined by the point parameter in the direction of the vector specified by the dir parameter.</p>\n\
<p>If the optional <span class=\'code\'>doubleSided:</span> keyword parameter is supplied and is true, intersections will be performed with both the front and the backside of the faces.</p>\n\
<p>Returns true if the ray has hit any faces, false if there was no intersection.</p>\n\
<blockquote>\n\
<p>Warning: This method is currently considered <strong>broken</strong> and should not be used to perform actual intersections. Under some circumstances it can return incorrect results.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";