var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RayMeshGridIntersect : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RayMeshGridIntersect : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"raymeshgridintersect-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>RayMeshGridIntersect - superclass: ReferenceTarget; super-superclass:MAXWrapper - 1:0 - classID: #(930131240, 656216840) \n\
</pre></div><p>Provides advanced ray-to-mesh intersection methods using a uniform voxel grid as acceleration method.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;RayMeshGridIntersect&gt;.nodeList ArrayParameter default: #() -- node array; Node_List   \n\
</pre></div><p>Get/set the array of nodes.</p>\n\
<p>Note: Despite the implementation as an array parameter, the RayMeshGridIntersect does <strong>NOT</strong> actually operate on all objects in the list, but only on the <strong>FIRST</strong> object in the list. If the intersection against multiple objects is required, a separate RayMeshGridIntersect instance should be created for each one and the intersections have to be processed one after the other within a MAXScript loop.</p>\n\
<div class=\'section\'><a id=\"raymeshgridintersect-interfaces\"></a><h2 id=\"raymeshgridintersect-interfaces\">RayMeshGridIntersect interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: rayMeshGridIntersectOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;initialize &lt;integer&gt;gridSize \n\
</pre></div><p>Initializes the voxel grid with the specified grid size.</p>\n\
<p>The grid size value defines the number of voxels along all 3 axes.</p>\n\
<p>The actual size of the voxels depends on the bounding box of the nodes to be processed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addNode &lt;node&gt;addNode \n\
</pre></div><p>Adds a node to the node list.</p>\n\
<p>Please see the Note above - only the first object on the list will be used!</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;buildGrid() \n\
</pre></div><p>Fills in the voxel grid with data.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;free() \n\
</pre></div><p>Removes all data from the voxel grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;intersectBox &lt;point3&gt;min &lt;point3&gt;max \n\
</pre></div><p>Performs a box intersection using the specified min. and max. points in world space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;intersectSphere &lt;point3&gt;center &lt;float&gt;radius \n\
</pre></div><p>Performs a sphere intersection using the specified center and radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;intersectRay &lt;point3&gt;p &lt;point3&gt;dir &lt;boolean&gt;doubleSided \n\
</pre></div><p>Performs a ray intersection using the specified position and direction.</p>\n\
<p>If the doubleSided argument is False, only intersection with faces whose normals point towards the ray will be collected.</p>\n\
<p>When it is True, the faces will be considered double-sided and intersected even when their normals are pointing in the direction of the ray.</p>\n\
<p>The result is 0 if not intersection was detected, or a positive number representing the number of faces that have been intersected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;intersectSegment &lt;point3&gt;p1&lt;point3&gt;p2 &lt;boolean&gt;doubleSided \n\
</pre></div><p>Performs a segment intersection using the specified two world positions.</p>\n\
<p>This is similar to intersectRay, but instead of a point and direction, the intersection ray is defined using two absolute positions in space, where p1 is the origin and the direction is from p1 to p2.</p>\n\
<p>If the doubleSided argument is False, only intersection with faces whose normals point towards the ray will be collected.</p>\n\
<p>When it is True, the faces will be considered double-sided and intersected even when their normals are pointing in the direction of the ray.</p>\n\
<p>The result is 0 if no intersection was detected, or a positive number representing the number of faces that have been hit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getHitFace &lt;integer&gt;index \n\
</pre></div><p>Returns the index of the TriMesh face for the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getHitBary &lt;integer&gt;index \n\
</pre></div><p>Returns the Barycentric Coordinates of the TriMesh face for the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;getHitNormal &lt;integer&gt;index \n\
</pre></div><p>Returns the face normal of the TriMesh face for the indexed hit in world space.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getHitDist &lt;integer&gt;index \n\
</pre></div><p>Returns the distance to the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;intersectSegmentDebug &lt;point3&gt;p1 &lt;point3&gt;p2 &lt;boolean&gt;doubleSided &lt;integer&gt;gridID \n\
</pre></div><p>This method is for debugging purposes only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getClosestHit() \n\
</pre></div><p>Returns the index of the closest hit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getFarthestHit() \n\
</pre></div><p>Returns the index of the farthest hit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;closestFace &lt;point3&gt;p \n\
</pre></div><p>Performs intersections from the specified world point with all faces and returns the number of hits as integer.</p>\n\
<p>You can use the <span class=\'code\'>getClosestHit()</span> and <span class=\'code\'>getFarthestHit()</span> to determine the closest and farthest faces to the specified world point, <span class=\'code\'>getHitDist()</span> to determine the distance to every face, and <span class=\'code\'>getPerpDist()</span> to determine the perpendicular distance to the point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;getPerpDist &lt;integer&gt;index \n\
</pre></div><p>Returns the perpendicular distance to the indexed hit.</p>\n\
<p>The index can be a positive number between 1 and the number of hits reported by the last intersection method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ClearStats() \n\
</pre></div><p>Clears all statistics.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PrintStats() \n\
</pre></div><p>Prints current statistics, including number of faces and number of searches performed.</p>\n\
<p>The following example creates a sphere and a geosphere, registers the sphere with the voxel grid and then shoots rays from each vertex of the geosphere and selects the faces of the sphere that these rays have hit.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ( resetMaxFile #noprompt --reset the scene theSphere = Sphere radius:40 segs:50 pos:[100,200,300] --create a sphere theGeoSphere = Geosphere radius:100 segs:3 pos:[100,200,300] --create a geosphere theFacesArray = #() --init. an array to collect face selection</p>\n\
<p>rm = RayMeshGridIntersect () --create an instance of the Reference Target rm.Initialize 10 --init. the voxel grid size to 10x10x10 rm.addNode theSphere --add the sphere to the grid rm.buildGrid () --build the grid data (collecting faces into the grid voxels) theGSMesh = snapshotasmesh theGeoSphere --grab the TriMesh of the Geosphere for v = 1 to theGSMesh.numverts do --go through all verts of the Geosphere ( thePos = getVert theGSMesh v --get the position of the vertex theNormal = -(getNormal theGSMesh v) --get the normal of the vertex, reverse direction theHitsCount = rm.intersectRay thePos theNormal false --intersect the ray with the sphere if theHitsCount &gt; 0 then --if have hit anything... ( theIndex = rm.getClosestHit () --get the index of the closest hit by the ray theFace = rm.getHitFace theIndex --get the face index corresponding to that indexed hit append theFacesArray theFace --add to the face array to select the face... ) else format &quot;The Ray % Missed\\n&quot; v )</p>\n\
<p>ms = mesh_select() --create a mesh select modifier addModifier theSphere ms --add on top of the sphere select theSphere --select the sphere max modify mode --go to modify panel setFaceSelection theSphere 1 theFacesArray --set the selection in the MeshSelect subObjectLevel = 3 --go to face selection level )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";