var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Morpher : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Morpher : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"morpher-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Morpher - superclass: modifier; super-superclass:MAXWrapper - classID: #(398157908, -1513381213) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FD79103-0BDA-4E7B-AA4C-DE04896E9078-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Morpher ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Morpher&gt;.Spinner_Minimum Float default: 0.0 \n\
</pre></div><p>The minimum limit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Morpher&gt;.Spinner_Maximum Float default: 100.0 \n\
</pre></div><p>The maximum limit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Morpher&gt;.Use_Limits Integer default: 1 -- Integer \n\
</pre></div><p>Enable/disable limits.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Morpher&gt;.Use_Selection Integer default: 0 \n\
</pre></div><p>Turn on to limit morphing to vertices selected in a modifier below the Morpher modifier in the modifier stack.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Morpher&gt;.Value_Increments Integer default: 1 \n\
&lt;Morpher&gt;.Autoload_of_targets Integer default: 0 \n\
</pre></div><p>Turn this on to allow animated targets to be updated dynamically by the Morpher modifier.</p>\n\
<p><strong>The following methods provide enhanced access to the Morpher modifier</strong>.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; IsValidMorpherMod &lt;Modifier_class&gt; Modifier \n\
</pre></div><p>Returns <span class=\'code\'>true</span> when the supplied modifier is a valid Morpher modifier, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_BuildFromNode &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;geometry_class&gt;target_object \n\
</pre></div><p>Adds the object as target to the specified channel of the specified morpher modifier.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>WM3_MC_BuildFromNode$Teapot01.morpher 1 $Teapot02   --&gt;true</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_Delete &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Deletes the target from the specified channel of the specified morpher modifier.</p>\n\
<p>Returns <span class=\'code\'>true</span> on success.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>WM3_MC_Delete$Teapot01.morpher 1   --&gt;true</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;WM3_MC_GetLimitMAX &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns the max. limit of the specified channel of the specified morpher modifier.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>WM3_MC_GetLimitMAX$Teapot01.morpher 1   --&gt;100.0</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;WM3_MC_GetLimitMIN &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns the min. limit of the specified channel of the specified morpher modifier.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>WM3_MC_GetLimitMIN$Teapot01.morpher 1   --&gt;0.0</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;WM3_MC_GetMemUse &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns the memory usage in bytes of the specified channel of the specified morpher modifier.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>WM3_MC_GetMemUse$Teapot01.morpher 1    --&gt;10600.0</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Point3&gt;WM3_MC_GetMorphPoint &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;integer&gt;index \n\
</pre></div><p>Returns the position of the indexed morph point (vertex) of the specified channel in the specified morpher modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;WM3_MC_GetMorphWeight &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;integer&gt;index \n\
</pre></div><p>Returns the weight of the indexed morph point (vertex) of the specified channel in the specified morpher modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;WM3_MC_GetName &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index [localizedName:&lt;bool&gt;]\n\
</pre></div><p>Returns the name of the specified channel of the specified morpher modifier.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong> When the <span class=\'code\'>localizedName</span> keyword parameter is <span class=\'code\'>true</span> (the default), the localized name as it appears in the UI is returned. Otherwise the non-localized name is returned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;WM3_MC_GetTarget &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns the target object of the specified channel of the specified morpher modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_GetUseLimits &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified channel of the specified morpher modifier uses the limits, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_GetUseVertexSel &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified channel of the specified morpher modifier uses the vertex selection, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;WM3_MC_GetValue &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns the value of the specified channel of the specified morpher modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_HasData &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns true when the specified channel of the specified morpher modifier has target data, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_HasTarget &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns true when the specified channel of the specified morpher modifier has a target object assigned, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_IsActive &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns true when the specified channel of the specified morpher modifier is active, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_IsValid &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns true when the specified channel of the specified morpher modifier is valid, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;WM3_MC_NumMPts &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns the number of morph points (vertices) in the specified channel of the specified morpher modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;WM3_MC_NumPts &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Returns the total number of points (vertices) in the specified channel of the specified morpher modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_Rebuild &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index \n\
</pre></div><p>Rebuilds the target in the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_SetActive &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;boolean&gt;active_state \n\
</pre></div><p>Activates/Deactivates the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_SetLimitMAX &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;float&gt;max_limit \n\
</pre></div><p>Sets the max. limit for the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_SetLimitMIN &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;float&gt;min_limit \n\
</pre></div><p>Sets the min. limit for the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_SetName &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;string&gt;new_name [localizedName:&lt;bool&gt;] \n\
</pre></div><p>Sets the name of the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Animation-Modifiers/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong> When the <span class=\'code\'>localizedName</span> keyword parameter is <span class=\'code\'>true</span> (the default), the localized name as it appears in the UI is set. Otherwise the non-localized name is set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_SetUseLimits &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;boolean&gt;use_limits \n\
</pre></div><p>Activates limit usage for the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_SetUseVertexSel &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;boolean&gt;use_vert_sel \n\
</pre></div><p>Activates vertex selection usage for the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_MC_SetValue &lt;Morpher_Class&gt;Morpher &lt;integer&gt;channel_index &lt;float&gt;new_value \n\
</pre></div><p>Sets the value of the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;WM3_NumberOfChannels &lt;Morpher_Class&gt;Morpher \n\
</pre></div><p>Returns the number of available channels for the specified morpher modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_RebuildInternalCache &lt;Morpher_Class&gt;Morpher \n\
</pre></div><p>Rebuilds the internal cache of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_RefreshChannelListUI &lt;Morpher_Class&gt;Morpher \n\
</pre></div><p>Refreshes the channel list of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_RefreshChannelParamsUI &lt;Morpher_Class&gt;Morpher \n\
</pre></div><p>Refreshes the channel parameters of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_SetChannelPos&lt;Morpher_Class&gt;Morpher &lt;Integer&gt;new_pos \n\
</pre></div><p>Scrolls the morpher UI to the specified channel. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WM3_SetChannelSel &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;new_sel \n\
</pre></div><p>Selects the specified channel of the specified morpher modifier. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p><strong>The following methods were added in 3ds Max 8:</strong></p>\n\
<div class=\'codeBlock\'><pre>WM3_MoveMorph &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;old_pos &lt;Integer&gt;new_pos \n\
</pre></div><p>Moves the indexed morph channel to the specified channel, leaving the old channel Empty and overwriting the new channel if not empty.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>WM3_MoveMorph$Teapot01.morpher 1 10--moves channel 1 to channel 10.OK</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_SwapMorph &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;first_pos &lt;Integer&gt;second_pos \n\
</pre></div><p>Swaps the morph channels, preserving both channels.</p>\n\
<p>Either of the two channels can be empty.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>WM3_SwapMorph$Teapot01.morpher 1 10--moves channel 1 to channel 10and channel 10 to channel 1.OK</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_DeleteProgressiveMorphNode &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Integer&gt;prog_morph_index \n\
</pre></div><p>Deletes the specified progressive morphfrom the given morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--Deletes the second progressive morph of channel one.   WM3_DeleteProgressiveMorphNode$Teapot01.morpher 1 2   --&gt;OK --if the channel is empty, returns false:   WM3_DeleteProgressiveMorphNode$Teapot01.morpher 100 1   --&gt;false</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_AddProgressiveMorphNode &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Node&gt;morph_target \n\
</pre></div><p>Adds a progressive morph to the given morph channel.</p>\n\
<p>Available in<strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--Adds the node Teapot02 as progressive morph target of channel one.   WM3_AddProgressiveMorphNode $Teapot01.morpher 1 $Teapot02   --&gt;OK--if the node is invalid, returns false - in this case, cannot add itself:   WM3_AddProgressiveMorphNode$Teapot01.morpher 1 $Teapot01   --&gt;false</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_GetProgressiveMorphNode &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Integer&gt;prog_morph_index \n\
</pre></div><p>Returns the progressive morph node with the given index from the specified morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--Gets the second progressive morph target from channel one:   WM3_GetProgressiveMorphNode $Teapot01.morpher 1 2   --&gt;$Ediable_Mesh:Teapot01 @ [0.0,0.0,0.0] --if there is no such index or the channel is empty, returns undefined   WM3_GetProgressiveMorphNode$Teapot01.morpher 1 10   --&gt;undefined</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_SetProgressiveMorphWeight &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Node&gt;prog_morph_node&lt;Float&gt;weight \n\
</pre></div><p>Sets the progressive morph weight for the targetnodein the specified morph channelto the supplied floating point value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Note:</p>\n\
<p>The value will NOT be converted implicitly from Integer to Float if supplied as Integer. Always provide a floating point value!</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--Sets the weight of Teapot02 in channel one to 25.0:   WM3_GetProgressiveMorphNode$Teapot01.morpher 1 $Teapot02 25.0   --&gt;OK</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_GetProgressiveMorphWeight &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Node&gt;prog_morph_node \n\
</pre></div><p>Gets the progressive morph weight for the target node in the specified morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_SetProgressiveMorphTension &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;Float&gt;tension \n\
</pre></div><p>Sets the progressive morph tension of the specified morph channel to the supplied floating point value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--Sets the progressive morph tension of channel one to 0.3:   WM3_GetProgressiveMorphNode $Teapot01.morpher 1 0.3   --&gt;OK</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_GetProgressiveMorphTension &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel \n\
</pre></div><p>Gets the progressive morph tension of the specified morph channel as floating point value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>--Gets the progressive morph tension of channel one:   WM3_GetProgressiveMorphNode $Teapot01.morpher 1   --&gt;0.3</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>WM3_NumberOfProgressiveMorphs &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel \n\
</pre></div><p>Returns the number of progressive morphs in the specified morph channel as integer.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_CreateMarker &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;morph_channel &lt;String&gt;marker_name \n\
</pre></div><p>Creates a new marker with the given name in the specified morph channel.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_NumberOfMarkers &lt;Morpher_Class&gt;Morpher \n\
</pre></div><p>Returns the number of markers in the morph modifier as integer.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_SetMarkerData &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index &lt;Integer&gt;morph_channel &lt;String&gt;marker_name \n\
</pre></div><p>Sets the marker data.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_GetMarkerName &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index \n\
</pre></div><p>Returns the name of the indexed marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_GetMarkerIndex &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index \n\
</pre></div><p>Returns the index of the indexed marker.</p>\n\
<p>Returns false if the index is out of range. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_SetCurrentMarker &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index \n\
</pre></div><p>Sets the current marker to the indexed marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_GetCurrentMarker &lt;Morpher_Class&gt;Morpher \n\
</pre></div><p>Returns the index of the current marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_DeleteMarker &lt;Morpher_Class&gt;Morpher &lt;Integer&gt;marker_index \n\
</pre></div><p>Deletes the indexed marker.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>WM3_NumberOfChannels &lt;Morpher_Class&gt;Morpher \n\
</pre></div><p>Returns the number of channels displayed in the UI for the Morpher. Note that channels are added in batches of 100, so this method will return multiples of 100. Your script should determine whether the channel is active using <span class=\'code\'>WM3_MC_IsActive()</span> before working with the channel.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";