var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point_Cache : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point_Cache : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point_cache-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Point_Cache - superclass: modifier; super-superclass:MAXWrapper - 7:0 - classID: #(655302627, 61950361) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-1349C2CD-2DD9-4F95-BE2F-0184866BC9E7-low.gif\' title=\'\'></div>\n\
</pre></div><p>In <strong>3ds Max 9</strong>, the PointCache Modifier has been replaced with a version of the PointCache2 modifier previously available as a free plug-in. Its cache format has also been adapted to allow interchangeability with the new PointCache in Autodesk Maya for easier animation transfer between the two applications.</p>\n\
<p>The documentation of the old PointCache Modifier in versions prior to <strong>3ds Max 9</strong> is provided at the bottom of this page for users developing scripts for earlier versions of <strong>3ds Max</strong>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Point_Cache...   \n\
PointCache...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.fileName String default: &quot;&quot; -- filename \n\
</pre></div><p>Get/set the cache file name.</p>\n\
<div class=\'section\'><a id=\"record\"></a><h3 id=\"record\">Record</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.fileCount Integer default: 0 -- integer; File_Count \n\
</pre></div><p>Get/Set the state of the file count radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>One File</strong></p>\n\
<p>1 - <strong>One File Per Frame</strong></p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.recordStart Float default: 0.0 -- float; Record_Start \n\
</pre></div><p>Get/Set the cache record start time in Frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.recordEnd Float default: 100.0 -- float; Record_End \n\
</pre></div><p>Get/Set the cache record end time in Frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.sampleRate Float default: 1.0 -- float; Sample_Rate \n\
</pre></div><p>Get/Set the cache sample rate in samples per frame.</p>\n\
<div class=\'section\'><a id=\"load-type\"></a><h3 id=\"load-type\">Load Type</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.loadType Integer default: 0 -- integer; Load_Type \n\
</pre></div><p>Get/Set the Load Type mode when using the Point Cache on a local workstation. Possible values are:</p>\n\
<p>0 - <strong>Stream</strong> - Keeps the cache file open for fast access, but only loads a single frame at a time to conserve memory.</p>\n\
<p>1 - <strong>Per-Sample</strong> - Opens the cache file, reads a single frame, and then immediately closes the file. This is slower than the stream load type, but is useful if you have many users reading/writing the same set of cache files since the cache files won&#39;t be locked open as you read from them.</p>\n\
<p>2 - <strong>Pre-Load</strong> - Loads the entire cache file into RAM for very fast access, and then closes the file. Specifically useful for networks, or when a few caches are used by many objects in one scene (in which case, turning this on will prevent each object from thrashing the disk on playback). Be conservative in using this, as it can eat up RAM fast (though if one cache file is used by several objects, the cache will only be loaded into RAM once). See the <span class=\'code\'>pointCacheMan.GetUsedMemory()</span> method for more info.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.loadTypeNetwork Integer default: 1 -- integer\n\
</pre></div><p>Get/Set the Load Type mode when using the Point Cache on a network node. Possible values are:</p>\n\
<p>1 - <strong>Per-Sample</strong></p>\n\
<p>2 - <strong>Pre-Load</strong></p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this property was called <span class=\'code\'>loadTypeSlave</span>.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"playback-options\"></a><h3 id=\"playback-options\">Playback Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.strength Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the cache Strength. Default is 1.0. Lower values will influence the mesh less than the vertex positions stored in the cache file. Higher values will exaggerate the animation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.relativeOffset BooleanClass default: false -- boolean; Relative_Offset \n\
</pre></div><p>Get/Set the state of the Relative Offset option.</p>\n\
<p>When true, only the <em>differences</em> from the first frame of the cache are used to distort the current object. If you would record a cache, set this option to true, add another modifier below the cache and modify the mesh, the recorded deformations will be added on top of the new deformations. Similarly, if the original recorded modifiers are still enabled, the object will get a double deformation.</p>\n\
<p>When false, the point positions in the cache file explicitly set the point positions of the current object, overriding any additional deformations below the cache.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.applyToWholeObject BooleanClass default: true -- boolean; Apply_To_Whole_Object \n\
</pre></div><p>Get/Set the state of the Apply to Whole Object option.</p>\n\
<div class=\'section\'><a id=\"playback-type\"></a><h3 id=\"playback-type\">Playback Type</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.playbackType Integer default: 0 -- integer; Playback_Type \n\
</pre></div><p>Get/Set the Playback type. Possible values are:</p>\n\
<p>0 - <strong>Original Range</strong> - This will always play back the cache over the range it was originally recorded (so the animation will <em>always</em> be the same as the original).</p>\n\
<p>1 - <strong>Custom Start</strong> - This will play back the cache from a custom start time, but the animation length/playback speed will be the same as the original animation).</p>\n\
<p>2 - <strong>Custom Range</strong> - This allows you to set a start and end frames that the current cache plays back within. Using a range that is smaller than the original record range will play the cache back faster, a larger range plays the cache back slower.</p>\n\
<p>3 - <strong>Playback Graph</strong> - Allows you to animate which cache frame is played at any given time. For example, if you record a cache from frame 0 to 100, set this parameter to 0 at frame 0, and animate it to 100 at frame 100. The function curve of this parameter in trackview shows how the cache is played back. Animating this lets you do interesting effects like slowing a cache down over time, or ping pong the cache playback, etc.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.playbackStart Float default: 0.0 -- float; Playback_Start \n\
</pre></div><p>Get/Set the Playback Start value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.playbackEnd Float default: 100.0 -- float; Playback_End \n\
</pre></div><p>Get/Set the Playback End value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.playbackFrame Float default: 0.0 -- animatable; float; Playback_Frame \n\
</pre></div><p>Get/Set the Playback Frame. This value can be keyframes to control the playback when in Playback Graph mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.clampGraph BooleanClass default: false -- boolean; Clamp_Graph \n\
</pre></div><p>Get/Set the state of the Clamp Graph option. It controls what gets loaded when the playback graph frame is out of the original recorded range.</p>\n\
<p>For example if the playback frame is set to 105, but the original cache was recorded from 0 to 100. With clampGraph set to true, the loaded frame will be 100. When set to false, the cache will &quot;wrap around&quot; and load frame 5. This way, you can loop caches more easily. In the example above, you could simply have a two key playback graph. Key 1 would be at frame 0 with a value of 0, and key 2 would be at frame 100 with a value of 100. Then you would set the out-of-range type for the graph to &quot;linear extrapolate&quot;, and the cache would smoothly loop back to the beginning at frame 101.</p>\n\
<p><strong>The following properties are not exposed to the UI and are not fully supported:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.applyMeshToSpline BooleanClass default: false -- boolean; Apply_To_Spline \n\
</pre></div><p>This option is not exposed to the UI. It should not be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.forceUncPath BooleanClass default: true -- boolean; Force_UNC_Path \n\
</pre></div><p>Get/Set whether to force the cache path to UNC path or not. This option is not exposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.interpolationType Integer default: 0 -- integer; Interpolation_Type \n\
</pre></div><p>This option is not exposed to the UI. It should not be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.playbackORTafter Integer default: 0 -- integer; Playback_Out_Of_Range_After \n\
</pre></div><p>This option is not exposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.playbackORTbefore Integer default: 0 -- integer; Playback_Out_Of_Range_Before \n\
</pre></div><p>This option is not exposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.preLoadCache BooleanClass default: false -- boolean; PreLoad_Cache \n\
</pre></div><p>Get/Set whether to preload the cache when the scene is loaded. This option is not exposed to the UI.</p>\n\
<div class=\'section\'><a id=\"pointcacheman-struct\"></a><h2 id=\"pointcacheman-struct\">PointCacheMan Struct</h2></div>\n\
<div class=\'codeBlock\'><pre>pointCacheMan.GetMemoryUsed() \n\
</pre></div><p>Returns the memory used by Point Caches in the scene.</p>\n\
<div class=\'section\'><a id=\"cacheops-struct\"></a><h2 id=\"cacheops-struct\">cacheOps Struct</h2></div>\n\
<div class=\'codeBlock\'><pre>cacheOps.DisableBelow &lt;PointCacheModifier&gt; \n\
</pre></div><p>Disables all modifiers below the Point Cache modifier.</p>\n\
<div class=\'codeBlock\'><pre>cacheOps.EnableBelow &lt;PointCacheModifier&gt; \n\
</pre></div><p>Enables all modifiers below the Point Cache modifier.</p>\n\
<div class=\'codeBlock\'><pre>cacheOps.RecordCache &lt;PointCacheModifier&gt; \n\
</pre></div><p>Records the cache data of the given Point Cache modifier to disk.</p>\n\
<div class=\'codeBlock\'><pre>cacheOps.Reload &lt;PointCacheModifier&gt; \n\
</pre></div><p>Reloads the cache data of the given Point Cache modifier from disk.</p>\n\
<div class=\'codeBlock\'><pre>cacheOps.Unload &lt;PointCacheModifier&gt; \n\
</pre></div><p>Unloads the cache data of the given Point Cache modifier from memory.</p>\n\
<p><strong>Old Definition Prior To 3ds Max 9</strong></p>\n\
<div class=\'section\'><a id=\"point_cache-modifier-1\"></a><h2 id=\"point_cache-modifier-1\">Point_Cache : Modifier</h2></div>\n\
<div class=\'codeBlock\'><pre>Point_Cache - superclass: modifier; super-superclass:MAXWrapper - 7:0 - classID: #(567311073, 1221790700) \n\
</pre></div><p>This is a simple point caching system. It lets you store modifier animation to a disk file that records only changes in vertex positions, and then play back the animation using the information in the disk file instead of the modifier keyframes. It caches the points of an object across time and then reads them from the disk on play back. It is useful when you have large intricate stacks that you want to speed up or modifiers such as flex that you want to bake.</p>\n\
<p>This modifier sacrifices memory for speed, it stores 3 caches of the points to allow for fast reading from the disk. You can instance this modifier but the instances must have the same number of points, otherwise the results will be inconsistent. This also only records point position, it does not store mapping, topology changes etc. It also cannot deal with animated topology changes.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Point_Cache... PointCache... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.time Float default: 0.0 -- float \n\
&lt;Point_Cache&gt;.start_time Float default: 0.0 -- float \n\
</pre></div><p>The frame number at which the cached animation starts playing back. Using decimal fractions lets you start at a sub-frame setting when using a Frame:Ticks time display. Default=0.0.</p>\n\
<p>Sets the first frame for recording the vertex animation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.end_time Float default: 100.0 -- float \n\
</pre></div><p>Sets the last frame for recording the vertex animation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.samples Integer default: 1 -- integer \n\
&lt;Point_Cache&gt;.cache_file Filename default: undefined -- string \n\
</pre></div><p>Loads a vertex animation from a cache file on disk into the Point Cache modifier. If number of vertices in the cache file does not match the number of vertices in the object, a warning appears, but no error occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.relativeOffset Boolean default: false -- boolean; Relative_Offset \n\
</pre></div><p>Makes the Strength setting available. This enables offsetting the animated vertex positions relative to their positions as recorded. Default=off.</p>\n\
<dl>\n\
<dt>Note:</dt>\n\
<dd><p>When you turn on Use Relative Offsets and play back a cached animation with the modifiers turned on, the cached vertex positions are calculated relative to their positions as calculated by the modifiers. For example, if you record a Bend animation to a cache file, and then play it back with both Use Relative Offsets and the Bend modifier turned on and Strength=1.0, all vertex positions are doubled, resulting in exaggerated motion.</p></dd>\n\
</dl>\n\
<div class=\'codeBlock\'><pre>&lt;Point_Cache&gt;.strength Float default: 1.0 -- animatable; float \n\
</pre></div><p>Affects the motion relative to the original animation. Available only when Use Relative Offsets is turned on. Default=1.0. Range=-10.0 to 10.0.</p>\n\
<p>At 1.0, the animation plays back the same as recorded. With strengths between 0 and 1, the animation is relatively restrained. At strengths greater than 1, the animation is exaggerated. With negative Strength settings, the motion is reversed.</p>\n\
<p><strong>Point Cache Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:pointCache \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;record() \n\
</pre></div><p>Stores the vertex animation to a disk file.</p>\n\
<p>Call Record to activate the Save Points dialog, which lets you specify a path and file name for the cache file.</p>\n\
<p>Click OK to record the file, and then load it into the Point Cache modifier, ready for playback.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setCache() \n\
</pre></div><p>Loads a vertex animation from a cache file on disk into the Point Cache modifier. If number of vertices in the cache file does not match the number of vertices in the object, a warning appears, but no error occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;enableMods() \n\
</pre></div><p>Turns on all stack modifiers below the Point Cache modifier. Use this when you want to change modifier settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;disableMods() \n\
</pre></div><p>Turns off all the object&#39;s stack modifiers below Point Cache so that only the cached vertex animation appears when you play back the animation.</p>\n\
<p><strong>WSM component of Point Cache</strong>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Other-SpacewarpModifiers/Point_CacheSpacewarpModifier.html\' title=\'\'>Point_CacheSpaceWarpModifier</a></p>\n\
<p>Note:</p>\n\
<p>The WSM version is identical to the local space version except it records points in World Space and exists higher in the stack.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";