var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Preset_Maker : modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Preset_Maker : modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"preset_maker-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Preset_Maker : modifier {d4e56ab,0} \n\
</pre></div><p>This modifier is applied by the Animation Presets / Offset Controller system originally introduced with 3ds Max 2016 Extension 1. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Constructor:</p>\n\
<div class=\'codeBlock\'><pre>Class instances not directly creatable by MAXScript\n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OffsetManager.html\' title=\'\'>Interface:OffsetManager</a> for indirect creation methods.</p>\n\
<p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Preset_Maker\n\
Publish\n\
\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.showPublishUI : Boolean\n\
</pre></div><p>Ges/sets the visibility of the &quot;Preset Maker&quot; rollout.</p>\n\
<p>The default is False for modifiers created from a template, and True for template modifiers.</p>\n\
<p>When set to True, an additional &quot;Preset Maker&quot; rollout will be displayed.</p>\n\
<p>When set to False, the additional rollout will be hidden.</p>\n\
<div class=\'section\'><a id=\"preset-maker-rollout\"></a><h2 id=\"preset-maker-rollout\">&quot;Preset Maker&quot; rollout</h2></div>\n\
<p>This rollout is only displayed when the <strong>.showPublishUI</strong> property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.publishFile : string\n\
</pre></div><p>Gets/sets the name of the Preset.</p>\n\
<p>The default name of newly created presets is &quot;effect&quot;.</p>\n\
<p>This property must be set to a unique name string before saving the Preset to disk – see Interface:OffsetManager for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.publishFileOriginal : string\n\
</pre></div><p>Gets the original Preset name used to create the modifier instance.</p>\n\
<p>Editing the &quot;Name Your Preset&quot; text field will only modify the <strong>.publishFile</strong> property, while the <strong>.publishFileOriginal</strong> will retain the original creation-time name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.InstanceModifierControls : Boolean\n\
</pre></div><p>Gets/sets the state of the &quot;Instance Modifier Controls&quot; checkbox.</p>\n\
<p>When set to True (default), the modifier controls will be instanced across the objects the Preset is applied to.</p>\n\
<div class=\'section\'><a id=\"not-exposed-to-the-ui\"></a><h2 id=\"not-exposed-to-the-ui\">Not Exposed To The UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.modifierIDList : int array\n\
</pre></div><p>Gets the Preset_Maker Modifier’s ID list, which is a unique identifier assigned to the Preset at creation time.</p>\n\
<p>All modifier instances created from the same Preset will contain the same ID values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.transform : Boolean\n\
</pre></div><p>Gets whether the Preset Modifier will apply transform animations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.modifier : Boolean\n\
</pre></div><p>Gets whether the Preset Modifier will apply modifier animations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.material : Boolean\n\
</pre></div><p>For future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.InstanceTMControls : Boolean\n\
</pre></div><p>For future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.InstanceMaterialControls : Boolean\n\
</pre></div><p>For future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.originalTM : maxObject\n\
</pre></div><p>Gets the original Transform controller of the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.originalVis : maxObject\n\
</pre></div><p>For future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.originalMat : material\n\
</pre></div><p>For future use.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Preset_Maker&gt;.timingUI : maxObject\n\
</pre></div><p>Gets the instance of the offset : floatController which is exposes the Timing User Interface – see below for its properties.</p>\n\
<div class=\'section\'><a id=\"offset-floatcontroller\"></a><h2 id=\"offset-floatcontroller\">offset: floatController</h2></div>\n\
<p>The offset floatController is the control object which implements the offsetting of animation timing across multiple objects.</p>\n\
<p>Its properties are exposed as UI controls in the Preset_Maker Modifier.</p>\n\
<p>Class instances of this controller cannot be created by MAXScript, but existing instances referenced by the Preset_Maker modifier can be accessed via the modifier’s .timingUI property (see above).</p>\n\
<p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>offset\n\
offsetTimer\n\
</pre></div><div class=\'section\'><a id=\"offset-motion-controls-rollout\"></a><h2 id=\"offset-motion-controls-rollout\">&quot;Offset Motion Controls&quot; rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.X : Boolean\n\
</pre></div><p>Gets/sets the state of the &quot;Use Axis&quot; &gt; &quot;X&quot; checkbox.</p>\n\
<p>When set to True (default), the X local axis of the picked center object will be used to measure the distance to the other objects with the same Preset_Maker modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.Y : Boolean\n\
</pre></div><p>Gets/sets the state of the &quot;Use Axis&quot; &gt; &quot;Y&quot; checkbox.</p>\n\
<p>When set to True (default), the X local axis of the picked center object will be used to measure the distance to the other objects with the same Preset_Maker modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.Z : Boolean\n\
</pre></div><p>Gets/sets the state of the &quot;Use Axis&quot; &gt; &quot;Z&quot; checkbox.</p>\n\
<p>When set to True (default), the X local axis of the picked center object will be used to measure the distance to the other objects with the same Preset_Maker modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.ID : float\n\
</pre></div><p>Gets/sets the Order ID value.</p>\n\
<p>The ID is used to sort the objects with the same preset in order to offset them differently - objects with the same ID will have the same offset, and lower IDs are offset less than higher IDs.</p>\n\
<div class=\'section\'><a id=\"offset-configuration-rollout\"></a><h2 id=\"offset-configuration-rollout\">&quot;Offset Configuration&quot; rollout</h2></div>\n\
<p><strong>&quot;Animation Settings&quot; group of controls</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.animcationLength : time\n\
</pre></div><p>Gets/sets the value shown by the &quot;Original Animation Length&quot; label.</p>\n\
<p>This value is normally initialized to the Preset animation’s length, but it can be modified via MAXScript.</p>\n\
<p>Since the &quot;Original Animation Length&quot; is used to determine the animation speed by dividing it by the .lengthOffset value, changing either of them will affect the playback speed of the offset animation.</p>\n\
<p>However, it is recommended to always modify the .lengthOffset value which is exposed as a value spinner in the UI for that purpose.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.startOffset : time\n\
</pre></div><p>Gets/sets the value of the &quot;Start Offset&quot; value spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.lengthOffset : time\n\
</pre></div><p>Gets/sets the value of the &quot;Set Length&quot; value spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.useGraph : Boolean\n\
</pre></div><p>Gets/sets the state of the &quot;Animation Ease Graph&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.graph : maxObject\n\
</pre></div><p>Gets the object containing the Ease Graph CurveControl object.</p>\n\
<p>Note: The Before and After Out Of Range types of the offset:floatController are exposed as drop-down lists in the UI.</p>\n\
<p>To get and set these values, use the functions described in the topic &quot;Controller Out-Of-Range Functions&quot;</p>\n\
<p><strong>&quot;Offset Settings&quot; group of controls</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.Direction : integer\n\
</pre></div><p>Gets/sets the selection of the &quot;Playback Type&quot; drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li>0 – Forward (default)</li>\n\
<li>1 – Reverse</li>\n\
<li>2 – Ping Pong</li>\n\
<li>3 – From Center</li>\n\
<li>4 – Random</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.perNodeOffset : time\n\
</pre></div><p>Gets/sets the value of the &quot;Per Node Delay&quot; value spinner.</p>\n\
<p>This value controls the actual time offset between the animations of two objects with the same Preset which are sorted one after the other based on their IDs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.useRandomPerNode : boolean\n\
</pre></div><p>Gets/sets the state of the &quot;Random Delay&quot; checkbox.</p>\n\
<p>Default is False.</p>\n\
<p>When set to True, the .randomPerNodeOffset property will be used to vary the .perNodeOffset value between objects for a more natural look.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.randomPerNodeOffset : time\n\
</pre></div><p>Get/set the value of the &quot;Random Delay&quot; value spinner.</p>\n\
<p>It is used only when the .useRandomPerNode property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.usePerNodeGraph : Boolean\n\
</pre></div><p>Get/set the state of the &quot;Per Node Ease Graph&quot; checkbox.</p>\n\
<p>Default is False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.perNodeGraph : maxObject\n\
</pre></div><p>Get the &quot;Per Node Ease Graph&quot; CurveControl object.</p>\n\
<div class=\'section\'><a id=\"not-exposed-in-the-ui\"></a><h2 id=\"not-exposed-in-the-ui\">Not Exposed In The UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.numNodes : integer\n\
</pre></div><p>Gets the number of objects the Preset_Maker modifier is applied to.</p>\n\
<p>While setting the value is possible, it serves no practical purpose as the value is for reference purposes only and modifying it does not affect the actual offset animation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.randomList : int array\n\
</pre></div><p>Gets the random order to use when .Direction is set to 4 – Random.</p>\n\
<p>The array will contain the same amount of integers as the number of objects with the Preset applied.</p>\n\
<p>The list items from 1 to N represent the sorted list of objects.</p>\n\
<p>The values of the items represent the order from 0 to N-1 in which the animation offset will be applied.</p>\n\
<p>For example, #(2, 19, 5, 17, 7, 0, 12, 11, 15, 4, 3, 13, 1, 6, 10, 9, 14, 20, 8, 16, 18) means that the 6th object will play back first (value of 0), then the 13th object will play second (value of 1), then the first (value of 2), and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.startTime : time\n\
</pre></div><p>Not exposed in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.random : float\n\
</pre></div><p>Not exposed in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;offset&gt;.Control : float\n\
</pre></div><p>Not exposed in the UI.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";