var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spline_IK_Control : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spline_IK_Control : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spline_ik_control-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spline_IK_Control - superclass: modifier; super-superclass:MAXWrapper - classID: #(99892132, 1442747141) \n\
</pre></div><p>The Spline_IK_Control modifier provides a way for controlling spline knots using Point helpers. It is used mainly in conjunction with the Spline IK Solver.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Spline_IK_Control...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.box Boolean default: true -- animatable; boolean \n\
</pre></div><p>Controls the display of Box Helpers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.helper_size Float default: 20.0 -- animatable; float \n\
</pre></div><p>Gets/sets the size of the Helpers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.constantscreensize Boolean default: false -- animatable; boolean; Const_Screen_Size \n\
</pre></div><p>Controls the constant screen size display of Helpers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.drawontopBoolean default: true -- animatable; boolean; Draw_On_Top \n\
</pre></div><p>Controls the drawing of Helpers on top of the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.helper_axistripodBoolean default: false -- animatable; boolean; Axis_Tripod \n\
</pre></div><p>Controls the display of the Helpers’ Axis Tripod.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.helper_centermarker Boolean default: false -- animatable; boolean; Center_Marker \n\
</pre></div><p>Controls the display of Helpers’ Center Markers .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.helper_cross Boolean default: false -- animatable; boolean; Cross \n\
</pre></div><p>Controls the display of the Helpers’ Crosses.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.helper_list ArrayParameter default: #() -- node array; ; SubAnim \n\
</pre></div><p>Gets/sets the list of Helpers used by the modifier to control the spline’s knots.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spline_IK_Control&gt;.linkTypes Integer default: 0 -- integer; Link_Types \n\
</pre></div><p>Gets/sets the linking mode:</p>\n\
<p>0 - Link All In Hierarchy</p>\n\
<p>1 - Link All to Root</p>\n\
<p>2 - No Linking</p>\n\
<p><strong>Spline_IK_Control interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: modifiers \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getHelperCount() \n\
</pre></div><p>Returns the number of helpers in the Spline_IK_Control Modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getKnotCount() \n\
</pre></div><p>Returns the number of knots in the control Spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;linkToRoot() \n\
</pre></div><p>Sets the &quot;Link All To Root&quot; mode in the Modifier. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;linkInHierarchy() \n\
</pre></div><p>Sets the &quot;Link All In Hierarchy&quot; mode in the Modifier. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;noLinking() \n\
</pre></div><p>Sets the &quot;No Linking&quot; mode in the Modifier. Returns true on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;createHelper &lt;integer&gt;knotCount \n\
</pre></div><p>Creates helpers for the specified number of knots. Returns true on success.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";