var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Turn_to_Patch : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Turn_to_Patch : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"turn_to_patch-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Turn_to_Patch - superclass: modifier; super-superclass:MAXWrapper - 4:0 - classID: #(1011577041, 590161861)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-281F2427-B902-4162-914C-AAE1EC69D174-low.gif\' title=\'\'></div>\n\
</pre></div><p>The Turn_To_Patch modifier lets you apply object conversions in the modifier stack. Using the Turn To Patch modifier, you can fine-tune the conversion process such as turning quads into quad patches.</p>\n\
<p>Note:</p>\n\
<p>Converting from one object type to another causes a complete caching in the modifier stack. When you have large objects in your scene, this can take up a lot of space. For example, an object that starts as a mesh, converts to a patch, and then back to a mesh takes 3 times as much space as a mesh which just has ordinary modifiers like Bend or UVW Map applied.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Turn_to_Patch ... ConvertToPatch...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Patch&gt;.quadsToQuads Boolean default: true -- animatable; boolean; Quads_to_Quad_Patches\n\
</pre></div><p>Turns quad faces in meshes or polymeshes into quad patches.</p>\n\
<p>Note: When you turn this option off, <strong>3ds Max</strong> triangulates quads when the Turn To Patch modifier is applied to a patch object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Patch&gt;.selectionConversion Integer default: 0 -- integer; Selection_Conversion\n\
&lt;Turn_to_Patch&gt;.useSoftSelection Integer default: 1 -- integer; Use_Soft_Selection\n\
</pre></div><p>Affects the action of sub-object Move, Rotate, and Scale functions. When these are on, <strong>3ds Max</strong> applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect, with a sphere of influence around the transformation. Use this when you want to preserve the soft selection from beneath. For example, if Use Soft Selection is on when you select vertices on an editable poly, and you apply Turn To Mesh with Include Soft Selection on, then the same soft selection will apply to the mesh vertices. Default=on.</p>\n\
<p>For more information, see Soft Selection Rollout.</p>\n\
<blockquote>\n\
<p>Important:</p>\n\
<p>Be aware that when Include Soft Selection is on, bound vertices can turn to meshe<em>s</em>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Patch&gt;.selectionLevel Integer default: 0 -- integer; Selection_Level\n\
</pre></div><p><strong>0: From Pipeline:</strong> Uses the equivalent of whatever the input object uses. (Patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable mesh in face mode and apply a Turn To Patch modifier to it, <strong>3ds Max</strong> passes a sub-object selection in patch mode up the stack. The Turn To Patch modifier takes the sub-object face selection into account and selects the patches that derive from the face selection.</p>\n\
<p><strong>1: Object:</strong> Uses object as the selection level for passing up the rest of the stack.</p>\n\
<p><strong>2: Edge:</strong> Uses edge as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><strong>3: Vertex:</strong> Uses vertex as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><strong>4: Patch:</strong> Uses patch as the sub-object selection level for passing up the rest of the stack.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";