var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Turn_to_Poly : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Turn_to_Poly : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"turn_to_poly-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Turn_to_Poly - superclass: modifier; super-superclass:MAXWrapper - 9:0 - classID: #(793333328, 1547135298)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-281F2427-B902-4162-914C-AAE1EC69D174-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Turn_to_Poly ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.keepConvex Boolean default: false -- animatable; boolean; Keep_Convex\n\
</pre></div><p>Does not join across edges if the resulting polygon would not be convex. &quot;Convex&quot; means that you can connect any two points in the polygon with a line that doesn&#39;t go outside the polygon. A polygon is not convex if you can draw a line between vertices and that line lays outside of the polygon.</p>\n\
<p>Problems that can occur with non-convex polygons include the fact that changes in the geometry of the input object can result in a different topology for the Turn To Poly result. For instance, in a box, if you drag one of the top corners across the middle of the top face, the box becomes non-convex. Turn To Poly would then see this as two triangles instead of one quad, and the number of points in the result would change.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.limitPolySize Boolean default: false -- animatable; boolean; Limit_Polygon_Size\n\
</pre></div><p>Limits the number of sides to a polygon so that the surface is better defined. For example, you might want to produce a polymesh of triangles and quads, or one composed of all triangles, rather than joining together more than two triangles into pentagons, hexagons, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.maxPolySize Integer default: 4 -- animatable; integer; Max_Polygon_Size\n\
</pre></div><p>The maximum number of sides to a polygon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.requirePlanar Boolean default: false -- animatable; boolean; Require_Planar_Polygons\n\
</pre></div><p>Creates polygons composed of flat planes. Does not join faces together across an edge if the edge has a sharper angle than the threshold listed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.planarThresh Float default: 15.0 -- animatable; angle; Planar_Threshold\n\
</pre></div><p>Controls the threshold of the angle between polygonal planes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.removeMidEdgeVertices Boolean default: true -- boolean; Remove_Mid_Edge_Vertices\n\
</pre></div><p>When set to true (default), vertices in the middle of an edge will be removed automatically.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.selectionConversion Integer default: 0 -- integer; Selection_Conversion\n\
</pre></div><p>Controls the sub-object selection conversion when turning the incoming geometry to poly. Possible values are:</p>\n\
<p><span class=\'code\'>0 - Preserve</span> (default) - the selection is preserved</p>\n\
<p><span class=\'code\'>1 - Clear</span> - the selection is removed.</p>\n\
<p><span class=\'code\'>2 - Invert</span> - the selection will be inverted. Thus, this mode can be used for proceduralinversion of sub-object selections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.useSoftSelection Boolean default: true -- boolean; Use_Soft_Selection\n\
</pre></div><p>Affects the action of sub-object Move, Rotate, and Scale functions. When these are on, <strong>3ds Max</strong> applies a spline curve deformation to unselected vertices surrounding the transformed selected sub-object. This provides a magnet-like effect, with a sphere of influence around the transformation. Use this when you want to preserve the soft selection from beneath. For example, if Use Soft Selection is on when you select vertices on an editable mesh, and you apply Turn To Poly with Include Soft Selection on, then the same soft selection will apply to the polymesh vertices. Default=on.</p>\n\
<p>For more information, see Soft Selection Rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Turn_to_Poly&gt;.selectionLevel Integer default: 0 -- integer; Selection_Level\n\
</pre></div><p>These options set the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><span class=\'code\'>0: From Pipeline.</span> Uses the equivalent of whatever the input object uses. (Patch level becomes face level, and so on.). For example, if you create a box, convert it to an editable mesh in face mode and apply a Turn To Poly modifier to it, <strong>3ds Max</strong> passes a sub-object selection in face mode up the stack. The Turn To Poly modifier takes the sub-object face selection into account and selects the polygons that derive from the face selection.</p>\n\
<p><span class=\'code\'>1: Object.</span> Uses object as the selection level for passing up the rest of the stack.</p>\n\
<p><span class=\'code\'>2: Edge.</span> Uses edge as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><span class=\'code\'>3: Vertex.</span> Uses vertex as the sub-object selection level for passing up the rest of the stack.</p>\n\
<p><span class=\'code\'>4: Face.</span> Uses face as the sub-object selection level for passing up the rest of the stack.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";