var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FFD_Cyl : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FFD_Cyl : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ffd_cyl-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>FFDCyl - superclass: modifier; super-superclass:MAXWrapper - classID: #(-1728873885, 1073650634)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-AF8C218D-B03E-4726-814B-C551E236045D-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>ffdCyl ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.dispLattice Boolean default: true -- alias: Lattice\n\
</pre></div><p>Draws lines connecting the control points to make a grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.dispSource Boolean default: false&amp;emdash;alias: Source_Volume\n\
</pre></div><p>Displays the control points and lattice in their unmodified state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.deformType Integer default: 0\n\
</pre></div><p>Deform type:</p>\n\
<p>0- <strong>Only In Volume</strong> (Deforms vertices that lie inside the source volume. Vertices outside the source volume are not affected.)</p>\n\
<p>1- <strong>All Vertices</strong> (Deforms all vertices regardless of whether they lie inside or outside the source volume depending on the value in the Falloff spinner. The deformation outside the volume is a continuous extrapolation of the deformation inside the volume. Note that the deformation can be extreme for points far away from the source lattice.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.falloff Float default: 0.0 -- animatable\n\
</pre></div><p>Determines the distance from the lattice that the FFD effect will decrease to zero.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.tension Float default: 25.0 -- animatable\n\
</pre></div><p>Adjusts the tension of the deformation splines.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.continuity Float default: 25.0 -- animatable\n\
</pre></div><p>Adjusts the continuity of the deformation splines.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.inPoints Boolean default: true -- alias: Inside_Points\n\
</pre></div><p>Only control points inside the object are affected by Conform to Shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.outPoints Boolean default: true -- alias: Outside_Points\n\
</pre></div><p>Only control points outside the object are affected by Conform to Shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.offset Float default: 0.05 -- animatable\n\
</pre></div><p>The distance by which control points affected by Conform to Shape are offset from the object surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FFDCyl&gt;.lattice_transform SubAnim\n\
&lt;FFDCyl.lattice_transform&gt;.position Point3 default: [0,0,0] -- animatable\n\
&lt;FFDCyl.lattice_transform&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable\n\
&lt;FFDCyl.lattice_transform&gt;.scale Point3 default: [1,1,1] -- animatable\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>conformToShape &lt;FFDCyl&gt;\n\
</pre></div><p>conforms the control points of the FFD to the node the FFD is applied to. If an instance of the FFD modifier has been applied to more than one object, no action is performed.</p>\n\
<div class=\'codeBlock\'><pre>resetLattice &lt;FFDCyl&gt;\n\
</pre></div><p>resets the control points of the FFD to their default positions.</p>\n\
<div class=\'codeBlock\'><pre>getDimensions &lt;FFDCyl&gt;\n\
setDimensions &lt;FFDCyl&gt; &lt;Point3&gt;\n\
</pre></div><p>sets the number of control points for the FFDCyl modifier. The first component value in the Point3 specifies the number of Side control points, the second the number of Radial control points, and the third the number of Height control points. The minimum component values are 6, 2, and 2, respectively.</p>\n\
<div class=\'codeBlock\'><pre>animateVertex &lt;FFDCyl&gt; { &lt;integer_index&gt; | &lt;integer_index_array&gt; | #all}\n\
</pre></div><p>Applies controllers to the specified control points of the FFD modifier.</p>\n\
<p>By assigning controllers to the control points, the control points are added to the driver subAnim and appear as animatables in the Track View, allowing further scripting of the control points.</p>\n\
<p><strong>EXAMPLE</strong></p>\n\
<div class=\'codeBlock\'><pre>animateVertex $box01.modifier[1] #all\n\
\n\
</pre></div><p>The control points to be animated are specified by index number or with the keyword <span class=\'code\'>#all</span> to animate all control points.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\' title=\'\'>Class and Object Inspector Functions</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\' title=\'\'>Scripting Vertex and Control Point Animation</a> for details on accessing the control points in an FFD and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\' title=\'\'>Modifier Sub-Object Transform Properties</a> for details on the coordinate system used for FFD control points.</p>\n\
<div class=\'codeBlock\'><pre>animateAll &lt;FFDCyl&gt;\n\
</pre></div><p>Applies controllers to all control points of the FFD modifier.</p>\n\
<p>Note:</p>\n\
<p>The default number of control points in a FFDCyl created by MAXScript is always 4x6x4.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";