var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MassFX_RBody : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MassFX_RBody : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"massfx_rbody-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>MassFX_RBody - superclass: modifier; super-superclass:MAXWrapper - 54:8 - classID: #(685326, 452282)\n\
</pre></div><p>This class implements the MassFX Rigid Body Modifier.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>MassFX_RBody ...\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7E0FA188-EE66-4AA7-A64B-B9AF14ACD3D9-low.bmp\' title=\'\'></div>\n\
</pre></div><p>Most of the following Properties are exposed by the MassFX_RBody modifier itself, while the Methods are exposed by the <strong>PhysXModRBInterface MixIn Interface</strong>.</p>\n\
<div class=\'section\'><a id=\"rigid-body-properties-rollout\"></a><h2 id=\"rigid-body-properties-rollout\">&quot;Rigid Body Properties&quot; rollout</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.type     Integer    default: 1   --  integer; None\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Rigid Body Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Dynamic</strong> (default) - the Rigid Body is driven by the simulation. It is applied gravitational forces, participates in and reacts to collisions with other Rigid Bodies, and so on. Its Rigid Body Mesh cannot be concave.</p>\n\
<p>2 - <strong>Kinematic</strong> - the Rigid Body is driven by pre-defined (usually keyframed) animation and can drive Dynamic Rigid Bodies, but is otherwise unaffected by the physics simulation. Its Rigid Body Mesh cannot be concave.</p>\n\
<p>3 - <strong>Static</strong> - the Rigid Body is unyielding and can interact with Dynamic Rigid Bodies, but cannot be animated. Its Rigid Body Mesh can be concave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.switchType     BooleanClass    default: false   --  boolean; None\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Until Frame&quot;</strong> checkbox. When set to true, the type of the Rigid Body can be switched from Kinematic to Dynamic at a specified frame provided by the <strong><span class=\'code\'>.switchTypeAtFrame</span></strong> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.switchTypeAtFrame     Integer    default: 0   --  integer; None\n\
</pre></div><p>Gets/sets the frame on which the Rigid Body will be switched from Kinematic to Dynamic if the <span class=\'code\'>.switchType</span> property is set to true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.baked     Integer    default: 0   --  integer; None\n\
</pre></div><p>Gets/sets the state of the &quot;Bake/Unbake&quot; button. When baked, the animation of a Dynamic Rigid Body will be converted to keyframes.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Unbaked - setting the property to 0 will unbake the Rigid Body and switch the button&#39;s caption to &quot;Bake&quot;.</p>\n\
<p>1 - Baked - setting the property to 1 will bake the Rigid Body and switch the button&#39;s caption to &quot;Unbake&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.ContinuousCollisionDetection     BooleanClass    default: false   --  boolean; None\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Use High Velocity Collisions&quot;</strong> option.</p>\n\
<p>If set to true and the global High Velocity Collisions switch in the MassFX World panel is enabled, the Dynamic Rigid Body will perform continuous collision detection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.SleepAtStart     BooleanClass    default: false   --  boolean; None\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Start In Sleep Mode&quot;</strong> option.</p>\n\
<p>When set to true, the Dynamic Rigid Body will be placed in sleep mode at the start of the simulation using the global sleep mode settings. This means that it will not move until struck by a non-sleeping Rigid Body.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.CollideWithRigidBodies     BooleanClass    default: true   --  boolean; None\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Collide With Ridig Bodies&quot;</strong> option.</p>\n\
<p>When set to true, the Rigid Body will collide with other Rigid Bodies. When set to false, the Rigid Body will not participate in collisions.</p>\n\
<div class=\'section\'><a id=\"physical-material-rollout\"></a><h2 id=\"physical-material-rollout\">&quot;Physical Material&quot; rollout</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.density     Float    default: 0.5   --  float; None\n\
</pre></div><p>Gets/sets the Density value of the Rigid Body. The Density is measured in grams per cubic centimeter. Changing this value automatically calculates the correct mass for the object based on its volume.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.mass     Float    default: 1.0   --  float; None\n\
</pre></div><p>Gets/sets the Mass of the Rigid Body measured in kilograms.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.staticFriction     Float    default: 0.3   --  float; None\n\
</pre></div><p>Gets/sets the Static Friction value of the Rigid Body&#39;s Physical Material.</p>\n\
<p>Static Friction is the degree of difficulty for two Rigid Bodies to start sliding against one another. A value of 0.0 indicates no friction, a value of 1.0 indicates full friction. The effective static friction between two rigid bodies is the product of their static friction values. If one rigid body has a static friction of 0.0, the value of the other rigid body does not matter (everything slides on wet ice; even sandpaper). Once the two objects start sliding, the Dynamic Friction (see below) applies.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.dynamicFriction     Float    default: 0.3   --  float; None\n\
</pre></div><p>Gets/sets the Dynamic Friction value of the Physical Material.</p>\n\
<p>Dynamic Friction is the degree of difficulty for two rigid bodies to keep sliding against one another. Technically, this parameter is called the &quot;<em>coefficient of kinematic friction</em>.&quot; A value of 0.0 indicates no friction, a value of 1.0 indicates full friction. In the real world, this value must be less than the coefficient of static friction - it is harder to start pushing an object than to keep it moving. As with static friction, the effective value between two rigid bodies is the product of their respective values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.bounciness     Float    default: 0.5   --  float; None\n\
</pre></div><p>Gets/sets the Bounciness value of the Rigid Body&#39;s Physical Material.</p>\n\
<p>This value controls how an object bounces when it hits another rigid body. Technically, this parameter is called the &quot;<em>coefficient of restitution</em>.&quot; A value of 0.0 indicates no bounce, a value of 1.0 indicates that the object will bounce off just about as hard as it hit. The effective bounciness between two rigid bodies is the product of their bounciness values.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBPresetMaterial &lt;integer&gt;materialID\n\
</pre></div><p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"physical-shapes-rollout\"></a><h2 id=\"physical-shapes-rollout\">&quot;Physical Shapes&quot; rollout</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.meshType     Integer    default: 4   --  integer; None\n\
</pre></div><p>Possible values are:</p>\n\
<p>1 - <strong>Sphere</strong></p>\n\
<p>2 - <strong>Box</strong></p>\n\
<p>3 - <strong>Capsule</strong></p>\n\
<p>4 - <strong>Convex</strong> (default)</p>\n\
<p>5 - <strong>Convex</strong></p>\n\
<p>6 - <strong>Custom</strong></p>\n\
<p>7 - <strong>Concave</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.meshOverrideMaterial     BooleanClass    default: true   --  boolean; None; \n\
</pre></div><p>This property is exposed by the &quot;Override Physical Mesh&quot; checkbox&#39;s parameter, but must not be used.</p>\n\
<p>Use the methods <strong><span class=\'code\'>.GetRBMeshOverrideDriverMat()</span> and <span class=\'code\'>.SetRBMeshOverrideDriverMat()</span></strong> documented below to get and set the Override Physical Material option per mesh.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshCount()\n\
</pre></div><p>Returns the number of Rigid Body Meshes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MassFX_RBody&gt;.AddRBMesh()\n\
</pre></div><p>Adds a Rigid Body mesh and returns its index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;MassFX_RBody&gt;.GetRBMeshName &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Name of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshName &lt;integer&gt;meshIndex &lt;string&gt;meshName\n\
</pre></div><p>Sets the Name of the indexed Rigid Body mesh to the string passed as second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.DeleteRBMesh &lt;integer&gt;meshIndex\n\
</pre></div><p>Deletes the indexed Rigid Body mesh.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.ClipboardCopyRBMesh &lt;integer&gt;meshIndex\n\
</pre></div><p>Copies the indexed Rigid Body mesh to the Clipboard.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.ClipboardPasteRBMesh()\n\
</pre></div><p>Pastes the Rigid Body mesh from the Clipboard, if available.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;MassFX_RBody&gt;.GetRBMeshType &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Type of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshType &lt;integer&gt;meshIndex &lt;integer&gt;meshType\n\
</pre></div><p>Sets the Type of the indexed Rigid Body mesh to the integer passed as second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;&lt;MassFX_RBody&gt;.RBMeshConvertToCustomMesh &lt;integer&gt;meshIndex\n\
</pre></div><p>Converts the indexed Rigid Body Mesh to Custom Mesh and returns it as a node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.GetRBMeshOverrideDriverMat &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Override Driver Material property of the indexed Rigid Body mesh as boolean value.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this method was called <span class=\'code\'>GetRBMeshOverrideMasterMat</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshOverrideDriverMat &lt;integer&gt;meshIndex &lt;boolean&gt;overrideIt\n\
</pre></div><p>Sets the Override Driver Material of the indexed Rigid Body mesh to the boolean value passed as second argument.</p>\n\
<blockquote>\n\
<p>Note: Prior to <em>3ds Max 2022</em> this method was called <span class=\'code\'>SetRBMeshOverrideMasterMat</span>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;&amp;matrix3&gt;&lt;MassFX_RBody&gt;.GetRBMeshTM &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the transformation matrix of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshTM &lt;integer&gt;meshIndex &lt;&amp;matrix3&gt;pose\n\
\n\
pose is In and Out parameter\n\
</pre></div><p>Sets the transformation matrix of the indexed Rigid Body mesh to the matrix3 value passed by the second by-reference argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh&gt;&lt;MassFX_RBody&gt;.GetRBMeshShape &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Shape of the indexed Rigid Body mesh as a TriMesh value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshShape &lt;integer&gt;meshIndex &lt;mesh&gt;newMesh\n\
</pre></div><p>Sets the Shape of the indexed Rigid Body mesh to the triMesh value passed as second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;MassFX_RBody&gt;.RBMeshRegenerate &lt;integer&gt;meshIndex\n\
</pre></div><p>Regenerates the indexed Rigid Body Mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshCompositeMeshCount &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Composite Mesh Count in the indexed Mesh of the Rigid Body.</p>\n\
<p>Returns 0 if there are no composite meshes in the given mesh.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.ExtractCustomMesh()\n\
</pre></div><p><strong><em>Currently Missing Implementation</em></strong> .</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.RBMeshCustomNodeExtract &lt;integer&gt;meshIndex\n\
</pre></div><p>Extracts the indexed mesh hull for use as Custom Node.</p>\n\
<p>Equivalent to pressing the &quot;Convert To Custom Shape&quot; button in the Physical Shapes rollout.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` theTeapot = Teapot() --create a Teapot primitive --&gt; $Teapot:Teapot001 @ [0.000000,0.000000,0.000000] theMod = MassFX_RBody() --create a MassFX Rigid Body Modifier --&gt; MassFX_RBody:MassFX Rigid Body addModifier theTeapot theMod --add the Modifier to the Teapot --&gt; OK theMod.RBMeshCustomNodeExtract 1 --extract the teapot hull as mesh --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"sphere-physical-mesh-params-rollout\"></a><h2 id=\"sphere-physical-mesh-params-rollout\">&quot;Sphere Physical Mesh Params&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-366838C2-0F2D-405B-B105-36D739DF9E1F-low.bmp\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.meshRadius     Float    default: 0.01   --  float; None\n\
</pre></div><p>Exposes the Radius spinner&#39;s track value. The methods documented below can be used to get and set the Mesh Radius values of specific meshes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshRadius &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Radius of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshRadius &lt;integer&gt;meshIndex &lt;float&gt;radius\n\
</pre></div><p>Sets the Radius of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<div class=\'section\'><a id=\"box-physical-mesh-params-rollout\"></a><h2 id=\"box-physical-mesh-params-rollout\">&quot;Box Physical Mesh Params&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D50EFFA9-FCD6-4DCA-B961-E04D30BD6E99-low.bmp\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.meshWidth     Float    default: 0.01   --  float; None\n\
&lt;MassFX_RBody&gt;.meshHeight     Float    default: 0.01   --  float; None\n\
&lt;MassFX_RBody&gt;.meshLength     Float    default: 0.01   --  float; None\n\
</pre></div><p>These properties expose the Length, Width, and Height spinners found in the UI. The methods documented below can be used for getting and setting the Length, Width, and Height of the specific meshes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshLength &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Length of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshLength &lt;integer&gt;meshIndex &lt;float&gt;Length\n\
</pre></div><p>Sets the Length of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshWidth &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Width of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshWidth &lt;integer&gt;meshIndex &lt;float&gt;Width\n\
</pre></div><p>Sets the Width of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshHeight &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Height of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshHeight &lt;integer&gt;meshIndex &lt;float&gt;Height\n\
</pre></div><p>Sets the Height of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<div class=\'section\'><a id=\"capsule-physical-mesh-params-rollout\"></a><h2 id=\"capsule-physical-mesh-params-rollout\">&quot;Capsule Physical Mesh Params&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0ABEADB4-7ABB-4CE2-ABC7-05F54F839FAF-low.bmp\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.meshRadius     Float    default: 0.01   --  float; None\n\
&lt;MassFX_RBody&gt;.meshHeight     Float    default: 0.01   --  float; None\n\
</pre></div><div class=\'section\'><a id=\"concave-physical-mesh-params-rollout\"></a><h2 id=\"concave-physical-mesh-params-rollout\">&quot;Concave Physical Mesh Params&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E7CCB966-EE5E-46D1-A6A1-E09687C2D306-low.png\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"convex-physical-mesh-params-rollout\"></a><h2 id=\"convex-physical-mesh-params-rollout\">&quot;Convex Physical Mesh Params&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4DB8CB50-0722-4243-9813-9DC892280F70-low.bmp\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeInflation     Float    default: 0.0   --  float\n\
&lt;MassFX_RBody&gt;.meshConvexStyle     Integer    default: 0   --  integer; None\n\
&lt;MassFX_RBody&gt;.meshVerticesLimit     Integer    default: 32   --  integer; None\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;MassFX_RBody&gt;.GetRBMeshInflation &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Inflation value of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshInflation &lt;integer&gt;meshIndex &lt;float&gt;Inflation\n\
</pre></div><p>Sets the Inflation of the indexed Rigid Body mesh to the floating point value passed as second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshVertexLimit &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Vertex Limit of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshVertexLimit &lt;integer&gt;meshIndex &lt;integer&gt;VerticeLimit\n\
</pre></div><p>Sets the Vertex Limit of the indexed Rigid Body mesh to the integer value passed as second argument.</p>\n\
<div class=\'section\'><a id=\"composite-physical-mesh-params-rollout\"></a><h2 id=\"composite-physical-mesh-params-rollout\">&quot;Composite Physical Mesh Params&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7A0AA766-537A-4326-BA04-4471B34CF1B3-low.bmp\' title=\'\'></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeMaxVertices     Integer    default: 128   --  integer\n\
</pre></div><p>Gets/sets the Maximum number of vertices in the Mesh Hull.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeSplitLvl     Integer    default: 7   --  integer\n\
</pre></div><p>Gets/sets the Composite Split Levels value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.meshInflation     Float    default: 0.0   --  float; None\n\
</pre></div><p>Gets/sets the Inflation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeSizeDiff Integer default: 90  -- integer\n\
</pre></div><p>Gets/sets the Composite Size Difference percentage value.</p>\n\
<p>Previously, exposed as <span class=\'code\'>.compositeSizeDifference</span> .</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeShrinkWrap     Integer    default: 90   --  integer\n\
</pre></div><p>Gets/sets the Composite Shrink Wrap percentage value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeGranularity     Integer    default: 90   --  integer\n\
</pre></div><p>Gets/sets the Composite Granularity percentage value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeMaxConcavity  Float default: 100.0  -- float\n\
</pre></div><p>Gets/sets the Composite Maximum Concavity value.</p>\n\
<p>Corresponds to the &quot;Concavity&quot; property in the Physical Mesh Parameters rollout.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeMinHulls Integer  default: 1   -- integer\n\
</pre></div><p>Gets/sets the minimum number of composite hulls to create.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeConnDist Float  default: 0.0  --  float\n\
</pre></div><p>Gets/sets the Composite Connection Distance value.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeControlPoints Integer  default: 1  --  integer\n\
</pre></div><p>Gets/sets the number of Composite Control Points.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.compositeSolidMeshes BooleanClass  default: false -- boolean\n\
</pre></div><p>Gets/sets whether to display Solid Meshes or not.</p>\n\
<p>Corresponds to the <strong>Display Solid Meshes</strong> checkbox in the UI.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.RBMeshCompositeGenerate &lt;integer&gt;meshIndex\n\
</pre></div><p>Generates the Composite Mesh of the indexed Rigid Body Mesh.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;MassFX_RBody&gt;.GetRBMeshCompositeMeshCount &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Composite Mesh count.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;&lt;MassFX_RBody&gt;.GetRBMeshCompositeMesh &lt;integer&gt;meshIndex &lt;integer&gt;index\n\
</pre></div><p>Returns the indexed Composite Mesh specified by the second argument of the Rigid Body Mesh (specified by the first argument).</p>\n\
<div class=\'section\'><a id=\"custom-physical-mesh-params-rollout\"></a><h2 id=\"custom-physical-mesh-params-rollout\">&quot;Custom Physical Mesh Params&quot; rollout</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E1C7DBBE-957C-4F7D-B96C-F0DE69344827-low.bmp\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;&lt;MassFX_RBody&gt;.GetRBMeshCustomNode &lt;integer&gt;meshIndex\n\
</pre></div><p>Returns the Custom Node of the indexed Rigid Body mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.SetRBMeshCustomNode &lt;integer&gt;meshIndex &lt;node&gt;CustomNode\n\
</pre></div><p>Sets the Custom Node of the indexed Rigid Body mesh to the node value passed as the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.ExtractCustomMesh()\n\
</pre></div><p>Extracts the Custom Mesh.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;MassFX_RBody&gt;.RBMeshCustomNodeUpdateFromSource  &lt;integer&gt;meshIndex\n\
</pre></div><p>Updates the indexed shape from the source object.</p>\n\
<p>Equivalent to pressing the &quot;Update From Source Object&quot; button in the modifier&#39;s UI.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"forces-rollout\"></a><h2 id=\"forces-rollout\">&quot;Forces&quot; rollout</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.EnableGravity     BooleanClass    default: true   --  boolean; None\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Use Gravity&quot;</strong> option.</p>\n\
<p>If set to true and if the global Gravity switch in the MassFX World panel is enabled, the Dynamic Rigid Body will be affected by Gravity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.forcesList : node array\n\
</pre></div><p>Gets/sets the array of Force SpaceWarp objects associated with the MassFX Rigid Body simulation.</p>\n\
<p>Array operations like <span class=\'code\'>append()</span> and <span class=\'code\'>deleteItem()</span> are supported.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"advanced-rollout\"></a><h2 id=\"advanced-rollout\">&quot;Advanced&quot; rollout</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.EnableAdvancedSettings     Integer    default: 1   --  integer\n\
</pre></div><div class=\'section\'><a id=\"simulation-group-of-controls\"></a><h3 id=\"simulation-group-of-controls\">&quot;Simulation&quot; group of controls</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.SolverIter     BooleanClass    default: false   --  boolean; None\n\
</pre></div><p>Gets/sets the state of the &quot;Override Solver Iterations&quot; checkbox.</p>\n\
<p>When set to False (default), the global Iterations count will be used.</p>\n\
<p>When set to True, the MassFX Rigid Body modifier will use the custom number of iterations specified by the <span class=\'code\'>.SolverIterValue</span> property (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.SolverIterValue     Integer    default: 4   --  integer; None\n\
</pre></div><p>Gets/sets the &quot;Override Solver Iterations&quot; value that is used when the MassFX Rigid Body Modifier&#39;s <span class=\'code\'>.SolverIter</span> property (see above) is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.EnableBackfaceCollision : boolean\n\
</pre></div><p>Gets/sets whether to use Backface Collision or not.</p>\n\
<p>Default is false.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"contact-shell-group-of-controls\"></a><h3 id=\"contact-shell-group-of-controls\">&quot;Contact Shell&quot; group of controls</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"initial-motion-group-of-controls\"></a><h3 id=\"initial-motion-group-of-controls\">&quot;Initial Motion&quot; group of controls</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.InitialMotionStyle     Integer    default: 1   --  integer\n\
</pre></div><p>Gets/sets the state of the Initial Motion Style radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Absolute</p>\n\
<p>1 - Relative</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.InitialVelocityX     Float    default: 1.0   --  float; None\n\
&lt;MassFX_RBody&gt;.InitialVelocityY     Float    default: 0.0   --  float; None\n\
&lt;MassFX_RBody&gt;.InitialVelocityZ     Float    default: 0.0   --  float; None\n\
</pre></div><p>Gets/sets the Initial Velocity X, Y, and Z values of the Rigid Body. These define the direction of the initial velocity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.velocitySpeed     Float    default: 0.0   --  float; None\n\
</pre></div><p>Gets/sets the Initial Velocity&#39;s Speed value of the Rigid Body. This defines the magnitude of the Initial Velocity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.InitialSpinX     Float    default: 0.0   --  float; None\n\
&lt;MassFX_RBody&gt;.InitialSpinY     Float    default: 1.0   --  float; None\n\
&lt;MassFX_RBody&gt;.InitialSpinZ     Float    default: 0.0   --  float; None\n\
</pre></div><p>Gets/sets the Initial Spin X, Y, and Z values of the Rigid Body. These define the axis of the initial spin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.spinSpeed     Float    default: 0.0   --  float; None\n\
</pre></div><p>Gets/sets the Initial Spin&#39;s Speed value of the Rigid Body.</p>\n\
<div class=\'section\'><a id=\"center-of-mass-group-of-controls\"></a><h3 id=\"center-of-mass-group-of-controls\">&quot;Center Of Mass&quot; group of controls</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.MassCenterMode : integer\n\
</pre></div><p>Gets/sets the state of the Center Of Mass radio buttons.</p>\n\
<p>Valid values are:</p>\n\
<p>0 - <strong>Calculate from Meshes</strong></p>\n\
<p>1 - <strong>Use Pivot</strong></p>\n\
<p>2 - <strong>Local Offset</strong></p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.MassCenterX     Float    default: 0.0   --  float; None\n\
&lt;MassFX_RBody&gt;.MassCenterY     Float    default: 0.0   --  float; None\n\
&lt;MassFX_RBody&gt;.MassCenterZ     Float    default: 0.0   --  float; None\n\
</pre></div><p>Gets/sets the X, Y, and Z coordinates of the Rigid Body&#39;s Center Of Mass in object space.</p>\n\
<p>See the method <span class=\'code\'>.CalculateMassCenter()</span> below for setting these values automatically based on the Rigid Body&#39;s meshes.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point3&gt;&lt;MassFX_RBody&gt;.CalculateMassCenter()\n\
</pre></div><p>Calculates the Center Of Mass and sets the properties <strong><span class=\'code\'>.MassCenterX</span> , <span class=\'code\'>.MassCenterY</span> , and <span class=\'code\'>.MassCenterZ</span></strong> . Returns the result as a Point3 value.</p>\n\
<div class=\'section\'><a id=\"damping-group-of-controls\"></a><h3 id=\"damping-group-of-controls\">&quot;Damping&quot; group of controls</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.LinearDamping     Float    default: 0.0   --  float; None\n\
</pre></div><p>Gets/sets the Linear Damping value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.AngularDamping     Float    default: 2.86479   --  float; None\n\
</pre></div><p>Gets/sets the Angular Damping value.</p>\n\
<div class=\'section\'><a id=\"properties-unexposed-to-the-ui\"></a><h2 id=\"properties-unexposed-to-the-ui\">Properties Unexposed To The UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;MassFX_RBody&gt;.bakeOnSimulate     BooleanClass    default: false   --  boolean\n\
&lt;MassFX_RBody&gt;.extraShapes     UndefinedClass    default: undefined   --  string; None; \n\
&lt;MassFX_RBody&gt;.manualSetup     BooleanClass    default: false   --  boolean; None\n\
&lt;MassFX_RBody&gt;.materialId     Integer    default: 0   --  integer; None\n\
&lt;MassFX_RBody&gt;.meshCustomMesh     UndefinedClass    default: undefined   --  node; None; \n\
&lt;MassFX_RBody&gt;.SkinWidth     BooleanClass    default: false   --  boolean; None\n\
&lt;MassFX_RBody&gt;.SkinWidthValue     Float    default: 1.0   --  float; None\n\
&lt;MassFX_RBody&gt;.volume     Float    default: 0.0   --  float; None\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";