var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Chamfer : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Chamfer : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"chamfer-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Chamfer - superclass: modifier; super-superclass:MAXWrapper - 20:0 - classID: #(858559760, 951800972)\n\
</pre></div><p>The Chamfer Modifier allows procedural chamfer operations on polygon meshes, including an option for Quad Chamfer. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p>In addition to this procedural modifier implementation, the new Quad Chamfer option is also available as a mode of the existing Chamfer operation in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#edge-chamfer-extrude-values\' title=\'\'>Editable_Poly</a> base object - see the properties <span class=\'code\'>.edgeChamferType</span> , <span class=\'code\'>.edgeChamferTension</span> and <span class=\'code\'>.edgeChamferInvert</span> introduced in <strong>3ds Max 2015</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Chamfer... \n\
ChamferMod...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.chamfertype     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Operation&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Quad Chamfer</strong> (default)</p>\n\
<p>1 - <strong>Standard Chamfer</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.amount     worldUnits    default: 1.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the <strong>&quot;Amount&quot;</strong> value in world units.</p>\n\
<p>Default is 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.segments     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>Get/set the <strong>&quot;Segments&quot;</strong> value.</p>\n\
<p>Default is 1.</p>\n\
<p>The spinner range in the User Interface is from 1 to 99.</p>\n\
<p>Values higher than 99 can be set via MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.tension     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the <strong>&quot;Tension&quot;</strong> value.</p>\n\
<p>Possible values in the User Interface are between 0.0 and 1.0.</p>\n\
<p>Values outside of this valid range can be set via MAXScript, but can lead to unexpected results.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.openchamfer     BooleanClass    default: false   --  boolean; Open_Chamfer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Open Chamfer&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), new faces will be created from the selected chamfered edges.</p>\n\
<p>When set to True, the new faces or the original faces will be removed depending on the value of the .invert property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.invert     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Invert&quot;</strong> checkbox.</p>\n\
<p>Only used when <span class=\'code\'>.openchamfer</span> is set to True.</p>\n\
<p>When set to False (default), the new chamfer faces will be skipped to create opening in the mesh.</p>\n\
<p>When srt to True, the rest of the object will be skipped, creating only the new chamfer faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.limiteffect     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Limit Effect&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.quadintersectionmode     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Quad Intersection&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.selectionoption     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Selection&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>From Stack</strong> (default)</p>\n\
<p>1 - <strong>Selected Edges</strong></p>\n\
<p>2 - <strong>Selected Faces Edges</strong></p>\n\
<p>3 - <strong>Selected Faces Borders</strong></p>\n\
<p>4 - <strong>Edge Verts Selected</strong></p>\n\
<p>5 - <strong>All Edges</strong></p>\n\
<p>6 - <strong>Selected Vertices</strong></p>\n\
<p>7 - <strong>All Vertices</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.smoothingoption     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;From Smoothing&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong> (default)</p>\n\
<p>1 - <strong>Smoothed Edges</strong></p>\n\
<p>2 - <strong>Unsmoothed Edges</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.materialoption     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;From Material ID&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Off</strong> (default)</p>\n\
<p>1 - <strong>Different Materials</strong></p>\n\
<p>2 - <strong>Same Materials</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.useminangle     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Min. Angle&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the <span class=\'code\'>.minangle</span> value will be used to define the beginning of the Smoothing Angle range.</p>\n\
<p>When set to False, the min. angle will be assumed 0.0.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.minangle     Float    default: 5.0   --  float\n\
</pre></div><p>Get/set the <strong>&quot;Min. Angle&quot;</strong> value.</p>\n\
<p>Defines the beginning of the Smoothing Angle range.</p>\n\
<p>Used only when <span class=\'code\'>.useminangle</span> is set to True.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.usemaxangle     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Max. Angle&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the <span class=\'code\'>.maxangle</span> value will be used to define the end of the Smoothing angle range.</p>\n\
<p>When set to False, the max. angle will be assumed 180.0.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.maxangle     Float    default: 90.0   --  float\n\
</pre></div><p>Get/set the <strong>&quot;Max. Angle&quot;</strong> value.</p>\n\
<p>Defines the end of the Smoothing Angle range.</p>\n\
<p>Used only when <span class=\'code\'>.usemaxangle</span> is set to True.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.setmaterial     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Set Chamfer Material&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), the newly created chamfer polygons will inherit the Material IDs of the adjacent polygons.</p>\n\
<p>When set to True, the newly created chamfer polygons will be assigned the Material ID specified by the <span class=\'code\'>.materialid</span> property below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.materialid     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Material ID&quot;</strong> spinner.</p>\n\
<p>This value is used when the <span class=\'code\'>.setmaterial</span> property is set to True and defines the Material ID to assign to the newly created chamfer polygons.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.smooth     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Smooth&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the newly created chamfer polygons will be smoothed with the rest of the polygons according to the <span class=\'code\'>.smoothtype</span> and <span class=\'code\'>.smooththreshold</span> properties.</p>\n\
<p>When set to False , the newly created chamfer polygons will inherit the Smoothing Groups of their neighbor polygon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.smoothtype     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the smooth type radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Smooth Entire Object</strong> (default)</p>\n\
<p>1 - <strong>Smooth Chamfers Only</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.smoothtoadjacent     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Smooth to Adjacent&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.smooththreshold     Float    default: 30.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Threshold&quot;</strong> spinner.</p>\n\
<p>This value is used when the <span class=\'code\'>.smooth</span> property is set to True.</p>\n\
<p>When the angle between two polygons is below this value, the two polygons will receive the same smoothing group to produce a smooth edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.miteringType : Integer    default: 1  -- integer\n\
</pre></div><p>The mitering type for corners, where:</p>\n\
<ul>\n\
<li>0 = Quad</li>\n\
<li>1 = Uniform</li>\n\
<li>4 = Tri</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.amountType : Integer  default: 0 -- integer\n\
</pre></div><p>The Amount Type under <strong>Chamfer Options</strong> in the Chamfer Modifier UI, where:</p>\n\
<ul>\n\
<li>0 = Fixed</li>\n\
<li>1 = By Crease Weight</li>\n\
<li>2 = Legacy</li>\n\
<li>3 = By Weight</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.minAmount : worldUnits default: 0.0\n\
&lt;Chamfer&gt;.maxAmount : worldUnits    default: 1.0\n\
</pre></div><p>The minimum and maximum chamfer amount values, when the <span class=\'code\'>amountType</span> is By Crease Weight.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.addinset : boolean    default: false\n\
</pre></div><p>Indicates whether to add an inset to the chamfer. This corresponds to the <strong>Inset</strong> checkbox in the Chamfer Modifier UI.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.insetamount : float default: 0.5\n\
</pre></div><p>The inset amount to apply, when <span class=\'code\'>addinset</span> is true.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.insetsegments : integer default: 0\n\
</pre></div><p>The number of segments to apply to the inset, when <span class=\'code\'>addinset</span> is true.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.insetoffset : float   default: 0.0\n\
</pre></div><p>The amount of offset to apply to the inset, when <span class=\'code\'>addinset</span> is true.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.forcePositiveOffset : boolean default: false\n\
</pre></div><p>For internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.miterEndBias (EndBias) : float    default: 0.5\n\
</pre></div><p>The end bias amount to apply when the corner options are Default or Uniform.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.useConstantOffset : boolean   default: false\n\
</pre></div><p>For internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.depth : float default: 0.5\n\
</pre></div><p>Gets or sets the depth value when Amount Type is Fixed or By Crease Weight.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.presetOptionsComboBox : integer\n\
</pre></div><p>For internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.biasEndPoints     BooleanClass    default: true   --  boolean\n\
</pre></div><p>For internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.depthType     Integer    default: 0   --  integer\n\
</pre></div><p>Gets or sets the Depth Type option, where:</p>\n\
<ul>\n\
<li>0 = Fixed</li>\n\
<li>1 = By Weight</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.insetType     Integer    default: 0   --  integer\n\
</pre></div><p>Gets or sets the Inset Type option, where:</p>\n\
<ul>\n\
<li>0 = Face Inset</li>\n\
<li>1 = Flow Loop</li>\n\
</ul>\n\
<p>Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.radiusBias     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets or sets the Radius Bias, in the range of 0.0 to 1.0.</p>\n\
<p>Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Chamfer&gt;.scale     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Gets or sets the Scale option, which has an effect when <span class=\'code\'>.amountType</span> = 3, &quot;By Weight&quot;.</p>\n\
<p>Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><strong>Interfaces</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Interface: ChamferModifier\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetVersion &lt;enum&gt;version\n\
       version enums: {#Ver2015|#Ver2016|#Ver2018|#Ver2020|#Ver2020_1}\n\
</pre></div><p>Sets the options available on the modifier to match those available in the specified version. When called, re-evaluates the chamfer modifier based on the capabilities of the specified version. This is to provide backward compatibility.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>b = box()  --create a default Box   c = chamfer() --create a Chamfer modifier   addModifier b c --add the Chamfer to the Box   c.amount = 5.0 --set the Amount to 5.0   c.segments = 5 --set the Segments to 5   c.tension = 0.5 --set the Tension to 0.5 to curve the new faces   c.openChamfer = true --remove the new faces   c.Invert = true --invert to remove the old faces instead   s = shell() --create a Shell modifier   s.outerAmount = 4.0 --set its Outer Amount (Thickness) to 4.0   addModifier b s --add the Shell modifier to the Box above the Chamfer modifier</span></p>\n\
<p><strong>RESULT:</strong></p>\n\
<div class=\'codeBlock\'><pre>![](../../../../../images/GUID-60F91FF0-2B35-4FA4-946E-F8B4FD8DBFB4-low.png)\n\
</pre></div></blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>b = box()  --create a default Box   c = chamfer() --create a Chamfer modifier   addModifier b c --add the Chamfer to the Box   c.amount = 2.0 --set the Amount to 2.0   c.segments = 2 --set the Segments to 2   c.tension = 0.0 --set the Tension to 0.0 to add new edges without changing the existing shape   t = turboSmooth() --create a TurboSmooth modifier   addModifier b t --add the TurboSmooth modifier to the Box   --Try turning off the Chamfer modifier to see the difference (second image)...</span></p>\n\
<p><strong>RESULTS:</strong></p>\n\
<div class=\'codeBlock\'><pre>![](../../../../../images/GUID-EE649D62-A589-482B-B36D-D7F8723E8C1B-low.png) ![](../../../../../images/GUID-3BAD7726-6C02-4B72-B6F4-8E6FEA3C55EE-low.png)\n\
</pre></div></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";