var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CreaseSet : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CreaseSet : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"creaseset-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>CreaseSet - superclass: modifier; super-superclass:MAXWrapper - 13:0 - classID: #(1874600602, -805078837)\n\
</pre></div><p>Exposes the CreaseSet modifier to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>CreaseSet ...\n\
CreaseSetMod ...\n\
\n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h3 id=\"properties\">Properties:</h3></div>\n\
<div class=\'section\'><a id=\"selection-rollout\"></a><h4 id=\"selection-rollout\">Selection Rollout</h4></div>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.ignoreBackfacing     BooleanClass    default: false   --  boolean; Ignore_Backfacing\n\
</pre></div><p>Gets/sets the state of the <strong>Ignore Backfacing</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.angleselecttype     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the selection of the <strong>Face Angle Selection Type</strong> drop-down list.</p>\n\
<p>This setting controls how the Face Angle range is specified in the UI and in MAXScript.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>+/-</strong> mode - the Face Angle range is specified using a base angle and a plus/minus tolerance value relative to it. For example, if the <span class=\'code\'>.anglea</span> is 90.0 and <span class=\'code\'>.angleb</span> is 5.0, Face Angles between 85.0 and 95.0 degrees will be used to select edges.</p>\n\
<p>1 - <strong>A/B</strong> mode - the Face Angle range is specified using the minimum and maximum values of the range. In the above example, <span class=\'code\'>.anglea</span> will be 85.0 and <span class=\'code\'>.angleb</span> will be 95.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.anglea     Float    default: 90.0   --  float; SelectAngle\n\
</pre></div><p>Gets/sets the base angle value when <span class=\'code\'>.angleselecttype</span> is set to 0.</p>\n\
<p>Gets/sets the minimum angle value when <span class=\'code\'>.angleselecttype</span> is set to 1.</p>\n\
<p>Note that the value of this property will change depending on the <span class=\'code\'>.angleselecttype</span> property value. For example, if <span class=\'code\'>.angleselecttype</span> is set to 0 and <span class=\'code\'>.anglea</span> is 90.0, and <span class=\'code\'>.angleb</span> is changed from 5.0 to 10.0, switching <span class=\'code\'>.angleselecttype</span> to 1 will show <span class=\'code\'>.anglea</span> as 80.0 now and <span class=\'code\'>.angleb</span> as 100.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.angleb     Float    default: 5.0   --  float; PlusMinusAngle\n\
</pre></div><p>Gets/sets the angle +/- variation value when <span class=\'code\'>.angleselecttype</span> is set to 0.</p>\n\
<p>Gets/sets the maximum angle value when <span class=\'code\'>.angleselecttype</span> is set to 1.</p>\n\
<p>Note that the value of this property will change depending on the <span class=\'code\'>.angleselecttype</span> property value. For example, if <span class=\'code\'>.angleselecttype</span> is set to 0 and <span class=\'code\'>.anglea</span> is 90.0, and <span class=\'code\'>.angleb</span> is changed from 5.0 to 10.0, switching <span class=\'code\'>.angleselecttype</span> to 1 will show <span class=\'code\'>.anglea</span> as 80.0 now and <span class=\'code\'>.angleb</span> as 100.0.</p>\n\
<p>To actually perform the Select By Face Angle operation, you can use the <span class=\'code\'>&lt;CreaseSet&gt;.DoSelectByAngle()</span> method exposed by the <span class=\'code\'>CreaseSetMod</span> MixinInterface documented further on this page.</p>\n\
<div class=\'section\'><a id=\"crease-sets-rollout\"></a><h4 id=\"crease-sets-rollout\">Crease Sets Rollout</h4></div>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.creasesetcrease     ArrayParameter    default: #()   --  float array\n\
</pre></div><p>Gets/sets the array of Creases in the Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.creasesetname     ArrayParameter    default: #()   --  string array\n\
</pre></div><p>Gets/sets the array of Crease Names in the Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.creasesettype     ArrayParameter    default: #()   --  int array\n\
</pre></div><p>Gets/sets the array of Crease Types in the Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.creasesetselect     ArrayParameter    default: #()   --  int array\n\
</pre></div><p>Gets/sets the array of Crease selected states in the Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.creasesetcolor     ArrayParameter    default: #()   --  RGB color array\n\
</pre></div><p>Gets/sets the array of Crease Colors in the Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.displaySetColors     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the Display Crease Set Colors option.</p>\n\
<p>When set to True, the Crease Sets will use the defined colors.</p>\n\
<p>When set to False (default), no colors will be displayed.</p>\n\
<div class=\'section\'><a id=\"options-rollout\"></a><h4 id=\"options-rollout\">Options Rollout</h4></div>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.autoSelectNodes     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the Auto-Select Nodes option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.tolerance     Float    default: 0.01   --  float\n\
</pre></div><p>Gets/sets the value of the Tolerance option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CreaseSet&gt;.keepExistingSets     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Gets/sets the state of the Keep Existing Sets option.</p>\n\
<p>When set to True (default), adding new Crease Sets will preserve the existing Crease Sets.</p>\n\
<p>When set to False, adding new Crease Sets will replace the existing Crease Sets.</p>\n\
<div class=\'section\'><a id=\"creaseset-interfaces\"></a><h3 id=\"creaseset-interfaces\">CreaseSet interfaces:</h3></div>\n\
<div class=\'codeBlock\'><pre>Interface: CreaseSetMod\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.ShrinkSelection()\n\
</pre></div><p>Shrinks the selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Shrink&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.GrowSelection()\n\
</pre></div><p>Grows the selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Grow&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.RingSelection()\n\
</pre></div><p>Selects rings based on the current selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Ring&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.LoopSelection()\n\
</pre></div><p>Selects loops based on the current selection.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Loop&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.DoSelectByAngle()\n\
</pre></div><p>Performs the Select by Face Angle operation, selecting edges based on the <span class=\'code\'>.anglea</span> , <span class=\'code\'>.angleb</span> , and <span class=\'code\'>.angleselecttype</span> properties documented earlier on this page.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Select&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.SelectSetsAll()\n\
</pre></div><p>Equivalent to pressing the <strong>&quot;All&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.SelectSetsNone()\n\
</pre></div><p>Equivalent to pressing the <strong>&quot;None&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.SelectSetsInvert()\n\
</pre></div><p>Equivalent to pressing the <strong>&quot;Invert&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.CreateSet &lt;string&gt;name\n\
</pre></div><p>Equivalent to pressing the <strong>&quot;Create Set&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;CreaseSet&gt;.SelectAllNodes()\n\
</pre></div><p>Equivalent to pressing the <strong>&quot;Select All Nodes&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.AutoGenerateSets()\n\
</pre></div><p>Generates Crease Sets automatically based on the <span class=\'code\'>tolerance</span> property.</p>\n\
<p>Equivalent to pressing the <strong>&quot;Auto-Generate&quot;</strong> button in the modifier&#39;s User Interface.</p>\n\
<div class=\'section\'><a id=\"maxscript-methods-not-exposed-in-the-modifiers-user-interface\"></a><h3 id=\"maxscript-methods-not-exposed-in-the-modifiers-user-interface\">MAXScript Methods Not Exposed In The Modifier&#39;s User Interface:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.MakeUniqueSetName &lt;string&gt;namein &lt;integer&gt;type &lt;&amp;string&gt;nameout\n\
nameout is Out parameter\n\
\n\
</pre></div><p>Creates a Crease Set with a unique name using the base name specified by the first parameter and the type specified by the second parameter. The resulting unique name will be written out in the by-reference third parameter.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;&lt;CreaseSet&gt;.GetSetIndex &lt;string&gt;name\n\
</pre></div><p>Returns the index of the named Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.SelectSet &lt;string&gt;name\n\
</pre></div><p>Selects the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;CreaseSet&gt;.GetNumSelectedSets()\n\
</pre></div><p>Returns the number of selected Crease Sets as an integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;CreaseSet&gt;.GetNumEmptySets()\n\
</pre></div><p>Returns the number of empty Crease Sets as an integer.</p>\n\
<div class=\'codeBlock\'><pre>integer&gt;&lt;CreaseSet&gt;.GetNumSets()\n\
</pre></div><p>Returns the number of all Crease Sets as an integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.GetSetNameByIndex &lt;index&gt;index &lt;&amp;string&gt;nameout\n\
nameout is Out parameter\n\
\n\
</pre></div><p>Writes the name of the indexed Crease Set into the by-reference Out second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.SelectSetElements &lt;string&gt;name\n\
</pre></div><p>Selects the name Crease Set&#39;s elements.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.AddSelectionToSet &lt;string&gt;name\n\
</pre></div><p>Adds the current selection to the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.SubtractSelectionFromSet &lt;string&gt;name\n\
</pre></div><p>Subtracts the current selection from the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.UpdateSetFromSelection &lt;string&gt;name\n\
</pre></div><p>Updates the named Crease Set to the current selection, overwriting the existing definition.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.RenameSet &lt;string&gt;oldName &lt;string&gt;newName\n\
</pre></div><p>Renames the Crease Set with the name specified by the first argument to the name specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.DeleteCreaseSet &lt;string&gt;name\n\
</pre></div><p>Deletes the named Crease Set.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.DeleteSelectedSets()\n\
</pre></div><p>Deletes the selected Crease Sets.</p>\n\
<p>Returns True if selected Sets were deleted, False if no Sets were deleted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.DeleteEmptySets()\n\
</pre></div><p>Deletes the Empty Crease Sets.</p>\n\
<p>Returns True if empty Sets were deleted, False if no Sets were deleted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;CreaseSet&gt;.CountSetElements &lt;string&gt;name\n\
</pre></div><p>Returns the number of elements in the named Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;CreaseSet&gt;.GetSetType &lt;string&gt;name\n\
</pre></div><p>Returns the type of the named Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;CreaseSet&gt;.CountAutoCreaseSets()\n\
</pre></div><p>Returns the number of Auto-Crease Set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.SetVertSelection &lt;bitArray&gt;selection &lt;node&gt;node\n\
</pre></div><p>Sets the CreaseSet modifier&#39;s Vertex Selection to the bitArray provided by the first argument, on the base node specified by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.GetVertSelection &lt;node&gt;node &lt;&amp;bitArray&gt;selout\n\
selout is Out parameter\n\
\n\
</pre></div><p>Writes the CreaseSet modifier&#39;s Vertex Selection to the bitArray provided by the second by-reference Out parameters, using the base node specified by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.SetEdgeSelection &lt;bitArray&gt;selection &lt;node&gt;node\n\
</pre></div><p>Sets the CreaseSet modifier&#39;s Edge Selection to the bitArray provided by the first argument, on the base node specified by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;CreaseSet&gt;.GetEdgeSelection &lt;node&gt;node &lt;&amp;bitArray&gt;selout\n\
selout is Out parameter\n\
\n\
</pre></div><p>Writes the CreaseSet modifier&#39;s Edge Selection to the bitArray provided by the second by-reference Out parameters, using the base node specified by the first argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;CreaseSet&gt;.GetNumVertSets()\n\
</pre></div><p>Returns the number of vertex sets.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;CreaseSet&gt;.GetNumEdgeSets()\n\
</pre></div><p>Returns the number of edge sets.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";