var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Edit_Normals : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Edit_Normals : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"edit_normals-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Edit_Normals - superclass: modifier; super-superclass:MAXWrapper - classID: #(1252338403, 902438110) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Description and Notes:</strong></p>\n\
<p>The <strong>Edit_Normals</strong> modifier lets the user edit the normal vectors used for realtime rendering of Editable Poly objects.</p>\n\
<p>In <strong>3ds Max 5</strong>, only PolyObjects supported edited normals. If you did anything that converted the Edit_Normals result into a non-PolyObject (such as a &quot;Convert to Patch&quot; or a &quot;Mesh Select&quot;), you would lose the normals.</p>\n\
<p>This has been changed in <strong>3ds Max 6 and higher</strong> where edited normals are supported by TriMeshes.</p>\n\
<p>Any modifiers that change topology will remove the normals. This includes MeshSmooth, Tessellate, Slice, Mirror, Symmetry, Face Extrude, and Vertex Weld. Note that this also means that the Normal modifier (used to flip face orientations) will not support the edited normals. Since Turn to Poly can be used to modify face topology, it also strips off the edited normals.</p>\n\
<p>All compound objects strip off the edited normals from their operands.</p>\n\
<p>Because of its many topological operations, Editable Poly does not support the edited normals. If you collapse the stack, you&#39;ll lose the normals. If you want to collapse to EPoly but keep the normals, consider using &quot;Collapse To&quot; the modifier below Edit Normals.</p>\n\
<p>All deformation and map modifiers will preserve the normals. For instance if you apply a Bend, the normals should be bent along with the geometry. Map modifiers (like UVW Unwrap) will not affect the normals at all.</p>\n\
<p>A few geometric modifiers will not fully support the edited normals. They will not strip them away, but neither will they correctly deform any explicit normals. Modifiers in this category include Push and Relax.</p>\n\
<p>The Smooth modifier should correctly modify any non-specified normals, while not changing the specified and explicit normals.</p>\n\
<p>Edit_Normals is like Mesh Select or Poly Select in the following way: If you create a box, apply an Edit_Normals, change some normals, and then apply a second Edit_Normals modifier, the top Edit_Normals will &quot;inherit&quot; the user-specified normals from the pipeline. But after that, the top Edit_Normals will ignore any changes to the original Edit_Normals modifier just like Mesh Select will ignore any changes to the selection coming up the pipe.</p>\n\
<p>There are three categories of normals in the Edit_Normals modifier.</p>\n\
<p><strong>Unspecified</strong> - these are the usual normals that are computed from smoothing groups. All normals are unspecified by default.</p>\n\
<p><strong>Specified</strong> - these are normals that are intended for use by particular corners of particular faces, without regard to smoothing groups. Specified normals are not set to explicit values - they ignore smoothing groups, but they&#39;re still based on the face normals of the faces that use them.</p>\n\
<p><strong>Explicit</strong> - these are normals that are set to particular values. All explicit normals are also considered to be specified.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Edit_Normals ... editNormals ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Normals&gt;.displayLength Float default: 10.0 -- world units; Display_Length \n\
</pre></div><p>Get/set the length of the normals displayed in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Normals&gt;.ignoreBackfacing Boolean default: false -- boolean; Ignore_Backfacing \n\
</pre></div><p>Get/set the Ignore Backfacing option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Normals&gt;.selectBy Integer default: 0 -- integer; Select_By \n\
</pre></div><p>Set the selection options.</p>\n\
<p>0 - Select By Normal</p>\n\
<p>1 - Select By Vertex</p>\n\
<p>2 - Select By Edge</p>\n\
<p>3 - Select By Face</p>\n\
<div class=\'codeBlock\'><pre>&lt;Edit_Normals&gt;.showHandles Boolean default: false -- boolean; Show_Handles \n\
</pre></div><p>When set to true, the modifier displays handles at the ends of the normals.</p>\n\
<div class=\'section\'><a id=\"edit_normals-interfaces\"></a><h2 id=\"edit_normals-interfaces\">Edit_Normals interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:EditNormalsMod \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.SelLevel: enum : Read|Write \n\
\n\
SelLevel enums: {#Object|#Normal|#Vertex|#Edge|#Face} \n\
</pre></div><p>Gets/Sets the selection level.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Move &lt;&amp;point3&gt;offset \n\
\n\
offset is In and Out parameter \n\
</pre></div><p>Moves the selected normals by the specified offset. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Rotate &lt;&amp;quat&gt;rotation \n\
\n\
rotation is In and Out parameter \n\
</pre></div><p>Rotates the selected normals by the specified quaternion value. Returns <span class=\'code\'>true</span> on success.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Break [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] [toAverage:&lt;boolean&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
toAverage default value: false \n\
</pre></div><p>Breaks the current selection. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>When the same modifier is applied to multiple nodes, specifying the optional <span class=\'code\'>node:</span> parameter will limit the method to this single node only.</p>\n\
<p><span class=\'code\'>node</span> : <node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Unify [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] [toAverage:&lt;boolean&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
toAverage default value: false \n\
</pre></div><p>Unifies the current selection. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p><span class=\'code\'>node</span> : <node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Average [useThresh:&lt;boolean&gt;] [threshold:&lt;float&gt;] [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
useThresh default value: false \n\
threshold default value: 0.0 \n\
selection default value: undefined \n\
node default value: undefined \n\
&lt;boolean&gt;AverageGlobal [useThresh:&lt;boolean&gt;] [threshold:&lt;float&gt;] \n\
\n\
useThresh default value: false \n\
threshold default value: 0.0 \n\
</pre></div><p>Average normals with optional threshold.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AverageTwo &lt;node&gt;node1 &lt;index&gt;normalID1 &lt;node&gt;node2 &lt;index&gt;normalID2 \n\
</pre></div><p>Average two normals from two different nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Reset [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
</pre></div><p>Resets the current selection. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Specify [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
</pre></div><p>Makes the normals of the current selection Specified. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MakeExplicit [selection:&lt;bitArray&gt;] [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
</pre></div><p>Makes the normals of the current selection Explicit. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p>When the same modifier is applied to multiple nodes, specifying the optional <span class=\'code\'>node:</span> parameter will limit the method to this single node only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Copy &lt;index&gt;normalID [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Copies the indexed normal to clipboard. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Pasteselection:&lt;bitArray&gt; [node:&lt;node&gt;] \n\
\n\
selection default value: undefined \n\
node default value: undefined \n\
</pre></div><p>Pastes the copied normal to the current selection. Returns <span class=\'code\'>true</span> on success.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<p>Note: While <span class=\'code\'>Copy</span> can accept just one normal, <span class=\'code\'>Paste</span> can apply the single copied value to any number of selected normals.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;GetSelection [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the currently selected normals as bitArray.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetSelection &lt;&amp;bitArray&gt;newSelection node:&lt;node&gt; \n\
\n\
newSelection is In and Out parameter \n\
node default value: undefined \n\
</pre></div><p>Sets the currently selected normals using the supplied bitArray.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Select &lt;&amp;bitArray&gt;newSelection [invert:&lt;boolean&gt;] [select:&lt;boolean&gt;] [node:&lt;node&gt;] \n\
\n\
newSelection is In and Out parameter \n\
invert default value: false \n\
select default value: true \n\
node default value: undefined \n\
</pre></div><p>Selects the normals specified by the bitArray. This method does not clear any existing selections.</p>\n\
<p>When the optional <span class=\'code\'>invert:</span> parameter is set to <span class=\'code\'>true</span> , the specified normals’ selection state will be inverted.</p>\n\
<p>When the optional <span class=\'code\'>select</span> : parameter is set to <span class=\'code\'>false</span> , the specified normals will be deselected. When set to <span class=\'code\'>true</span> or not supplied, the normals will be selected.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ConvertVertexSelection &lt;&amp;bitArray&gt;vertexSelection &lt;&amp;bitArray&gt;normalSelection [node:&lt;node&gt;] \n\
\n\
vertexSelection is In and Out parameter \n\
normalSelection is In and Out parameter \n\
node default value: undefined \n\
</pre></div><p>Two bitArrays are passed by reference as In and Out parameters. The first bitArray defines the vertices to convert from. After calling the method the second bitArray will contain the normals shared by the specified vertices.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --create a Box, convert to EPoly, add Edit_Normals modifier b=box() convertToMesh b addModifier b (Edit_Normals())</p>\n\
<p>my_verts = #{1} --define a bitArray specifying vertex 1 my_normals = #{} --define an empty bitArray to store the result --call the method with the two bitArrays passed by-reference: b.Edit_Normals.ConvertVertexSelection &amp;my_verts &amp;my_normals my_normals--now take a look at the bitArray #{1, 9, 22}--it will contain the normal indices used by vertex 1</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ConvertEdgeSelection &lt;&amp;bitArray&gt;edgeSelection &lt;&amp;bitArray&gt;normalSelection [node:&lt;node&gt;] \n\
\n\
edgeSelection is In and Out parameter \n\
normalSelection is In and Out parameter \n\
node default value: undefined \n\
</pre></div><p>Two bitArrays are passed by reference as In and Out parameters. The first bitArray defines the edges to convert from. After calling the method, the second bitArray will contain the normals shared by the specified edges.</p>\n\
<p>When the same modifier is applied to multiple nodes, specifying the optional <span class=\'code\'>node:</span> parameter will limit the method to this single node only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ConvertFaceSelection &lt;&amp;bitArray&gt;faceSelection &lt;&amp;bitArray&gt;normalSelection [node:&lt;node&gt;] \n\
\n\
faceSelection is In and Out parameter \n\
normalSelection is In and Out parameter \n\
node default value: undefined \n\
</pre></div><p>Two bitArrays are passed by reference as In and Out parameters. The first bitArray defines the faces to convert from. After calling the method, the second bitArray will contain the normals shared by the specified faces.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumNormals [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the number of normals.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;GetNormal &lt;index&gt;normalIndex [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the specified indexed normal.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetNormal &lt;index&gt;normalIndex &lt;&amp;point3&gt;normalValue [node:&lt;node&gt;] \n\
\n\
normalValue is In and Out parameter \n\
node default value: undefined \n\
</pre></div><p>Sets the value of the specified indexed normal.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetNormalExplicit &lt;index&gt;normalIndex [node:&lt;node&gt;] \n\
\n\
node default value: undefined\n\
</pre></div><p>Returns true if the specified indexed normal is Explicit, false otherwise.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetNormalExplicit &lt;index&gt;normalIndex [explicit:&lt;boolean&gt;] [node:&lt;node&gt;] \n\
\n\
explicit default value: true \n\
node default value: undefined \n\
</pre></div><p>Sets the Explicit state of specified indexed normal. When the optional parameter <span class=\'code\'>explicit:</span> is set to <span class=\'code\'>false</span> , removes the explicit state and makes the normal Specified. When set to <span class=\'code\'>true</span> or not supplied, makes the normal explicit.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumFaces [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the number of faces.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetFaceDegree &lt;index&gt;face [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the number of corners of the specified indexed face.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetNormalID &lt;index&gt;face &lt;index&gt;corner [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the normal ID of the specified corner of the specified indexed face.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetNormalID &lt;index&gt;face &lt;index&gt;corner &lt;index&gt;normalID [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Sets the normal ID of the specified corner of the specified indexed face.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetFaceNormalSpecified &lt;index&gt;face &lt;index&gt;corner [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the normal of the indexed corner of the specified indexed face is Specified, <span class=\'code\'>false</span> otherwise.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetFaceNormalSpecified &lt;index&gt;face &lt;index&gt;corner [specified:&lt;boolean&gt;] [node:&lt;node&gt;] \n\
\n\
specified default value: true \n\
node default value: undefined \n\
</pre></div><p>Sets the normal of the specified corner of the indexed face to Specified. If the optional <span class=\'code\'>specified:</span> parameter is <span class=\'code\'>true</span> or nor supplied, sets the Specified state of the normal. If the optional <span class=\'code\'>specified:</span> parameter is set to false, resets the Specified state.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumVertices [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the number of vertices.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetVertexID &lt;index&gt;face &lt;index&gt;corner [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the vertex index of the specified corner of the indexed face.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;GetVertex &lt;index&gt;vertexID [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the position of the specified vertex.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumEdges [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the number of edges.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetEdgeID &lt;index&gt;face &lt;index&gt;side [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the index of the edge at the specified side of the indexed face.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetFaceEdgeSide &lt;index&gt;face &lt;index&gt;edge [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the side index of the specified edge and face. Obviously, the edge must be used by the face to get a side index.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetEdgeVertex &lt;index&gt;edge &lt;index&gt;end [:&lt;node&gt;]node \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the index of the vertex at the specified end of the specified indexed edge.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetEdgeFace &lt;index&gt;edge &lt;index&gt;side [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the index of the face using the specified edge and the specified side.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetEdgeNormal &lt;index&gt;edge &lt;index&gt;end &lt;index&gt;side [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Returns the normal at the specified end of the indexed edge.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RebuildNormals [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Rebuilds the normals.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RecomputeNormals [node:&lt;node&gt;] \n\
\n\
node default value: undefined \n\
</pre></div><p>Recomputes the normals.</p>\n\
<p><span class=\'code\'>node</span> :<node> is used when the Edit Normal modifier is applied to more than one node. For methods where this is a keyword argument, the operation is applied to the single node. Which node the operation applied to depends on the order in which the nodes were selected. As such, results can be unpredictable unless the node is specified.<p>\n\
</node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node></node>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";