var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Optimize : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Optimize : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"optimize-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>optimize - superclass: modifier; super-superclass:MAXWrapper - classID: #(806193, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>optimize ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.renderLOD Integer default: 0 \n\
</pre></div><p>You can store two different optimization settings for the renderer, in two separate levels; L1 &amp; L2. Set the level of display for the default scanline renderer:</p>\n\
<p>0- L1</p>\n\
<p>1- L2</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.viewLOD Integer default: 0 \n\
</pre></div><p>You can store two different optimization settings for the viewport, in two separate levels; L1 &amp; L2. Set the level of display for the viewport:</p>\n\
<p>0- L1</p>\n\
<p>1- L2</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.facethreshold1 Float default: 4.0 -- animatable, angle, alias: Face_Threshold_L1 \n\
</pre></div><p>The threshold angle used to determine which faces are collapsed. Low values produce less optimization but better approximations of the original shape. Higher values improve optimization, but are more likely to result in faces that render poorly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.edgethreshold1 Float default: 1.0 -- animatable, angle, alias: Edge_Threshold_L1 \n\
</pre></div><p>Sets a different threshold angle for open edges (those that bound only one face). A low value preserves open edges. At the same time you can apply a high face threshold to get good optimization.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.bias1 Float default: 0.1 -- animatable, alias: Bias_L1 \n\
</pre></div><p>Helps eliminate the skinny or degenerate triangles that occur during optimization, which can cause rendering artifacts. Higher values keeps triangles from becoming degenerate. The default of 0.1 is enough to eliminate the skinniest triangles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.MaxEdgeLength1 Float default: 0.0 -- animatable, alias: Max_Edge_Length_1 \n\
</pre></div><p>The maximum length, beyond which an edge cannot be stretched when optimized. When <span class=\'code\'>MaxEdgeLength1</span> is 0, it has no effect. Any value greater than 0 specifies the maximum length of the edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.preservemat1 Boolean default: false \n\
</pre></div><p>When on, prevents face collapse across material boundaries.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.preservesmooth1 Boolean default: false \n\
</pre></div><p>When turned on, allows only faces that share at least one smoothing group to collapse.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.facethreshold2 Float default: 4.0 -- animatable, angle, alias: Face_Threshold_L2 \n\
</pre></div><p>The threshold angle used to determine which faces are collapsed. Low values produce less optimization but better approximations of the original shape. Higher values improve optimization, but are more likely to result in faces that render poorly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.edgethreshold2 Float default: 1.0 -- animatable, angle, alias: Edge_Threshold_L2 \n\
</pre></div><p>Sets a different threshold angle for open edges (those that bound only one face). A low value preserves open edges. At the same time you can apply a high face threshold to get good optimization.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.bias2 Float default: 0.1 -- animatable, alias: Bias_L2 \n\
</pre></div><p>Helps eliminate the skinny or degenerate triangles that occur during optimization, which can cause rendering artifacts. Higher values keeps triangles from becoming degenerate. The default of 0.1 is enough to eliminate the skinniest triangles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.MaxEdgeLength2 Float default: 0.0 -- animatable, alias: Max_Edge_Length_2 \n\
</pre></div><p>The maximum length, beyond which an edge cannot be stretched when optimized. When <span class=\'code\'>MaxEdgeLength2</span> is 0, it has no effect. Any value greater than 0 specifies the maximum length of the edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.preservemat2 Boolean default: false \n\
</pre></div><p>When on, prevents face collapse across material boundaries.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.preservesmooth2 Boolean default: false \n\
</pre></div><p>When turned on, allows only faces that share at least one smoothing group to collapse.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.manualUpdate Boolean default: false \n\
</pre></div><p>When on, enables the Update button. When turned off, Optimize works as it does by default, updating the viewport display dynamically.</p>\n\
<div class=\'codeBlock\'><pre>&lt;optimize&gt;.autoedge Boolean default: false \n\
</pre></div><p>When on, turns edges on and off following optimization. Turns on any open edges.</p>\n\
<p>Turns off any edges between faces whose normals are within the face threshold; such edges beyond the threshold are not turned on.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";