var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ProOptimizer : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ProOptimizer : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"prooptimizer-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>ProOptimizer - superclass: modifier; super-superclass:MAXWrapper - classID:#(1056067556, 1496462090) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p>The <strong>ProOptimizer Modifier</strong> is an advanced geometry optimization modifier similar to the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Optimize-Modifier.html\' title=\'\'>Optimize</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/MultiRes-Modifier.html\' title=\'\'>MultiRes</a> modifiers but providing additional features like symmetry support and normals preservation.</p>\n\
<p>In addition, the ProOptimizer system provides <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BatchProOptimizer.html\' title=\'\'>means for batch-optimizing</a> multiple files and objects.</p>\n\
<p>It is available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>ProOptimizer ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"optimization-level\"></a><h3 id=\"optimization-level\">Optimization Level</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.VertexPercent (Vertex) : float   \n\
</pre></div><p>Get/set the vertex percent value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.VertexCount (Vertex_Count) : integer \n\
</pre></div><p>Get/set the vertex count value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.Calculate: boolean \n\
</pre></div><p>Get/set the calculation value.</p>\n\
<p>When set to true, the modifier will calculate the optimization data if the current value is false, or recalculate the data if the current value is true.</p>\n\
<p>When set to false, the optimization data will be released.</p>\n\
<p>The value can be queried to determine whether the optimization data has been calculated (true) or not (false).</p>\n\
<div class=\'section\'><a id=\"optimization-options\"></a><h3 id=\"optimization-options\">Optimization Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.OptimizationMode (Optimization_Mode) : integer \n\
</pre></div><p>Get/set the optimization mode. The value corresponds to the radio buttons selection in the User Interface. Possible values are:</p>\n\
<p>0 - <strong>Crunch Borders</strong></p>\n\
<p>1 - <strong>Protect Borders</strong></p>\n\
<p>2 - <strong>Exclude Borders</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.LockMat (Keep_Material_Boundaries) : boolean \n\
</pre></div><p>Get/set the state of the Keep Material Boundaries option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.KeepUV (Keep_Textures) : boolean \n\
</pre></div><p>Get/set the state of the Keep Textures option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.LockUV (Keep_UV_boundaries) : boolean \n\
</pre></div><p>Get/set the state of the Keep UV Boundaries option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.ToleranceUV (Tolerance_UV) : float \n\
</pre></div><p>Get/set the Keep UV Boundaries Tolerance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.KeepVC (Keep_Vertex_Colors) : boolean \n\
</pre></div><p>Get/set the state of the Keep Vertex Colors option. When set to true, the Vertex Color channel will be preserved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.LockVC (Keep_VC_boundaries) : boolean \n\
</pre></div><p>Get/set the state of the Keep Vertex Colors Boundaries option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.ToleranceVC (Tolerance_VC) : integer \n\
</pre></div><p>Get/set the Vertex Colors Tolerance value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.KeepNormals BooleanClass default: false -- boolean; Keep_Normals \n\
</pre></div><p>Get/set the state of the Keep Normals option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.NormalMode Integer default: 1 --integer; Normal_Mode \n\
</pre></div><p>Get/set the Normal Mode radio button selection value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crunch Normals</strong></p>\n\
<p>1 - <strong>Protect Normals</strong></p>\n\
<p>2 - <strong>Exclude Normals</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.NormalThreshold Float default: 10.0 -- float; Normal_Threshold \n\
</pre></div><p>Get/set the Normal Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.MergePoints (Merge_Vertices) : boolean \n\
</pre></div><p>Get/set the state of the Merge Vertices option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.MergePointsThreshold (Merge_Vertices_Threshold) : float \n\
</pre></div><p>Get/set the Merge Vertices Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.MergeFaces (Merge_Faces) : boolean \n\
</pre></div><p>Get/set the state of the Merge Faces option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.MergeFacesAngle (Merges_Faces_Threshold) : float \n\
</pre></div><p>Get/set the Merge Vertices Threshold Angle value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.PreserveSelection (Preserve_selection) : boolean \n\
</pre></div><p>Get/set the state of the Preserve Selection option. When set to true, the sub-object selection will be preserved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.InvertSelection (Invert_selection) : boolean \n\
</pre></div><p>Get/set the state of the Invert Selection option. When set to true, the sub-object selection will be inverted.</p>\n\
<div class=\'section\'><a id=\"symmetry-options\"></a><h3 id=\"symmetry-options\">Symmetry Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.SymmetryMode (Symmetry_Mode) : integer \n\
</pre></div><p>Get/set the Symmetry mode. Possible values are:</p>\n\
<p>0 - <strong>No Symmetry</strong>(default)</p>\n\
<p>1 - <strong>XY Symmetry</strong></p>\n\
<p>2 - <strong>YZ Symmetry</strong></p>\n\
<p>3 - <strong>XZ Symmetry</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.SymmetryTolerance (Symmetry_Tolerance) : float \n\
</pre></div><p>Get/set the Symmetry Tolerance value.</p>\n\
<div class=\'section\'><a id=\"advanced-options\"></a><h3 id=\"advanced-options\">Advanced Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.CompactFaces (Compact_faces) : boolean \n\
</pre></div><p>Get/set the state of the Compact Faces option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ProOptimizer&gt;.PreventFlip (Prevent_flip) : boolean \n\
</pre></div><p>Get/set the state of the Prevent Flip option.</p>\n\
<div class=\'section\'><a id=\"related-interfaces\"></a><h2 id=\"related-interfaces\">Related Interfaces:</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BatchProOptimizer.html\' title=\'\'>Interface: BatchProOptimizer</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";