var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>STL_Check : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>STL_Check : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"stl_check-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>STL_Check - superclass: modifier; super-superclass:MAXWrapper - classID: #(1120886685, 800331681)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>STL_Check ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;STL_Check&gt;.Selection_Type Integer default: 4\n\
</pre></div><p>Selects incorrect geometry specific to the following settings:</p>\n\
<p>0 - <strong>Open Edge</strong> (Checks for open edges.)</p>\n\
<p>1 - <strong>Double Face</strong> (Checks for faces that share the same 3D space.)</p>\n\
<p>2 - <strong>Spike</strong>(Checks for spikes, which are isolated faces that share only one edge with the object.)</p>\n\
<p>3 - <strong>Multiple Edge</strong> (Checks for faces that share more than one edge.)</p>\n\
<p>4 - <strong>Everything</strong> (Checks for all of the above.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;STL_Check&gt;.Select_Faces Integer default: 1\n\
</pre></div><p>These options specify the level of incorrect geometry that’s selected, based on the settings for the <span class=\'code\'>selection_type</span> value:</p>\n\
<p>0 - <strong>Don’t Select</strong> (When on, STL Check doesn’t select any part of objects in error.)</p>\n\
<p>1 - <strong>Select Faces</strong> (When on, STL Check marks the faces of any object in error by selecting them. The selection of erroneous faces is visible in viewports.)</p>\n\
<p>2 - <strong>Select Edges</strong> (When on, STL Check marks the edges of faces in error by selecting them. The selection of erroneous edges is visible in viewports.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;STL_Check&gt;.Check_Now Integer default: 0\n\
</pre></div><p>Turn on to perform the STL check. For complex objects, expect a pause between the time you turn this on, and the time you see the reported errors in the Status group.</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;STL_Check&gt;.Change_MatID Integer default: 1\n\
</pre></div><p>When on, STL Check also marks faces in error by assigning them a unique material ID.</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;STL_Check&gt;.Material_ID Integer default: 2\n\
</pre></div><p>The material ID that STL Check assigns to faces in error.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";