var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Sweep : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Sweep : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sweep-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>sweep - superclass: modifier; super-superclass:MAXWrapper - 18:0 - classID: #(636209254, 529015311) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\' title=\'\'></div>\n\
</pre></div><p>The <strong>Sweep Modifier</strong> can be used to turn a spline shape into a mesh with a custom cross-section, providing both built-in and user-defined cross-section shape options.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Sweep ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"section-type-rollout\"></a><h3 id=\"section-type-rollout\">Section Type Rollout</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.AssignCSType Integer default: 2 -- radiobtnIndex; AssignCustomSectionType   \n\
</pre></div><p>Gets/sets the Custom Section Type &gt; Mode radio buttons&#39; state.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Move</strong></p>\n\
<p>1 - <strong>Copy</strong></p>\n\
<p>2 - <strong>Instance</strong> (default)</p>\n\
<p>3 - <strong>Reference</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.CurrentBuiltInShape Integer default:1-- integer; Current_Built_In_Shape \n\
</pre></div><p>Gets/sets the <strong>Built-in Section</strong> type.</p>\n\
<p>The available shapes are not hard-coded, but can be extended by editing the file <strong>\\plugcfgtype\\sweep.ini</strong> and adding up to 100 custom shape classes.</p>\n\
<p>Current pre-defined values are:</p>\n\
<p>1 - <strong>Angle</strong></p>\n\
<p>2 - <strong>Bar</strong></p>\n\
<p>3 - <strong>Channel</strong></p>\n\
<p>4 - <strong>Cylinder</strong></p>\n\
<p>5 - <strong>Half Round</strong></p>\n\
<p>6 - <strong>Pipe</strong></p>\n\
<p>7 - <strong>Quarter Round</strong></p>\n\
<p>8 - <strong>Tee</strong></p>\n\
<p>9 - <strong>Tube</strong></p>\n\
<p>10 - <strong>Wide Flange</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.CustomShape Integer default:0--integer; Custom_Shape \n\
</pre></div><p>Gets/sets the state of the <strong>Use Built-In Selection/Use Custom Section</strong> radio buttons.</p>\n\
<p>When set to 1, the Custom Section will be active.</p>\n\
<p>When 0, the pre-defined Section will be active.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.CustomShapeName UndefinedClass default: undefined -- string; Custom_Shape_Name; \n\
</pre></div><p>Contains the name of the Custom Section object, or undefined if no custom cross-section has been picked yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.Shapes ArrayParameter default: #(undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, undefined, ...) -- maxObject array; SubAnim \n\
</pre></div><p>This is an array of 100 elements and is used to store the cross-section shapes.</p>\n\
<p>All elements, but the first one are read-only.</p>\n\
<p>Elements 2 to 100 are used to store the class instances defined by the Built-in types controlled by the <span class=\'code\'>.CurrentBuiltInShape</span> property and the &quot;Built-In Section&quot; drop-down list.</p>\n\
<p>In the beginning, element 2 is assigned an instance of the class defined by the first (default) cross-section in the <strong>\\plugcfg\\sweep.ini</strong> file(Angle by default).Selecting other elements from the list or setting <span class=\'code\'>.CurrentBuiltInShape</span> to other values than 1 will create new shape class instances and store them in the respective <span class=\'code\'>.CurrentBuiltInShape</span> +1 elements of the array.</p>\n\
<p>You <strong>can assign</strong> a new class instance of any shape to the first element of the array to make it available as a custom shape when the <span class=\'code\'>.CustomShape</span> property is set to 1.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` theShape = circle radius:100--create a circle theMod = sweep()--create a sweep modifier addModifier theShape theMod--add the sweep to the circle --Assign an instance of class Helix to first element of the shapes array: theMod.shapes[1] = Helix() theMod.customShape = 1 --enable the use of the custom shape</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"sweep-parameters\"></a><h3 id=\"sweep-parameters\">Sweep Parameters</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.MirrorXZPlane BooleanClass default: false -- boolean; Mirror_On_XZ_Plane \n\
</pre></div><p>Gets/sets the state of the <strong>Mirror on XZ plane</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.MirrorXYPlane BooleanClass default: false -- boolean; Mirror_On_XY_Plane \n\
</pre></div><p>Gets/sets the state of the <strong>Mirror on XYplane</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.XOffset Float default: 0.0 -- animatable; float; X_Offset \n\
</pre></div><p>Gets/sets the <strong>XOffset</strong> value.</p>\n\
<p>Controls the offset of the cross-section from the path along the cross-section&#39;s X axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.YOffset Float default: 0.0 -- animatable; float; Y_Offset \n\
</pre></div><p>Gets/sets the <strong>YOffset</strong> value.</p>\n\
<p>Controls the offset of the cross-section from the path along the cross-section&#39;s Y axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.Angle Float default: 0.0 -- animatable; angle; \n\
</pre></div><p>Gets/sets the <strong>Angle</strong> value.</p>\n\
<p>Controls the rotation of the cross-shape around the axis of the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.SmoothSection BooleanClass default: true -- boolean; Smooth_Section \n\
</pre></div><p>Gets/sets the state of the <strong>Smooth Section</strong> option.</p>\n\
<p>When set to true, assign the same smoothing group to all faces generated for a single segment of the base (path) shape, resulting in smoothing along the cross-section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.SmoothPath BooleanClass default: true -- boolean; Smooth_Path \n\
</pre></div><p>Gets/sets the state of the <strong>Smooth Path</strong> option.</p>\n\
<p>When set to true, assign the same smoothing group to all faces generated for a single segment of the cross-section shape for all base (path) shape&#39;s segments, resulting in smoothing along the base shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.PivotAlignment Integer default: -1 -- integer; Pivot_Alignment \n\
</pre></div><p>Gets/sets the <strong>Pivot Alignment</strong> option. Corresponds to the group of nine checkbuttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Upper Left Corner</strong></p>\n\
<p>1 - <strong>Left</strong></p>\n\
<p>2 - <strong>Bottom Left Corner</strong></p>\n\
<p>3 - <strong>Up</strong></p>\n\
<p>4 - <strong>Center</strong></p>\n\
<p>5 - <strong>Bottom</strong></p>\n\
<p>6 - <strong>Upper Right Corner</strong></p>\n\
<p>7 - <strong>Right</strong></p>\n\
<p>8 - <strong>Bottom Right Corner</strong></p>\n\
<p>-1 or any value higher than 8 - Default, no alignment</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.Banking BooleanClass default: true -- boolean \n\
</pre></div><p>Gets/sets the state of the <strong>Banking</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.UnionIntersections BooleanClass default: false -- boolean; Union_Intersections \n\
</pre></div><p>Gets/sets the state of the <strong>Union Intersection</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.GenerateMappingCoords BooleanClass default: false -- boolean; Generate_Mapping_Coords \n\
</pre></div><p>Gets/sets the state of the <strong>Gen.Mapping Coordinates</strong> option.</p>\n\
<p>When set to true, mapping coordinates will be generated where U goes around the cross-section and V goes along the base spline, same as with the Renderable Spline option in regular shapes.</p>\n\
<div class=\'codeBlock\'><pre> &lt;sweep&gt;.RealWorldMapSize BooleanClass default: false -- boolean; Real_World_Map_Size \n\
</pre></div><p>Gets/sets the state of the <strong>Real-World Map Size</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.GenMatIDs BooleanClass default: true -- boolean; Generate_Material_IDs \n\
</pre></div><p>Gets/sets the state of the <strong>Generate Material IDs</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.UsePathIDs BooleanClass default: false -- boolean; Use_Path_IDs \n\
</pre></div><p>Gets/sets the state of the <strong>UseSection IDs</strong> option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sweep&gt;.UseSectionIDs BooleanClass default: true -- boolean; Use_Shape_IDs \n\
</pre></div><p>Gets/sets the state of the <strong>Use Path IDs</strong> option.</p>\n\
<div class=\'section\'><a id=\"sweep-interfaces\"></a><h2 id=\"sweep-interfaces\">sweep Interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: sweepInterface \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;pickCustomSection() \n\
</pre></div><p>Corresponds to pressing the <strong>Pick</strong> button in the &quot;Custom Section Types&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;mergeCustomSection() \n\
</pre></div><p>Corresponds to pressing the <strong>Merge From File</strong> button in the &quot;Custom Section Types&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;extractCustomSection() \n\
</pre></div><p>Corresponds to pressing the <strong>Extract</strong> button in the &quot;Custom Section Types&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;alignPivot() \n\
</pre></div><p>Corresponds to pressing the <strong>Align Pivot</strong> button in the &quot;Sweep Parameters&quot; group of controls of the &quot;Section Type&quot; rollout.</p>\n\
<div class=\'section\'><a id=\"parameters-and-interpolation-rollouts\"></a><h3 id=\"parameters-and-interpolation-rollouts\">Parameters and Interpolation Rollouts</h3></div>\n\
<p>Note:</p>\n\
<p>To provide the built-in cross-section, the Sweep modifier creates class instances of the respective shape classes and stores these class instances in the .Shapes array.</p>\n\
<p>The properties displayed in the <strong>Parameters</strong> and <strong>Interpolation</strong> rollouts are taken from the ParamBlock of the class instance generated for the cross-section.</p>\n\
<p><strong>The corresponding shape classes used for the built-in cross-sections are:</strong></p>\n\
<p>Angle - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/Angle-Shape.html\' title=\'\'>Angle : Shape</a></p>\n\
<p>Bar - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Rectangle-Shape.html\' title=\'\'>Rectangle : Shape</a></p>\n\
<p>Channel - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/Channel-Shape.html\' title=\'\'>Channel : Shape</a></p>\n\
<p>Cylinder - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Circle-Shape.html\' title=\'\'>Circle : Shape</a></p>\n\
<p>Half Round - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Other/HalfRound-Shape.html\' title=\'\'>HalfRound : Shape</a></p>\n\
<p>Pipe - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Other/Pipe-shape.html\' title=\'\'>Pipe:Shape</a></p>\n\
<p>Quarter Round - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Other/QuarterRound-Shape.html\' title=\'\'>QuarterRound : Shape</a></p>\n\
<p>Tee - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/Tee-Shape.html\' title=\'\'>Tee : Shape</a></p>\n\
<p>Tube - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/WalledRectangle-Shape.html\' title=\'\'>WalledRectangle : Shape</a></p>\n\
<p>Wide Flange - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Extended/WideFlange-Shape.html\' title=\'\'>WideFlange : Shape</a></p>\n\
<p>The cross-section object can be accessed as the 4th indexed subAnim of the sweep modifier.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` theMod = sweep() --&gt; sweep:Sweep theShape = Circle radius:100 --&gt; $Circle:Circle001 @ [0.000000,0.000000,0.000000] addModifier theShape theMod --&gt; OK classof theMod[4].object --&gt; Angle theMod[4].angle_width = 50--set any property available in Angle Shape... --&gt; 50</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";