var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Symmetry : modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Symmetry : modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"symmetry-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>symmetry - superclass: modifier; super-superclass:MAXWrapper - classID: #(763260971, 199498350)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F4A4F54-D626-4ADD-9521-2FFFD64D6DDA-low.gif\' title=\'\'></div>\n\
</pre></div><p>The Symmetry modifier slices, mirrors, and welds along a symmetry plane, giving a procedural way to do symmetric modeling. Symmetry accepts TriObjects or PolyObjects, and does <strong>not</strong> respect subobject level or current selection.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>symmetry...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry&gt;.axis Integer default: 0 -- integer\n\
</pre></div><p>Specify the symmetry axis:</p>\n\
<p>0 - X Axis</p>\n\
<p>1 - Y Axis</p>\n\
<p>2 - Z Axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry&gt;.flip Boolean default: false -- boolean\n\
</pre></div><p>When set to true, uses the other half of the object as the source for symmetry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry&gt;.slice Integer default: 1 -- integer\n\
</pre></div><p>When set to 1, slices the source geometry along the mirror plane and deletes the one half.</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry&gt;.weld Integer default: 1 -- integer; Weld_Seam\n\
</pre></div><p>When set to 1, welds the vertices of the source and mirrored halves together.</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry&gt;.threshold Float default: 0.1 -- animatable; float\n\
</pre></div><p>The welding threshold - vertices closer than the threshold value will be welded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry&gt;.mirror SubAnim default: SubAnim:Mirror -- transform; SubAnim\n\
</pre></div><p>Controls the transformation of the Mirror gizmo</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry.mirror&gt;.position Point3 default: [0,0,0] -- animatable\n\
</pre></div><p>The position of the Mirror gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry.mirror&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable\n\
</pre></div><p>The rotation of the Mirror gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry.mirror&gt;.scale Point3 default: [1,1,1] -- animatable\n\
</pre></div><p>The scale of the Mirror gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;symmetry.mirror&gt;.value Matrix3 default: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0]) -- animatable\n\
</pre></div><p>The complete matrix3 transformation value of the Mirror gizmo.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";