var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Affect_Region : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Affect_Region : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"affect_region-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Affect_Region - superclass: modifier; super-superclass:MAXWrapper - classID: #(806450, 0)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>affect_region...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Affect_Region&gt;.falloff Float default: 20.0 -- animatable\n\
</pre></div><p>Distance in current units from the center to the edge of a sphere defining the affected region.</p>\n\
<p>Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Affect_Region&gt;.Pinch Float default: 0.0 -- animatable\n\
</pre></div><p>Raises and lowers the top point of the curve along the vertical axis. Sets the relative &quot;pointedness&quot; of the region.</p>\n\
<p>When negative, a crater is produced instead of a point.</p>\n\
<p>At a setting of 0, Pinch produces a smooth transition across this axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Affect_Region&gt;. Float default: 0.0 -- animatable \n\
                      Bubble\n\
</pre></div><p>Expands and contracts the curve along the vertical axis. Sets the relative &quot;fullness&quot; of the region.</p>\n\
<p>Limited by Pinch, which sets a fixed starting point for Bubble.</p>\n\
<p>A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge.</p>\n\
<p>Negative values for Bubble move the bottom of the curve below the surface, creating a &quot;valley&quot; around the base of the region.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Affect_Region&gt;.ignoreBackfacing Booleandefault: off\n\
</pre></div><p>When on, affects only those vertices whose face normals are in the same general direction as the gizmo arrow.</p>\n\
<p>When turned off, all vertices in the Falloff group are affected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Affect_Region&gt;.start_point Point3 default: [0,0,0] -- animatable\n\
</pre></div><p>The starting point for the application of the affect region.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Affect_Region&gt;.end_point Point3 default: [0,0,25] - animatable\n\
</pre></div><p>The end point for application of the affect region.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>AffectRegionVal &lt;distance&gt; &lt;falloff&gt; &lt;pinch&gt; &lt;bubble&gt;\n\
</pre></div><p>The standard affect region function, based on a distance and the three affect region parameters (same as the editable mesh).</p>\n\
<p>This function is a cubic curve which returns 1 at distance 0, 0 if distance is greater than falloff, and other values for distance between 0 and falloff.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";