var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Data_Channel : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Data_Channel : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"data_channel-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Data_Channel - superclass: modifier; super-superclass:MAXWrapper - classID: #(e11,0) \n\
</pre></div><p>The Data Channel Modifier is a tool for creating effects and automating modelling operations. It pipes object channel data through a series of operators to achieve effects on the mesh. Scene objects contain various subcategories of data that define attributes such as geometry, vertex color settings, world coordinates, selections and texture mapping. This data is stored in separate channels and The Data Channel Modifier can process and modify the data in them. Available in <strong>3ds Max 2017.1 Update and higher</strong></p>\n\
<p>Data Channels are manipulated with components called Operands. Operands are contained in a stack in the Data Channel Modifier, and data is processed as it flows through the operand stack. Operands are held in the operators array, and the order of operand processing (and order in the UI) is determined by the <strong>operator_order</strong> array.</p>\n\
<p>For operator classes, see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Parametric-Modifiers/GUID-F55E55FE-A78F-431D-9B47-2670DAABEAB6.html\' title=\'\'>Data Channel Operator Classes</a>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Data_Channel ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.operators array  \n\
</pre></div><p>An array of ReferenceTarget objects referring to the operands in the operator stack. Note that the actual order of the operand in the stack is held in the <strong>operator_order</strong> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.operator_enabled : boolean array\n\
</pre></div><p>An array of Booleans corresponding to the operands in the <strong>operators</strong> array, indicating whether the corresponding operand is enabled. Note that the actual order of processing (and order in the Data Channel Modifier UI) is not determined by the order of operators in this array, but rather by the <strong>operator_order</strong> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.operator_ops : int array\n\
</pre></div><p>An array of integers indicating how the operator at the corresponding index in the <strong>operators</strong> array is applied to the stack data, where:</p>\n\
<ul>\n\
<li>0 = Replaces</li>\n\
<li>1 = Add</li>\n\
<li>2 = Subtract</li>\n\
<li>3 = Multiply</li>\n\
<li>4 = Divide</li>\n\
<li>5 = Dot Product</li>\n\
<li>6 = Cross Product</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.operator_order : int array\n\
</pre></div><p>An array of integers indicating the order of the operator at the corresponding index in the <strong>operands</strong> array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.display (Enable_Display) : boolean\n\
</pre></div><p>Indicates whether the results of the modifier are displayed in the viewport. This property corresponds to the state of the Enable Display push button in the Data Channel Modifier UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.operator_frozen (Frozen) : boolean array\n\
</pre></div><p>An array of Booleans indicating whether the corresponding operand in the <strong>operators</strong> array is frozen. This property corresponds to the Freeze right-click command in the Data Channel Modifier UI.</p>\n\
<p><strong>Viewport Display Settings</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.floatDisplay (Float_Display) : integer\n\
</pre></div><p>Gets or sets how the data is displayed when the data in the stack is floating point array. Possible values are:</p>\n\
<ul>\n\
<li>0 = Ticks - the float data is displayed as a tick at the vertex associated with the data, colored based on the min/mid/max color setting.</li>\n\
<li>1 = Shaded Colors - the float data is displayed as shaded using the same color scheme as tick.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.point3Display (Point3_Display) : integer\n\
</pre></div><p>Gets or sets how the data is displayed when the data in the stack is point3 point array.</p>\n\
<ul>\n\
<li>0 = Position - the point 3 data is considered to positions in space and a point is drawn at each position.</li>\n\
<li>1 = Color : The data is considered color and point is drawn at each geometric point colored the same as the data value</li>\n\
<li>2 = Vector : the data is considered a vector and a line is drawn from the geo point and extended as a vector</li>\n\
<li>3 = Shaded : the data is considered color data and baked into a viewport shade channel</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.tickSize (Tick_Size) : integer\n\
</pre></div><p>Gets or sets the size of the tick if a tick display is chosen, where:</p>\n\
<ul>\n\
<li>0 = small</li>\n\
<li>1 = medium</li>\n\
<li>2 = large</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.normalizeDisplay (Normalize_Display) : Boolean\n\
</pre></div><p>Gets or sets whether the data is normalized before converting it to color. This can be useful when the data is not color-based, such as velocity.</p>\n\
<p>This property corresponds to the <strong>NormalizeDisplay</strong> checkbox in the <strong>Display</strong> section of the Data Channel UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.showNumericData (Numeric_Display) : Boolean\n\
</pre></div><p>Enables or disables the numeric display in the viewport</p>\n\
<p>This property corresponds to the <strong>Show Numeric</strong> checkbox in the <strong>Display</strong> section of the Data Channel UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.minColor (Min_Color) : RGB color\n\
&lt;Data_Channel&gt;.midColor (Mid_Color) : RGB color\n\
&lt;Data_Channel&gt;.maxColor (Max_Color) : RGB color\n\
\n\
</pre></div><p>Gets or sets the colors used to form the gradient when the data is a float array, similar to the soft selection gradient colors</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.numeric_max : integer default : 1000\n\
</pre></div><p>Gets or sets the maximum number of numerics to draw in the viewport; limiting the number can help performance since they are slow to draw and can clutter the display</p>\n\
<p>This property is not exposed in the Data Channel UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Data_Channel&gt;.numeric_drawdist : integer default : 100\n\
</pre></div><p>This is a bounding rect centered on the view and used to cull numerics at the edge of the view.</p>\n\
<p><strong>Associated Interface</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: DataChannelModifier\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; &lt;Data_Channel&gt;.NumberOperators()\n\
</pre></div><p>Returns the total number of operators available. Note: this is a static number, and can be used to iterate all possible operators.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h3 id=\"example\">Example</h3></div>\n\
<div class=\'codeBlock\'><pre>numOps = $.modifiers[#Data_Channel].NumberOperators()\n\
for i = 1 to numOps+1 do\n\
(\n\
name = &quot; &quot;\n\
    info = &quot; &quot;\n\
    tt = &quot; &quot;\n\
    idA = 0L\n\
    idB = 0L\n\
    $.modifiers[#Data_Channel].OperatorName i &amp;name\n\
    $.modifiers[#Data_Channel].OperatorTooltip i &amp;tt\n\
    $.modifiers[#Data_Channel].OperatorInfo i &amp;info\n\
    $.modifiers[#Data_Channel].OperatorID i &amp;idA &amp;idB\n\
    print name\n\
    print tt\n\
    print info\n\
    print idA \n\
    print idB\n\
)\n\
&lt;void&gt; &lt;Data_Channel&gt;.OperatorName &lt;index&gt;index &lt;&amp;string&gt;name\n\
name is Out parameter\n\
     \n\
     \n\
</pre></div><p>Saves the name of the operator at the specified index in the name parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.OperatorInfo &lt;index&gt;index &lt;&amp;string&gt;info\n\
 info is Out parameter\n\
     \n\
     \n\
</pre></div><p>Saves the information string for the operator at the specified index in the info parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.OperatorTooltip &lt;index&gt;index &lt;&amp;string&gt;toolTip\n\
 toolTip is Out parameter\n\
     \n\
</pre></div><p>Saves the tooltip string for the operator at the specified index in the toolTip parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.OperatorID &lt;index&gt;index &lt;&amp;integer64&gt;idA &lt;&amp;integer64&gt;idb\n\
idA is Out parameter\n\
idb is Out parameter     \n\
     \n\
</pre></div><p>Saves the internal class ID for the operator at the specified index into the idA (PartA) and idB (PartB) parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.AddOperator &lt;integer64&gt;idA &lt;integer64&gt;idb &lt;integer&gt;whereat\n\
     \n\
</pre></div><p>Adds the operator specified by a two-part class ID (PartA and PartB) into the DataChannelModfier’s operators array at the specified index. Specify whereat as -1 to insert at the end of the array. The Class ID is passed as a long integer value, not a hexadecimal. You can obtain the class ID in a couple of ways; one way is to use the OperatorID() method to get the class ID in integer format. You can also use the <span class=\'code\'>showClass()</span> method, and convert the result from hex to decimal. For example: <span class=\'code\'>showClass &quot;Operator_DeltaMush&quot;</span>.</p>\n\
<p><strong>Example:</strong></p>\n\
<div class=\'codeBlock\'><pre>$.modifiers[#Data_Channel].AddOperator 236108612L 0L -1\n\
$.modifiers[#Data_Channel].AddOperator 283192250L 0L -1 \n\
$.modifiers[#Data_Channel].AddOperator 2882382387L 0L -1 \n\
$.modifiers[#Data_Channel].AddOperator 99L 0L -1\n\
\n\
ct = $.modifiers[#Data_Channel].StackCount()\n\
\n\
&lt;integer&gt; &lt;Data_Channel&gt;.StackCount() \n\
</pre></div><p>Returns the number of operators currently in the modifier’s stack.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.StackOperatorName &lt;index&gt;index &lt;&amp;string&gt;name\n\
name is Out parameter\n\
     \n\
</pre></div><p>Saves the name of the operator at the specified index into the name parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.SelectStackOperator &lt;index&gt;index\n\
     \n\
</pre></div><p>Selects the operator at the specified index in the modifier’s stack.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.DeleteStackOperator &lt;index&gt;index\n\
     \n\
</pre></div><p>Deletes the operator at the specified index in the modifier’s stack.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.ReorderStackOperator &lt;index by value array&gt;indexList\n\
     \n\
</pre></div><p>Re-orders the operator stack according to the indexList array. For example, in an operand stack of 4 items, specifying indexList #(3,2,1,0) will reverse the order of the operands.</p>\n\
<p>Note: you need to be careful with this methods, since it does not bound check and you cannot change the number of operators.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.SavePreset &lt;string&gt;name &lt;string&gt;toolTip\n\
     \n\
</pre></div><p>Saves the current operand stack as a preset, with the specified name and toolTip. You do not need to specify a path. Data Channel presets are saved under the 3ds Max install directory in en-US\\plugfcg\\DataChannelPresets.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; &lt;Data_Channel&gt;.LoadPreset &lt;string&gt;name\n\
     \n\
</pre></div><p>Loads the specified preset by name. For example:</p>\n\
<div class=\'codeBlock\'><pre>$.modifiers[#Data_Channel].LoadPreset &quot;Dirt Map&quot; \n\
     \n\
&lt;void&gt; &lt;Data_Channel&gt;.DeletePreset &lt;string&gt;name\n\
     \n\
</pre></div><p>Deletes the preset specified by name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt; &lt;Data_Channel&gt;.PresetCount() \n\
</pre></div><p>Returns the number of available presets.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; PresetName &lt;index&gt;index &lt;&amp;string&gt;name\n\
name is Out parameter \n\
\n\
     \n\
</pre></div><p>Saves the name of the preset at the specified index into the name parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt; PerfTrackingStart()\n\
&lt;void&gt; PerfTrackingEnd()\n\
&lt;void&gt; PerfTrackingReport() \n\
</pre></div><p>These functions expose performance tracking functionality. <span class=\'code\'>PerfTrackingStart()</span> starts recording the time data, <span class=\'code\'>PerfTrackingEnd()</span> stops it. All the timestamps are stored internally. <span class=\'code\'>PerfTrackingReport()</span> writes the timing data out to the listener window.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>None</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";