var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Data Channel Modifier Operator Classes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Data Channel Modifier Operator Classes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"data-channel-modifier-operator-classes\"></a></div>\n\
<p>The Data_Channel Modifier uses operators to build its operation stack. These operators all derive from the IDataChannelEngineClass, and are of three types: input, process, and output (although some input operators can be used as process operators). This topic covers the available operator classes.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"input-operators\"></a><h2 id=\"input-operators\">Input Operators</h2></div>\n\
<p>Input operators query data from the mesh and create a channel to flow down the stack.</p>\n\
<div class=\'section\'><a id=\"operator_colorelements-idatachannelengineclass-4bbc203f0\"></a><h3 id=\"operator_colorelements-idatachannelengineclass-4bbc203f0\">Operator_ColorElements : IDataChannelEngineClass {4bbc203f,0}</h3></div>\n\
<p>Colors the elements of an object based on the stack information, a map, soft selection or vertex colors. Output can be randomized based on hue, luminance and saturation.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>  .inputOption : integer\n\
</pre></div><p>The color data input, where:</p>\n\
<ul>\n\
<li>0 = Vertex Colors</li>\n\
<li>1 = Map</li>\n\
<li>2 = Soft Selection</li>\n\
<li>3 = From Stack</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.mapChannel : integer\n\
</pre></div><p>The map channel, when <span class=\'code\'>inputOption</span> = 1.</p>\n\
<div class=\'codeBlock\'><pre>.map : texturemap\n\
</pre></div><p>The map, when <span class=\'code\'>inputOption</span> = 1.</p>\n\
<div class=\'codeBlock\'><pre>.vertColorChannel : integer\n\
</pre></div><p>The Vertex color channel, when <span class=\'code\'>inputOption</span> = 0.</p>\n\
<div class=\'codeBlock\'><pre>.colorOption : integer\n\
</pre></div><p>The color option, where</p>\n\
<ul>\n\
<li>0 = Face</li>\n\
<li>1 = Element</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.useColors : Boolean\n\
</pre></div><p>Indicates whether to apply colors to luminance.</p>\n\
<div class=\'codeBlock\'><pre>.color1 : RGB color\n\
</pre></div><p>The luminance color 0.</p>\n\
<div class=\'codeBlock\'><pre>.color2 : RGB color\n\
</pre></div><p>The luminance color 1.</p>\n\
<div class=\'codeBlock\'><pre>.outputChannel : integer\n\
</pre></div><p>The output VC channel.</p>\n\
<div class=\'codeBlock\'><pre>.randomize : Boolean\n\
</pre></div><p>Indicates whether to randomize the output.</p>\n\
<div class=\'codeBlock\'><pre>.unused1 : float\n\
.seed : integer\n\
.HRand : Boolean\n\
</pre></div><p>Indicates whether the <strong>randomizeHPercent</strong> value is used.</p>\n\
<div class=\'codeBlock\'><pre>.SRand : Boolean\n\
</pre></div><p>Indicates whether the <strong>randomizeSPercent</strong> value is used.</p>\n\
<div class=\'codeBlock\'><pre>.LRand : Boolean\n\
</pre></div><p>Indicates whether the <strong>randomizeLPercent</strong> value is used.</p>\n\
<div class=\'codeBlock\'><pre>.randomizeHPercent : float\n\
</pre></div><p>The Hue luminance value.</p>\n\
<div class=\'codeBlock\'><pre>.randomizeSPercent : float\n\
</pre></div><p>The Saturation luminance value.</p>\n\
<div class=\'codeBlock\'><pre>.randomizeLPercent : float\n\
</pre></div><p>The Lightness luminance value.</p>\n\
<div class=\'codeBlock\'><pre>.useElementCenter : boolean\n\
</pre></div><p><span class=\'code\'>Indicates whether to use the element center when inputOption is 1 (Map).</span></p>\n\
<div class=\'section\'><a id=\"operator_componentspace-idatachannelengineclass-e11aa330\"></a><h3 id=\"operator_componentspace-idatachannelengineclass-e11aa330\">Operator_ComponentSpace : IDataChannelEngineClass {e11aa33,0}</h3></div>\n\
<p>Copies the geometry’s X, Y, or Z position to the stack to be processed.</p>\n\
<div class=\'codeBlock\'><pre>.component (Component_Space) : integer\n\
  .min : float\n\
</pre></div><p>The minimum value.</p>\n\
<div class=\'codeBlock\'><pre>.max : float\n\
</pre></div><p>The maximum value.</p>\n\
<div class=\'codeBlock\'><pre>.normalize : Boolean\n\
</pre></div><p>Indicates whether to normalize the values.</p>\n\
<div class=\'codeBlock\'><pre>.space (XYZ_Space) : integer\n\
</pre></div><p>The space dimension to use, where</p>\n\
<ul>\n\
<li>0 = X</li>\n\
<li>1 = Y</li>\n\
<li>2 = Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.node : node\n\
</pre></div><p>The node from which to take the component space.</p>\n\
<div class=\'section\'><a id=\"operator_curvature-idatachannelengineclass-e12bb440\"></a><h3 id=\"operator_curvature-idatachannelengineclass-e12bb440\">Operator_Curvature : IDataChannelEngineClass {e12bb44,0}</h3></div>\n\
<p>Uses the local surface curvature of the mesh to define a float value.</p>\n\
<div class=\'codeBlock\'><pre>.convex (Convex) : float\n\
</pre></div><p>The Curvature convex value.</p>\n\
<div class=\'codeBlock\'><pre>.flat (Flat) : float\n\
</pre></div><p>The Curvature flat value.</p>\n\
<div class=\'codeBlock\'><pre>.concave (Concave) : float\n\
</pre></div><p>The Curvature concave value.</p>\n\
<div class=\'codeBlock\'><pre>.scale (Scale) : float\n\
</pre></div><p>The scale value applied to the convex, flat, and concave values.</p>\n\
<div class=\'codeBlock\'><pre>.hardEdgesOnly (Hard_Only) : Boolean default: False\n\
</pre></div><p>Indicates whether to compute hard edges only.</p>\n\
<div class=\'section\'><a id=\"operator_deltamush-idatachannelengineclass-c8b201a30\"></a><h3 id=\"operator_deltamush-idatachannelengineclass-c8b201a30\">Operator_DeltaMush : IDataChannelEngineClass {c8b201a3,0}</h3></div>\n\
<p>Uses the mesh&#39;s default pose to smooth the mesh when it is deformed while retaining the original detail of the mesh.</p>\n\
<div class=\'codeBlock\'><pre>.strength : float default: 1.0\n\
</pre></div><p>The strength value.</p>\n\
<div class=\'codeBlock\'><pre>.iterations : integer default: 10\n\
</pre></div><p>The number of iterations.</p>\n\
<div class=\'codeBlock\'><pre>.pinBorders : Boolean default: True\n\
</pre></div><p>Indicates whether to pin the borders.</p>\n\
<div class=\'codeBlock\'><pre>.mask : boolean default: False\n\
</pre></div><p>Indicates whether to mask with vertex colors.</p>\n\
<div class=\'codeBlock\'><pre>.maskMapChannel : integer default: 2\n\
</pre></div><p>The map channel to use, if mask is True.</p>\n\
<div class=\'codeBlock\'><pre>.outputMode : integer default: 0\n\
</pre></div><p>The deform setting, where:</p>\n\
<ul>\n\
<li>0 = Relaxed Base Mesh</li>\n\
<li>1 = Relaxed</li>\n\
<li>2 = Relaxed Delta</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"operator_distort-idatachannelengineclass-11fa2bba0\"></a><h3 id=\"operator_distort-idatachannelengineclass-11fa2bba0\">Operator_Distort : IDataChannelEngineClass {11fa2bba,0}</h3></div>\n\
<p>Uses a map to distort the vertex value.</p>\n\
<p>Uses a map to distort the vertex value.</p>\n\
<div class=\'codeBlock\'><pre>.map (Distort) : texturemap\n\
</pre></div><p>The map associated with the distort.</p>\n\
<div class=\'codeBlock\'><pre>.amountBox (Amount) : float default: 1.0\n\
</pre></div><p>The strength value applied to the distort.</p>\n\
<div class=\'codeBlock\'><pre>.holdTex (Distort) : texturemap\n\
</pre></div><p>Internal and renamed</p>\n\
<div class=\'codeBlock\'><pre>.holdMat (Distort) : material\n\
</pre></div><p>Internal and renamed</p>\n\
<div class=\'section\'><a id=\"operator_edgeinput-idatachannelengineclass-23300ccd0\"></a><h3 id=\"operator_edgeinput-idatachannelengineclass-23300ccd0\">Operator_EdgeInput : IDataChannelEngineClass {23300ccd,0}</h3></div>\n\
<p>Adds edge data into the stack.</p>\n\
<div class=\'codeBlock\'><pre>.input : integer\n\
</pre></div><p>The Edge Input mode, where:</p>\n\
<ul>\n\
<li>0 = Selection</li>\n\
<li>1 = Crease Weights</li>\n\
<li>2 = Edge Angle</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"operator_faceinput-idatachannelengineclass-24421ae0\"></a><h3 id=\"operator_faceinput-idatachannelengineclass-24421ae0\">Operator_FaceInput : IDataChannelEngineClass {24421ae,0 }</h3></div>\n\
<p>Adds face data to the stack.</p>\n\
<div class=\'codeBlock\'><pre>.input : integer\n\
</pre></div><p>Selects the edge input, where:</p>\n\
<ul>\n\
<li>0 = Selection</li>\n\
<li>1 = Material ID</li>\n\
<li>2 = Smooth Group</li>\n\
<li>3 = Area</li>\n\
<li>4 = Normal</li>\n\
<li>5 = Planarity</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"operator_maxscript-idatachannelengineclass-9acb27da0\"></a><h3 id=\"operator_maxscript-idatachannelengineclass-9acb27da0\">Operator_Maxscript : IDataChannelEngineClass {9acb27da,0}</h3></div>\n\
<p>Uses MAXScript to manipulate a channel&#39;s values. Possible return values are float or point3.</p>\n\
<div class=\'codeBlock\'><pre>.dataType : integer\n\
</pre></div><p>The output data type, where:</p>\n\
<ul>\n\
<li>0 = Float</li>\n\
<li>1 = Point3</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.elementType : integer\n\
</pre></div><p>The output element type, where:</p>\n\
<ul>\n\
<li>0 = Vertices</li>\n\
<li>1 = Faces</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.script : string\n\
</pre></div><p>Gets or sets the MAXScript file associated with this operator.</p>\n\
<div class=\'section\'><a id=\"operator_nodeinfluence-idatachannelengineclass-cba6531d0\"></a><h3 id=\"operator_nodeinfluence-idatachannelengineclass-cba6531d0\">Operator_NodeInfluence : IDataChannelEngineClass {cba6531d,0}</h3></div>\n\
<p>Returns a float value based on the distance between a selected node and a mesh vertex or a mesh element.</p>\n\
<div class=\'codeBlock\'><pre>.node : node\n\
</pre></div><p>The node associated with the operator.</p>\n\
<div class=\'codeBlock\'><pre>.minRange : float default: 1.0\n\
</pre></div><p>The minimum Radius setting.</p>\n\
<div class=\'codeBlock\'><pre>.minValue : float default: 1.0\n\
</pre></div><p>The minimum value setting.</p>\n\
<div class=\'codeBlock\'><pre>.maxRange : float default: 80.0\n\
</pre></div><p>The maximum Radius setting.</p>\n\
<div class=\'codeBlock\'><pre>.maxValue : float default: 0.0\n\
</pre></div><p>The maximum range value.</p>\n\
<div class=\'codeBlock\'><pre>  .mode : integer\n\
</pre></div><p>The Influence mode, where:</p>\n\
<ul>\n\
<li>0 = By Vertex</li>\n\
<li>1 = By Element</li>\n\
<li>2 = By Object</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.hold (Hold_Frames) : integer\n\
</pre></div><p>The hold time value.</p>\n\
<div class=\'codeBlock\'><pre>.falloffCurve (Falloff_Curve) : maxObject\n\
</pre></div><p>The curve controlling the weight falloff over time. This object is of type <span class=\'code\'>CurveControl</span>.</p>\n\
<div class=\'codeBlock\'><pre>.radiusCurve (Radius_Curve) : maxObject \n\
</pre></div><p>The curve controlling radius over time. This object is of type <span class=\'code\'>CurveControl</span>.</p>\n\
<div class=\'codeBlock\'><pre>.strengthCurve (Strength_Curve) : maxObject\n\
</pre></div><p>The curve controlling strength over time. This object is of type <span class=\'code\'>CurveControl</span>.</p>\n\
<div class=\'section\'><a id=\"operator_tensiondeform-idatachannelengineclass-4879315b0\"></a><h3 id=\"operator_tensiondeform-idatachannelengineclass-4879315b0\">Operator_TensionDeform : IDataChannelEngineClass {4879315b,0}</h3></div>\n\
<p>Uses the mesh’s deformation to compute squash and stretch to define a value. These values can be used to drive morph targets within the operator.</p>\n\
<div class=\'codeBlock\'><pre>.mode : integer\n\
</pre></div><p>The tension deform mode, where:</p>\n\
<ul>\n\
<li>0 = Edge Length Based</li>\n\
<li>1 = Edge Angle Based</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.enableDisplay : boolean\n\
</pre></div><p>Not used.</p>\n\
<div class=\'codeBlock\'><pre>.deformMesh : boolean\n\
</pre></div><p>Indicates whether to deform the mesh.</p>\n\
<div class=\'codeBlock\'><pre>.stretchColor (Stretch_Color) : color\n\
</pre></div><p>Not used.</p>\n\
<p><strong>Stretch Adjustment Settings:</strong></p>\n\
<div class=\'codeBlock\'><pre>.stretch : float\n\
</pre></div><p>The stretch value.</p>\n\
<div class=\'codeBlock\'><pre>.stretchRange (Stretch_Range) : float\n\
</pre></div><p>The stretch range</p>\n\
<div class=\'codeBlock\'><pre>.stretchGrowShrink (Stretch_Grow_Shrink) : float\n\
</pre></div><p>The stretch grow/shrink value.</p>\n\
<p><strong>Stretch Deform Settings:</strong></p>\n\
<div class=\'codeBlock\'><pre>.stretchPush (Stretch_Push) : float\n\
</pre></div><p>The stretch deform push value.</p>\n\
<div class=\'codeBlock\'><pre>.stretchRelax (Stretch_Relax) : integer\n\
</pre></div><p>The stretch relax value.</p>\n\
<div class=\'codeBlock\'><pre>.stretchUseMorph : boolean\n\
</pre></div><p>Indicates whether the stretch deform uses a morph target.</p>\n\
<div class=\'codeBlock\'><pre>.stretchTarget : node\n\
</pre></div><p>The node representing the stretch target.</p>\n\
<div class=\'codeBlock\'><pre>.stretchMask : boolean\n\
</pre></div><p>Indicates whether to mask with vertex colors.</p>\n\
<div class=\'codeBlock\'><pre>.stretchMapChannel : integer\n\
</pre></div><p>The map channel to use for masking when <strong>stretchMask</strong> is True.</p>\n\
<p><strong>Squash Adjustment Settings:</strong></p>\n\
<div class=\'codeBlock\'><pre>.squashColor (Squash_Color) : color\n\
</pre></div><p>Not used.</p>\n\
<div class=\'codeBlock\'><pre>.squash : float\n\
</pre></div><p>The squash amount.</p>\n\
<div class=\'codeBlock\'><pre>.squashRange (Squash_Range) : float\n\
</pre></div><p>The squash range amount.</p>\n\
<div class=\'codeBlock\'><pre>.squashGrowShrink (Squash_Grow_Shrink) : float\n\
</pre></div><p>The squash grow/shrink amount.</p>\n\
<p><strong>Squash Deform Settings:</strong></p>\n\
<div class=\'codeBlock\'><pre>.squashPush (Squash_Push) : float\n\
</pre></div><p>The squash deform push amount.</p>\n\
<div class=\'codeBlock\'><pre>.squashRelax (Squash_Relax) : integer\n\
</pre></div><p>The squash relax value.</p>\n\
<div class=\'codeBlock\'><pre>.squashUseMorph : boolean\n\
</pre></div><p>Indicates whether to use a morph target, indicated by the <strong>squashTarget</strong>.</p>\n\
<div class=\'codeBlock\'><pre>.squashTarget : node\n\
</pre></div><p>The squash target, used when <strong>squashUseMorph</strong> is True.</p>\n\
<div class=\'codeBlock\'><pre>.squashMask : boolean\n\
</pre></div><p>Indicates whether to mask with vertex colors.</p>\n\
<div class=\'codeBlock\'><pre>.squashMapChannel : integer\n\
</pre></div><p>The map channel to use if <strong>squashMask</strong> is true.</p>\n\
<p><strong>Channel Output Settings:</strong></p>\n\
<div class=\'codeBlock\'><pre>.outputSquash : boolean\n\
</pre></div><p>Indicates whether to output the squash value.</p>\n\
<div class=\'codeBlock\'><pre>.outputStretch : boolean\n\
</pre></div><p>Indicates whether to output the stretch value.</p>\n\
<div class=\'section\'><a id=\"operator_transformelements-idatachannelengineclass-271928c80\"></a><h3 id=\"operator_transformelements-idatachannelengineclass-271928c80\">Operator_TransformElements : IDataChannelEngineClass {271928c8,0}</h3></div>\n\
<p>Uses channel information from the data channel’s operator stack, soft selection or vertex color to transform the elements’ position, rotation or scale.</p>\n\
<div class=\'codeBlock\'><pre>.inputChannel : integer default 0\n\
</pre></div><p>Gets or sets the input channel, where:</p>\n\
<ul>\n\
<li>0 = From Stack</li>\n\
<li>1 = Soft Selection</li>\n\
<li>2 = Vertex Color Luminance</li>\n\
<li>3 = Vertex Color as XYZ</li>\n\
<li>4 = None</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.transformType : integer default: 3\n\
</pre></div><p>The transform type, where:</p>\n\
<ul>\n\
<li>0 = Position</li>\n\
<li>2 = Rotation</li>\n\
<li>3 = Scale %</li>\n\
<li>4 = Scale % Uniform</li>\n\
</ul>\n\
<p><strong>Offsets Settings</strong></p>\n\
<div class=\'codeBlock\'><pre>.XEnable : boolean\n\
.YEnable : boolean\n\
.ZEnable : boolean\n\
</pre></div><p>Indicates whether the x, y, or z offsets are enabled.</p>\n\
<div class=\'codeBlock\'><pre>.xoffset1 (XOffset) : float\n\
.yoffset1 (YOffset) : float\n\
.zoffset1 (ZOffset) : float\n\
</pre></div><p>The minimum x, y or z offset.</p>\n\
<div class=\'codeBlock\'><pre>.xoffset2 (XOffset) : float\n\
.yoffset2 (YOffset) : float\n\
.zoffset2 (ZOffset) : float\n\
</pre></div><p>The maximum x, y, or z offset.</p>\n\
<p><strong>Point at Node Settings</strong></p>\n\
<div class=\'codeBlock\'><pre>.pointAtNode : boolean\n\
</pre></div><p>Indicates whether to point at a node.</p>\n\
<div class=\'codeBlock\'><pre>.pointNode : node         \n\
</pre></div><p>The node to point to, if <span class=\'code\'>pointAtNode</span> is true.</p>\n\
<div class=\'codeBlock\'><pre>.axisMode : integer           \n\
</pre></div><p>The axis mode, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.pointElements : boolean          \n\
</pre></div><p>Indicates whether to point at individual elements.</p>\n\
<p><strong>Randomize Settings</strong></p>\n\
<div class=\'codeBlock\'><pre>.randomize : boolean\n\
</pre></div><p>Indicates whether to randomize the data.</p>\n\
<div class=\'codeBlock\'><pre>.randomize1 (RandomizePercent) : float \n\
 .randomize2 (RandomizePercent) : float\n\
</pre></div><p>The minimum and maximum randomize settings.</p>\n\
<div class=\'codeBlock\'><pre>.seed : integer       \n\
</pre></div><p>The randomization seed.</p>\n\
<div class=\'codeBlock\'><pre>.phase : float        \n\
</pre></div><p>Controls the speed of the animation of the randomization function.</p>\n\
<div class=\'section\'><a id=\"operator_vector-idatachannelengineclass-44e12ccd0\"></a><h3 id=\"operator_vector-idatachannelengineclass-44e12ccd0\">Operator_Vector : IDataChannelEngineClass {44e12ccd,0}</h3></div>\n\
<p>Allows you to combine an external vector with the stack data.</p>\n\
<p>.space : integer</p>\n\
<p>.dir : integer</p>\n\
<p>.node : node</p>\n\
<p>.x : float</p>\n\
<p>.y : float</p>\n\
<p>.z : float</p>\n\
<div class=\'section\'><a id=\"operator_velocity-idatachannelengineclass-e21bb550\"></a><h3 id=\"operator_velocity-idatachannelengineclass-e21bb550\">Operator_Velocity : IDataChannelEngineClass {e21bb55,0}</h3></div>\n\
<p>Uses the mesh&#39;s velocity to return a Point3, where the (x,y,z) equates to the motion of the three axes.</p>\n\
<p>.timeOffset (Time_Offset) : integer</p>\n\
<p>.worldSpace (World_Space) : boolean</p>\n\
<p>.noTranslation (No_Translation) : boolean</p>\n\
<div class=\'section\'><a id=\"operator_vertexinput-idatachannelengineclass-da12aa010\"></a><h3 id=\"operator_vertexinput-idatachannelengineclass-da12aa010\">Operator_VertexInput : IDataChannelEngineClass {da12aa01,0}</h3></div>\n\
<p>Uses channel information from the mesh as an input. Channels include, existing map channels, average normal, vertex position and vertex selection values.</p>\n\
<div class=\'codeBlock\'><pre>.input (Channel) : integer        \n\
</pre></div><p>The input type, where:</p>\n\
<ul>\n\
<li>0=Position</li>\n\
<li>1=Average Normals</li>\n\
<li>2=Map Channel 1</li>\n\
<li>3=Map Channel 2</li>\n\
<li>4=Vertex Selection</li>\n\
<li>5+ = any additional populated data channels</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.internal (Channel_Num) : integer         \n\
</pre></div><p>Internal use only, do no use.</p>\n\
<div class=\'codeBlock\'><pre>.XYZ (Sub_Channel_Num) : integer          \n\
</pre></div><p>Indicates the axes to include in the data, where:</p>\n\
<ul>\n\
<li>0=XYZ</li>\n\
<li>1=X</li>\n\
<li>2=Y</li>\n\
<li>3=Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.deprecated (Name) : string           \n\
</pre></div><p>Deprecated, do not use.</p>\n\
<div class=\'section\'><a id=\"engine_local_space-idatachannelengineclass-e11aa220\"></a><h3 id=\"engine_local_space-idatachannelengineclass-e11aa220\">Engine_Local_Space : IDataChannelEngineClass {e11aa22,0}</h3></div>\n\
<p>Copies the geometry&#39;s position on to the stack to be processed.</p>\n\
<div class=\'codeBlock\'><pre>.min : float \n\
.max : float  \n\
</pre></div><p>The minimum and maximum values to use.</p>\n\
<div class=\'codeBlock\'><pre>.normalize : boolean          \n\
</pre></div><p>Indicates whether to normalize the data.</p>\n\
<div class=\'codeBlock\'><pre>.space (XYZ_Space) : integer          \n\
</pre></div><p>The reference coordinate system to use, where:</p>\n\
<ul>\n\
<li>0=Local</li>\n\
<li>1=World</li>\n\
<li>2=Node</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre> .node : node         \n\
</pre></div><p>The node to use for the coordinate system, when <span class=\'code\'>space = 2</span>.</p>\n\
<div class=\'section\'><a id=\"process-operators\"></a><h2 id=\"process-operators\">Process Operators</h2></div>\n\
<p>Process operators modify data by applying operations to the data flowing through the stack.</p>\n\
<div class=\'section\'><a id=\"operator_clamp-idatachannelengineclass-20e12bba0\"></a><h3 id=\"operator_clamp-idatachannelengineclass-20e12bba0\">Operator_Clamp: IDataChannelEngineClass {20e12bba,0}</h3></div>\n\
<p>Limits the value of channel flowing through the stack.</p>\n\
<div class=\'codeBlock\'><pre>.clampMin (Min) : float \n\
.clampMax (Max) : float \n\
          \n\
</pre></div><p>Minimum and maximum clamp values.</p>\n\
<div class=\'section\'><a id=\"operator_converttosubobjecttype-idatachannelengineclass-ac311ccd0\"></a><h3 id=\"operator_converttosubobjecttype-idatachannelengineclass-ac311ccd0\">Operator_ConvertToSubObjectType : IDataChannelEngineClass {ac311ccd,0}</h3></div>\n\
<p>Copies the data from one sub object type to another.</p>\n\
<div class=\'codeBlock\'><pre>.subObject : integer          \n\
</pre></div><p>The sub object type to convert to, which corresponds to the selected item position in the <strong>Convert To</strong> dropdown in the UI, and which depends on the incoming data type. For example, when the incoming data is from the vertex channel, 0 = Edge and 1 = Face.</p>\n\
<div class=\'codeBlock\'><pre>.vertex : integer         \n\
</pre></div><p>When the Convert To target is vertex, this corresponds to the Vertex Channel Type selection, where:</p>\n\
<ul>\n\
<li>0=Position</li>\n\
<li>1=Normal</li>\n\
<li>2=Map</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.mapChan : integer        \n\
</pre></div><p>When <span class=\'code\'>vertex=2</span> (Map), this indicates the map channel.</p>\n\
<div class=\'section\'><a id=\"operator_curve-idatachannelengineclass-73e12bba0\"></a><h3 id=\"operator_curve-idatachannelengineclass-73e12bba0\">Operator_Curve : IDataChannelEngineClass {73e12bba,0}</h3></div>\n\
<p>Remaps the value of data in the channel based on a curve.</p>\n\
<div class=\'codeBlock\'><pre>.curve : maxObject        \n\
</pre></div><p>The curve object.</p>\n\
<div class=\'codeBlock\'><pre>.normalize (Normalize) : boolean Engine_Decay (const MAXClass): decay         \n\
</pre></div><p>Indicates whether the curve is normalized.</p>\n\
<div class=\'section\'><a id=\"operator_decay-idatachannelengineclass-10fa2cc90\"></a><h3 id=\"operator_decay-idatachannelengineclass-10fa2cc90\">Operator_Decay : IDataChannelEngineClass {10fa2cc9,0}</h3></div>\n\
<p>Causes the changes in a channel to persist or decay over time.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.decay : float        \n\
</pre></div><p>The decay per frame.</p>\n\
<div class=\'codeBlock\'><pre>.samples : integer        \n\
</pre></div><p>The number of record samples.</p>\n\
<div class=\'codeBlock\'><pre>.smooth : boolean         \n\
</pre></div><p>Indicates whether to apply smoothing.</p>\n\
<div class=\'codeBlock\'><pre>.iterations : integer         \n\
</pre></div><p>The number of smoothing iterations, if <span class=\'code\'>smooth=true</span>.</p>\n\
<div class=\'codeBlock\'><pre>.deprecated (Max_Crossing) : integer          \n\
</pre></div><p>Deprecated, do not use.</p>\n\
<div class=\'codeBlock\'><pre>.curve : maxObject        \n\
</pre></div><p>The custom decay curve.</p>\n\
<div class=\'codeBlock\'><pre>.useCurve (Use_Curve) : boolean       \n\
</pre></div><p>Indicates whether to apply a custom decay curve.</p>\n\
<div class=\'codeBlock\'><pre>.resetType : integer          \n\
</pre></div><p>The Cache reset type where:</p>\n\
<ul>\n\
<li>0 = &quot;Use Frame For Reset Data&quot;</li>\n\
<li>1 = &quot;Reset Data To Zero&quot;</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.resetFrame (Reset_Frame) : integer       \n\
</pre></div><p>The reset frame, when resetType = 0, &quot;Use Frame For Reset Data&quot;.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Decay\n\
</pre></div><p>Provides access to the <span class=\'code\'>Reset()</span> and <span class=\'code\'>Record()</span> methods.</p>\n\
<div class=\'section\'><a id=\"operator_geoquantize-idatachannelengineclass-1d9111c50\"></a><h3 id=\"operator_geoquantize-idatachannelengineclass-1d9111c50\">Operator_GeoQuantize : IDataChannelEngineClass {1d9111c5,0}</h3></div>\n\
<p>Modifies the data based on geometry so that all vertices in an element share the same value.</p>\n\
<div class=\'codeBlock\'><pre>.mode : integer           \n\
</pre></div><p>The data source, where:</p>\n\
<ul>\n\
<li>0=By Vertex</li>\n\
<li>1=By Element</li>\n\
<li>2=By Object</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"operator_invert-idatachannelengineclass-43aebba10\"></a><h2 id=\"operator_invert-idatachannelengineclass-43aebba10\">Operator_Invert: IDataChannelEngineClass {43aebba1,0}</h2></div>\n\
<p>Inverts the values in the data channel.</p>\n\
<div class=\'codeBlock\'><pre> .invert (Invert) : boolean           \n\
</pre></div><p>Indicates whether to perform an inversion.</p>\n\
<div class=\'section\'><a id=\"operator_normalize-idatachannelengineclass-62ebba10\"></a><h3 id=\"operator_normalize-idatachannelengineclass-62ebba10\">Operator_Normalize : IDataChannelEngineClass {62ebba1,0}</h3></div>\n\
<p>Normalizes the values in a channel to a range.</p>\n\
<div class=\'codeBlock\'><pre>.normalizeMin (Min) : float\n\
.normalizeMax (Max) : float       \n\
</pre></div><p>The minimum and maximum values to normalize to.</p>\n\
<div class=\'codeBlock\'><pre>.rangeOverride (Use_Range) : boolean\n\
          \n\
</pre></div><p>Indicates whether to limit normalization to values in a range.</p>\n\
<div class=\'codeBlock\'><pre>.rangeMin (Min_Range) : float\n\
.rangeMax (Max_Range) : float\n\
          \n\
</pre></div><p>The range minimum and maximum to limit normalization to, if <strong>rangeOverride</strong> is true.</p>\n\
<div class=\'section\'><a id=\"operator_point3_to_float-idatachannelengineclass-43cceb550\"></a><h3 id=\"operator_point3_to_float-idatachannelengineclass-43cceb550\">Operator_Point3_To_Float : IDataChannelEngineClass {43cceb55,0}</h3></div>\n\
<p>Converts a Point3 channel to a float channel.</p>\n\
<div class=\'codeBlock\'><pre>.floatType (Point3_To_Float) : integer\n\
          \n\
</pre></div><p>The type of float to convert to, where:</p>\n\
<ul>\n\
<li>0=Length</li>\n\
<li>1=X</li>\n\
<li>2=Y</li>\n\
<li>3=Z</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"operator_scale-idatachannelengineclass-10e12bba0\"></a><h3 id=\"operator_scale-idatachannelengineclass-10e12bba0\">Operator_Scale : IDataChannelEngineClass {10e12bba,0}</h3></div>\n\
<p>Multiplies a channel by a value.</p>\n\
<div class=\'codeBlock\'><pre>.scale : float\n\
</pre></div><p>The factor by which to scale the channel data.</p>\n\
<div class=\'section\'><a id=\"operator_smooth-idatachannelengineclass-93e12bba0\"></a><h3 id=\"operator_smooth-idatachannelengineclass-93e12bba0\">Operator_Smooth : IDataChannelEngineClass {93e12bba,0}</h3></div>\n\
<p>Smooths the values of a channel based on their neighbor&#39;s value.</p>\n\
<div class=\'codeBlock\'><pre>.iteration : integer\n\
</pre></div><p>The number of smoothing iterations.</p>\n\
<div class=\'codeBlock\'><pre>.amount : float\n\
</pre></div><p>The smoothing amount to apply.</p>\n\
<div class=\'codeBlock\'><pre>.deprecated (Geom) : boolean\n\
</pre></div><p>Deprecated parameter, do not use.</p>\n\
<div class=\'section\'><a id=\"outputs\"></a><h2 id=\"outputs\">Outputs</h2></div>\n\
<p>Output operators output the stack data back to the mesh.</p>\n\
<div class=\'section\'><a id=\"operator_vertexoutput-idatachannelengineclass-abcdaa330\"></a><h3 id=\"operator_vertexoutput-idatachannelengineclass-abcdaa330\">Operator_VertexOutput : IDataChannelEngineClass {abcdaa33,0}</h3></div>\n\
<p>Outputs the stack data to a specific geometry channel in the mesh.</p>\n\
<div class=\'codeBlock\'><pre>.output (Channel) : integer\n\
</pre></div><p>The output data type, where:</p>\n\
<ul>\n\
<li>0=Position</li>\n\
<li>1=Vertex Color</li>\n\
<li>2=Map Channel</li>\n\
<li>3=Normals</li>\n\
<li>4=Vertex Selection</li>\n\
<li>5=Vertex Crease</li>\n\
<li>6=VData</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.channelNum (Channel_Num) : integer\n\
</pre></div><p>When the output type is Map Channel or VData, this is the Channel Number.</p>\n\
<div class=\'codeBlock\'><pre>.XYZ (Sub_Map_Channel) : integer\n\
</pre></div><p>The X, Y, or Z setting, when the output type is Position, Vertex Color, Map Channel, or Normals, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.deprecated (Channel_Name) : string\n\
</pre></div><p>Deprecated parameter, do not use.</p>\n\
<div class=\'codeBlock\'><pre>.replace (Replace_Type) : integer\n\
</pre></div><p>The replacement method, where:</p>\n\
<ul>\n\
<li>0=Replace</li>\n\
<li>1=Add</li>\n\
<li>2=Subtract</li>\n\
<li>3=Multiply</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"operator_faceoutput-idatachannelengineclass-323fa2e0\"></a><h3 id=\"operator_faceoutput-idatachannelengineclass-323fa2e0\">Operator_FaceOutput : IDataChannelEngineClass {323fa2e,0}</h3></div>\n\
<p>Outputs the stack face data to the mesh.</p>\n\
<div class=\'codeBlock\'><pre>.output : integer\n\
</pre></div><p>The data type to output where:</p>\n\
<ul>\n\
<li>0=Selection</li>\n\
<li>1=Material ID</li>\n\
<li>2=Smoothing Group</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.type : integer\n\
</pre></div><p>The type of output operation, where:</p>\n\
<ul>\n\
<li>0=Replace</li>\n\
<li>1=Add</li>\n\
<li>2=Subtract</li>\n\
<li>3=Multiply</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"operator_edgeoutput-idatachannelengineclass-111aa3d0\"></a><h3 id=\"operator_edgeoutput-idatachannelengineclass-111aa3d0\">Operator_EdgeOutput : IDataChannelEngineClass {111aa3d,0}</h3></div>\n\
<p>Outputs the stack edge data to the mesh.</p>\n\
<div class=\'codeBlock\'><pre>.output : integer\n\
</pre></div><p>The data type to output where:</p>\n\
<ul>\n\
<li>0=Selection</li>\n\
<li>1=Crease Weights</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>.type : integer\n\
</pre></div><p>The type of output operation, where:</p>\n\
<ul>\n\
<li>0=Replace</li>\n\
<li>1=Add</li>\n\
<li>2=Subtract</li>\n\
<li>3=Multiply</li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";