var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Displace : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Displace : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"displace-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Displace - superclass: modifier; super-superclass:MAXWrapper - classID: #(806194, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>displace ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.strength Float default: 0.0 -- animatable \n\
</pre></div><p>When set to 0.0, Displace has no effect.</p>\n\
<p>Values greater than 0.0 displace object geometry or particles away from the position of the gizmo.</p>\n\
<p>Values less than 0.0 displace geometry toward the gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.decay Float default: 0.0 -- animatable \n\
</pre></div><p>Varies the displacement strength with distance. By default, Displace has the same strength throughout world space.</p>\n\
<p>Increasing Decay causes the displacement strength to diminish as distance increases from the position of the Displace gizmo.</p>\n\
<p>This has the effect of concentrating the force field near the gizmo, similar to the field around a magnet repelling its opposite charge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.lumCenterEnable Boolean default: false \n\
</pre></div><p>When on, the software uses <span class=\'code\'>.center</span> to determine which level of gray Displace uses as the zero displacement value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.center Float default: 0.5 -- animatable, alias: lumCenter \n\
</pre></div><p>By default, Displace centers the luminance by using medium (50 percent) gray as the zero displacement value.</p>\n\
<p>Gray values greater than 128 displace in the outward direction (away from the Displace gizmo) and gray values less than 128 displace in the inward direction (toward the Displace gizmo).</p>\n\
<p>This value adjusts the default.</p>\n\
<p>With a Planar projection, the displaced geometry is repositioned above or below the Planar gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.bitmap Bitmap default: undefined \n\
</pre></div><p>This bitmap is used for displacement.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.map TextureMap default: undefined \n\
</pre></div><p>This texture map is used for displacement.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.blur Float default: 0.0 -- animatable \n\
</pre></div><p>Blurs or softens the effect of the bitmapped displacement by increasing the value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.maptype Integer default: 0 \n\
</pre></div><p>Type of map projection:</p>\n\
<p>0- Planar (Projects the map from a single plane.)</p>\n\
<p>1- Cylindrical (Projects the map as if it were wrapped around the cylinder.)</p>\n\
<p>2- Spherical (Projects the map from a sphere, with singularities at the top and bottom of the sphere where the bitmap edges meet at the sphere’s poles.)</p>\n\
<p>3- Shrink Wrap (Projects the map from a sphere, as Spherical does, but truncates the corners of the map and joins them all at a single pole, creating only one singularity at the bottom.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.cap Boolean default: false \n\
</pre></div><p>When on, a copy of the map is projected from the ends of the cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.length Float default: 1.0 -- animatable \n\
</pre></div><p>The length of the displace gizmo’s bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.width Float default: 1.0 -- animatable \n\
</pre></div><p>The width of the displace gizmo’s bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.height Float default: 1.0 -- animatable \n\
</pre></div><p>The height of the displace gizmo’s bounding box.</p>\n\
<p>Height has no effect on Planar mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.U_Tile Float default: 1.0 -- animatable \n\
</pre></div><p>The number of times the bitmap repeats along the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.U_Flip Boolean default: false \n\
</pre></div><p>When on, reverses the orientation of the map along the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.V_Tile Float default: 1.0 -- animatable \n\
</pre></div><p>The number of times the bitmap repeats along the V-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.V_Flip Boolean default: false \n\
</pre></div><p>When on, reverses the orientation of the map along the V-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.W_Tile Float default: 1.0 -- animatable \n\
</pre></div><p>The number of times the bitmap repeats along the W-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.W_Flip Boolean default: false \n\
</pre></div><p>When on, reverses the orientation of the map along the W-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.useMap Boolean default: false \n\
</pre></div><p>When on, has Displace use the UV mapping set earlier in the stack. This has no effect if the object is not mapped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.applyMap Boolean default: false \n\
</pre></div><p>When on, applies the Displace UV mapping to the bound object. This lets you apply material maps to the object using the same mapping coordinates as the modifier.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.Map_or_Vertex_Color Integer default: 0 \n\
</pre></div><p>Specifies whether to apply the displacement projection to a mapping channel or a vertex color channel:</p>\n\
<p>0- Map Channel</p>\n\
<p>1- Vertex Color Channel</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.Map_Channel Integer default: 1 \n\
</pre></div><p>The map channel to use for displacement projection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.axis Integer default: 2 \n\
</pre></div><p>Flips the alignment of the mapping gizmo along one of its three axes:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace&gt;.gizmo SubAnim \n\
</pre></div><p>You can move, scale, and rotate the gizmo to alter the effect of the displacement modifier on the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the displace gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace.Gizmo&gt;.rotation Quat default: (quat 0 0 -1 0) -- animatable \n\
</pre></div><p>The rotation of the displace gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Displace.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scaling of the displace gizmo.</p>\n\
<p>Note: The <span class=\'code\'>Gizmo</span> property is not present until the Displace modifier has been applied to a node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";