var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SliceModifier : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SliceModifier : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"slicemodifier-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>sliceModifier - superclass: modifier; super-superclass:MAXWrapper - classID: #(775373310, 309340855) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-D29F8AA9-05CD-4EDB-B4D1-F9698388DC25-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>sliceModifier ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;sliceModifier&gt;.Slice_Type Integer default: 0 \n\
</pre></div><p>Defines how the slice plane will affect the geometry to which it has been applied:</p>\n\
<p>0 - <strong>Refine Mesh</strong> (Adds new vertices and edges along the intersection of the geometry with the slicing plane. Faces cut by the plane are subdivided into new faces.)</p>\n\
<p>1 - <strong>Split Mesh</strong> (Adds a double set of vertices and edges along the plane boundary producing two separate meshes (one on either side of the slice plane), which you can modify differently if desired. Use this to break a mesh in two.)</p>\n\
<p>2 - <strong>Remove Top</strong> (Deletes all the faces and vertices above the Slice Plane.)</p>\n\
<p>3 - <strong>Remove Bottom</strong> (Deletes all the faces and vertices below the Slice Plane.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;sliceModifier&gt;.Faces___Polygons_Toggle Integer default: 1 \n\
</pre></div><p>Specifies how the slice handles quads and other polygons:</p>\n\
<p>0- Operate on Face (Treats the selection set as a set of triangular faces, slicing each one in turn.)</p>\n\
<p>1- Operate on Polygon (Treats the selection set as polygonal facets based on visible edges. Hidden edges within a polygon are recomputed to give the best result for the whole polygons.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;sliceModifier&gt;.slice_plane SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the gizmo like any other object to determine where the slice occurs.</p>\n\
<p>Scaling the gizmo has no effect, because its extents are effectively infinite.</p>\n\
<p>If you need to limit the extent of the slice, use it on a sub-object selection set of faces, rather than on the entire object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sliceModifier.Slice_Plane&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the slice plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sliceModifier.Slice_Plane&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the slice plane object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;sliceModifier.Slice_Plane&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the slice plane object.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";