var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Lathe : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Lathe : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lathe-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Lathe - superclass: modifier; super-superclass:MAXWrapper - classID: #(176, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>lathe ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.degrees Float default: 360.0 -- animatable, angle \n\
</pre></div><p>Determines the number of degrees that the object is spun around the axis of revolution (0 to 360, default=360).</p>\n\
<p>You can set keyframes for Degrees to animate the circular growth of a lathed object.</p>\n\
<p>The Lathe axis auto-sizes itself to the height of the shape being lathed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.weldCore Boolean default: false \n\
</pre></div><p>When on, simplifies the mesh by welding together vertices that lie on the axis of revolution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.flipNormals Boolean default: false \n\
</pre></div><p>Depending on the direction of the vertices on your shape, and the direction of rotation, the lathed object might be inside out. Toggle this value to fix this.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.segs Integer default: 16 -- animatable, alias: segments \n\
</pre></div><p>Determines how many interpolated segments are created in the surface between the start and endpoint.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.capStart Boolean default: false \n\
</pre></div><p>Caps the start of the lathed object with Degrees set to less than 360 and a closed shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.capEnd Boolean default: false \n\
</pre></div><p>Caps the end of the lathed object with Degrees set to less than 360 and a closed shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.capType Integer default: 0 \n\
</pre></div><p>Cap type:</p>\n\
<p>0 - <strong>Morph</strong> (Arranges cap faces in a predictable, repeatable pattern necessary for creating morph targets. Morph capping can generate long, thin faces that don’t render or deform as well as grid capping. Use morph capping primarily if you are lathing multiple morph targets.)</p>\n\
<p>1 - <strong>Grid</strong> (Arranges cap faces in a square grid trimmed at the shape boundaries. This method produces a surface of evenly sized faces that can easily be deformed by other modifiers.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.output Integer default: 1 \n\
</pre></div><p>Output:</p>\n\
<p>0 - <strong>Patch</strong> (Produces an object that you can collapse to a patch object.)</p>\n\
<p>1 - <strong>Mesh</strong> (Produces an object that you can collapse to a mesh object.)</p>\n\
<p>2 - <strong>NURBS</strong> (Produces an object that can be collapsed to a NURBS surface.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.mapCoords Boolean default: false \n\
</pre></div><p>When on, applies mapping coordinates to the lathed object.</p>\n\
<p>When Degrees is less than 360, and Generate Mapping Coordinates is turned on, additional mapping coordinates are applied to the end caps, placing a 1 x 1 tile on each cap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.matIDs Boolean default: true \n\
</pre></div><p>When on, the software assigns different material IDs to the sides and the caps of the lathed object.</p>\n\
<p>Specifically, the sides receive ID 3, and the caps (when Degrees is less than 360 and the lathed shape is closed) receive IDs 1 and 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.useShapeIDs Boolean default: false \n\
</pre></div><p>When on, the software uses the material ID values assigned to segments in the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.smooth Boolean default: true \n\
</pre></div><p>When on, applies smoothing to the extruded shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe&gt;.axis SubAnim \n\
</pre></div><p>At this sub-object level, you can transform and animate the axis of revolution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe.axis&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>Position of the axis of revolution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe.axis&gt;.rotation Quat default: (quat -0.707107 0 0 0.707107) -- animatable \n\
</pre></div><p>Rotation of the axis of revolution.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lathe.axis&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>Scale of the axis of revolution.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";