var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Normalize_Spline2: Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Normalize_Spline2: Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"normalize_spline2-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Normalize_Spline2 - superclass: modifier; super-superclass:MAXWrapper - 12:0 - classID: #(1923908001L, 3670906842L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: An improved spline normalization modifier that offers advanced properties, such as the ability to specify knot count.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Normalize_Spline2() \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.length Float default: 20.0 --\n\
float\n\
</pre></div><p>The desired segment length, used when <strong>NormalizeType</strong> = 0 (Segment Length).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.NormalizeType Integer default:\n\
0 -- integer\n\
</pre></div><p>The normalization method, where:</p>\n\
<ul>\n\
<li>0 = by segment length</li>\n\
<li>1 = by knot count</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.NumKnots Integer default: 20 -- integer\n\
</pre></div><p>The exact number of knots to use, used when <strong>NormalizeType</strong> = 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.MaxKnots Integer default: 1000 -- integer\n\
</pre></div><p>The maximum number of knots to use, when <strong>UseMaxKnots</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.UseMaxKnots BooleanClass default: true -- boolean\n\
</pre></div><p>Specifies whether to cap the maximum number of knots, to protect against very high knot/segment counts.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.UseStraightSegments BooleanClass default: false -- boolean\n\
</pre></div><p>Specifies whether to make segments linear.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.RetainKnots BooleanClass default: false -- boolean\n\
</pre></div><p>Specifies whether to attempt to retain knots that fall within a given tolerance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.RetainPercent Integer default: 10 -- integer\n\
</pre></div><p>When <strong>RetainKnots</strong> is true, this value is the tolerance used to determine whether to retain a knot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.ForEachSpline BooleanClass default: true -- boolean; EachSpline\n\
</pre></div><p>When NormalizeType is 1 (Knot Count), specifies that the knot count is applied to each spline shape, rather than across all spline shapes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.RetainTangents BooleanClass default: true -- boolean\n\
</pre></div><p>Specifies whether to retain the tangents for those knots that are retained</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.ShowKnots BooleanClass default: false -- boolean\n\
</pre></div><p>Specifies whether to show the spline knots in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Normalize_Spline2&gt;.SimpleInterpolation BooleanClass default: false -- Boolean\n\
</pre></div><div class=\'section\'><a id=\"example\"></a><h3 id=\"example\">Example</h3></div>\n\
<div class=\'codeBlock\'><pre>-- create a freehand spline, \n\
-- apply the normalize spline modifier to it to reduce knot count to 10\n\
\n\
f = freehand closed:false\n\
\n\
pts = #()\n\
a = [-50,-50,-50]\n\
b = [50,50,50]\n\
for i = 1 to 20 do (\n\
append pts (random a b)\n\
)\n\
f.knots = pts\n\
print pt_array\n\
f.knots = pt_array\n\
nsm = Normalize_Spline2 NormalizeType:1 ShowKnots:true NumKnots:10\n\
\n\
addModifier f nsm\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";