var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Optimize_Spline : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Optimize_Spline : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"optimize_spline-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Optimize_Spline - superclass: modifier; super-superclass:MAXWrapper - 8:0 - classID: #(751410455L, 2082524464L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that optimizes splines by reducing the number of knots while maintaining the original spline shape .</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Optimize_Spline() OptimizeSpline() \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.adaptive BooleanClass default: true -- Boolean        \n\
</pre></div><p>When creating a new editable spline (see the MakeSpline() method below), indicates that the new spline should have adaptive interpolation turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.iterations Integer default: 8 -- integer      \n\
</pre></div><p>The number of iterations used to compute results. Higher numbers will produce better results, but take longer to complete.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.percent Integer default: 0 -- integer     \n\
</pre></div><p>When reduce_method is 0, this specifies the percent to reduce the number of knots by.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.reduce_method Integer default: 0 -- integer; Reduce_Type      \n\
</pre></div><p>Specifies the knot reduction method, where:</p>\n\
<ul>\n\
<li>0 = reduce knots by a percentage of the total amount</li>\n\
<li>1= reduce knots to a maximum amount</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.reducedMaxKnots Integer default: 2 -- integer; Knots      \n\
</pre></div><p>When the reduce_method is 1, specifies the maximum number of knots to reduce to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.reducedMinKnots Integer default: 2 -- integer; Percent_Min\n\
        \n\
</pre></div><p>When the reduce_method is 0, specifies the minimum number of knots to reduce to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.ShowKnots BooleanClass default: false -- Boolean      \n\
</pre></div><p>Gets or sets whether to show knots in the modified spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Optimize_Spline&gt;.subsegment Integer default: 4 -- integer; Subsegments     \n\
</pre></div><p>Specifies the number of knots to add between existing knots when calculating solutions.</p>\n\
<div class=\'section\'><a id=\"interfaces\"></a><h2 id=\"interfaces\">Interfaces</h2></div>\n\
<p><strong>Interface: <span class=\'code\'>OptimzeSplineModifier</span></strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MakeSpline()\n\
        \n\
</pre></div><p>Makes a new, editable spline based on the optimized spline. Adaptive interpolation is set by the adaptive property (see above).</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";