var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Path_Deform2 : Modfier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Path_Deform2 : Modfier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"path_deform2-modfier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Path_Deform2 - superclass: modifier; super-superclass:MAXWrapper - 34:0 - classID: #(2714319044L, 2976936815L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: An improved modifier that replaces the PathDeform WSM. This modifier includes driven rotation and scale parameters.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Path_Deform2() \n\
</pre></div><div class=\'section\'><a id=\"general-properties\"></a><h2 id=\"general-properties\">General Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.Spline UndefinedClass default: undefined -- node; \n\
</pre></div><p>The spline node that represents the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.percent_along_path Float default: 0.0 -- animatable; float; Percent\n\
</pre></div><p>The point along the path at which the deformed object is placed, as a percent of the overall spline length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.Uniform BooleanClass default: true -- Boolean\n\
</pre></div><p>When true, the percent along the path value is calculated based on overall spline length, when false, the distance between knots is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.Stretch Float default: 1.0 -- animatable; float\n\
</pre></div><p>The amount to stretch the deformed node, where 1.0 = 100%.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.auto_stretch BooleanClass default: false -- boolean; AutoStretch\n\
</pre></div><p>If true, a stretch amount is applied that stretches the node the full length of the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.auto_amount Float default: 1.0 -- animatable; float; AutoAmount\n\
</pre></div><p>The percent of the calculated auto stretch amount to apply; a value of 1.0 is the full amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.UsePivotPont BooleanClass default: false -- boolean; UsePivotPoint\n\
</pre></div><p>Gets or sets whether to use the pivot point rather than the origin as the point to use for constraining to the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.PreserveForm BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether to preserve the original node form. When true, the node is not deformed along the path, but simply has its origin constrained to the path.</p>\n\
<div class=\'section\'><a id=\"path-deform-axis-parameters\"></a><h2 id=\"path-deform-axis-parameters\">Path Deform Axis Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.axis Integer default: 2 -- radiobtnIndex\n\
</pre></div><p>The path deform axis, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.Flip BooleanClass default: false -- Boolean\n\
</pre></div><p>If true, flips the node on the path along the path deform axis.</p>\n\
<div class=\'section\'><a id=\"up-vector-parameters\"></a><h2 id=\"up-vector-parameters\">Up Vector Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.UpVector Integer default: 0 -- radiobtnIndex\n\
</pre></div><p>The up vector method, where:</p>\n\
<ul>\n\
<li>0 = Adaptive - up vectors are automatically calculated</li>\n\
<li>1 = Use Spline Normal - up vectors are calculated from the spline&#39;s normals</li>\n\
<li>2 = Look At - up vectors are calculated based on a separate look at node specified by the <strong>lookat</strong> parameter.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.LookAtNode UndefinedClass default: undefined -- node\n\
</pre></div><p>When UpVector is 2, specifies a scene node to Look At.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.UseNormal BooleanClass default: false -- Boolean\n\
</pre></div><p>Indicates whether to use the spline normal to determine the up direction.</p>\n\
<div class=\'section\'><a id=\"rotation-parameters\"></a><h2 id=\"rotation-parameters\">Rotation Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.RotationAxis Integer default: 2 -- radiobtnIndex\n\
</pre></div><p>The axis of rotation, where:</p>\n\
<ul>\n\
<li>0=X</li>\n\
<li>1=Y</li>\n\
<li>2=Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.rotation Float default: 0.0 -- animatable; float\n\
</pre></div><p>The rotation amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.twist Float default: 0.0 -- animatable; float\n\
</pre></div><p>The twist amount - the rotation applied to one end of the node.</p>\n\
<div class=\'section\'><a id=\"offset-parameters\"></a><h2 id=\"offset-parameters\">Offset Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.MoveBeforeRotation BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether the offset is applied before rotation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.x_offset Float default: 0.0 -- animatable; float; XOffset\n\
&lt;Path_Deform2&gt;.y_offset Float default: 0.0 -- animatable; float; YOffset\n\
&lt;Path_Deform2&gt;.z_offset Float default: 0.0 -- animatable; float; ZOffset\n\
\n\
</pre></div><p>Gets or sets the offset amount in the x, y, and z directions.</p>\n\
<div class=\'section\'><a id=\"across-shapes-parameters\"></a><h2 id=\"across-shapes-parameters\">Across Shapes Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.AcrossShapes Integer default: 0 -- radiobtnIndex\n\
</pre></div><p>The Across Shapes setting, where:</p>\n\
<ul>\n\
<li>0 = Jump</li>\n\
<li>1 = Stretch</li>\n\
<li>2 = Squeeze</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.Loopback BooleanClass default: false -- Boolean\n\
</pre></div><p>Makes the deformed object loop back to the beginning of the spline.</p>\n\
<div class=\'section\'><a id=\"material-id-parameters\"></a><h2 id=\"material-id-parameters\">Material ID Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.AdoptMatID BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets / sets whether to adopt the underlying spline&#39;s Material ID. In the case of multiple splines, the <strong>RoundMatID</strong> value is used to calculate the material ID.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.RoundMatID Integer default: 0 -- radiobtnIndex\n\
</pre></div><p>The material ID rounding method, when <span class=\'code\'>AdoptMatId</span> is true, where:</p>\n\
<ul>\n\
<li>0=Round Down</li>\n\
<li>1=Round Up</li>\n\
<li>2=Average</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"texture-co-ordinates-parameters\"></a><h2 id=\"texture-co-ordinates-parameters\">Texture Co-ordinates Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.Apply_U BooleanClass default: false -- boolean; ApplyU\n\
&lt;Path_Deform2&gt;.Apply_V BooleanClass default: false -- boolean; ApplyV\n\
&lt;Path_Deform2&gt;.Apply_W BooleanClass default: false -- boolean; ApplyW\n\
\n\
</pre></div><p>Allows overwritting the texture U, V, and W coordinates based on the percent along the spline of the object&#39;s vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.channel Integer default: 1 -- integer\n\
</pre></div><p>The texture coordinates channel.</p>\n\
<div class=\'section\'><a id=\"driven-rotation-and-scale-parameters\"></a><h2 id=\"driven-rotation-and-scale-parameters\">Driven Rotation and Scale Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.RotationEnable BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether driven rotation is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.rotationCurve     CurveControl    default: ReferenceTarget:CurveControl   --  maxObject; SubAnim\n\
</pre></div><p>A curve that defines how driven rotation is applied along the spline. It has one property, <strong>.Curve_1</strong>, of type MAXCurve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.DrivingRotScale Float default: 1.0 -- animatable; float\n\
</pre></div><p>Gets or sets a rotation scale factor to apply to the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.ScaleEnable     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets or sets whether to apply the driven scale value to the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.DrivingScaleScale     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Gets or sets a size scale factor to apply to the object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.scaleCurve     CurveControl    default: ReferenceTarget:CurveControl   --  maxObject; SubAnim\n\
</pre></div><p>A curve that defines how driven scale is applied along the spline. It has one property, <strong>.Curve_1</strong>, of type MAXCurve.</p>\n\
<div class=\'section\'><a id=\"paramters-not-in-the-ui\"></a><h2 id=\"paramters-not-in-the-ui\">Paramters not in the UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Deform2&gt;.AdaptiveUpVector BooleanClass default: true -- boolean; AdaptiveUpVector\n\
</pre></div><p>Not used.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";