var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Renderable_Spline : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Renderable_Spline : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"renderable_spline-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Renderable_Spline - superclass: modifier; super-superclass:MAXWrapper - 11:0 - classID: #(-2122363625, -1949890742) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-EE4332E2-0086-4B5D-BD25-7EC53A1F8901-low.gif\' title=\'\'></div>\n\
</pre></div><p>This modifier was introduced in <strong>Autodesk VIZ 2005</strong> as <strong>RendSpline : Modifier</strong> and is available in <strong>3ds Max 7 and higher</strong>. It can be used to procedurally turn an incoming spline shape from the modifier stack into a renderable mesh. It is also used internally when linking DWG files.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Renderable_Spline ... RendSpline ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Renderable BooleanClass default: true -- boolean \n\
</pre></div><p>Toggle the &quot;Enable In Renderer&quot; checkbox on and off. When set to true, a mesh will be generated based on the underlying spline. When false, no mesh will be generated</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.displayRenderSettings BooleanClass default: true -- boolean \n\
</pre></div><p>When on, displays the mesh generated by the render settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.useViewportSettings BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, displays the mesh defined by the Viewport settings if .displayRenderSettings is set to true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.mapcoords BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, mapping coordinates will be generated procedurally.The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<p>When set to false, no mapping coordinates will be generated.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.ViewportOrRender Integer default: 1 -- radiobtnIndex \n\
</pre></div><p>Get/Set the &quot;Viewport/Renderer&quot; radio buttons.</p>\n\
<p>0 - Viewport</p>\n\
<p>1 - Renderer</p>\n\
<div class=\'section\'><a id=\"renderer\"></a><h3 id=\"renderer\">Renderer</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.SymmetricalOrRectangular Integer default: 0 -- radiobtnIndex \n\
</pre></div><p>Get/Set the state of the Radial or Rectangular radio button for the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Radial</p>\n\
<p>1 - Rectangular</p>\n\
<div class=\'section\'><a id=\"renderer---radial-cross-section\"></a><h3 id=\"renderer---radial-cross-section\">Renderer - Radial Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.thickness Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the thickness (diameter)of the radial cross-section in the renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.sides Integer default: 12 -- animatable; integer \n\
</pre></div><p>Get/Set the number of sides of the radial cross-section in the renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.angle Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/Set the rotational position of the cross-section in the renderer.</p>\n\
<div class=\'section\'><a id=\"renderer---rectangular-cross-section\"></a><h3 id=\"renderer---rectangular-cross-section\">Renderer - Rectangular Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.length Float default: 6.0 -- float \n\
</pre></div><p>Get/Set the length of the rectangular cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.width Float default: 2.0 -- float \n\
</pre></div><p>Get/Set the width of the rectangular cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Angle2 Float default: 0.0 -- float; Angle_2 \n\
</pre></div><p>Get/Set the angle of the rectangular cross-section in the renderer.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.LockAspect BooleanClass default: false -- boolean; Lock_Aspect \n\
</pre></div><p>Toggle the Aspect Lock on and off. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"viewport\"></a><h3 id=\"viewport\">Viewport</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_SymmetricalOrRectangular Integer default: 0 -- radiobtnIndex \n\
</pre></div><p>Get/Set the state of the Radial or Rectangular radio button for the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Radial</p>\n\
<p>1 - Rectangular</p>\n\
<div class=\'section\'><a id=\"viewport---radial-cross-section\"></a><h3 id=\"viewport---radial-cross-section\">Viewport - Radial Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_Thickness Float default: 1.0 -- float \n\
</pre></div><p>Get/Set the thickness (diameter)of the radial cross-section in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_Sides Integer default: 12 -- integer \n\
</pre></div><p>Get/Set the number of sides of the radial cross-section in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_Angle Float default: 0.0 -- float \n\
</pre></div><p>Get/Set the rotational position of the cross-section in the viewport.</p>\n\
<div class=\'section\'><a id=\"viewport---rectangular-cross-section\"></a><h3 id=\"viewport---rectangular-cross-section\">Viewport - Rectangular Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_Length Float default: 6.0 -- float \n\
</pre></div><p>Get/Set the length of the rectangular cross-section in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_Width Float default: 2.0 -- float \n\
</pre></div><p>Get/Set the width of the rectangular cross-section in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_Angle2 Float default: 0.0 -- float \n\
</pre></div><p>Get/Set the angle of the rectangular cross-section in the viewport.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Viewport_LockAspect BooleanClass default: false -- boolean; Viewport_Lock_Aspect \n\
</pre></div><p>Toggle the Aspect Lock on and off. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"auto-smooth\"></a><h3 id=\"auto-smooth\">Auto Smooth</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Autosmooth BooleanClass default: true -- boolean \n\
</pre></div><p>Toggle Auto Smooth on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Renderable_Spline&gt;.Threshold Float default: 30.0 -- angle \n\
</pre></div><p>Get/Set the Auto Smooth Threshold value.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";