var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SplineInfluence : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SplineInfluence : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"splineinfluence-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>SplineInfluence - superclass: modifier; super-superclass:MAXWrapper - 14:0 - classID: #(3232560656L, 2603512887L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that modifies the soft selection of knots in a spline based on distance from one or more scene nodes.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>SplineInfluence() \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.bias Float default: 0.0 -- animatable; float\n\
</pre></div><p>The bias applied to the soft selection, when BiasSelected is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.BiasSelected BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether to only apply the bias value to the soft selection when it is selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.ConvertSelections BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether to apply the <strong>SelectionFalloffType</strong> modification to the soft selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.EnableBias BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether to apply the bias value to the soft selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.ExistingSelection Integer default: 0 -- integer\n\
</pre></div><p>Gets or sets how to handle existing selection values, where:</p>\n\
<ul>\n\
<li>0=Add</li>\n\
<li>1=Multiply</li>\n\
<li>2=Overwrite</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.FalloffKnots Integer default: 5 -- animatable; integer\n\
</pre></div><p>Gets or sets the number of neighbor knots affected when the <strong>FalloffMethod</strong> is 2, &quot;Neighbor Knots&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.FalloffMethod Integer default: 0 -- integer\n\
</pre></div><p>Gets or sets the Selection Modify method, where:</p>\n\
<ul>\n\
<li>0 = No Falloff</li>\n\
<li>1 = Percentage of Length (<strong>FalloffPercent</strong> value is used)</li>\n\
<li>2 = Neighbor Knots (<strong>FalloffKnots</strong> value is used)</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.FalloffPercent Float default: 100.0 -- animatable; float\n\
</pre></div><p>Gets or sets the percent of spline length at the selected knot to apply the falloff to, when <strong>FalloffMethod</strong> = 1, &quot;Percentage of Length&quot;. For example, a value of 50% applied to the middle knot would start at 100% at the middle knot, and falloff to 0% at the first and last knot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.FalloffType Integer default: 0 -- integer\n\
</pre></div><p>Gets or sets the falloff type, where:</p>\n\
<ul>\n\
<li>0 = Linear</li>\n\
<li>1 = Smooth</li>\n\
<li>2 = Smoother</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.FarInfluence Float default: 1000.0 -- animatable; float\n\
</pre></div><p>Gets or sets the Far Distance influence parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.InfluenceNodes ArrayParameter default: #() -- node array; SubAnim\n\
</pre></div><p>An array of nodes that influence the soft selection. You can add and remove nodes directly to this array, or use the Spline_Vol_Select interface&#39;s RemoveInfluence() method to remove nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.invert BooleanClass default: false -- Boolean\n\
</pre></div><p>Gets or sets whether to invert the final result.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.NearInfluence Float default: 0.0 -- animatable; float\n\
</pre></div><p>Gets or sets the Far Distance influence parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineInfluence&gt;.SelectionFalloffType Integer default: 0 -- integer\n\
</pre></div><p>Gets or sets the selection modify falloff type, where:</p>\n\
<ul>\n\
<li>0 = Linear</li>\n\
<li>1 = Smooth</li>\n\
<li>2 = Smoother</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"interfaces\"></a><h2 id=\"interfaces\">Interfaces</h2></div>\n\
<p><strong>Interface: Spline_Vol__Select</strong></p>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;Version()\n\
</pre></div><p>Internal use only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;RemoveInfluence &lt;node&gt;Object\n\
</pre></div><p>Removes the specified node from the <strong>influenceNodes</strong> array. Returns true if the node was in the array and removed, false if the node was not in the array.</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";