var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SplineMirror : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SplineMirror : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"splinemirror-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>SplineMirror - superclass: modifier; super-superclass:MAXWrapper - 7:1 - classID: #(1923908001L, 199498350L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that mirrors a spline.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>SplineMirror() \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.axis Integer default: 0 -- integer\n\
</pre></div><p>The mirror axis, where:</p>\n\
<ul>\n\
<li>0 = X</li>\n\
<li>1 = Y</li>\n\
<li>2 = Z</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.Flip BooleanClass default: false -- Boolean\n\
</pre></div><p>If true, the symmetry effect is inverted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.Mirror SubAnim default: SubAnim:Mirror -- transform; \n\
</pre></div><p>The mirrored spline gizmo. See below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.ShowKnots BooleanClass default: false -- boolean\n\
</pre></div><p>If true, the spline&#39;s knots are show in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.slice BooleanClass default: true -- Boolean\n\
</pre></div><p>When true, causes the mirror gizmo to act as a slice plane when it is inside the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.tangents BooleanClass default: false -- Boolean\n\
</pre></div><p>When true, the mirror uses the outgoing tangents to create a smooth segment between the endpoints. This parameter is only used when <strong>weld</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.threshold Float default: 0.1 -- animatable; float\n\
</pre></div><p>The threshold for welding vertices along the mirror axis, when <strong>weld</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror&gt;.weld BooleanClass default: true -- Boolean\n\
</pre></div><p>Determines whether vertices within the specified threshold are welded along the mirror axis.</p>\n\
<div class=\'section\'><a id=\"splinemirror.mirror\"></a><h2 id=\"splinemirror.mirror\"><span class=\'code\'>SplineMirror.Mirror</span></h2></div>\n\
<div class=\'codeBlock\'><pre>SplineMirror.Mirror - superclass: MAXObject; super-superclass:Value - 3:3 - classID: #(8197L, 0L)\n\
</pre></div><p>The mirrored spline gizmo. The position and rotation of the gizmo affect the mirrored spline object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror.Mirror&gt;.Position Point3 default: [0,0,0] -- animatable; point3\n\
</pre></div><p>Gets or sets the spline mirror gizmo position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror.Mirror&gt;.Rotation Quat default: (quat 0 0 0 1) -- animatable; quat\n\
</pre></div><p>Gets or sets the spline mirror gizmo rotation matrix.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMirror.Mirror&gt;.Scale Point3 default: [1,1,1] -- animatable; point3\n\
</pre></div><p>Gets or sets the spline mirror gizmo size. Note that this parameter does not affect the size of the mirrored spline object.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h2 id=\"example\">Example</h2></div>\n\
<div class=\'codeBlock\'><pre>-- create a spline, add a mirror modifier\n\
c = circle()\n\
sm = SplineMirror()\n\
addmodifier c sm\n\
-- offset the mirrored spline\n\
sm.mirror.pos = [-15,0,0]\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";