var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SplineMorph : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SplineMorph : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"splinemorph-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>SplineMorph - superclass: modifier; super-superclass:MAXWrapper - 34:0 - classID: #(1923908001L, 3670906845L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: A modifier that morphs the modified spline into one or more target splines that have the same number of knots.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>SplineMorph() \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMorph&gt;.amount Float default: 50.0 -- animatable; float\n\
</pre></div><p>The amount of morph to apply as a percent from 0 - 100, when the <strong>MorphMethod</strong> is 0, &quot;Progressive&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMorph&gt;.invert BooleanClass default: false -- Boolean\n\
</pre></div><p>Inverts the soft selection when <strong>Use_Softselection</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMorph&gt;.MorphMethod Integer default: 0 -- integer\n\
</pre></div><p>Gets or sets the morph method, where:</p>\n\
<ul>\n\
<li>0 = Progressive</li>\n\
<li>1 = Blended</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMorph&gt;.Target[N] UndefinedClass default: undefined -- node; \n\
</pre></div><p>Gets or sets the morph target. There are 10 target slots, named <strong>Target1</strong> to <strong>Target10</strong>. The morph target must have the same number of knots as the modified spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMorph&gt;.TargetOn[N] BooleanClass default: true -- boolean\n\
</pre></div><p>Gets or sets whether the corresponding Target is used. There are 10 slots, named <strong>TargetOn1</strong> to <strong>TargetOn10</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMorph&gt;.TargetWeight[N] Float default: 100.0 -- animatable; float; TargetAmount1\n\
</pre></div><p>Gets or sets the blend weight, as a percent, for the target, when the morph method is &quot;Blended&quot;. There are 10 slots, named <strong>TargetWeight1</strong> to <strong>TargetWeight10</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SplineMorph&gt;.Use_Softselection BooleanClass default: true -- boolean; UseSoftselection\n\
</pre></div><p>Uses the soft selection value to weight the morph value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";