var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Project_Mapping : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Project_Mapping : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"project_mapping-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>Project_Mapping : ReferenceTarget {56bb7872,2d4c74ef} \n\
</pre></div><p>The <strong>Project_MappingReferenceTarger</strong> is used as a &quot;plug-in&quot; for the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Projection-Mapping-Modifiers/Projection-Modifier.html\' title=\'\'>Projection : Modifier</a>. It implements the basic projection of mapping coordinates between geometry objects with dissimilar topology.</p>\n\
<p>Note: Class instances <strong>not creatable</strong> by MAXScript</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6981EBB4-B9A1-445A-B9C6-CD72275744E0-low.gif\' title=\'\'></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.name: string\n\
</pre></div><p>Get/Set the name of the Projection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.holderName (Projection_Holder_Name) : string\n\
</pre></div><p>Get/Set the name of the corresponding Project_Mapping_Holder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.createNewHolder (Create_New_Holder) : boolean\n\
</pre></div><p>Get/Set the state of the &quot;Create New Holder&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.sameTopology (Same_Topology) : boolean\n\
</pre></div><p>Get/Set the state of the &quot;Same Topology&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.alwaysUpdate (Always_Update_Holder) : boolean\n\
</pre></div><p>Get/Set the state of the &quot;Always Update &quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.sourceMapChannel (Source_Map_Channel) : integer\n\
</pre></div><p>Get/Set the source map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.sameAsSource (Same_as_Source) : boolean\n\
</pre></div><p>Get/Set the state of the &quot;Same as Source&quot; checkbox.</p>\n\
<p>When <span class=\'code\'>true</span> , the <span class=\'code\'>.sourceMapChannel</span> value will be used for both Source and Target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.targetMapChannel (Target_Map_Channel) : integer\n\
</pre></div><p>Get/Set the target map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.projectMaterialIDs (Project_Material_IDs) : boolean\n\
</pre></div><p>Get/Set the state of the &quot;Project Material IDs&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.ignoreBackfacing (Ignore_Backfacing) : boolean\n\
</pre></div><p>When set to <span class=\'code\'>true</span> , backfaces will be ignored.</p>\n\
<p>Corresponds to the &quot;Ignore Backfacing&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is false.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.testSeams (Test_Seams) : boolean\n\
</pre></div><p>When set to<strong>true</strong>, seams will be checked.</p>\n\
<p>Corresponds to the &quot;Test Seams&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is true.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.checkEdgeRatios (Check_Edge_Ratios) : boolean\n\
</pre></div><p>When set to<strong>true</strong>, edge ratios will be checked.</p>\n\
<p>Corresponds to the &quot;Check Edge Ratios&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is false.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.edgeRatioThreshold (Edge_Ratio_Threshold) : float\n\
</pre></div><p>Get/set the Edge Ratio Threshold.</p>\n\
<p>Corresponds to the &quot;Check Edge Ratios&gt;Threshold&quot; spinner in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is 0.1.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.weldUVs (Weld_UVs) : boolean\n\
</pre></div><p>When set to <span class=\'code\'>true</span> , UVs will be welded based on the threshold defined by <span class=\'code\'>.weldUVsThreshold</span> .</p>\n\
<p>Corresponds to the &quot;Weld UVs&quot; checkbox in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is <span class=\'code\'>true</span> .</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Project_Mapping&gt;.weldUVsThreshold (Weld_UVs_Threshold) : float\n\
</pre></div><p>Get/set the UV Welding Threshold.</p>\n\
<p>Corresponds to the &quot;Weld UVs&gt;Threshold&quot; spinner in the &quot;Projection Quality&quot; group of controls.</p>\n\
<p>Default is 5.0.</p>\n\
<p>Available in<strong>3ds Max 2008 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";