var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>VolumeSelect : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>VolumeSelect : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"volumeselect-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>VolumeSelect - superclass: modifier; super-superclass:MAXWrapper - classID: #(1017361, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-E596CD56-8AB4-402E-88A1-651950810FB5-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>volumeselect ... vol__Select ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.level Integer default: 0 \n\
</pre></div><p>Volume Select provides three selection levels. Vertex and Face levels put the modifier stack in sub-object selection. You can make one sub-object selection for each Volume Select modifier. You can then toggle the one selection between Face and Vertex level to send either up the stack. Object (top) level lets you modify the whole object while retaining any sub-object selection.</p>\n\
<p>0- Object</p>\n\
<p>1- Vertex</p>\n\
<p>2- Face</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.type Integer default: 0 \n\
</pre></div><p>Lets you determine whether selected faces are wholly or partially within the defined volume:</p>\n\
<p>0- Window (Selects only faces with all three vertices within the selection volume.)</p>\n\
<p>1- Crossing (Selects faces with only one vertex within the selection volume.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.invert Boolean default: false \n\
</pre></div><p>When on, the entire selection set is reversed. Geometry that was unselected becomes selected, and vice versa.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.method Integer default: 0 \n\
</pre></div><p>Sets the volume select type:</p>\n\
<p>0- Replace (Clears any selection passed up the stack to the Volume Select modifier, and then selects geometry within the volume.)</p>\n\
<p>1- Add (Selects all geometry within the volume, adding to any previous selection.)</p>\n\
<p>2- Subtract (Deselects all geometry within the volume.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.volume Integer default: 0 \n\
</pre></div><p>These controls let you define the selection with a primitive, a mesh object, or by surface characteristics:</p>\n\
<p>0- Box</p>\n\
<p>1- Sphere</p>\n\
<p>2- Cylinder</p>\n\
<p>3- Mesh Object</p>\n\
<p>4- Texture Map</p>\n\
<p>5- Material Id</p>\n\
<p>6- Smoothing Group</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.Node  Node default: undefined \n\
</pre></div><p>The node which defines the selection space when <span class=\'code\'>.volume</span> is set to 3 (mesh object).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.matID Integer default: 1 -- alias: Material_ID \n\
</pre></div><p>When <span class=\'code\'>.volume</span> is set to 5 (material ID), all faces or vertices using the material ID specified by this value are selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.smGroup Integer default: 1 -- alias: Smoothing_Group \n\
</pre></div><p>When <span class=\'code\'>.volume</span> is set to 6 (smoothing group), all faces or vertices using the smoothing group specified by this value are selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.texture  TextureMap default: undefined -- alias: TextureMap \n\
</pre></div><p>When <span class=\'code\'>.volume</span> is set to 4 (texture map), this texture map will define the selection space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.map Integer default: 0 -- alias: Map_Channel_Type \n\
</pre></div><p>Specifies whether to apply the selection by mapping channel or vertex color channel:</p>\n\
<p>0- Map Channel</p>\n\
<p>1- Vertex Color Channel</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.mapChannel Integer default: 1 -- alias: Map_Channel \n\
</pre></div><p>Specifies which map channel to use when <span class=\'code\'>.map</span> is set to 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.autofit Boolean default: true -- alias: Auto_fit \n\
</pre></div><p>When on, automatically adjusts the gizmo size and shape to fit the object as you change the underlying topology.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.UseAffectRegion Boolean default: false -- alias: Use_affect_region \n\
</pre></div><p>When on, a soft selection region is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.falloff Float default: 20.0 -- animatable \n\
</pre></div><p>Distance in current units from the center to the edge of a sphere defining the affected region. Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.pinch Float default: 0.0 -- animatable \n\
</pre></div><p>Raises and lowers the top point of the curve along the vertical axis. Sets the relative &quot;pointedness&quot; of the region. When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.bubble Float default: 0.0 -- animatable \n\
</pre></div><p>Expands and contracts the curve along the vertical axis. Sets the relative &quot;fullness&quot; of the region. Limited by Pinch, which sets a fixed starting point for Bubble. A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge. Negative values for Bubble move the bottom of the curve below the surface, creating a &quot;valley&quot; around the base of the region.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.center Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>You can translate and animate the center, which affects rotation or scaling of the Volume Select modifier’s gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect&gt;.gizmo SubAnim \n\
</pre></div><p>You can transform and animate the gizmo to change the selection. Translating the gizmo translates its center an equal distance. Rotating and scaling the gizmo takes place with respect to its center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the volumeselect gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect.Gizmo&gt;.rotation Quat default: (quat 0 0 0 1) -- animatable \n\
</pre></div><p>The rotation of the volumeselect gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Volumeselect.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the volumeselect gizmo.</p>\n\
<p>Note: The <span class=\'code\'>center</span> and <span class=\'code\'>gizmo</span> properties are not present until the Volumeselect modifier has been applied to a node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";