var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HSDS_Modifier - superclass: modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HSDS_Modifier - superclass: modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hsds_modifier---superclass-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>HSDS_Modifier - superclass: modifier; super-superclass:MAXWrapper - 15:0 - classID: #(341062, 28997) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-71A669E4-727C-4692-B334-38908C68373F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>HSDS_Modifier ... HSDS ... \n\
</pre></div><p>Note: The <strong>HSDS_Modifier</strong> class is exposed as <strong>HSDS</strong> in <strong>3ds Max 5 and higher</strong>. Both the old and the new constructor will work, so existing scripts should remain compatible. Testing the class using classof will return true for both <strong>HSDS_Modifier</strong> and <strong>HSDS</strong>. Also note that there are a couple of new properties in <strong>3ds Max 5 and higher</strong> described at the bottom of the Properties list.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.levelOfDetail Integer default: 0 -- integer; LOD \n\
</pre></div><p>Shows the current level of the subdivision hierarchy. Automatically increments when you subdivide a sub-object selection. To edit at a different level of detail, change the setting to the desired level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.matId Integer default: 1 -- integer; Material_Id \n\
</pre></div><p>Displays the material ID assigned to the current selection. Available only in Polygon and Element sub-object modes. If multiple sub-objects are selected and they don&#39;t share an ID, this field is blank.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.ignoreBackface Boolean default: false -- boolean; Ignore_Backface \n\
</pre></div><p>When on, you can select only those sub-objects whose normals are visible in the viewport. When off (the default), selection includes all sub-objects, regardless of the direction of their normals.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.useSoftSel Boolean default: false -- boolean; Use_Soft_Selection \n\
</pre></div><p>These controls let you set a gradual falloff of influence between selected and unselected vertices. See Soft Selection Rollout (Edit/Editable Mesh).</p>\n\
<p>Vertex Interpolation rollout</p>\n\
<p>Determines how selected vertices are treated during subdivision. Available only in Vertex sub-object mode.</p>\n\
<p>For best results, use when moving control grid vertices at a level of detail lower than the highest in which the vertex resides.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.useEdgeDist Boolean default: false -- boolean; Use_Edge_Distance \n\
&lt;HSDS_Modifier&gt;.affectBackface Boolean default: false -- boolean; Affect_Backface \n\
</pre></div><p>When on, deselected sub-objects whose normals (or, in the case of vertices and edges, the normals of faces to which they&#39;re attached) are facing in the opposite direction to the average normal of the selected sub-objects, are affected by the soft selection influence. Turn off Affect Backfacing when you want to pull faces of a thin object, such as a thin box, but don&#39;t want to affect faces on the other side of the object.</p>\n\
<p>Note:</p>\n\
<p>Affect Backfacing is not available when editing splines.</p>\n\
<p>When using Edit/Editable Mesh, you can also use the keyboard shortcut <strong>Ctrl+F</strong> to toggle Affect Backfacing (while the Keyboard Shortcut Override Toggle button is turned on).</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.edgeDistance Integer default: 1 -- integer; Edge_Dist \n\
</pre></div><p>This spinner setting limits the region affected by the number of edges between the selection and the affected vertices. The affected region is measured in terms of &quot;edge-distance&quot; space, along the surface, rather than real space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.falloff Float default: 20.0 -- float \n\
</pre></div><p>Distance in current units from the center to the edge of a sphere defining the affected region. Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry. Default=20.</p>\n\
<p>Note:</p>\n\
<p>At the Vertex sub-object level, the region specified by the Falloff setting is depicted graphically in the viewports as a vertex-color gradient from the Sub-selection color (normally red) to the Vertex Ticks color (normally blue). In addition, this gradient is updated in real time as you change the Falloff setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.pinch Float default: 0.0 -- float \n\
</pre></div><p>Raises and lowers the top point of the curve along the vertical axis. Sets the relative &quot;pointedness&quot; of the region. When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis. Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.bubble Float default: 0.0 -- float \n\
</pre></div><p>Expands and contracts the curve along the vertical axis. Sets the relative &quot;fullness&quot; of the region. Limited by Pinch, which sets a fixed starting point for Bubble. A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge. Negative values for Bubble move the bottom of the curve below the surface, creating a &quot;valley&quot; around the base of the region. Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.vertexType Integer default: 0 -- integer; Vertex_Type] \n\
</pre></div><p>Standard/Conic/Cusp/Corner:</p>\n\
<p>Determines how closely mesh vertices follow the movement of control grid vertices. Standard provides the least amount of relative movement, while Cusp and Corner provide the most. Corner also more closely matches mesh edges to the control grid edges attached to the moved vertex. Default=Standard.</p>\n\
<p><strong>The following additional properties have been exposed in 3ds Max 5:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.crease Float default: 0.0 -- float \n\
</pre></div><p>Controls the Edge Crease value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.displayLevel Integer default: 0 -- integer; Display_Level \n\
</pre></div><p>Returns the current display level</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.onlyCurrentLevel Boolean default: false -- boolean; Only_Current_Level \n\
</pre></div><p>When set to true, only the current level will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.smoothResult Boolean default: true -- boolean; Smooth_Result \n\
</pre></div><p>When set to true, the resulting mesh will be smoothed.</p>\n\
<blockquote>\n\
<p><strong>REMOVED:</strong></p>\n\
<p>The following property was available in <strong>3ds Max 4</strong> but is <strong>not</strong> available in <strong>3ds Max 5 and higher</strong>:</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;HSDS_Modifier&gt;.shadedLattice Boolean default: false -- boolean; Shaded_Lattice \n\
</pre></div><p>Displays only polygons at the current level of detail, with highlights, but without smoothing. Use this option to speed up the display when working with complex objects. Default=off.</p>\n\
<p><strong>HSDS_Modifier interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: hsdsOps \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;subdivide() \n\
&lt;void&gt;deletePolygon() \n\
&lt;void&gt;hide() \n\
&lt;void&gt;showAll() \n\
&lt;void&gt;createNamedSelection &lt;string&gt;name \n\
&lt;void&gt;activateNamedSelection &lt;string&gt;name \n\
&lt;void&gt;addDetail &lt;float&gt;length&lt;float&gt;angle \n\
&lt;void&gt;removeDetail &lt;float&gt;length&lt;float&gt;angle \n\
&lt;void&gt;setDetailPrecision &lt;float&gt;p\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";