var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MeshSmooth : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MeshSmooth : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"meshsmooth-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>meshsmooth - superclass: modifier; super-superclass:MAXWrapper - classID: #(50, 32670) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-71A669E4-727C-4692-B334-38908C68373F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>meshSmooth...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.subdivMethod Integer default: 2 \n\
</pre></div><p>Selects the Subdivision method to use:</p>\n\
<p>0 - <strong>Classic</strong> (Produces three- and four-sided facets.)</p>\n\
<p>1 - <strong>Quad Output</strong> (Produces only four-sided facets.)</p>\n\
<p>2 - <strong>NURMS</strong> (Produces Non-Uniform Rational MeshSmooth object.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.Apply_To_Whole_Mesh Boolean default: true \n\
</pre></div><p>When turned on, any sub-object selection passed up the stack is ignored and MeshSmooth is applied to the entire object.</p>\n\
<p>Note that the sub-object selection is still passed up the stack to any subsequent modifiers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.ignoreSel Boolean default: true \n\
</pre></div><p>When turned on, any sub-object selection passed up the stack is ignored and MeshSmooth is applied to the entire object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.oldMapping Boolean default: false \n\
</pre></div><p>Uses the algorithm from the previous release of the program to apply MeshSmooth to the mapping coordinates.</p>\n\
<p>This technique tends to distort the underlying mapping coordinates as it creates new faces and as texture coordinates shift.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.iterations Integer default: 0 -- animatable \n\
</pre></div><p>The number of iterations used to smooth the mesh. Each iteration generates new faces using the vertices created from the previous iteration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.smoothness Float default: 1.0 -- animatable; alias: smoothness_filter \n\
</pre></div><p>Determines how sharp a corner must be before faces are added to smooth it.</p>\n\
<p>Smoothness is calculated as the average angle of all edges connected to a vertex.</p>\n\
<p>A value of 0.0 prevents the creation of any faces.</p>\n\
<p>A value of 1.0 adds faces to all vertices even if they lie on a plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.useRenderIterations Boolean default: false; alias: use_render_iterations \n\
</pre></div><p>Turn on/off use of render iterations, for using a different number of iterations at render time.</p>\n\
<p>When off, the software will use the <span class=\'code\'>iterations</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.renderIterations Integer default: 0 -- animatable; alias: render_iterations \n\
</pre></div><p>Number of smoothing iterations to be applied to the object at render time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.useRenderSmoothness Boolean default: false; alias: use_render_smoothness \n\
</pre></div><p>Turn on/off use of render smoothness, for using a different smoothness value at render time.</p>\n\
<p>When off, the software will use the <span class=\'code\'>smoothness</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.renderSmoothness Float default: 1.0 -- animatable; alias: render_smoothness \n\
</pre></div><p>Lets you choose a different Smoothness value to be applied to the object at render time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.ignoreBackfacing Boolean default: false \n\
</pre></div><p>When on, selection of sub-objects selects only those sub-objects whose normals are visible in the viewport.</p>\n\
<p>When off (the default), selection includes all sub-objects, regardless of the direction of their normals.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.controlLevel Integer default: 0 \n\
</pre></div><p>Allows you to see the control mesh after one or more iterations and to edit sub-object points and edges at that level.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.displayCage Boolean default: false; alias: display_control_mesh\n\
</pre></div><p>Displays awireframe gizmo that shows what the control mesh looks like after it’s been converted to polygons (if applicable) and before the smoothing occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;meshsmooth&gt;.CageColor Point3 default: [1,0.588235,0] -- point3; Cage_Color \n\
</pre></div><p>Displays a wireframe gizmo that shows what the control mesh looks like after it’s been converted to polygons (if applicable) and before the smoothing occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;meshsmooth&gt;.selectedCageColor Point3 default: [0.94902,0.85098,0] -- point3; Selected_Cagwe_Color \n\
</pre></div><p>Displays a wireframe gizmo that shows what the control mesh looks like after it’s been converted to polygons (if applicable) and before the smoothing occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.useSoftSel Boolean default: false \n\
</pre></div><p>Affects the action of Move, Rotate, and Scale functions within editable object or edit modifier, and the action of deformation modifiers applied to the object if they are operating on a sub-object selection.</p>\n\
<p>When on, <strong>3ds Max</strong> applies a spline curve deformation to the unselected sub-objects surrounding the selection that you transform.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.useEdgeDist Boolean default: false \n\
</pre></div><p>Turn on/off use Edge Distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.edgeDist Integer default: 1 \n\
</pre></div><p>Limits the region affected by the number of edges between the selection and the affected vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.affectBackfacing Boolean default: false \n\
</pre></div><p>When on, deselected sub-objects whose normals (or, in the case of vertices and edges, the normals of faces to which they’re attached) are facing in the opposite direction to the average normal of the selected sub-objects, are affected by the soft selection influence.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.falloff Float default: 20.0 \n\
</pre></div><p>Distance in current units from the center to the edge of a sphere defining the affected region.</p>\n\
<p>Use higher falloff settings to achieve more gradual slopes, depending on the scale of your geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.pinch Float default: 0.0 \n\
</pre></div><p>Raises and lowers the top point of the curve along the vertical axis. Sets the relative &quot;pointedness&quot; of the region.</p>\n\
<p>When negative, a crater is produced instead of a point. At a setting of 0, Pinch produces a smooth transition across this axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.bubble Float default: 0.0 \n\
</pre></div><p>Expands and contracts the curve along the vertical axis. Sets the relative &quot;fullness&quot; of the region. Limited by Pinch, which sets a fixed starting point for Bubble.</p>\n\
<p>A setting of 0 for Pinch and 1.0 for Bubble produces a maximum smooth bulge.</p>\n\
<p>Negative values for Bubble move the bottom of the curve below the surface, creating a &quot;valley&quot; around the base of the region.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.strength Float default: 0.5 -- animatable \n\
</pre></div><p>Sets the size of the added faces using a range from 0.0 to 1.0.</p>\n\
<p>Values near 0.0 create small faces that are very thin and close to the original vertices and edges, values near 0.5 size faces evenly between edges, and values near 1.0 create large new faces and make the original faces very small.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.Relax Float default: 0.0 -- animatable \n\
</pre></div><p>Applies a positive relax effect to smooth all vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.limitSurface Boolean default: false; alias: project_to_limit_surface \n\
</pre></div><p>Places all points on the &quot;limit surface&quot; of the MeshSmooth result, which is the surface you’d get after an infinite number of iterations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.smoothResult Boolean default: false; alias: smooth_output \n\
</pre></div><p>Applies the same smoothing group to all faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.sepByMats Boolean default: false; alias: separate_by_materials \n\
</pre></div><p>Prevents the creation of new faces for edges between faces that do not share Material IDs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.sepBySmGroups Boolean default: false; alias: separate_by_smoothing_group \n\
</pre></div><p>Prevents the creation of new faces at edges between faces that don’t share at least one smoothing group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.faceType Integer default: 1 \n\
</pre></div><p>Select the type to operate on during input conversion:</p>\n\
<p>0- <strong>Faces</strong></p>\n\
<p>1- <strong>Polygons</strong></p>\n\
<p>Operate On Faces treats every triangle as a face and smooths across all edges, even invisible edges.</p>\n\
<p>Operate On Polygons ignores invisible edges, treating polygons (like the quads making up a box or the cap on a cylinder) as a single face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.keepConvex Boolean default: false; alias: keep_input_faces_convex \n\
</pre></div><p>Keeps all input polygons convex.</p>\n\
<p>Selecting this option causes non-convex polygons to be handled as a minimum number of separate faces, each of which is convex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.update Integer default: 0; alias: update_options \n\
</pre></div><p>Set update options:</p>\n\
<p>0- Always update</p>\n\
<p>1- Update when rendering</p>\n\
<p>2- Update Manually</p>\n\
<div class=\'codeBlock\'><pre>&lt;MeshSmooth&gt;.reset Integer default: 0 \n\
</pre></div><p>Select reset settings:</p>\n\
<p>0- Reset all levels</p>\n\
<p>1- Reset this level</p>\n\
<p>Note:</p>\n\
<p>The edge and vertex weight properties are not accessible to MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";