var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Subdivide : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Subdivide : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"subdivide-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>subdivide - superclass: modifier; super-superclass:MAXWrapper - classID: #(283338281, 240408334)\n\
</pre></div><p>The Subdivide Modifier provides procedural means for subdividing polygons for radiosity processing.</p>\n\
<p>The Subdivide Modifier has three new remeshing algorithms (Delaunay, Adaptive, and Variable Curvature), and all the properties and interfaces below are new, except for <span class=\'code\'>size</span>, <span class=\'code\'>showAllTriangles</span>, and <span class=\'code\'>manualUpdate</span>. <strong>Available in 3ds Max 2021.3 Update and higher.</strong> ## Constructor</p>\n\
<div class=\'codeBlock\'><pre>subdivide...\n\
</pre></div><p>{toc}</p>\n\
<div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.remeshType     Integer    default: 0   --  integer; Remesh_Type\n\
</pre></div><p>Gets/sets the <strong>Subdivide Mode</strong>, where:</p>\n\
<ul>\n\
<li>0 = Subdivide</li>\n\
<li>1 = Delaunay</li>\n\
<li>2 = Adaptive</li>\n\
<li>3 = Variable Curvature</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.manualUpdate Integer default: 1 -- integer; Manual_Update\n\
</pre></div><p>Get/Set the Update mode of the modifier:</p>\n\
<p>0 - <strong>Manual</strong></p>\n\
<p>1 - <strong>Automatic</strong></p>\n\
<p>2 - <strong>Render</strong></p>\n\
<div class=\'section\'><a id=\"subdivide-mode-properties\"></a><h3 id=\"subdivide-mode-properties\">Subdivide Mode Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.size Float default: variable -- animatable; world units\n\
</pre></div><p>Get/set the size, which is the target face length scale on the output mesh. The default (initial) value is 10% of the length of the bounding box for the largest object to which the modifier is applied.</p>\n\
<div class=\'section\'><a id=\"delaunay-mode-properties\"></a><h3 id=\"delaunay-mode-properties\">Delaunay Mode Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.delaunaySize     Float    default: variable   --  animatable; worldUnits; Delaunay_Size\n\
</pre></div><p>Get/set the size, which is the target face length scale on the output mesh. The default (initial) value is 10% of the length of the bounding box for the largest object to which the modifier is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.delaunayRelaxationCoeff     Float    default: 0.0   --  animatable; float; Delaunay_Relaxation_Coefficient\n\
</pre></div><p>Get/set the <strong>Relax</strong> value, which is the blending between relaxed and unrelaxed vertex positions at each relaxation iteration, where 1.0 is fully relaxed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.delaunayRelaxationIterations     Integer    default: 5   --  animatable; integer; Delaunay_Relaxation_Iterations\n\
</pre></div><p>Get/set the number of relaxation iterations to apply to the output mesh.</p>\n\
<div class=\'section\'><a id=\"adaptive-mode-properties\"></a><h3 id=\"adaptive-mode-properties\">Adaptive Mode Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.adaptiveEdgeLength     Float    default: 39.3701   --  animatable; worldUnits; Adaptive_Edge_Length\n\
</pre></div><p>Get/set the target edge length on the output mesh. The default (initial) value is 10% of the length of the bounding box for the largest object to which the modifier is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.adaptiveRegularity     Float    default: 0.5   --  animatable; float; Adaptive_Regularity\n\
</pre></div><p>Get/set the degree of regularity imposed upon the output mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.adaptiveThreshold     Float    default: 0.5   --  animatable; float; Adaptive_Threshold\n\
</pre></div><p>Get/set the normal threshold value for the remesh algorithm.</p>\n\
<div class=\'section\'><a id=\"variable-curvature-mode-properties\"></a><h3 id=\"variable-curvature-mode-properties\">Variable Curvature Mode Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.variableCurvatureEdgeLength     Float    default: 39.3701   --  animatable; worldUnits; Variable_Curvature_Edge_Length\n\
</pre></div><p>Get/set the target edge length on the output mesh. The default (initial) value is 10% of the length of the bounding box for the largest object to which the modifier is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.variableCurvatureRegularity     Float    default: 0.5   --  animatable; float; Variable_Curvature_Regularity\n\
</pre></div><p>Get/set the degree of regularity imposed on the output mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.variableCurvatureThreshold     Float    default: 0.5   --  animatable; float; Variable_Curvature_Threshold\n\
</pre></div><p>Get/set the normal threshold for the remesh algorithm.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.variableCurvatureVariableDensity     Float    default: 0.1   --  animatable; float; Variable_Curvature_Variable_Density\n\
</pre></div><p>Get/set the amount of density variation in regions of strong curvature. A smaller value permits more refinement in such regions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.variableCurvatureTransition     Float    default: 0.0   --  animatable; worldUnits; Variable_Curvature_Transition\n\
</pre></div><p>Get/set the transition region width near boundaries or constrained edges.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.variableCurvatureIterations     Integer    default: 1   --  animatable; integer; Variable_Curvature_Iterations\n\
</pre></div><p>Get/set the number of algorithm iterations. Use of this parameter is discouraged. Note: this parameter is not exposed in the modifier UI.</p>\n\
<div class=\'section\'><a id=\"preserve-mesh-data-properties\"></a><h3 id=\"preserve-mesh-data-properties\">Preserve Mesh Data Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.preserveMeshData     BooleanClass    default: true   --  boolean; Preserve_Mesh_Data\n\
</pre></div><p>Specifies whether to preserve original mesh data on the output mesh, using the values in the properties below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.preservedMapIndex     Integer    default: 1   --  integer; Preserved_Map_Index\n\
</pre></div><p>Get/set the map channel for which map coordinates and seams should be propagated to the output mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.preservedSharpEdgeAngle     Float    default: 30.0   --  float; Preserved_Sharp_Edge_Angle\n\
</pre></div><p>Specifies whether to propagate hard edges, detected based upon the angle between adjacent face normals, to the output mesh. Additionally, this parameter influences the degree of refinement near such edges for the Variable Curvature algorithm.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.preserveSharpEdgesByAngle     BooleanClass    default: false   --  boolean; Preserve_Sharp_Edges_By_Angle\n\
</pre></div><p>Get/set the angle, in degrees, above which hard edges are detected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.showAllTriangles Boolean default: true -- boolean; Show_All_Triangles\n\
</pre></div><p>Get/Set the state of the &quot;Display Subdivisions&quot; checkbox. Controls whether to display the subdivision in the viewport or not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.size Float default: 39.3701 -- animatable; world units\n\
</pre></div><p>Get/Set the Subdivision Size value.</p>\n\
<div class=\'section\'><a id=\"hidden-parameters\"></a><h3 id=\"hidden-parameters\">Hidden Parameters</h3></div>\n\
<p>These parameters are not visible in the Subdivision Modifier UI, and all apply to the legacy Subdivision mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideDiagonalRatio     Float    default: 0.6   --  float; Subdivide_Diagonal_Ratio\n\
</pre></div><p>The diagonal length scaling factor for computing quadrilateral face quality metrics; value of 0.6 by default, range [0.0, 1.0].</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideDoEnforceQuality     BooleanClass    default: true   --  boolean; Subdivide_Do_Enforce_Quality\n\
</pre></div><p>A flag controlling the imposition of quality checks on the output mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideDoFormQuads     BooleanClass    default: false   --  boolean; Subdivide_Do_Form_Quads\n\
</pre></div><p>A flag indicating whether triangular faces generated by the remesh algorithm should be merged into quadrilateral faces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideDoSubdivideTriangles     BooleanClass    default: true   --  boolean; Subdivide_Do_Subdivide_Triangles\n\
</pre></div><p>A flag indicating whether triangular faces are to be subdivide during remeshing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideMaxSteinerPoints     Integer    default: -1   --  integer; Subdivide_Maximum_Steiner_Points\n\
</pre></div><p>The maximum number of Steiner points to be used by the remesh algorithm, or the invalid value -1 to indicate the unlimited case.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideNumBuckets     Integer    default: 64   --  integer; Subdivide_Number_of_Buckets\n\
</pre></div><p>The number of &quot;buckets&quot; into which faces should be divided, according to quality metrics, during remeshing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideQuadAreaRatio     Float    default: 0.75   --  float; Subdivide_Quad_Area_Ratio\n\
</pre></div><p>An area scaling factor for computing quadrilateral face quality metrics.</p>\n\
<div class=\'codeBlock\'><pre>&lt;subdivide&gt;.subdivideRefinementType     Integer    default: 1   --  integer; Subdivide_Refinement_Type\n\
</pre></div><p>The refinement type to employ in the remesh algorithm, wher 0 = standard triangulation and 1 = Rivara.</p>\n\
<div class=\'section\'><a id=\"interface-subdividemodinterface\"></a><h2 id=\"interface-subdividemodinterface\">Interface: subdivideModInterface</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UpdateSubdivision()\n\
</pre></div><p>Remeshes each object to which the modifier is applied, using the current parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UpdateSubdivisionWithInfo &lt;&amp;integer&gt;nObjectsSucceeded &lt;&amp;integer&gt;nObjectsTot &lt;&amp;integer&gt;computeTime\n\
       nObjectsSucceeded is In and Out parameter\n\
       nObjectsTot is In and Out parameter\n\
       computeTime is In and Out parameter\n\
</pre></div><p>Performs the same operation as <span class=\'code\'>UpdateSubdivision()</span>, and also returns the total number of objects (<span class=\'code\'>nObjectsTot</span>), the number for which remeshing succeeded (<span class=\'code\'>nObjectsSucceeded</span>), and the compute time (<span class=\'code\'>computeTime</span>).</p>\n\
<div class=\'section\'><a id=\"example\"></a><h2 id=\"example\">Example</h2></div>\n\
<div class=\'codeBlock\'><pre>-- subdivide example\n\
resetMaxFile #noprompt\n\
\n\
b = Box lengthsegs:1 widthsegs:1 heightsegs:1 pos:[0.0,0.0,0.0] isSelected:on width:50.0 length:50.0 height:50.0 mapCoords:true\n\
subdv = subdivide remeshType:2 manualUpdate:0 -- adaptive, manual update\n\
addModifier b subdv\n\
subdv.UpdateSubdivision() - manually update\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";