var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Weighted_Normals : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Weighted_Normals : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"weighted_normals-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Weighted_Normals - superclass: modifier; super-superclass:MAXWrapper - 13:0 - classID: #(1111163945L, 1204446107L); creatable: true\n\
</pre></div><p>A modifier that adds additional surface calculations to an object. <strong>Available in 3ds Max 2021 and higher.</strong> <strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Weighted_Normals ...\n\
WeightedNormalsMod ...\n\
</pre></div><p><strong>Example:</strong></p>\n\
<div class=\'codeBlock\'><pre>t = teapot()\n\
my_weighted_normals = Weighted_Normals()\n\
addModifier t my_weighted_normals\n\
my_weighted_normals.useAngleWeight = true\n\
my_weighted_normals.useAreaWeight = true\n\
my_weighted_normals.displayNormals = true\n\
my_weighted_normals.normalLength = 20\n\
my_weighted_normals.smoothingCoeff = 0.5\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.blendingCoeff     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>The blending coefficient, which can be in the range of 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.boundaryCoeff     Float    default: 0.5   --  float\n\
</pre></div><p>The hard edge blending coefficient, which can be in the range of 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.displayNormals     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets or sets whether to display normals in the viewport. The appearance of the normals is also affected by the <span class=\'code\'>normalLength</span> property (below). Normals are only displayed when the modified object is selected in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.hardEdgeAngle     Float    default: 30.0   --  animatable; float\n\
</pre></div><p>Gets or sets the <strong>By Edge Angle</strong> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.normalLength     Float    default: 10.0   --  worldUnits\n\
</pre></div><p>Gets or sets the normals <strong>Display Length</strong>. Normals are only actually displayed if <span class=\'code\'>displayNormals</span> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.relaxationCoeff     Float    default: 0.5   --  float\n\
</pre></div><p>Gets or sets the relaxation coefficient. Note that this property is not exposed in the modifier&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.smoothingCoeff     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets or sets the <strong>Smoothing</strong> value, in the range of 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.smoothingIterLimit     Integer    default: 10   --  animatable; integer\n\
</pre></div><p>Gets or sets the maximum number of iterations for the smoothing process.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.useAngleWeight     BooleanClass    default: true   --  boolean; UseAngleWeighting\n\
</pre></div><p>Gets or sets whether to enable weighting based on face corner angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.useAreaWeight     BooleanClass    default: true   --  boolean; UseAreaWeighting\n\
</pre></div><p>Gets or sets whether to enable weighting based on face area.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.useConvexAngle     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Gets or sets the convex angle flag. When true, the convex angle between edges is used for the angle weighting at a concave corner, otherwise, the concave angle is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.useHardEdgeAngle     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets or sets whether to enable the <strong>Hard Edge Blending</strong> value (the <span class=\'code\'>hardEdgeAngle</span> value).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Weighted_Normals&gt;.useSmoothingGroups     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Toggles the <strong>Use Smoothing Groups</strong> setting.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";