var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UVWmap : Modifier</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UVWmap : Modifier</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"uvwmap-modifier\"></a></div>\n\
<div class=\'codeBlock\'><pre>Uvwmap - superclass: modifier; super-superclass:MAXWrapper - 15:1 - classID: #(1012401, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FE80AB6-C06E-4867-ADED-D9044227A829-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>uvwmap ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.maptype Integer default: 0 \n\
</pre></div><p>Determines the type of mapping coordinates used. Different kinds of mapping are distinguished by how the map is geometrically projected onto the object and how the projection interacts with the object’s surfaces.</p>\n\
<p>0 - <strong>Planar</strong> (Projects the map from a single plane flat against the object, somewhat like projecting a slide. Planar projection is useful when only one side of an object needs to be mapped. It is also useful for obliquely mapping multiple sides, and for mapping two sides of a symmetrical object.)</p>\n\
<p>1 - <strong>Cylindrical</strong> (Projects the map from a cylinder, wrapping it around an object. Seams where the edges of the bitmap meet are visible unless a seamless map is used. Cylindrical projection is useful for objects that are roughly cylindrical in shape.)</p>\n\
<p>2 - <strong>Spherical</strong> (Surrounds the object by projecting the map from a sphere. You see a seam and mapping singularities at the top and bottom of the sphere where the bitmap edges meet at the sphere’s poles. Spherical mapping is useful for objects that are roughly spherical in shape.)</p>\n\
<p>3 - <strong>Shrink Wrap</strong> (Uses spherical mapping, but truncates the corners of the map and joins them all at a single pole, creating only one singularity. Shrink-wrap mapping is useful when you want to hide the mapping singularity.)</p>\n\
<p>4 - <strong>Box</strong> (Projects the map from the six sides of a box. Each side projects as a planar map, and the effect on the surface depends on the surface normal. Each face is mapped from the closest box surface whose normal most closely parallels its own normal.)</p>\n\
<p>5 - <strong>Face</strong> (Applies a copy of the map to every face of an object. Pairs of faces sharing a hidden edge are mapped with the full rectangular map. Single faces with no hidden edge are mapped with a triangular portion of the map.)</p>\n\
<p>6 - <strong>XYZ to UVW</strong> (Maps 3D procedural coordinates to UVW coordinates. This &quot;sticks&quot; the procedural texture to the surface. If the surface stretches, so does the 3D procedural map.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.cap Boolean default: false \n\
</pre></div><p>When on, applies planar mapping coordinates to the caps of the cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.length Float default: 1.0 -- animatable \n\
</pre></div><p>The length of the UVW mapping gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.width Float default: 1.0 -- animatable \n\
</pre></div><p>The width of the UVW mapping gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.height Float default: 1.0 -- animatable \n\
</pre></div><p>The height of the UVW mapping gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.utile Float default: 1.0 -- animatable, alias: U_Tile \n\
</pre></div><p>The tiling of the UVW map along the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.uflip Boolean default: false \n\
</pre></div><p>When on, reverses the image about the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.vtile Float default: 1.0 -- animatable, alias: V_Tile \n\
</pre></div><p>The tiling of the UVW map along the V-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.vflip Boolean default: false \n\
</pre></div><p>When on, reverses the image about the V-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.wtile Float default: 1.0 -- animatable, alias: W_Tile \n\
</pre></div><p>The tiling of the UVW map along the W-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.wflip Boolean default: false \n\
</pre></div><p>When on, reverses the image about the W-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.channel Integer default: 0 \n\
</pre></div><p>Specifies whether to apply the transform to a mapping channel or a vertex color channel:</p>\n\
<p>0- Map Channel</p>\n\
<p>1- Vertex Color Channel</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.mapChannel Integer default: 1 \n\
</pre></div><p>The map channel used to apply mapping transforms.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.axis Integer default: 2 \n\
</pre></div><p>Specifies which axis of the gizmo is aligned with the local Z-axis of the object:</p>\n\
<p>0- X</p>\n\
<p>1- Y</p>\n\
<p>2- Z</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap&gt;.gizmo SubAnim \n\
</pre></div><p>Enables gizmo transformations.</p>\n\
<p>Turn on and then move, scale, and rotate the gizmo in the viewports to position the map.</p>\n\
<p>In the Material Editor, you turn on the Show Map in Viewport option to make the map visible in a shaded viewport, the map moves on the surface of the object as you transform the gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap.Gizmo&gt;.position Point3 default: [0,0,0] -- animatable \n\
</pre></div><p>The position of the UVWmap gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap.Gizmo&gt;.rotation Quat default: (quat 0 0 -1 0) -- animatable \n\
</pre></div><p>The rotation of the UVWmap gizmo.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Uvwmap.Gizmo&gt;.scale Point3 default: [1,1,1] -- animatable \n\
</pre></div><p>The scale of the UVWmap gizmo.</p>\n\
<p>Note: The <span class=\'code\'>Gizmo</span> property is not present until the Uvwmap modifier has been applied to a node.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";