var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UnwrapUVW Modifier - Mapping Operations</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UnwrapUVW Modifier - Mapping Operations</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrapuvw-modifier---mapping-operations\"></a></div>\n\
<p>The following methods expose the Flatten, Normal and Unfold Mapping to MAXScript:</p>\n\
<div class=\'section\'><a id=\"flatten-mapping\"></a><h2 id=\"flatten-mapping\">Flatten Mapping</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMap &lt;float&gt;angleThreshold &lt;point3 array&gt;normalList &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;integer&gt;layOutType &lt;boolean&gt;rotateClusters &lt;boolean&gt;fillHoles \n\
</pre></div><p>Flattens the UVW coordinates based on the supplied parameters without using the Flatten Mapping Dialog. This method exposes the same functionality directly to MAXScript and does not require the Edit UVWs Floater to be open.</p>\n\
<p>Flatten Mapping uses an angle threshold to define the clusters and the clusters will always be contiguous faces. This type of mapping will generate mapping that does not overlap so it is useful for baking textures and lighting.</p>\n\
<p><span class=\'code\'>angleThreshold</span> - when building contiguous faces this the angle used to determine whether a face is part of that cluster. The larger this angle the larger the cluster will be, but you will get more distortion since the texture faces area will start deviating from there geometric face area.</p>\n\
<p><span class=\'code\'>normalList</span> specifies an array of normal vectors defining clusters. The clusters will still be built using the angle threshold, but the supplied vectors will be used as starting directions for building the clusters. To use no vectors, an empty array #() can be supplied. The default UI Flatten feature uses a list of 6 vectors aligned to the world axes: #([1,0,0], [-1,0,0], [0,1,0], [0,-1,0], [0,0,1], [0,0,-1])</p>\n\
<p><span class=\'code\'>spacing</span> determines how much space there is between the clusters.</p>\n\
<p><span class=\'code\'>normalize</span> will normalize the complete flattened mapping from 0 to 1</p>\n\
<p><span class=\'code\'>layOutType</span> defines the layout type. 0 - sort clusters from bottom to top and from left to right. 1 - sort clusters from left to right and from bottom to top. Default type of the Flatten feature in the UI is 0.</p>\n\
<p><span class=\'code\'>rotateClusters</span> will rotate the clusters so they take the least area.</p>\n\
<p><span class=\'code\'>fillHoles</span> will fill clusters with holes. It places smaller cluster in the gaps of larger clusters.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMapDialog() \n\
</pre></div><p>Open the Flatten dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMapNoParams() \n\
</pre></div><p>Execute the FlattenMap function using the current default.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getFlattenAngle() \n\
</pre></div><p>Returns the current default Flatten Angle threshold .</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenAngle &lt;float&gt;angle \n\
</pre></div><p>Sets the current default Flatten Angle threshold .</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getFlattenSpacing() \n\
</pre></div><p>Returns the current default Flatten Spacing value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenSpacing &lt;float&gt;spacing \n\
</pre></div><p>Sets the current default Flatten Spacing value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getFlattenNormalize() \n\
</pre></div><p>Returns the current default Flatten Normalize option state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenNormalize &lt;boolean&gt;normalize \n\
</pre></div><p>Sets the current default Flatten Normalize option state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFlattenRotate() \n\
</pre></div><p>Returns the current default Flatten Rotate option state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenRotate &lt;boolean&gt;rotate \n\
</pre></div><p>Sets the current default Flatten Rotate option state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFlattenFillHoles() \n\
</pre></div><p>Returns the current default Flatten Fill Holes option state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFlattenFillHoles &lt;boolean&gt;fillHoles \n\
</pre></div><p>Sets the current default Flatten Fill Holes option state.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.flattenMapByMatID &lt;float&gt;angleThreshold &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;integer&gt;layOutType &lt;boolean&gt;rotateClusters &lt;boolean&gt;fillHoles \n\
</pre></div><p>Performs flatten by material ID.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setMax5Flatten &lt;boolean&gt;like5 \n\
</pre></div><p>Sets whether Flatten is using the <strong>3ds Max 5</strong> algorithm (true) or the <strong>3ds Max 7</strong> algorithm (false).</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"normal-map\"></a><h2 id=\"normal-map\">Normal Map</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.normalMap &lt;point3 array&gt;normalList &lt;float&gt;spacing &lt;boolean&gt;normalize &lt;integer&gt;layOutType &lt;boolean&gt;rotateClusters &lt;boolean&gt;alignWidth \n\
</pre></div><p>Normal-map the UVW coordinates. For each normal vector in the normalList, a cluster of the faces with the corresponding normal vector will be created.</p>\n\
<p>Normal Mapping is mapping based solely are the normals provided. This is identical to box mapping except you customize what normals you want to project on.</p>\n\
<p>Parameters in the Normal Mapping dialog are:</p>\n\
<p><span class=\'code\'>spacing</span> determines how much space there is between the clusters.</p>\n\
<p><span class=\'code\'>layOutType</span> determines which of the 6 mapping types to use: Back/Front, Left/Right, Top/Bottom, Box Mapping No Top, Box Mapping, Diamond mapping</p>\n\
<p><span class=\'code\'>normalize</span> will normalize the cluster from 0 to 1</p>\n\
<p><span class=\'code\'>rotateClusters</span> will rotate the clusters so they take the least area.</p>\n\
<p><span class=\'code\'>alignWidth</span> will sort the clusters by there width otherwise it will use their heights.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.normalMapNoParams() \n\
</pre></div><p>Executes the NormalMap function using the current defaults.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.normalMapDialog() \n\
</pre></div><p>Opens the NormalMap dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"unfold-mapping\"></a><h2 id=\"unfold-mapping\">Unfold Mapping</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.unfoldMap &lt;integer&gt;unfoldMethod &lt;boolean&gt;normalize\n\
</pre></div><p>Unfold the UVW coordinates using the specified unfold method:</p>\n\
<p>0 - <strong>Walk to farthest face</strong></p>\n\
<p>1 - <strong>Walk to closest face</strong> (default)</p>\n\
<p>These determine the order of which face gets unfolded. Under almost all conditions you want to walk to the closest face.</p>\n\
<p><span class=\'code\'>normalize</span> will normalize the cluster from 0 to 1.</p>\n\
<p>This is an actual unfolding algorithm. It guarantees that all texture faces will have the exact same proportions as their geometric equivalents, but you may get faces that overlap. This type of mapping is only good on meshes that are very regular, like cylinders etc.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.unfoldMapNoParams() \n\
</pre></div><p>Executes the unfoldMap function using the current defaults.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.unfoldMapDialog() \n\
</pre></div><p>Opens the UnfoldMap dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSeedFace() \n\
</pre></div><p>Takes the current selection and sets it as the seed face when unfolding. The seed face is where the unfolding starts from.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";