var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Edit UVWs Floater</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Edit UVWs Floater</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---edit-uvws-floater\"></a></div>\n\
<p>The following methods expose the Edit UVWs Floater and its various controls, tools and settings to MAXScript.</p>\n\
<div class=\'section\'><a id=\"pan-and-zoom\"></a><h2 id=\"pan-and-zoom\">Pan and Zoom</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.pan() \n\
</pre></div><p>Presses the Pan button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.zoom() \n\
</pre></div><p>Presses the Zoom button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.zoomRegion() \n\
</pre></div><p>Presses the Zoom Region button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.fit() \n\
</pre></div><p>Presses the Fit button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.fitSelected() \n\
</pre></div><p>Presses the Fit Selected button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.ZoomToGizmo &lt;boolean&gt;all \n\
</pre></div><p>This zooms the selected or all the viewports to zoom to the current planar map gizmo.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt; all</span> - Determines whether the active or all the viewports get zoomed.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.UpdateView() \n\
</pre></div><p>This forces the viewport and dialog to update.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"loadsave-default-settings\"></a><h2 id=\"loadsave-default-settings\">Load/Save Default Settings</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.saveCurrentSettingsAsDefault() \n\
</pre></div><p>Saves the current settings as the defaults.</p>\n\
<p>The method takes the current state of Unwrap UVW and save it to the plugcfg directory into a file called unwrapUVW.ini. The next time the user creates an Unwrap UVW modifier this ini file will be used to set the defaults.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.loadDefault() \n\
</pre></div><p>Loads the unwrapUVW.ini defaults into the current Unwrap UVW modifier.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"always-edit-mode\"></a><h2 id=\"always-edit-mode\">Always Edit Mode</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getAlwaysEdit() \n\
</pre></div><p>Returns the state of the &quot;Always Bring Up the Edit Window&quot; option found in the Options menu item. When true, the Editor will auto-open each time the object is selected.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setAlwaysEdit &lt;boolean&gt;always \n\
</pre></div><p>Sets the state of the &quot;Always Bring Up the Edit Window&quot; option found in the Options menu item. When set to true, the Editor will auto-open each time the object is selected.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"editor-update-methods\"></a><h2 id=\"editor-update-methods\">Editor Update Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.updateMenuBar() \n\
</pre></div><p>Forces an update of the menu bar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"editor-lock-aspect\"></a><h2 id=\"editor-lock-aspect\">Editor Lock Aspect</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.GetLockAspect() \n\
</pre></div><p>Returns whether the edit window aspect ratio is locked or not. If the aspect ratio is not locked the image will try stretch to fit the aspect ratio of the window.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.SetLockAspect &lt;boolean&gt;aspect \n\
</pre></div><p>This sets the Lock Aspect Ratio value.</p>\n\
<div class=\'section\'><a id=\"editor-window-size\"></a><h2 id=\"editor-window-size\">Editor Window Size</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowX() \n\
</pre></div><p>Returns the Editor’s upper left corner’s X coordinate relatively to the upper left corner of the Windows desktop.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowY() \n\
</pre></div><p>Returns the Editor’s upper left corner’s Y coordinate relatively to the upper left corner of the Windows desktop.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowW() \n\
</pre></div><p>Returns the Editor’s window width in pixels.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getWindowH() \n\
</pre></div><p>Returns the Editor’s window height in pixels.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setWindowXOffset &lt;integer&gt;offset \n\
</pre></div><p>Sets the horizontal window offset.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setWindowYOffset &lt;integer&gt;offset \n\
</pre></div><p>Sets the vertical window offset.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"other-editor-window-methods\"></a><h2 id=\"other-editor-window-methods\">Other Editor Window Methods</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.fitSelectedElement() \n\
</pre></div><p>Fits the selected element to the window.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;getShowSubObjectCounter() \n\
</pre></div><p>Returns the state of the show sub-object counter option. When set to true, the count of the current sub-object selection will be displayed in the upper left corner of the Edit UVWs window.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowSubObjectCounter &lt;boolean&gt;show \n\
</pre></div><p>Sets the state of the show sub-object counter option. When set to true, the count of the current sub-object selection will be displayed in the upper left corner of the Edit UVWs window.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"copy-and-paste-selection\"></a><h2 id=\"copy-and-paste-selection\">Copy and Paste Selection</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.()copy \n\
</pre></div><p>Copy the current selection to the clipboard.</p>\n\
<p>Copy/Paste allows you to copy a texture face/faces from one part or mesh to another or to a new mesh. These functions are extremely topology dependant so if you copy faces onto faces that have a different topology or face order, you will get unpredictable results.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.paste &lt;boolean&gt;rotate \n\
</pre></div><p>Paste the copied values. Paste take one parameter which determines every time you paste to the same face whether the texture vertices are reoriented. For instance, if you paste a quad onto a another quad there are actually 4 possible ways you can paste it onto it. If rotate is on, every time you paste it will go onto the next variation.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.pasteInstance() \n\
</pre></div><p>Paste Instance forces the faces that are being pasted to use the vertices that the copy buffer use (NOTE you cannot paste instance across objects). This is similar to doing a regular paste and then selecting all the overlapping vertices and doing a weld. There is no rotate option with this method. As noted above Pasting faces that have a different topology or face order will result in unpredictable results.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"lockhidefreeze\"></a><h2 id=\"lockhidefreeze\">Lock/Hide/Freeze</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.lock() \n\
</pre></div><p>Toggles the Lock Selected Vertices button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.hide() \n\
</pre></div><p>Presses the Hide button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.unhide() \n\
</pre></div><p>Presses the Unhide button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.freeze() \n\
</pre></div><p>Presses the Freeze button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.unfreeze() \n\
</pre></div><p>Presses the Unfreeze button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"filter-selected\"></a><h2 id=\"filter-selected\">Filter Selected</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getFilterSelected() \n\
</pre></div><p>Returns the state of the &quot;Filter Selected Faces&quot; checkbutton in the Editor’s status bar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFilterSelected &lt;boolean&gt;filter \n\
</pre></div><p>Sets the state of the &quot;Filter Selected Faces&quot; checkbutton in the Editor’s status bar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.filterSelected() \n\
</pre></div><p>Toggles the Filter Selected Faces button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"hidden-edges-display\"></a><h2 id=\"hidden-edges-display\">Hidden Edges Display</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getDisplayHiddenEdges() \n\
</pre></div><p>Returns the state of the Display Hidden Edges option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setDisplayHiddenEdges &lt;boolean&gt;displayHiddenEdges \n\
</pre></div><p>Sets the state of the Display Hidden Edges option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"show-edge-distortion\"></a><h2 id=\"show-edge-distortion\">Show Edge Distortion</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowEdgeDistortion() \n\
</pre></div><p>Returns the state of the Show Edge Distortion option in the Display menu of the Edit UVWs dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowEdgeDistortion &lt;boolean&gt;show \n\
</pre></div><p>Sets the state of the Show Edge Distortion option in the Display menu of the Edit UVWs dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getEdgeDistortionScale() \n\
</pre></div><p>Returns the Edge Distortion Scale value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setEdgeDistortionScale &lt;float&gt;scale \n\
</pre></div><p>Sets the Edge Distortion Scale value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"show-vertex-connections\"></a><h2 id=\"show-vertex-connections\">Show Vertex Connections</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getShowVertexConnections() \n\
</pre></div><p>Returns the state of the &quot;Show Vertex Connections&quot; option found in the Options menu item. Vertex Connections are TV vertices that share the same geometric vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setShowVertexConnections &lt;boolean&gt;show \n\
</pre></div><p>Sets the state of the &quot;Show Vertex Connections&quot; option found in the Options menu item. Vertex Connections are TV vertices that share the same geometric vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.toggleVertexConnection() \n\
</pre></div><p>Toggles the Vertex Connections display.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"relative-type-in\"></a><h2 id=\"relative-type-in\">Relative Type-In</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRelativeTypeIn() \n\
</pre></div><p>Returns true when the UVW coordinates Type-In spinners are set to Relative mode, false when in Absolute mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRelativeTypeIn &lt;boolean&gt;relative \n\
</pre></div><p>When the parameter is true, sets the UVW coordinates Type-In spinners to Relative mode. When the supplied parameter is false, sets the Type-In to Absolute mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"material-id\"></a><h2 id=\"material-id\">Material ID</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getMatID() \n\
</pre></div><p>Returns the current material id index filter.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setMatID &lt;integer&gt;matid \n\
</pre></div><p>Sets the material drop list to the index supplied.</p>\n\
<p>Exposed via <strong><span class=\'code\'>unwrap</span></strong> interface in <span class=\'code\'>3ds Max 4 and higher</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberMatIDs() \n\
</pre></div><p>Returns the number of material ids in the material id filter drop down.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"snap\"></a><h2 id=\"snap\">Snap</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getSnap() \n\
</pre></div><p>Returns the state of the &quot;Pixel Snap&quot; checkbutton in the Editor’s status bar when the flyout is set to Pixel Snap. Always returns false when Grid Snap is set in the flyout.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSnap &lt;boolean&gt;snap \n\
</pre></div><p>Sets the state of the &quot;Pixel Snap&quot; checkbutton in the Editor’s status bar. Sets the flyout to Pixel Snap if necessary.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getMidPixelSnap() \n\
</pre></div><p>Returns a boolean value which indicated whether the mid pixels snap is used, if it is false the snap is set to the bottom right corner of the pixel, else it snaps to the center of the pixel.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setMidPixelSnape &lt;boolean&gt;snap \n\
</pre></div><p>Sets whether mid pixels snap is used. When false, the snap is set to the bottom right corner of the pixel. When true, it snaps to the center of the pixel.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.snap() \n\
</pre></div><p>Presses the Snap button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"bitmap-options\"></a><h2 id=\"bitmap-options\">Bitmap Options</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRenderWidth() \n\
</pre></div><p>Returns the width of the bitmap used to render 2d/3d textures to.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRenderWidth &lt;integer&gt;width \n\
</pre></div><p>Sets the width in pixels of the bitmap used to render to for display.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getRenderHeight() \n\
</pre></div><p>Returns the height of the bitmap used to render 2d/3d textures to.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRenderHeight &lt;integer&gt;height \n\
</pre></div><p>Sets the height in pixels of the bitmap used to render to the display.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getUseBitmapRes() \n\
</pre></div><p>Returns the state of the Use Bitmap Resolution as a boolean value. If false, the bitmaps are rendered using the RenderWidth/Height values.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setUseBitmapRes &lt;boolean&gt;useRes \n\
</pre></div><p>Set to true to use the bitmap resolution, false to use the render width and height.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"custom-toolbars-and-floaters\"></a><h2 id=\"custom-toolbars-and-floaters\">Custom Toolbars and Floaters</h2></div>\n\
<p>The custom toolbars and floaters are stored in a file called <em>&quot;UnwrapToolBar.ini&quot;</em> found in the current <em>\\plugcfg</em> folder accessible through <strong><span class=\'code\'>getDir #plugcfg</span></strong> . Note that you have to close the current <strong>3ds Max</strong> session in order to make manual changes to this .ini file.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.buttonpanel_height1 Integer default: 360 -- integer\n\
</pre></div><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.buttonpanel_height2 Integer default: 700 -- integer\n\
</pre></div><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.buttonpanel_visible BooleanClass default: false -- boolean\n\
</pre></div><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.buttonpanel_width Integer default: 360 -- integer\n\
</pre></div><p>Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.toolBarVisible BooleanClass default: false -- boolean\n\
</pre></div><p>Get/set the visible state of the custom toolbars. Available <strong>in 3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.AddToolBar &lt;integer&gt;owner &lt;string&gt;name &lt;integer&gt;pos &lt;integer&gt;x &lt;integer&gt;y &lt;integer&gt;width &lt;boolean&gt;popup\n\
</pre></div><p>Adds a new toolbar to the Edit UVWs Floater&#39;s UI.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.ShowToolBar &lt;boolean&gt;visible\n\
</pre></div><p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";