var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Group</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Group</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---group\"></a></div>\n\
<p>The following properties and methods expose the Element Grouping functionality to MAXScript.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DED71551-56BA-461B-A5DB-CCA60BF1C75A-low.bmp\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"group\"></a><h2 id=\"group\">Group</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.groupName ArrayParameter default: #() -- string array\n\
</pre></div><p>Gets/sets the array of name strings, one element per defined group.</p>\n\
<p>When a group is deleted, its entry on the array will be replaced with a stand-in name &quot;--EMPTYENTRY--&quot;.</p>\n\
<p>Setting the array or its elements to new values effectively renames the corresponding Groups.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.groupDensity ArrayParameter default: #() -- float array\n\
</pre></div><p>Gets/sets the array of group densities.</p>\n\
<p>The array will not be resized when a Group is deleted.</p>\n\
<p>Replacing the array or its elements with new float values effectively replaces the Density values of the respective Groups.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Assuming there are already 3 Groups created using the UI, $.modifiers[#Unwrap_UVW].groupName --See what the names are... --&gt; #(&quot;__INTERNALCLUSTER_0&quot;, &quot;__INTERNALCLUSTER_1&quot;, &quot;__INTERNALCLUSTER_2&quot;) $.modifiers[#Unwrap_UVW].groupName[2] = &quot;Test&quot; --Replace second name --&gt;OK $.modifiers[#Unwrap_UVW].groupName --Check to see the result --&gt; #(&quot;__INTERNALCLUSTER_0&quot;, &quot;Test&quot;, &quot;__INTERNALCLUSTER_2&quot;) $.modifiers[#Unwrap_UVW].groupDensity --Look at the Density array --&gt; #(1.0, 1.0, 1.0) $.modifiers[#Unwrap_UVW].groupDensity = #(0.8, 0.9, 0.95) --Replace all --&gt; OK $.modifiers[#Unwrap_UVW].groupDensity --Look again... --&gt; #(0.8, 0.9, 0.95)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.groupDisplay BooleanClass default: false -- boolean\n\
</pre></div><p>Gets/sets the Group Display state.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupCreate &lt;string&gt;name\n\
</pre></div><p>Creates a Group with the specified name by expanding the current map faces selection to element selection.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupDelete &lt;string&gt;name\n\
</pre></div><p>Deletes the Group with the given name, if it exists. Otherwise, does nothing.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupRename &lt;string&gt;name &lt;string&gt;newName\n\
</pre></div><p>Renames the group specified by the first argument to the name specified by the second argument.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupSelect &lt;string&gt;name\n\
</pre></div><p>Selects the group with the given name.</p>\n\
<p>The name must be one of the existing group names as returned by the <span class=\'code\'>.groupName</span> property.</p>\n\
<p>If the provided name does not exist, this method does nothing.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupCreateBySelection()\n\
</pre></div><p>Creates a group from the current map faces selection by expanding it to element.</p>\n\
<p>The group will be named automatically according to the pattern &quot;__INTERNALCLUSTER_N&quot;, where N is a next free 0-based group index.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupDeleteBySelection()\n\
</pre></div><p>Deletes the Group containing the element the currently selected map faces are part of (if any).</p>\n\
<p>Equivalent to clicking the &quot;Ungroup Selected&quot; icon in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GroupSelectBySelection()\n\
</pre></div><p>Selects the group the currently selected map faces are part of (if any).</p>\n\
<p>Equivalent to clicking the &quot;Select Group&quot; icon in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.GroupGetTexelDensity()\n\
</pre></div><p>Returns the Group Texel Density as a float.</p>\n\
<p>Corresponds to the value in the &quot;Rescale Priority&quot; spinner in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.GroupSetTexelDensity &lt;float&gt;value\n\
</pre></div><p>Sets the Texel Density of the curently selected Group to the specified floating point value.</p>\n\
<p>Corresponds to setting the value in the &quot;Rescale Priority&quot; spinner in the &quot;Element Properties&quot; rollout of the Edit UVWs Floater panel.</p>\n\
<p>Exposed using <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";