var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - LSCM (Peel) Mapping</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - LSCM (Peel) Mapping</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---lscm-peel-mapping\"></a></div>\n\
<p>The following methods expose the Least Squares Conformal Mapping (LSCM)-based <strong>Peel Mapping</strong> functionality to MAXScript.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B734C09D-1EDC-451C-B0E8-6ACDFD0B24B4-low.bmp\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"lscm-peel-mapping\"></a><h2 id=\"lscm-peel-mapping\">LSCM (Peel) Mapping</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMInteractive &lt;boolean&gt;useExistingMapping\n\
</pre></div><p>Enters ineractive peeling mode. If the argument is true, the existing mapping will be used.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMSolve()\n\
</pre></div><p>Performs a Quick Peel.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.LSCMReset()\n\
</pre></div><p>Resets the results of the peeling.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"pin-vertices\"></a><h2 id=\"pin-vertices\">Pin Vertices</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.autoPin BooleanClass default: true -- boolean\n\
</pre></div><p>Get/set the state of the &quot;Auto-Pin Moved Vertices&quot; icon.</p>\n\
<p>When set to true (default), selecting and moving a vertex will automatically set its pinned state.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;Unwrap_UVW&gt;.filterPin BooleanClass default: false -- boolean\n\
</pre></div><p>Get/set the state of the &quot;Select Pinned Vertices&quot;.</p>\n\
<p>When set to true, only pinned vertices can be selected, unpinned ones will be filtered out.</p>\n\
<p>When set to false (default), all vertices can be selected.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.PinSelected &lt;node&gt;node\n\
</pre></div><p>Pins down all selected map vertices in the specified node. Corresponds to the &quot;Pin Selected&quot; icon in the &quot;Peel&quot; rollout of the UVs Editor.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.UnpinSelected &lt;node&gt;node\n\
</pre></div><p>Unpins the selected map vertices in the specified node. Corresponds to the &quot;Unpin Selected&quot; icon in the &quot;Peel&quot; rollout of the UVs Editor.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.IsPinned &lt;index&gt;index &lt;node&gt;node\n\
</pre></div><p>Returns true if the indexed map vertex in the specified node is pinned, false if it is not pinned.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.Pin &lt;index&gt;index &lt;node&gt;node\n\
</pre></div><p>Pins down the indexed map vertex in the specified node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.Unpin &lt;index&gt;index &lt;node&gt;node\n\
</pre></div><p>Unpins the indexed map vertex in the specified node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2012 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";