var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Select and Transform</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Select and Transform</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---select-and-transform\"></a></div>\n\
<p>The following methods provide access to the sub-object selection in the Edit UVWs Floater and allow the transformation of mapping sub-object elements through MAXScript:</p>\n\
<div class=\'section\'><a id=\"selection-lock-state\"></a><h2 id=\"selection-lock-state\">Selection Lock State</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getLock() \n\
</pre></div><p>Returns the state of the selection Lock.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setLock &lt;boolean&gt;lock \n\
</pre></div><p>Sets the state of the selection Lock.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"vertex-weight-soft-selection\"></a><h2 id=\"vertex-weight-soft-selection\">Vertex Weight (Soft Selection)</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getVertexWeight &lt;integer&gt;index \n\
</pre></div><p>Returns the Vertex Weight of the specified vertex.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setVertexWeight &lt;integer&gt;index &lt;float&gt;weight \n\
</pre></div><p>Sets the Vertex Weight of the specified vertex to the supplied value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isWeightModified &lt;integer&gt;index \n\
</pre></div><p>Returns true if the specified vertex has been affected by soft selection, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.modifyWeight &lt;integer&gt;index &lt;boolean&gt;modify \n\
</pre></div><p>Sets whether the specified vertex should be modified by soft selection.</p>\n\
<p>If a vertex is modified it ignores regular UI soft selection and the vertex soft selection weight is locked to it current state and can only be changed by the<strong>setVertexWeight</strong>method.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"convert-selection\"></a><h2 id=\"convert-selection\">Convert Selection</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.vertToEdgeSelect() \n\
</pre></div><p>Convert the Vertex Selection to Edge Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.vertToFaceSelect() \n\
</pre></div><p>Convert the Vertex Selection to Face Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.edgeToVertSelect() \n\
</pre></div><p>Convert the Edge Selection to Vertex Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.edgeToFaceSelect() \n\
</pre></div><p>Convert the Edge Selection to Face Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.faceToVertSelect() \n\
</pre></div><p>Convert the Face Selection to Vertex Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.faceToEdgeSelect() \n\
</pre></div><p>Convert the Face Selection to Edge Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"select-inverted-and-overlapped-faces\"></a><h2 id=\"select-inverted-and-overlapped-faces\">Select Inverted and Overlapped Faces</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectInvertedFaces() \n\
</pre></div><p>Selects the inverted faces.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectOverlappedFaces() \n\
</pre></div><p>Selects overlapped faces.</p>\n\
<p>Corresponds to the <strong>Select&gt;Select Overlapped Faces</strong> option in the Edit UVWs dialog menu bar.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap5</span> interface in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"selection-modes\"></a><h2 id=\"selection-modes\">Selection Modes</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.expandSelection() \n\
</pre></div><p>Presses the &quot;Grow Texture Selection&quot; button.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.contractSelection() \n\
</pre></div><p>Presses the &quot;Shrink Texture Selection&quot; button.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getTVElementMode() \n\
</pre></div><p>Returns the state of the <strong>Select Element</strong> checkbox in the Selection Modes group of the Editor’s panel.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setTVElementMode &lt;boolean&gt;mode \n\
</pre></div><p>Sets the state of the <strong>Select Element</strong> checkbox in the Selection Modes group of the Editor’s panel.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.options() \n\
</pre></div><p>Presses the <strong>Options...</strong> button in the edit floater.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"paint-selection\"></a><h2 id=\"paint-selection\">Paint Selection</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPaintSelectMode() \n\
</pre></div><p>Returns the PaintSelect Mode.</p>\n\
<p>When set to <span class=\'code\'>true</span> , the tiled images are blended to the background color or black</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPaintSelectMode &lt;boolean&gt;paint \n\
</pre></div><p>Sets the PaintSelect Mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getPaintSelectSize() \n\
</pre></div><p>Returns the size of the paint select brush. Will be clamped between 1 and 15.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPaintSelectSize &lt;integer&gt;size \n\
</pre></div><p>Sets the size of the PaintSelect brush. Will be clamped between 1 and 15.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.paintSelectIncSize() \n\
</pre></div><p>Increments the PaintSelect brush size by 1.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.paintSelectDecSize() \n\
</pre></div><p>Decrements the PaintSelect brush size by 1.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"vertex-selection\"></a><h2 id=\"vertex-selection\">Vertex Selection</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedVertices() \n\
</pre></div><p>Returns the current selected texture vertices in the edit floater as a bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectVertices &lt;bitArray&gt;selection \n\
</pre></div><p>Selects texture vertices in the edit floater dialog.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isVertexSelected &lt;integer&gt;index \n\
</pre></div><p>Returns a boolean value which indicates whether a texture vertex is selected.</p>\n\
<p><span class=\'code\'>index</span> (integer) - The index of the vertex to check.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.GetSelectionFromFace() \n\
</pre></div><p>Takes the current polygon selection and uses it to select the texture vertices that are associated with it.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"selected-edges\"></a><h2 id=\"selected-edges\">Selected Edges</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedEdges() \n\
</pre></div><p>Returns the edge selection from the Editor as bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectEdges &lt;bitArray&gt;selection \n\
</pre></div><p>Set the edge selection in the Editor using the supplied bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isEdgeSelected &lt;integer&gt;index \n\
</pre></div><p>Returns true if the indexed edge is selected, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"selected-faces\"></a><h2 id=\"selected-faces\">Selected Faces</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedFaces() \n\
</pre></div><p>Returns the face selection from the Editor as bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectFaces &lt;bitArray&gt;selection \n\
</pre></div><p>Sets the face selection in the Editor using the supplied bitArray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isFaceSelected &lt;integer&gt;index \n\
</pre></div><p>Returns true if the specified indexed face is selected, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"polygon-mode\"></a><h2 id=\"polygon-mode\">Polygon Mode</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getPolygonMode() \n\
</pre></div><p>Returns the state of the Polygon mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPolygonMode &lt;boolean&gt;mode \n\
</pre></div><p>Sets the state of the Polygon mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.polygonSelect() \n\
</pre></div><p>Performs Polygon Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"uv-edge-mode\"></a><h2 id=\"uv-edge-mode\">UV Edge Mode</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getUVEdgeMode() \n\
</pre></div><p>Returns the UV Edge Mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setUVEdgeMode &lt;boolean&gt;uvEdgeMode \n\
</pre></div><p>Sets the UV Edge Mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.uvEdgeSelect() \n\
</pre></div><p>Selects UV Edge Loops. Select any number of edges and call this method to select all edges that build an edge loop with the original selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"old-selection-method\"></a><h2 id=\"old-selection-method\">Old Selection Method</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getOldSelMethod() \n\
</pre></div><p>Returns false when the new selection method is used, false when the old selection method is used. In the old selection mode, drag selection always uses back faces and single pick mode ignore back faces.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setOldSelMethod &lt;boolean&gt;oldSelMethod \n\
</pre></div><p>Sets the selection method. False means use the new selection method, true means use the old selection method.</p>\n\
<p>This method lets you set the system back to the old selection method where drag selection always uses back faces and single pick mode ignore back faces. This will override the Ignore Back Faces mode.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"transform-selected\"></a><h2 id=\"transform-selected\">Transform Selected</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.moveSelected &lt;point3&gt;offset \n\
</pre></div><p>Moves the selected sub-objects at the specified offset.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.rotateSelectedCenter &lt;float&gt;angle \n\
</pre></div><p>Rotates the selected sub-objects at the specified angle using the selection center.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.rotateSelected &lt;float&gt;angle &lt;point3&gt;axis \n\
</pre></div><p>Moves the selected sub-objects at the specified offset about the specified axis.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedCenter &lt;float&gt;scale &lt;integer&gt;dir \n\
</pre></div><p>Scales the selected sub-objects by the specified amount using the selection center.</p>\n\
<p>The <span class=\'code\'>dir</span> integer defines the direction of scaling as follows:</p>\n\
<p>0 - scale both X and Y</p>\n\
<p>1 - scale X only</p>\n\
<p>2 - scale Y only</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.ScaleSelected &lt;float&gt;scale &lt;integer&gt;dir &lt;point3&gt;axis \n\
</pre></div><p>Scales the selected sub-objects by the specified amount using the specified axis.</p>\n\
<p>The <span class=\'code\'>dir</span> integer defines the scaling mode as follows:</p>\n\
<p>0 - scale both X and Y</p>\n\
<p>1 - scale X only</p>\n\
<p>2 - scale Y only</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"scale-selected-xy\"></a><h2 id=\"scale-selected-xy\">Scale Selected XY</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedXY &lt;float&gt;scaleX &lt;float&gt;scaleY &lt;point3&gt;axis \n\
</pre></div><p>Scales the current selection non-uniformly using the separate X and Y scale values. Uses the axis Point3 value as center.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"transform-selected-vertices\"></a><h2 id=\"transform-selected-vertices\">Transform Selected Vertices</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.moveSelectedVertices &lt;point3&gt;offset \n\
</pre></div><p>Moves the selected texture vertices by the specified offset.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.rotateSelectedVerticesCenter &lt;float&gt;angle \n\
</pre></div><p>Rotates the selected vertices around their center point.</p>\n\
<p><span class=\'code\'>angle</span> (float) - The angle in radians that you want to rotate the selection by.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.RotateSelectedVertices &lt;float&gt;angle &lt;point3&gt;axis \n\
</pre></div><p>Rotates the selected vertices around a specific axis</p>\n\
<p>where</p>\n\
<p><span class=\'code\'>angle</span> is the angle in radians that you want to rotate the selection by.</p>\n\
<p><span class=\'code\'>axis</span> is the axis that you want to rotate the selected vertices about. This is in the space of the window.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedVerticesCenter &lt;float&gt;scale &lt;integer&gt;dir \n\
</pre></div><p>Scales the selected points around their center,</p>\n\
<p>where</p>\n\
<p><span class=\'code\'>scale</span> is the amount that you want to scale by.</p>\n\
<p><span class=\'code\'>dir</span> is the direction you want to scale in:</p>\n\
<p>0 - Scales uniform</p>\n\
<p>1 - Scales in the x</p>\n\
<p>2 - Scales in the y</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.scaleSelectedVertices &lt;float&gt;scale &lt;integer&gt;dir &lt;point3&gt;axis \n\
</pre></div><p>Scales the selected points around their center around the axis</p>\n\
<p>where</p>\n\
<p><span class=\'code\'>scale</span> is the amount that you want to scale by.</p>\n\
<p><span class=\'code\'>dir</span> is the direction you want to scale in:</p>\n\
<p>0 - Scales uniform</p>\n\
<p>1 - Scales in the x</p>\n\
<p>2 - Scales in the y</p>\n\
<p><span class=\'code\'>axis</span> (point3) - The axis that you want to scale the selected vertices along. This is in the space of the window.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.moveX &lt;float&gt;p \n\
</pre></div><p>This sets the selected vertices x values in absolute coordinates.</p>\n\
<p><float><span class=\'code\'>p</span>- The absolute position along the x axis.<p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.moveY &lt;float&gt;p \n\
</pre></div><p>This sets the selected vertices y values in absolute coordinates.</p>\n\
<p><span class=\'code\'>&lt;float&gt; p</span> - The absolute position along the y axis.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.moveZ &lt;float&gt;p \n\
</pre></div><p>This sets the selected vertices xzvalues in absolute coordinates.</p>\n\
<p><float><span class=\'code\'>p</span>- The absolute position along the z axis.<p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getVertexPosition &lt;time&gt;time &lt;integer&gt;index \n\
</pre></div><p>Returns the position of the vertex as a Point3 value.</p>\n\
<p><span class=\'code\'>time</span> (timevalue) - The time at which you wan to check.</p>\n\
<p><span class=\'code\'>index</span> (integer) - The index of the vertex.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.SetVertexPosition &lt;time&gt;time &lt;integer&gt;index &lt;point3&gt;pos \n\
</pre></div><p>This sets the position of a UVW vertex at a specific time.</p>\n\
<p><span class=\'code\'>&lt;time&gt; time</span> - The time at what you want to set the pos.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; index</span> - The index of the vertex.</p>\n\
<p><span class=\'code\'>&lt;point3&gt; pos</span> - The position of the vertex in UVW space.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setVertexPosition2 &lt;time&gt;time &lt;integer&gt;index &lt;point3&gt;pos &lt;boolean&gt;hold &lt;boolean&gt;update \n\
</pre></div><p>An extended version of the <span class=\'code\'>.setVertexPosition()</span> method with additional arguments controlling Undo Buffer Holding and Updating.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getRotationsRespectAspect() \n\
</pre></div><p>Returns true if the rotations respect the aspect, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setRotationsRespectAspect &lt;boolean&gt;respect \n\
</pre></div><p>Sets whether rotations will respect the aspect or not.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"selected-polygons\"></a><h2 id=\"selected-polygons\">Selected Polygons</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedPolygons() \n\
</pre></div><p>Returns the selected polygons in the view port as a bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectPolygons &lt;bitArray&gt;selection \n\
</pre></div><p>Selects the polygons in the view ports.</p>\n\
<p><span class=\'code\'>&lt;bitArray&gt; sel</span> - The polygons to select.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isPolygonSelected &lt;integer&gt;index \n\
</pre></div><p>Returns whether a polygon is selected or not.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; index</span> - Index of the polygon to check.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectPolygonsUpdate &lt;bitArray&gt;selection &lt;boolean&gt;update \n\
</pre></div><p>Selects the faces supplied by the bitArray. When update is given as true, updates the selection display. This selection method gives you an option to not update the view if you are doing lots of face processing.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectFacesByNormal &lt;point3&gt;normal &lt;float&gt;threshold &lt;boolean&gt;update \n\
</pre></div><p>Selects the faces whose face normals are within the given threshold relatively to the supplied normal. When update is given as true, updates the selection display.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectClusterByNormal &lt;float&gt;threshold &lt;integer&gt;faceIndexSeed &lt;boolean&gt;relative &lt;boolean&gt;update \n\
</pre></div><p>Select a cluster based on the supplied threshold value starting with the faceIndexSeed face.</p>\n\
<p>When relative is supplied as true, the threshold will be measured relatively to the neighbor face (and thus be able to propagate across the whole mesh if needed). When false, the threshold will be measured absolutely to the seed face.</p>\n\
<p>When true is supplied for update, the selection will be updated in the viewports.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.getArea &lt;bitArray&gt;faceSelection &lt;&amp;float&gt;x &lt;&amp;float&gt;y &lt;&amp;float&gt;width &lt;&amp;float&gt;height &lt;&amp;float&gt;areaUVW &lt;&amp;float&gt;areaGeom \n\
\n\
x is Out parameter \n\
y is Out parameter \n\
width is Out parameter \n\
height is Out parameter \n\
areaUVW is Out parameter \n\
areaGeom is Out parameter \n\
</pre></div><p>Returns the geometry and uvw area, x, y, width and height of the supplied face selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap4</span> interface in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"pivot\"></a><h2 id=\"pivot\">Pivot</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.snapPivot &lt;integer&gt;pos \n\
</pre></div><p>This lets you quickly snap the free form gizmo pivot to the bounding rectangle.</p>\n\
<p>1 is the center</p>\n\
<p>2 is the lower left of the selection</p>\n\
<p>3 is the lower center of the selection</p>\n\
<p>4 is the lower right of the selection</p>\n\
<p>5 is the right center of the selection</p>\n\
<p>6 is the upper right of the selection</p>\n\
<p>7 is the upper center of the selection</p>\n\
<p>8 is the upper left of the selection</p>\n\
<p>9 is the left center of the selection</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getPivotOffset() \n\
</pre></div><p>Returns the pivot offset of the free form gizmo. This is an offset from the center of the selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPivotOffset &lt;point3&gt;offset \n\
</pre></div><p>Sets the free from gizmo’s Pivot offset.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getSelCenter() \n\
</pre></div><p>Returns the Selection Center so you can compute the pivot offset from a world uv position.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getResetPivotOnSelection() \n\
</pre></div><p>Returns the Reset Pivot on selection state. When true, the pivot will reset itself to the center of the selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setResetPivotOnSelection &lt;boolean&gt;reset \n\
</pre></div><p>Sets the Reset Pivot on selection option. When true, the pivot will reset itself to the center of the selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"selection-inside-gizmo\"></a><h2 id=\"selection-inside-gizmo\">Selection Inside Gizmo</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getAllowSelectionInsideGizmo() \n\
</pre></div><p>Returns the state of the Allow Selecting Inside Gizmo option.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setAllowSelectionInsideGizmo &lt;boolean&gt;select \n\
</pre></div><p>Allow / Disallow selecting inside the gizmo.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"soft-selection\"></a><h2 id=\"soft-selection\">Soft-Selection</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getEnableSoftSelection() \n\
</pre></div><p>Returns the state of the Soft Selection <strong>On</strong> checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setEnableSoftSelection &lt;boolean&gt;enable \n\
</pre></div><p>Sets the state of the Soft Selection <strong>On</strong> checkbox.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.getLimitSoftSel() \n\
</pre></div><p>Returns the state of the <strong>Edge Distance</strong> checkbox in the Soft Selection group.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setLimitSoftSel &lt;boolean&gt;limit \n\
</pre></div><p>When true is supplied as limit, the Edge Distance will be used.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getLimitSoftSelRange() \n\
</pre></div><p>Returns the Edge Distance value set in the Soft Selection group.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setLimitSoftSelRange&lt;integer&gt;range \n\
</pre></div><p>Sets the Edge Distance value used to limit the Soft Selection.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap2</span> interface in <strong>3ds Max 5 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getFalloffType() \n\
</pre></div><p>Returns the falloff type in the edit floater:</p>\n\
<p>1 - Smooth falloff</p>\n\
<p>2 - Linear falloff</p>\n\
<p>3 - Slow Out falloff</p>\n\
<p>4 - Fast Out falloff</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFalloffType&lt;integer&gt;falloff \n\
</pre></div><p>Sets the falloff type in the edit floater, where <span class=\'code\'>falloff</span> defines the falloff type:</p>\n\
<p>1 - Smooth falloff</p>\n\
<p>2 - Linear falloff</p>\n\
<p>3 - Slow Out falloff</p>\n\
<p>4 - Fast Out falloff</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getFalloffSpace() \n\
</pre></div><p>Returns the Falloff space.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>XY</strong> (Local space of the object vertices.)</p>\n\
<p>2 - <strong>UV</strong> (UVW space of the map vertices.)</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFalloffSpace&lt;integer&gt;space \n\
</pre></div><p>Sets the Falloff Space.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>XY</strong> (Local space of the object vertices.)</p>\n\
<p>2 - <strong>UV</strong> (UVW space of the map vertices.)</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getFalloffDist() \n\
</pre></div><p>Returns the Falloff distance value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFalloffDist &lt;integer&gt;distance \n\
</pre></div><p>Sets the Falloff distance value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"uv-loop-and-ring\"></a><h2 id=\"uv-loop-and-ring\">UV Loop And Ring</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;Unwrap_UVW&gt;.uvLoop &lt;integer&gt;mode\n\
</pre></div><p>Performs a UV Loop operation based on the integer argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>-1 - Shrink the UV Loop</p>\n\
<p>0 - Select the UV Loop</p>\n\
<p>1 - Grow the UV Loop</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;Unwrap_UVW&gt;.uvRing &lt;integer&gt;mode\n\
</pre></div><p>Performs a UV Ring operation based on the integer argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>-1 - Shrink the UV Ring</p>\n\
<p>0 - Select the UV Ring</p>\n\
<p>1 - Grow the UV Ring</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"uv-align-and-space\"></a><h2 id=\"uv-align-and-space\">UV Align And Space</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;Unwrap_UVW&gt;.align &lt;boolean&gt;horizontal\n\
</pre></div><p>Performs an Align operation according to the boolean argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>true - Align U</p>\n\
<p>false - Align V</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;&lt;Unwrap_UVW&gt;.space &lt;boolean&gt;horizontal\n\
</pre></div><p>Performs an Space operation according to the boolean argument.</p>\n\
<p>Possible argument values are:</p>\n\
<p>true - Space in U</p>\n\
<p>false - Space in V</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2010 and higher</strong>.</p>\n\
</float></float>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";