var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Spline Mapping</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Spline Mapping</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---spline-mapping\"></a></div>\n\
<p>The following properties and methods expose the Spline Mapping functionality of the UnwrapUVW Modifier available in <strong>3ds Max 2009 and higher</strong>:</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_node UndefinedClass default: undefined -- node \n\
</pre></div><p>Get/set the Spline Mapping Shape node. Corresponds to the - Pick Spline - button in the Spline Map Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_projectiontype Integer default: 0 -- integer \n\
</pre></div><p>Get/set the Spline Mapping projection type. Corresponds to the &quot;Mapping&quot; drop-down list in the Spline Map Parameters dialog.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Circlular</strong></p>\n\
<p>1 - <strong>Planar</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_manualseams BooleanClass default: false -- boolean \n\
</pre></div><p>Get/set the state of the Use Manual Seams checkbox in the Spline Mapping dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_resampleCount Integer default: 4 -- integer \n\
</pre></div><p>Get/set the Spline Mapping resample count.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_display BooleanClass default: true -- boolean \n\
</pre></div><p>Enable/disable the Spline MappingGizmodisplay.When set to false, the cross-sections and the spline map gizmo will be hidden.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_iterations Integer default: 16 -- integer \n\
</pre></div><p>Get/set the Spline Mapping iterations count.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_advanceMethod Integerdefault:1--integer \n\
</pre></div><p>Get/Set the advance method option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_uoffset Float default: 0.0 -- float \n\
</pre></div><p>Get/set the Spline Mapping U Offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_voffset Float default: 0.0 -- float \n\
</pre></div><p>Get/set the Spline Mapping V Offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_uscale Float default: 1.0 -- float \n\
</pre></div><p>Get/set the Spline Mapping U Scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Unwrap_UVW&gt;.splinemap_vscale Float default: 1.0 -- float \n\
</pre></div><p>Get/set the Spline Mapping VScale.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Fit &lt;boolean&gt;fitAll &lt;float&gt;extraScale \n\
</pre></div><p>Fits the cross-sections.</p>\n\
<p>If the first argument is true, all cross-sections will be affected. If it is false, only the selected cross-sections will be affected.</p>\n\
<p>The second argument defines the extra scale of the cross-sections beyond the fitted size.</p>\n\
<p>Corresponds to pressing the Fit button in the Spline Map Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AddCrossSectionMode() \n\
</pre></div><p>Enters Add Cross-section Mode.</p>\n\
<p>Corresponds to pressing the Add button in the Spline Map Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Delete() \n\
</pre></div><p>Deletes the currently selected cross-sections.</p>\n\
<p>Corresponds to pressing the Remove button in the Spline Map Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AlignSectionCommandMode() \n\
</pre></div><p>Enters Align Section command mode.</p>\n\
<p>Corresponds to pressing the Section button in the Spline Map Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AlignCommandMode() \n\
</pre></div><p>Enters Align To Face command mode.</p>\n\
<p>Corresponds to pressing the Face button in the Spline Map Parameters dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Align &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;point3&gt;vec \n\
</pre></div><p>Aligns the indexed cross-section in the indexed spline to the given vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_AlignSelected &lt;point3&gt;vec \n\
</pre></div><p>Aligns the selected cross-section to the given vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Resample &lt;integer&gt;samples \n\
</pre></div><p>Performs Resampling of the Spline Mapping to the given number of samples.</p>\n\
<p>Effectively inserts the specified number of cross-sections along the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.splineMap_numberSplines() \n\
</pre></div><p>Returns the number of mapping splines.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_selectSpline &lt;index&gt;splineIndex &lt;boolean&gt;sel \n\
</pre></div><p>Sets the selected state of the indexed spline to thegiven boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.splineMap_isSplineSelected &lt;index&gt;splineIndex \n\
</pre></div><p>Returns true if the indexed spline is selected, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_ClearSelectSpline() \n\
</pre></div><p>Clears the Spline selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.splineMap_numberCrossSection &lt;index&gt;splineIndex \n\
</pre></div><p>Returns the number of cross-sections on the indexed spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_selectCrossSection &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;boolean&gt;sel \n\
</pre></div><p>Sets the selected state of the indexed cross-section in the indexed spline to the given boolean value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.splineMap_isCrossSectionSelected &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex \n\
</pre></div><p>Returns true if the indexed cross-section in the indexed spline is selected, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_ClearSelectCrossSection() \n\
</pre></div><p>Clears the Cross-section selection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_Pos &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex \n\
</pre></div><p>Returns the Position of the indexed cross-section in the indexed spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_Pos &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;point3&gt;pos \n\
</pre></div><p>Sets the Position of the indexed cross-section in the indexed spline to the given Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_moveSelectedCrossSection &lt;float&gt;u \n\
</pre></div><p>Moves the selected cross-section by the given amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_ScaleX &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex \n\
</pre></div><p>Returns the X Scale of the indexed cross-section in the indexed spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_ScaleX &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;float&gt;scaleX \n\
</pre></div><p>Sets the X Scale of the indexed cross-section in the indexed spline to the given Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_ScaleY &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex \n\
</pre></div><p>Returns the Y Scale of the indexed cross-section in the indexed spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_ScaleY &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;float&gt;scaleY \n\
</pre></div><p>Sets the Y Scale of the indexed cross-section in the indexed spline to the given Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_scaleSelectedCrossSection &lt;point2&gt;scale \n\
</pre></div><p>Scales the X and Y axes of the selected cross-section by the given Point2 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;quat by value&gt;&lt;Unwrap_UVW&gt;.splineMap_GetCrossSection_Twist &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex \n\
</pre></div><p>Returns the Twist value of the indexed cross-section in the indexed spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_SetCrossSection_Twist &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex &lt;float&gt;Twist \n\
</pre></div><p>Sets the Twist of the indexed cross-section in the indexed spline to the given Float value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_rotateSelectedCrossSection &lt;float&gt;twist \n\
</pre></div><p>Rotates the selected cross-section about the spline&#39;s axis at the given twist amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_RecomputeCrossSections() \n\
</pre></div><p>Forces are rebuilding of the cross-sections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_InsertCrossSection &lt;index&gt;splineIndex &lt;float&gt;u \n\
</pre></div><p>Inserts a cross-section into the indexed spline at the given position along the spline.</p>\n\
<p>The u parameter is in the range from 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Copy() \n\
</pre></div><p>Copies theselected cross-sectiontotheclipboard.If multiple cross-sections are selected, the one with the lowest index will be copied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Paste() \n\
</pre></div><p>Pastes thecross-section from theclipboardonto the currently selected cross-sections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_PasteToSelected &lt;index&gt;splineIndex &lt;index&gt;crossSectionIndex \n\
</pre></div><p>Pastes the indexed cross-section of the indexed spline to the selected cross-sections.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap_Dump() \n\
&lt;void&gt;&lt;Unwrap_UVW&gt;.splineMap()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";