var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Unwrap_UVW Modifier - Topology Editing</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Unwrap_UVW Modifier - Topology Editing</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"unwrap_uvw-modifier---topology-editing\"></a></div>\n\
<p>The functions below work on the UVW mesh allowing you to rearrange the topology or add new topology.</p>\n\
<p>Note:</p>\n\
<p><strong>Use these methods with care</strong> since you can create <strong>invalid topology</strong> which can cause <strong>unpredictable results</strong>!</p>\n\
<p>Unwrap has topology similar to meshes but it has been changed to support everything except patches and polygons at the same time. Unwrap has a list of Point3 values which are the texture vertices positions. Then there are texture faces which contain an array of integers which are indices into the texture vertex list. There can be 3 to N number of ints in this array depending on the topology being fed into Unwrap. In addition to this, there are also 2 arrays of integers for the handles and interior handles if the topology is a patch which also points into the texture vertex list. The functions below allow you to manipulate these arrays to do things like break, weld, and perform other topological functions.</p>\n\
<div class=\'section\'><a id=\"basic-topology-editing\"></a><h2 id=\"basic-topology-editing\">Basic Topology Editing</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.markAsDead &lt;integer&gt;index \n\
</pre></div><p>This marks a vertex that it is dead, and no longer in use.</p>\n\
<p>Vertices are not actually deleted they are just marked and recycled when needed. That means that when a vertex is added vertices marked as dead will be the first ones checked. If there are no dead vertices, the vertex is appended to the end of the list. Use this function carefully, since marking a vertex in use as dead will cause strange results.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; index</span> - The index of the vertex to mark as dead.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberPointsInFace &lt;integer&gt;index \n\
</pre></div><p>This retrieves the numbers of vertices that a face contains.</p>\n\
<p>A face can contain 3 to N number of points depending on what type of topology Unwrap is working on. For Tri Meshes this is always 3; for patches this can be 3 or 4; and for polygons this can be 3 or greater. Unwrap abstracts all three object types into one generic format.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; index</span> - The index of the face that you are inspecting.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getVertexIndexFromFace &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex \n\
</pre></div><p>This retrieves the index of a vertex from a face.</p>\n\
<p>A face contains 0 to N number of vertices, so to retrieve a particular vertex index, you give it the face index and the ith vertex that you want to inspect. For example, if you wanted to look at the 3 vertex on face 1 you would call GetVertexIndexFromFace (1,3).</p>\n\
<p><span class=\'code\'>&lt;integer&gt; FaceIndex</span> - The index of the face that you want to inspect.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; IthVertex</span> - The ith vertex of that you want to retrieve. This value should range from 1 to the number of vertices that the face contains.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getHandleIndexFromFace &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex \n\
</pre></div><p>This retrieves the index of a handle, from a face, which contains 0 to N number of handles.</p>\n\
<p>To retrieve a particular handle index, you give it the face index and the ith handle that you want to inspect. For example, if you wanted to look at the 3 handle on face 1 you would call <span class=\'code\'>GetHandleIndexFromFace 1 3</span>. This only applies to patch meshes.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; FaceIndex</span> - The index of the face that you want to inspect.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; IthVertex</span> - The ith handle of that you want to retrieve. This value should range from 1 to the twice the number of vertices that the face contains.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getInteriorIndexFromFace &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex \n\
</pre></div><p>This retrieves the index of a interior handle from a face.</p>\n\
<p>A face contains 0 to N number of interior handles, so to retrieve a particular interior handle index, you give it the face index and the i-th interior handle that you want to inspect. For example, if you wanted to look at the 3rd interior handle on face 1 you would call <span class=\'code\'>GetInteriorIndexFromFace 1 3</span>. This only applies for patch meshes.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; FaceIndex</span> - The index of the face that you want to inspect.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; IthVertex</span> - The ith interior handle of that you want to retrieve. This value should range from 1 to the number of vertices that the face contains.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getVertexGeomIndexFromFace &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex \n\
</pre></div><p>This retrieves the index of a geometric vertex from a face.</p>\n\
<p>This is the vertex that is attached to the mesh and not the texture faces. A face contains 0 to N number of vertices, so to retrieve a particular vertex index, you give it the face index and the ith vertex that you want to inspect. For example, if you wanted to look at the 3 vertex on face 1 you would call <span class=\'code\'>GetVertexGeomIndexFromFace 1 3</span>.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; FaceIndex</span> - The index of the face that you want to inspect.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; IthVertex</span> - The ith vertex of that you want to retrieve. This value should range from 1 to the number of vertices that the face contains.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getHandleGeomIndexFromFace &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex \n\
</pre></div><p>This retrieves the index of a geometric handle from a patch. This the handle that is attached to the patch and not the texture faces. A face contains 0 to N number of handles, so to retrieve a particular handle index, you give it the face index and the ith handle that you want to inspect. For example, if you wanted to look at the 3 handle on face 1 you would call GetHandleGeomIndexFromFace(1,3).</p>\n\
<p><span class=\'code\'>&lt;integer&gt; FaceIndex</span> - The index of the face that you want to inspect.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; IthVertex</span> - The ith handle of that you want to retrieve. This value should range from 1 to twice the number of vertices that the face contains.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getInteriorGeomIndexFromFace &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex \n\
</pre></div><p>This retrieves the index of a geometric interior handle from a patch.</p>\n\
<p>This the interior handle that is attached to the patch and not the texture faces. A face contains 0 to N number of interior handles, so to retrieve a particular interior handle index, you give it the face index and the ith interior handle that you want to inspect. For example, if you wanted to look at the 3 interior handle on face 1 you would call <span class=\'code\'>GetInteriorGeomIndexFromFace (1,3)</span>.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; FaceIndex</span> - The index of the face that you want to inspect.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; IthVertex</span> - The ith interior handle of that you want to retrieve. This value should range from 1 to the number of vertices that the face contains.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceVertex &lt;point3&gt;pos &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;boolean&gt;sel \n\
</pre></div><p>This allows you to manipulate the position of vertex attached to a face.</p>\n\
<p>Basically, it detaches the vertex if multiple faces share that vertex and then moves it to the position specified. So if you want to move the 3 rd vertex of face 1 to (.5,.5,.0) you would do setFaceVertex [.5 .5 .0] 1 3. If you don’t want the vertex broken use SetVertexSPosition.</p>\n\
<p><span class=\'code\'>&lt;point3&gt; pos</span> - The position that you want to move a vertex to.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; faceIndex (integer)</span> - The index of the face that you wish to work on.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; ithVertex (integer)</span> - The ith vertex of the face that you want to change.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt; sel</span> - Whether or not to select the vertex after it is recreated.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceHandle &lt;point3&gt;pos &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;boolean&gt;sel \n\
</pre></div><p>Identical to SetFaceVertex except works on patch handles.</p>\n\
<p><span class=\'code\'>&lt;point3&gt; pos</span> - The position that you want to move a vertex to.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; faceIndex (integer)</span> - The index of the face that you wish to work on.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; ithVertex (integer)</span> - The ith vertex of the face that you want to change.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt; sel</span> - Whether or not to select the vertex after it is recreated.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <span class=\'code\'>3ds Max 4 and higher</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceInterior &lt;point3&gt;pos &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;boolean&gt;sel \n\
</pre></div><p>Identical to SetFaceVertex except works on patch interior handles.</p>\n\
<p><span class=\'code\'>&lt;point3&gt; pos</span> - The position that you want to move a vertex to.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; faceIndex (integer)</span> - The index of the face that you wish to work on.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; ithVertex (integer)</span> - The ith vertex of the face that you want to change.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt; sel</span> - Whether or not to select the vertex after it is recreated.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceVertexIndex &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;integer&gt;vertexIndex \n\
</pre></div><p>This allows you to set the index of the ith vertex of a face.</p>\n\
<p>For example, if you wanted to change the index of the 3 rd vertex of face 1 to 100 you would call setFaceVertexIndex 1 3 100.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; faceIndex</span> - Index of the face you want work on.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; ithVertex</span> - The ith vertex that you want to manipulate.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; vertexIndex</span> - The index into the vertex list that you want to set to.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceHandleIndex &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;integer&gt;vertexIndex \n\
</pre></div><p>Identical to setFaceVertexIndex but works on handles for patches.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; faceIndex</span> - Index of the face you want work on.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; ithVertex</span> - The ith vertex that you want to manipulate.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; vertexIndex</span> - The index into the vertex list that you want to set to.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceInteriorIndex &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;integer&gt;vertexIndex \n\
</pre></div><p>Identical to setFaceVertexIndex but works on interior handles for patches.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; faceIndex</span> - Index of the face you want work on.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; ithVertex</span> - The ith vertex that you want to manipulate.</p>\n\
<p><span class=\'code\'>&lt;integer&gt; vertexIndex</span> - The index into the vertex list that you want to set to.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.forceUpdate &lt;boolean&gt;update \n\
</pre></div><p>This sets a flag to determines how Unwrap will behave when a topology change occurs.</p>\n\
<p>If update is TRUE the mapping gets reset, otherwise unwrap skips mapping the object if it has a different topology. It is sometimes useful to turn this off if you have MeshSmooth or other topology changing modifiers below Unwrap that have different topologies when rendering.</p>\n\
<p><span class=\'code\'>&lt;boolean&gt; update</span> - Determines whether the mapping is reset on topology change.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<p>Note: Normally, when the user changes the topology, Unwrap resets the mapping. If the <span class=\'code\'>forceUpdate</span> is set to <span class=\'code\'>true</span> then the mapping will not be reset, but you can&#39;t edit/see any mapping that makes sense. This flag is for advance users that want to lock a mapping and then set the topology back down for maximized viewport speed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.getFaceSelectionFromStack() \n\
</pre></div><p>Updates the Unwrap_UVW modifier to accept any face selection coming from the modifier stack.</p>\n\
<p>For example, create a sphere, add a MeshSelect modifier, add an Unwrap_UVW modifier. Go to Face Sub-Object level of Unwrap_UVW - there is no selection. Go down to MeshSelect and select some faces. Go back to Unwrap_UVW - there is still no face selection. Call this function and the MeshSelect face selection will be accepted by the Unwrap_UVW modifier.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"number-of-...\"></a><h2 id=\"number-of-...\">Number Of ...</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.NumberVertices() \n\
</pre></div><p>Returns the number of texture vertices.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberPolygons() \n\
</pre></div><p>Returns the number of polygons in the object.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap</span> interface in <strong>3ds Max 4 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"by-node-topology-methods\"></a><h2 id=\"by-node-topology-methods\">By-Node Topology Methods</h2></div>\n\
<p><strong>The following methods are available in 3ds Max 2008 and higher</strong>.</p>\n\
<p>The Unwrap_UVW modifier in <strong>3ds Max 2008 and higher</strong> supports multiple scene objects when applied as an instance.</p>\n\
<p>The <span class=\'code\'>unwrap6</span> interface re-exposes some methods which used to be available in the Unwrap_UVW modifier, but this time it provides an additional argument to specify the node to operate on.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberVerticesByNode &lt;node&gt;node \n\
</pre></div><p>Returns the number of map vertices in the Unwrap_UVW modifier corresponding to the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedPolygonsByNode &lt;node&gt;node \n\
</pre></div><p>Returns the number of selected polygons corresponding to the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectPolygonsByNode &lt;bitArray&gt;selection &lt;node&gt;node \n\
</pre></div><p>Selects the polygons corresponding to the given node defined by the bitarray value.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isPolygonSelectedByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns true of the indexed polygon of the given node is selected in the Unwrap_UVW modifier, false if not selected.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberPolygonsByNode &lt;node&gt;node \n\
</pre></div><p>Returns the number of polygons in the Unwrap_UVW modifier corresponding to the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.markAsDeadByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Marks the indexed vertex in the given node as dead.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.numberPointsInFaceByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns the number of points in the indexed face of the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getVertexIndexFromFaceByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;node&gt;node \n\
</pre></div><p>Returns the vertex index of the i-th vertex of the indexed face of the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getHandleIndexFromFaceByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;node&gt;node \n\
</pre></div><p>Returns the handle index of the i-th vertex of the indexed face of the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getVertexGeomIndexFromFaceByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;node&gt;node \n\
</pre></div><p>Returns the index of the geometry vertex corresponding to the i-th vertex of the indexed face of the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getHandleGeomIndexFromFaceByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;node&gt;node \n\
</pre></div><p>Returns the handle of the geometry vertex corresponding to the i-th vertex of the indexed face of the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Unwrap_UVW&gt;.getInteriorGeomIndexFromFaceByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;node&gt;node \n\
</pre></div><p>Returns the interior geometry vertex index corresponding to the i-th vertex of the indexed face of the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceVertexByNode &lt;point3&gt;pos &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;boolean&gt;sel &lt;node&gt;node \n\
</pre></div><p>Sets the position of the i-th vertex of the indexed face in the given node.</p>\n\
<p>If the 4 th parameter is passed as true, the vertex will also be selected.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceHandleByNode &lt;point3&gt;pos &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;boolean&gt;sel &lt;node&gt;node \n\
</pre></div><p>Sets the handle position of the i-th vertex of the indexed face in the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceInteriorByNode &lt;point3&gt;pos &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;boolean&gt;sel &lt;node&gt;node \n\
</pre></div><p>Sets the interior position of the i-th vertex of the indexed face in the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceVertexIndexByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;integer&gt;vertexIndex &lt;node&gt;node \n\
</pre></div><p>Sets the vertex index of the i-th vertex of the indexed face in the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceHandleIndexByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;integer&gt;vertexIndex &lt;node&gt;node \n\
</pre></div><p>Sets the handle handle index of the i-th vertex of the indexed face in the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setFaceInteriorIndexByNode &lt;integer&gt;faceIndex &lt;integer&gt;ithVertex &lt;integer&gt;vertexIndex &lt;node&gt;node \n\
</pre></div><p>Sets the face interior index of the i-th vertex of the indexed face in the given node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.getAreaByNode &lt;bitArray&gt;faceSelection &lt;&amp;float&gt;areaUVW &lt;&amp;float&gt;areaGeom &lt;node&gt;node \n\
\n\
areaUVW is Out parameter \n\
areaGeom is Out parameter \n\
</pre></div><p>Gets the map faces area and the geometry faces area of the faces specified by the bitArray in the given node.</p>\n\
<p>The results are written into the two by-reference variables <span class=\'code\'>areaUVW</span> and <span class=\'code\'>areaGeom</span> .</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.getAreaByNode &lt;bitArray&gt;faceSelection &lt;&amp;float&gt;x &lt;&amp;float&gt;y &lt;&amp;float&gt;width &lt;&amp;float&gt;height &lt;node&gt;node \n\
\n\
x is Out parameter \n\
y is Out parameter \n\
width is Out parameter \n\
height is Out parameter \n\
</pre></div><p>Gets the upper left corner, the width and the height of the faces specified by the bitArray in the given node.</p>\n\
<p>The results are written into the four by-reference variables <span class=\'code\'>x</span>, <span class=\'code\'>y</span>, <span class=\'code\'>width</span> and <span class=\'code\'>height</span> .</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getPeltSelectedSeamsByNode &lt;node&gt;node \n\
</pre></div><p>Returns a bitarray of the selected seams for pelting in the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setPeltSelectedSeamsByNode &lt;bitArray&gt;selection &lt;node&gt;node \n\
</pre></div><p>Sets the selected seams for pelting in the given node to the given bitArray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectPolygonsUpdateByNode &lt;bitArray&gt;selection &lt;boolean&gt;update &lt;node&gt;node \n\
</pre></div><p>Selects the faces supplied by the bitArray in the given node.</p>\n\
<p>When update is given as true, updates the selection display. This selection method gives you an option to not update the view if you are doing lots of face processing.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.sketchByNode &lt;int array&gt;indexList &lt;point3 array&gt;positionList &lt;node&gt;node \n\
</pre></div><p>Sketches UV coordinates of the given node using the supplied index list array and the position list array.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.getNormalByNode &lt;integer&gt;faceIndex &lt;node&gt;node \n\
</pre></div><p>Returns the normal of the indexed face in the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"get-and-set-vertex-position-and-weight\"></a><h3 id=\"get-and-set-vertex-position-and-weight\">Get and Set Vertex Position and Weight</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;point3&gt;&lt;Unwrap_UVW&gt;.GetVertexPositionByNode &lt;time&gt;time &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns the position of the indexed map vertex of the node given by the third argument at the time given by the first argument.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setVertexPositionByNode &lt;time&gt;time &lt;integer&gt;index &lt;point3&gt;pos &lt;node&gt;node \n\
</pre></div><p>Sets the position of the indexed map vertex of the node given by the fourth argument at the time given by the first argument to the position specified by the third argument.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setVertexPosition2ByNode &lt;time&gt;time &lt;integer&gt;index &lt;point3&gt;pos &lt;boolean&gt;hold &lt;boolean&gt;update &lt;node&gt;node \n\
</pre></div><p>An extended version of the <span class=\'code\'>setVertexPosition</span> method with control over Holding and Updating.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Unwrap_UVW&gt;.getVertexWeightByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns the Vertex Weight of the specified vertex in the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setVertexWeightByNode &lt;integer&gt;index &lt;float&gt;weight &lt;node&gt;node \n\
</pre></div><p>Sets the Vertex Weight of the specified vertex in the given node to the value defined by the second argument.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isWeightModifiedByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns true if the weight of the indexed vertex in the given node has been modified, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.modifyWeightByNode &lt;integer&gt;index &lt;boolean&gt;modify &lt;node&gt;node \n\
</pre></div><p>Sets the modified flag of the indexed vertex in the given node to the Boolean value provided by the second argument.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"get-and-set-selection\"></a><h3 id=\"get-and-set-selection\">Get and Set Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedVerticesByNode &lt;node&gt;node \n\
</pre></div><p>Returns a bitarray with the map vertices selected in the Unwrap_UVW modifier and corresponding to the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectVerticesByNode &lt;bitArray&gt;selection &lt;node&gt;node \n\
</pre></div><p>Selects the map vertices in the Unwrap_UVW modifier and corresponding to the given node, based on the provided bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isVertexSelectedByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns true if the indexed map vertex is selected, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedFacesByNode &lt;node&gt;node \n\
</pre></div><p>Returns a bitarray with the faces selected in the Unwrap_UVW modifier and corresponding to the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectFacesByNode &lt;bitArray&gt;selection &lt;node&gt;node \n\
</pre></div><p>Selects the faces in the Unwrap_UVW modifier and corresponding to the given node, based on the provided bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isFaceSelectedByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns true if the indexed face is selected, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedEdgesByNode &lt;node&gt;node \n\
</pre></div><p>Returns a bitarray with the map edges selected in the Unwrap_UVW modifier and corresponding to the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.selectEdgesByNode &lt;bitArray&gt;selection &lt;node&gt;node \n\
</pre></div><p>Selects the map edges in the Unwrap_UVW modifier and corresponding to the given node, based on the provided bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Unwrap_UVW&gt;.isEdgeSelectedByNode &lt;integer&gt;index &lt;node&gt;node \n\
</pre></div><p>Returns true if the indexed map edge is selected, false otherwise.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedGeomVertsByNode &lt;node&gt;node \n\
</pre></div><p>Returns a bitarray with the geometry vertices selected in the Unwrap_UVW modifier and corresponding to the given node.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectedGeomVertsByNode &lt;bitArray&gt;selection &lt;node&gt;node \n\
</pre></div><p>Selects the vertices in the Unwrap_UVW modifier and corresponding to the given node, based on the provided bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitArray&gt;&lt;Unwrap_UVW&gt;.getSelectedGeomEdgesByNode &lt;node&gt;node \n\
</pre></div><p>Selects the geometry edges in the Unwrap_UVW modifier and corresponding to the given node, based on the provided bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Unwrap_UVW&gt;.setSelectedGeomEdgesByNode &lt;bitArray&gt;selection &lt;node&gt;node \n\
</pre></div><p>Selects the geometry edges in the Unwrap_UVW modifier and corresponding to the given node, based on the provided bitarray.</p>\n\
<p>Exposed via <span class=\'code\'>unwrap6</span> interface in <strong>3ds Max 2008 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";