var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>World Space Modifiers - Force-Related Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>World Space Modifiers - Force-Related Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"world-space-modifiers---force-related-methods\"></a></div>\n\
<p>The following methods can be used to calculate forces defined by World Space Modifiers (Space Warps).</p>\n\
<p>These methods are available in <strong>3ds Max 2008</strong> and higher. They were previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>WSMApplyFC &lt;WSM_node_array&gt; &lt;pos_point3_array&gt; &lt;vel_point3_array&gt; &lt;force_point3_array&gt; interval:&lt;interval&gt; stepsize:&lt;time&gt;\n\
</pre></div><p>Applies force-field (Particles &amp; Dynamics + Displace) and deflector (Particles Only) type Space Warps to the position, velocity, and force array values.</p>\n\
<div class=\'section\'><a id=\"units\"></a><h2 id=\"units\">Units:</h2></div>\n\
<p>The position values are in <strong>3ds Max</strong> units, the velocity values are in <strong>3ds Max</strong> units/tick, the force values are in <strong>3ds Max</strong> units/tick^2 (mass assumed to be == 1).</p>\n\
<p>The position, velocity, and force arrays must be the same size.</p>\n\
<div class=\'section\'><a id=\"evaluation-interval-and-order\"></a><h2 id=\"evaluation-interval-and-order\">Evaluation Interval and Order:</h2></div>\n\
<p>The effects of the space warps are evaluated over the specified interval, with a default interval of (interval currenttime (currenttime+1f)), using the specified stepsize, with a default of 1 frame.</p>\n\
<p>The effect of the force-field space warps are first evaluated in the order specified, followed by the deflector space warps in the order specified.</p>\n\
<p>The values in the position, velocity, and force arrays are replaced with the results of the evaluation of the effects of the space warps</p>\n\
<p>The supplied force values are applied prior to the space warps being applied.</p>\n\
<div class=\'section\'><a id=\"initial-values\"></a><h2 id=\"initial-values\">Initial Values:</h2></div>\n\
<p>Normally you want to set the force array to contain values of [0,0,0] prior to calling this method. Only if you are calculating an additional force in your script would you set the force array to other values. The position and velocity arrays would normally contain the results of the last call to this method.</p>\n\
<div class=\'section\'><a id=\"supported-space-warps\"></a><h2 id=\"supported-space-warps\">Supported Space Warps:</h2></div>\n\
<p>Any force-field space warp, including 3rd party plug-ins, should work correctly.</p>\n\
<p>Only the deflector space warps that ship with 3ds Max are supported.</p>\n\
<p>The Path Follow space warp is not supported as it requires a particle system.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USAGE:</strong></p>\n\
<p>``` ( resetMaxFile #noPrompt gravity pos:[41.7827,242.9,0] isSelected:on iconSize:33.4742 transform:(matrix3 [1,0,0] [0,-1,0] [0,0,-1] [41.7827,242.9,0]) Deflector bounce:1 width:101.617 length:74.9636 transform:(matrix3 [1,0,0] [0,0.751713,0.659491] [0,-0.659491,0.751713] [16.7722,4.28949,-146.329]) posArray=#([10,0,0],[10,10,0]) velArray=#([0,0,0],[0,0,0]) forceArray=#([0,0,0],[0,0,0]) for i = 0 to 40 do( point pos:posArray[1] wirecolor:red point pos:posArray[2] wirecolor:blue at time i WSMApplyFC #(\\(gravity001,\\)deflector001) posArray velArray forceArray ) )</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-806D2A79-D555-42D1-9895-D7574229DFA1-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WSMSupportsForce &lt;node&gt;     \n\
</pre></div><p>Returns true if the specified node can be used as a force-field type space warp for <span class=\'code\'>WSMApplyFC()</span>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;WSMSupportsCollision &lt;node&gt;   \n\
</pre></div><p>Returns true if the specified node can be used as a deflector type space warp for <span class=\'code\'>WSMApplyFC()</span>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";