var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Overview of the Principal NURBS Classes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Overview of the Principal NURBS Classes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"overview-of-the-principal-nurbs-classes\"></a></div>\n\
<p>The diagram below shows the inheritance tree of the principal classes in the NURBS family. The base classes are shown at the top, and the inheritance hierarchy proceeds toward the bottom and to the right. <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBSObject-Values.html\' title=\'\'>NURBSObject</a> is the main base class, with <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBSPoint-Classes/NURBSPoint-NURBSObject.html\' title=\'\'>NURBSPoint</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBSControlVertex-Class/NURBSControlVertex-NURBSObject.html\' title=\'\'>NURBSControlVertex</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBSCurve-Classes/NURBSCurve-NURBSObject.html\' title=\'\'>NURBSCurve</a> , <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBSSurface-Classes/NURBSSurface-NURBSObject.html\' title=\'\'>NURBSSurface</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBSCurve-Classes/NURBSCVCurve-NURBSCurve.html\' title=\'\'>NURBSCVCurve</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBSCurve-Classes/NURBSPointCurve-NURBSCurve.html\' title=\'\'>NURBSPointCurve</a> also functioning as base classes. Several additional classes are used with NURBS objects, but are not part of the NURBS hierarchy. These classes are the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBS-Associated-Classes/NURBSDisplay-Value.html\' title=\'\'>NURBSDisplay</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBS-Associated-Classes/NURBSSelection-Value.html\' title=\'\'>NURBSSelection</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\' title=\'\'>NURBSSet</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBS-Associated-Classes/NURBSSurfaceApproximation-Value.html\' title=\'\'>NURBSSurfaceApproximation</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBS-Associated-Classes/NURBSTextureSurface-Value.html\' title=\'\'>NURBSTextureSurface</a> classes.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C769FE3F-7DBB-4E7C-9406-833374C1B183-low.gif\' title=\'\'></div>\n\
<p><strong>NURBS Class Hierarchy</strong></p>\n\
<p>The <strong>NURBSObject</strong> class is the base NURBS class. It provides a set of properties that are common to the other classes such as getting and setting the name of the item. It also has a <span class=\'code\'>NURBSId</span> property which is an ID used to specify a particular object in communication between the NURBS classes.</p>\n\
<p>The <strong>NURBSSet</strong> class is the class used when developers want to create <strong>3ds Max</strong> NURBS objects, or retrieve data from existing <strong>3ds Max</strong> NURBS objects. The NURBSSet acts as a container for the other objects. This class contains a table of the various NURBSObject derived entities (points, curves, surfaces) used to make up the set. Additionally it has two &#39;fuse&#39; tables: one for fuse curves and one for fuse surfaces. These are used to allow the CVs in the curves or surfaces to be &#39;stitched&#39; or &#39;fused&#39; together so that if one curve or surface moves the other moves with it. This class also has the surface-approximation properties that control the object&#39;s tessellation into triangle meshes for use in the viewports and the production renderer.</p>\n\
<p>The <strong>NURBSPoint</strong> classes describe a point in 3D space. Depending on the specific class, points can be either <span class=\'code\'>independent</span> or <span class=\'code\'>dependent</span> . Independent points are those that don&#39;t rely on other objects to define their location. Dependent points are related to the objects they depend on such that the relationship established initially remains if the point, curve or surface moves. For example, a point can be created such that it always remains a certain distance from another point. The options are XYZ-relative, along a normal, or along a tangent (or set of tangents for a surface-dependent constrained point).</p>\n\
<p>The <strong>NURBSControlVertex</strong> class defines a Control Vertex of a NURBS Curve or NURBS Surface. This class shares may of the same properties as a NURBSPoint and has the added property of a rational weight. The weight value of a CV is rational. That is, it is relative to other CVs in the curve or surface. Changing the weight of all CVs at once has no effect, because this doesn’t change the ratio between weights.</p>\n\
<p>The <strong>NURBSCurve</strong> classes describe the properties of NURBS curves. As with the NURBSPoint classes, depending on the specific class, curves can be either independent or dependent. Independent curves are those that don&#39;t rely on other objects to define their location. A dependent curve is an object that depends on one or more other objects to define what it is. For example, a Blend Curve depends on the two parent curves that it blends between when it was created (as well as on its two tension parameters).</p>\n\
<p>The <strong>NURBSSurface</strong> classes describe the properties of NURBS surfaces. As with the NURBSPoint and NURBSCurve classes, depending on the specific class, surfaces can be either independent or dependent. Independent surfaces are those that don&#39;t rely on other objects to define their location. Dependent surfaces are surface sub-objects whose geometry depends on other surfaces or curves in the NURBS model. When you change the geometry of the original parent surface or curve, the dependent surface changes as well.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";