var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSDisplay : Value</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSDisplay : Value</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsdisplay-value\"></a></div>\n\
<p>This class corresponds to the NURBS display control checkboxes in the General NURBS rollout panel. You can exert control over the display levels in a NURBS object by either assigning NURBSDisplay values to the <span class=\'code\'>.display</span> property of a NURBSSet value or using the <span class=\'code\'>setSurfaceDisplay()</span> node function. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\' title=\'\'>NURBS Node Properties and Methods</a>.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSDisplay [&lt;property&gt;:&lt;val&gt;]...   \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsset&gt;.display \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displayCurves : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if curves are displayed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displaySurfaces : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if surfaces are displayed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displayLattices : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if lattices are displayed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displaySurfCVLattices : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if surface CV lattices are displayed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displayCurveCVLattices : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if curve CV lattices are displayed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displayDependents : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if dependent sub-objects are displayed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displayTrimming : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if surface trimming is displayed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.degradeOnMove : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if the surface may degrade while transforming it; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsdisplay&gt;.displayShadedLattice : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if the NURBS surfaces appear as shaded lattices in shaded viewports and wireframe viewports display the surface&#39;s lattice without shading. <span class=\'code\'>false</span> if NURBS surfaces display as tessellated meshes in shaded viewport and wireframe viewports surfaces display as either iso curves or wire meshes.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";