var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSSurfaceApproximation : Value</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSSurfaceApproximation : Value</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbssurfaceapproximation-value\"></a></div>\n\
<p>Instances of this class contain a complete surface approximation setting that can be used to set the approximation for NURBS objects described by NURBSSet values or directly in existing NURBS scene node. You use the <span class=\'code\'>setViewApproximation()</span> and <span class=\'code\'>setRenderApproximation()</span> functions on existing scene nodes and the <span class=\'code\'>.viewApproximation</span> and <span class=\'code\'>.renderApproximation</span> properties on NURBSSet values.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSSurfaceApproximation [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsset&gt;.viewApproximation &lt;nurbsset&gt;.     renderApproximation \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.config :  #isoOnly, #isoAndMesh, #meshOnly \n\
</pre></div><p>This property determines what is displayed in the interactive or scanline renderer.</p>\n\
<p>If <span class=\'code\'>#isoOnly</span> is specified, only Iso lines are displayed. Iso (parametric) lines are similar to contour lines. The lines show where the NURBS surface has a constant U or V value or both. Iso line representations can be less crowded and easier to visualize than wire mesh representations.</p>\n\
<p>If <span class=\'code\'>#isoAndMesh</span> is specified, Iso lines and the mesh are displayed. When chosen, wireframe viewports display iso line representations of the surface, and shaded viewports display the shaded surface.</p>\n\
<p>If <span class=\'code\'>#meshOnly</span> is specified, just the mesh is displayed. When chosen, wireframe viewports display the surface as a wire mesh, and shaded viewports display the shaded surface. In wireframe viewports, this option lets you see the curve approximation used for viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.isoULines : integer \n\
</pre></div><p>This is used with the ISO line display. This is the number of additional interior iso lines in U (there are always lines along the outer edges).</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.isoVLines : integer \n\
</pre></div><p>This is used with the ISO line display. This is the number of additional interior iso lines in V (there are always lines along the outer edges).</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.meshUSteps : integer \n\
</pre></div><p>This is used for parametric tessellation. This is the number of tessellations in U. This is the number of sub-divisions for a knot span for the surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.meshVSteps : integer \n\
</pre></div><p>This is used for parametric tessellation. This is the number of tessellations in V. This is the number of sub-divisions for a knot span for the surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.meshApproxType :#parametric, #spatial, #curvature, #regular, #spatialAndCurvature \n\
</pre></div><p>This property controls the type of surface tessellation.</p>\n\
<p>If <span class=\'code\'>#parametric</span> is specified, parametric tessellation is performed. This provides for a fixed number of <span class=\'code\'>meshUSteps</span> by <span class=\'code\'>meshVSteps</span> tessellations. There are <span class=\'code\'>meshUSteps</span> times <span class=\'code\'>meshVSteps</span> quadrilaterals and each one is split up into two triangles.</p>\n\
<p>If <span class=\'code\'>#spatial</span> is specified, spatial tessellation is performed. This uses <span class=\'code\'>spacialEdge</span> as its parameter. This specifies that the size of the tessellation will be the <span class=\'code\'>spacialEdge</span> length. In view dependent tessellation <span class=\'code\'>spacialEdge</span> is specified in pixels.</p>\n\
<p>If <span class=\'code\'>#curvature</span> is specified, view dependent tessellation is performed. This uses the <span class=\'code\'>curvatureAngle</span> and <span class=\'code\'>curvatureDistance</span> property values.</p>\n\
<p>If <span class=\'code\'>#regular</span> is specified, a fixed, regular tessellation across the surface is performed.</p>\n\
<p>If <span class=\'code\'>#spatialAndCurvature</span> is specified, a tessellation method which combines the spatial and curvature methods is used. This uses the <span class=\'code\'>spacialEdge</span> , <span class=\'code\'>curvatureAngle</span> , and <span class=\'code\'>curvatureDistance</span> property values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.spacialEdge : float \n\
</pre></div><p>This is the length of an edge to use in spatial ( <span class=\'code\'>#spatial</span> ) tessellation. In view dependent tessellation this is specified in pixels. If not in view dependent tessellation this is a percentage of the bounding box diagonal length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.curvatureAngle : float \n\
</pre></div><p>This is used in curvature dependent tessellation ( <span class=\'code\'>#curvature</span> ). If 0.0 is specified this is ignored. If specified this ensures that no two adjacent face normals exceed this angle between them. This value is specified in radians.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.curvatureDistance : float \n\
</pre></div><p>This is used in curvature dependent tessellation ( <span class=\'code\'>#curvature</span> ). If 0.0 is specified this is ignored. This specifies a distance that cannot be exceeded between a vertex on the mesh and the mathematical surface. This is defined as a percentage of the diagonal of the bounding box of the individual surface in object space. For instance if this was set to 1.0, the allowable error in generating a tessellation would be 1% of the bounding box diagonal distance of the surface. This would be 1/100 (1%) of the diagonal distance of the bounding box. In this way if an object is scaled the tessellation remains the same. Additionally, if you have an object with a big surface and a little surface, the smaller surface will get tessellated more finely because its own bounding box is used. This prevents the smaller surface from just becoming a single triangle for example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.viewDependent : boolean \n\
</pre></div><p>Specifies if this is view dependent tessellation. If <span class=\'code\'>true</span> this will tessellate less finely the farther away from the camera the object is. If <span class=\'code\'>false</span> the tessellation does not change based on distance from the camera.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.merge : float \n\
</pre></div><p>Controls the tessellation of surface sub-objects whose edges are joined or very nearly joined. When input to a modifier (such as Mesh Select) requires a mesh, and when NURBS surfaces are tessellated for production rendering, by default the software adjusts the tessellation of adjoining surfaces to match each other, in terms of the number of faces along the edges. The Merge parameter controls how this is done. If Merge is zero, adjoining faces are unchanged. Increasing the value of Merge increases the distance the software uses to calculate how edges should match, guaranteeing no gaps between the surfaces when they are rendered. Default is 0.0.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.subdivStyle : name \n\
</pre></div><p>Get/Set the Subdivision style in the Advanced Surface Approximation dialog. Possible values are <span class=\'code\'>#tree, #grid, #delaunay</span> .</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.minLevels : float \n\
</pre></div><p>Get/Set the minimum number of Subdivision levels in the Advanced Surface Approximation dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.maxLevels : float \n\
</pre></div><p>Get/Set the maximum number of Subdivision levels in the Advanced Surface Approximation dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfaceapproximation&gt;.maxTris : integer \n\
</pre></div><p>Get/Setthe maximum number of triangles in the Advanced Surface Approximation dialog.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";