var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSTextureSurface : Value</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSTextureSurface : Value</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbstexturesurface-value\"></a></div>\n\
<p>This class contains an editable texture coordinate surface corresponding to the editable texture surface in NURBS surfaces. You can create and apply them to any NURBSSurface value or retrieve existing texture surfaces using the <span class=\'code\'>getTextureSurface()</span> and <span class=\'code\'>setTextureSurface()</span> methods to access any of the 99 texture channels for a NURBS surface.</p>\n\
<p><strong>3ds Max</strong> uses the texture surface to control how materials are mapped. In effect, changing the texture surface stretches or otherwise changes the UV coordinates for the surface, altering the mapping. This is a 2D (not 3D) surface that lives in the parameter space of the corresponding NURBSSurface which controls the texture mapping used by the NURBSSurface.</p>\n\
<p>It is not possible to assign texture surfaces to NURBS objects that are present in the scene. You can create new NURBSSets and the texture surface is used when you call <span class=\'code\'>createNURBSObject()</span> . However, if you do a <span class=\'code\'>getNURBSSet()</span> and assign a NURBSTextureSurface to a texture channel for a NURBS surface, nothing happens.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSTextureSurface [&lt;property&gt;:&lt;val&gt;]... \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getTextureSurface &lt;nurbssurface&gt; &lt;channel_index&gt;   \n\
&lt;nurbssurface&gt;.textureSurface1 \n\
&lt;nurbssurface&gt;.textureSurface2 \n\
</pre></div><p>Provides backward compatibility for scripts written for <strong>3ds Max</strong> R2.5. Get and set the texture surfaces for the first two texture channels.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbstexturesurface&gt;.type:#default, #userDefined, #projected \n\
</pre></div><p>The type of texture surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbstexturesurface&gt;.parent: integer \n\
</pre></div><p>The parent surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbstexturesurface&gt;.parentID: integer \n\
</pre></div><p>The parent surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbstexturesurface&gt;.numUPoints: integer -- read-only \n\
&lt;nurbstexturesurface&gt;.numVPoints: integer -- read-only \n\
&lt;nurbstexturesurface&gt;.numPoints: point2 \n\
</pre></div><p>The number of U and V points.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getPoint &lt;nurbstexturesurface&gt; &lt;u_index&gt; &lt;v_index&gt; \n\
setPoint &lt;nurbstexturesurface&gt; &lt;u_index&gt; &lt;v_index&gt; &lt;texturepoint&gt; \n\
</pre></div><p>Get or set a NURBSTexturePoint value for the texture point at the U and V index of the texture surface.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>setTextureSurface &lt;nurbssurface&gt; &lt;channel_index&gt; &lt;NURBSTextureSurface&gt; \n\
</pre></div><p>This method sets the texture surface for the selected channel.</p>\n\
<p>Note: The NURBSTextureSurface class has been updated to correspond to the new texture surface mechanism in <strong>3ds Max4 and higher</strong>, and has different properties and methods that were defined in <strong>3ds Max R3</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";