var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSControlVertex : NURBSObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSControlVertex : NURBSObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbscontrolvertex-nurbsobject\"></a></div>\n\
<p>This class defines an independent Control Vertex of a NURBS Curve or NURBS Surface. This class shares may of the same properties as a NURBSPoint and has the added property of a rational weight. The weight value of a CV is rational. That is, it is relative to other CVs in the curve or surface. Changing the weight of all CVs at once has no effect, because this doesn’t change the ratio between weights.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSControlVertex &lt;point3&gt; [&lt;weight_float&gt;]     \n\
getCV &lt;nurbscvcurve&gt; &lt;index&gt;   \n\
getCV &lt;nurbscvsurface&gt; &lt;u_index&gt; &lt;v_index&gt; \n\
</pre></div><p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscontrolvertex&gt; == &lt;nurbscontrolvertex&gt;\n\
&lt;nurbscontrolvertex&gt; != &lt;nurbscontrolvertex&gt;\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscontrolvertex&gt;.weight : float \n\
</pre></div><p>The weight of the control vertex. This is a value greater than zero. Larger values cause the CV to have a greater effect, thus the curve or surface will try to pass closer to the CV.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";