var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSChamferCurve : NURBSCurve</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSChamferCurve : NURBSCurve</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbschamfercurve-nurbscurve\"></a></div>\n\
<p>This class defines a dependent Chamfer curve. A Chamfer is a curve that creates a straight line corner between two parent curves.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSChamferCurve [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.parent1 : integer \n\
</pre></div><p>The 1 st parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.parent1ID : integer \n\
</pre></div><p>The 1 st parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.parent2 : integer \n\
</pre></div><p>The 2 nd parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.parent2ID : integer \n\
</pre></div><p>The 2 nd parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.length1 : float \n\
</pre></div><p>The length for 1 st parent curve back from the end that defines the beginning of the chamfer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.length2 : float \n\
</pre></div><p>The length for 2 nd parent curve back from the end that defines the beginning of the chamfer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.flip1 : boolean \n\
</pre></div><p><span class=\'code\'>true</span> to use the end of 1 st parent curve; <span class=\'code\'>false</span> to use the beginning, defaults to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.flip2 : boolean \n\
</pre></div><p><span class=\'code\'>true</span> to use the end of 2 nd parent curve; <span class=\'code\'>false</span> to use the beginning, defaults to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.trim1 : boolean \n\
</pre></div><p>Sets whether 1 st parent curve is trimmed. <span class=\'code\'>true</span> if the curve is trimmed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.trim2 : boolean \n\
</pre></div><p>Sets whether 2 nd parent curve is trimmed. <span class=\'code\'>true</span> if the curve is trimmed; otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.flipTrim1 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> the 1 st parent curve is trimmed from the point towards low parameter space. If <span class=\'code\'>false</span> the curve is trimmed from the point towards high parameter space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbschamfercurve&gt;.flipTrim2 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> the 2 nd parent curve is trimmed from the point towards low parameter space. If <span class=\'code\'>false</span> the curve is trimmed from the point towards high parameter space.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";