var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSCurve : NURBSObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSCurve : NURBSObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbscurve-nurbsobject\"></a></div>\n\
<p>This is the parent class for all the NURBS curve classes and so is not directly constructable. The class describes the common properties of all NURBS curves. This includes its open/closed state, and number of trim points. The <span class=\'code\'>evalPos()</span> and <span class=\'code\'>evalTangent()</span> methods are used to compute points and tangents on the curve.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>All NURBS curve classes have the following properties:</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurve&gt;.isClosed : boolean, read-only   \n\
</pre></div><p><span class=\'code\'>true</span> if the curve is closed, <span class=\'code\'>false</span> if open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurve&gt;.numTrimPoints : integer, read-only   \n\
</pre></div><p>The number of trim points in the curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurve&gt;.parameterRangeMin : float, read-only &lt;nurbscurve&gt;.  parameterRangeMax : float, read-only \n\
</pre></div><p>Contains the minimum and maximum valid values for <span class=\'code\'>&lt;u_parm&gt;</span> in the methods associated with NURBS Curves.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurve&gt;.matID : integer \n\
</pre></div><p>The material ID assigned to the curve.</p>\n\
<p><strong>Methods</strong></p>\n\
<p>All NURBS curve classes have the following methods:</p>\n\
<div class=\'codeBlock\'><pre>evalPos &lt;nurbscurve&gt; &lt;u_param&gt; \n\
</pre></div><p>Returns the position in space of the given parametric point along the curve.</p>\n\
<div class=\'codeBlock\'><pre>evalTangent &lt;nurbscurve&gt; &lt;u_param&gt; \n\
</pre></div><p>Returns the tangent vector at the given parametric point along the curve.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";