var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSPointCurve : NURBSCurve</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSPointCurve : NURBSCurve</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbspointcurve-nurbscurve\"></a></div>\n\
<p>This class defines an independent curve that uses points to describe its shape. All the points lie on the curve itself.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSPointCurve [&lt;property&gt;:&lt;val&gt;]...    \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointcurve&gt;.numPoints : integer \n\
</pre></div><p>The number of points in the point curve. If this value is changed, the previous point data is not maintained.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointcurve&gt;.closed : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if the curve is closed, <span class=\'code\'>false</span> if open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointcurve&gt;.transform : matrix3 \n\
</pre></div><p>The transformation matrix for the NURBSPointCurve. This controls the relative position of the item within a NURBSSet.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>close &lt;nurbspointcurve&gt; \n\
</pre></div><p>Closes the curve.</p>\n\
<div class=\'codeBlock\'><pre>getPoint &lt;nurbspointcurve&gt; &lt;index&gt; \n\
</pre></div><p>Get the indexed curve point as a NURBSIndependentPoint</p>\n\
<div class=\'codeBlock\'><pre>setPoint &lt;nurbspointcurve&gt; &lt;index&gt; &lt;nurbs_independent_pt&gt; \n\
</pre></div><p>Set the indexed point to the given NURBSIndependentPoint</p>\n\
<div class=\'codeBlock\'><pre>refine &lt;nurbspointcurve&gt; &lt;u_param&gt; \n\
</pre></div><p>Adds a new, interpolated point at the given parametric position along the curve.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";