var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSCurveConstPoint : NURBSPoint</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSCurveConstPoint : NURBSPoint</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbscurveconstpoint-nurbspoint\"></a></div>\n\
<p>This class defines a dependent point that lies on a curve or relative to it. The point can either be on the curve or off the curve. If it is on the curve, the U Position is the only control of its location. The U Position specifies a location along the curve (based on the curve’s local U axis). There are four ways to specify the displacement of the point’s location relative to the U position:</p>\n\
<ul>\n\
<li><p>OnObject - the point is actually on the surface of the object.</p></li>\n\
<li><p>Offset - the point is moved according to a relative (object space) X,Y,Z location.</p></li>\n\
<li><p>Normal - the point is moved along the direction of the curve’s normal. (Negative values move it opposite to the normal.)</p></li>\n\
<li><p>Tangent - the point is moved along the tangent of the U Position. If the value is positive it&#39;s the tangent that heads in the direction of increasing U value; if negative it&#39;s the tangent that heads in the direction of decreasing U value.</p></li>\n\
</ul>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSCurveConstPoint [&lt;property&gt;:&lt;val&gt;]...   \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.parent : integer \n\
</pre></div><p>The parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.parentID : integer \n\
</pre></div><p>The parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.uParam : float \n\
</pre></div><p>Parametric point along the parent curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.type :#onObject, #offset, #normal, #tangent \n\
</pre></div><p>Specifies the transform relationship between the point and the curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.offset : point3 \n\
</pre></div><p>Offset vector if an offset type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.normal : float \n\
</pre></div><p>Distance along the normal if a normal type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.uTangent : float \n\
</pre></div><p>Distance along the curve tangent if a tangent type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.trimCurve : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , trims parent curve at the point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbscurveconstpoint&gt;.flipTrim : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> the curve is trimmed from the point towards low parameter space. If <span class=\'code\'>false</span> the curve is trimmed from the point towards high parameter space.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";