var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSSurfConstPoint : NURBSPoint</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSSurfConstPoint : NURBSPoint</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbssurfconstpoint-nurbspoint\"></a></div>\n\
<p>This class defines a dependent point on a surface or related to it. There are four ways to specify the displacement of the point’s location relative to the UV position:</p>\n\
<ul>\n\
<li><p>OnObject - the point is actually on the surface of the object.</p></li>\n\
<li><p>Offset - the point is offset some distance (specified in object space) from the surface of the object.</p></li>\n\
<li><p>Normal - the point is offset along the direction of the surface’s normal. (Negative values move it opposite to the normal.)</p></li>\n\
<li><p>Tangent - the point is offset some U and/or V distance along the tangent from the surface. If the value is positive it&#39;s the tangent that heads in the direction of increasing parameter value; if negative it&#39;s the tangent that heads in the direction of decreasing parameter value.</p></li>\n\
</ul>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSSurfConstPoint [&lt;property&gt;:&lt;val&gt;]...    \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.parent : integer \n\
</pre></div><p>The parent surface by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.parentID : integer \n\
</pre></div><p>The parent surface by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.type :#onObject, #offset, #normal, #tangent \n\
&lt;nurbssurfconstpoint&gt;.uParam : float \n\
</pre></div><p>Parametric position along u direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.vParam : float \n\
</pre></div><p>Parametric position along v direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.offset : point3 \n\
</pre></div><p>Offset vector if an offset type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.normal : float \n\
</pre></div><p>Distance along the normal if a normal type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.uTangent : float \n\
</pre></div><p>Distance along the u tangent if a tangent type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbssurfconstpoint&gt;.vTangent : float \n\
</pre></div><p>Distance along the v tangent if a tangent type.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";