var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBS1RailSweepSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBS1RailSweepSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbs1railsweepsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent 1-Rail Sweep surface. A 1-Rail Sweep surface uses at least two curves. One curve, the &quot;rail,&quot; defines one edge of the surface. The other curves define the surface&#39;s cross sections. The cross-section curves should intersect the rail curve. If the cross sections don&#39;t intersect the rail, the resulting surface is unpredictable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBS1RailSweepSurface [&lt;property&gt;:&lt;val&gt;]...     \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs1railsweepsurface&gt;.rail : integer \n\
</pre></div><p>The parent rail curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs1railsweepsurface&gt;.railID : integer \n\
</pre></div><p>The parent rail curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs1railsweepsurface&gt;.numCurves : integer \n\
</pre></div><p>The number of cross-section curves.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs1railsweepsurface&gt;.parallel : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , ensures that the sweep surface&#39;s normal is parallel to the rail.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs1railsweepsurface&gt;.axisTM : matrix3 \n\
</pre></div><p>The axis of the sweep.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>appendCurve &lt;nurbs1railsweepsurface&gt; &lt;curve&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] \n\
</pre></div><p>Adds a curve to the end of the list of cross-section curves by specifying the index in the NURBSSet. If <span class=\'code\'>flip:true</span> is specified, the cross-section curve is reversed. <span class=\'code\'>startPoint</span> specifies the start point on the parent curve. <span class=\'code\'>startPoint</span> is applicable only if the parent is a closed curve.</p>\n\
<div class=\'codeBlock\'><pre>appendCurveByID &lt;nurbs1railsweepsurface&gt; &lt;curveID&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] \n\
</pre></div><p>Adds a curve to the end of the list of cross-section curves by specifying the NURBSId. If <span class=\'code\'>flip:true</span> is specified, the cross-section curve is reversed. <span class=\'code\'>startPoint</span> specifies the start point on the parent curve. <span class=\'code\'>startPoint</span> is applicable only if the parent is a closed curve.</p>\n\
<div class=\'codeBlock\'><pre>getCurve &lt;nurbs1railsweepsurface&gt; &lt;index&gt; \n\
setCurve &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Get or set the indexed cross-section curve by NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>getCurveID &lt;nurbs1railsweepsurface&gt; &lt;index&gt; \n\
setCurveByID &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Get or set the indexed cross-section curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>getFlip &lt;nurbs1railsweepsurface&gt; &lt;index&gt; \n\
setFlip &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;boolean&gt; \n\
</pre></div><p>Get or set whether the indexed cross-section curve is reversed.</p>\n\
<div class=\'codeBlock\'><pre>getCurveStartPoint &lt;nurbs1railsweepsurface&gt; &lt;index&gt; \n\
setCurveStartPoint &lt;nurbs1railsweepsurface&gt; &lt;index&gt; &lt;float&gt; \n\
</pre></div><p>Get or set the start point of the indexed cross-section curve on the parent curve. The start point is applicable only if the parent is a closed curve.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";