var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBS2RailSweepSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBS2RailSweepSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbs2railsweepsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent 2-Rail Sweep surface. A 2-Rail Sweep surface uses at least three curves. Two curves, the &quot;rails,&quot; define the two edges of the surface. The other curves define the surface&#39;s cross sections. A 2-Rail Sweep surface is similar to a 1-Rail sweep. The additional rail gives you more control over the shape of the surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBS2RailSweepSurface [&lt;property&gt;:&lt;val&gt;]...     \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs2railsweepsurface&gt;.rail1 : integer \n\
</pre></div><p>The 1 st parent rail curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs2railsweepsurface&gt;.rail1ID : integer \n\
</pre></div><p>The 1 st parent rail curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs2railsweepsurface&gt;.rail2 : integer \n\
</pre></div><p>The 2 nd parent rail curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs2railsweepsurface&gt;.rail2ID : integer \n\
</pre></div><p>The 2 nd parent rail curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs2railsweepsurface&gt;.numCurves : integer \n\
</pre></div><p>The number of cross-section curves.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbs2railsweepsurface&gt;.parallel : boolean \n\
</pre></div><p>If <span class=\'code\'>false</span> , the rail curves define a ruled surface, and the cross sections describe lofting from this base ruled surface. If <span class=\'code\'>true</span> , each cross section is associated with its best fitting plane. This plane moves along the rails and parallel to them. If the rails are curved, the plane can rotate. If the spacing between the rails changes, the section scales or stretches. In either case, the surface is blended from section to section along its entire length.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>appendCurve &lt;nurbs2railsweepsurface&gt; &lt;curve&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] \n\
</pre></div><p>Adds a curve to the end of the list of cross-section curves by specifying the index in the NURBSSet. If <span class=\'code\'>flip:true</span> is specified, the cross-section curve is reversed. <span class=\'code\'>startPoint</span> specifies the start point on the parent curve. <span class=\'code\'>startPoint</span> is applicable only if the parent is a closed curve.</p>\n\
<div class=\'codeBlock\'><pre>appendCurveByID &lt;nurbs2railsweepsurface&gt; &lt;curveID&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] \n\
</pre></div><p>Adds a curve to the end of the list of cross-section curves by specifying the NURBSId. If <span class=\'code\'>flip:true</span> is specified, the cross-section curve is reversed. <span class=\'code\'>startPoint</span> specifies the start point on the parent curve. <span class=\'code\'>startPoint</span> is applicable only if the parent is a closed curve.</p>\n\
<div class=\'codeBlock\'><pre>getCurve &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setCurve &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Get or set the indexed cross-section curve by NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>getCurveID &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setCurveByID &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Get or set the indexed cross-section curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>getFlip &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setFlip &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;boolean&gt; \n\
</pre></div><p>Get or set whether the indexed cross-section curve is reversed.</p>\n\
<div class=\'codeBlock\'><pre>getCurveStartPoint &lt;nurbs2railsweepsurface&gt; &lt;index&gt; setCurveStartPoint &lt;nurbs2railsweepsurface&gt; &lt;index&gt; &lt;float&gt; \n\
</pre></div><p>Get or set the start point of the indexed cross-section curve on the parent curve. The start point is applicable only if the parent is a closed curve.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";