var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSBlendSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSBlendSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsblendsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent Blend surface. A Blend surface connects the edge of one surface to the edge of another, blending the curvature of the parents to create a smooth surface between them. You can also blend from a surface to a curve, or from a curve to a curve.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSBlendSurface [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.parent1 : integer \n\
</pre></div><p>The 1 st parent by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.parent1ID : integer \n\
</pre></div><p>The 1 st parent by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.parent2 : integer \n\
</pre></div><p>The 2 nd parent by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.parent2ID : integer \n\
</pre></div><p>The 2 nd parent by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.edge1 : integer \n\
</pre></div><p>Which edge of the 1 st parent surface is used for the blend. The property’s value is one of the following:</p>\n\
<p>1: The low U edge</p>\n\
<p>2: The high U edge</p>\n\
<p>3: The low V edge</p>\n\
<p>4: The high V edge</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.edge2 : integer \n\
</pre></div><p>Which edge of the 2 nd parent surface is used for the blend.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.flip1 : boolean \n\
</pre></div><p>Controls the matching of parent surface normals when creating the Blend surface. For example, normally when you create a Blend surface between two parent surfaces you don&#39;t want a &#39;bow tie&#39; surface (one with the ends rotated 180 degrees so it crosses on itself in the middle). If you simply match the parent normals you&#39;ll occasionally get a &#39;bow tie&#39; surface. To prevent this you use this property to set a state indicating that one or the other should be flipped before it&#39;s used. In this way, when the blend is created, a &#39;bow tie&#39; won&#39;t occur. If <span class=\'code\'>true</span> , the 1 st parent’s surface normal will be matched; if <span class=\'code\'>false</span> the 1 st parent’s surface normal will not be matched.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.flip2 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , the 2 nd parent’s surface normal will be matched; if <span class=\'code\'>false</span> the 2 nd parent’s surface normal will not be matched.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.tension1 : float \n\
</pre></div><p>The tension value for the 1 st parent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.tension2 : float \n\
</pre></div><p>The tension value for the 2 nd parent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsblendsurface&gt;.curveStartPoint1 : float &lt;nurbsblendsurface&gt;.curveStartPoint2 : float \n\
</pre></div><p>Adjusts the position of the start point at the two edges of the blend. Adjusting the start points can help eliminate unwanted twists or &quot;buckles&quot; in the surface. These values are not applicable if the edges or curves are not closed.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getParent &lt;nurbsblendsurface&gt; &lt;index&gt; setParent &lt;nurbsblendsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Get or set a parent by NURBSSet index. <span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2.</p>\n\
<div class=\'codeBlock\'><pre>getParentID &lt;nurbsblendsurface&gt; &lt;index&gt; setParentID &lt;nurbsblendsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Get or set a parent by NURBSId. <span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2.</p>\n\
<div class=\'codeBlock\'><pre>getEdge &lt;nurbsblendsurface&gt; &lt;index&gt; setEdge &lt;nurbsblendsurface&gt; &lt;index&gt; &lt;edge&gt; \n\
</pre></div><p>Get or set which edge of the parent surface is used for the blend. <span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2. See the <span class=\'code\'>edge1</span> property description for the <span class=\'code\'>&lt;edge&gt;</span> value description.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";