var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSFilletSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSFilletSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsfilletsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent Fillet surface. A Fillet surface is a rounded corner surface connecting the edges of two other surfaces.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSFilletSurface [&lt;property&gt;:&lt;val&gt;]...     \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsfilletsurface&gt;.cubic : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , the radius is always linear. If <span class=\'code\'>false</span> , the radius is treated as a cubic function, allowing it to change based on the parent surfaces’ geometry.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getParent &lt;nurbsfilletsurface&gt; &lt;index&gt; setParent &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Get or set a parent surface by NURBSSet index. <span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2.</p>\n\
<div class=\'codeBlock\'><pre>setParentID &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;curveID&gt; getParentID &lt;nurbsfilletsurface&gt; &lt;index&gt; \n\
</pre></div><p>Get or set a parent surface by NURBSId. <span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2.</p>\n\
<div class=\'codeBlock\'><pre>getSeed &lt;nurbsfilletsurface&gt; &lt;index&gt; setSeed &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;point2&gt; \n\
</pre></div><p>The UV location of the seed value on a parent surface. <span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2.</p>\n\
<div class=\'codeBlock\'><pre>getRadius &lt;nurbsfilletsurface&gt; &lt;index&gt; setRadius &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;float&gt; \n\
</pre></div><p>Get or set the radius of the fillet surface. <span class=\'code\'>&lt;index&gt;</span> = 1 - start radius; 2 - end radius.</p>\n\
<div class=\'codeBlock\'><pre>getTrimSurface &lt;nurbsfilletsurface&gt; &lt;index&gt; setTrimSurface &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;boolean&gt; \n\
</pre></div><p>Get or set whether to trim a parent’s surface. If <span class=\'code\'>true</span> , trims the parent surface at the intersection. <span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2.</p>\n\
<div class=\'codeBlock\'><pre>getFlipTrim &lt;nurbsfilletsurface&gt; &lt;index&gt; setFlipTrim &lt;nurbsfilletsurface&gt; &lt;index&gt; &lt;boolean&gt; \n\
</pre></div><p>Get or set the direction to trim a parent’s surface. If <span class=\'code\'>true</span> the parent surface is trimmed from the point towards low parameter space. If <span class=\'code\'>false</span> the surface is trimmed from the point towards high parameter space.<span class=\'code\'>&lt;index&gt;</span> = 1 - parent 1; 2 - parent 2.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";