var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSPointSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSPointSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbspointsurface-nurbssurface\"></a></div>\n\
<p>This class defines an independent surface that uses points to describe its shape.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSPointSurface [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointsurface&gt;.numPoints : point2 \n\
</pre></div><p>The number of points in the point surface in the U and V directions. If this value is changed, the previous point data is not maintained.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointsurface&gt;.transform : matrix3 \n\
</pre></div><p>The transformation matrix for the NURBSPointSurface. This controls the relative position of the item within a NURBSSet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointsurface&gt;.closedU : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if the surface is closed in the U direction, <span class=\'code\'>false</span> if open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbspointsurface&gt;.closedV : boolean \n\
</pre></div><p><span class=\'code\'>true</span> if the surface is closed in the V direction, <span class=\'code\'>false</span> if open.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>closeU &lt;nurbspointsurface&gt; \n\
</pre></div><p>Close the curve in U.</p>\n\
<div class=\'codeBlock\'><pre>closeV &lt;nurbspointsurface&gt; \n\
</pre></div><p>Close the curve in V.</p>\n\
<div class=\'codeBlock\'><pre>getPoint &lt;nurbspointsurface&gt; &lt;u_index&gt; &lt;v_index&gt; \n\
</pre></div><p>Get the indexed surface point as a NURBSIndependentPoint; point indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setPoint &lt;nurbspointsurface&gt; &lt;u_index&gt; &lt;v_index&gt; &lt;NURBSIndependentPoint&gt; \n\
</pre></div><p>Get the indexed surface point to the given NURBSIndependentPoint; point indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>refineU &lt;nurbspointsurface&gt; &lt;v_param&gt; \n\
</pre></div><p>Add new row of interpolated points in the U direction on the surface at the given parametric V point.</p>\n\
<div class=\'codeBlock\'><pre>refineV &lt;nurbspointsurface&gt; &lt;u_param&gt; \n\
</pre></div><p>Add new column of interpolated points in the V direction on the surface at the given parametric U point.</p>\n\
<div class=\'codeBlock\'><pre>refine &lt;nurbspointsurface&gt; &lt;u_param&gt; &lt;v_param&gt; \n\
</pre></div><p>Add a new row and column of interpolated points on the surface at the given parametric UV position.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";