var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSRuledSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSRuledSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsruledsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent Ruled surface. A Ruled surface is generated from two curve sub-objects. It lets you use curves to design the two opposite borders of a surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSRuledSurface [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.parent1 : integer \n\
</pre></div><p>The 1 st parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.parent1ID : integer \n\
</pre></div><p>The 1 st parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.parent2 : integer \n\
</pre></div><p>The 2 nd parent curve by NURBSet index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.parent2ID : integer \n\
</pre></div><p>The 2 nd parent curve by NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.flip1 : boolean \n\
</pre></div><p>Controls the matching of parent curve direction when creating the Ruled surface. For example, normally when you create a Ruled surface between two parent curves you don&#39;t want a &#39;bow tie&#39; surface (one with the ends rotated 180 degrees so it crosses on itself in the middle). If you simply match the parent direction you&#39;ll get a &#39;bow tie&#39; surface. To prevent this you use this property to set a state indicating that one or the other should be flipped before it&#39;s used. In this way, when the ruled surface is created, a &#39;bow tie&#39; won&#39;t occur. If <span class=\'code\'>true</span> , the 1 st parent’s curve direction will be flipped; if <span class=\'code\'>false</span> the 1 st parent’s curve direction will not be flipped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.flip2 : boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , the 2 nd parent’s curve direction will be flipped; if <span class=\'code\'>false</span> the 2 nd parent’s curve direction will not be flipped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.curveStartPoint1 : float \n\
</pre></div><p>The start point on the 1 st parent curve. This value is only applicable if the curve is closed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsruledsurface&gt;.curveStartPoint2 : float \n\
</pre></div><p>The start point on the 2 nd parent curve. This value is only applicable if the curve is closed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";