var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSULoftSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSULoftSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsuloftsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent U Loft surface. A U Loft surface interpolates a surface across multiple curve sub-objects. The curves become U-axis contours of the surface.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSUloftSurface [&lt;property&gt;:&lt;val&gt;]...      \n\
</pre></div><p>Any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsuloftsurface&gt;.numCurves : integer \n\
</pre></div><p>The number of curves used by the U Loft.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getCurve &lt;nurbsuloftsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSSet index of the indexed U Loft curve; curve indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setCurve &lt;nurbsuloftsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Sets the indexed U Loft curve to the curve specified by the NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>getCurveID &lt;nurbsuloftsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSId of the indexed U Loft curve in the loft; curve indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setCurveByID &lt;nurbsuloftsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Sets the indexed U Loft curve to the curve specified by the NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>appendCurve &lt;nurbsuloftsurface&gt; &lt;curve&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] [tension:&lt;float&gt;] [useTangent:&lt;boolean&gt;] [flipTangent:&lt;boolean&gt;]\n\
</pre></div><p>Adds a curve to the end of the list of U Loft curves by specifying the NURBSSet index. If <span class=\'code\'>flip:true</span> is specified, the interpretation of the start and end of the curve to be reversed. <span class=\'code\'>startPoint:</span> specifies the start point on the curve. This value is only applicable if the curve is closed. <span class=\'code\'>tension:</span> specifies the tension of the curve. If <span class=\'code\'>useTangent:true</span> is specified and the curve is a curve on surface, causes the U Loft to use the tangency of the surface. This can help blend a loft smoothly onto a surface. If <span class=\'code\'>flipTangent:true</span> is specified, the tangent is flipped for the curve.</p>\n\
<div class=\'codeBlock\'><pre>appendCurveByID &lt;nurbsuloftsurface&gt; &lt;curveID&gt; [flip:&lt;boolean&gt;] [startPoint:&lt;float&gt;] [tension:&lt;float&gt;] [useTangent:&lt;boolean&gt;] [flipTangent:&lt;boolean&gt;] \n\
</pre></div><p>Adds a curve to the end of the list of U Loft curves by specifying the NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>getFlip &lt;nurbsuloftsurface&gt; &lt;index&gt; \n\
setFlip &lt;nurbsuloftsurface&gt; &lt;index&gt; &lt;boolean&gt; \n\
</pre></div><p>Get or set the flip state of the indexed U Loft curve; <span class=\'code\'>true</span> causes the interpretation of the start and end of the curve to be reversed, used to control twisting in the loft.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";