var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NURBSUVLoftSurface : NURBSSurface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NURBSUVLoftSurface : NURBSSurface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nurbsuvloftsurface-nurbssurface\"></a></div>\n\
<p>This class defines a dependent UV Loft Surface. This surface is similar to the U Loft surface, but has a set of curves in the V dimension as well as the U dimension.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSUVLoftSurface [&lt;property&gt;:&lt;val&gt;]...     \n\
</pre></div><p>any of the object&#39;s properties may be set via optional keyword arguments on the constructor.</p>\n\
<div class=\'codeBlock\'><pre>getObject &lt;nurbsset&gt; &lt;index&gt;   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsuvloftsurface&gt;.numUCurves : integer \n\
</pre></div><p>The number of curves in the U direction used by the UV Loft.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nurbsuvloftsurface&gt;.numVCurves : integer \n\
</pre></div><p>The number of curves in the V direction used by the UV Loft.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getUCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSSet index of the U direction indexed UV Loft curve; curve indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setUCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Sets the indexed UV Loft curve in the U direction to the curve specified by the NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>getUCurveID &lt;nurbsuvloftsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSId of the U direction indexed UV Loft curve in the loft; curve indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setUCurveByID &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Sets the indexed UV Loft curve in the U direction to the curve specified by the NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>getVCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSSet index of the V direction indexed UV Loft curve; curve indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setVCurve &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curve&gt; \n\
</pre></div><p>Sets the indexed UV Loft curve in the V direction to the curve specified by the NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>getVCurveID &lt;nurbsuvloftsurface&gt; &lt;index&gt; \n\
</pre></div><p>Gets the NURBSId of the V direction indexed UV Loft curve in the loft; curve indexes are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setVCurveByID &lt;nurbsuvloftsurface&gt; &lt;index&gt; &lt;curveID&gt; \n\
</pre></div><p>Sets the indexed UV Loft curve in the V direction to the curve specified by the NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>appendUCurve &lt;nurbsuvloftsurface&gt; &lt;curve&gt; \n\
</pre></div><p>Adds a curve to the end of the list of U direction UV Loft curves by specifying the NURBSId.</p>\n\
<div class=\'codeBlock\'><pre>appendUCurveByID &lt;nurbsuvloftsurface&gt; &lt;curveID&gt; \n\
</pre></div><p>Adds a curve to the end of the list of U direction UV Loft curves by specifying the NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>appendVCurve &lt;nurbsuvloftsurface&gt; &lt;curve&gt; \n\
</pre></div><p>Adds a curve to the end of the list of V direction UV Loft curves by specifying the NURBSSet index.</p>\n\
<div class=\'codeBlock\'><pre>appendVCurveByID &lt;nurbsuvloftsurface&gt; &lt;curveID&gt; \n\
</pre></div><p>Adds a curve to the end of the list of V direction UV Loft curves by specifying the NURBSId.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";