var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Creating NURBSCVSurface Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Creating NURBSCVSurface Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"creating-nurbscvsurface-values\"></a></div>\n\
<p>The following functions provide shorthand ways to construct NURBSCVSurface values that you can then add to a NURBSSet for creation in the scene.</p>\n\
<div class=\'codeBlock\'><pre>MakeNURBSLatheSurface &lt;curve&gt; &lt;origin&gt; &lt;north&gt; &lt;start&gt; &lt;end&gt;     \n\
</pre></div><p>This function generates a NURBS surface of revolution given an input curve, origin, up axis, and start and end angles. The output of this function is a NURBS Surface. Note that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<div class=\'codeBlock\'><pre>curve &lt;NURBSCurve&gt;   \n\
</pre></div><p>This is the NURBS curve that is revolved.</p>\n\
<div class=\'codeBlock\'><pre>origin &lt;point3&gt; \n\
</pre></div><p>Specifies the origin of the revolution.</p>\n\
<div class=\'codeBlock\'><pre>north &lt;point3&gt; \n\
</pre></div><p>This is the axis that specified the up direction.</p>\n\
<div class=\'codeBlock\'><pre>start &lt;float&gt; \n\
</pre></div><p>This is the start angle of the revolution in radians.</p>\n\
<div class=\'codeBlock\'><pre>end &lt;float&gt; \n\
</pre></div><p>This is the end angle of the revolution in radians.</p>\n\
<div class=\'codeBlock\'><pre>MakeNURBSSphereSurface &lt;radius&gt; &lt;center&gt; &lt;north_axis&gt; &lt;ref_axis&gt; &lt;startU&gt; &lt;endU&gt; &lt;startV&gt; &lt;endV&gt; [open:&lt;boolean&gt;] \n\
</pre></div><p>This function generates a NURBS sphere.</p>\n\
<p>The output of this function is a NURBS Surface.</p>\n\
<p><strong>Note</strong> that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<div class=\'codeBlock\'><pre>radius &lt;float&gt; \n\
</pre></div><p>The radius of the sphere.</p>\n\
<div class=\'codeBlock\'><pre>center &lt;Point3&gt; \n\
</pre></div><p>The center point of origin of the sphere.</p>\n\
<div class=\'codeBlock\'><pre>north_axis &lt;Point3&gt; \n\
</pre></div><p>This specifies the up axis. Use (Point3 0 0 1) for the Z axis for example.</p>\n\
<div class=\'codeBlock\'><pre>ref_Axis &lt;Point3&gt; \n\
</pre></div><p>This is the direction of the seam. The sphere primitive uses (Point3 0 -1 0) as this value.</p>\n\
<p>The <span class=\'code\'>northAxis</span> and <span class=\'code\'>refAxis</span> must be perpendicular to one another.</p>\n\
<div class=\'codeBlock\'><pre>startU &lt;float&gt; \n\
</pre></div><p>The start angle for the sphere in the U direction, specified in radians.</p>\n\
<div class=\'codeBlock\'><pre>endU &lt;float&gt; \n\
</pre></div><p>The end angle for the sphere in the U direction, specified in radians.</p>\n\
<div class=\'codeBlock\'><pre>startV &lt;float&gt; \n\
</pre></div><p>The start angle for the sphere in the V direction, specified in radians.</p>\n\
<div class=\'codeBlock\'><pre>endV &lt;float&gt; \n\
</pre></div><p>The end angle for the sphere in the V direction, specified in radians.</p>\n\
<div class=\'codeBlock\'><pre>open: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , the surface is closed; otherwise the surface is not closed. Defaults to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>MakeNURBSCylinderSurface &lt;radius&gt; &lt;height&gt; &lt;origin&gt; &lt;sym_axis&gt; &lt;ref_axis&gt; &lt;start&gt; &lt;end&gt; [open:&lt;boolean&gt;] \n\
</pre></div><p>This function generates a NURBS cylinder. The output of this function is a NURBS Surface.</p>\n\
<p><strong>Note</strong> that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<div class=\'codeBlock\'><pre>radius &lt;float&gt; \n\
</pre></div><p>The radius of the cylinder.</p>\n\
<div class=\'codeBlock\'><pre>height &lt;float&gt; \n\
</pre></div><p>The height of the cylinder.</p>\n\
<div class=\'codeBlock\'><pre>origin &lt;Point3&gt; \n\
</pre></div><p>The origin of the cylinder.</p>\n\
<div class=\'codeBlock\'><pre>sym_Axis &lt;Point3&gt; \n\
</pre></div><p>The axis of symmetry. The standard cylinder primitive specifies (Point3 0 0 1).</p>\n\
<div class=\'codeBlock\'><pre>ref_Axis &lt;Point3&gt; \n\
</pre></div><p>This is the direction of the seam. The standard cylinder primitive specifies (Point3 0 1 0).</p>\n\
<p>The <span class=\'code\'>symAxis</span> and <span class=\'code\'>refAxis</span> must be perpendicular to one another.</p>\n\
<div class=\'codeBlock\'><pre>start &lt;float&gt; \n\
</pre></div><p>The start angle in radians.</p>\n\
<div class=\'codeBlock\'><pre>end &lt;float&gt; \n\
</pre></div><p>The end angle in radians.</p>\n\
<div class=\'codeBlock\'><pre>open: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , the surface is closed; otherwise the surface is not closed. Defaults to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>MakeNURBSConeSurface &lt;radius1&gt; &lt;radius2&gt; &lt;height&gt; &lt;origin&gt; &lt;sym_axis&gt; &lt;ref_axis&gt; &lt;start&gt; &lt;end&gt; [open:&lt;boolean&gt;] \n\
</pre></div><p>This function generates a NURBS cone surface. The output of this function is a NURBS Surface. <strong>Note</strong> that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<div class=\'codeBlock\'><pre>radius1 &lt;float&gt; \n\
</pre></div><p>One of the radii of the cone.</p>\n\
<div class=\'codeBlock\'><pre>radius2 &lt;float&gt; \n\
</pre></div><p>The other radius of the cone.</p>\n\
<div class=\'codeBlock\'><pre>height &lt;float&gt; \n\
</pre></div><p>The height of the cone.</p>\n\
<div class=\'codeBlock\'><pre>origin &lt;Point3&gt; \n\
</pre></div><p>The origin of the cone.</p>\n\
<div class=\'codeBlock\'><pre>sym_Axis &lt;Point3&gt; \n\
</pre></div><p>The axis of symmetry.</p>\n\
<div class=\'codeBlock\'><pre>ref_Axis &lt;Point3&gt; \n\
</pre></div><p>This is the direction of the seam.</p>\n\
<p>The <span class=\'code\'>symAxis</span> and <span class=\'code\'>refAxis</span> must be perpendicular to one another.</p>\n\
<div class=\'codeBlock\'><pre>start &lt;float&gt; \n\
</pre></div><p>The start angle in radians.</p>\n\
<div class=\'codeBlock\'><pre>end &lt;float&gt; \n\
</pre></div><p>The end angle in radians.</p>\n\
<div class=\'codeBlock\'><pre>open: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , the surface is closed; otherwise the surface is not closed. Defaults to <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>MakeNURBSTorusSurface &lt;majorRad&gt; &lt;minorRad&gt; &lt;origin&gt; &lt;sym_axis&gt; &lt;ref_axis&gt; &lt;startU&gt; &lt;endU&gt; &lt;startV&gt; &lt;endV&gt; [open:&lt;boolean&gt;] \n\
</pre></div><p>This function generates a NURBS torus surface. The output of this function is a NURBS Surface. Note that this is a CV surface that matches the definition, not a relational surface.</p>\n\
<p>Note:</p>\n\
<p>This surface is not closed surface.</p>\n\
<div class=\'codeBlock\'><pre>majorRad &lt;float&gt; \n\
</pre></div><p>This is the radius of the entire &#39;donut&#39; shape.</p>\n\
<div class=\'codeBlock\'><pre>minorRad &lt;float&gt; \n\
</pre></div><p>The is the radius of the &#39;tube&#39;.</p>\n\
<div class=\'codeBlock\'><pre>origin &lt;Point3&gt; \n\
</pre></div><p>The origin of the cone.</p>\n\
<div class=\'codeBlock\'><pre>sym_Axis &lt;Point3&gt; \n\
</pre></div><p>The axis of symmetry.</p>\n\
<div class=\'codeBlock\'><pre>ref_Axis &lt;Point3&gt; \n\
</pre></div><p>This is the direction of the seam. The <span class=\'code\'>symAxis</span> and <span class=\'code\'>refAxis</span> must be perpendicular to one another.</p>\n\
<div class=\'codeBlock\'><pre>startU &lt;float&gt; \n\
</pre></div><p>The start angle of the torus in the U direction.</p>\n\
<div class=\'codeBlock\'><pre>endU &lt;float&gt; \n\
</pre></div><p>The end angle of the torus in the U direction.</p>\n\
<div class=\'codeBlock\'><pre>startV &lt;float&gt; \n\
</pre></div><p>The start angle of the torus in the V direction.</p>\n\
<div class=\'codeBlock\'><pre>endV &lt;float&gt; \n\
</pre></div><p>The end angle of the torus in the V direction.</p>\n\
<div class=\'codeBlock\'><pre>open: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , the surface is closed; otherwise the surface is not closed. Defaults to <span class=\'code\'>false</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";