var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Creating New NURBS Objects</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Creating New NURBS Objects</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"creating-new-nurbs-objects\"></a></div>\n\
<p>The NURBS classes can be used to create new NURBS scene objects. This is done by adding the objects (points, curves and surfaces) to an item called a NURBSSet and passing it to the function <span class=\'code\'>NURBSNode()</span> . The NURBSSet is a container for the objects that define each element in the scene NURBS object. The function <span class=\'code\'>NURBSNode()</span> makes an internal <strong>3ds Max</strong> NURBS object from the specifications in the set. The function <span class=\'code\'>NURBSNode()</span> is documented in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Creating-NURBS-Scene-Objects.html\' title=\'\'>Creating NURBS Scene Objects</a>.</p>\n\
<p>As an example, consider the following code fragment that creates a NURBSCVCurve object (with NURBSControlVertex sub-objects) and puts it in the scene:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- create an empty NURBSSet object nset = NURBSSet () -- create a new NURBSCVCurve and set the knots and CVs c = NURBSCVCurve name:&quot;CV Curve&quot; order:4 numCVs:4 numKnots:8 for k in 1 to 4 do ( setKnot c k 0; setKnot c (k+4) 1 ) cv = NURBSControlVertex [0, 0, 50] setCV c 1 cv cv.pos = [-100, 0, 50] setCV c 2 cv cv.pos = [-100, 100, 50] setCV c 3 cv cv.pos = [0, 100, 50] setCV c 4 cv -- add the NURBSCVCurve object to the set appendObject nset c -- create the NURBS object from the NURBSSet n = NURBSNode nset name:&quot;nurbs01&quot;pos:[10,0,0]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note that the NURBSSet supplied to the <span class=\'code\'>NURBSNode()</span> function will be modified by that function to be a relational representative for the newly created scene node which you can then use to modify the scene object -- you don&#39;t have to re-extract a fresh relational NURBSSet.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";