var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Modifying Existing NURBS Objects</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Modifying Existing NURBS Objects</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"modifying-existing-nurbs-objects\"></a></div>\n\
<p>The classes can also be used to modify the properties of existing NURBS objects in the scene. To gain access to an internal <strong>3ds Max</strong> NURBS object, you must have the data copied into a NURBSSet. This is done using the node method <span class=\'code\'>getNURBSSet()</span> . You can then use the methods of the NURBSSet to access the objects.</p>\n\
<p>For example, the following sample code attempts to grab the first NURBS sub-object from the first node in the current selection set. It then checks if it is a blend surface and if so, adjusts one of the tension parameters.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- get the first node in selection node = selection[1]; -- make sure creation has been completed on the node stopCreating node -- get the nurbs set for it getSet = getNURBSSet node #relational -- extract the first obj, check class &amp; set tension obj = getObject getSet 1 if classOf obj == NURBSBlendSurface then obj.tension1 = 2.0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The type of modifications that you can perform in this way are limited to changing those parameters and properties that do not alter the <strong>structure</strong> of the NURBS scene object. You can modify point and CV positions, CV weights, and dependent object parameters such as, offsets and extrude amounts. You cannot add or delete objects, change the number of CVs or knots or parent curves, and so on. To do this kind of structural modification, use the <span class=\'code\'>appendObject()</span> , <span class=\'code\'>setObject()</span> , and <span class=\'code\'>removeObject()</span> functions defined in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/The-NURBS-Classes/NURBS-Associated-Classes/NURBSSet-Value.html\' title=\'\'>NURBSSet : Value</a> and the <span class=\'code\'>addNURBSSet()</span> , <span class=\'code\'>breakSurface()</span> , and similar functions defined in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\' title=\'\'>NURBS Node Properties and Methods</a>.</p>\n\
<p>The <span class=\'code\'>stopCreating()</span> method is used to ensure that the specified node is fully created. This method is primarily used to ensure that a NURBS scene object is fully created, which it will not be until the creation is stopped. The NURBSSet returned for a NURBS scene object will not be complete if the object is still in creation mode. This method will also deactivate any activated object create buttons in the Create panel.</p>\n\
<p>There are other global functions that might be used to modify NURBS scene objects. These functions are documented in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/NURBS-Node-Properties-and.html\' title=\'\'>NURBS Node Properties and Methods</a>. For instance, developers can use the function <span class=\'code\'>breakSurface()</span> to take an existing NURBS surface and break it into two separate surfaces.</p>\n\
<p><strong>Non-relational NURBSSets</strong></p>\n\
<p>You can also use the <span class=\'code\'>getNURBSSet()</span> function in a non-relational mode, but not supplying the <span class=\'code\'>#relational</span> argument to retrieve a &quot;flattened&quot; version of the NURBSSet in which all dependent surfaces such as, blends, offsets, and lofts are represented as independent curves and surfaces, and there is no &#39;live&#39; connection back to the scene object from which the NURBSSet was derived. You might use this to get a simplified version of the NURBS scene object for an export script. For example, if the destination system does not support relational objects. You can also use a non-relational NURBSSet derived in this way as the basis for creating other scene objects such as, modifying or adding to the set and then re-instantiating it with the <span class=\'code\'>NURBSNode()</span> function.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";