var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Parameter Ranges for Curves and Surfaces</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Parameter Ranges for Curves and Surfaces</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"parameter-ranges-for-curves-and-surfaces\"></a></div>\n\
<p>Methods that deal with points in the parameter space of a curve work with arguments in U. Methods that deal with points in the parameter space of surfaces deal with arguments in U and V. For example, setting the property <span class=\'code\'>&lt;NURBSSurfConstPoint&gt;.uParam</span> sets the position of a dependent point in the parent surface&#39;s U parameter space. The valid U and V values that may be passed to this method must be obtained by referencing the <span class=\'code\'>&lt;NURBSSurface&gt;</span> properties <span class=\'code\'>.uParameterRangeMin</span> , <span class=\'code\'>.uParameterRangeMax</span> , <span class=\'code\'>.vParameterRangeMin</span> , and <span class=\'code\'>.vParameterRangeMax</span> on the parent surface. This retrieves the minimum and maximum values for U and V that may be used. For curves there are similar properties for getting the valid range for U.</p>\n\
<p>Developers should be aware that a curve or surface needs to be instantiated in the <strong>3ds Max</strong> data base before it is okay to call these methods (for example by calling <span class=\'code\'>NURBSNode()</span> ). Prior to the object existing in the data base these calls will fail.</p>\n\
<p>Generally, when CV curves and surfaces are created, the valid parameter range is known because they were specified in the beginning and ending knot values. In cases where they are not known, one can instantiate a NURBSSet that has just the base curves or surfaces. Once instantiated, the parameter range properties can be interrogated. Then one can build the rest of the parametric model by making additions and/or modifications to the already instantiated object. The node method <span class=\'code\'>addNURBSSet()</span> makes this easy to do.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";