var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HideByCategory Properties and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HideByCategory Properties and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hidebycategory-properties-and-methods\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4034437A-DCB5-4279-93DE-A2F506ADA847-low.gif\' title=\'\'></div>\n\
<p>The following variables and methods are accessible through the <span class=\'code\'>hideByCategory</span> structure:</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.geometry \n\
</pre></div><p>Get/set whether Geometry objects are hidden. This includes Particle Systems but not Bones. Target Objects created using <span class=\'code\'>targetObject()</span> but not assigned as lookAt target will also be affected by this category.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.shapes \n\
</pre></div><p>Get/set whether Shapes are hidden.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.lights \n\
</pre></div><p>Get/set whether Lights are hidden. Targets are of GeometryClass, but they will be hidden if used by a Light.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.cameras \n\
</pre></div><p>Get/set whether Cameras are hidden. Targets are of GeometryClass, but they will be hidden if used by a Camera.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.helpers \n\
</pre></div><p>Get/set whether Helpers are hidden. Targets are of GeometryClass, but they will be hidden if used by a Tape helper.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.spacewarps \n\
</pre></div><p>Get/set whether Space Warps are hidden.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.particles \n\
</pre></div><p>Get/set whether Particles are hidden. Particles are of GeometryClass, thus are being hidden by both this category and by the .geometry category. This includes all particle systems like Particle Flow and Legacy Particle Systems.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.bones \n\
</pre></div><p>Get/set whether bones are hidden.Bones are geometrySuperclass, but are NOT being affected by the Geometry category because it would be counter-productive during rigging sessions.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.all() \n\
</pre></div><p>Set all Hide By Category categories as hidden.</p>\n\
<div class=\'codeBlock\'><pre>hideByCategory.none() \n\
</pre></div><p>Set all Hide By Category categories as not hidden.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";