var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Common Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Common Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-common-methods\"></a></div>\n\
<p>The following methods are applicable to any value that is derived from a Node.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Topics Navigation:</th>\n\
<th align=\"left\"></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/GUID-D1D7EB56-A370-4B07-99B4-BC779FB87CAF.html\' title=\'\'>General Node Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/GUID-D1D7EB56-A370-4B07-99B4-BC779FB87CAF.html\' title=\'\'>Miscellaneous Node Methods</a> <br><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Render-Related-Methods.html\' title=\'\'>Node Render-Related Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Group-Related-Methods.html\' title=\'\'>Node Group-Related Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Viewport-State-Methods.html\' title=\'\'>Node Viewport State Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Selection-Methods.html\' title=\'\'>Node Selection Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Modifier-Stack-Related-Methods.html\' title=\'\'>Node Modifier Stack Related Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Modifier-Transform-Context.html\' title=\'\'>Node Modifier Transform Context Methods</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Deformable-Methods.html\' title=\'\'>Node Deformable Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Bounding-Box-Methods.html\' title=\'\'>Node Bounding Box Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Conversion-Methods.html\' title=\'\'>Node Conversion Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Utility-Methods.html\' title=\'\'>Node Utility Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-User-Properties-Methods.html\' title=\'\'>Node User Properties Methods</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Node-Inverse-Kinematics-Methods.html\' title=\'\'>Node Inverse Kinematics Methods</a></td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"general-node-methods\"></a><h2 id=\"general-node-methods\">General Node Methods</h2></div>\n\
<p>Most node methods are automatically <strong>mapped</strong> over node collections.</p>\n\
<div class=\'codeBlock\'><pre>IsValidNode &lt;var&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if <span class=\'code\'>&lt;var&gt;</span> is a node value, and the node has not been deleted. Otherwise, it returns <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>move &lt;node&gt; &lt;point3&gt; -- mapped \n\
scale &lt;node&gt; &lt;point3&gt; -- mapped \n\
rotate &lt;node&gt; &lt;angle&gt; &lt;axis_point3&gt; -- mapped -- angle in degrees \n\
rotate &lt;node&gt; &lt;quat&gt; -- mapped \n\
rotate &lt;node&gt; &lt;eulerangles&gt; -- mapped \n\
</pre></div><p>All the transform operations operate in the current working coordinate system. See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions.html\' title=\'\'>Context Expressions</a>.</p>\n\
<div class=\'codeBlock\'><pre>copy &lt;node&gt; -- mapped \n\
reference &lt;node&gt; -- mapped \n\
instance &lt;node&gt; -- mapped \n\
</pre></div><p>All the clone operations can take any of the standard node creation optional keyword arguments that are applied after the node has been copied.</p>\n\
<p>These functions clone all the original node&#39;s transform controllers and keys, <strong>and</strong> the visibility controller and its keys if a visibility track has been assigned.</p>\n\
<p>Note: <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>maxOps.cloneNodes</a> is the preferred way to copy, instance, or reference nodes. Node interdependencies are retained, and more of the node properties are copied across.</p>\n\
<div class=\'codeBlock\'><pre>snapshot &lt;node&gt; -- mapped \n\
</pre></div><p>This function provides functionality that is similar to the SnapShot tool in <strong>3ds Max</strong>. It generates a new node that contains a copy of the world-state mesh of the source <span class=\'code\'>&lt;node&gt;</span> at the time that the snapshot is made. Any existing modifiers are collapsed out of the new node and the mesh snapshot accounts for any space warps that are currently applied. As with the clone methods (copy, reference, and instance,) you can add any of the standard node creation keyword arguments such as, <span class=\'code\'>pos:</span> , <span class=\'code\'>name:</span> , and others.</p>\n\
<p>The following example achieves an animation-based snapshot similar to the SnapShot tool in <strong>3ds Max</strong>:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` for t in 0 to 100 do at time t snapshot $foo</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>delete &lt;node&gt; -- mapped \n\
</pre></div><p>Deletes the specified node(s).</p>\n\
<div class=\'codeBlock\'><pre>instanceReplace &lt;dest_node&gt; &lt;src_node&gt; -- mapped \n\
referenceReplace &lt;dest_node&gt; &lt;src_node&gt; -- mapped \n\
</pre></div><p>Lets you turn existing nodes into instances and references to other nodes. You can use these, for example, to replace the geometry of one node with another, perhaps for implementing custom level-of-detail tools.</p>\n\
<p>The <span class=\'code\'>&lt;dest_node&gt;</span> is turned into an instance or reference to the <span class=\'code\'>&lt;src_node&gt;</span> . As a new instance, existing geometry and modifiers are removed and replaced by the <span class=\'code\'>&lt;src_node&gt;</span> &#39;s, but all the node-related properties are kept such as, material, transform, visibility, name, and so on. As a new reference, the base object for the <span class=\'code\'>&lt;dest_node&gt;</span> becomes the world-state of the <span class=\'code\'>&lt;src_node&gt;</span> such that any changes to the <span class=\'code\'>src_node</span> will affect the <span class=\'code\'>&lt;dest_node&gt;</span> , but changes to the <span class=\'code\'>&lt;dest_node&gt;</span> are local to it.</p>\n\
<p>It is possible to develop a custom scripted version of the File/Replace function with these functions and the <span class=\'code\'>mergeMAXFile()</span> function by temporarily changing the name of a node in the current scene, merging in that named node from another, making the first node an instance of the newly merged node with <span class=\'code\'>instanceReplace()</span> , deleting the newly merged node, and renaming the old node back again.</p>\n\
<p>Both these functions are collection mapped, so you can make a selection of objects (all instance) or reference the same object.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` instanceReplace $foo* $baz --makes all the foo* objects be instances of baz&#39;s geometry --and modifier stack.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>areNodesInstances &lt;node&gt; &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the two nodes are instances.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` InstanceMgr.GetInstances $ &amp;rptInstances trueInstances = for n in rptInstances where<br> (areNodesInstances $ n) collect n</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>attachObjects &lt;node1&gt; &lt;node2&gt; [move:&lt;boolean&gt; ] \n\
</pre></div><p>Makes <span class=\'code\'>&lt;node2&gt;</span> a child of <span class=\'code\'>&lt;node1&gt;</span> . Resets the current location of <span class=\'code\'>&lt;node2&gt;</span> to the location of <span class=\'code\'>&lt;node1&gt;</span> unless <span class=\'code\'>move:false</span> is specified.</p>\n\
<div class=\'codeBlock\'><pre>getTMController &lt;node&gt; \n\
</pre></div><p>Returns the transform controller for the node.</p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spacewarp_node&gt; \n\
</pre></div><p>Binds the scene node to the space warp object scene node. Space warp bindings show up in the modifier stack and can be accessed like any other modifier. Use the <strong>deleteModifier()</strong> function to unbind objects from space warps. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-MAXWrapper-and-1.html\' title=\'\'>Modifier and SpacewarpModifier</a> for more information about working with the modifier stack.</p>\n\
<div class=\'codeBlock\'><pre>getPolygonCount &lt;node&gt; \n\
</pre></div><p>Returns a two element array containing the current number of faces for the node in the first element, and the current number of vertices for the node in the second element. The number of faces and vertices returned are the number that is present if the node was converted to a mesh object.</p>\n\
<div class=\'codeBlock\'><pre>isShapeObject &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the node is a shape object, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>numSurfaces &lt;node&gt; \n\
</pre></div><p>Returns the number of parametric surfaces in the object. At the current time, Loft objects are the only objects where more than one surface is present (loft of a donut).</p>\n\
<div class=\'codeBlock\'><pre>isSurfaceUVClosed &lt;node&gt; &lt;surface_index_integer&gt; \n\
</pre></div><p>Returns a two element array indicating if the parametric surface is closed in the U and V dimensions (a torus is closed in both U and V). Note that not all objects have this method implemented, and will return a default value of <span class=\'code\'>#(true, true)</span> .</p>\n\
<div class=\'codeBlock\'><pre>getTransformAxis (&lt;node&gt;|undefined) &lt;index&gt; \n\
</pre></div><p>Returns the transform axis of the indexed axis system of the node as a <span class=\'code\'>&lt;matrix3&gt;</span> value. Normally, a node just has one transform axis. In some cases (like being in the Local Reference Coordinate System, in object SO mode, and having multiple SO selected), multiple transform axes exist. If index &gt; the number of transform axis, the transform for the first transform axis is returned.</p>\n\
<p>If the first argument is the value &#39;undefined&#39; (instead of a node), the viewport common axis is returned. If the Coordinate System Center (getCoordCenter()) is #local or the Reference Coordinate System (getRefCoordSys()) is #local, #parent, or #gimbal, the last calculated common axis is returned.</p>\n\
<p>The transform returned by this method can be used in an &quot;in coordsys&quot; context and an &quot;about&quot; context to move, rotate, or scale an object about the current <strong>3ds Max</strong> UI Reference Coordinate System and Center.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` fn axisRotate obj rotation = ( local axis local objA =if classof obj == objectSet or classof obj == array then obj else #(obj) if getCoordCenter() != #local then ( axis = getTransformAxis objA[1] 0 for obj1 in objA do in coordsys axis about axis rotate obj1 rotation ) else ( for obj1 in objA do ( axis = getTransformAxis obj1 0 in coordsys axis about axis rotate obj1 rotation ) ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>invalidateTM &lt;node&gt; -- mapped \n\
</pre></div><p>Invalidates the node&#39;s transformation matrix cache.</p>\n\
<div class=\'codeBlock\'><pre>invalidateTreeTM &lt;node&gt; -- mapped \n\
</pre></div><p>Invalidates the node&#39;s transformation matrix cache and notifies the node&#39;s subtree that the transformation matrix has changed.</p>\n\
<p>The following MAXScript function can be used to force an update of an object whose transform is partially controlled by a scripted controller such as, a script controller on the position track:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` mapped fn TMInvalidate obj = ( at time(currenttime-1) obj.transform nodeInvalRect obj invalidateTreeTM obj redrawViews() )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>getNodeTM {&lt;node&gt; | &lt;rootnode&gt;} \n\
</pre></div><p>Returns the transformation matrix of the given node or root node as a Matrix3value. The root node might be the root node of an XRef Scene object. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>invalidateWS &lt;node&gt; -- mapped \n\
</pre></div><p>Invalidates the node&#39;s world space cache.</p>\n\
<div class=\'codeBlock\'><pre>getNodeByName &lt;string&gt; exact:&lt;boolean&gt; ignoreCase:&lt;boolean&gt; all:&lt;boolean&gt; \n\
</pre></div><p>Returns the first node with the specified name. If <span class=\'code\'>exact</span> is false (default), the normal MAXScript node name comparisons are performed.</p>\n\
<p><span class=\'code\'>ignoreCase</span> specifies whether the comparisons must be case sensitive or not. When set to true, non-case-sensitive comparison is performed.</p>\n\
<p>If <span class=\'code\'>all</span> is true, an array of nodes with the specified name is returned.</p>\n\
<p>Default is <span class=\'code\'>exact:false ignoreCase:true all:false</span> .</p>\n\
<p>Note: When <strong>Fast Node Name Lookup</strong> is checked on the MAXScript tab of the <strong>3ds Max Preferences</strong> dialog, case sensitive comparisons are done first, case insensitive comparisons (if enabled) are done second, and then inexact matching (if enabled). If Fast Node Name Lookup is off, the first node found that matches the conditions is returned. So, if you have two nodes called &quot;AA&quot; and &quot;aa&quot;, and you use: <span class=\'code\'>getnodebyname &quot;AA&quot;</span>, if Fast Node Name Lookup is on you will always get node AA back. If Fast Node Name Lookup is off, you can get either node back because both nodes match the conditions.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --If you have a scene with 3 nodes: &quot;AA&quot;, &quot;aa&quot;, and &quot;B B&quot;:</p>\n\
<p>$AA $Box:AA @ [...] $aa $Teapot:aa @ [...] $bb Sphere:B B @ [...]</p>\n\
<p>getnodebyname &quot;AA&quot; exact:true $Box:AA @ [...] getnodebyname &quot;AA&quot; exact:false $Box:AA @ [...] getnodebyname &quot;AA&quot; ignoreCase:true $Box:AA @ [...] getnodebyname &quot;AA&quot; ignoreCase:false $Box:AA @ [...]</p>\n\
<p>getnodebyname &quot;Aa&quot; exact:true $Box:AA @ [...] getnodebyname &quot;Aa&quot; exact:false $Box:AA @ [...] getnodebyname &quot;Aa&quot; ignoreCase:true $Box:AA @ [...] getnodebyname &quot;Aa&quot; ignoreCase:false undefined</p>\n\
<p>getnodebyname &quot;aa&quot; exact:true $Teapot:aa @ [...] getnodebyname &quot;aa&quot; exact:false $Teapot:aa @ [...]</p>\n\
<p>getnodebyname &quot;B B&quot; exact:true $Sphere:B B @ [...] getnodebyname &quot;B_B&quot; exact:true undefined getnodebyname &quot;BB&quot; exact:true undefined getnodebyname &quot;B_B&quot; exact:false $Sphere:B B @ [...] getnodebyname &quot;BB&quot; exact:false $Sphere:B B @ [...]</p>\n\
<p>getnodebyname &quot;AA&quot; all:true #($Teapot:aa @ [...], $Box:AA @ [...])</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>snapshotAsMesh &lt;node&gt; \n\
</pre></div><p>Returns world state of node as a <span class=\'code\'>&lt;mesh&gt;</span> value.</p>\n\
<div class=\'codeBlock\'><pre>getInheritanceFlags &lt;node&gt; \n\
setInheritanceFlags &lt;node&gt; (#all|#none| &lt;bitarray&gt;) keepPos:&lt;boolean&gt;-- mapped \n\
</pre></div><p>Gets and sets the inheritance flags for the specified node as a <span class=\'code\'>&lt;bitarray&gt;</span>.</p>\n\
<p>If a bit is on, the corresponding inheritance is turned on. The order of the bits is: #{POS_X,POS_Y,POS_Z,ROT_X,ROT_Y,ROT_Z,SCALE_X,SCALE_Y,SCALE_Z}</p>\n\
<p>If <span class=\'code\'>keepPos:false</span> is specified, the node might move when an inheritance is turned on or off.</p>\n\
<div class=\'codeBlock\'><pre>getTransformLockFlags &lt;node&gt; -- mapped \n\
setTransformLockFlags &lt;node&gt; (#all|#none| &lt;bitarray&gt;)-- mapped \n\
</pre></div><p>Gets and sets the transform lock flags for the specified node as a <span class=\'code\'>&lt;bitarray&gt;</span>.</p>\n\
<p>If a bit is on, the corresponding transform lock is turned on. The order of the bits is: #{POS_X,POS_Y,POS_Z,ROT_X,ROT_Y,ROT_Z,SCALE_X,SCALE_Y,SCALE_Z}.</p>\n\
<p>If <span class=\'code\'>#all</span> is specified, all locks will be checked.</p>\n\
<p>If <span class=\'code\'>#none</span> is specified, all locks will be unchecked.</p>\n\
<p>See <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-A-Transform-Lock.html\' title=\'\'>How To ... Develop A Transform Lock Script</a> for an example.</p>\n\
<div class=\'section\'><a id=\"miscellaneous-node-methods\"></a><h2 id=\"miscellaneous-node-methods\">Miscellaneous Node Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>classOf &lt;node&gt; \n\
</pre></div><p>Returns the class of the world state of the node (the state of the node at the top of its stack). If no modifiers are applied to the base object, the class returned is the class of the base object. If modifiers are applied to the base object, the class returned is the class of the node as it exits the last modifier. For example, if you apply a Bend modifier to a Box, the Bend modifier converts the incoming Box primitive to a mesh, and the class returned by <span class=\'code\'>classOf</span> is Editable_Mesh. You can get the class of the base object in all cases by using <span class=\'code\'>classOf &lt;node&gt;.baseObject</span> .</p>\n\
<div class=\'codeBlock\'><pre>isPointSelected &lt;node&gt; &lt;point_index&gt; \n\
</pre></div><p>Returns true if the specified point is selected, false if not.</p>\n\
<p>The definition of a &#39;point&#39; varies depending on the object type.</p>\n\
<p>For meshes, it is the mesh vertex.</p>\n\
<p>For NURBS objects, it is the vertex or control point.</p>\n\
<p>For a spline, it is the knot and its In and Out bezier handles. The spline will appear to have three times more knots and if a knot is selected, its bezier handles will also be considered selected. Thus, the <span class=\'code\'>&lt;point_index&gt;</span> must be multiplied by three to query the correct knot value. For example, if in an Editable Spline knot 1 is selected and knot 2 is not, indices 1, 2, and 3 will all return True, indices 4, 5, and 6 will return False.</p>\n\
<div class=\'codeBlock\'><pre>pointSelection &lt;node&gt; &lt;point_index&gt; \n\
</pre></div><p>Returns a floating point weighted point selection if the object supports soft selections. Most object types just return 1.0 if the point is selected and 0.0 if not. Only NURBS, Editable Mesh, and Editable Polyobjects currently support weighted point selection.</p>\n\
<div class=\'codeBlock\'><pre>nodeInvalRect &lt;node&gt; \n\
</pre></div><p>Invalidates the rectangle in the viewports that the node is occupying. Rectangles flagged as invalid will be updated on the next screen redraw.</p>\n\
<div class=\'codeBlock\'><pre>stopCreating &lt;node&gt; \n\
</pre></div><p>This method stops the creation of the current object, if any. This method is primarily used to ensure that a NURBS object is fully created, which until the creation is stopped. This method will also deactivate any activated object create buttons in the Create panel.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>uniqueName &lt;prefix&gt; [numDigits:&lt;integer&gt;] \n\
</pre></div><p>Generates a unique scene node name from a prefix string by adding a series of digits in the same manner as <strong>3ds Max</strong> does as you create objects in the scene. This name is only guaranteed to be unique until the next scene node creation.</p>\n\
<p>The <span class=\'code\'>numDigits:</span> optional keyword argument available since <strong>3ds Max 2011</strong> controls the number of digits to be used.</p>\n\
<p>When not supplied, it defaults to three digits in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>In releases prior to <strong>3ds Max 2011</strong>, the number of digits was two.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` $Box001.name = uniqueName &quot;MyRenamedBox&quot; --&gt;&quot;MyRenamedBox001&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";