var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Bounding Box Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Bounding Box Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-bounding-box-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>nodeGetBoundingBox &lt;node&gt; &lt;matrix3&gt; asBox3:&lt;bool&gt;\n\
</pre></div><p>Returns a two element array containing the min and max points of the node&#39;s bounding box in coordinate system matrix3 as point3 values. Positions returned are always in the specified matrix3 coordinate system.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong>: When the optional <span class=\'code\'>asBox3</span> keyword argument is true, returns the bounding box as a Box3 value.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --Run: t=teapot() c=freecamera()</p>\n\
<p>bb= nodeGetBoundingBox $teapot001 \\(camera001.transform  in coordsys\\)camera01 point pos:bb[1] in coordsys$camera01 point pos:bb[2] --Note that this does not correct for the camera&#39;s FOV.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>nodeLocalBoundingBox &lt;node&gt; asBox3:&lt;bool&gt;\n\
</pre></div><p>Returns a two element array containing the min and max points of the node&#39;s local bounding box. Positions returned are in the current coordinate system.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong>: When the optional <span class=\'code\'>asBox3</span> keyword argument is true, returns the bounding box as a Box3 value.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --Create a teapot. Run: bb= nodeLocalBoundingBox $teapot01 point pos:bb[1] point pos:bb[2]</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";