var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Conversion Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Conversion Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-conversion-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>convertToMesh &lt;node&gt; -- mapped \n\
</pre></div><p>This function converts appropriate scene object types into Editable Meshes. It is similar to <span class=\'code\'>collapseStack()</span> in that it will remove all modifiers present, but unlike <span class=\'code\'>collapseStack()</span> it will <strong>always</strong> replace the base object with an editable mesh version, even if there are no modifiers present.</p>\n\
<p><span class=\'code\'>convertToMesh()</span> can be applied to any object that an Edit Mesh modifier can work on such as, geometry and shapes, but not helpers, space warps, lights, and so on. If the object cannot be converted, the function returns <span class=\'code\'>undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>convertToSplineShape &lt;node&gt; -- mapped \n\
</pre></div><p>Converts the given scene node to a SplineShape object. If the object cannot be converted (typically, if it is not a shape), the function returns <span class=\'code\'>undefined</span> . Any modifiers present will be collapsed. The <span class=\'code\'>collapseStack()</span> function can also be used as well as the collapse button in the modifier stack dialog in <strong>3ds Max</strong>; both generate a SplineShape, but will only do so if there is at least one modifier present.</p>\n\
<div class=\'codeBlock\'><pre>canConvertTo &lt;node&gt; &lt;class&gt; \n\
</pre></div><p>Allows you to test whether a given node is convertible into a given class. Returns <span class=\'code\'>true</span> or <span class=\'code\'>false</span> .</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` if canConvertTo $foo NURBSSurface then...</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The kind of classes you can convert objects to are the generic editable forms including Mesh, SplineShape, NURBSCurve, NURBSSurface, and others.</p>\n\
<div class=\'codeBlock\'><pre>convertTo &lt;node&gt; &lt;class&gt; -- mapped \n\
</pre></div><p>This function is a general form of the existing specific conversion functions such as, <span class=\'code\'>convertToMesh()</span> , <span class=\'code\'>convertToSplineShape()</span> , and so on.</p>\n\
<p><span class=\'code\'>convertToSplineShape()</span> can be written as:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` convertTo $circle001 SplineShape</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>If the conversion is not supported, the function returns the value <strong>undefined</strong>.</p>\n\
<div class=\'codeBlock\'><pre>convertToNURBSSurface &lt;node&gt; -- mapped \n\
convertToNURBSCurve &lt;node&gt; -- mapped \n\
</pre></div><p>These functions work on those primitive geometry and shape classes that support conversion to NURBS (such as boxes, spheres, circles, lines, and others). If an object does not support conversion, the function returns <strong>undefined</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";