var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Group-Related Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Group-Related Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-group-related-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>group &lt;node_collection&gt; [name:&lt;string&gt; ] [prefix:&lt;string&gt; ] [select:&lt;boolean&gt; ] \n\
</pre></div><p>Makes a group of the given nodes and returns the group node. You can optionally specify the group name or group name prefix. Not specifying a name or specifying a group name prefix ensures that the group name assigned is unique. Specifying <span class=\'code\'>select:true</span> selects the group after it is made.</p>\n\
<p>Note: This function returns the group on success, and OK on failure. You can test the result using isvalidnode():</p>\n\
<div class=\'codeBlock\'><pre>result = group $box*\n\
if (isvalidnode result) do ...\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` group $box* name:&quot;boxes&quot;--makes a group of all box*&#39;s named &quot;boxes&quot;. group selection--groups current selection.</p>\n\
<p>```</p>\n\
\n\
<div class=\'codeBlock\'><pre>ungroup &lt;group_head_node&gt; -- mapped \n\
</pre></div><p>Ungroups one level of a group node.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` ungroup $group001--ungroups group $group001</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>explodeGroup &lt;group_head_node&gt; -- mapped \n\
</pre></div><p>Ungroups all levels in a group node.</p>\n\
<div class=\'codeBlock\'><pre>attachNodesToGroup &lt;node_collection&gt; &lt;targetNode&gt; \n\
</pre></div><p>Attaches a node collection to an existing group. Nodes that are already members of a group cannot be attached to another group.</p>\n\
<p><span class=\'code\'>&lt;node_collection&gt;</span> is an array of nodes to be attached to the group of targetNode.</p>\n\
<p><span class=\'code\'>&lt;targetNode&gt;</span> must be a group member or a group head node and cannot be a member of <span class=\'code\'>&lt;nodeCollection&gt;</span>.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>detachNodesFromGroup &lt;node_collection&gt; \n\
</pre></div><p>Detaches the specified nodes from the groups they belong to.</p>\n\
<p><span class=\'code\'>&lt;node_collection&gt;</span> is an array of nodes that must be detached from their group heads. All members of <span class=\'code\'>&lt;nodeCollection&gt;</span> must be open group members.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>isGroupHead &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if node is group head, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>isOpenGroupHead &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if <span class=\'code\'>&lt;node&gt;</span> is the head of a group, and that group is open.</p>\n\
<div class=\'codeBlock\'><pre>isGroupMember &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if node is in a group, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>isOpenGroupMember &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if <span class=\'code\'>&lt;node&gt;</span> is a member of a group, and that group is open.</p>\n\
<div class=\'codeBlock\'><pre>setGroupOpen &lt;group_head_node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether the group is set as open or closed. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> , the group is set as open. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> the group is closed.</p>\n\
<blockquote>\n\
<p>Warning: Use the following methods with care. You can place nodes in states that are impossible to accomplish using the 3ds Max user interface.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>setGroupMember &lt;node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether the node is a group member or not. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> , node is set as a group member. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> and the node is a group member, the node is set as not being a group member and is unlinked from the group head.</p>\n\
<p>Note:</p>\n\
<p>If you set a node to be a group member using this method, you need to set the node to be a child of a group head. Otherwise, the node name is not shown in the Select By Name dialog.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` setGroupHead $dummy001 true append $group003.children $dummy001</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>setGroupHead &lt;node&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether the node is flagged as a group head or not. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> , node is flagged as a group head. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> , the node is set as not being a group head.</p>\n\
<p>Note:</p>\n\
<p>If you flag a node as a group head using this method, the node&#39;s mesh will not be displayed in the viewports and its properties will not be shown in the Modify panel. If you flag a group head node as not being a group head using this method, you will not be able to Open or Explode the group using the Group menu command.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` -- create a set of spheres, group them, and test group head and member of group mySpheres=for i = 1 to 5 collect sphere pos:(random [-100,-100,0] [100,100,0]) group MySpheres name:&quot;MyGroup&quot; isGroupHead $MyGroup-- returns true isGroupMember $sphere001-- returns true -- check to see if group is open. Open group and test member of group isOpenGroupHead $MyGroup-- returns false setGroupOpen $MyGroup true isOpenGroupMember $sphere001-- returns false -- create a new set of spheres, append the group to the set, and then group them all NewSpheres=for i= 1 to 3 collect sphere pos:(random [-100,-100,0] [100,100,0]) append NewSpheres $MyGroup group NewSpheres name:&quot;BiggerGroup&quot; -- open the group head, test member of group, and then close the groups. setGroupOpen $BiggerGroup true isOpenGroupMember $MyGroup setGroupOpen $MyGroup false setGroupOpen $BiggerGroup false</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";