var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Inverse Kinematics Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Inverse Kinematics Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-inverse-kinematics-methods\"></a></div>\n\
<p>The following methods get and set the node&#39;s IK values as seen in the Hierarchy panel, Object Parameters rollout.</p>\n\
<div class=\'codeBlock\'><pre>getRotTaskWeight &lt;node&gt; \n\
</pre></div><p>Returns the rotation binding weight for the node.</p>\n\
<div class=\'codeBlock\'><pre>setRotTaskWeight &lt;node&gt; &lt;float&gt; \n\
</pre></div><p>Sets the rotation binding weight for the node.</p>\n\
<div class=\'codeBlock\'><pre>getPosTaskWeight &lt;node&gt; \n\
</pre></div><p>Returns the position binding weight for the node.</p>\n\
<div class=\'codeBlock\'><pre>setPosTaskWeight &lt;node&gt; &lt;float&gt; \n\
</pre></div><p>Sets the position binding weight for the node.</p>\n\
<div class=\'codeBlock\'><pre>getTaskAxisState &lt;node&gt; &lt;pos_or_rot_integer&gt; &lt;axis_integer&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> or <span class=\'code\'>false</span> to indicate if the specified axis is turned on for position or rotation binding. If an axis is turned off, the specified axis is no longer influenced by the follow object or the IK Controller Position end effector. <span class=\'code\'>&lt;pos_or_rot_integer&gt;</span> sets whether the method returns the position state or the rotation state: 0 specifies position and 1 specifies rotation . <span class=\'code\'>&lt;axis_integer&gt;</span> sets the axis to check: 0 specifies X, 1 specifies Y, and 2 specifies Z.</p>\n\
<div class=\'codeBlock\'><pre>setTaskAxisState &lt;node&gt; &lt;pos_or_rot_integer&gt; &lt;axis_integer&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets the axis state for position or rotation binding to the specified boolean value. See <span class=\'code\'>getTaskAxisState()</span> for a description of the parameters.</p>\n\
<div class=\'codeBlock\'><pre>mirrorIKConstraints &lt;node&gt; &lt;axis_integer&gt; &lt;pos_or_rot_integer&gt; \n\
</pre></div><p>Mirrors the specified IK constraints on the specified node&#39;s transform controller about the specified axis . <span class=\'code\'>&lt;axis_integer&gt;</span> specifies the axis of reflection: 0 for X, 1 for Y, and 2 for Z . <span class=\'code\'>&lt;pos_or_rot_integer&gt;</span> specifies which type of constraints are being mirrored: 0 for position and 1 for rotation.</p>\n\
<div class=\'codeBlock\'><pre>nodeIKParamsChanged &lt;node&gt; \n\
</pre></div><p>Call this method when one of the node level IK parameters has been changed.</p>\n\
<div class=\'codeBlock\'><pre>OKToBindToNode &lt;ik_node&gt; &lt;node&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the <span class=\'code\'>&lt;ik_node&gt;</span> can be bound to the <span class=\'code\'>&lt;node&gt;</span> as a follow object, <span class=\'code\'>false</span> otherwise. If the <span class=\'code\'>&lt;ik_node&gt;</span> is not part of an IK system, this method always returns <span class=\'code\'>true</span> . This method tests <span class=\'code\'>&lt;node&gt;</span> to see if its transform is dependent on the IK system, and returns <span class=\'code\'>false</span> if it is.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";