var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Modifier Transform Context Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Modifier Transform Context Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-modifier-transform-context-methods\"></a></div>\n\
<div class=\'codeBlock\'><pre>getModContextTM &lt;node&gt; &lt;modifier&gt; \n\
</pre></div><p>Returns a Matrix3 value giving the modifier&#39;s context transform for the local coordinates used in modifier sub-object gizmos.</p>\n\
<p>Accessing the transform properties of a modifier sub-object such as, a gizmo or a center in MAXScript yields values that are relative to that modifier&#39;s context transform, equivalent to the values shown in track view for those properties. If the modifier is not operating on a sub-object selection such as, a face or vertex selection, or if the modifier was interactively applied to an object selection, this context TM is the local coordinate space of the object. However, if the modifier is operating on either an object selection set or a sub-object selection, the context transform gives the position and orientation of that selection, so you can use the <span class=\'code\'>getModContextTM()</span> function to get the world-space transform properties of any of its sub-objects.</p>\n\
<div class=\'codeBlock\'><pre>setModContextTM &lt;node&gt; &lt;modifier&gt; &lt;matrix3&gt; \n\
</pre></div><p>Sets the modifier context transformation matrix of the specified modifier on the given node.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>getModContextBBoxMin &lt;node&gt; &lt;modifier&gt; \n\
getModContextBBoxMax &lt;node&gt; &lt;modifier&gt; \n\
</pre></div><p>These functions complement the <span class=\'code\'>getModContextTM()</span> function and can be used to derive the world-space coordinates of the bounding box of the modifier context. This can be used, for example, to determine the bounds of a modifier operating on a sub-selection or the bounds of an FFD lattice. This is particularly useful for scripting FFD control point placement because these control points live in a 0-to-1 lattice space. The mod context bounding box gives the world space bounds of this lattice space allowing you to compute scaled lattice space coordinates from world coordinates. The functions return Point3 values for the minimum and maximum extents of the bounding box.</p>\n\
<div class=\'codeBlock\'><pre>setModContextBBox &lt;node&gt; &lt;modifier&gt; &lt;point3 min&gt; &lt;point3 max&gt; \n\
</pre></div><p>Sets the modifier context bounding box of the modifier on the given node to the specified minimum and maximum values.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Sub-Object-Transform.html\' title=\'\'>Modifier Sub-Object Transform Properties</a> for examples of using the above methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";