var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Constructors</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Constructors</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-constructors\"></a></div>\n\
<p>The following constructors are applicable to any value that is derived from a Node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;non_wild_card_pathname&gt;\n\
</pre></div><p>identifies a unique node in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;objectset&gt;[&lt;integer&gt;] \n\
&lt;wild_card_pathname&gt;[&lt;integer&gt;] \n\
</pre></div><p>n&#39;th scene object in collection.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node_constructor&gt; [name: &lt;string&gt; ] \\\n\
[ prefix: &lt;string&gt; ] \\\n\
[ material: &lt;material&gt; ] \\\n\
[ target: &lt;node&gt; ] \\\n\
[ pos: &lt;point3&gt; ] \\-- default [0,0,0] \n\
[ position: &lt;point3&gt; ] \\-- synonym for pos \n\
[ rotation: &lt;quat&gt; ] \\-- default 0 rotation \n\
[ scale: &lt;point3&gt; ] \\-- default 100% scale \n\
[ pivot: &lt;point3&gt; ] \\-- default normal node pivot location \n\
[ transform: &lt;matrix3&gt; ] \\-- default identity \n\
[ isSelected: &lt;boolean&gt; ] \\-- default false \n\
[ dir: &lt;point3&gt; ]-- set local z direction   \n\
</pre></div><p>The position and rotation values are relative to the current active grid if &#39;coordsys grid&#39; is the current working coordinate system.</p>\n\
<p>A <span class=\'code\'>&lt;node_constructor&gt;</span> is one of the scene node classes listed in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Node-Subclasses-1.html\' title=\'\'>Node Subclasses</a> such as, box, sphere, quadPatch, splineShape, and so on.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` b = box name:&quot;foo&quot; position:[10,10,10] height:20</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>All of the node constructors can take the above optional keyword arguments along with any of the general node properties or any of the properties for the particular node class as keyword arguments.</p>\n\
<p>The <span class=\'code\'>name</span> keyword can be used to specify the name for the created node. <strong>3ds Max</strong> allows the same name to be used for more than one node.</p>\n\
<p>The <span class=\'code\'>prefix</span> keyword can be used in place of the <span class=\'code\'>name</span> keyword argument to specify the start of the node name from which <strong>3ds Max</strong> will generate a unique name by adding a series of digits, as it does when creating objects interactively.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` for i in 1 to 100 do sphere prefix:&quot;baz&quot; --creates 100 spheres, giving each a unique name --beginning with &quot;baz&quot;, such as $baz001, $baz002, $baz003, etc.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>material</span> keyword can be used to apply the specified material to the created node.</p>\n\
<p>The <span class=\'code\'>target</span> keyword can be used to automatically apply a LookAt controller to the node&#39;s transform track, and set the specified node as the LookAt target.</p>\n\
<p>The transformation arguments, <span class=\'code\'>pos</span> , <span class=\'code\'>scale</span> , <span class=\'code\'>rotation</span> , and <span class=\'code\'>pivot</span> are applied to the new object in the order they are specified in the constructor call, so you can control transform order. The <span class=\'code\'>pos</span> , <span class=\'code\'>scale</span> , and <span class=\'code\'>rotation</span> arguments are mutually exclusive with the <span class=\'code\'>transform</span> argument that can be used as an alternative way to set the node&#39;s complete transform matrix in one go.</p>\n\
<p>Note:</p>\n\
<p>Exercise care if you specify the <span class=\'code\'>target</span> keyword. When you specify a target object, <strong>3ds Max</strong> stores with the target object the last object it was assigned as a target of. If you delete the target object, the behavior of <strong>3ds Max</strong> is to also delete the object looking at it. If the target object is a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/GeometryClass-Node/Geometry-Standard-Objects/TargetObject-GeometryClass.html\' title=\'\'>targetobject</a> class object, deleting an object looking at it will also delete the target object, even if another object is also looking at it.</p>\n\
<p>The performance of iterating and indexing the &#39;<strong>selection</strong>&#39; and &#39;<strong>$</strong>&#39; object sets has been substantially improved in <strong>3ds Max 4</strong>. In versions prior to <strong>3ds Max 4</strong>, the whole scene was traversed looking for selected nodes when indexing, iterating, or snapshotting into an array causing big delays in large scenes. Now, the <strong>&#39;selection&#39;</strong> object set uses direct access to the SDK explicit current selection set.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";