var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Transform Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Transform Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-transform-properties\"></a></div>\n\
<p>Unless otherwise noted, the following transform properties are always interpreted with respect to the current working coordinate system as defined by the currently active <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions.html\' title=\'\'>coordsys context</a>. The default <span class=\'code\'>coordsys</span> is <span class=\'code\'>world</span> . The <span class=\'code\'>pos</span> , <span class=\'code\'>rotation</span> , and <span class=\'code\'>scale</span> properties of a node are aliases to the corresponding subcontroller for the node&#39;s transform controller. If the transform controller does not have one of these subcontrollers, accessing the corresponding node property will result in an &quot;Unknown property&quot; error message. For example, the LookAt controller does not have a Rotation subcontroller, and the IK controller does not have any subcontrollers. You can still access the transform values using the Matrix3 properties of the node&#39;s <span class=\'code\'>transform</span> property, for example, <span class=\'code\'>objpos=obj.transform.translationpart</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.transform: Matrix3\n\
</pre></div><p>Can read/write to.</p>\n\
<p>If written to, the Matrix3 value is decomposed into its position, rotation, and scale values. These values are stored in the respective position, rotation, and scale controllers, if those controllers exist and can be written to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.pos: Point3 --can use .position synonym throughout\n\
&lt;node&gt;.pos.controller: Controller --can use .track synonym throughout\n\
&lt;node&gt;.pos.isAnimated: Boolean, read-only --true if position is animated\n\
&lt;node&gt;.pos.keys: MAXKeyArray\n\
&lt;node&gt;.pos.track: Controller --synonym of .pos.controller\n\
\n\
&lt;node&gt;.rotation: Quat\n\
</pre></div><p>Gets or sets the rotation component of the node&#39;s transform in world space (that is, around the scene origin), as a quat value. To rotate in the node&#39;s local space, you can do something like:</p>\n\
<div class=\'codeBlock\'><pre>in coordsys (transmatrix $.pos) $.rotation = (quat 0 0 0.446743 0.894662)\n\
&lt;node&gt;.rotation.x_rotation: Float --X rotation of node\n\
&lt;node&gt;.rotation.y_rotation: Float --Y rotation of node\n\
&lt;node&gt;.rotation.z_rotation: Float --Z rotation of node\n\
&lt;node&gt;.rotation.controller: Controller --can use .track synonym throughout\n\
&lt;node&gt;.rotation.isAnimated: Boolean, read-only --true if rotation is animated\n\
&lt;node&gt;.rotation.keys: MAXKeyArray\n\
&lt;node&gt;.rotation.track: Controller --synonym of .rotation.controller\n\
&lt;node&gt;.scale: Point3 -- fraction\n\
&lt;node&gt;.scale.controller: Controller --can use .track synonym throughout\n\
&lt;node&gt;.scale.isAnimated: Boolean, read-only --true if scale is animated\n\
&lt;node&gt;.scale.keys: MAXKeyArray\n\
&lt;node&gt;.scale.track: Controller --synonym of .scale.controller\n\
&lt;node&gt;.dir: Point3 --local z-axis direction vector\n\
</pre></div><p>Rotates node so that the node&#39;s Z axis points in the specified direction. The node is rotated around its Z axis such that the Y axis points as much as possible in the world -Z direction.</p>\n\
<p>Getting and setting <span class=\'code\'>&lt;node&gt;.dir</span> now respects the current coordinate system. Previously, this property was always in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.max: Point3, read-only --max coordinates of node&#39;s bounding box\n\
&lt;node&gt;.min: Point3, read-only --min coordinates of node&#39;s bounding box\n\
&lt;node&gt;.center: Point3 --coordinates of center of node&#39;s bounding box\n\
&lt;node&gt;.transform: Matrix3 --node&#39;s main transformation matrix\n\
<blockquote>\n\
</blockquote></pre></div><p>Note: Rotation in the internal transformation matrices is <strong>left-handed</strong> in contradiction to the <strong>3ds Max</strong> user interface and MAXScript. Take care when mixing rotation derived from these matrices and rotation used in rotation-related functions or from rotation properties.</p>\n\
\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.pivot: Point3 -- node&#39;s pivot point position\n\
&lt;node&gt;.objectOffsetPos: Point3\n\
&lt;node&gt;.objectOffsetRot: Quat\n\
&lt;node&gt;.objectOffsetScale: Point3\n\
</pre></div><p>Node geometry&#39;s position, rotation, and scale offset from the pivot in world coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.objectTransform: Matrix3, read-only\n\
</pre></div><p>Node geometry&#39;s offset in world coordinates.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` --Setting a node&#39;s rotation relative to world space without --messing with its position: fn setNodeWorldRotation theNode theRot = ( in coordsys (transmatrix theNode.transform.pos) theNode.rotation = theRot ) b = box isSelected:true setNodeWorldRotation $ (eulerangles 45 45 0) -- or: setNodeWorldRotation $ (quat 0 0 0.446743 0.894662)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";