var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Camera Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Camera Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"camera-common-properties-operators-and-methods\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-03CC38FB-3911-48DD-81A9-4676740D2224-low.gif\' title=\'\'></div>\n\
<p><strong>Properties</strong></p>\n\
<p>The following properties apply to all camera types:</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.fov Float default: 45.0 -- animatable, angle    \n\
</pre></div><p>Determines how wide an area the camera views. This is the horizontal Field Of View.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.curFOV Float default: 45.0 -- float   \n\
</pre></div><p>Returns the current Field Of View, respecting the fovType value described below.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.fovType Integer default: 1 -- integer \n\
</pre></div><p>Sets the current Field Of View type.</p>\n\
<p>Changes the flyout next to the FOV spinner in the Camera&#39;s UI.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>Horizontal</strong></p>\n\
<p>2 - <strong>Vertical</strong></p>\n\
<p>3 - <strong>Diagonal</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.orthoProjection Boolean default: false \n\
</pre></div><p>When on, the camera view looks just like a User view.</p>\n\
<p>When off, the camera view is the standard perspective-like view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.type Name default: #free \n\
</pre></div><p>The type of camera:</p>\n\
<p><strong>#free</strong> - Free Camera (Target view can be set in any direction)</p>\n\
<p><strong>#target</strong> - Target Camera (Camera will always align view with target object)</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.showCone Boolean default: false \n\
</pre></div><p>Displays the cone (actually a pyramid) defined by a camera&#39;s field of view.</p>\n\
<p>The cone appears in the other viewports, but does not appear in a camera viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.showHorizon Boolean default: false \n\
</pre></div><p>Displays the horizon line.</p>\n\
<p>A dark gray line appears at the level of the horizon in the camera&#39;s viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.nearrange Float default: 0.0 -- animatable; alias: Near_Env_Range \n\
</pre></div><p>The near range for atmospheric effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.farrange Float default: 1000.0 -- animatable; alias: Far_Env_Range \n\
</pre></div><p>The far range for atmospheric effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.clipManually Boolean default: false \n\
</pre></div><p>Turn on to define clipping planes.</p>\n\
<p>When Clip Manually is off, geometry closer to the camera than 3 units is not displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.nearclip Float default: 1.0 -- animatable, alias: near_clip \n\
</pre></div><p>Objects closer than the near clipping plane are invisible to the camera.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.farclip Float default: 1000.0 -- animatable, alias: far_clip \n\
</pre></div><p>Objects farther than the far clipping plane are invisible to the camera.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.showRanges Boolean default: false \n\
</pre></div><p>When on, displays yellow rectangles within the camera&#39;s cone to show the Near and Far range settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.targetDistance Float default: 160.0 -- animatable, alias: Target_Distance \n\
</pre></div><p>Sets a point to use as an invisible target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.mpassEnabled Boolean default: false -- boolean; MultiPass_Effect_Enabled \n\
</pre></div><p>Enable/Disable the MultiPass Camera Effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.mpassRenderPerPass Boolean default: false -- boolean; MPEffect___Render_Effects_Per_Pass \n\
</pre></div><p>Enable/Disable the Render Per Pass option.</p>\n\
<div class=\'codeBlock\'><pre>&lt;camera&gt;.multipass_effect SubAnim default: SubAnim:MultiPass_Effect -- SubAnim \n\
&lt;camera&gt;.mpassEffect Depth_of_FieldMPassCamEffect default: Depth_of_FieldMPassCamEffect:Depth_of_FieldMPassCamEffect -- SubAnim \n\
</pre></div><p>Get/Set the MultiPass Camera Effect. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MultiPass-Camera-Effects/MPassCamEffect-Classes.html\' title=\'\'>MPassCamEffect</a> objects for details.</p>\n\
<p>To preview a MultiPass Camera Effect in the viewport, see the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>maxOps.displayActiveCameraViewWithMultiPassEffectMethod</a></p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` $Camera01.mpassEffect = Motion_BlurMPassCamEffect() $Camera01.mpassEffect.disableAntialiasing = true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>The <strong>.fov</strong> property value is the horizontal FOV in degrees.</p>\n\
<p>The Vertical and Diagonal FOV and Lens values are based on the horizontal FOV and the current renderer Aperture Width.</p>\n\
<p>See the new properties and functions added to <strong>3ds Max 8</strong> providing access to the FOV type and current value.</p>\n\
<p>You can also use the following MAXScript function to calculate the Vertical FOV from the Horizontal FOV:</p>\n\
<p><strong>FUNCTION:</strong></p>\n\
<div class=\'codeBlock\'><pre>fn GetCamVFOV theCamera =\n\
(\n\
    local r_aspect=(renderWidth as float)/renderHeight\n\
    2.0*atan(tan(theCamera.fov/2.0)/r_aspect)\n\
)\n\
</pre></div><div class=\'section\'><a id=\"the-camerafov-structure\"></a><h2 id=\"the-camerafov-structure\">The CameraFOV Structure:</h2></div>\n\
<p>The <strong>CameraFOV</strong> structure available in <strong>3ds Max 8 and higher</strong> provides a set of functions related to Camera Field Of View conversion:</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;cameraFOV.FOVtoMM &lt;float fov&gt; \n\
</pre></div><p>Converts the supplied horizontal FOV to lens MM.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;cameraFOV.MMtoFOV &lt;float mm&gt; \n\
</pre></div><p>Converts the supplied lens MM to horizontal FOV</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;cameraFOV.CurFOVtoFOV &lt;camera&gt; &lt;float cfov&gt; \n\
</pre></div><p>Converts the FOV in the camera&#39;s current FOV direction to horizontal FOV.</p>\n\
<p>See also the new camera properties .fovType and .curFOV providing access to the FOV type flyout and the current value defined by the state of the flyout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;cameraFOV.FOVtoCurFOV &lt;camera&gt; &lt;float fov&gt; \n\
</pre></div><p>Converts the horizontal FOV to the FOV in the camera&#39;s current FOV direction.</p>\n\
<p>See also the new camera properties .fovType and .curFOV providing access to the FOV type flyout and the current value defined by the state of the flyout.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` c = freecamera() --&gt; $Free_Camera:Camera01 @ [0.000000,0.000000,0.000000] cameraFOV --&gt; #Struct:cameraFOV( --&gt; FOVtoMM:<fn>, --&gt; CurFOVtoFOV:<fn>, --&gt; FOVtoCurFOV:<fn>, --&gt; MMtoFOV:<fn>) cameraFOV.FOVtoMM 45 --convert horizontal FOV of 45 degrees into mm --&gt; 43.4558 cameraFOV.MMtoFOV 43.4558--convert 43.4558 mm back to degrees --&gt; 45 c.fovType = 3--set the FOV type to diagonal --&gt; 3 cameraFOV.CurFOVtoFOV c 54.7473--convert diagonal to horizontal FOV --&gt; 45 cameraFOV.FOVtoCurFOV c 45--convert 45 deg. horizontal to diagonal FOV --&gt; 54.7473 c.curFOV--current FOV type, in this case 3=diagonal --&gt; 54.7473 c.fov--this is ALWAYS the horizontal FOV! --&gt; 45 c.fovType = 1--set current FOV to 1=horizontal --&gt; 1 c.curFOV--the current FOV is now horizontal --&gt; 45 c.fov--this must return the same as current, as both are horizontal --&gt; 45<p>\n\
<p>```</p>\n\
</fn></fn></fn></fn></blockquote>\n\
<div class=\'section\'><a id=\"simulating-zoom-extents-all\"></a><h2 id=\"simulating-zoom-extents-all\">Simulating Zoom Extents All</h2></div>\n\
<p>The following script changes the fov of specified camera to simulate a &quot;zoom extents all&quot; for the camera.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>```</p>\n\
<p>fn ZE_Cam cam objs = ( local max2, fov, asp, v-- declare local variables -- define a function that returns the maximum value -- of a set of values in an array fn maxof vals = (local v=vals[1];for v1 in vals do (if v1 &gt; v do v=v1);v) fov=0-- initialize the fov value asp=(renderWidth as float)/renderHeight-- calculate the renderer&#39;s image aspect ratio in coordsys cam-- work in coordinate system ofthe camera ( for obj in objs where obj != cam do-- loop across all objects except the camera ( if obj.min.z &gt;=0 do continue-- if object is behind camera, skip it -- get max value of the object&#39;s bounding box, correcting for the image aspect ratio -- in the y values v = maxof #((abs obj.max.x),(abs obj.min.x),(abs (obj.max.y<em>asp)),(abs (obj.min.y</em>asp))) fov = maxof #(fov,(2<em>atan(-v/obj.min.z)))-- increase fov if needed ) ) cam.fov=fov-- set the camera&#39;s fov to the new fov value ) -- test bed -- cam=$camera001-- specify the camera to &quot;zoom extent all&quot; on ZE_Cam cam $</em>-- call the function, passing the camera and an object set containing all objects</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";