var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Physical : Camera</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Physical : Camera</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"physical-camera\"></a></div>\n\
<div class=\'codeBlock\'><pre>Physical - superclass: Camera; super-superclass:Node - 53:0 - classID: #(1181315608, 686293133)\n\
</pre></div><p>Exposes the Physical Camera to MAXScript. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre> Physical ...\n\
Physical_Camera ... \n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p><strong>Basic Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.targeted     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Targeted&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the Camera will look at a dedicated Target object to control its orientation. Looking straight down can cause gimbal lock problems due to the up vector being in the XY plane.</p>\n\
<p>When set to False, the Camera will be free and can be oriented freely without any gimbal lock problems using only its own Transformation controller.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.target_distance     Float    default: 196.85   --  animatable; worldUnits\n\
</pre></div><p>Gets the target distance defined by the distance from the Camera to its Target object when the <span class=\'code\'>.targeted</span> value is set to True. Settings this value when in targeted mode will have no effect on the actual distance between the Camera and its Target object, but the value will be stored in the Camera. When the <span class=\'code\'>.targeted</span> property is switched to False, the value will be updated to the latest distance between the Camera and its Target Object.</p>\n\
<p>Gets/sets the target distance when the <span class=\'code\'>.targeted</span> property is set to False.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.show_camera_cone     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the selection of the <strong>&quot;Show Camera Cone&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>When Selected</strong> (default)</p>\n\
<p>1 - <strong>Always</strong></p>\n\
<p>2 - <strong>Never</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.horizon_on     BooleanClass    default: false   --  animatable; boolean; Show_Horizon_Line\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Show Horizon Line&quot;</strong> checkbox.</p>\n\
<p>When set to True, a line will be displayed at the horizon in the Viewport when looking through the Camera.</p>\n\
<p><strong>Physical Camera Rollout</strong></p>\n\
<p>Film/Sensor Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.film_preset     String    default: &quot;35mm&quot;   --  string\n\
</pre></div><p>Gets/sets the selection of the <strong>&quot;Preset&quot;</strong> drop-down list.</p>\n\
<p>Setting this value will set the <span class=\'code\'>.film_width_mm</span> and <span class=\'code\'>.fov</span> properties to preset values.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>&quot;35mm&quot;</strong> - default - 35mm (Full Frame) - Width 36.0mm</p>\n\
<p><strong>&quot;APS-C (Canon)&quot;</strong> - APS-C (Canon) - Width 22.3mm</p>\n\
<p><strong>&quot;APS-C (Nikon)&quot;</strong> - APS-C (Nikon, Sony, and so on) - Width 23.7mm</p>\n\
<p><strong>&quot;APS-H (Canon)&quot;</strong> - APS-H (Canon) - Width 27.9mm</p>\n\
<p><strong>&quot;Four Thirds&quot;</strong> - Four Thirds - Width 17.3mm</p>\n\
<p><strong>&quot;Custom&quot;</strong> - Custom - Custom Width</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.film_width_mm     Float    default: 36.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Width&quot;</strong> spinner, controlling the film width in millimeters.</p>\n\
<p>Lens Group Of Control</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.focal_length_mm     Float    default: 40.0   --  animatable; worldUnits; Lens_Focal_Length_mm\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Focal Length&quot;</strong> spinner, controlling the Camera&#39;s focal length in millimeters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.specify_fov     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Specify FOV&quot;</strong> checkbox.</p>\n\
<p>When set to True, the <span class=\'code\'>.fov</span> property will be used to enforce a field of view on the Camera.</p>\n\
<p>When set to False (default). the field of view will be calculated automatically from the Film/Sensor Width, Focal Length, and Zoom values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.fov     Float    default: 48.112   --  animatable; float\n\
</pre></div><p>Gets/sets the explicit Field Of View value to be used when the <span class=\'code\'>.specify_fov</span> property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.zoom_factor     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Zoom&quot;</strong> spinner.</p>\n\
<p>Increasing this value above 1.0 has the effect of narrowing the Field Of View and zooming in.</p>\n\
<p>Decreasing the value below 1.0 has the effect of widening the Field Of View and thus zooming out.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.f_number     Float    default: 8.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Aperture&quot;</strong> spinner.</p>\n\
<p>It is expressed as f over the <span class=\'code\'>.f_number</span> property.</p>\n\
<p>Focus Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.specify_focus     Integer    default: 0   --  animatable; integer; Specify_Focus_Distance\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Focus&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Use Target Distance</strong> - The distance between the Camera and its Target Object, resp. The explicit Target Distance value when in Free mode will be used to define where the subject is in focus.</p>\n\
<p>1 - <strong>Custom</strong> - The explicit value provided by the <strong><span class=\'code\'>.focus_distance</span></strong> property will be used to define the distance where the subject is in focus.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.focus_distance     Float    default: 196.85   --  animatable; worldUnits\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Focus Distance&quot;</strong> spinner.</p>\n\
<p>This property is only used when the <span class=\'code\'>.specify_focus</span> property is set to 1 (Custom).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.lens_breathing_amount     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Lens Breathing&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.use_dof     BooleanClass    default: false   --  boolean; Enable_DOF\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Enable Depth Of Field&quot;</strong> checkbox.</p>\n\
<p>Shutter Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.shutter_unit_type     Integer    default: 3   --  integer\n\
</pre></div><p>Gets/sets the selection of the <strong>&quot;Type&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>1 / seconds</strong></p>\n\
<p>1 - <strong>seconds</strong></p>\n\
<p>2 - <strong>degrees</strong></p>\n\
<p>3 - <strong>frames</strong> (default)</p>\n\
<p>Note that the 0 and 1 modes use a different set of properties to specify the Duration and Offset than the 2 and 3 modes, and their respective values will not synchronize when this property is changed. For example, if the mode is set to 1/Seconds and the Offset is changed to 0.005 (1/200.0 seconds) by setting the <span class=\'code\'>.shutter_offset_frames</span> property, switching the UI to Degrees or Frames display will show the Offset to still be 0.0 unless changed explicitly using the <span class=\'code\'>.shutter_offset_seconds</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.shutter_length_frames     Float    default: 0.5   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Duration&quot;</strong> spinner used when the <span class=\'code\'>.shutter_unit_type</span> property is set to 2 (degrees) or 3 (frames).</p>\n\
<p>Note that in the case of Degrees display, the UI will represent the duration in Degrees, while setting the property as frames internally.</p>\n\
<p>For example, setting the property to 1.0 frames will result is a display of 360 degrees in the UI when the Type is set to degrees, and 1.0 when set to frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.shutter_length_seconds     Float    default: 0.001   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Duration&quot;</strong> spinner used when the <span class=\'code\'>.shutter_unit_type</span> property is set to 0 (1/seconds) or 1 (seconds).</p>\n\
<p>Note that the value will always be represented as 1/seconds internally, while the UI will change the spinner between 1/Seconds and Seconds according to the <span class=\'code\'>.shutter_unit_type</span> property. For example, if the internal value is 0.001, the UI will display it as either 1000.0 or 0.001 depending on the drop-down list settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.shutter_offset_enabled     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Offset&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), the Shutter Offset will be assumed as 0.0.</p>\n\
<p>When set to True, the Shutter Offset value corresponding to the current Shutter Type (Seconds or Frames) will be used - see the next two properties for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.shutter_offset_frames     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Offset&quot;</strong> spinner used when the <span class=\'code\'>.shutter_unit_type</span> property is set to 2 (degrees) or 3 (frames).</p>\n\
<p>Note that in the case of Degrees display, the UI will represent the duration in Degrees, while setting the property as Frames internally.</p>\n\
<p>For example, setting the property to 0.5 Frames will result in a display of 180 Degrees in the UI when the Type is set to Degrees, and 0.5 when set to Frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.shutter_offset_seconds     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Offset&quot;</strong> spinner used when the <span class=\'code\'>.shutter_unit_type</span> property is set to 0 (1/seconds) or 1 (seconds).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.motion_blur_enabled     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Enable Motion Blur&quot;</strong> checkbox.</p>\n\
<p><strong>Exposure Rollout</strong></p>\n\
<p>Exposure Gain Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.exposure_gain_type     Integer    default: 1   --  integer\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Exposure Gain&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Manual</strong> -uses the <span class=\'code\'>.iso</span> property.</p>\n\
<p>1 - <strong>Target</strong> (default)- uses the <span class=\'code\'>.exposure_value</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.iso     Float    default: 6000.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Manual ... ISO&quot;</strong> spinner used when the <span class=\'code\'>.exposure_gain_type</span> property is set to 0 (Manual).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.exposure_value     Float    default: 6.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Target ... EV&quot;</strong> spinner used when the <span class=\'code\'>.exposure_gain_type</span> property is set to 1 (Target).</p>\n\
<p>White Balance Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.white_balance_type     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;White Balance&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Illuminant</strong> (default) - uses the <span class=\'code\'>.white_balance_illuminant</span> property.</p>\n\
<p>1 - <strong>Temperature</strong> - uses the <span class=\'code\'>.white_balance_kelvin</span> property.</p>\n\
<p>2 - <strong>Custom</strong> - uses the <span class=\'code\'>.white_balance_custom</span> property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.white_balance_illuminant     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the selection of the <strong>&quot;Illuminant&quot;</strong> drop-down list used when the <span class=\'code\'>.white_balance_type property</span> is set to 0.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Daylight (6500K)</strong></p>\n\
<p>1 - <strong>Sunlight (5200K)</strong></p>\n\
<p>2 - <strong>Shade (7000K)</strong></p>\n\
<p>3 - <strong>Overcast (6000K)</strong></p>\n\
<p>4 - <strong>Incandescent (3200K)</strong></p>\n\
<p>5 - <strong>Fluorescent (4000K)</strong></p>\n\
<p>6 - <strong>CIE A - Incandescent / Tungsten</strong></p>\n\
<p>7 - <strong>CIE D50 - Horizon Light</strong></p>\n\
<p>8 - <strong>CIE D55 - Morning/Afternoon Daylight</strong></p>\n\
<p>9 - <strong>CIE D65 - Noon Daylight</strong></p>\n\
<p>10 - <strong>CIE D75 - Northern Daylight</strong></p>\n\
<p>11 - <strong>CIE F1 - Fluorescent Daylight</strong></p>\n\
<p>12 - <strong>CIE F2 - Fluorescent Cool White</strong></p>\n\
<p>13 - <strong>CIE F3 - Fluorescent White</strong></p>\n\
<p>14 - <strong>CIE F4 - Fluorescent Warm White</strong></p>\n\
<p>15 - <strong>CIE F5 - Fluorescent Daylight</strong></p>\n\
<p>16 - <strong>CIE F6 - Fluorescent Light White</strong></p>\n\
<p>17 - <strong>CIE F7 - Fluorescent D65 Simulator</strong></p>\n\
<p>18 - <strong>CIE F8 - Fluorescent D60 Simulator</strong></p>\n\
<p>19 - <strong>CIE F9 - Fluorescent Cool White Deluxe</strong></p>\n\
<p>20 - <strong>CIE F10 - Fluorescent TL-85</strong></p>\n\
<p>21 - <strong>CIE F11 - Fluorescent TL-84</strong></p>\n\
<p>22 - <strong>CIE F12 - Fluorescent TL-83</strong></p>\n\
<p>23 - <strong>Halogen Warn (2800K)</strong></p>\n\
<p>24 - <strong>Halogen (3200K)</strong></p>\n\
<p>25 - <strong>Halogen Cool (4000K)</strong></p>\n\
<p>26 - <strong>HID Ceramic Metal Halide Warm (3000K)</strong></p>\n\
<p>27 - <strong>HID Ceramic Metal Halide Cool (4200K)</strong></p>\n\
<p>28 - <strong>HID Quartz Metal Halide Warm (3200K)</strong></p>\n\
<p>29 - <strong>HID Quartz Metal Halide (4000K)</strong></p>\n\
<p>30 - <strong>HID Quartz Metal Halide Cool (6000K)</strong></p>\n\
<p>31 - <strong>HID Mercury (3900K)</strong></p>\n\
<p>32 - <strong>HID Phosphor Mercury (4000K)</strong></p>\n\
<p>33 - <strong>HID Xenon (6000K)</strong></p>\n\
<p>34 - <strong>High Pressure Sodium (2100K)</strong></p>\n\
<p>35 - <strong>Low Pressure Sodium (1800K)</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.white_balance_kelvin     Float    default: 6500.0   --  animatable; float; White_Balance_Temperature\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Temperature&quot;</strong> spinner used when the <span class=\'code\'>.white_balance_type</span> property is set to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.white_balance_custom     Color    default: (color 255 255 255 0)   --  animatable;\n\
fRGBA color;\n\
Controller Scaling: ([1,1,1,1] : (color 255 255 255));\n\
\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Custom&quot;</strong> color picker used when the <span class=\'code\'>.white_balance_type</span> property is set to 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.vignetting_enabled     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Enable Vignetting&quot;</strong> checkbox.</p>\n\
<p>When set to True, vignetting will be applied to the rendered image.</p>\n\
<p>When set to False, no vignetting will be applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.vignetting_amount     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Amount&quot;</strong> spinner controlling the Vignetting Amount when <span class=\'code\'>.vignetting_enabled</span> is set to True.</p>\n\
<p><strong>Bokeh (Depth Of Field) Rollout</strong></p>\n\
<p>Aperture Shape Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.bokeh_shape     Integer    default: 0   --  animatable; integer\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Aperture Shape&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Circular</strong> (default)</p>\n\
<p>1 - <strong>Bladed</strong></p>\n\
<p>2 - <strong>Custom Texture</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.bokeh_blades_number     Integer    default: 7   --  animatable; integer\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Blades&quot;</strong> spinner used when <span class=\'code\'>.bokeh_shape</span> is set to 1.</p>\n\
<p>It controls the number of Bokeh effect blades.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.pb_bokeh_blades_rotation_degrees     Float    default: 0.0   --  animatable; float; Bokeh_Blades_Rotation_Degrees\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Rotation&quot;</strong> spinner used when <span class=\'code\'>.bokeh_shape</span> is set to 1.</p>\n\
<p>It defines the rotation in degrees of the Bokeh effect blades.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.bokeh_texture     UndefinedClass    default: undefined   --  texturemap; Bokeh_Bitmap\n\
</pre></div><p>Gets/sets the custom Bokeh textureMap used when <span class=\'code\'>.bokeh_shape</span> is set to 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.bokeh_texture_affect_exposure     BooleanClass    default: true   --  boolean; Bokeh_Bitmap_Affect_Exposure\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Affect Exposure&quot;</strong> checkbox used when <span class=\'code\'>.bokeh_shape</span> is set to 2.</p>\n\
<p>When set to True (default), the Bokeh texture will also affect the Exposure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.bokeh_center_bias     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Center Bias (Ring Effect)&quot;</strong> slider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.bokeh_optical_vignetting     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Optical Vignetting (Cat Eye)&quot;</strong> slider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.bokeh_anisotropy     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Anisotropy (Anamorphic Lens)&quot;</strong> slider.</p>\n\
<p>Valid range is from -1.0 (vertical) to 1.0 (horizontal).</p>\n\
<p><strong>Perspective Control Rollout</strong></p>\n\
<p>Lens Shift Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.horizontal_shift     Float    default: 0.0   --  animatable; float; Controller Scaling: (1 : 100.0); \n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Horizontal&quot;</strong> spinner.</p>\n\
<p>Negative values shift the image to the left.</p>\n\
<p>Positive values shift the image to the right.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.horizontal_shift     Float    default: 0.0   --  animatable; float; Vertical_Shift; Controller Scaling: (1 : 100.0\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Vertical&quot;</strong> spinner.</p>\n\
<p>Negative values shift the image down.</p>\n\
<p>Positive values shift the image up.</p>\n\
<p>Tilt Correction Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.horizontal_tilt_correction     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Horizontal&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.vertical_tilt_correction     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Vertical&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.auto_vertical_tilt_correction     BooleanClass    default: false   --  animatable; boolean\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Auto Vertical Tilt Correction&quot;</strong> checkbox.</p>\n\
<p>Lens Distortion Rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.distortion_type     Integer    default: 0   --  integer\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Distortion Type&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>None</strong> (default)</p>\n\
<p>1 - <strong>Cubic</strong></p>\n\
<p>2 - <strong>Texture</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.distortion_cubic_amount     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Amount&quot;</strong> spinner used when the <span class=\'code\'>.distortion_type</span> property is set to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.distortion_texture     UndefinedClass    default: undefined   --  texturemap\n\
</pre></div><p>Gets/sets the texture map used when the <span class=\'code\'>.distortion_type</span> property is set to 2.</p>\n\
<p><strong>Miscellaneous Rollout</strong></p>\n\
<p>Clipping Planes Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.clip_on     BooleanClass    default: false   --  boolean; Clipping_Enabled\n\
</pre></div><p>Gets/sets the state of the <strong>&quot;Enable&quot;</strong> checkbox.</p>\n\
<p>When set to False (default), automatic clipping will be performed.</p>\n\
<p>When set to True, the Near and Far clipping values will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.clip_near     Float    default: 0.0   --  animatable; worldUnits; Clipping_Near\n\
&lt;Physical&gt;.near_clip     Float    default: 0.0   --  animatable; alias for clip_near\n\
&lt;Physical&gt;.nearclip     Float    default: 0.0   --  animatable; alias for clip_near\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Near&quot;</strong> spinner used when the <span class=\'code\'>.clip_on</span> property is set to True.</p>\n\
<p>It defines the distance from the Camera position to the Near Clipping Plane in world units. Any points closer to the Camera than this distance will not be rendered.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.clip_far    Float    default: 39370.1   --  animatable; worldUnits; Clipping_Far\n\
&lt;Physical&gt;.far_clip   Float    default: 39370.1   --  animatable; alias for clip_far\n\
&lt;Physical&gt;.farclip     Float    default: 39370.1   --  animatable; alias for clip_far\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Far&quot;</strong> spinner used when the <span class=\'code\'>.clip_on</span> property is set to True.</p>\n\
<p>It defines the distance from the Camera position to the Far Clipping Plane in world units.</p>\n\
<p>Any points farther from the Camera than this distance will not be rendered.</p>\n\
<p>Environment Range Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.environment_far     Float    default: 39370.1   --  animatable; worldUnits; Environment_Range_Far\n\
&lt;Physical&gt;.farrange     Float    default: 39370.1   --  animatable; alias for environment_far\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Near Range&quot;</strong> spinner.</p>\n\
<p>Used by Camera-based Atmospheric Effects like Fog to define the near range of the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.environment_near    Float    default: 0.0   --  animatable; worldUnits; Environment_Range_Near\n\
&lt;Physical&gt;.nearrange    Float    default: 0.0   --  animatable; alias for environment_near\n\
</pre></div><p>Gets/sets the value of the <strong>&quot;Far Range&quot;</strong> spinner.</p>\n\
<p>Used by Camera-based Atmospheric Effects like Fog to define the far range of the effect.</p>\n\
<p><strong>Not Exposed In The User Interface</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical&gt;.show_focus_plane_in_cam_view     BooleanClass    default: false   --  animatable; boolean; Show_Focus_Plane_in_Camera_View\n\
</pre></div><p>When set to False, the semi-transparent Focus Plane will not be drawn when the viewport is set to the Physical Camera.</p>\n\
<p>When set to True, the semi-transparent Focus Plane will be visible in the Physical Camera viewport.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";