var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BlobMesh : GeometyClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BlobMesh : GeometyClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"blobmesh-geometyclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>BlobMesh - superclass: GeometryClass; super-superclass:node - 12:0 - classID: #(1823519629, 1465620393) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p>The <strong>BlobMesh</strong> Compound Object Class lets you create Instances which turn any geometry object or ParticleFlow particle system into a Metaball system.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>BlobMesh ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt; . size Float default: 20.0 -- animatable; world units \n\
</pre></div><p>Get/Set the Size of the Metaballs</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.tension Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the Surface Tension of the Metaballs</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.render Float default: 3.0 -- animatable; world units \n\
</pre></div><p>Get/Set the Render Coarseness value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.viewport Float default: 6.0 -- animatable; world units \n\
</pre></div><p>Get/Set the Render Coarseness value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.relativeCourseness BooleanClass default: false -- boolean; Courseness \n\
</pre></div><p>Enable/Disable Relative Coarseness.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.nodeList ArrayParameter default: #() -- node array; Node_List; SubAnim \n\
</pre></div><p>Get/Set the List of the nodes to create Metaballs from.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.useSoftSelection BooleanClass default: false -- boolean; Use_Soft_Selection \n\
</pre></div><p>When set to <span class=\'code\'>True</span> , incoming Soft Selection will be used to affect the Metaballs generation .</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.minSize Float default: 10.0 -- animatable; world units; Min_Size \n\
</pre></div><p>Get/Set the Min. Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.largeDataSetOptimization BooleanClass default: false -- boolean; Large_Data_Set_Optimization \n\
</pre></div><p>Toggle Optimization for large data sets.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.useAllPFEvents BooleanClass default: true -- boolean; Use_All_PF_Events \n\
</pre></div><p>When set to <span class=\'code\'>True</span> , particles from all Particle Flow Events will be used to create Metaballs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.pfEventList ArrayParameter default: #() -- node array; PF_Event_List; SubAnim \n\
</pre></div><p>Get/Set the list of Particle Flow events.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BlobMesh&gt;.offInView BooleanClass default: false -- boolean; Off_In_View \n\
</pre></div><p>When set to <span class=\'code\'>True</span> , the resulting metaball mesh will not be displayed in the viewport.</p>\n\
<div class=\'section\'><a id=\"blobmesh-interfaces\"></a><h2 id=\"blobmesh-interfaces\">BlobMesh interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface : blobMeshOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addBlob &lt;node&gt;node \n\
</pre></div><p>node - the node to be added as a blob</p>\n\
<p>This adds a node to the metaball system</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;removeBlob &lt;node&gt;node \n\
</pre></div><p>node the node to be removed</p>\n\
<p>This lets you remove a node from the metaball system</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addPFBlob &lt;node&gt;node \n\
</pre></div><p>node the PF Event node to be added</p>\n\
<p>This adds a PF Event node to the metaball system</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;removePFBlob &lt;node&gt;node \n\
</pre></div><p>node the PF Event node to be removed</p>\n\
<p>This removes a PF Event node to the metaball system</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;pick () \n\
</pre></div><p>This equivalent to pushing the Pick button in the UI</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;add () \n\
</pre></div><p>This equivalent to pushing the Add button in the UI</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addPF () \n\
</pre></div><p>This equivalent to pushing the Add button in the PF Rollout UI</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";