var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Boolean2 : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Boolean2 : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"boolean2-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Boolean2 - superclass: GeometryClass; super-superclass:node - classID:#(1373327151, 475622170) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>boolObj.createBooleanObject &lt;operand_A&gt; [ &lt;operand_B&gt; &lt;add_method&gt; &lt;mat_method&gt; ]   \n\
</pre></div><p>Creates a Boolean2 object using node <span class=\'code\'>&lt;operand_A&gt;</span> and an optional node <span class=\'code\'>&lt;operand_B&gt;</span> .</p>\n\
<p><span class=\'code\'>&lt;add_method&gt;</span> specifies how <span class=\'code\'>&lt;operand_B&gt;</span> is to be used as follows:</p>\n\
<p>1 - instance, operand is an instance of the original node</p>\n\
<p>2 - reference, operand is a reference to original node</p>\n\
<p>3 - copy, operand is a copy of original node</p>\n\
<p>4 - move, original node should be deleted</p>\n\
<p><span class=\'code\'>&lt;mat_method&gt;</span> specifies how the materials of the two operands are to be handled as follows:</p>\n\
<p>1 - combines materials without changing them or the ID&#39;s</p>\n\
<p>2 - matches ID&#39;s to materials, then combines materials</p>\n\
<p>3 - matches materials to ID&#39;s, then combines them</p>\n\
<p>4 - discards original material, uses new node&#39;s instead</p>\n\
<p>5 - discards new node&#39;s material, uses original</p>\n\
<p><strong>Properties</strong>:</p>\n\
<p>The following properties are available only after the boolean2 object has been created.</p>\n\
<p>The values shown for the properties are those for a boolean2 object created from two spheres.</p>\n\
<p>The operand transforms are in the local coordinate system of the boolean2 object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bool_obj&gt;.Sphere02 SubAnim default: SubAnim:Sphere02\n\
&lt;bool_obj&gt;.Operand_A_Transform SubAnim default: SubAnim:Operand_A_Transform\n\
&lt;bool_obj&gt;.Sphere01 SubAnim default: SubAnim:Sphere01\n\
&lt;bool_obj&gt;.Operand_B_Transform SubAnim default: SubAnim:Operand_B_Transform\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>boolObj.setOperandB &lt;bool_obj&gt; &lt;operand_B&gt; &lt;add_method&gt; &lt;mat_method&gt; \n\
</pre></div><p>sets operand B. The values for <span class=\'code\'>&lt;add_method&gt;</span> and <span class=\'code\'>&lt;mat_method&gt;</span> are describe above.</p>\n\
<div class=\'codeBlock\'><pre>boolObj.getOperandSel &lt;bool_obj&gt; &lt;integer&gt; \n\
boolObj.setOperandSel &lt;bool_obj&gt; &lt;integer&gt; &lt;boolean&gt; \n\
</pre></div><p>these methods get and set whether operand_A and operand_B are selected in the Operands list. <span class=\'code\'>&lt;integer&gt;</span> = 1 - operand_A, 2 - operand_B</p>\n\
<div class=\'codeBlock\'><pre>boolObj.getBoolOp &lt;bool_obj&gt; \n\
boolObj.setBoolOp &lt;bool_obj&gt; &lt;integer&gt; \n\
</pre></div><p>these methods get and set the boolean Operation Type. Valid values are:</p>\n\
<p>1 - Union</p>\n\
<p>2 - Intersection</p>\n\
<p>3 - Subtraction (A-B)</p>\n\
<p>4 - Subtraction (B-A)</p>\n\
<p>5 - Cut</p>\n\
<div class=\'codeBlock\'><pre>boolObj.getBoolCutType &lt;bool_obj&gt; \n\
boolObj.setBoolCutType &lt;bool_obj&gt; &lt;integer&gt; \n\
</pre></div><p>these methods get and set the boolean Cut Type. The value for this property only has an effect if the Operation Type is Cut. The Cut Types are:</p>\n\
<p>1 - Refine</p>\n\
<p>2 - Split</p>\n\
<p>3 - Remove Inside</p>\n\
<p>4 - Remove Outside</p>\n\
<div class=\'codeBlock\'><pre>boolObj.getDisplayResult &lt;bool_obj&gt; \n\
boolObj.setDisplayResult &lt;bool_obj&gt; &lt;boolean&gt; \n\
</pre></div><p>these methods get and set whether Results or Operands are displayed. If <span class=\'code\'>true</span> , Result is displayed. If <span class=\'code\'>false</span> , Operands are displayed.</p>\n\
<div class=\'codeBlock\'><pre>boolObj.getShowHiddenOps &lt;bool_obj&gt; \n\
boolObj.setShowHiddenOps &lt;bool_obj&gt; &lt;boolean&gt; \n\
</pre></div><p>these methods get and set whether Results + Hidden Operands are displayed. If <span class=\'code\'>true</span> , Results + Hidden Operands are displayed. If <span class=\'code\'>false</span> , the Results or Operands as specified using <span class=\'code\'>boolObj.SetDisplayResult()</span> are displayed.</p>\n\
<div class=\'codeBlock\'><pre>boolObj.getUpdateMode &lt;bool_obj&gt; \n\
boolObj.setUpdateMode &lt;bool_obj&gt; &lt;integer&gt; \n\
</pre></div><p>these methods get and set the Update mode as follows:</p>\n\
<p>1 - Always</p>\n\
<p>2 - When Rendering</p>\n\
<p>3 - Manually</p>\n\
<div class=\'codeBlock\'><pre>boolObj.getOptimize &lt;bool_obj&gt; \n\
boolObj.setOptimize &lt;bool_obj&gt; &lt;boolean&gt; \n\
</pre></div><p>these methods get and set whether vertices are to be welded on the boolean result</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";