var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Boolean3: GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Boolean3: GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"boolean3-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Boolean3 - superclass: GeometryClass; super-superclass:node - classID:#(7bc209af, 1bbac5f) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-A3EE1364-CC9F-4C1E-A3CE-B1D2000D8A30-low.png\' title=\'\'></div>\n\
</pre></div><p>The <strong>Boolean3</strong> / <strong>BooleanObject2</strong> Compound Object Classes let you create compound Boolean objects. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Boolean3\n\
BooleanObject2\n\
\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<p>No constructor, use:</p>\n\
<div class=\'codeBlock\'><pre>startObjectCreation BooleanObject2\n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>.iconsize: float\n\
.materialOption: integer\n\
</pre></div><p>The Material setting for the Boolean:</p>\n\
<p>0 - Apply Operand Material</p>\n\
<p>1 - Retain Original Material</p>\n\
<div class=\'codeBlock\'><pre>.displayOption: integer\n\
</pre></div><p>The Display setting for the Boolean:</p>\n\
<p>0 - Result</p>\n\
<p>1 - Operands</p>\n\
<p>2 - Selected Operands</p>\n\
<div class=\'codeBlock\'><pre>.displayAsShaded: integer\n\
</pre></div><p>The Display as Shaded setting:</p>\n\
<p>0 - Off</p>\n\
<p>1 - On</p>\n\
<div class=\'codeBlock\'><pre>.objects: maxObject array\n\
</pre></div><p>An array containing the operands in the Boolean, as <span class=\'code\'>ReferenceTarget</span> objects.</p>\n\
<div class=\'codeBlock\'><pre>.operation: int array\n\
</pre></div><p>An array containing the operand type for each corresponding operand in the <span class=\'code\'>.objects</span> array:</p>\n\
<p>0 - Union</p>\n\
<p>1 - Intersect</p>\n\
<p>2 - Subtract</p>\n\
<p>3 - Merge</p>\n\
<p>4 - Attach</p>\n\
<p>5 - Insert</p>\n\
<div class=\'codeBlock\'><pre>.option: int array\n\
</pre></div><p>Contains the Imprint/Cookie option for each operand:</p>\n\
<p>0 - No option</p>\n\
<p>1 - Imprint</p>\n\
<p>2 - Cookie</p>\n\
<div class=\'codeBlock\'><pre>.operand_tm: maxObject array\n\
</pre></div><p>An array of position controllers for the Boolean&#39;s operands.</p>\n\
<p><strong>Methods (from BooleanObject2 Interface)</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumOperands()\n\
</pre></div><p>Returns the number of operands in the Boolean.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetOperandName &lt;index&gt;index &lt;&amp;string&gt;nameout\n\
\n\
nameout is Out parameter\n\
</pre></div><p>Gets the name of the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetOperandName &lt;index&gt;index &lt;index&gt;operandIndex &lt;string&gt;name\n\
</pre></div><p>Sets the name of the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetOperandType &lt;index&gt;index &lt;&amp;enum&gt;type\n\
\n\
type enums: {#system|#generated}\n\
\n\
type is Out parameter\n\
</pre></div><p>Gets the operand type at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetNumChildren &lt;index&gt;index &lt;&amp;integer&gt;count\n\
\n\
count is Out parameter\n\
</pre></div><p>Gets the number of children for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetOperationType &lt;index&gt;index &lt;&amp;enum&gt;type\n\
\n\
type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert}\n\
\n\
type is Out parameter\n\
</pre></div><p>Gets the operation type for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetOperationType &lt;index&gt;index &lt;enum&gt;type\n\
\n\
type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert}\n\
</pre></div><p>Sets the operation type for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetOperationOption &lt;index&gt;index &lt;&amp;enum&gt;option\n\
\n\
option enums: {#none|#imprint|#cookie}\n\
\n\
option is Out parameter\n\
</pre></div><p>Gets the operation option for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetOperationOption &lt;index&gt;index &lt;enum&gt;option\n\
\n\
option enums: {#none|#imprint|#cookie}\n\
</pre></div><p>Sets the operation option for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetSolo &lt;index&gt;operandIndex &lt;&amp;boolean&gt;solo\n\
\n\
solo is Out parameter\n\
</pre></div><p>Gets the solo setting for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetSolo &lt;index&gt;operandIndex &lt;boolean&gt;solo\n\
</pre></div><p>Sets the solo setting for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetSoloOperandIndex &lt;&amp;index&gt;operandIndex\n\
\n\
operandIndex is Out parameter\n\
\n\
&lt;boolean&gt;GetDisable &lt;index&gt;operandIndex &lt;&amp;boolean&gt;disable\n\
disable is Out parameter\n\
\n\
</pre></div><p>Gets the disabled setting for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>bool&gt;SetDisable &lt;index&gt;operandIndex &lt;boolean&gt;disable\n\
</pre></div><p>Sets the disabled setting for the operand at the specified index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;HasSubdivs &lt;index&gt;operandIndex &lt;time&gt;time &lt;&amp;boolean&gt;sub\n\
\n\
sub is Out parameter\n\
\n\
</pre></div><p>Indicates whether the operand at the specified index has subdivs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetSubdivs &lt;index&gt;index &lt;time&gt;time &lt;&amp;integer&gt;subdivs &lt;&amp;interval&gt;valid\n\
\n\
 subdivs is Out parameter\n\
\n\
 valid is In and Out parameter\n\
\n\
</pre></div><p>Gets the subdivs for the operand at the specified index, for the specified time and validity.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetSubdivs &lt;index&gt;index &lt;time&gt;time &lt;integer&gt;subdivs\n\
</pre></div><p>Sets the number of subdivs for the operand at the specified index, at the specified time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;RemoveOperand &lt;index&gt;operandIndex\n\
</pre></div><p>Removes the specified operand from the Boolean.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;AppendOperand &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;boolean&gt;hold\n\
&lt;boolean&gt;InsertOperand &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;index&gt;where &lt;boolean&gt;hold\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>Example:</strong></p>\n\
<p>``` -- Create a couple of boxes, add them as operands with Union operation boxNum1 = Box lengthsegs:1 widthsegs:1 heightsegs:1 length:34.4026 width:35.2684 height:28.3108 mapcoords:on pos:[-9.23886,6.62539,0] isSelected:on boxNum2 = Box lengthsegs:1 widthsegs:1 heightsegs:1 length:34.6151 width:39.1545 height:16.8113 mapcoords:on pos:[10.8141,-3.6636,5.99007] isSelected:on select boxNum1 -- The following can use “BooleanObject2” or “Boolean3” StartObjectCreation Boolean3 bool = $ -- Add Box2... bool.AppendOperand bool boxNum2 false -- Use it in a union bool.SetOperationType 2 #union</p>\n\
<p>-- Use it as subtraction bool.SetOperationType 2 #subtraction</p>\n\
<p>-- Delete both operands so have an empty boolean (makes icon appear) bool.RemoveOperand 2 bool.RemoveOperand 1 -- Set icon size big bool.iconSize = 200 -- Set icon size tiny bool.iconSize = 2</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";