var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Terrain : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Terrain : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"terrain-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Terrain - superclass: GeometryClass; super-superclass:node - classID: #(914240495, 130049804) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-F41446C7-22E4-4CD6-BEB3-A5CCBAF02748-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Terrain ... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.Form Integer default: 1 \n\
</pre></div><p>Set the terrain form:</p>\n\
<p>0 - <strong>Graded Surface</strong> (Creates a graded surface of the mesh over the contours.)</p>\n\
<p>1 - <strong>Graded Solid</strong> (Creates a graded surface with skirts around the sides and a bottom surface. This represents a solid that is visible from every direction.)</p>\n\
<p>2 - <strong>Layered Solid</strong> (Creates a &quot;wedding cake&quot; or laminated solid similar to cardboard architectural models.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.stitchBorder Boolean default: false \n\
</pre></div><p>Turn on/off stitch border.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.retriangulate Boolean default: false \n\
</pre></div><p>Turn on/off retriangulate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.display Integer default: 0 \n\
</pre></div><p>Select the type of display for the terrain object:</p>\n\
<p>0 - <strong>Terrain</strong> (Displays only the triangulated mesh over the contour line data.)</p>\n\
<p>1 - <strong>Contours</strong> (Displays only the contour line data of the terrain object.)</p>\n\
<p>2 - <strong>Both</strong> (Displays both the triangulated mesh and the contour line data of the terrain object.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.update Integer default: 0 \n\
</pre></div><p>Set update settings for the terrain object:</p>\n\
<p>0 - <strong>Always</strong> (Updates the terrain object immediately when you change an operand, including the original object of an instanced or referenced operand.)</p>\n\
<p>1 - <strong>WhenRendering</strong> (Updates the terrain object when you render the scene or when you force an update. With this option, viewports won&#39;t show current geometry unless you.)</p>\n\
<p>2 - <strong>Manually</strong> (Updates the terrain object when you force an update.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.numOps Integer default: 0 \n\
</pre></div><p>The number of contour operands. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.horizSimplification Integer default: 0 \n\
</pre></div><p>Get/set the horizontal simplification value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - No Simplification;</p>\n\
<p>1 - Use ½ of Points;</p>\n\
<p>2 - Use ¼ of Points;</p>\n\
<p>3 - Interpolate Points * 2;</p>\n\
<p>4 - Interpolate Points * 4</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.vertSimplification Integer default: 0 \n\
</pre></div><p>Get/set the vertical simplification value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - No Simplification;</p>\n\
<p>Use ½ of Lines;</p>\n\
<p>2 - Use ¼ of Lines</p>\n\
<p>The following properties are available only after the terrain object has been created.</p>\n\
<p>The values shown for the properties are those for a terrain object created from three circles.</p>\n\
<p>The operand transforms are in the local coordinate system of the terrain object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Terrain&gt;.Op_0__Circle01 SubAnim default: SubAnim:Op_0__Circle01\n\
&lt;Terrain&gt;.Op_0_Transform SubAnim default: SubAnim:Op_0_Transform\n\
&lt;Terrain&gt;.Op_1__Circle02 SubAnim default: SubAnim:Op_1__Circle02\n\
&lt;Terrain&gt;.Op_1_Transform SubAnim default: SubAnim:Op_1_Transform\n\
&lt;Terrain&gt;.Op_2__Circle03 SubAnim default: SubAnim:Op_2__Circle03\n\
&lt;Terrain&gt;.Op_2_Transform SubAnim default: SubAnim:Op_2_Transform\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>terrainOps.addOperand &lt;terrain&gt; &lt;node&gt; \n\
</pre></div><p>Appends a node as a contour operand to the terrain.</p>\n\
<p>Note: This is done in &#39;Move&#39; mode, so the the supplied <span class=\'code\'>node</span> is deleted after the addition.</p>\n\
<p>Note: To simulate other modes, use appropriate MAXScript functions.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>terrainOps.addOperand $terrain01 (instance $line03)</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>terrainOps.deleteOperand &lt;terrain&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed operand, <span class=\'code\'>index_integer</span> is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>terrainOps.getOperand &lt;terrain&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the indexed contour operand as a <strong>3ds Max</strong> base object (not a node), <span class=\'code\'>index_integer</span> is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>terrainOps.getOperandTM &lt;terrain&gt; &lt;index_integer&gt; \n\
</pre></div><p>Returns the indexed operand&#39;s local transformation matrix as a Matrix3 value.</p>\n\
<p>This transformation matrix is relative to the terrain&#39;s node transformation matrix.</p>\n\
<div class=\'codeBlock\'><pre>terrainOps.setOperandTM &lt;terrain&gt; &lt;index_integer&gt; &lt;matrix3&gt; \n\
</pre></div><p>Sets the indexed operand&#39;s local transformation matrix.</p>\n\
<p>This transformation matrix is relative to the terrain&#39;s node transformation matrix.</p>\n\
<div class=\'codeBlock\'><pre>terrainOps.update &lt;terrain&gt; \n\
</pre></div><p>Forces a terrain update for those in manual update mode.</p>\n\
<p>Note:</p>\n\
<p>The above methods are defined in the Landform DLL and so will only be present if the Landform DLL has been loaded.</p>\n\
<p>In installations set up with delayed plugin loading enabled, this will happen automatically if there are any existing terrain objects in the scene or a terrain object is created in the user interface or via MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";