var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Deformable_gPoly : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Deformable_gPoly : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"deformable_gpoly-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Deformable_gPoly - superclass: GeometryClass; super-superclass:node - classID: #(374834938, 0) \n\
</pre></div><p>The <strong>Deformable_gPoly GeometryClass</strong> implements a geometry representation of <strong>3ds Max</strong> objects that is optimized for fast viewport display. It provides a representation of objects with the <span class=\'code\'>Turn_to_gPoly</span> Modifier applied on the modifier stack.</p>\n\
<p>Note: The <span class=\'code\'>Turn_to_gPoly</span> modifier is deprecated and no longer available (as of <strong>3ds Max 2017</strong>). This object is available for compatibility with legacy scene files that contain this modifier.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript.\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No Properties Exposed.</p>\n\
<p>In fact, the <strong>Deformable_gPoly</strong> GeometryClass baseobject is the only <strong>3ds Max</strong> object that does not show a User Interface in the Command Panel.</p>\n\
<p>The following Interface exposes methods for updating and manipulating the <strong>Deformable_gPoly</strong> object.</p>\n\
<div class=\'codeBlock\'><pre>Interface: Deformable_gPoly\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumberFaces()\n\
</pre></div><p>Returns the number of faces in the Deformable_gPoly mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumberVertices()\n\
</pre></div><p>Returns the number of vertices in the Deformable_gPoly mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ValidateNormals()\n\
</pre></div><p>Validates the Normal data in the Deformable_gPoly mesh.</p>\n\
<p>Other than the other geometry classes which re-calculate Normals on the fly based on Face Normals and Smoothing Groups on each update, the Deformable_gPoly mesh caches the Normals data. This contributes significantly to the viewport display speed up.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetMaterialID &lt;index&gt;faceIndex\n\
</pre></div><p>Returns the Material ID of the indexed face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Update()\n\
</pre></div><p>Updates the Deformable_gPoly data.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LockFaceChannel()\n\
</pre></div><p>Locks the Face Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UnlockFaceChannel()\n\
</pre></div><p>Unlocks the Face Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CopyFaceChannel &lt;&amp;integer array&gt;buffer\n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Copies the Face Channel into an array of Integers passed by-reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PasteFaceChannel &lt;&amp;integer array&gt;buffer\n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Pastes the by-reference array of integers as new Face Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LockPosChannel()\n\
</pre></div><p>Locks the Position channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UnlockPosChannel()\n\
</pre></div><p>Unlocks the Position channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CopyPosChannel &lt;&amp;point3 array&gt;buffer\n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Copies the Position Channel into an array of Point3 values passed by-reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PastePosChannel &lt;&amp;point3 array&gt;buffer\n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Pastes the by-reference array of Point3 values as new Position Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LockNormalChannel()\n\
</pre></div><p>Locks the Normal channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UnlockNormalChannel()\n\
</pre></div><p>Unlocks the Normal channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CopyNormalChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Copies the Normal Channel into an array of Point3 values passed by-reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PasteNormalChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Pastes the by-reference array of Point3 values as new Normal Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LockTangentChannel()\n\
</pre></div><p>Locks the Tangent channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UnlockTangentChannel()\n\
</pre></div><p>Unlocks the Tangent channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CopyTangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Copies the Tangent Channel into an array of Point3 values passed by-reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PasteTangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Pastes the by-reference array of Point3 values as new Tangent Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LockBitangentChannel()\n\
</pre></div><p>Locks the Bitangent channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UnlockBitangentChannel()\n\
</pre></div><p>Unlocks the Bitangent channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CopyBitangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Copies the Bitangent Channel into an array of Point3 values passed by-reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PasteBitangentChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Pastes the by-reference array of Point3 values as new Bitangent Channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;getUVWChannels &lt;&amp;integer array&gt;channels \n\
\n\
channels is In and Out parameter\n\
</pre></div><p>Writes the allocated mapping channels into a by-reference array of Integers argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;LockUVWChannel &lt;integer&gt;channelIndex\n\
</pre></div><p>Locks the indexed Mapping channel.</p>\n\
<p>Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;UnlockUVWChannel &lt;integer&gt;channelIndex\n\
</pre></div><p>Unlocks the indexed Mapping channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CopyUVWChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Currently broken.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;PasteUVWChannel &lt;&amp;point3 array&gt;buffer \n\
\n\
buffer is In and Out parameter\n\
</pre></div><p>Currently broken.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";