var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spring : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spring : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spring-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spring - superclass: GeometryClass; super-superclass:node - classID: #(2074280090, 1991647118) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-73EE6397-C63D-4D50-8718-B5C27C1AA66F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>spring...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.End_Placement_Method Integer default: 1 \n\
</pre></div><p>Set the end placement method:</p>\n\
<p>0 - <strong>Reference Objects</strong> (Choose this when binding the spring to two objects.)</p>\n\
<p>1 - <strong>Free Spring</strong> (Choose this when using the spring as a simple object that&#39;s not bound to other objects or used in a dynamics simulation.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Free_Spring_Height Float default: 1.0 -- animatable \n\
</pre></div><p>The straight-line height or length of the spring when it is not bound. This is not the actual length of the spring&#39;s wire.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Diameter Float default: 1.0 -- animatable \n\
</pre></div><p>The overall diameter of the spring, as measured at the center of the wire. (The diameter of the wire itself has no effect on this setting.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Number_of_Turns Float default: 1.0 -- animatable \n\
</pre></div><p>The number of full 360-degree turns in the spring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Turn_Direction Integer default: 0\n\
</pre></div><p>Sets the direction of the turns in the spring:</p>\n\
<p>0 - <strong>counterclockwise</strong></p>\n\
<p>1 - <strong>clockwise</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Segmentation_Method Integer default: 0 \n\
</pre></div><p>Sets the segmentation method of the springs:</p>\n\
<p>0 - <strong>Automatic Segments</strong> (Choose this option to force each turn of the spring to contains the same number of segments. Thus, if you increase the number of turns, the number of segments also increases.)</p>\n\
<p>1 - <strong>Manual Segments</strong> (When this option is chosen, length of the spring contains a fixed number of segments, no matter how many turns in the spring. Thus, as you increase the number of turns, you must manually increase the number of segments to maintain a smooth curve.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Segments_Per_Turn Integer default: 16 -- animatable \n\
</pre></div><p>The number of segments in each 360-degree turn of the spring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Segments_Along_Turn Integer default: 16 -- animatable \n\
</pre></div><p>The total number of manual segments in the spring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Smooth_Spring Integer default: 0 \n\
</pre></div><p>Set smoothing method for spring:</p>\n\
<p>0 - <strong>All</strong> (All surfaces are smoothed.)</p>\n\
<p>1 - <strong>None</strong> (No smoothing is applied.)</p>\n\
<p>2 - <strong>Sides</strong> (Smoothing runs along the length of the wire, but not around its perimeter.)</p>\n\
<p>3 - <strong>Segments</strong> (Smoothing runs around the perimeter of the wire, but not along its length.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Damper&gt;.Renderable_Spring Integer default: 1 \n\
</pre></div><p>When on, the object appears in the rendering; when off, the object does not appear:</p>\n\
<p>0 - <strong>Not renderable</strong></p>\n\
<p>1 - <strong>Renderable</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Wire Integer default: 0 -- animatable \n\
</pre></div><p>Set the shape of the wire:</p>\n\
<p>0 - <strong>Round</strong></p>\n\
<p>1 - <strong>Rectangular</strong></p>\n\
<p>2 - <strong>D-Section</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Generate_Mapping_Coordinates Integer default: 0 \n\
</pre></div><p>Turn on/off generate texture coordinates</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Round_Wire_Diameter Float default: 0.2 -- animatable \n\
</pre></div><p>The diameter of the wire.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Round_Wire_Side_Count Integer default: 6 -- animatable \n\
</pre></div><p>The number of sides that make up the cross section of the round wire.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Rectangular_Wire_Width Float default: 0.2 -- animatable \n\
</pre></div><p>Determines the width of the rectangular cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Rectangular_Wire_Depth Float default: 0.2 -- animatable \n\
</pre></div><p>Determines the depth of the rectangular cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Rectangular_Wire_Fillet_Size Float default: 0.0 -- animatable \n\
</pre></div><p>When combined with <span class=\'code\'>.Rectangular_Fillet_Sides</span> , this lets you fillet (round) the corners of the cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Rectangular_Fillet_Sides Integer default: 0 -- animatable \n\
</pre></div><p>The number of segments in the fillet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Rectangular_Wire_Rotation_Angle Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Rotates the angle of the cross section along the entire length of the spring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.D_Section_Wire_Width Float default: 0.2 -- animatable\n\
</pre></div><p>Determines the width of the cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.D_Section_Wire_Depth Float default: 0.2 -- animatable \n\
</pre></div><p>Determines the depth of the cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.D_Section_Round_Sides Integer default: 4 -- animatable \n\
</pre></div><p>The number of segments that make up the rounded side of the D-shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.D_Section_Wire_Fillet_Size Float default: 0.0 -- animatable \n\
</pre></div><p>When combined with <span class=\'code\'>.D_Section_Wire_Fillet_Sides</span> , this lets you fillet (round) the corners of the cross section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.D_Section_Wire_Fillet_Sides Integer default: 0 -- animatable \n\
</pre></div><p>The number of segments in the fillet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.D_Section_Wire_Rotation_Angle Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Rotates the angle of the cross section along the entire length of the spring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Dynamics_Spring_Free_Height Float default: 1.0 -- animatable \n\
</pre></div><p>Specifies the height (or length) at which the spring is &quot;relaxed&quot; and therefore contributes no force—either compression or extension.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Dynamics_K_Constant_Value Float default: 1.0 -- animatable \n\
</pre></div><p>The amount of force exerted per unit change in length with respect to the Relaxed Hgt value. This could also be described as the measure of force-per-units-change in length as compared to the Relaxed Length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Dynamics_K_Constant_Units Integer default: 0 \n\
</pre></div><p>Sets the Units for the K constant:</p>\n\
<p>0 - <strong>Pounds per inch</strong></p>\n\
<p>1 - <strong>Newtons per meter</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Dynamics_Spring_Direction Integer default: 0 \n\
</pre></div><p>Lets you specify the type of force you want the spring to exert. While most springs actually provide both compression and extension force, if your simulation requires only one, you can save calculation time by using one instead of both.</p>\n\
<p>0 - <strong>Compression Only</strong> (This type of spring provides only expansive force when its length is shorter than the specified Free Length.)</p>\n\
<p>1 - <strong>Extension Only</strong> (Provides contractive force when its length is greater than the specified Free Length.)</p>\n\
<p>2 - <strong>Both</strong> (Provides both expansive and contractive force, depending on the variation from Relaxed Hgt.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spring&gt;.Generate_Texture_Coordinates Integer default: 1 \n\
</pre></div><p>Turn on/off generate texture coordinates:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<p>Note: The Reference End Point objects cannot be specified in MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";