var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ChamferCyl : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ChamferCyl : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"chamfercyl-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>ChamferCyl - superclass: GeometryClass; super-superclass:node - classID: #(2073711726, 564414113) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>chamferCyl...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.radius Float default: 0.0 -- animatable; worldunits; \n\
</pre></div><p>The radius of the chamfered cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.height Float default: 0.0 -- animatable; worldunits; \n\
</pre></div><p>The dimension along the central axis.</p>\n\
<p>Negative values create the chamfered cylinder below the construction plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.Fillet Float default: 0.0 -- animatable; worldunits; \n\
</pre></div><p>Slices off the edges of the chamfered cylinder.</p>\n\
<p>The higher the number, the more filleted the cylinder becomes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.Height_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of divisions along the corresponding axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.Fillet_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of segments in the filleted edges of the box.</p>\n\
<p>Adding fillet segments curves the edges, producing a chamfered cylinder.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.sides Integer default: 12 -- animatable \n\
</pre></div><p>The number of sides around the chamfered cylinder.</p>\n\
<p>Higher numbers shade and render as true circles with Smooth on.</p>\n\
<p>Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.Cap_Segments Integer default: 1 -- animatable \n\
</pre></div><p>The number of concentric divisions along the center of the chamfered cylinder&#39;s top and bottom</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.smooth booleanclass default: true -- animatable \n\
</pre></div><p>When on, blends the faces of the chamfered cylinder, creating a smooth appearance in rendered views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.smooth_on booleanclass default: true -- animatable \n\
</pre></div><p>Alias for <span class=\'code\'>.smooth</span> :</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.SliceOn booleanclass default: false -- animatable \n\
</pre></div><p>Turn on/off the slice function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.slice_on booleanclass default: false -- animatable \n\
</pre></div><p>Alias for <span class=\'code\'>.SliceOn</span> :</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.Slice_From Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Sets the starting angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.Slice_To Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Sets the angle (on the local Z-axis) to slice to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.mapCoords booleanclass default: true -- boolean \n\
</pre></div><p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.typeInHeight     Float    default: 0.0   --  float; Height \n\
</pre></div><p>Gets or sets the height Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.typeInRadius     Float    default: 0.0   --  float; Radius\n\
</pre></div><p>Gets or sets the radius Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ChamferCyl&gt;.typeInFillet     Float    default: 0.0   --  float; Fillet\n\
</pre></div><p>Gets or sets the fillet Keyboard Entry position value.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";