var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Hedra : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Hedra : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hedra-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Hedra - superclass: GeometryClass; super-superclass:node - classID: #(-233021917, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>hedra...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.family Integer default: 0 \n\
</pre></div><p>Sets the type of polyhedron to create:</p>\n\
<p>0 - <strong>Tetra</strong> (Creates a tetrahedron)</p>\n\
<p>1 - <strong>Cube/Octa</strong> (Creates a cubic or octahedral polyhedron, depending on parameter settings.)</p>\n\
<p>2 - <strong>Dodec/Icos</strong> (Creates a dodecahedron or icosahedron, depending on parameter settings.)</p>\n\
<p>3 - <strong>Star1</strong> (Creates a star-like polyhedra.)</p>\n\
<p>4 - <strong>Star2</strong> (Creates a different star-like polyhedra.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.p Float default: 0.0 -- animatable, alias: Q_Value \n\
&lt;Hedra&gt;.q Float default: 0.0 -- animatable, alias: P_Value \n\
</pre></div><p>Interrelated parameters that provide a two-way translation between the vertices and facets of a polyhedron. They share the following:</p>\n\
<ul>\n\
<li><p>Range of possible values is 0.0 through 1.0.</p></li>\n\
<li><p>The combined total of the P and Q values can be equal to or less than 1.0.</p></li>\n\
<li><p>Extremes occur if either P or Q is set to 1.0; the other is automatically set to 0.0.</p></li>\n\
<li><p>Midpoint occurs when both P and Q are 0.</p></li>\n\
</ul>\n\
<p>In the simplest terms, P and Q change the geometry back and forth between vertices and facets. At the extreme settings for P and Q, one parameter represents all vertices, the other represents all facets. Intermediate settings are transition points, with the midpoint an even balance between the two parameters.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.scalep Float default: 1.0 -- animatable \n\
</pre></div><p>Controls the axis of reflection for the p facet of a polyhedron.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.scaleq Float default: 1.0 -- animatable \n\
</pre></div><p>Controls the axis of reflection for the q facet of a polyhedron.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.scaler Float default: 1.0 -- animatable \n\
</pre></div><p>Controls the axis of reflection for the r facets of a polyhedron.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.P_Scale Float default: 100.0 \n\
</pre></div><p>Controls the axis of reflection for the p facet of a polyhedron.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.Q_Scale Float default: 100.0 \n\
</pre></div><p>Controls the axis of reflection for the q facet of a polyhedron.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.R_Scale Float default: 100.0 \n\
</pre></div><p>Controls the axis of reflection for the r facets of a polyhedron.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.vertices Integer default: 0 -- alias: vertType \n\
</pre></div><p>Sets the internal geometry of each facet of the polyhedron:</p>\n\
<p>0 - <strong>Basic</strong> (Facets are not subdivided beyond the minimum.)</p>\n\
<p>1 - <strong>Center</strong> (Each facet is subdivided by placing an additional vertex at its center, with edges from each center point to the facet corners.)</p>\n\
<p>2 - <strong>Center &amp; Sides</strong> (Each facet is subdivided by placing an additional vertex at its center, with edges from each center point to the facet corners, as well as to the center of each edge. Compared to Center, Center &amp; Sides doubles the number of faces in the polyhedron.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.radius Float default: 25.0 -- animatable \n\
</pre></div><p>The radius of any polyhedron in current units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hedra&gt;.mapCoords Boolean default: false \n\
</pre></div><p>When on, sets up required coordinates for applying mapped materials to the hedra.</p>\n\
<p>Note:</p>\n\
<p>The ( <span class=\'code\'>scalep</span> , <span class=\'code\'>scaleq</span> , <span class=\'code\'>scaler</span> ) and ( <span class=\'code\'>P_Scale</span> , <span class=\'code\'>Q_Scale</span> , <span class=\'code\'>R_Scale</span> ) sets of scale parameters are aliases of each other, except that the first set is stored as fractions, and the second set is stored as percentages. This second set of parameters are those shown in the command panels and in Track View.</p>\n\
<p>Note:</p>\n\
<p>In order to access the <span class=\'code\'>vertices</span> property for hedra, you need to access the property via the <span class=\'code\'>baseobject</span> property of the node. This is because <span class=\'code\'>vertices</span> is also a property name for all nodes, and conflicts with the hedra&#39;s <span class=\'code\'>vertices</span> property.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>MyHedra.baseobject.vertices=1-- set Vertices option to Center</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";