var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Hose - superclass: GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Hose - superclass: GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hose---superclass-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Hose - superclass: GeometryClass; super-superclass:node - 27:0 - classID: #(1777953373, 593249034) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p>The Hose object is a flexible object that you can connect between two objects, whereupon it reacts to their movement.</p>\n\
<p>It&#39;s similar to Spring, but does not have dynamics properties.</p>\n\
<p>You can specify the overall diameter and length of the hose, the number of turns, and the diameter and shape of its &quot;wire.&quot;</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Hose ... \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.End_Placement_Method Integer default: 1 -- integer \n\
</pre></div><p>Get/set the End Placement Method.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Free Hose (default)</p>\n\
<p>2 - Bound To Object Pivots</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Generate_Mapping_Coordinates Integer default: 0 -- integer \n\
</pre></div><p>When set to 1, sets up required coordinates for applying mapped materials to the hose. Default is off (0).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Hose_Height Float default: 1.0 -- animatable; float \n\
</pre></div><p>Use this field/spinner to set the straight-line height or length of the hose when it is not bound. This is not the actual length of the hose. Available only when Free Hose is chosen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Segments_Along_Hose Integer default: 45 -- animatable; integer \n\
</pre></div><p>The total number of segments in the hose&#39;s length. Increase this setting for a smooth profile when the hose is curved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Smooth_Spring Integer default: 0 -- integer \n\
</pre></div><p>Choose one of the following smoothing options:</p>\n\
<p>0 - All: The entire hose is smoothed.</p>\n\
<p>1 - Sides: Smoothing is applied along the length of the hose but not around its circumference.</p>\n\
<p>2 - None: No smoothing is applied.</p>\n\
<p>3 - Segments: Smoothing is applied only on the inner section of the hose.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Renderable_Hose Integer default: 1 -- integer \n\
</pre></div><p>When 1 (on ), the hose is rendered using the specified settings.</p>\n\
<p>When 0(off), the hose is not rendered.</p>\n\
<p>Default=1 (on).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Hose_Cross_Section_Type Integer default: 0 -- integer \n\
</pre></div><p>Sets a circular cross-section.</p>\n\
<p>Lets you specify different settings for width and depth.</p>\n\
<p>Similar to Rectangular Hose, but rounds one side for a D-shaped cross-section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Round_Hose_DiameterFloat default: 0.2 -- animatable; float \n\
</pre></div><p>The maximum width of the hose at the ends.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Round_Hose_Sides Integer default: 8 -- animatable; integer \n\
</pre></div><p>The number of sides of the hose.</p>\n\
<p>A Sides setting of 3 gives a triangular cross-section; 4 gives a square cross-section; and 5 gives a pentagonal cross-section.</p>\n\
<p>Increase Sides for a circular cross-section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Rectangular_Hose_Width Float default: 0.2 -- animatable; float \n\
</pre></div><p>The width of the hose.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Rectangular_Hose_Depth Float default: 0.2 -- animatable; float \n\
</pre></div><p>The height of the hose.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Rectangular_Hose_Fillet_Size Float default: 0.0 -- animatable; float \n\
</pre></div><p>The amount by which the cross-section corners are rounded.</p>\n\
<p>For this to be visible, Fillet Segs must be set to 1 or higher.</p>\n\
<p>Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Rectangular_Hose_Fillet_Segs Integer default: 0 -- animatable; integer \n\
</pre></div><p>The number of segments across each filleted corner.</p>\n\
<p>A Fillet Segs setting of 1 cuts the corner straight across; use higher settings for rounded corners.</p>\n\
<p>Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Rectangular_Hose_Section_Rotation Float default: 0.0 -- animatable; angle \n\
</pre></div><p>The orientation of the hose along its long axis.</p>\n\
<p>Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.D_Section_Hose_Width Float default: 0.2 -- animatable; float \n\
</pre></div><p>The width of the hose.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.D_Section_Hose_Depth Float default: 0.2 -- animatable; float \n\
</pre></div><p>The height of the hose.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.D_Section_Hose_Fillet_SizeFloat default: 0.0 -- animatable; float \n\
</pre></div><p>The amount by which the two cross-section corners opposite the rounded side are rounded.</p>\n\
<p>For this to be visible, Fillet Segs must be set to 1 or higher.</p>\n\
<p>Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.D_Section_Hose_Fillet_Segs Integer default: 0 -- animatable; integer \n\
</pre></div><p>The number of segments across each filleted corner.</p>\n\
<p>A Fillet Segs setting of 1 cuts the corner straight across; use higher settings for rounded corners.</p>\n\
<p>Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.D_Section_Hose_Round_Segs Integer default: 8 -- animatable; integer \n\
</pre></div><p>The number of segments on the rounded side. Increase for a smoother profile.</p>\n\
<p>Default=4.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.D_Section_Hose_Section_Rotation Float default: 0.0 -- animatable; angle \n\
</pre></div><p>The orientation of the hose along its long axis.</p>\n\
<p>Default=0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Flex_Section_Enabled Integer default: 1 -- integer \n\
</pre></div><p>When on, lets you set the following four parameters for the central, flexible section of the hose.</p>\n\
<p>When off, the hose&#39;s diameter is uniform throughout its length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Flex_Section_Start Float default: 10.0 -- animatable; percentage \n\
</pre></div><p>The percentage of the hose length from the starting extremity of the hose at which the flex section begins.</p>\n\
<p>By default, the starting end of the hose is the end at which the object pivot appears.</p>\n\
<p>Default=10%.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Flex_Section_Stop Float default: 90.0 -- animatable; percentage \n\
</pre></div><p>The percentage of the hose length from the end extremity of the hose at which the flex section begins.</p>\n\
<p>By default, the end extremity of the hose is opposite the end at which the object pivot appears.</p>\n\
<p>Default=90%.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Flex_Cycle_Count Integer default: 5 -- animatable; integer \n\
</pre></div><p>The number of corrugations in the flex section.</p>\n\
<p>The number of visible cycles is limited by the number of segments; if Segments isn&#39;t high enough to support the number of cycles, then not all cycles will appear.</p>\n\
<p>Tip: To set the appropriate number of segments, first set Cycles, and then increase Segments until the number of visible cycles stops changing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Flex_Section_Diameter Float default: -20.0 -- animatable; percentage \n\
</pre></div><p>The relative width of the &quot;outside&quot; parts of the cycles.</p>\n\
<p>At negative settings, these are smaller than the overall hose diameter.</p>\n\
<p>At positive settings, these are larger than the overall hose diameter.</p>\n\
<p>Default=-20%. Range=-50% to 500%.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Top_Tension Float default: 100.0 -- animatable; float \n\
</pre></div><p>Determines the arc of the hose near the Top object.</p>\n\
<p>Lower the tension to decrease the arc, and raise the tension to increase the arc.</p>\n\
<p>Default=100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Hose&gt;.Bottom_Tension Float default: 100.0 -- animatable; float \n\
</pre></div><p>Determines the arc of the hose near the Bottom object.</p>\n\
<p>Lower the tension to decrease the arc, and raise the tension to increase the arc.</p>\n\
<p>Default=100.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";