var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RingWave : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RingWave : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ringwave-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>RingWave - superclass: GeometryClass; super-superclass:node - classID: #(686038884, 306926354) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-6627C068-3F4B-4657-B9DF-762A26371103-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>ringwave...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<p>Note:</p>\n\
<p>Some of the properties can be entered using more than one syntax. They are listed together in the following list. Either syntax can be used, they are connected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;max diameter&#39; Float default: 500.0 -- animatable; alias: radius \n\
</pre></div><p>The outside radius of the ringwave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Radius Segs&#39; Integer default: 1 -- animatable; alias: radial_Segments \n\
</pre></div><p>The segment count between the inner and outer surfaces in the direction of radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;ring width&#39; Float default: 1.0 -- animatable; alias: Ring_Width \n\
</pre></div><p>The mean ring width as measured inward from the outer radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;ring segments&#39; Integer default: 200 -- animatable; alias: sides \n\
</pre></div><p>The number of segments in the circumferential direction for both the inner, outer, and end (cap) surfaces.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.height Float default: 0.0 -- animatable \n\
</pre></div><p>The height of the ringwave along its major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Height Segs&#39; Integer default: 1 -- animatable; alias: Height_Segments \n\
</pre></div><p>The number of segments in the direction of the height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.Repeat Integer default: 2 -- animatable \n\
</pre></div><p>Repeat = 0 - Cyclic Growth;</p>\n\
<p>1 - Grow and Stay;</p>\n\
<p>2 - No Growth</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;time on&#39;  Integer default: 0 -- animatable; alias: Start_Time \n\
</pre></div><p>The time where the ringwave appears, and begins to grow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;time growing&#39; Integer default: 9600 -- alias: Grow_Time \n\
</pre></div><p>The time after <strong>.time on</strong> that the ringwave takes to reach full size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;display until&#39; Integer default: 16000 -- animatable; alias: End_Time \n\
</pre></div><p>The time after which the ringwave disappears.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Outer Edge Breakup&#39; Boolean default: false -- alias: Outer_Edge_Breakup \n\
</pre></div><p>Turns on breakup of the outer edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Major Cycles Outer&#39; Integer default: 1 -- alias: Outer_Edge_Major_Cycles \n\
</pre></div><p>The number of major waves around the outer edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Major Cycle Flux Outer&#39; Float default: 0.0 -- animatable; alias: Outer_Edge_Major_Flux \n\
</pre></div><p>The size of the major waves, expressed as a percentage of the unmodulated width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Major Cycle Flux Per Outer&#39; Integer default: 16000 -- animatable; alias: Outer_Edge_Major_Crawl_Time \n\
</pre></div><p>The time each major wave takes to move around the outer circumference of the RingWave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Minor Cycles Outer&#39; Integer default: 1 -- alias: Outer_Edge_Minor_Cycles \n\
</pre></div><p>The number of random-sized smaller waves in each major cycle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Minor Cycle Flux Outer&#39; Float default: 0.0 -- animatable; alias: Outer_Edge_Minor_Flux \n\
</pre></div><p>The average size of the smaller waves, expressed as a percentage of the unmodulated width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Minor Cycle Flux Per Outer&#39; Integer default: -16000 -- animatable; alias: Outer_Edge_Minor_Crawl_Time \n\
</pre></div><p>The time each minor wave takes to move across its respective major wave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Inner Edge Breakup&#39; Boolean default: true -- alias: Inner_Edge_Breakup \n\
</pre></div><p>Turns on the breakup of the inner edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Major Cycles Inner&#39; Integer default: 11 -- alias: Inner_Edge_Major_Cycles \n\
</pre></div><p>The number of major waves around the inner edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Major Cycle Flux Inner&#39; Float default: 25.0 -- animatable; alias: Inner_Edge_Major_Flux \n\
</pre></div><p>The size of the major waves, expressed as a percentage of the unmodulated width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Major Cycle Flux Per Inner&#39; Integer default: 19360 -- animatable; alias: Inner_Edge_Major_Crawl_Time \n\
</pre></div><p>The time each major wave takes to move around the inner circumference of the RingWave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Minor Cycles Inner&#39; Integer default: 29 -- alias: Inner_Edge_Minor_Cycles \n\
</pre></div><p>The average size of the smaller waves, expressed as a percentage of the unmodulated width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Minor Cycle Flux Inner&#39; Float default: 10.0 -- animatable; alias: Inner_Edge_Minor_Flux \n\
</pre></div><p>The average size of the smaller waves, expressed as a percentage of the unmodulated width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Minor Cycle Flux Per Inner &#39; Integer default: -4320 -- animatable; alias: Inner_Edge_Minor_Crawl_Time \n\
</pre></div><p>The time each minor wave takes to move across its respective major wave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.repeats Integer default: 2 -- radio button number \n\
</pre></div><p>The number of times the ringwave cycle repeats.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.&#39;Mapping Coords&#39; Boolean default: false \n\
</pre></div><p>When on, assigns mapping coordinates to the ringwave.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RingWave&gt;.Smoothing Boolean default: false \n\
</pre></div><p>When on, smooths the surface of the ringwave.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";