var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MaxLiquid : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MaxLiquid : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxliquid-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>MaxLiquid - superclass: GeometryClass; super-superclass:node - 28:0 - classID: #(712128612L, 2137014116L)\n\
</pre></div><p>Available in <strong>3ds Max 2018.3 and higher</strong>. The liquid class contains the set up parameters for a fluid simulation, including references to other objects, such as colliders and kill planes, that interact with the liquid in the simulation.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>MaxLiquid...\n\
</pre></div><div class=\'section\'><a id=\"ecample\"></a><h3 id=\"ecample\">Ecample</h3></div>\n\
<div class=\'codeBlock\'><pre>-- Max fluid scene set up\n\
resetmaxFile #noPrompt\n\
p = plane()\n\
\n\
b = box width:70 length:70 height:20\n\
convertto b editable_poly\n\
\n\
subobjectlevel = 4\n\
b.SetSelection #Face #{2}\n\
b.delete #face\n\
addmodifier b (shell outerAmount:3.0)\n\
\n\
liquid = maxLiquid pos:[0,0,50]\n\
-- don&#39;t do this:\n\
-- append liquid.collider_Meshes b\n\
-- append liquid.killplanes p\n\
liquid.AddCollider b\n\
liquid.AddKillPlane p\n\
\n\
-- create a new solver for the liquid and set the Base Voxel size\n\
liquid.CreateSolver 1\n\
solver = liquid.solvers[1]\n\
solver.baseVoxelSize = 4.0\n\
\n\
-- Turn on override for the first collider:\n\
solver.colliderConversionOverrideTab[1] = true\n\
-- Set thickness for the collider\n\
solver.colliderConversionOverrideThicknessTab[1] = 5.0\n\
`\n\
\n\
\n\
\n\
**Properties:**\n\
\n\
</pre></div><p><maxliquid>.accelerator_Meshes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
Reserved for future use.\n\
\n\
</pre></div><p><maxliquid>.cacheOutputFilePattern String default: &quot;<projectname>\\SimCache&lt;ObjectName&gt;&lt;SolverName&gt;&quot; -- string<p>\n\
<div class=\'codeBlock\'><pre>\n\
Reserved for future use.\n\
\n\
</pre></div><p><maxliquid>.collider_Meshes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of scene nodes that act as colliders with the liquid in the simulation.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with collider meshes, use the `Add/Get/Delete` methods for Colliders (see below).\n\
\n\
</pre></div><p><maxliquid>.emitter_Meshes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of scene nodes that act as liquid emitters. This array is only used when the emitter icon type is &quot;custom&quot;.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with emitter meshes, use the `Add/Get/Delete` methods for Emitters (see below).\n\
\n\
</pre></div><p><maxliquid>.emitterType Integer default: 0 -- integer<p>\n\
<div class=\'codeBlock\'><pre>\n\
The type of emitter icon, where:\n\
\n\
-   0 = sphere\n\
-   1 = box\n\
-   2 = plane\n\
-   3 = custom – the nodes in the **emitter_Meshes** array are used as emitters.\n\
\n\
</pre></div><p><maxliquid>.emitterHeight Float default: 5.0 -- animatable; float <maxliquid>.emitterLength Float default: 5.0 -- animatable; float <maxliquid>.emitterWidth Float default: 5.0 -- animatable; float<p>\n\
<div class=\'codeBlock\'><pre>\n\
The height, length, and width of the emitter, when it is a box. When it is a sphere, the **emitterLength** is the radius. When the emitter is a plane, only the width and length parameters are used.\n\
\n\
</pre></div><p><maxliquid>.exportPRTFiles BooleanClass default: false -- Boolean<p>\n\
<div class=\'codeBlock\'><pre>\n\
Indicates whether to export voxels as PRT files when running the solve.\n\
\n\
</pre></div><p><maxliquid>.field_Meshes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of scene nodes that act as motion fields.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with motion fields, use the `Add/Get/Delete` methods for motion fields (see below).\n\
\n\
</pre></div><p><maxliquid>.foammask_Meshes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of scene nodes that act as foam masks.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with foam masks, use the `Add/Get/Delete` methods for Foam Masks (see below).\n\
\n\
</pre></div><p><maxliquid>.guide_Meshes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of scene nodes that act as guide meshes.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with guide meshes, use the `Add/Get/Delete` methods for Guide Meshes (see below).\n\
\n\
</pre></div><p><maxliquid>.guideEmitter_Meshes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of scene nodes that act as Guide Emitters.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with guide emitter meshes, use the `Add/Get/Delete` methods for Guide Emitters (see below).\n\
\n\
</pre></div><p><maxliquid>.iconSize Float default: 10.0 -- float<p>\n\
<div class=\'codeBlock\'><pre>\n\
The size of the liquid icon in the viewport. Note that this is always in inches, regardless of the scene units.\n\
\n\
</pre></div><p><maxliquid>.killplanes ArrayParameter default: #() -- node array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of scene nodes that act as kill planes in the simulation.\n\
\n\
**Note**: this array should not be directly manipulated, it is for reading only. To work with kill planes, use the `Add/Get/Delete` methods for Kill Planes (see below).\n\
\n\
</pre></div><p><maxliquid>.killVolumeNode UndefinedClass default: undefined -- node<p>\n\
<div class=\'codeBlock\'><pre>\n\
Reserved for future use\n\
\n\
</pre></div><p><maxliquid>.lastSelectedSolverIndex Integer default: 1 -- integer<p>\n\
<div class=\'codeBlock\'><pre>\n\
Contains the index in the solvers array of the last solve selected by the user.\n\
\n\
</pre></div><p><maxliquid>.maxScratchCacheRAM Float default: 1.0 -- float<p>\n\
<div class=\'codeBlock\'><pre>\n\
Reserved for future use.\n\
\n\
</pre></div><p><maxliquid>.renderSolveIndex Integer default: 1 -- integer<p>\n\
<div class=\'codeBlock\'><pre>\n\
Contains the index of the solver in the solver list which was last rendered.\n\
\n\
</pre></div><p><maxliquid>.renderSolveLock BooleanClass default: false -- Boolean<p>\n\
<div class=\'codeBlock\'><pre>\n\
Gets or sets the state of the render lock button, where true indicates that the selected solve is locked.\n\
\n\
</pre></div><p><maxliquid>.rootSimDirectory String default: &quot;c:\\MaxFluidSim&quot; -- string<p>\n\
<div class=\'codeBlock\'><pre>\n\
Contains the root directory in which cache files are saved.\n\
\n\
</pre></div><p><maxliquid>.scratchCache String default: &quot;c:\\MaxFluidScratchCache&quot; -- string<p>\n\
<div class=\'codeBlock\'><pre>\n\
Reserved for future use.\n\
\n\
</pre></div><p><maxliquid>.showVoxelGrid BooleanClass default: true -- Boolean<p>\n\
<div class=\'codeBlock\'><pre>\n\
Indicates whether to show a visual representation of the voxel size in the viewport.\n\
\n\
</pre></div><p><maxliquid>.solvers ArrayParameter default: #() -- maxObject array; SubAnim<p>\n\
<div class=\'codeBlock\'><pre>\n\
An array of solver objects for the liquid.\n\
\n\
</pre></div><p><maxliquid>.useProjectFolders BooleanClass default: false -- Boolean<p>\n\
<div class=\'codeBlock\'><pre>\n\
Indicates whether to use the Max project folder instead of the **rootSimDirectory** to store solver cache files.\n\
\n\
## MaxLiquid Interfaces\n\
\n\
**Interface: MaxFluidLiquidObject**\n\
\n\
**Properties:**\n\
\n\
**Methods:**\n\
\n\
&lt;boolean&gt;CreateSolver &lt;&amp;index&gt;solverIndex\n\
   solverIndex is Out parameter\n\
\n\
Creates a new solver in the liquid’s solvers array, returning the index of the newly created solve.\n\
\n\
&lt;boolean&gt;CloneSolver &lt;index&gt;index &lt;&amp;string&gt;cloneName &lt;&amp;index&gt;cloneIndex\n\
   cloneName is Out parameter\n\
   cloneIndex is Out parameter\n\
\n\
Creates a new, cloned copy of the solver specified by the index, returning the new name and index.\n\
\n\
&lt;boolean&gt;DeleteSolver &lt;index&gt;index\n\
\n\
Deletes the solver specified by the index.\n\
\n\
&lt;integer&gt;NumberSolvers()\n\
\n\
Returns the number of solvers in the solvers array.\n\
\n\
&lt;index&gt;AddEmitter &lt;node&gt;node\n\
&lt;integer&gt;GetNumberEmitters()\n\
&lt;node&gt;GetEmitter &lt;index&gt;index\n\
&lt;boolean&gt;DeleteEmitter &lt;index&gt;index\n\
\n\
Manipulates the collection of emitters held in the liquid&#39;s `emitter_Meshes` array.\n\
\n\
&lt;index&gt;AddCollider &lt;node&gt;node\n\
&lt;integer&gt;GetNumberColliders()\n\
&lt;node&gt;GetCollider &lt;index&gt;index\n\
&lt;boolean&gt;DeleteCollider &lt;index&gt;index\n\
\n\
Manipulates the collection of colliders held in the liquid&#39;s `collider_Meshes` array.\n\
\n\
&lt;index&gt;AddKillPlane &lt;node&gt;node\n\
&lt;integer&gt;GetNumberKillPlanes()\n\
&lt;node&gt;GetKillPlane &lt;index&gt;index\n\
&lt;boolean&gt;DeleteKillPlane &lt;index&gt;index\n\
\n\
Manipulates the collection of kill planes held in the liquid&#39;s `killplanes` array.\n\
\n\
&lt;index&gt;AddFoamMask &lt;node&gt;node\n\
&lt;integer&gt;GetNumberFoamMasks()\n\
&lt;node&gt;GetFoamMask &lt;index&gt;index\n\
&lt;boolean&gt;DeleteFoamMask &lt;index&gt;index\n\
\n\
Manipulates the collection of foam masks held in the liquid&#39;s `foammask_Meshes` array.\n\
\n\
&lt;index&gt;AddGuideEmitter &lt;node&gt;node\n\
&lt;integer&gt;GetNumberGuideEmitters()\n\
&lt;node&gt;GetGuideEmitter &lt;index&gt;index\n\
&lt;boolean&gt;DeleteGuideEmitter &lt;index&gt;index\n\
\n\
Manipulates the collection of guide emitters held in the liquid&#39;s `guideEmitter_Meshes` array.\n\
\n\
&lt;index&gt;AddMotionField &lt;node&gt;node\n\
&lt;integer&gt;GetNumberMotionFields()\n\
&lt;node&gt;GetMotionField &lt;index&gt;index\n\
&lt;boolean&gt;DeleteMotionField &lt;index&gt;index\n\
</pre></div><p>```</p>\n\
<p>Manipulates the collection of motion fields held in the liquid&#39;s <span class=\'code\'>field_Meshes</span> array.</p>\n\
<p><strong>Actions:</strong></p>\n\
</maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></maxliquid></projectname></maxliquid></maxliquid>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";