var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PArray : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PArray : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"parray-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>PArray - superclass: GeometryClass; super-superclass:node - classID: #(238822837, 278730329) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-CBA66C53-542D-4D90-8240-8B2DAD4BF9B0-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>parray...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'section\'><a id=\"basic-parameters\"></a><h2 id=\"basic-parameters\">Basic Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.emitter Node default: undefined \n\
</pre></div><p>The object which acts as an emitter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.formation Integer default: 0 -- alias: Emitter_Distribution \n\
</pre></div><p>Set the emitter distribution type:</p>\n\
<p>0 - <strong>Over Entire Surface</strong> (Emits particles randomly over the entire surface of the object-based emitter.)</p>\n\
<p>1 - <strong>Along Visible Edges</strong> (Emits particles randomly from the visible edges of the object.)</p>\n\
<p>2 - <strong>At All Vertices</strong> (Emits particles from the vertices of the object.)</p>\n\
<p>3 - <strong>At Distinct Points</strong> (Places a specified number of emitter points randomly over the surface of the object.)</p>\n\
<p>4 - <strong>At Face Centers</strong> (Emits particles from the center of each triangular face.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.numDistinctPoints Integer default: 20 -- alias: Number_of_Emitters \n\
</pre></div><p>The number of emitter points used when At Distinct Points is chosen.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Use_Selected_Subobjects Integer default: 0 -- animatable \n\
</pre></div><p>With mesh-based emitters, this limits the source of the particle stream to the sub-object selection passed up the modifier stack in the object-based emitter.</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.iconsize Float default: 20.0 -- alias: Emitter_Width \n\
</pre></div><p>The width of the emitter icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.iconHidden Boolean default: false \n\
</pre></div><p>When on, hides the emitter in viewports. When off, the emitter is displayed in viewports. The emitter is never rendered.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.viewType Integer default: 0 \n\
</pre></div><p>Set the display icon for particles in the viewport:</p>\n\
<p>0 - <strong>Dots</strong> (Displays the particles as dots.)</p>\n\
<p>1 - <strong>Ticks</strong> (Displays the particles as crosses.)</p>\n\
<p>2 - <strong>Mesh</strong> (Displays the particles as mesh objects. This results in slower viewport redraws.)</p>\n\
<p>3 - <strong>Bbox</strong> (For instanced geometry only, this displays each instanced particle, whether a single object, a hierarchy, or a group, as a bounding box.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.viewPercent Float default: 10.0 -- percentage, alias: Percentage_Displayed \n\
</pre></div><p>The percentage of particles displayed in the viewport.</p>\n\
<div class=\'section\'><a id=\"particle-generation\"></a><h2 id=\"particle-generation\">Particle Generation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.quantityMethod Integer default: 0 \n\
</pre></div><p>Set the method by which the number of particles is determined over time:</p>\n\
<p>0- <strong>Use Rate</strong> (Specifies a fixed number of particles emitted per frame.)</p>\n\
<p>1- <strong>Use Total</strong> (Specifies a total number of particles formed over the life of the system.)</p>\n\
<p>Tip: Generally, Use Rate is best for a continuous flow of particles, like a trail of pixie dust, while Use Total is better for bursts of particles over a short period of time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Birth_Rate Integer default: 10 -- animatable \n\
</pre></div><p>The number of particles emitted per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Total_Number Integer default: 100 \n\
</pre></div><p>The total number of particles to be emitted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.speed Float default: 10.0 -- animatable \n\
</pre></div><p>The velocity of the particle at birth, along the normal, in units traveled per frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Speed_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Percentage of variation to the speed of emission for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Divergence_Angle Float default: 10.0 -- animatable, angle \n\
</pre></div><p>Applies an angular degree of variation by which each particle&#39;s velocity can vary from the emitter normal.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Emitter_Start Time default: 0f \n\
</pre></div><p>The frame at which particles begin to exist in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Emitter_Stop Time default: 30f \n\
</pre></div><p>The last frame at which particles are emitted.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Display_Until Time default: 100f \n\
</pre></div><p>Time at which all particles will disappear, regardless of other settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.life Time default: 30f -- animatable \n\
</pre></div><p>The lifespan of each particle from the time of creation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Life_Variation Time default: 0f -- animatable \n\
</pre></div><p>The number of frames by which the life of each particle can vary from the norm.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.subsampleCreationTime Boolean default: false \n\
</pre></div><p>When on, enables the addition of a time offset to the equations of motion that prevents puffing in time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.subsampleEmitterTranslation Boolean default: true \n\
</pre></div><p>If the object-based emitter is moving in space, particles are created at integral times at positions along the geometry&#39;s path between renderable positions. This prevents puffing in space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.subsampleEmitterRotation Boolean default: true \n\
</pre></div><p>If the emitter is rotating, turn this on to avoid puffing and produce smooth spiral effects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.size Float default: 1.0 -- animatable \n\
</pre></div><p>The target size for all particles in the system.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Size_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percentage by which the size of each particle may vary from the norm.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Growth_Time Time default: 10f \n\
</pre></div><p>The number of intervals over which the particle grows from being very small (0.1a system constant) to the Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Fade_Time Time default: 10f \n\
</pre></div><p>The number of intervals over which the particle will shrink to 1/10 th its Size setting prior to its death.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.seed Integer default: 0 -- alias: Random_Seed \n\
</pre></div><p>By changing the Seed value, you achieve different results using otherwise identical particle settings.</p>\n\
<div class=\'section\'><a id=\"particle-type\"></a><h2 id=\"particle-type\">Particle Type</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.particleType Integer default: 0 \n\
</pre></div><p>The type of particle emitted:</p>\n\
<p>0 - <strong>Standard Particle</strong> (Uses one of several standard particle types, such as triangle, cube, tetra, and so on.)</p>\n\
<p>1 - <strong>MetaParticles</strong> (Uses Metaball particles. These are particle systems in which the individual particles blend together in blobs or streams.)</p>\n\
<p>2 - <strong>Object Fragments</strong> (Creates particles out of fragments of an object.)</p>\n\
<p>3 - <strong>Instanced Geometry</strong> (Generates particles that are instances of either an object, a linked hierarchy of objects, or a group.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.standardParticle Integer default: 0 \n\
</pre></div><p>Set the type of particle used when standard particles is selected:</p>\n\
<p>0 - <strong>Triangle</strong> (Renders each particle as a triangle. Use Triangle particles with noise opacity for steam or smoke.)</p>\n\
<p>1 - <strong>Cube</strong> (Renders each particle as a cube.)</p>\n\
<p>2 - <strong>Special</strong> (Each particle consists of three intersecting 2D squares. These are effective when you use a face-map material, optionally along with an opacity map, to create the effect of a three-dimensional particle.)</p>\n\
<p>3 - <strong>Facing</strong> (Renders each particle as a square that always faces the view. Use with an appropriate opacity map for bubbles or snowflakes.)</p>\n\
<p>4 - <strong>Constant</strong> (Provides a particle that remains the same size, in pixels, specified by the<strong>size</strong>value. This size never changes, regardless of its distance from the camera. Note that this particle type can only be displayed in the viewports as a dot or a tick. If you turn on this option while Mesh is selected, the viewport display is automatically switched to Ticks.)</p>\n\
<p>5 - <strong>Tetra</strong> (Renders each particle as a mapped tetrahedron, whose tail points toward the normal vector of the emission, and whose head points away. Use Tetra particles for raindrops or sparks.)</p>\n\
<p>6 - <strong>SixPoint</strong> (Renders each particle as a six-pointed, two-dimensional star.)</p>\n\
<p>7 - <strong>Sphere</strong> (Renders each particle as a sphere.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Metaparticle_Tension Float default: 1.0 -- animatable \n\
</pre></div><p>Determines the tightness of the particles, with regard to their tendency to blend with other particles. The higher the Tension, the harder the blobs, and the harder it is for them to merge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Metaparticle_Tension_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percent of variation of the Tension effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.metaballRenderCoarsness Float default: 0.5 -- alias: Metaparticle_Coarseness \n\
</pre></div><p>The coarseness for metaparticles in the rendered scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.metaballViewCoarsness Float default: 1.0 \n\
</pre></div><p>The coarseness for the viewport display.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.metaballAutoCoarsness Boolean default: true \n\
</pre></div><p>When this is on, the rendering coarseness is automatically set, based on the size of the particles, and the viewport coarseness is set to about twice that of the rendering coarseness.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.fragmentMethod Integer default: 0 \n\
</pre></div><p>Method for object fragment particles:</p>\n\
<p>0 - <strong>All Faces</strong> (Each face of the object becomes a particle. This results in triangular particles.)</p>\n\
<p>1 - <strong>Number of Chunks</strong> (The object breaks into irregular fragments.)</p>\n\
<p>2 - <strong>Smoothing Angle</strong> (The fragments are broken based on the angles between face normals, as specified in the <span class=\'code\'>fragSmoothingAngle</span> value. Generally, the higher the value, the fewer the number of fragments.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Fragment_Thickness Float default: 1.0 \n\
</pre></div><p>Sets the thickness of the fragments. At 0, the fragments are single-sided with no thickness. When greater than 0, the fragments are extruded, at fragmentation time, by the amount specified. The outer and inner surfaces of the fragment use identical smoothing, which is picked up from the object-based emitter. The edges of the fragments are not smoothed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.fragChunkMinimum Integer default: 100 -- alias: Fragment_Count \n\
</pre></div><p>Determines a number of &quot;seed&quot; faces in the geometry. Each seed face collects connecting faces surrounding it until all available faces are exhausted. Any leftover faces become unique particles, thus increasing the minimum number of fragments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.fragSmoothingAngle Float default: 0.0 \n\
</pre></div><p>Sets the amount of smoothing angle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.instancingObject Node default: undefined \n\
</pre></div><p>The object which is instanced.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.instanceSubTree Boolean default: false \n\
</pre></div><p>Turn this on when you want to include the linked children of the picked object in the particle. If the picked object is a group, all children of the group are included.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.instanceKeyOffsetType Integer default: 0 \n\
</pre></div><p>Set the animation offset keying:</p>\n\
<p>0 - <strong>None</strong> (Each particle duplicates the timing of the original object. As a result, the animation of all particles will be identically timed.)</p>\n\
<p>1 - <strong>Birth</strong> (The firstborn particle is an instance of the current animation of the source object at the moment of that particle&#39;s birth. Each subsequent particle then use the same start time for the animation.)</p>\n\
<p>2 - <strong>Random</strong> (This option is the same as None when Frame Offset is set to 0. Otherwise, each particle is born using the same animation as the source object at the time of birth, but with a random offset of frames, based on the <span class=\'code\'>. instanceFrameOffset</span> value.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.instanceFrameOffset Integer default: 0 -- alias: Animation_Offset_Amount \n\
</pre></div><p>The property value is the UI value times the number of ticks per frame. The number of ticks per frame is accessible via the <span class=\'code\'>ticksPerFrame</span> system global variable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.mappingType Integer default: 0 \n\
</pre></div><p>Specifies how a mapped material affects the particles:</p>\n\
<p>0 - <strong>Time</strong> (Maps particles over time.)</p>\n\
<p>1 - <strong>Distance</strong> (Maps particles over a distance.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Mapping_Time_Base Time default: 30f -- animatable \n\
</pre></div><p>The number of frames from the birth of the particle that it takes to complete one mapping of the particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Mapping_Distance_Base Float default: 100.0 -- animatable \n\
</pre></div><p>The distance, in units, from the birth of the particle that it takes to complete one mapping of the particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.materialSource Integer default: 0 \n\
</pre></div><p>Updates the material carried by the particle system, using the source specified:</p>\n\
<p>0 - <strong>Icon</strong> (The particles use the material currently assigned to the particle system icon.)</p>\n\
<p>1 - <strong>Picked Emitter</strong> (The particles use the material assigned to the distribution object.)</p>\n\
<p>2 - <strong>Instanced Geometry</strong> (The particles use the material assigned to the instanced geometry.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.fragOutsideMatID Integer default: 0 \n\
</pre></div><p>Specifies which face ID number is assigned to the outside faces of the fragments. This defaults to 0, which is not a valid ID number, forcing the outside of the particle fragments to use whatever material is currently assigned to the associated faces. Thus, if your distribution object already has several submaterials assigned to its outer faces, these materials are retained by using ID 0. If you want a single, specific submaterial, you can assign it by changing this value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.fragEdgeMatID Integer default: 2 \n\
</pre></div><p>Specifies which submaterial ID number is assigned to the edges of the fragments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.fragBackMatID Integer default: 3 \n\
</pre></div><p>Specifies which submaterial ID number is assigned to the back sides of the fragments.</p>\n\
<div class=\'section\'><a id=\"rotation-and-collision\"></a><h2 id=\"rotation-and-collision\">Rotation and Collision</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spin_Time Time default: 0f -- animatable \n\
</pre></div><p>The number of frames for one rotation of a particle. If set to 0, no rotation takes place.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spin_Time_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percent of variation of the Spin Time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spin_Phase Float default: 0.0 -- animatable, angle \n\
</pre></div><p>The initial particle rotation, in degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spin_Phase_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percent of variation of the Phase.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.spinAxisType Integer default: 0 \n\
</pre></div><p>The spin axis for the particles:</p>\n\
<p>0 - <strong>Random</strong> (The spin axis for each of the particles is random.)</p>\n\
<p>1 - <strong>Direction of Travel/Mblur</strong> (Rotates the particles about a vector formed by the direction in which they&#39;re moving.)</p>\n\
<p>2 - <strong>User Defined</strong> (Uses a vector defined in the three X, Y, and Z spin vector values.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Blur_Stretch Integer default: 0 -- animatable \n\
</pre></div><p>When greater than 0, the particles stretch along the travel axis, depending on their speed. Specifically, the Stretch value specifies the percent of their length per each unit of the Speed setting (in the Particle Motion group). Thus, if you set Stretch to 2 while Speed is set at 10, the particles are stretched 20 percent longer than their original size along the axis of their travel. This value is only available when you choose Direction of Travel/Mblur.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.X_Spin_Vector Float default: 1.0 -- animatable \n\
</pre></div><p>Spin vector of the X-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Y_Spin_Vector Float default: 0.0 -- animatable \n\
</pre></div><p>Spin vector of the Y-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Z_Spin_Vector Float default: 0.0 -- animatable \n\
</pre></div><p>Spin vector of the Z-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spin_Axis_Variation Float default: 0.0 -- animatable, angle \n\
</pre></div><p>The amount, in degrees, by which the spin axis of each particle may vary from the specified X Axis, Y Axis, and Z Axis settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Interparticle_Collisions_On Integer default: 0 \n\
</pre></div><p>Turn on/off interparticle collisions:</p>\n\
<p>0- <strong>Off</strong></p>\n\
<p>1- <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Interparticle_Collision_Steps Integer default: 2 \n\
</pre></div><p>The number of intervals per rendering interval, during which an inter-particle collision test is conducted. The higher the value, the more accurate the simulation, but the slower the simulation will run.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Interparticle_Collision_Bounce Float default: 100.0 -- animatable, percentage \n\
</pre></div><p>The degree to which speed is recovered after a collision.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Interparticle_Collision_Bounce_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percentage of random variation of the Bounce value, applied to the particles.</p>\n\
<div class=\'section\'><a id=\"object-motion-inheritance\"></a><h2 id=\"object-motion-inheritance\">Object Motion Inheritance</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.motionInfluence Float default: 100.0 -- animatable, alias: Object_Motion_Inheritance \n\
</pre></div><p>The percent of particles that inherit the motion of the object-based emitter at the moment of particle formation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.motionMultiplier Float default: 1.0 -- animatable, alias: Object_Motion_Multiplier \n\
</pre></div><p>Modifies the amount by which the emitter motion affects the particle motion. This can be a positive or negative number.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.motionVariation Float default: 0.0 -- animatable, percentage; alias: Object_Motion_Multiplier_Variation \n\
</pre></div><p>Percentage of variation of the Multiplier value.</p>\n\
<div class=\'section\'><a id=\"bubble-motion\"></a><h2 id=\"bubble-motion\">Bubble Motion</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Bubble_Amplitude Float default: 0.0 -- animatable \n\
</pre></div><p>The distance the particle moves off its usual velocity vector as it travels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Bubble_Amplitude_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percent of Amplitude variation applied to each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Bubble_Period Time default: 100000f -- animatable \n\
</pre></div><p>The cycle time for one complete oscillation of a particle through the bubble &quot;wave&quot;. A recommended value might be 20-30 intervals.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Bubble_Period_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percent of Period variation for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Bubble_Phase Float default: 0.0 -- animatable, angle \n\
</pre></div><p>The initial displacement of the bubble pattern along the vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Bubble_Phase_Variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The percent of Phase variation for each particle.</p>\n\
<div class=\'section\'><a id=\"particle-spawn\"></a><h2 id=\"particle-spawn\">Particle Spawn</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.spawnType Integer default: 0 \n\
</pre></div><p>Determines what happens to particles at either collision or death:</p>\n\
<p>0 - <strong>None</strong> (Particles act as they normally would. That is, upon collision, they either bounce or stick, depending on Particle Bounce settings in the deflector, and on death they disappear.)</p>\n\
<p>1 - <strong>Die After Collision</strong> (Particles disappear when they strike a deflector to which they&#39;re bound, such as the SDeflector.)</p>\n\
<p>2 - <strong>Spawn on Collision</strong> (Spawn effects take place upon collision with a bound deflector.)</p>\n\
<p>3 - <strong>Spawn on Death</strong> (Spawn effects take place at the end of each particle&#39;s life.)</p>\n\
<p>4 - <strong>Spawn Trails</strong> (Particles are spawned from existing particles at each frame of that particle&#39;s life.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Die__X_frames_after_collision Time default: 0f -- animatable \n\
</pre></div><p>The life, in frames, that the particle will persist after the collision. Setting this to 0 (the default) causes particles to vanish immediately after the collision.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Die__X_frames_after_collision_variation Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>Varies the Persist value of each particle, when Persist is greater than 0. This lets you &quot;feather&quot; the dying off of the particle density.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Generations Integer default: 1 \n\
</pre></div><p>The number of spawns beyond the original particle generation. For example, if this is set to 1, and you&#39;re spawning at death, one spawning will occur beyond the original lifespan of each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Affects Integer default: 100 \n\
</pre></div><p>The percentage of particles that will spawn. Reducing this reduces the number of particles that produce spawned particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Multiplier Integer default: 1 \n\
</pre></div><p>Multiplies the number of particles spawned at each spawning event.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Multiplier_Variation Float default: 0.0 -- percentage \n\
</pre></div><p>Percentage range by which the Multiplier value will vary, frame by frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Direction_Chaos Float default: 0.0 -- animatable, percentage \n\
</pre></div><p>The amount by which the direction of the spawned particle can vary from the direction of the parent particle. A setting of 0 means no variance. A setting of 100 causes the spawned particle to travel in any random direction. A setting of 50 causes the spawned particle to deviate from its parent&#39;s path by up to 90 degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Speed_Chaos Float default: 0.0 -- animatable \n\
</pre></div><p>Random percentage range of scaling of the spawned particles relative to their parents, and dependent on the options below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.spawnSpeedType Integer default: 0 \n\
</pre></div><p>Sets the type of speed applied to spawn particles:</p>\n\
<p>0 - <strong>Slow</strong> (Applies the <span class=\'code\'>.spawn_Speed_Chaos</span> value randomly to slow the speed of the spawned particles.)</p>\n\
<p>1 - <strong>Fast</strong> (Randomly speeds up particles based on the <span class=\'code\'>.spawn_Speed_Chaos</span> value.)</p>\n\
<p>2 - <strong>Both</strong> (Some particles speed up, while others slow down, based on the <span class=\'code\'>.spawn_Speed_Chaos</span> value.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.spawnInheritVelocity Boolean default: false \n\
</pre></div><p>When on, spawned particles inherit the speed of their parents, in addition to the effect of the <span class=\'code\'>.spawn_Speed_Chaos</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.spawnSpeedFixed Boolean default: false \n\
</pre></div><p>When on, uses the <span class=\'code\'>. spawn_Speed_Chaos</span> value as a set value, rather than as a range applied randomly to each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Scale_Chaos Float default: 0.0 -- animatable \n\
</pre></div><p>The range of a percentage of change in the speed of the spawned particle relative to its parent. A value of 0 means no change.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.spawnScaleType Integer default: 0 \n\
</pre></div><p>The type of speed scaling for the spawned particles:</p>\n\
<p>0 - <strong>Slow</strong> (Applies the speed factor randomly to slow the speed of the spawned particles.)</p>\n\
<p>1 - <strong>Fast</strong> (Randomly speeds up particles based on the speed factor.)</p>\n\
<p>2 - <strong>Both</strong> (Some particles speed up, while others slow down, based on the speed factor.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.spawnScaleFixed Boolean default: false \n\
</pre></div><p>When on, uses the <span class=\'code\'>.spawn_Scale_Chaos</span> value as a set value, rather than as a range applied randomly to each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.lifespanValueQueue Array default: #() \n\
</pre></div><p><span class=\'code\'>lifespanValueQueue</span> is an array of integers which correspond to lifespan values for each spawned generation of particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.Spawn_Lifespan Integer default: 0 \n\
</pre></div><p>Value that sets initial lifespan of spawned particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PArray&gt;.objectMutationQueue Array default: #() \n\
</pre></div><p><span class=\'code\'>objectMutationQueue</span> is an array of nodes which correspond to instanced-object particle types. Each generation of spawning will use the next node as its object type.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";