var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Flow : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Flow : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"flow-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Flow - superclass: GeometryClass; super-superclass:node - 9:0 - classID: #(164197351, 608853532)\n\
</pre></div><p>Exposes the <strong>Path Flow</strong> object to MAXScript. It is part of the <strong>Populate</strong> toolset.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Flow... PathFlow...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.showLanes     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the display of Lanes in the Flow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.width     Float    default: 275.591   --  float\n\
</pre></div><p>Get/set the width of the Flow in system units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.laneWidth     Float    default: 51.1811   --  float\n\
</pre></div><p>Get/set the width of the Lanes in system units.</p>\n\
<div class=\'section\'><a id=\"people-group-of-controls\"></a><h2 id=\"people-group-of-controls\">People group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.density     Float    default: 0.25   --  float\n\
</pre></div><p>Get/set the value of the Density slider.</p>\n\
<p>Slider values are between 0.0 and 1.0.</p>\n\
<p>Values higher than 1.0 can be specified using MAXScript.</p>\n\
<p>Default is 0.25.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.gender     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the Gender slider.</p>\n\
<p>Default is 0.5, which means 50% Male and 50% Female.</p>\n\
<p>Possible value are between 0.0 (All Male) and 1.0 (All Female).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.direction     Name    default: #HugLeft   --  enum\n\
&lt;Flow&gt;.directionIndex     Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the value of the Direction slider as Enum Name or Integer value.</p>\n\
<p>The <span class=\'code\'>.direction</span> property is exposed by the PathFlow Interface - see further on this page.</p>\n\
<p>Possible values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">.directionIndex</th>\n\
<th align=\"left\">.direction Enum name</th>\n\
<th align=\"left\">UI Slider Value</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1</td>\n\
<td align=\"left\"><span class=\'code\'>#forward</span></td>\n\
<td align=\"left\">Direction: Forward</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2 (default)</td>\n\
<td align=\"left\"><span class=\'code\'>#hugLeft</span></td>\n\
<td align=\"left\">Direction: Hug Left</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">3</td>\n\
<td align=\"left\"><span class=\'code\'>#weaveLeft</span></td>\n\
<td align=\"left\">Direction: Weave Left</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">4</td>\n\
<td align=\"left\"><span class=\'code\'>#weaveRight</span></td>\n\
<td align=\"left\">Direction: Weave Right</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">5</td>\n\
<td align=\"left\"><span class=\'code\'>#hugRight</span></td>\n\
<td align=\"left\">Direction: Hug Right</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">6</td>\n\
<td align=\"left\"><span class=\'code\'>#backward</span></td>\n\
<td align=\"left\">Direction: Backward</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.positionSample     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the Positions Samples value. Default is 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Flow&gt;.genderSample     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the Gender Samples value. Default is 1.</p>\n\
<div class=\'section\'><a id=\"flow-interfaces\"></a><h2 id=\"flow-interfaces\">Flow interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: PathFlow\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.direction : enum : Read|Write \n\
    direction enums: {#Forward|#HugLeft|#WeaveLeft|#WeaveRight|#HugRight|#Backward}\n\
</pre></div><p>Get/set the value of the Direction slider as Enum Name.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;Flow&gt;.NumPoints()\n\
</pre></div><p>Returns the number of points in the Flow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point3 by value&gt;&lt;Flow&gt;.GetPoint &lt;integer&gt;index\n\
</pre></div><p>Returns the position of the indexed Flow point.</p>\n\
<p>The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Flow&gt;.AddPoint &lt;point3&gt;point\n\
</pre></div><p>Adds a new point with the given position to the end of the Flow .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Flow&gt;.InsertPoint &lt;integer&gt;index &lt;point3&gt;point\n\
</pre></div><p>Inserts a new point at the indexed position within the Flow specified by the first argument and with position given by the second argument.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Flow&gt;.SetPoint &lt;integer&gt;index &lt;point3&gt;point\n\
</pre></div><p>Sets the position of the indexed point specified by the first argument to the coordinates specified by the second argument.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Flow&gt;.DeletePoint &lt;integer&gt;index\n\
</pre></div><p>Deletes the indexed point from the Flow.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Flow&gt;.CreateRamp &lt;integer&gt;index\n\
</pre></div><p>Creates a ramp at the specified indexed point.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Flow&gt;.DeleteRamp &lt;integer&gt;index\n\
</pre></div><p>Deletes the ramp at the specified indexed point.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;&lt;Flow&gt;.GetCreasePercent &lt;integer&gt;index\n\
</pre></div><p>Returns the crease value at the indexed ramp point.</p>\n\
<p>The index is 1-based.</p>\n\
<p>The &quot;percent&quot; value is actually expressed as a Float in the range from 0.0 to 1.0.</p>\n\
<p>A value of 0.0 denotes no ramp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Flow&gt;.SetCreasePercent &lt;integer&gt;index &lt;float&gt;percent\n\
</pre></div><p>Sets the crease value at the indexed point to the specified floating point value.</p>\n\
<p>The index is 1-based.</p>\n\
<p>The &quot;percent&quot; value is actually expressed as a Float in the range from 0.0 to 1.0.</p>\n\
<p>Returns True on success if the indexed point was part of a ramp</p>\n\
<p>Returns False on failure, for example if attempting to set a ramp point to a crease of 0.0, or a non-ramp point to a crease greater than 0.0.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` theFlow = Flow() --Create a Flow object --&gt; $Flow:Flow001 @ [0.000000,0.000000,0.000000] theFlow.AddPoint [0,0,0] --Add some points --&gt; true theFlow.AddPoint [1000,0,0] --&gt; true theFlow.AddPoint [2000,1000,0] --&gt; true theFlow.AddPoint [2000,2000,0] --&gt; true theFlow.NumPoints() --Check the number of points --&gt; 4 theFlow.GetPoint 1 --Get the first points --&gt; [0, 0, 0] theFlow.InsertPoint 3 [1500,1000,0] --Insert a new point between the second and third points --&gt; true theFlow.DeletePoint 3 --Delete the new third point --&gt; true theFlow.InsertPoint 3 [1700,800,0] --Insert a different new point between the second and third points --&gt; true classof theFlow -- Evaluate object state, calls ComputeSides --&gt; true theFlow.CreateRamp 3 --Create a Ramp at the third point - this will introduce new points 4 and 5 --&gt; true theFlow.SetPoint 3 ((theFlow.getPoint 3) + [0,0,100]) --Lift the third point by 100 units along +Z --&gt; true</p>\n\
<p>--Print the Crease values: for i = 1 to theFlow.NumPoints() do format &quot;%: %\\n&quot; i (theFlow.GetCreasePercent i) --&gt; 1: 0.0 --&gt; 2: 0.0 --&gt; 3: 0.0 --&gt; 4: 0.33 --&gt; 5: 0.66 --&gt; 6: 0.0 --&gt; 7: 0.0 --&gt; OK</p>\n\
<p>theFlow.SetCreasePercent 1 0.25 --Cannot set a non-ramp point to a non-zero crease value --&gt; false theFlow.SetCreasePercent 4 0.0 --cannot set a ramp point to a zero value --&gt; false</p>\n\
<p>theFlow.SetCreasePercent 4 0.25 --can set ramp points to non-zero values --&gt; true theFlow.SetCreasePercent 5 0.75 --&gt; true</p>\n\
<p>theFlow.DeleteRamp 3 --Cannot delete the Ramp at the 3rd point --&gt; false theFlow.DeleteRamp 4 --But it is ok to delete it at the 4th --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";