var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>IdleAreaObj : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>IdleAreaObj : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"idleareaobj-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>IdleAreaObj - superclass: GeometryClass; super-superclass:node - 15:1 - classID: #(685327, 452283)\n\
</pre></div><p>Exposes the <strong>Idle Area</strong> object to MAXScript. It is part of the <strong>Populate</strong> toolset.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>IdleAreaObj...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"people-group-of-controls\"></a><h2 id=\"people-group-of-controls\">People group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.density     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Density&quot;</strong> slider controlling the amount of people in the idle area.</p>\n\
<p>A value of 0.0 will not create an empty idle area, but either one character or one group with two or three characters depending on the grouping and pairing properties documented below.</p>\n\
<p>Note that the User Interface control only allows values between 0.0 and 1.0, but the property can be set to higher values using MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.groups     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Singles or Groups&quot;</strong> slider controlling the creation of groups vs. individual characters.</p>\n\
<p>A value of 0.0 will produce only singles.</p>\n\
<p>A value of 0.5 will produce approximately equal proportions of singles and groups.</p>\n\
<p>A value of 1.0 will cause the whole population to be spread in groups of twos or threes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.pair     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Group 3s or Group 2s&quot;</strong> slider controlling the number of people in groups.</p>\n\
<p>A value of 0.0 will produce only groups of threes.</p>\n\
<p>A value of 0.5 will produce approximately equal proportions of threes and twos.</p>\n\
<p>A value of 1.0 will produce only pairs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.gender     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Males or Females&quot;</strong> slider controlling the gender balance of the idle area.</p>\n\
<p>A value of 0.0 produces only male population.</p>\n\
<p>A value of 0.5 produces equal parts male and female population.</p>\n\
<p>A value of 1.0 produces only female population.</p>\n\
<div class=\'section\'><a id=\"singles-orientation-group-of-controls\"></a><h2 id=\"singles-orientation-group-of-controls\">Singles Orientation group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.orient     Float    default: 0.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Orientation&quot;</strong> slider which controls the orientation offset of all single characters.</p>\n\
<p>Characters in groups will always be oriented according to the group&#39;s center.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.orientspread     Float    default: 360.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Spread&quot;</strong> slider which controls the randomization range of the orientation angle.</p>\n\
<p>When the value is 0.0, all characters will be oriented in the same direction and the <span class=\'code\'>.orient</span> property can be used to specify the angle relative to the local X axis.</p>\n\
<p>When the value is 360.0, each character will have a different random orientation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.baseobject.lookat     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Face&quot;</strong> checkbox.</p>\n\
<p>When set to True, the population will look at the object specified by the <span class=\'code\'>.lookatobj</span> property.</p>\n\
<p>When set to False, the population will not look at anything specific.</p>\n\
<p>Note: The property <span class=\'code\'>.lookat</span> already exists as a general node property. It expects a node target for a LookAt controller. Thus it is necessary to explicitly specify the <span class=\'code\'>.baseobject</span> of the IdleAreaObj.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.lookatobj     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the scene object to population will look at when the <span class=\'code\'>.lookat</span> property is set to True.</p>\n\
<div class=\'section\'><a id=\"samples-group-of-controls\"></a><h2 id=\"samples-group-of-controls\">Samples group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.randseedIndiv     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Positions&quot;</strong> spinner controlling the random seed for the characters&#39; positioning.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.randseedGroup     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Singles&quot;</strong> spinner controlling the random seed for grouping generation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.randseedRot     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Orientation&quot;</strong> spinner controlling the random seed for orientation generation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.randseedGen     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Gender&quot;</strong> spinner controlling the random seed for gender generation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.randseedMtn     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Motion&quot;</strong> spinner controlling the random seed for motion generation.</p>\n\
<div class=\'section\'><a id=\"other-properties\"></a><h2 id=\"other-properties\">Other Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.id     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the ID of the Idle Area.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IdleAreaObj&gt;.Editable_Poly     Editable_Poly    default: Editable Poly   --  SubAnim\n\
</pre></div><p>Get the Editable_Poly mesh of the Idle Area object.</p>\n\
<p>The Editable_Poly mesh can be modified in place, for example you can change the vertex positions as needed using <span class=\'code\'>polyOp.setVert()</span> , create new vertices and polygons to produce complex shapes, and so on. See the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Poly/Editable_Poly-Methods.html\' title=\'\'>Editable_Poly Methods</a> topic for details.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` theIdleArea = IdleAreaObj() --Create a new empty Idle Area object ep = theIdleArea.Editable_Poly --Assign the Editable_Poly property to a shorter user variable --Create a custom-shaped Idle Area by setting a few vertices: polyOp.createVert ep [-300,-300,0] polyOp.createVert ep [300,-300,0] polyOp.createVert ep [200,300,0] polyOp.createVert ep [-200,300,0] polyOp.createVert ep [-400,0,0] polyOp.createPolygon ep #(1,2,3,4,5) --Create a polygon from the 5 vertices select theIdleArea --Select the new Idle Area object</p>\n\
<p>theIdleArea.density = 1.0 --Increase the density theIdleArea.groups = 0.3 --Reduce the number of groups theIdleArea.pair = 0.8 --When grouped, prefer threes theIdleArea.gender = 0.7 --Create more women than men</p>\n\
<p>p = point pos:[600,600,0] --Create a look at target theIdleArea.lookatobj = p --Assign the look at target theIdleArea.baseobject.lookat = true --And enable the &quot;Face&quot; option by accessing the .lookat property in the base object theIdleArea.orientspread = 0.0 --Make sure everybody is looking in the general direction of the reference point</p>\n\
<p>pop.addIdleArea theIdleArea --Add the Idle Area to the Populate simulator pop.Simulate() --Trigger the simulation to populate the Idle Area ```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"idleareaobj-interfaces\"></a><h2 id=\"idleareaobj-interfaces\">IdleAreaObj interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";