var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>L_Type_Stair : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>L_Type_Stair : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"l_type_stair-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>L_Type_Stair - superclass: GeometryClass; super-superclass:node - 33:0 - classID: #(1911496588, 1819754015) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-48C60B27-FB79-4D2D-9B45-F7013C0ECD5D-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class is available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>L_Type_Stair ... LTypeStair...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.angle Float default: 90.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the angle between the two parts of the stair.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageContext Integer default: 18 -- integer \n\
</pre></div><p>Get/Set the carriage configuration control value. Some possible values are:</p>\n\
<p>0 - First carriage on the left side at user-defined internal offset, specified number of carriages repeat at user-defined spacing starting from it.</p>\n\
<p>1 - First carriage on the left side without offset, second carriage on the right side without offset, if CarriageCount is greater than 2, additional carriages spread evently between the first two ignorring spacing settings.</p>\n\
<p>2 - Variable number of carriages spread evenly within the stair&#39;s limits based on the CarriageSpace value and CarriageSpacingType settings.</p>\n\
<p>3 - First carriage on the left side without offset, user-defined number of carriages starting from the first one, placed at user-defined CarriageSpace respecting CarriageSpacingType settings.</p>\n\
<p>4 - First carriage on the left side without offset but respecting CarriageSpacingType, second carriage on the right side respecting the CarriageExtOffs value. If CarriageCount is greater than 2, additional carriages spread evently between the two ignorring spacing settings.</p>\n\
<p>5 - First carriage on the right side respecting CarriageExtOffs value, other carriages starting from it at CarriageSpace distance respecting CarriageSpacingType.</p>\n\
<p>6 - First carriage on the left side respecting CarriageIntOffs value, other carriages starting from it respecting CarriageCount, CarriageSpace and CarriageSpacingType. Allows for carriages outside of the stair&#39;s limits when using too high values.</p>\n\
<p>7 - First carriage on the left respecting CarriageIntOffs value, second carriage on the right side ignorring CarriageExtOffs value, other carriages based on CarriageCount value spead evenly between the first two respecting CarriageSpacingType but ignorring CarriageSpace.</p>\n\
<p>8, 9 - First carriage on the left side respecting CarriageIntOffs value, other carriages at CarriageSpace distance starting from it respecting CarriageSpacingType (axis to axis or side to side).</p>\n\
<p>10 - First carriage on the left side, second carriage on the right side, third and more carriages spread relatively to the middle of the stair, ignorring CarriageSpacingType.</p>\n\
<p>11 - First carriage on the left side, second carriage at user-defined CarriageSpace distance from it respecting CarriageSpacingType (inner side to inner side or outer side to inner side).</p>\n\
<p>12 - First carriage on the left side, second carriage in the middle of the stair, more carriages spread relatively to the middle of the stair, respecting CarriageSpacingType.</p>\n\
<p>13 - First carriage on the right side, more carriages following at user-defined CarriageSpace distance, only appear when within the stair&#39;s limits, respect CarriageSpacingType (outer side to outer side or inner side to outer side).</p>\n\
<p>14,16,17 - First carriage on the left side respecting CarriageIntOffs value, other carriages at CarriageSpace distance starting from it respecting CarriageSpacingType (axis to axis or side to side).</p>\n\
<p>15 - First carriage on the left side respecting CarriageIntOffs value. When two or more carriages, first on the right side, second in the middle. When three or more, first on the right side, other carriages spread evenly around the middle of the stair ignorring CarriageSpace, respecting CarriageSpacingType.</p>\n\
<p>18 - First carriage in the middle of the stair, when more than one, spread symmetrically to the middle of the stair, respecting CarriageSpacingType.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageCount Integer default: 1 -- animatable; integer \n\
</pre></div><p>Get/Set the number of carriages.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageExtOffs Float default: 3.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the carriage&#39;s external offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageHeight Float default: 8.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the carriage height. Corresponds to the &quot;Depth&quot; value in the &quot;Carriage&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageIntOffs Float default: 3.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the carriage&#39;s inside offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageSpace Float default: 10.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the spacing between carriages.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageSpacingType Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the carriage spacing type. Possible values are:</p>\n\
<p>0 - spacing is measured from axis to side</p>\n\
<p>1 - spacing is measured from axis to axis</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageSpringFloor BooleanClass default: true -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Spring from Floor&quot; checkbox in the &quot;Carriage&quot; rollout. Possible values are</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.CarriageWidth Float default: 3.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the carriage width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.GenerateCarriage BooleanClass default: true -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Carriage&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group. Possible values are</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.GenerateInsideRailing BooleanClass default: false -- boolean\n\
</pre></div><p>Controls the state of the &quot;Handrail - Left&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group. Possible values are</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.GenerateMapping BooleanClass default: false -- boolean\n\
</pre></div><p>Controls the state of the &quot;Generate maping Coords.&quot; checkbox in the &quot;Parameters&quot; rollout. Possible values are</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.GenerateOutsideRailing BooleanClass default: false -- boolean\n\
</pre></div><p>Controls the state of the &quot;Handrail - Left&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group. Possible values are</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.GenerateStringers BooleanClass default: false -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Stringers&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group. Possible values are</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.length Float default: 0.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the length of the first part of the stair.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.length2 Float default: 0.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the length of the second part of the stair.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.RailingHeight Float default: 42.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the height of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.RailingOffs Float default: 2.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the offset of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.RailingRadius Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the radius of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.RailingSegments Integer default: 3 -- animatable; integer \n\
</pre></div><p>Get/Set the number of segments of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StepCount Integer default: 12 -- animatable; integer \n\
</pre></div><p>Get/Set the number of steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StepDepth Float default: 0.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the depth of the steps when StepDepth_X is set to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StepDepth_X BooleanClass default: false -- boolean\n\
</pre></div><p>Enable/Disable the use of the custom StepDepth value. Possible values are:</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StepHeight Float default: 0.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the height of the steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StepThickness Float default: 2.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the thickness of the steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StepType Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the step type. Possible values are</p>\n\
<p>0 - Open</p>\n\
<p>1 - Closed</p>\n\
<p>2 - Box</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.Stepwidth Float default: 39.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the width of the steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StringerDepth Float default: 6.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the depth of the stringer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StringerOffset Float default: 1.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the offset of the stringer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StringerSpringFloor BooleanClass default: true -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Spring from Floor&quot; checkbox in the &quot;Stringers&quot; rollout. Possible values are</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.StringerWidth Float default: 1.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the width of the stringer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;L_Type_Stair&gt;.UpperOffset Float default: 0.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the offset of the upper part from the lower part.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";