var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spiral_Stair : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spiral_Stair : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spiral_stair-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Spiral_Stair - superclass: GeometryClass; super-superclass:node -40:1- classID: #(1486695442, 1030831817) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-48C60B27-FB79-4D2D-9B45-F7013C0ECD5D-low.gif\' title=\'\'></div>\n\
</pre></div><p>This class is available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>Spiral_Stair...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageContext Integer default: 18 -- integer \n\
</pre></div><p>Get/Set the carriage configuration control value. Some possible values are:</p>\n\
<p>0 - First carriage at the inner side at user-defined internal offset, specified number of carriages repeat at user-defined spacing starting from it.</p>\n\
<p>1 - First carriage at inner side without offset, second carriage at outer side without offset, if CarriageCount is greater than 2, additional carriages spread evently between the two ignorring spacing settings.</p>\n\
<p>2 - Variable number of carriages spread evenly based on the CarriageSpace value and CarriageSpacingType settings.</p>\n\
<p>3 - First carriage at inner side without offset, user-defined number of carriages starting from the first one, placed at user-defined CarriageSpace respecting CarriageSpacingType settings.</p>\n\
<p>4 - First carriage at inner side without offset but respecting CarriageSpacingType, second carriage at outer side respecting the CarriageExtOffs value. If CarriageCount is greater than 2, additional carriages spread evently between the two ignorring spacing settings.</p>\n\
<p>5 - First carriage at outer side respecting CarriageExtOffs value, other carriages starting from it at CarriageSpace distance respecting CarriageSpacingType.</p>\n\
<p>6 - First carriage at inner side respecting CarriageIntOffs value, other carriages starting from it respecting CarriageCount, CarriageSpace and CarriageSpacingType. Allows for carriages outside of the actual stair when using too high values.</p>\n\
<p>7 - First carriage at inner side respecting CarriageIntOffs value, second carriage at outer side ignorring CarriageExtOffs value, other carriages based on CarriageCount value spead evenly between the two respecting CarriageSpacingType but ignorring CarriageSpace.</p>\n\
<p>8, 9 - First carriage at inner side respecting CarriageIntOffs value, other carriages at CarriageSpace distance starting from it respecting CarriageSpacingType (axis to axis or side to side).</p>\n\
<p>10 - First carriage at the inner side, second carriage at the outer side, third and more carriages spread relatively to the middle of the stair, ignorring CarriageSpacingType.</p>\n\
<p>11 - First carriage at the inner side, second carriage at user-defined CarriageSpace distance from it respecting CarriageSpacingType (inner side to inner side or outer side to inner side).</p>\n\
<p>12 - First carriage at the inner side, second carriage in the middle of the stair, more carriages spread relatively to the middle of the stair, respecting CarriageSpacingType.</p>\n\
<p>13 - First carriage at the outer side, more carriages following at user-defined CarriageSpace distance, only appear when inside the stair area, respect CarriageSpacingType (outer side to outer side or inner side to outer side).</p>\n\
<p>14,16,17 - First carriage at inner side respecting CarriageIntOffs value, other carriages at CarriageSpace distance starting from it respecting CarriageSpacingType (axis to axis or side to side).</p>\n\
<p>15 - First carriage at inner side respecting CarriageIntOffs value. When two or more carriages, first at the outer side, second at the middle. When three or more, first at outer side, other carriages spread evenly around the middle of the stair ignorring CarriageSpace, respecting CarriageSpacingType.</p>\n\
<p>18 - First carriage in the middle of the stair, when more than one, spread symmetrically to the middle of the stair, respecting CarriageSpacingType.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageCount Integer default: 1 -- animatable; integer \n\
</pre></div><p>Get/Set the number of carriages. Usage depends on the current <span class=\'code\'>CarriageContext</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageExtOffs Float default: 3.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the carriage&#39;s external offset. Usage depends on the current <span class=\'code\'>CarriageContext</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageHeight Float default: 8.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the carriage height. Corresponds to the &quot;Depth&quot; value in the &quot;Carriage&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageIntOffs Float default: 3.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the carriage&#39;s internal offset. Usage depends on the current <span class=\'code\'>CarriageContext</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageSpace Float default: 10.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the spacing between carriages. Usage depends on the current <span class=\'code\'>CarriageContext</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageSpacingType Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the carriage spacing type. Possible values are 0 and 1 and effect vary depending on the <span class=\'code\'>.CarriageContext</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageSpringFloor BooleanClass default: true -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Spring from Floor&quot; checkbox in the &quot;Carriage&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CarriageWidth Float default: 3.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the carriage width.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CenterPoleHeight Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the center pole height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CenterPoleHeight_X BooleanClass default: false -- boolean\n\
</pre></div><p>Enable / Disable the usage of the CenterPoleheight value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CenterPoleRadius Float default: 10.0 -- animatable; wolrdunits \n\
</pre></div><p>Get/Set the center pole radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.CenterPoleSegments Integer default: 16 -- animatable; integer \n\
</pre></div><p>Get/Set the number of center pole segments..</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.direction Integer default: 0 -- animatable; integer \n\
</pre></div><p>Get/Set the rotation direction. Possible values are</p>\n\
<p>0 - CCW</p>\n\
<p>1 - CW</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.GenerateCarriage BooleanClass default: true -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Carriage&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.GenerateCenterPole BooleanClass default: false -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Center Pole&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.GenerateInsideRailing BooleanClass default: false -- boolean\n\
</pre></div><p>Controls the state of the &quot;Handrail - Inside&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.GenerateMapping BooleanClass default: false -- boolean\n\
</pre></div><p>Controls the state of the &quot;Generate mapping Coords.&quot; checkbox in the &quot;Parameters&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.GenerateOutsideRailing BooleanClass default: false -- boolean\n\
</pre></div><p>Controls the state of the &quot;Handrail - Outside&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.GenerateStringers BooleanClass default: false -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Stringers&quot; checkbox in the &quot;Parameters&quot; rollout, &quot;Generate Geometry&quot; group.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.radius Float default: 0.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the radius of the stair.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.RailingHeight Float default: 42.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the height of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.RailingOffs Float default: 2.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the offset of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.RailingRadius Float default: 1.0 -- animatable; worldunits\n\
</pre></div><p>Get/Set the radius of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.RailingSegments Integer default: 3 -- animatable; integer \n\
</pre></div><p>Get/Set the number of segments of the railing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.Revolutions Float default: 0.75 -- animatable; float \n\
</pre></div><p>Get/Set the number of revolutions</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepCount Integer default: 12 -- animatable; integer \n\
</pre></div><p>Get/Set the number of steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepDepth Float default: 0.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the depth of the steps when StepDepth_X is set to 1.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepDepth_X BooleanClass default: false -- boolean\n\
</pre></div><p>Enable/Disable the use of the custom StepDepth value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepHeight Float default: 0.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the height of the steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepSegments Integer default: 0 -- animatable; integer \n\
</pre></div><p>Get/Set the number of step segments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepSegments_X BooleanClass default: false -- boolean\n\
</pre></div><p>Enable/Disable the use of the StepSegments value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepThickness Float default: 2.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the thickness of the steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StepType Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the step type. Possible values are</p>\n\
<p>0 - Open</p>\n\
<p>1 - Closed</p>\n\
<p>2 - Box</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.Stepwidth Float default: 39.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the width of the steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StringerDepth Float default: 6.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the depth of the stringer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StringerOffset Float default: 1.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the offset of the stringer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StringerSpringFloor BooleanClass default: true -- animatable; boolean\n\
</pre></div><p>Controls the state of the &quot;Spring from Floor&quot; checkbox in the &quot;Stringers&quot; rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Spiral_Stair&gt;.StringerWidth Float default: 1.0 -- animatable; worldunits \n\
</pre></div><p>Get/Set the width of the stringer.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";