var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Sphere : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Sphere : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sphere-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Sphere - superclass: GeometryClass; super-superclass:node - classID: #(17, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>sphere...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.radius Float default: 25.0 -- animatable; worldunits \n\
</pre></div><p>The radius of the sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.segs Integer default: 16 -- animatable, alias: segments \n\
</pre></div><p>The number of polygonal divisions for the sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.smooth Boolean default: true -- animatable \n\
</pre></div><p>When on, blends the faces of the sphere, creating a smooth appearance in rendered views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.hemisphere Float default: 0.0 -- animatable \n\
</pre></div><p>Increasing values progressively &quot;cut off&quot; the sphere, starting at the base, to create a partial sphere.</p>\n\
<p>Values range from 0.0 to 1.0.</p>\n\
<p>The default is 0.0, producing a full sphere.</p>\n\
<p>A setting of 0.5 produces a hemisphere, and 1.0 reduces the sphere to nothing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.chop Integer default: 0 -- integer; alias: squash \n\
</pre></div><p>Sets whether the hemisphere is &#39;chopped&#39; or &#39;squashed&#39;:</p>\n\
<p>0 - <strong>Chop</strong> (Reduces the number of vertices and faces in the sphere by &quot;chopping&quot; them out as the hemisphere is cut off.)</p>\n\
<p>1 - <strong>Squash</strong> (Maintains the number of vertices and faces in the original sphere, &quot;squashing&quot; the geometry into a smaller and smaller volume toward the top of the sphere. Since the geometry is maintained, you can use different versions of a squashed sphere for morph objects.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.slice Boolean default: false -- boolean; alias: slice_on, sliceon \n\
</pre></div><p>When on, uses the From and To angles to create a partial sphere. The effect is similar to lathing a semicircular shape fewer than 360 degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.sliceFrom Float default: 0.0 -- animatable, angle, alias: Slice_From \n\
</pre></div><p>The start angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.sliceTo Float default: 0.0 -- animatable, angle, alias: Slice_To \n\
</pre></div><p>The stop angle (on the local Z-axis) for slicing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.recenter Boolean default: false \n\
</pre></div><p>When on, moves a sphere upward along its local Z axis so the pivot point is at its base.</p>\n\
<p>When off, the pivot point is on the construction plane at the center of the sphere.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.mapCoords Boolean default: false -- boolean; alias: generate_texture_coords \n\
</pre></div><p>When on, generates coordinates for applying mapped materials to the box.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.typeInRadius     Float    default: 0.0   --  float; Radiush\n\
</pre></div><p>Gets or sets the radius Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sphere&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";