var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TargetObject : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TargetObject : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"targetobject-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Targetobject - superclass: GeometryClass; super-superclass:node - classID: #(4128, 0) \n\
</pre></div><p>This class implements the generic target for cameras, spotlights etc.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>targetObject...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<p>There are no additional properties for TargetObject.</p>\n\
<p>Note:</p>\n\
<p>In MAXScript, you must explicitly construct a target for those objects that need one.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>c = targetCamera pos:[x,y,z] target:(targetObject pos:[xt, yt, zt])</span></p>\n\
</blockquote>\n\
<blockquote>\n\
<p>Warning: For historical reasons, the TargetObject&#39;s superclass is GeometryClass, but <strong>it does not generate any actual geometry</strong>! Since a <span class=\'code\'>TagetObject</span> will be returned as part of the Lights or Cameras collections, it is important to filter it out before performing any Light or Camera-specific operations!</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` for o in Lights where superclassof o != GeometryClass do o.on=not o.on --The above will toggle all lights on/off, skipping the targets.</p>\n\
<p>--The following code does the same by checking the class, --then assigns a random color to the light: for o in Lights where classof o != TargetObject do o.rgb = random black white ```</p>\n\
<p>Similarly, when collecting geometry objects to perform mesh operations, the TargetObject should be explicitly filtered out to avoid errors due to its missing mesh,</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>for o in Geometry where classofo != TargetObject do      format &quot;% - Vertices: %\\n&quot; o.name o.mesh.numverts</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";