var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Torus : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Torus : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"torus-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Torus - superclass: GeometryClass; super-superclass:node - classID: #(32, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>torus..   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.segs Integer default: 24 -- animatable; integer; alias: segments \n\
</pre></div><p>The number of radial divisions around the torus. By reducing this number, you can create polygonal rings instead of circular ones.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.radius1 Float default: 25.0 -- animatable; worldunits; alias: Radius_1 \n\
</pre></div><p>The distance from the center of the torus to the center of the cross-sectional circle. This is the radius of the torus ring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.radius2 Float default: 10.0 -- animatable; worldunits; alias: Radius_2 \n\
</pre></div><p>The radius of the cross-sectional circle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.tubeRotation Float default: 0.0 -- animatable; angle; alias: tube_rotation \n\
</pre></div><p>The degree of rotation. Vertices are uniformly rotated about the circle running through the center of the torus ring. Positive and negative values for this setting &quot;roll&quot; the vertices in either direction over the surface of the torus.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.tubeTwist Float default: 0.0 -- animatable; angle; alias: tube_twist\n\
</pre></div><p>The degree of twist. Cross sections are progressively rotated about the circle running through the center of the torus. Beginning with twist, each successive cross section is rotated until the last one has the number of degrees specified.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.sidesInteger default: 12 -- animatable \n\
</pre></div><p>The number of sides on the cross-sectional circle of the torus. By reducing this number, you can create prism-like cross sections instead of circular ones.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.smoothInteger default: 0 -- animatable \n\
</pre></div><p>Select the level of smoothing:</p>\n\
<p>0 - <strong>None</strong> (Turns off smoothing entirely, producing prism-like facets on the torus.)</p>\n\
<p>1 - <strong>Sides</strong> (Smoothes the edges between adjacent segments, producing smooth bands running around the torus.)</p>\n\
<p>2 - <strong>All</strong> (Produces complete smoothing on all surfaces of the torus.)</p>\n\
<p>3 - <strong>Segments</strong> (Smoothes each segment individually, producing ring-like segments along the torus.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.slice Boolean default: false -- animatable; boolean; alias: slice_on, sliceon \n\
</pre></div><p>When on, creates a portion of a sliced torus rather than the entire 360 degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.sliceFrom Float default: 0.0 -- animatable, angle, alias: Slice_From \n\
</pre></div><p>The angle where the torus slice begins.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.sliceTo Float default: 0.0 -- animatable, angle, alias: Slice_To \n\
</pre></div><p>The angle where the torus slice ends.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.mapCoords Boolean default: false -- alias: generate_texture_coords\n\
</pre></div><p>When on, sets up required coordinates for applying mapped materials to the torus.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.typeInRadius1     Float    default: 0.0   --  float; Radius_1\n\
&lt;Torus&gt;.typeInRadius2     Float    default: 10.0   --  float; Radius_2\n\
</pre></div><p>Gets or sets the Major Radius (typeInRadius1) and Minor Radius (typeInRadius2) Keyboard Entry values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Torus&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";