var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Tube : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Tube : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tube-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Tube - superclass: GeometryClass; super-superclass:node - classID: #(31521, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-4FCD01D4-766C-43AF-BB6B-5CA4E786DB48-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>tube...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.radius1 Float default: 25.0 -- animatable; worldunits; alias: Radius_1 \n\
</pre></div><p>The first radius for the tube.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.radius2 Float default: 20.0 -- animatable; worldunits; alias: Radius_2 \n\
</pre></div><p>The second radius for the tube.</p>\n\
<p>Note:</p>\n\
<p>The larger radius specifies the outside radius of the tube, while the smaller specifies the inside radius.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.height Float default: 50.0 -- animatable; worldunits \n\
</pre></div><p>The dimension along the central axis. Negative values create the tube below the construction plane.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.heightsegs Integer default: 1 -- animatable, alias: Height_Segments\n\
</pre></div><p>The number of divisions along the tube&#39;s major axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.capsegs Integer default: 1 -- animatable, alias: Cap_Segments \n\
</pre></div><p>The number of concentric divisions around the center of the tube&#39;s top and bottom.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.sides Integer default: 24 -- animatable \n\
</pre></div><p>The number of sides around the tube.</p>\n\
<p>Higher numbers shade and render as true circles with Smooth on.</p>\n\
<p>Lower numbers create regular polygonal objects with Smooth off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.smooth Boolean default: true -- animatable \n\
</pre></div><p>When on, faces of the tube are blended together, creating a smooth appearance in rendered views.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.slice Boolean default: false -- animatable; boolean; alias: slice_on, sliceon \n\
</pre></div><p>Enables/Disables the Slice feature, which removes part of the tube&#39;s circumference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.sliceFrom Float default: 0.0 -- animatable, angle, alias: Slice_From \n\
</pre></div><p>The angle where the tube slice begins.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.sliceTo Float default: 0.0 -- animatable, angle, alias: Slice_To \n\
</pre></div><p>The angle where the tube slice ends.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.mapCoords Boolean default: false -- boolean; alias: generate_texture_coords \n\
</pre></div><p>When on, sets up required coordinates for applying mapped materials to the tube.</p>\n\
<p><strong>Type In Properties:</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: These properties reflect the parameters on the Keyboard Entry rollout for each geometry object. These parameters can be set on any existing object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.typeinCreationMethod     Integer    default: 1   --  integer; Creation_Method\n\
</pre></div><p>Gets or sets the Creation Method. Possible values are:</p>\n\
<ul>\n\
<li>0 = Edge</li>\n\
<li>1 = Center</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.typeInHeight     Float    default: 0.0   --  float; Height\n\
</pre></div><p>Gets or sets the height Keyboard Entry value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.typeInRadius1     Float    default: 0.0   --  float; Radius_1\n\
&lt;Tube&gt;.typeInRadius2     Float    default: 0.0   --  float; Radius_2\n\
</pre></div><p>Gets or sets the Inner and Outer Radius Keyboard Entry values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tube&gt;.typeInPos     Point3    default: [0,0,0]   --  point3; Type_in_Position\n\
</pre></div><p>Gets or sets the Keyboard Entry position values as a Point3.</p>\n\
<p><strong>Interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:realWorldMapSizeInterface \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.realWorldMapSize: boolean : Read|Write \n\
</pre></div><p>Enables/disables the real-world map size option.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";