var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>GeometryClass Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>GeometryClass Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"geometryclass-common-properties-operators-and-methods\"></a></div>\n\
<p>The mesh operations underlying the Boolean Compound Object in <strong>3ds Max</strong> are accessible in MAXScript. They appear as operators (+, -, *) that you can apply to any two scene objects that are convertible to meshes. These objects are all GeometryClass objects with the exception of the particle systems.</p>\n\
<p>The <strong>operators</strong> are:</p>\n\
<div class=\'codeBlock\'><pre>&lt;node1&gt; + &lt;node2&gt;    \n\
</pre></div><p>Returns the <strong>union</strong> of node1 and node2</p>\n\
<div class=\'codeBlock\'><pre>&lt;node1&gt;-&lt;node2&gt;   \n\
</pre></div><p>Returns the <strong>subtraction</strong> of node2 from node1</p>\n\
<div class=\'codeBlock\'><pre>&lt;node1&gt;*&lt;node2&gt; \n\
</pre></div><p>Returnsthe <strong>intersection</strong> of node1 and node2</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` $foo - $baz $sphere01 + $sphere02 + $sphere03 + $sphere04</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The Boolean operators <strong>change the first operand</strong> to be the result of the operation and leave the second operand untouched. So, in the first example, the <span class=\'code\'>$foo</span> node is changed to an Editable Mesh object containing the result of the difference operation. In the second example, <span class=\'code\'>$sphere01</span> is successively unioned with each of the other spheres - <span class=\'code\'>$sphere01</span> contains the compound result and the other spheres are left standing.</p>\n\
<p>Note:</p>\n\
<p>Unlike the Boolean compound object in <strong>3ds Max</strong>, this operation destructively modifies the first operand - you cannot retrieve the original first operand after the Boolean operation is performed. You can effectively keep the first operand by using a copy function,</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` result = (copy $foo) - $baz</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>will put a modified copy of <span class=\'code\'>$foo</span> into the variable result, leaving the original <span class=\'code\'>$foo</span> unchanged.</p>\n\
<div class=\'codeBlock\'><pre>GetTriMeshFaceCount &lt;node&gt; \n\
</pre></div><p>Returns an array of two integers - the face count and the vertex count of the TriMesh on top of the modifier stack.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";