var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PointCloud : GeometryClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PointCloud : GeometryClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pointcloud-geometryclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>PointCloud - superclass: GeometryClass; super-superclass:node - 26:0 - classID: #(1603164340, 469842767)\n\
</pre></div><p>The <strong>PointCloud GeometryClass</strong> object allows the loading of point cloud (e.g. LIDAR) data in Autodesk ReCap format in <strong>3ds Max</strong>. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>PointCloud...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"point-cloud-source-rollout-scan-file-group-of-controls\"></a><h2 id=\"point-cloud-source-rollout-scan-file-group-of-controls\">Point Cloud Source rollout &gt; Scan File group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.filename     String    default: &quot;&quot;   --  filename; Load_Point_Cloud\n\
</pre></div><p>Get/set the point cloud source filename.</p>\n\
<p>Valid file formats are Autodesk Reality Capture Project .RCP and Autodesk Reality Capture Scan .RCS files.</p>\n\
<p>.RCS scan files contain actual point data.</p>\n\
<p>.RCP project files contain references to one or more .RCS files registered together in Autodesk ReCap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.scanFiles     ArrayParameter    default: #()   --  filename array; SubAnim\n\
</pre></div><p>A filename array of the .RCS scan files referenced and loaded by the .RCP project file assigned to the <span class=\'code\'>.filename</span> property.</p>\n\
<p>If an .RCS scan file is assigned to the <span class=\'code\'>.filename</span> property, its name will be the only element of the array.</p>\n\
<p>Not exposed to the UI.</p>\n\
<p>Read-only.</p>\n\
<div class=\'section\'><a id=\"display-rollout-color-channel-group-of-controls\"></a><h2 id=\"display-rollout-color-channel-group-of-controls\">Display rollout &gt; Color Channel group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.displayTechnique     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the Color Channel drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>True Color</strong> (default)</p>\n\
<p>1 - <strong>Single Color</strong></p>\n\
<p>2 - <strong>Normal Ramp</strong></p>\n\
<p>3 - <strong>Elevation Ramp</strong></p>\n\
<p>4 - <strong>Intensity Ramp</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.singleColor     Color    default: (color 0 0 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the single color used for all points when the property <span class=\'code\'>.displayTechnique</span> is set to <strong>1 - SingleColor</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.gradientTexmap     Gradient_Ramp    default: (null):Gradient Ramp   --  texturemap; SubAnim\n\
</pre></div><p>Get/set the Gradient Ramp texture map used when the property <span class=\'code\'>.displayTechnique</span> is set to <strong>2 - Normal Ramp</strong>, <strong>3 - Elevation Ramp</strong> or <strong>4 - Intensity Ramp</strong></p>\n\
<div class=\'section\'><a id=\"display-rollout-level-of-detail-settings-group-of-controls\"></a><h2 id=\"display-rollout-level-of-detail-settings-group-of-controls\">Display rollout &gt; Level Of Detail Settings group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.performanceQuality     Integer    default: 4   --  integer\n\
</pre></div><p>Get/set the Performance vs. Quality slider&#39;s value.</p>\n\
<p>Valid range is between 0 (high performance, low quality) and 8 (high quality, low performance).</p>\n\
<p>Default is 4, balanced performance and quality.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.fixedLODEnable     BooleanClass    default: false   --  boolean; Fixed_LOD_Enable\n\
</pre></div><p>Get/set the state of the <strong>&quot;Fixed in Rendering&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.fixedLODLevel     Integer    default: 1   --  animatable; integer; Fixed_Level_of_Detail\n\
</pre></div><p>Get/set the value of the <strong>&quot;Level Of Detail&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"display-rollout-point-display-group-of-controls\"></a><h2 id=\"display-rollout-point-display-group-of-controls\">Display rollout &gt; Point Display group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.pointSizeType     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Point Display&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>As Pixel</strong> (default)</p>\n\
<p>1 - <strong>Real-World Scale</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.asPixelPointSize     Float    default: 1.0   --  animatable; float; As_Pixel_Point_Size\n\
</pre></div><p>Get/set the value of the <strong>&quot;As Pixel&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.realWorldScalePointSize     Float    default: 0.05   --  animatable; float; Real_World_Scale_Point_Size\n\
</pre></div><p>Get/set the value of the <strong>&quot;Real-World Scale&quot;</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"limit-box-volumes-rollout-limit-box-group-of-controls\"></a><h2 id=\"limit-box-volumes-rollout-limit-box-group-of-controls\">Limit Box &amp; Volumes rollout &gt; Limit Box group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.enableLimitPlanes     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Enable Limit Box&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"limit-box-volumes-rollout-display-volumes-group-of-controls\"></a><h2 id=\"limit-box-volumes-rollout-display-volumes-group-of-controls\">Limit Box &amp; Volumes rollout &gt; Display Volumes group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.GlobalEnableVolumes     BooleanClass    default: false   --  boolean; volumeGlobalEnable\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Display Volumes&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.VolumeObjects     ArrayParameter    default: #()   --  node array; Volume_Object; SubAnim\n\
</pre></div><p>Get/set the node array of volumes to use when the <span class=\'code\'>.GlobalEnableVolumes</span> property is set to True.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.GlobalInvertVolumes     BooleanClass    default: false   --  boolean; volumeGlobalInvert\n\
</pre></div><p>Get/set the state of the <strong>&quot;Invert&quot;</strong> checkbox.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --Create a Point Cloud object at the world origin: pc = PointCloud() --&gt; $PointCloud:PointCloud001 @ [0.000000,0.000000,0.000000]</p>\n\
<p>--Load the sample project installed by Autodesk ReCap: pc.filename = @&quot;C:\\ProgramData\\Autodesk\\Autodesk ReCap\\Sample\\AutodeskReCapSampleProject.rcp&quot; --&gt; &quot;C:\\ProgramData\\Autodesk\\Autodesk ReCap\\Sample\\AutodeskReCapSampleProject.rcp&quot;</p>\n\
<p>--Query the scan files loaded by the project: pc.scanFiles --&gt; #(&quot;C:\\ProgramData\\Autodesk\\Autodesk Recap\\Sample\\AutodeskReCapSampleProject Support\\techshop_012.rcs&quot;, &quot;C:\\ProgramData\\Autodesk\\Autodesk Recap\\Sample\\AutodeskReCapSampleProject Support\\techshop_013.rcs&quot;)</p>\n\
<p>--Create some geometry to use as Display Volumes: s1 = Sphere radius:50 pos:[-50,0,0] --&gt; $Sphere:Sphere001 @ [-50.000000,0.000000,0.000000] b1 = Box pos:[-50,-80,0] width:60 length:40 height:50 --&gt; \\(Box:Box001 @ [-50.000000,-80.000000,0.000000]  pc.VolumeObjects = #(s1,b1)  --&gt; #(\\)Sphere:Sphere001 @ [-50.000000,0.000000,0.000000], $Box:Box001 @ [-50.000000,-80.000000,0.000000])</p>\n\
<p>--Enable the display volumes, invert to cull inside the volumes: pc.GlobalEnableVolumes = true --&gt; true pc.GlobalInvertVolumes = true --&gt; true</p>\n\
<p>--Increase the quality at cost of performance and increase the pixel point size pc.performanceQuality = 6 --&gt; 6 pc.asPixelPointSize = 4.0 --&gt; 4.0</p>\n\
<p>--Display using an Elevation ramp map pc.displayTechnique = 3 --&gt; 3</p>\n\
<p>```</p>\n\
<div class=\'codeBlock\'><pre>![](../../../../../images/GUID-38D3B69D-325C-4E64-8719-7722E43EE5F8-low.png)\n\
</pre></div></blockquote>\n\
<div class=\'section\'><a id=\"for-internal-use-only\"></a><h2 id=\"for-internal-use-only\">For Internal Use Only</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.voxelSize     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Voxel Size value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PointCloud&gt;.Shader     UndefinedClass    default: undefined   --  texturemap; GeomShader\n\
</pre></div><p>Get/set the Point Cloud Shader assigned to the object.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";