var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Access to the node bone properties and methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Access to the node bone properties and methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"access-to-the-node-bone-properties-and-methods\"></a></div>\n\
<p>There are several properties and methods accessible on scene nodes that correspond to the Bone parameters and functions in the node properties dialog.</p>\n\
<p>These properties and methods are exposed by the INode Node Interface - <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Node-Interfaces/Node-Interfaces-Documentation/Interface-INode.html\' title=\'\'>Interface : INode</a></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.boneEnable : Boolean, read-only   \n\
</pre></div><p>See <span class=\'code\'>&lt;node&gt;.setBoneEnable</span> for the set method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.boneAutoAlign  : Boolean \n\
</pre></div><p>When turned off, the bone&#39;s pivot point will not align to its child object.</p>\n\
<p>The translation of a child bone will not be converted into rotation of the parent.</p>\n\
<p>Instead the child will be allowed to move away from the parent&#39;s X-axis.</p>\n\
<p>Note: Changing the state of this check box will <strong>not</strong> have an immediate visual effect on the skeleton. It only affects future behavior when bones are moved. This option is only available if Bone is off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.boneFreezeLength : Boolean\n\
</pre></div><p>When turned on, the bone maintains its length.</p>\n\
<p>When turned off, the bone&#39;s length is based on the translation of its child bone.</p>\n\
<p>This option is available only if Auto-Align is on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.boneScaleType \n\
</pre></div><p>one of #scale, #squash, or #none</p>\n\
<p><span class=\'code\'>#None</span> - No stretch takes place.</p>\n\
<p><span class=\'code\'>#Scale</span> - Lets the bone scale. The stretch happens along one axis.</p>\n\
<p><span class=\'code\'>#Squash</span> - Lets the bone squash. The bone gets fatter as it gets shorter, and thinner as it gets longer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.stretchTM : matrix3, read-only\n\
</pre></div><p>Normally, matrix concatenation occurs in the following manner:</p>\n\
<p>objectTM = objectOffsetTM * stretchTM * nodeTM</p>\n\
<p>So code that uses the objectTM will transparently inherit the effects of the stretchTM.</p>\n\
<p>However if you want the stretchTM included but not the object offset, this property will return the stretchTM alone.</p>\n\
<p>If the node is not a bone or has no stretching, this property will return the identity matrix.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.setBoneEnable &lt;onOff_boolean&gt; &lt;initial-time_time&gt; \n\
</pre></div><p>Sets the Bone enable on or off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;onOff boolean&gt; \n\
</pre></div><p>When turned on, the bone or object behaves as a bone. Turning this option off causes the node to stop behaving like a bone. There is no auto alignment or stretching. Note that turning this option on will not cause the object to immediately align or stretch. However future translations of children may cause rotation and stretching. Default=on for bone objects, off for other objects.</p>\n\
<div class=\'codeBlock\'><pre>&lt;initial-time time&gt; \n\
</pre></div><p>Specifies the time at which to calculate and store initial child position.</p>\n\
<p>This is usually used with the current time slider position.</p>\n\
<p>The time associated with the time slider can be queried and set using the <span class=\'code\'>sliderTime</span> global variable.<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\' title=\'\'>Time Control</a></p>\n\
<p>Note: A very good macroscript example to review, which uses <span class=\'code\'>.setBoneEnable</span> , can be found in your <strong>3ds Max</strong> directory at: \\ui\\macroscripts\\Macro_Bones.mcr.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.realignBoneToChild() \n\
</pre></div><p>Rotates the node such that its X axis points at the average position of all children with the bone property turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.resetBoneStretch() \n\
</pre></div><p>Resets the initial child position used to compute the stretch factor to the current child position.</p>\n\
<p>This will cause the stretch factor to become equal to one.</p>\n\
<p>If it was previously not equal to one then the object would snap to its original unstretched state.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";