var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CharacterAssembly : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CharacterAssembly : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"characterassembly-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>CharacterAssembly - superclass: helper; super-superclass:node - classID: #(-876649472, -1986750208) \n\
</pre></div><p>Instances of this class provides the controls, UI and icon for the Character Assembly creation.</p>\n\
<p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>characterAssembly...   \n\
</pre></div><p>CharacterAssembly objects are typically created using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-assemblyMgr.html\' title=\'\'>assemblyMgr.assemble</a> method.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` fn createCharacter nodes = ( local chr animate off ( chr = assemblyMgr.assemble nodes name:(uniqueName&quot;Character&quot;) classDesc:CharacterAssembly chr.assemblyBBoxDisplay = false chr.wirecolor = (colorMan.getColor #chr_color)*255 ) chr ) b=box pos:[100,0,0] s=sphere() createCharacter #(b,s)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CharacterAssembly&gt;.character SubAnim default: SubAnim:CharacterHelper -- SubAnim \n\
</pre></div><p>References the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Assembly-Head/Character-helper.html\' title=\'\'>Character Helper</a> object used. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CharacterAssembly&gt;.characterID Integer default: 553248 -- integer \n\
</pre></div><p>The ID of the character.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CharacterAssembly&gt;.displayRes Integer default: 3 -- abimatable; radio button number \n\
</pre></div><p>Get/set the radio button state controlling the display of the character elements specified in the Assembly for Full Resolution display and Low Resolution display.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CharacterAssembly&gt;.iconSize Integer default: 10 -- integer \n\
</pre></div><p>Controls the icon size.</p>\n\
<div class=\'section\'><a id=\"characterassembly-interfaces\"></a><h2 id=\"characterassembly-interfaces\">CharacterAssembly interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:IMtlRender_Compability_MtlBase \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";