var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DaylightAssemblyHead : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DaylightAssemblyHead : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"daylightassemblyhead-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>DaylightAssemblyHead - superclass: Helper; super-superclass: Node - classID: #(1243508203, 835157335) \n\
</pre></div><p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript. \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DaylightSystemFactory2.html\' title=\'\'>Interface: DaylightSystemFactory2</a> for a method to construct a Daylight System.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;DaylightAssemblyHead&gt;.sun Max_object   \n\
</pre></div><p>Get/set the Sun object used in the Assembly.</p>\n\
<p>Setting this property to undefined will set the Daylight system to &quot;No Sunlight&quot; mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DaylightAssemblyHead&gt;.sky Max_object \n\
</pre></div><p>Contains the Sky object used in the Assembly.</p>\n\
<p>Setting this property to undefined will set the Daylight system to &quot;No Skylight&quot; mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;DaylightAssemblyHead&gt;.manual Integer default:0 \n\
</pre></div><p>The property controls the way the <span class=\'code\'>Daylight_Driven_Controller</span> calculates the position of the Daylight.</p>\n\
<p>Corresponds to the Manual/Date,Time and Location radio buttons in the UI.</p>\n\
<p>The accepted values are:</p>\n\
<p>0 - Date,Time and Location</p>\n\
<p>1 - Manual</p>\n\
<p>2 - Weather file (available in <strong>3ds Max 2009 and higher</strong>.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;DaylightAssemblyHead&gt;.weatherFileName Filename \n\
</pre></div><p>Get/set the weather file name.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"daylightassemblyhead-interfaces\"></a><h2 id=\"daylightassemblyhead-interfaces\">DaylightAssemblyHead interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:IDaylightSystem \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;object&gt;GetSun() \n\
</pre></div><p>Returns the light objects used as Sun in the Assembly.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;object&gt;SetSun&lt;class&gt;sunClass \n\
</pre></div><p>Sets the Sun objects in the Assembly to an instance of the given class.</p>\n\
<p>Other than the<strong>.sun</strong>property documented above, this method expects a class of the light object and not an instance of a light class.</p>\n\
<p>Possible classes are:</p>\n\
<p><strong>DirectionalLight</strong> - corresponds to Standard entry in the Daylight System UI</p>\n\
<p><strong>IES_Sun</strong></p>\n\
<p><strong>mr_Sun</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;object&gt;GetSky() \n\
</pre></div><p>Returns the light object used as Sky in the Assembly.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;object&gt;SetSky &lt;class&gt;skyClass \n\
</pre></div><p>Sets the Sky objects in the Assembly to an instance of the given class.</p>\n\
<p>Other than the<strong>.sky</strong>property documented above, this method expects a class of the light object and not an instance of a light class.</p>\n\
<p>Possible classes are:</p>\n\
<p><strong>IES_Sky</strong></p>\n\
<p><strong>mr_Sky</strong></p>\n\
<p><strong>Skylight</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetDaylightControlType() \n\
</pre></div><p>Returns the DaylightControl Type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Date,Time and Location</p>\n\
<p>1 - Manual</p>\n\
<p>2 - Weather File</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetDaylightControlType &lt;integer&gt;type \n\
</pre></div><p>Sets theDaylightControl Type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Date,Time and Location</p>\n\
<p>1 - Manual</p>\n\
<p>2 - Weather File</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;GetLocation() \n\
</pre></div><p>Returns the location as string.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetAltitudeAzimuth &lt;time&gt;time &lt;&amp;float&gt;altitude &lt;&amp;float&gt;azimuth \n\
\n\
altitude is In and Out parameter \n\
azimuth is In and Out parameter \n\
</pre></div><p>Returns the altitude and azimuth values corresponding to the time given as first argument into the by-reference variables given by the second and third argument.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;GetWeatherFileName() \n\
</pre></div><p>Returns the filename of the weather file.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;OpenWeatherFileDlg() \n\
</pre></div><p>Opens the Weather File dialog.The Daylight Control Type must be set to 2 - Weather file for the dialog to open.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;MatchTimeLine() \n\
</pre></div><p>Matches the time line.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;LoadWeatherFile &lt;filename&gt;file \n\
</pre></div><p>Loads the given weather file.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetWeatherFileFilterAnimated &lt;boolean&gt;animated \n\
</pre></div><p>Sets weather to filter animated data from the Weather file. Default is false.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetWeatherFileFilterAnimated() \n\
</pre></div><p>Returns weather animated data from the Weather file will be filtered.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetWeatherFileSpecificTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter \n\
</pre></div><p>Sets specific time and date for the weatherfile using the twoPoint3by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetWeatherFileSpecificTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter \n\
</pre></div><p>Gets the specific time and date for the date file into the twoPoint3by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theInt = DaylightSystemFactory2.Create sunClass:mr_Sun skyClass:mr_Sky $Daylight001.LoadWeatherFile(&quot;CAN_BC_Victoria_CWEC.epw&quot;) aTime = point3 0 0 0 --&gt;[0,0,0] aDate = point3 0 0 0 --&gt;[0,0,0] $Daylight001.GetWeatherFileSpecificTimeAndDate &amp;aTime &amp;aDate --&gt;OK aTime --&gt;[12,0,0] aDate --&gt;[1,1,2007]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetWeatherFileAnimStartTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter \n\
</pre></div><p>Sets the weather file animation start time and date using the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetWeatherFileAnimStartTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter \n\
</pre></div><p>Gets the weather file animation start time and date into the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetWeatherFileAnimEndTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter \n\
</pre></div><p>Sets the weather file animation end time and date using the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetWeatherFileAnimEndTimeAndDate &lt;&amp;point3&gt;timeOfDay &lt;&amp;point3&gt;date \n\
\n\
timeOfDay is In and Out parameter \n\
date is In and Out parameter \n\
</pre></div><p>Gets the weather file animation end time and date into the two Point3 by-reference arguments.</p>\n\
<p>The three components of the timeOfDay argument specify hours, minutes and seconds.</p>\n\
<p>The three components of the date argument specify the day, month and year.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetWeatherFileSkipHours &lt;boolean&gt;skipHours &lt;integer&gt;startHour &lt;integer&gt;endHour \n\
</pre></div><p>Sets the weather file skip hours, start hour and end hour values.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetWeatherFileSkipHours &lt;&amp;boolean&gt;skipHours &lt;&amp;integer&gt;startHour &lt;&amp;integer&gt;endHour \n\
\n\
skipHoursis In and Out parameter \n\
startHouris In and Out parameter \n\
endHouris In and Out parameter \n\
</pre></div><p>Gets the weather file skip hours, start hour and end hour values into the three by-reference arguments.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetWeatherFileSkipWeekend &lt;boolean&gt;skipWeekend \n\
</pre></div><p>Sets the weather file to skip weekends.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetWeatherFileSkipWeekend() \n\
</pre></div><p>Gets the state of the weather file&#39;s skip weekends option.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetWeatherFileSkipFramePer &lt;integer&gt;framePer \n\
</pre></div><p>Sets the index of the weather file skip period drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Period</strong></p>\n\
<p>1 - <strong>Day</strong></p>\n\
<p>2 - <strong>Week</strong></p>\n\
<p>3 - <strong>Month</strong></p>\n\
<p>4 - <strong>Season</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetWeatherFileSkipFramePer() \n\
</pre></div><p>Gets the index of the weather file skip period drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Period</strong></p>\n\
<p>1 - <strong>Day</strong></p>\n\
<p>2 - <strong>Week</strong></p>\n\
<p>3 - <strong>Month</strong></p>\n\
<p>4 - <strong>Season</strong></p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";