var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Skeleton : helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Skeleton : helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"skeleton-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Skeleton - superclass: helper; super-superclass:node - 13:0 - classID: #(139273060, 2023492905)\n\
</pre></div><p>This object represents the MassFX Skeleton Helper. It is used to introduce characters as Kinematic Skeleton objects that can affect but cannot be affected by physical simulations.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<p>The Kinematic Skeleton helper cannot be constructed directly by MAXScript. It can be constructed using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-nvpx.html\' title=\'\'>nvpx Core Interface</a> as follows:</p>\n\
<div class=\'codeBlock\'><pre>nvpx.CreateRagdollHelper()\n\
</pre></div><p><strong>Aliases:</strong></p>\n\
<div class=\'codeBlock\'><pre>Skeleton\n\
RagdollHelper\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"bones-and-groups-group-of-controls\"></a><h2 id=\"bones-and-groups-group-of-controls\">&quot;Bones and Groups&quot; group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.bones     ArrayParameter    default: #()   --  node array; None\n\
</pre></div><p>Get/set the associated bones as an array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.bonegroupids     ArrayParameter    default: #()   --  int array; None\n\
</pre></div><p>Get/set the bone group IDs as an array of integers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.bonegroupnames     ArrayParameter    default: #()   --  string array; None\n\
</pre></div><p>Get/set the bone group names as an array of strings.</p>\n\
<div class=\'section\'><a id=\"physical-mesh-group-of-controls\"></a><h2 id=\"physical-mesh-group-of-controls\">&quot;Physical Mesh&quot; group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.meshType     Integer    default: 0   --  integer; None\n\
</pre></div><p>Get/set the type of physical mesh to create around the bones when regenerating the skeleton.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Capsule</strong></p>\n\
<p>1 - <strong>Convex Hull</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.meshfrom     Integer    default: 0   --  integer; None\n\
</pre></div><p>The skeleton can size the capsule or convex hull physical mesh (see preceding) for a bone to fit around either the skinned mesh or the bones themselves.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Skinned Mesh</strong> - This option finds the vertices in the associated skin mesh that have a weighting above the specified Weight threshold (see following) and fits the capsule or convex hull around them. This option is unavailable if you created your skeleton from a rig that has no associated skin mesh. When available, this option is the default.</p>\n\
<p>1 - <strong>Bones</strong> - The option fits the physical mesh around the shape of the bone. This option is typically useful only when a character mesh is not available.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.inflation     Float    default: 0.0   --  float; None\n\
</pre></div><p>Get/set the amount to inflate the convex hull or capsule beyond the cloud of vertices or bone. Can be negative if you want to contract the physical mesh to be within the skinned mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.weight     Float    default: 0.5   --  float; None\n\
</pre></div><p>Get/set the Weight treshold used when finding associated vertices in the skinned mesh. A lower value will include more vertices per bone, reusing some vertices for multiple overlapping bones</p>\n\
<div class=\'section\'><a id=\"associated-skin-rollout\"></a><h2 id=\"associated-skin-rollout\">&quot;Associated Skin&quot; rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.associatedSkin     UndefinedClass    default: undefined   --  node; None\n\
</pre></div><p>Get/set the Associated Skin mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.ragdollSkin     UndefinedClass    default: undefined   --  node; None\n\
</pre></div><p>Get/set the ragdoll skin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.joints     ArrayParameter    default: #()   --  node array; None\n\
</pre></div><p>Get/set the array if joints.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.rootBone     UndefinedClass    default: undefined   --  node; None\n\
</pre></div><p>Get/set the root bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.rbType     Integer    default: 0   --  integer; None\n\
</pre></div><p>Not exposed to the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skeleton&gt;.helpersize     Float    default: 10.0   --  float; None\n\
</pre></div><p>Not exposed to the UI. Not used.</p>\n\
<p><strong>Skeleton interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: interface \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"bones-groups-group-of-controls\"></a><h2 id=\"bones-groups-group-of-controls\">&quot;Bones &amp; Groups&quot; group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Skeleton&gt;.RagdollSave &lt;string&gt;filename\n\
</pre></div><p>Saves the Ragdoll to a MassFX Skeleton .RAG file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Skeleton&gt;.RagdollLoad &lt;string&gt;filename\n\
</pre></div><p>Loads a Ragdoll definition from the supplied MassFX Skeleton .RAG file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Skeleton&gt;.RagdollAddBone &lt;node&gt;boneNode\n\
</pre></div><p>Adds the supplied Bone node to the Bones and Groups list.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Skeleton&gt;.RagdollRemoveBone &lt;node&gt;boneNode\n\
</pre></div><p>Removes the specified Bone node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Skeleton&gt;.RagdollGroupBones &lt;&amp;node array&gt;bones\n\
\n\
bones is In and Out parameter\n\
</pre></div><p>Groups the bones specified by the by-reference array argument. Equivalent to the &quot;Group&quot; button in the UI.</p>\n\
<div class=\'section\'><a id=\"regenerate-and-mirror\"></a><h2 id=\"regenerate-and-mirror\">Regenerate and Mirror</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Skeleton&gt;.RagdollRegenerate &lt;&amp;node array&gt;bones \n\
\n\
bones is In and Out parameter\n\
</pre></div><p>Regenerates the Ragdoll using the bones specified by-reference.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Skeleton&gt;.RagdollMirrorBone &lt;node&gt;fromBone &lt;node&gt;toBone\n\
&lt;void&gt;&lt;Skeleton&gt;.create &lt;boolean&gt;reset\n\
</pre></div><p>Regenerates the Skeleton. If the argument is true, it will be reset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Skeleton&gt;.removeAll()\n\
</pre></div><div class=\'section\'><a id=\"utility-maxscript-functions\"></a><h2 id=\"utility-maxscript-functions\">Utility MAXScript Functions</h2></div>\n\
<p>A number of helpful Ragdoll-related MAXScript Functions are defined in the file <strong><em>..\\stdplugs\\stdscripts\\(MassFX)\\px_ragdoll.ms</em></strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";