var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UConstraint : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UConstraint : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"uconstraint-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>UConstraint - superclass: helper; super-superclass:node - 48:0 - classID: #(1418738174, 1341607350)\n\
</pre></div><p>This helper is part of the MassFX Dynamics Simulation toolset.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>UConstraint ... nvConstraint ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"connection-rollout\"></a><h2 id=\"connection-rollout\">&quot;Connection&quot; Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.body0 UndefinedClass default: undefined -- node\n\
</pre></div><p>Get/set the Parent Body node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.body1 UndefinedClass default: undefined -- node\n\
</pre></div><p>Get/set the Child Body node.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.breakable BooleanClass default: false -- boolean\n\
</pre></div><p>Get/set the state of the Breakable checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.maxForce Float default: 100.0 -- float; Max_Force\n\
</pre></div><p>Get/set the Max. Force value. Used when Breakable is set to true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.maxTorque Float default: 10.0 -- float; Max_Torque\n\
</pre></div><p>Get/set the Max. Torque value. Used when Breakable is set to true.</p>\n\
<div class=\'section\'><a id=\"translation-limits-rollout\"></a><h2 id=\"translation-limits-rollout\">&quot;Translation Limits&quot; Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.linearModeX Integer default: 1 -- integer; Linear_ModeX\n\
</pre></div><p>Get/set the X Translation Limit&#39;s mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.linearModeY Integer default: 1 -- integer; Linear_ModeY\n\
</pre></div><p>Get/set the Y Translation Limit&#39;s mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.linearModeZ Integer default: 1 -- integer; Linear_ModeZ\n\
</pre></div><p>Get/set the Z Translation Limit&#39;s mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.linearPosition Float default: 100.0 -- float; Linear_Position\n\
</pre></div><p>Get/set the value of the Limit Radius property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.linearRestitution Float default: 0.0 -- float; Linear_Restitution\n\
</pre></div><p>Get/set the value of the Bounce property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.linearSpring Float default: 0.0 -- float; Linear_Spring\n\
</pre></div><p>Get/set the value of the Spring property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.linearDamping Float default: 0.0 -- float; Linear_Damping\n\
</pre></div><p>Get/set the value of the Damping property.</p>\n\
<div class=\'section\'><a id=\"swing-twist-limits-rollout\"></a><h2 id=\"swing-twist-limits-rollout\">&quot;Swing &amp; Twist Limits&quot; Rollout</h2></div>\n\
<div class=\'section\'><a id=\"swing-y\"></a><h3 id=\"swing-y\">Swing Y</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing1Mode Integer default: 1 -- integer; Swing_1_Mode\n\
</pre></div><p>Get/set the state of the Swing Y mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing1Angle Float default: 45.0 -- float; Swing_1_Angle\n\
</pre></div><p>Get/set the value of the Swing Y &gt; Angle Limit property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing1Restitution Float default: 0.1 -- float; Swing_1_Resitution\n\
</pre></div><p>Get/set the value of the Swing Y &gt; Bounce property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing1Spring Float default: 0.0 -- float; Swing_1_Spring\n\
</pre></div><p>Get/set the value of the Swing Y &gt; Spring property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing1Damping Float default: 0.0 -- float; Swing_1_Damping\n\
</pre></div><p>Get/set the value of the Swing Y &gt; Damping property.</p>\n\
<div class=\'section\'><a id=\"swing-z\"></a><h3 id=\"swing-z\">Swing Z</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing2Mode Integer default: 1 -- integer; Swing_2_Mode\n\
</pre></div><p>Get/set the state of the Swing Z mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing2Angle Float default: 45.0 -- float; Swing_2_Angle\n\
</pre></div><p>Get/set the value of the Swing Z &gt; Angle Limit property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing2Restitution Float default: 0.1 -- float; Swing_2_Resitution\n\
</pre></div><p>Get/set the value of the Swing Z &gt; Bounce property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing2Spring Float default: 0.0 -- float; Swing_2_Spring\n\
</pre></div><p>Get/set the value of the Swing Z &gt; Spring property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swing2Damping Float default: 0.0 -- float; Swing_2_Damping\n\
</pre></div><p>Get/set the value of the Swing Z &gt; Damping property.</p>\n\
<div class=\'section\'><a id=\"twist\"></a><h3 id=\"twist\">Twist</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistMode Integer default: 1 -- integer; Twist_Mode\n\
</pre></div><p>Get/set the state of the twist mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Locked</strong></p>\n\
<p>1 - <strong>Limited</strong></p>\n\
<p>2 - <strong>Free</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistAngleLow Float default: 45.0 -- float; Twist_Angle_Low\n\
</pre></div><p>Get/set the value of the Left Limit Angle property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistAngleHigh Float default: 45.0 -- float; Twist_Angle_High\n\
</pre></div><p>Get/set the value of the Right Limit Angle property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistRestitutionLow Float default: 0.0 -- float; Twist_Restitution_Low\n\
</pre></div><p>Get/set the value of the Left Bounce property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistRestitutionHigh Float default: 0.0 -- float; Twist_Restitution_High\n\
</pre></div><p>Get/set the value of the Right Bounce property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistSpringHigh Float default: 0.0 -- float; Twist_Spring_High\n\
</pre></div><p>Get/set the value of the Left Spring property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistSpringLow Float default: 0.0 -- float; Twist_Spring_Low\n\
</pre></div><p>Get/set the value of the Right Spring property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistDampingLow Float default: 0.0 -- float; Twist_Damping_Low\n\
</pre></div><p>Get/set the value of the Left Damping property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistDampingHigh Float default: 0.0 -- float; Twist_Damping_High\n\
</pre></div><p>Get/set the value of the Right Damping property.</p>\n\
<div class=\'section\'><a id=\"spring-rollout\"></a><h2 id=\"spring-rollout\">&quot;Spring&quot; Rollout</h2></div>\n\
<div class=\'section\'><a id=\"spring-to-resting-position\"></a><h3 id=\"spring-to-resting-position\">Spring To Resting Position</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.posSpring Float default: 0.0 -- float; Position_Spring\n\
</pre></div><p>Get/set the value of the Springiness property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.posDamping Float default: 0.0 -- float; Position_Damping\n\
</pre></div><p>Get/set the value of the Damping property.</p>\n\
<div class=\'section\'><a id=\"spring-to-resting-swing\"></a><h3 id=\"spring-to-resting-swing\">Spring To Resting Swing</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swingSpring Float default: 0.0 -- float; Swing_Spring\n\
</pre></div><p>Get/set the value of the Springiness property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.swingDamping Float default: 0.0 -- float; Swing_Damping\n\
</pre></div><p>Get/set the value of the Damping property.</p>\n\
<div class=\'section\'><a id=\"spring-to-resting-twist\"></a><h3 id=\"spring-to-resting-twist\">Spring To Resting Twist</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistSpring Float default: 0.0 -- float; Twist_Spring\n\
</pre></div><p>Get/set the value of the Springiness property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.twistDamping Float default: 0.0 -- float; Twist_Damping\n\
</pre></div><p>Get/set the value of the Damping property.</p>\n\
<div class=\'section\'><a id=\"advanced-rollout\"></a><h2 id=\"advanced-rollout\">&quot;Advanced&quot; Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.helpersize Float default: 10.0 -- float; Helper_Size\n\
</pre></div><p>Get/set the viewport Display Size of the Helper.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.collision BooleanClass default: false -- boolean\n\
</pre></div><p>Get/set the state of the Parent/Child Collision checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.useProjection BooleanClass default: false -- boolean; Use_Projection\n\
</pre></div><p>Get/set the state of the Use Projection checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.projectionMode Integer default: 0 -- integer; Projection_Mode\n\
</pre></div><p>Get/set the state of the projection mode radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Linear Only (faster)</strong></p>\n\
<p>1 - <strong>Linear and Angular</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.projectionDist Float default: 0.1 -- float; Projection_Dist\n\
</pre></div><p>Get/set the value of the projection Distance property.</p>\n\
<p>Used when <span class=\'code\'>.projectionMode</span> is set to true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.projectionAngle Float default: 5.0 -- float; Projection_Angle\n\
</pre></div><p>Get/set the value of the projection Angle property.</p>\n\
<p>Used when <span class=\'code\'>.projectionMode</span> is set to true.</p>\n\
<div class=\'section\'><a id=\"controls-unexposed-to-the-user-interface\"></a><h2 id=\"controls-unexposed-to-the-user-interface\">Controls Unexposed To The User Interface</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;UConstraint&gt;.gearing BooleanClass default: false -- boolean\n\
&lt;UConstraint&gt;.gearRatio Float default: 1.0 -- float; Gear_Ratio\n\
&lt;UConstraint&gt;.unused1 Integer default: 1 -- index\n\
&lt;UConstraint&gt;.unused2 Point3 default: [0,0,0] -- point3\n\
&lt;UConstraint&gt;.unused3 Point3 default: [0,0,0] -- point3\n\
</pre></div><p>Unused paramblock tracks for future use.</p>\n\
<div class=\'section\'><a id=\"uconstraint-interfaces\"></a><h2 id=\"uconstraint-interfaces\">UConstraint interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: ConstraintHelperInterface\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;init()\n\
</pre></div><p>Initializes the Constraint.</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";