var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>pxJoint : helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>pxJoint : helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pxjoint-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre> pxJoint - superclass: helper; super-superclass:node - 37:1 - classID: #(1604510813, 25066142)\n\
</pre></div><p>This object represents the MassFX Joint Helper.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>pxJoint ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"constraint-rollout\"></a><h2 id=\"constraint-rollout\">&quot;Constraint&quot; rollout</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.body0 UndefinedClass default: undefined -- node\n\
</pre></div><p>Get/set the first node to constrain.</p>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.body1 UndefinedClass default: undefined -- node\n\
</pre></div><p>Get/set the second node to constrain.</p>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.breakable BooleanClass default: false -- animatable; boolean\n\
</pre></div><p>Get/set the breakable state of the joint. When set to true, the joint will break if the force exceeds the threshold specified by the <span class=\'code\'>.maxForce</span> or <span class=\'code\'>.maxTorque</span> property (see below).</p>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.maxForce Float default: 10.0 -- animatable; float\n\
</pre></div><p>Get/set the linear force threshold used when the <strong><span class=\'code\'>.breakable</span></strong> property is set to true.</p>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.maxTorque Float default: 10.0 -- animatable; float\n\
</pre></div><p>Get/set the angular force threshold used when the <strong><span class=\'code\'>.breakable</span></strong> property is set to true.</p>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.collision BooleanClass default: false -- animatable; boolean\n\
</pre></div><p>Get/set whether to calculate collisions.</p>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.projectionMode Integer default: 1 -- animatable; integer\n\
 &lt;pxJoint&gt;.projectionDist Float default: 0.1 -- animatable; float\n\
</pre></div><p>Get/set the projection distance.</p>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.projectionAngle Float default: 0.0872 -- animatable; float\n\
 &lt;pxJoint&gt;.gearing BooleanClass default: false -- animatable; boolean\n\
 &lt;pxJoint&gt;.gearRatio Float default: 1.0 -- animatable; float\n\
</pre></div><div class=\'section\'><a id=\"swing-and-twist-rollout\"></a><h2 id=\"swing-and-twist-rollout\">&quot;Swing and Twist&quot; rollout</h2></div>\n\
<div class=\'section\'><a id=\"swing1-group-of-controls\"></a><h3 id=\"swing1-group-of-controls\">Swing1 group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.swing1_locked BooleanClass default: false -- animatable; boolean\n\
 &lt;pxJoint&gt;.swing1_limited BooleanClass default: true -- animatable; boolean\n\
 &lt;pxJoint&gt;.swing1_angle Float default: 10.0 -- animatable; float\n\
 &lt;pxJoint&gt;.swing1_rest Float default: 0.0 -- animatable; float\n\
 &lt;pxJoint&gt;.swing1_spring Float default: 0.0 -- animatable; float\n\
 &lt;pxJoint&gt;.swing1_damp Float default: 0.0 -- animatable; float\n\
</pre></div><div class=\'section\'><a id=\"swing1-group-of-controls-1\"></a><h3 id=\"swing1-group-of-controls-1\">Swing1 group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.swing2_locked BooleanClass default: false -- animatable; boolean\n\
 &lt;pxJoint&gt;.swing2_limited BooleanClass default: true -- animatable; boolean\n\
 &lt;pxJoint&gt;.swing2_angle Float default: 10.0 -- animatable; float\n\
 &lt;pxJoint&gt;.swing2_rest Float default: 0.0 -- animatable; float\n\
 &lt;pxJoint&gt;.swing2_spring Float default: 0.0 -- animatable; float\n\
 &lt;pxJoint&gt;.swing2_damp Float default: 0.0 -- animatable; float\n\
</pre></div><div class=\'section\'><a id=\"twist-group-of-controls\"></a><h3 id=\"twist-group-of-controls\">&quot;Twist&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.twist_enbl BooleanClass default: false -- animatable; boolean\n\
 &lt;pxJoint&gt;.twist_rest Float default: 0.0 -- animatable; float\n\
 &lt;pxJoint&gt;.twist_spring Float default: 0.0 -- animatable; float\n\
 &lt;pxJoint&gt;.twist_damp Float default: 0.0 -- animatable; float\n\
 &lt;pxJoint&gt;.twist_lmt BooleanClass default: true -- animatable; boolean\n\
 &lt;pxJoint&gt;.twistlow Float default: 10.0 -- animatable; float\n\
 &lt;pxJoint&gt;.twisthigh Float default: 10.0 -- animatable; float\n\
</pre></div><div class=\'section\'><a id=\"translation-rollout\"></a><h2 id=\"translation-rollout\">&quot;Translation&quot; rollout</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;pxJoint&gt;.x_state Integer default: 1 -- animatable; integer\n\
 &lt;pxJoint&gt;.y_state Integer default: 1 -- animatable; integer\n\
 &lt;pxJoint&gt;.z_state Integer default: 1 -- animatable; integer\n\
</pre></div><div class=\'section\'><a id=\"if-limited-specify-radius-group-of-controls\"></a><h3 id=\"if-limited-specify-radius-group-of-controls\">&quot;If Limited, specify Radius&quot; group of controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;pxJoint&gt;.xlate_rad Float default: 45.0 -- animatable; float\n\
</pre></div><div class=\'section\'><a id=\"display-properties-rollout\"></a><h2 id=\"display-properties-rollout\">&quot;Display Properties&quot; rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;pxJoint&gt;.helpersize Float default: 0.001 -- animatable; float\n\
</pre></div><div class=\'section\'><a id=\"pxjoint-interfaces\"></a><h2 id=\"pxjoint-interfaces\">pxJoint interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre> Interface: IMtlRender_Compability_MtlBase \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";