var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Container : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Container : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"container-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>Container - superclass: helper; super-superclass:node - 10:0 - classID: #(1848947859, -473657791) \n\
</pre></div><p>In <strong>3ds Max 2010 and higher</strong>, a <strong>Container</strong> is a helper object in a scene that is used to group self-contained content together and manage, publish, and inherit the content including the ability to unload the content objects from memory.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Containers/Containers-1.html\' title=\'\'>Containers</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\' title=\'\'>Interface: Containers</a> for more information.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Container ... ContainerHelper ... \n\
</pre></div><p>See also <strong><span class=\'code\'>Containers.CreateContainer()</span></strong> in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\' title=\'\'>Interface: Containers</a>.</p>\n\
<div class=\'section\'><a id=\"local-content-left-and-inherited-content-right---quick-navigation\"></a><h2 id=\"local-content-left-and-inherited-content-right---quick-navigation\">Local Content (Left) and Inherited Content (Right) - Quick Navigation</h2></div>\n\
<p><img src=\'developer/images/GUID-9AA70726-AD0B-47A1-99BF-033EAA9C0C59-low.png\' title=\'\'> <img src=\'developer/images/GUID-492D1E7B-40DC-4691-A264-5698273354EB-low.png\' title=\'\'></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"manage-container-properties\"></a><h2 id=\"manage-container-properties\">Manage Container Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.unloaded BooleanClass default: false -- boolean;   \n\
</pre></div><p>Get/set the unloaded state of the container.</p>\n\
<p>When set to <span class=\'code\'>*true*</span> , the container is unloaded by saving the content to the disk and removing it from the scene.</p>\n\
<p>When set to <span class=\'code\'>*false*</span> , the container is loaded by loading the content from the disk and showing it in the scene.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>UnloadContainer and LoadContainerMethods</a> for related methods.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.autoUpdateClosed BooleanClass default: false -- boolean; AutoUpdate_when_Closed \n\
</pre></div><p>Get/set whether to update the content automatically when the container is <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>closed</a>.</p>\n\
<p>Corresponds to the &quot;Auto Update when Closed&quot; checkbox in the Container&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.duplicateMatchingLayers     BooleanClass    default: true   --  boolean; Match_Layers_by_Parent\n\
</pre></div><p>Get/set the state of the <strong>&quot;Match Layers by Parent&quot;</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"local-content-properties\"></a><h2 id=\"local-content-properties\">Local Content Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.localDefinitionFilenameString default: &quot;&quot; -- filename; Local_Definition_Filename \n\
</pre></div><p>Get/set the &quot;Local Definition&quot; file name.</p>\n\
<p>Definition files have the format of a <strong>3ds Max</strong> scene file, but use a different <strong>.MAXC</strong> file extension. This is to allow users to distinguish container definitions from regular max scenes when browsing folders and prevent accidental edits of container definitions. It is possible to rename the container definition and open it as a .MAX file.</p>\n\
<p>Local containers use a local definition file.</p>\n\
<p>Inherited containers reference a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>source definition file</a> .If the container is inherited, the name is empty.</p>\n\
<div class=\'section\'><a id=\"inherited-content-properties\"></a><h2 id=\"inherited-content-properties\">Inherited Content Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.sourceDefinitionFilename String default: &quot;&quot; -- filename; Source_Definition_Filename \n\
</pre></div><p>Get/set the &quot;Source Definition&quot; filename. If the container is local, the name is empty.</p>\n\
<p>Definition files have the format of a <strong>3ds Max</strong> scene file, but use a different <strong>.MAXC</strong> file extension. This is to allow users to distinguish container definitions from regular max scenes when browsing folders and prevent accidental edits of container definitions. It is possible to rename the container definition and open it as a .MAX file.</p>\n\
<p>Inherited containers reference a source definition file.</p>\n\
<p>Local containers use a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>local definition file</a>.</p>\n\
<div class=\'section\'><a id=\"proxies-properties\"></a><h2 id=\"proxies-properties\">Proxies Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.alternateDefinitionFilename ArrayParameter default: #() -- filename array; Alternate_Definition_Filename; SubAnim \n\
</pre></div><p>Get/set the alternate (Proxy) definition filenames list.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.currentAlternateDefinition Integer default: 0 -- integer; Current_Alternate_Definition \n\
</pre></div><p>Get/set the index of the current Proxy definition used from the file list.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.proxyType Name default: #none -- enum \n\
</pre></div><p>Get/set the state of the radio button controlling the use of Proxies.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#none</strong> - Do not use a Proxy file.</p>\n\
<p><strong>#alternate</strong> - Use the Proxy file specified by the previous two properties.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"content-rulesproperties\"></a><h2 id=\"content-rulesproperties\">Content RulesProperties</h2></div>\n\
<p>The content rules are stored with the .MAXC asset file and control how the content will behave when inherited by a container.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.allowInPlaceEditing BooleanClass default: false -- boolean; Allow_In_Place_Editing \n\
</pre></div><p>Get/set the In Place Editing Container Rule.</p>\n\
<p>Corresponds to the state of the &quot;Allow In-Place Editing&quot; checkbox in the Container&#39;s UI.</p>\n\
<p>When set to <span class=\'code\'>*false*</span> (default), the content can be inherited, but not edited in place.</p>\n\
<p>When set to <span class=\'code\'>*true*</span> , the content can be inherited and edited in place, resulting in overwriting of the content in the original asset file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.accessContent BooleanClass default: false -- boolean; Allow_Content_Access \n\
</pre></div><p>Get/set the state of the Access Content Rule.</p>\n\
<p>This Rule is not exposed to the User Interface and is considered only when <span class=\'code\'>*.AllowInPlaceEditing*</span> is set to <span class=\'code\'>*false*</span> . When In Place Editing is allowed, the content of a closed container will not be accessible regardless of this Rule.</p>\n\
<p>When set to <span class=\'code\'>*false*</span> (default), the content will not be accessible when inherited. The content cannot be selected, modified or accessed using MAXScript.</p>\n\
<p>When set to <span class=\'code\'>*true*</span> , the content will be accessible when inherited. Any local modification to such content will be <strong>LOST when Unloaded</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.accessPublishedContent BooleanClass default: false -- boolean; Allow_Published_Content_Access \n\
</pre></div><p>Get/set the state of the Access Published Content Rule.</p>\n\
<p>This Rule is not exposed to the User Interface.</p>\n\
<div class=\'section\'><a id=\"display--containerproperties\"></a><h2 id=\"display--containerproperties\">Display- ContainerProperties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.displayLabel BooleanClass default: false -- boolean; Display_Label \n\
</pre></div><p>Get/set the state of the Name checkbox. (called &quot;Label&quot; in <strong>3ds Max 2010</strong>).</p>\n\
<p>When set to <span class=\'code\'>*true*</span> , a text label appears next to the Container to show its Name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.displayStatus BooleanClass default: false -- boolean; Display_Status \n\
</pre></div><p>Enable/disable the display of the Container&#39;s Status.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.editingUser String default: &quot;&quot; -- string; Editing_User; \n\
</pre></div><p>Get/set the name of the user editing the Container.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.contentBoundingBox BooleanClass default: false -- boolean; Content_Bounding_Box \n\
</pre></div><p>Get/set the state of the Expand Bounding Box checkbox.</p>\n\
<p>When set to <span class=\'code\'>*true*</span> , a bounding box of the container will expand to enclose the content.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.size Float default: 10.0 -- animatable; worldUnits \n\
</pre></div><p>Get/set the Size value controlling the size of the Container&#39;s icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.updateNeeded BooleanClass default: false -- boolean; Update_Needed \n\
</pre></div><p>Contains true if the Container needs an update. Reflects the state of the icon next to the Update button.</p>\n\
<p>Read-only.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"display--contentsproperties\"></a><h2 id=\"display--contentsproperties\">Display -ContentsProperties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Container&gt;.overrideNodeProperties BooleanClass default: false -- boolean; Override_Object_Properties \n\
</pre></div><p>Get/set the state of the &quot;Override Obj Properties&quot; checkbutton.</p>\n\
<p>When set to <span class=\'code\'>*true*</span> , the content will display using the Container&#39;s display properties including wireframe color, visibility settings, and so on. If the content is set to use properties By Layer, the Container&#39;s Layer will be used instead of the content&#39;s Layers.</p>\n\
<p>When set to <span class=\'code\'>*false*</span> , the content will display using its own display properties.</p>\n\
<div class=\'section\'><a id=\"container-interfaces\"></a><h2 id=\"container-interfaces\">Container interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:IContainerObject \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.proxyType: enum : Read|Write \n\
proxyType enums: {#none|#alternate} \n\
</pre></div><p>Get/set the state of the radio button controlling the use of Proxies.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#none</strong> - Do not use a Proxy file.</p>\n\
<p><strong>#alternate</strong> - Use the Proxy file specified by the previous two properties.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"manage-containermethods\"></a><h3 id=\"manage-containermethods\">Manage ContainerMethods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.LoadContainer() \n\
</pre></div><p>Loads the Container&#39;s content from its definition and local modifications. Only available when unloaded.</p>\n\
<p>Corresponds to pressing the &quot;Load&quot; button in the Container&#39;s UI when the Container is in Unloaded state (see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>.unloaded</a> property for querying this state). The button will change to &quot;Unload&quot;.</p>\n\
<p>Returns <span class=\'code\'>*true*</span> on success, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.UnloadContainer() \n\
</pre></div><p>Unloads the Container by saving the local definition and deleting the content from the scene.</p>\n\
<p>Corresponds to pressing the &quot;Unload&quot; button in the Container&#39;s UI when the Container is in the Loaded state (see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>.unloaded</a> property for querying this state). The button will change to &quot;Load&quot;.</p>\n\
<p>Returns <span class=\'code\'>*true*</span> on success, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.SetOpen &lt;boolean&gt;open \n\
</pre></div><p>When the argument is <span class=\'code\'>*true*</span> , opens the Container, equivalent to pressing the &quot;Open&quot; button in the Container&#39;s UI.</p>\n\
<p>When the argument is <span class=\'code\'>*false*</span> , closes the Container, equivalent to pressing the &quot;Close&quot; button in the Container&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.IsOpen() \n\
</pre></div><p>Returns <span class=\'code\'>*true*</span> if the Container is open, <span class=\'code\'>*false*</span> otherwise. See previous method for controlling the open state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.UpdateContainer() \n\
</pre></div><p>Updates the content of the Container, preserving local modifications. Corresponds to the &quot;Update&quot; button in the Container&#39;s UI.</p>\n\
<p>Returns <span class=\'code\'>*true*</span> on success, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.MakeUnique() \n\
</pre></div><p>Merges the Container&#39;s source and recursively merges any nested containers among its content.</p>\n\
<p>Corresponds to pressing the &quot;Make All Content Unique&quot; button in the Container&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.IsUnique() \n\
</pre></div><p>Returns <span class=\'code\'>*true*</span> if the content is unique, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<div class=\'section\'><a id=\"access-type-control-methods\"></a><h3 id=\"access-type-control-methods\">Access Type Control Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetAccessType &lt;enum&gt;accessType \n\
accessType enums: {#noAccess|#onlyEditInPlace|#onlyAddNewObjects|#anythingUnlocked} \n\
</pre></div><p>Sets the access type to the given enum value.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;GetAccessType() \n\
GetAccessType enums: {#noAccess|#onlyEditInPlace|#onlyAddNewObjects|#anythingUnlocked} \n\
</pre></div><p>Returns the access type as an enum value.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;InheritedAccessType() \n\
InheritedAccessType enums: {#noAccess|#onlyEditInPlace|#onlyAddNewObjects|#anythingUnlocked} \n\
</pre></div><p>Returns the inherited access type as an enum value.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetLockedContents&lt;enum&gt;lockedType &lt;boolean&gt;clear \n\
lockedType enums: {#lockAllMaterials|#lockAllModifiers|#lockAllAnimation|#lockAllObjects} \n\
</pre></div><p>Sets the lock for the content component specified by the first argument&#39;s enum to the Boolean value of the second argument.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsLockedContents &lt;enum&gt;lockedType \n\
lockedType enums: {#lockAllMaterials|#lockAllModifiers|#lockAllAnimation|#lockAllObjects} \n\
</pre></div><p>Returns true if the content component specified by the argument is locked, false if it is unlocked.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>```</p>\n\
<p>c = container() --Check the Modifiers Lock: $Container001.IsLockedContents #lockAllModifiers --&gt; false --Lock theModifiers: $Container001.SetLockedContents #lockAllModifiers true --&gt; OK --Check the Modifiers Lock: $Container001.IsLockedContents #lockAllModifiers --&gt; true --Unlock the materials: $Container001.SetLockedContents #lockAllMaterials false --&gt; OK ```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ClearLockedContents() \n\
</pre></div><p>Clears the locked contents of the Container.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;GetStatusString() \n\
</pre></div><p>Returns the status string of the Container. This is the same string displayed in the viewport label if the <span class=\'code\'>.displayStatus</span> property is set to true.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>```</p>\n\
<p>$Container001.GetStatusString() --&gt; &quot;No Access&quot; $Container001.UnloadContainer() --&gt; true $Container001.GetStatusString() --&gt;&quot;Unloaded&quot; $Container001.MakeUnique() --&gt; true $Container001.GetStatusString() --&gt; &quot;Unsaved&quot; ```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"manage-container---edit-in-placemethods\"></a><h3 id=\"manage-container---edit-in-placemethods\">Manage Container - Edit In PlaceMethods</h3></div>\n\
<p>The&quot;Edit In Place&quot;checkbutton performs two operations internally depending on its state:</p>\n\
<ul>\n\
<li><p>When checked, it merges the content, equivalent to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>MergeSource()</a></p></li>\n\
<li><p>When unchecked, it saves the content to disk, equivalent to <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>SaveContainer()</a></p></li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.CanEditInPlace() \n\
</pre></div><p>Returns <span class=\'code\'>*true*</span> if the container can be edited in-place, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<p>The container rule controlling whether the content can be edited in place when inherited is set using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>allowInPlaceEditing property</a> in the local container whose content is being inherited.</p>\n\
<p>The content file must have been saved with that rule set to true to allow other containers inheriting that content to edit it in place.</p>\n\
<div class=\'section\'><a id=\"local-contentmethods\"></a><h3 id=\"local-contentmethods\">Local ContentMethods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.AddNodeToContent &lt;node&gt;node \n\
</pre></div><p>Adds the specified node and its children/dependents to the Container&#39;s content.</p>\n\
<p>The container node becomes the parent of the content node. Some nodes are automatically added to the local content along with the input node:</p>\n\
<ul>\n\
<li><p>The children of the node are added.</p></li>\n\
<li><p>If the node is part of a system (like biped or bones), all nodes in the system are also added.</p></li>\n\
<li><p>If the node has a target - for instance a camera target-then its target is added</p></li>\n\
<li><p>If the node is a target, the targeting node is also added.</p></li>\n\
</ul>\n\
<p>Returns <span class=\'code\'>*true*</span> on success, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.AddNodesToContent &lt;&amp;node array&gt;nodes\n\
\n\
nodes is In and Out parameter \n\
</pre></div><p>Adds the provided array of nodes and all their children and dependents to the Container&#39;s content. See previous method for details.</p>\n\
<p>Returns <span class=\'code\'>*true*</span> on success, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>b = Box()   --&gt;$Box:Box01 @ [0.000000,0.000000,0.000000]   s = Sphere pos:[100,0,0]   --&gt;$Sphere:Sphere01 @ [100.000000,0.000000,0.000000]    --Will be created at the origin unless position is provided.   --Compare to Containers.CreateContainer() which creates   --at the average position of all content nodes   c = Container()   --&gt;$Container:Container01 @ [0.000000,0.000000,0.000000]    c.addNodeToContent b--adding single node   --&gt;true   c.addNodesToContent #(s)--adding an array of one or more nodes   --&gt;true    c.GetContentNodes false &amp;theNodes   --&gt; OK   theNodes   --&gt; #($Box:Box01 @ [0.000000,0.000000,0.000000],$Sphere:Sphere01 @ [100.000000,0.000000,0.000000])</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;Container&gt;.GetContentNodes &lt;boolean&gt;nestedContainerNodes&lt;&amp;node array&gt;contentNodes \n\
\n\
contentNodes is Out parameter \n\
</pre></div><p>Returns an array of the content nodes of the container into the second by-reference parameter.</p>\n\
<p>If the first argument is passed as <span class=\'code\'>*true*</span> , nested containers are also processed.</p>\n\
<p>If the first argument is passed as <span class=\'code\'>*false*</span> , only the content of the current container is returned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;IsNodeInContent &lt;node&gt;node &lt;boolean&gt;nestedContainerNodes \n\
</pre></div><p>Returns <span class=\'code\'>*true*</span> if the specified node is in the content.</p>\n\
<p>If the second argument is <span class=\'code\'>*true*</span> , nested containers in the inherited content are also searched.</p>\n\
<p>If <span class=\'code\'>*false*</span> , only the current container is searched.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.RemoveNodeFromContent &lt;node&gt;node &lt;boolean&gt;detach \n\
</pre></div><p>Removes the node specified as first argument from the Container&#39;s content.</p>\n\
<p>If the second argument is specified as <span class=\'code\'>*true*</span> , unlinks the node from the Container. If <span class=\'code\'>*false*</span> , the node will remain a child of the Container but will not be in the content of the Container anymore.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.SaveContainer &lt;boolean&gt;newFileNamesaveAsVersion:&lt;integer&gt; \n\
</pre></div><p>saveAsVersion default value: 0</p>\n\
<p>Saves the content and rules of the Container as the new definition.</p>\n\
<p>Returns true on success, false otherwise.</p>\n\
<p>If the newFileName argument is <span class=\'code\'>*true*</span> , a save file dialog is shown to specify a new file name, making the method behave like the &quot;Save As&quot; button in the UI.</p>\n\
<p>If the newFileName argument is <span class=\'code\'>*false*</span> , the current file name is used. If the file name is not defined, the save file dialog is shown. This makes the method behave like the &quot;Save&quot; button in the UI.</p>\n\
<p><strong>In 3ds Max 2011 and higher,</strong> if the <span class=\'code\'>saveAsVersion:</span> optional keyword argument is supplied, is different than 0 and equals a supported version number, the MAXC file is saved in that format. If the argument is unsupplied or 0, the MAXC file is saved in the format of the current <strong>3ds Max</strong> Version.</p>\n\
<p>Valid value is 2010 in <strong>3ds Max 2011</strong>, and 2011 in <strong>3ds Max 2012</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.ReloadContainer() \n\
</pre></div><p>Reloads the Container. Same as <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>LoadContainer()</a>, but does not depend on the state of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>.unloaded property</a> and is thus always available. Discards unsaved changes.</p>\n\
<p>Corresponds to pressing the &quot;Reload&quot; button in the Container&#39;s UI.</p>\n\
<p>Returns <span class=\'code\'>*true*</span> on success, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<div class=\'section\'><a id=\"inherited-contentmethods\"></a><h3 id=\"inherited-contentmethods\">Inherited ContentMethods</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;Container&gt;.MergeSource() \n\
</pre></div><p>Turns an inherited container into an unsaved local container content, merging its content into the scene. Does not merge nested container&#39;s content.</p>\n\
<p>Corresponds to pressing the &quot;Merge Source Definition&quot; button in the Container&#39;s UI.</p>\n\
<p>Returns <span class=\'code\'>*true*</span> on success, <span class=\'code\'>*false*</span> otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>( -- start script</span></p>\n\
<p>```</p>\n\
<p>-------------------------Creating a Container:----------------------- resetMaxFile #noprompt --reset the scene cnt01 = container size:50 name:&quot;LocalContent&quot; --create a container cnt01.displaylabel = true --display its label cnt_filename = getDir #scene + &quot;\\_Container01.maxc&quot; --define file name cnt01.localDefinitionFilename = cnt_filename --assign the file name cnt01.accessContent =true --enable access to inherited content cnt01.allowInPlaceEditing = false --disallow in-place editing --------------------------Creating some Content:------------------------ obj01 = Teapot wirecolor:blue --create a blue teapot cnt01.AddNodeToContent obj01 --add to content cnt01.SaveContainer false --save to the current file name -------------------------Display and Wait...:----------------------- max modify mode --switch to modify panel max views redraw --update the viewports select cnt01 --select the container sleep 2 --and wait for two seconds ```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B8B1A795-C0E7-4AAD-AFB9-20C949EEB9CB-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>-------------------------Inherit the Content:-----------------------   cnt02 = containers.CreateInheritedContainer cnt_filename --inherit file   cnt02.name =&quot;InheritedContent&quot; --name the container   cnt02.pos = [0,60,0] --move it to the side   cnt02.size = 50 --set the size of the icon   cnt02.displayLabel = true --and display the label    -------------------------Display and Wait...:-----------------------   max tool zoomextents all --zoom the viewports   select cnt02 --select the inherited container   max views redraw --update the viewports   sleep 2 --wait for two seconds</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FE0F8697-271A-4ACE-85BA-E3AF37724D93-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>--------------------------Adding MoreContent:------------------------   obj02 = Sphere radius:15 pos:[50,0,15] wirecolor:green --green sphere   obj03 = Box pos:[100,0,0] wirecolor:blue --blue box   cnt01.AddNodesToContent #(obj02, obj03) --add nodes array to content   obj01.wirecolor = red --change the teapot to red   cnt01.SaveContainer false save to update the container definition    -------------------------------Updating Inherited Content:-----------------------------   cnt02.updateContainer() --update the inherited container from disk   format &quot;\\nCurrently In The Scene: % objects\\n&quot; objects.count   print objects --print scene objects - inherited content is there!    --&gt;Currently In The Scene: 8 objects   --&gt;$Container:LocalContent @ [0.000000,0.000000,0.000000]   --&gt;$Teapot:Teapot01 @ [0.000000,0.000000,0.000000]   --&gt;$Sphere:Sphere01 @ [50.000000,0.000000,15.000000]   --&gt;$Box:Box01 @ [100.000000,0.000000,0.000000]   --&gt;$Container:InheritedContent @ [0.000000,100.000000,0.000000]   --&gt;$Teapot:Teapot01 @ [0.000000,100.000000,0.000000]   --&gt;$Sphere:Sphere01 @ [50.000000,100.000000,15.000000]   --&gt;$Box:Box01 @ [100.000000,100.000000,0.000000]    max views redraw --update the viewports   sleep 2 --wait for two seconds</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-72A7893C-4E89-4B42-A7E4-82FA81F51935-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>--------------------------Changing Access Rules:------------------------   cnt01.accessContent =false --disallow the access to inherited content   cnt01.SaveContainer false --resave to update the rules   cnt02.updateContainer() --update the inherited container from disk   format &quot;\\nCurrently In The Scene: % objects\\n&quot; objects.count   print objects--print scene objects - inherited content is not there!    --&gt;Currently In The Scene: 5 objects   --&gt;$Container:LocalContent @ [0.000000,0.000000,0.000000]   --&gt;$Teapot:Teapot01 @ [0.000000,0.000000,0.000000]   --&gt;$Sphere:Sphere01 @ [50.000000,0.000000,15.000000]   --&gt;$Box:Box01 @ [100.000000,0.000000,0.000000]   --&gt;$Container:InheritedContent @ [0.000000,100.000000,0.000000]     max views redraw --update the viewports   sleep 2 --wait for two seconds</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-72A7893C-4E89-4B42-A7E4-82FA81F51935-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>----------------------------------Unloading Inherited Container:--------------------------------   cnt02.UnloadContainer()   max views redraw --update the viewports   sleep 2 --wait for two seconds</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-41E1D88D-0E8B-4153-960D-55D982D5F9EC-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>-------------------------------------Making Inherited Container Local:-----------------------------------   cnt02.MakeUnique() --make the content unique   format &quot;\\nCurrently In The Scene: % objects\\n&quot; objects.count   print objects --print scene objects - the content is now local!   --&gt;Currently In The Scene: 8 objects   --&gt;$Container:LocalContent @ [0.000000,0.000000,0.000000]   --&gt;$Teapot:Teapot01 @ [0.000000,0.000000,0.000000]   --&gt;$Sphere:Sphere01 @ [50.000000,0.000000,15.000000]   --&gt;$Box:Box01 @ [100.000000,0.000000,0.000000]   --&gt;$Container:InheritedContent @ [0.000000,100.000000,0.000000]   --&gt;$Teapot:Teapot01 @ [0.000000,100.000000,0.000000]   --&gt;$Sphere:Sphere01 @ [50.000000,100.000000,15.000000]   --&gt;$Box:Box01 @ [100.000000,100.000000,0.000000]    cnt02.localDefinitionFilename = cnt_filename --set the same file name   cnt02.name =&quot;AlsoLocal&quot;--rename the object, too    for i = 1 to cnt02.children.count do --Stack the content vertically     cnt02.children[i].pos = cnt02.pos + [0,0,(i-1)*50]   cnt02.SaveContainer false --and save, overwriting the original asset    max views redraw --update the viewports   sleep 2 --wait for two seconds</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-996D7C0E-5CD2-49EB-972D-B5BF5F32FEB0-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>-------------------------------------------------Reloading The New File In Original Container:-----------------------------------------------   cnt01.ReloadContainer() --reload the content from file   cnt01.SetOpen false --close the container</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E12F1100-47B6-4BED-8F41-CD464AFD5027-low.gif\' title=\'\'></div>\n\
<p><span class=\'code\'>)--end script</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";