var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ExposeTm : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ExposeTm : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"exposetm-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>ExposeTm - Superclass:Helper;super-superclass:node - classID:#(-2071764533, -1858289533)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-60626744-72EB-4809-900F-BF4C8CAE7CFC-low.gif\' title=\'\'></div>\n\
</pre></div><p>This Helper object can be used to extract position and rotation data from any scene nodes to be used as input for scripted controllers, wire controllers etc. It simplifies significantly the creation of custom animation rigs.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>exposeTM...      \n\
ExposeTransform ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"display\"></a><h2 id=\"display\">Display</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.size: world units   \n\
</pre></div><p>Get/Set the size of the helper in world units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.centermarker(Center_Marker) : boolean \n\
</pre></div><p>When set to true, displays a small X marker at the center of the helper.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.axistripod(Axis_Tripod) : boolean \n\
</pre></div><p>When set to true, displays a tripod axis indicating the position and orientation of the helper. The axis remains visible when the helper is no longer selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.cross: boolean \n\
</pre></div><p>When set to true, displays an axis-aligned cross.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.box: boolean \n\
</pre></div><p>When set to true, displays a small box at the center of the helper.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.constantscreensize (Constant_Screen_Size) : boolean \n\
</pre></div><p>When set to true, keeps the size of the helper constant, regardless of how much you zoom in or out.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.drawontop (Draw_On_Top) : boolean \n\
</pre></div><p>When set to true, the helper object draws lines with the Z buffer turned off (which usually causes it to appear in front of other objects).</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.displayExposedVals (Display_Exposed) : boolean \n\
</pre></div><p>When set to true, the exposed values will be displayed.</p>\n\
<div class=\'section\'><a id=\"exposed-nodes\"></a><h2 id=\"exposed-nodes\">Exposed Nodes</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.exposeNode (Expose_Node) : node \n\
</pre></div><p>Get/Set the node whose Transformations should be exposed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localReferenceNode (Local_Reference_Node) : node \n\
</pre></div><p>Get/Set the local reference node to be used for relative values calculation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.useParent (Use_Parent_Ref) : boolean \n\
</pre></div><p>When set to true, the parent node of the <span class=\'code\'>*.exposeNode*</span> will be used as the reference node. If there is no parent node, the World is the parent of the . <span class=\'code\'>*exposeNode*</span> .</p>\n\
<p>When set to false, the explicitly specified <span class=\'code\'>*.localReferenceNode*</span> will be used as the reference node.</p>\n\
<div class=\'section\'><a id=\"rotation-options\"></a><h2 id=\"rotation-options\">Rotation Options</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.eulerXOrder (Euler_X_Order) : integer \n\
&lt;ExposeTm&gt;.eulerYOrder (Euler_Y_Order) : integer \n\
&lt;ExposeTm&gt;.eulerZOrder (Euler_Z_Order) : integer \n\
&lt;ExposeTm&gt;.stripNUScale (Strip_Non_Uniform_Scale) : boolean \n\
</pre></div><p>When set to true, non-uniform scale values will be stripped from the transformation matrix before the values are calculated. When set to false, non-uniform scaling will affect the exposed values.</p>\n\
<div class=\'section\'><a id=\"local-and-world-euler-rotation\"></a><h2 id=\"local-and-world-euler-rotation\">Local and World Euler Rotation</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localEuler (Local_Euler_Rotation) : point3 \n\
</pre></div><p>Returns the local rotation as Point3 Euler Angles value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localEulerX (Local_Euler_X) : angle \n\
</pre></div><p>Returns the local Euler X rotation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localEulerY (Local_Euler_Y) : angle \n\
</pre></div><p>Returns the local Euler Y rotation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localEulerZ (Local_Euler_Z) : angle \n\
</pre></div><p>Returns the local Euler Z rotation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldEuler (World_Euler_Rotation) : point3 \n\
</pre></div><p>Returns the world rotation as Point3 Euler Angles value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldEulerX (World_Euler_X) : angle \n\
</pre></div><p>Returns the world Euler X rotation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldEulerY (World_Euler_Y) : angle \n\
</pre></div><p>Returns the world Euler Y rotation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldEulerZ (World_Euler_Z) : angle \n\
</pre></div><p>Returns the world Euler Z rotation value.</p>\n\
<div class=\'section\'><a id=\"local-and-world-position\"></a><h2 id=\"local-and-world-position\">Local and World Position</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localPosition (Local_Position) : point3 \n\
</pre></div><p>Returns the local position as Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localPositionX (Local_Position_X) : world units \n\
</pre></div><p>Returns the X component of the local position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localpositionY (Local_Position_Y) : world units \n\
</pre></div><p>Returns the Y component of the local position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.localPositionZ (Local_Position_Z) : world units \n\
</pre></div><p>Returns the Z component of the local position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldPosition (World_Position) : point3 \n\
</pre></div><p>Returns the world position as Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldPositionX (World_Position_X) : world units \n\
</pre></div><p>Returns the X component of the world position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldPositionY (World_Position_Y) : world units \n\
</pre></div><p>Returns the Y component of the world position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldPositionZ (World_Position_Z) : world units \n\
</pre></div><p>Returns the Z component of the world position.</p>\n\
<div class=\'section\'><a id=\"bounding-box\"></a><h2 id=\"bounding-box\">Bounding Box</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldBoundingBoxSize (World_Bounding_Box_Size) : point3 \n\
</pre></div><p>Returns the size of the world-oriented bounding box as a Point3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldBoundingBoxWidth (World_Bounding_Box_Width) : float \n\
</pre></div><p>Returns the X component of the size of the world-oriented bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldBoundingBoxLength (World_Bounding_Box_Length) : float \n\
</pre></div><p>Returns the Y component of the size of the world-oriented bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.worldBoundingBoxHeight (World_Bounding_Box_Height) : float \n\
</pre></div><p>Returns the Z component of the size of the world-oriented bounding box.</p>\n\
<div class=\'section\'><a id=\"timing\"></a><h2 id=\"timing\">Timing</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.timeOffset (Time_Offset) : time \n\
</pre></div><p>Get/Set the time offset value. When the <span class=\'code\'>*.useTimeOff set*</span> property is set to true, the values returned by the ExposeTM Helper will be calculated at a time which is offset from the current time by the <span class=\'code\'>*.timeOffset*</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.useTimeOffset (Use_Time_Offset) : boolean \n\
</pre></div><p>Enable/Disable the use of the <span class=\'code\'>*.timeOffset*</span> value.</p>\n\
<div class=\'section\'><a id=\"distance-and-angle\"></a><h2 id=\"distance-and-angle\">Distance and Angle</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.distance: float \n\
</pre></div><p>Returns the distance to the Reference node.If the reference node is set to Parent and there is no parent, this effectively returns the distance to the World origin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ExposeTm&gt;.angle: angle \n\
</pre></div><p>Returns the angle.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";