var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>LightMeter : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>LightMeter : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lightmeter-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>LightMeter - superclass: helper; super-superclass:node - 9:0 - classID: #(-2088554037, -1774534477)\n\
</pre></div><p>The <strong>LightMeterHelper</strong> allows the generation of lighting analysis data on a custom grid in world space. It works in conjunction with the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/Render-Effect-Types/Lighting_Analysis_Overlay.html\' title=\'\'>Lighting_Analysis_Overlay : RenderEffect</a></p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>LightMeter...\n\
<div class=\'figure\'><img src=\'developer/images/GUID-82025DF3-3C04-4540-97CC-DBFE03D3875E-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"parameters\"></a><h2 id=\"parameters\">Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.active BooleanClass default: true -- Boolean    \n\
</pre></div><p>Get/set the state of the On checkbox.</p>\n\
<div class=\'section\'><a id=\"dimensions\"></a><h3 id=\"dimensions\">Dimensions</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.length Float default: 1.0 -- animatable; worldUnits     \n\
</pre></div><p>Get/set the Lengthof the LightMeter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.width Float default: 1.0 -- animatable; worldUnits   \n\
</pre></div><p>Get/set the Width of the LightMeter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.length_segs Integer default: 3 -- integer \n\
</pre></div><p>Get/set the Length Segments of the LightMeter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.width_segs Integer default: 3 -- integer \n\
</pre></div><p>Get/set the Width Segments of the LightMeter.</p>\n\
<div class=\'section\'><a id=\"display\"></a><h2 id=\"display\">Display</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.showOrientation BooleanClass default: true -- boolean; Show_Orientation \n\
</pre></div><p>Get/set the state of the Show Orientation checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.showPsuedoColor BooleanClass default: true -- boolean; Show_Pseudo_Color \n\
</pre></div><p>Get/set the state of the Show Pseudo Color checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.showViewportText BooleanClass default: true -- boolean; Show_Viewport_Text \n\
</pre></div><p>Get/set the state of the Show Viewport Text checkbox.</p>\n\
<div class=\'section\'><a id=\"values-to-display\"></a><h3 id=\"values-to-display\">Values To Display</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;LightMeter&gt;.valuesToDisplay Integer default: 0 -- integer; Values_To_Display \n\
</pre></div><p>Get/set the selection of the Values To Display radio buttons list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Total Illuminance</strong>(default)</p>\n\
<p>1 - <strong>Direct Illuminance</strong></p>\n\
<p>2 - <strong>Indirect Illuminance</strong></p>\n\
<p>3 - <strong>Daylight Factor</strong></p>\n\
<div class=\'section\'><a id=\"calculate-and-export-buttons\"></a><h3 id=\"calculate-and-export-buttons\">Calculate and Export Buttons</h3></div>\n\
<p>The functionality of the Calculate and Export to CSV buttons is exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LightMeterManager.html\' title=\'\'>Interface: LightMeterManager</a></p>\n\
<div class=\'section\'><a id=\"lightmeter-interfaces\"></a><h2 id=\"lightmeter-interfaces\">LightMeter interfaces:</h2></div>\n\
<p>Interface:<strong>lightMeterInterface</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetIlluminance &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;illuminance \n\
illuminance is In and Out parameter\n\
</pre></div><p>GetstheTotalIlluminance at the given time and indexed point into the by-reference third parameter.Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetDirectIlluminance &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;directIlluminance \n\
directIlluminance is In and Out parameter\n\
</pre></div><p>Gets the Direct Illuminance at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetIndirectIlluminance &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;indirectIlluminance \n\
indirectIlluminance is In and Out parameter\n\
</pre></div><p>Gets the Indirect Illuminance at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetDaylightFactor &lt;time&gt;time &lt;index&gt;index &lt;&amp;float&gt;daylightFactor \n\
daylightFactor is In and Out parameter\n\
</pre></div><p>Gets the DaylightFactor at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetMeterTransform &lt;time&gt;time &lt;index&gt;index &lt;&amp;matrix3&gt;transform \n\
transform is In and Out parameter\n\
</pre></div><p>Gets the LightMeter Transformation Matrix at the given time and indexed point into the by-reference third parameter. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetLocalMeterPosition &lt;index&gt;index &lt;&amp;point3&gt;position \n\
position is In and Out parameter\n\
</pre></div><p>Gets the Local Position of the indexed point into the by-reference second parameter. Returns true on success, false on failure.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";