var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>VolumeHelper : Helper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>VolumeHelper : Helper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"volumehelper-helper\"></a></div>\n\
<div class=\'codeBlock\'><pre>VolumeHelper - superclass: helper; super-superclass:node - 5:0 - classID: #(1050628463L, 453181870L); creatable: true\n\
</pre></div><p>The VolumeHelper is a helper object in a scene used by a MaxLiquid to define a volume. Available in <strong>3ds Max 2019.1 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>VolumeHelper...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;VolumeHelper&gt;.color     Color    default: (color 0 255 0)   --  RGB color\n\
</pre></div><p>Gets or sets the VolumeHelper object color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;VolumeHelper&gt;.meshNode     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Gets or sets the scene node to use as the volume shape, when <strong>volumeType</strong> is 4 (Mesh).</p>\n\
<div class=\'codeBlock\'><pre>&lt;VolumeHelper&gt;.sectionRadius     Float    default: 0.5   --  animatable; float\n\
</pre></div><p>Gets or sets the VolumeHelper inner radius, when the <strong>volumeType</strong> is 3 (Torus).</p>\n\
<div class=\'codeBlock\'><pre>&lt;VolumeHelper&gt;.size     Float    default: 10.0   --  animatable; float\n\
</pre></div><p>Gets or sets the VolumeHelper size, in scene units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;VolumeHelper&gt;.volumeType     Integer    default: 0   --  integer\n\
</pre></div><p>Gets or sets the VolumeHelper shape type, where:</p>\n\
<ul>\n\
<li>0 = Box</li>\n\
<li>1 = Sphere</li>\n\
<li>2 = Cylinder</li>\n\
<li>3 = Torus</li>\n\
<li>4 = Mesh</li>\n\
</ul>\n\
<p><strong>Interfaces</strong></p>\n\
<p><strong>Interface: VolumeHelper</strong></p>\n\
<p><strong>Properties</strong></p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;IsVolumeOK &lt;time&gt;time\n\
</pre></div><p>If the VolumeHelper.volumeType is #mesh, this method returns false if no mesh node has been assigned, true if it has.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;void&gt;SetGizmoType &lt;enum&gt;type\n\
       type enums: {#box|#sphere|#cylinder|#torus|#mesh}\n\
    &lt;enum&gt;GetGizmoType()\n\
       GetGizmoType enums: {#box|#sphere|#cylinder|#torus|#mesh\n\
</pre></div><p>Gets or sets the VolumeHelper shape type.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;void&gt;SetGizmoSize &lt;time&gt;time &lt;float&gt;value\n\
    &lt;float&gt;GetGizmoSize &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
       interval is In and Out parameter\n\
</pre></div><p>Gets or sets the VolumeHelper shape size.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;void&gt;SetSectionRadius &lt;time&gt;time &lt;float&gt;value\n\
    &lt;float&gt;GetSectionRadius &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
       interval is In and Out parameter\n\
</pre></div><p>Gets or sets the VolumeHelper section radius at the specified time, when the volume type is a torus.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;GetGizmoMesh &lt;&amp;mesh&gt;meshOut &lt;time&gt;time &lt;&amp;interval&gt;interval\n\
       meshOut is Out parameter\n\
       interval is In and Out parameter\n\
</pre></div><p>Gets the VolumeHelper mesh at the specified time.</p>\n\
<p><strong>Actions</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";