var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>IES_Sun : Light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>IES_Sun : Light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ies_sun-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>IES_Sun - superclass: light; super-superclass:node - classID:#(603881295, 114241513)  \n\
</pre></div><p>Instances of the <strong>IES_Sun</strong> class are used to simulate natural sunlight.</p>\n\
<p>Note: Instances of this class are usually created in the <strong>3ds Max</strong> UI as part of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/System-Node/Daylight-System.html\' title=\'\'>Daylight System</a> .</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>IES_Sun...   \n\
freeIesSun...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.absoluteMapBias Boolean default: false -- animatable; boolean; Absolute_Bias \n\
</pre></div><p>Enable/Disable the Absolute Shadow Map Bias.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.affectDiffuse Boolean default: true -- boolean; Affect_Diffuse \n\
</pre></div><p>Get/Set the state of the Diffuse checkbox under Advanced Effects &gt; Affect Surfaces</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.affectSpecular Boolean default: true -- boolean; Affect_Specular \n\
</pre></div><p>Get/Set the state of the Specular checkbox under Advanced Effects &gt; Affect Surfaces</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.atmosColorAmt Float default: 100.0 -- animatable; percentage; Atmosphere_Color_Amount \n\
</pre></div><p>Get/Set the Shadow Amount value under Shadow Parameters &gt; Atmosphere Shadows. Controls how much of the atmosphere color is blended with the shadow color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.atmosOpacity Float default: 100.0 -- animatable; percentage; Atmosphere_Opacity \n\
</pre></div><p>Get/Set the Opacity value under Shadow Parameters &gt; Atmosphere Shadows</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.atmosShadows Boolean default: false -- boolean; Atmosphere_Shadows \n\
</pre></div><p>Enable/Disable the On checkbox under Shadow Parameters &gt; Atmosphere Shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.castShadows Boolean default: false -- boolean; Cast_Shadows \n\
</pre></div><p>Enable/Disable the Shadow Casting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.contrast Float default: 0.0 -- animatable; percentage \n\
</pre></div><p>Get/Set the Contrast value under Advanced Effects &gt; Affect Surfaces</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.hasTarget Boolean default: true -- boolean; Has_Target \n\
</pre></div><p>Get/Set the Target option. When set to true, the Sun will have target.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.mapbias Float default: 1.0 -- animatable; float; Map_Bias \n\
</pre></div><p>Get/Set the Shadow Map Bias.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.mapsize Integer default: 512 -- animatable; integer; Map_Size \n\
</pre></div><p>Get/Set the Shadow Map Size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.multiplier Float default: 80000.0 -- animatable; float \n\
</pre></div><p>Get/Set the Light Intensity value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.on Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the Light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.rgb Color default: (color 255 242.25 229.5) -- animatable; RGB color \n\
</pre></div><p>Get/Set the Light Color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.samplerange Float default: 4.0 -- animatable; float; Map_Range \n\
</pre></div><p>Get/Set the Shadow Map Sample Range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.shadowMultiplier Float default: 1.0 -- animatable;float; Shadow_Density \n\
</pre></div><p>Get/Set the Shadow Density value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.softenDiffuseEdge Float default: 50.0 -- animatable; percentage; Diffuse_Soften \n\
</pre></div><p>Get/Set the Soften Diffuse Edge.Increasing the value of Soften Diffuse Edge softens the edge between the diffuse and ambient portions of a surface. This helps eliminate edges that can appear on a surface under certain circumstances.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.targetDistance Float default: 240.0 -- animatable; float; Target_Distance \n\
</pre></div><p>Get/Set the Target Distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.twoSidedShadows Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the Two Sided Shadows option.When on, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time. When off, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IES_Sun&gt;.useGlobalShadowSettings BooleanClass default: false -- boolean; Use_Global_Shadow_Settings \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the global shadow settings will be used.</p>\n\
<div class=\'section\'><a id=\"ies_sun-interfaces\"></a><h2 id=\"ies_sun-interfaces\">IES_Sun interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:NaturalLightClass \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSun() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the list is a Sun light. In the case of <span class=\'code\'>IES_Sun</span> , it will return <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSky() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the list is a Sky light. In the case of <span class=\'code\'>IES_Sun</span> , it will return <span class=\'code\'>false</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` sun = freeIesSun() sun.NaturalLightClass.isSun() true sun.isSky()-- can be called without explicitly giving the interface name false</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";