var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Photometric Light Classes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Photometric Light Classes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"photometric-light-classes\"></a></div>\n\
<p>The Photometric Lights have been redesigned in <strong>3ds Max 2009</strong> to simplify the creation and conversion between types, as well as extended to support more options, preview Web Distribution and more.</p>\n\
<p>Internally, <strong>3ds Max 2009 and higher</strong> expose a multitude of Photometric Light Classes with unique ClassIDs. Some of these classes including the Point, Line and Area Lights (both Free and Targeted) provide backwards compatibility withPhotometric Lights from previous versions.</p>\n\
<p>In the <strong>3ds Max Command Panel</strong>, the creation has been reduced to only <strong>two basic types</strong> - <strong>Target Light</strong> and <strong>Free Light</strong> which can be converted into all other types via the &quot;Shape/Area Shadows&quot; rollout. The old &quot;Area&quot; type is now called &quot;Rectangle&quot; to distinguish between the various area light shapes that are now available.</p>\n\
<p>Several <strong>new Area Light types</strong> - <strong>Disc</strong>, <strong>Sphere</strong> and <strong>Cylinder</strong> have been added. Class instances of these light classes can be created directly by MAXScript or indirectly by setting a light&#39;s <span class=\'code\'>.type</span> property to <span class=\'code\'>#Free_Disc, #Target_Disc, #Free_Sphere, #Target_Sphere, #Free_Cylinder</span> or <span class=\'code\'>#Target_Cylinder</span> .</p>\n\
<p>Also note that the User Interface of all Photometric Lights exposes a checkbox called &quot;Targeted&quot;. Changing the state of this checkbox using the mouse will implicitly convert the class of the object between #Target_* and #Free_* types. This property cannot be set directly with MAXScript, instead, the .type property has to be set to the desired #Free_* or #Target_* type.</p>\n\
<p>The table below lists all available Photometric Light types.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Type</th>\n\
<th align=\"left\">Class</th>\n\
<th align=\"left\">ClassID</th>\n\
<th align=\"left\">New in 3ds Max 2009</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>FREE TYPES</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">#Free_Point</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Point-Light.html\' title=\'\'>Free_Light</a></td>\n\
<td align=\"left\">#(842489804, 184704240)</td>\n\
<td align=\"left\">No</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">#Free_Line</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Linear-Light.html\' title=\'\'>Free_Linear</a></td>\n\
<td align=\"left\">#(2015392769, 897523032)</td>\n\
<td align=\"left\">No</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">#Free_Rectangle</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Area-Light.html\' title=\'\'>Free_Area</a></td>\n\
<td align=\"left\">#(911244690, 274340423)</td>\n\
<td align=\"left\">No</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">#Free_Disc</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Disc-Light.html\' title=\'\'>Free_Disc</a></td>\n\
<td align=\"left\">#(1540123970, 206521102)</td>\n\
<td align=\"left\">Yes</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">#Free_Sphere</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Sphere-Light.html\' title=\'\'>Free_Sphere</a></td>\n\
<td align=\"left\">#(2091464066, 448490290)</td>\n\
<td align=\"left\">Yes</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">#Free_Cylinder</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Free_Cylinder-Light.html\' title=\'\'>Free_Cylinder</a></td>\n\
<td align=\"left\">#(1190540515, 171080367)</td>\n\
<td align=\"left\">Yes</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>TARGETED TYPES</strong></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">#Target_Point</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Point-Light.html\' title=\'\'>Target_Light</a></td>\n\
<td align=\"left\">#(1703759767, 1926054489)</td>\n\
<td align=\"left\">No</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">#Target_Line</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Linear-Light.html\' title=\'\'>Target_Linear</a></td>\n\
<td align=\"left\">#(1158113413, 1081676873)</td>\n\
<td align=\"left\">No</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">#Target_Rectangle</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Area-Light.html\' title=\'\'>Target_Area</a></td>\n\
<td align=\"left\">#(1903775645, 1890472690)</td>\n\
<td align=\"left\">No</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">#Target_Disc</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Disc-Light.html\' title=\'\'>Target_Disc</a></td>\n\
<td align=\"left\">#(947069768, 538400947)</td>\n\
<td align=\"left\">Yes</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">#Target_Sphere</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Sphere-Light.html\' title=\'\'>Target_Sphere</a></td>\n\
<td align=\"left\">#(872184553, 1413692869)</td>\n\
<td align=\"left\">Yes</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">#Target_Cylinder</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Target_Cylinder-Light.html\' title=\'\'>Target_Cylinder</a></td>\n\
<td align=\"left\">#(2089507600, 1272135302)</td>\n\
<td align=\"left\">Yes</td>\n\
</tr>\n\
</table>\n\
<p>All these light classes share the same <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Lights-Common.html\' title=\'\'>Photometric Lights Common Properties, Operators, and Methods</a> , thus their respective documentation pages contain no properties. There are some slight differences in the allowed ranges of a few common parameters, for example the Sphere and Cylinder lights support only a <span class=\'code\'>.distribution</span> value of 0, while all other types support a range from 0 to 3. These specifics have been noted explicitly where applicable.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";