var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Photometric Lights Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Photometric Lights Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"photometric-lights-common-properties-operators-and-methods\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7548731F-D945-4894-8FAF-1C39A7D72E43-low.gif\' title=\'\'></div>\n\
<p>In <strong>3ds Max 2009 and higher</strong>, all Photometric Lights share the same set of properties. Every <strong>Photometric Light</strong> type can be freely switched to any other type. See the <span class=\'code\'>.type</span> property in the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a>.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Photometric-Light-Classes.html\' title=\'\'>Photometric Light Classes</a> for details.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"general-parameters-rollout\"></a><h2 id=\"general-parameters-rollout\">General Parameters Rollout</h2></div>\n\
<div class=\'section\'><a id=\"light-properties\"></a><h3 id=\"light-properties\">Light Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.on Boolean default: true -- boolean           \n\
</pre></div><p>Toggle light emission on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.targetDistance Float default: 240.0 -- animatable; float; Target_Distance       \n\
</pre></div><p>Get/set the distance to the light&#39;s target.</p>\n\
<div class=\'section\'><a id=\"shadows\"></a><h3 id=\"shadows\">Shadows</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.castShadows BooleanClass default: true -- boolean; Cast_Shadows      \n\
</pre></div><p>Toggle shadow casting on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.useGlobalShadowSettings BooleanClass default: false -- boolean; Use_Global_Params   \n\
</pre></div><p>When set to true, the shadow generator will use the global shadow settings. When set to false, the local settings will be used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.shadowGenerator shadowMap default: shadowMap:shadowMap -- value; SubAnim \n\
</pre></div><p>Get/Set the Shadow Generator as class instance.</p>\n\
<p>Exposed by the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.shadowGeneratorByName String default: &quot;Shadow Map&quot; -- value \n\
</pre></div><p>Get/Set the Shadow Generator by name.</p>\n\
<p>Exposed by the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.raytracedShadows BooleanClass default: false -- value \n\
</pre></div><p>Get/Set use of raytraced shadows. Exposed by the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a>.</p>\n\
<p>Note:</p>\n\
<p>This property should <strong>not</strong> be used in <strong>3ds Max 5 and higher</strong>. Please use the <span class=\'code\'>.shadowGenerator</span> property to assign a shadow generator.</p>\n\
<p>The property is exposed for backwards compatibility only. In versions prior to <strong>3ds Max 5</strong>, the only possible shadow generator types were Shadow Maps and Raytraced Shadows. Setting this property will switch the shadow generator internally. Currently, the number of possible shadow generators is much higher (including 3rd party plug-ins), so this property is obsolete.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.maxDepth     Integer    default: 7   --  animatable; integer; Max_Quadtree_Depth\n\
</pre></div><p>The maximum quadtree depth setting for ray traced shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.raytraceBias     Float    default: 0.2   --  animatable; float; Bias\n\
</pre></div><p>The Ray Bias amount for ray traced shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.twoSidedShadows     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the 2 Sided Shadows setting for ray traced shadows.</p>\n\
<div class=\'section\'><a id=\"includeexclude-lists\"></a><h3 id=\"includeexclude-lists\">Include/Exclude Lists</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.excludeList Array default: #() -- value \n\
</pre></div><p>Get/Set the exclusion list as an array on objects. When setting the value, the Include/Exclude option will be set to Exclude.</p>\n\
<p>Exposed by the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.includeList UndefinedClass default: undefined -- value; !error setting value! \n\
</pre></div><p>Get/Set an array of objects to be included in the illumination by the light. When setting the value, the Include/Exclude option will be set to Include.</p>\n\
<p>Exposed by the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a>.</p>\n\
<div class=\'section\'><a id=\"light-distribution-type\"></a><h3 id=\"light-distribution-type\">Light Distribution (Type)</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.distribution Integer default: 0 -- value \n\
</pre></div><p>Get/Set the distribution type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Uniform Spherical</strong></p>\n\
<p>1 - <strong>Spotlight</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>2 - <strong>Uniform Hemispherical</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>3 - <strong>Photometric Web File</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>Exposed by the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a> .</p>\n\
<div class=\'section\'><a id=\"intensitycolorattenuation-rollout\"></a><h2 id=\"intensitycolorattenuation-rollout\">Intensity/Color/Attenuation Rollout</h2></div>\n\
<div class=\'section\'><a id=\"color\"></a><h3 id=\"color\">Color</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.color Color default:(color 265.933 250.885 263.562)-- color by value \n\
</pre></div><p>The RGB Color of the light. Alias for .rgb and .Light_Color.</p>\n\
<p>Exposed by the <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.useKelvin BooleanClass default: false -- boolean; Use_Kelvin \n\
</pre></div><p>Get/set the state of the Kelvin/Color radio button. When set to <span class=\'code\'>true</span> , the color temperature in Kelvin will be used. When <span class=\'code\'>false</span> , the RGB Color will be used instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.kelvin Float default: 3600.0 -- animatable; float \n\
</pre></div><p>Get/set the color temperature in Kelvin.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.rgbFilter Color default: (color 255 255 255) -- animatable; RGB color; Filter_Color; Controller Scaling: ([1,1,1] : (color 255 255 255)) ) \n\
</pre></div><p>Get/set the Filter Color.</p>\n\
<div class=\'section\'><a id=\"intensity\"></a><h3 id=\"intensity\">Intensity</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.intensityType Integer default: 1 -- integer; Intensity_Type \n\
</pre></div><p>Get/set the Intensity type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>lm</strong></p>\n\
<p>1 - <strong>cd</strong></p>\n\
<p>2 - <strong>lx at</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.intensityFloat default: 1500.0 -- animatable; float \n\
</pre></div><p>Get/set the Intensity value.</p>\n\
<p>Note: This value is always in candelas (cd), regardless of the <span class=\'code\'>intensityType</span> setting.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.intensityAt Float default: 39.3701 -- float; Intensity_At \n\
</pre></div><p>Get/Set the Distance at which the intensity is measured when <span class=\'code\'>intensityType</span> is set to 2 - lx at.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.flux Float default: 0.0 -- float \n\
</pre></div><p>Set the Light Intensity in lm.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.originalFlux Float default: 0.0 -- float \n\
&lt;Photometric_Light&gt;.originalIntensity Float default: 0.0 -- float; Shape_Area_Shadows \n\
</pre></div><div class=\'section\'><a id=\"dimming\"></a><h3 id=\"dimming\">Dimming</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.useMultiplier BooleanClass default: false -- boolean; Use_Dimmer \n\
</pre></div><p>Get/set the state of the Dimming checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.Multiplier Float default: 100.0 -- animatable; float \n\
</pre></div><p>Get/set the Dimming multiplier value in percent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.shiftColorWhenDimming BooleanClass default: false -- boolean; Shift_Color_When_Dimming \n\
</pre></div><p>Get/set the state of the &quot;Incandescent lamp color shift when dimming&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"far-attenuation\"></a><h3 id=\"far-attenuation\">Far Attenuation</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.useFarAttenuation BooleanClass default: false -- boolean; Use_Far_Attenuation \n\
</pre></div><p>Get/set the state of the Use Far Attenuation checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.displayFarAttenuationGizmo BooleanClass default: false -- boolean; Display_Far_Attenuation_Gizmo \n\
</pre></div><p>Get/set the state of the Show Far Attenuation checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.startFarAttenuation Float default: 80.0 -- animatable; worldUnits; Start_Far_Attenuation \n\
</pre></div><p>Get/set the Start Far Attenuation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.endFarAttenuation Float default: 200.0 -- animatable; worldUnits;Vertical_Circle_Facing_Photometric_Horizontal \n\
</pre></div><p>Get/set the End Far Attenuation value.</p>\n\
<div class=\'section\'><a id=\"shape-area-shadows-rollout\"></a><h2 id=\"shape-area-shadows-rollout\">Shape / Area Shadows Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.type Name default: #Free_Point -- value \n\
</pre></div><p>Get/Set the Type of the Photometric Light.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#Free_Point</strong></p>\n\
<p><strong>#Free_Line</strong></p>\n\
<p><strong>#Free_Rectangle</strong></p>\n\
<p><strong>#Free_Disc</strong></p>\n\
<p><strong>#Free_Sphere</strong></p>\n\
<p><strong>#Free_Cylinder</strong></p>\n\
<p><strong>#Target_Point</strong></p>\n\
<p><strong>#Target_Line</strong></p>\n\
<p><strong>#Target_Rectangle</strong></p>\n\
<p><strong>#Target_Disc</strong></p>\n\
<p><strong>#Target_Sphere</strong></p>\n\
<p><strong>#Target_Cylinder</strong></p>\n\
<p>Exposed by <a href=\'Photometric-Lights-Common.html#the-following-interface-is-explosed-by-all-photometric-lights-\' title=\'\'>LightProperties interface</a> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.light_length Float default:122.0 -- animatable; worldUnits \n\
</pre></div><p>Get/set the length of the Area light where applicable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.light_width Float default:61.0 -- animatable; worldUnits \n\
</pre></div><p>Get/set the width of the Area light where applicable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Area&gt;.light_radius Float default: 13.0 -- animatable; worldUnits \n\
</pre></div><p>Get/set the radius of the Area light where applicable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.length Float default:122.0 --float \n\
</pre></div><p>Get/set the length of the Area light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.width Float default: 61.0 -- float \n\
</pre></div><p>Get/set the width of the Area light.</p>\n\
<div class=\'section\'><a id=\"distribution-spotlight-rollout\"></a><h2 id=\"distribution-spotlight-rollout\">Distribution (Spotlight) Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.showCone BooleanClass default: false -- boolean; Cone_Display \n\
</pre></div><p>Get/set the state of the &quot;Cone visible in viewport when unselected&quot; checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.hotSpot Float default: 30.0 -- animatable; float; Beam_Angle \n\
</pre></div><p>Get/set the Hotspot/Beam angle. Used only when .distribution is set to 1 - Spotlight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.falloff Float default: 60.0 -- animatable; float; Field_Angle \n\
</pre></div><p>Get/set the Hotspot/Beam angle. Used only when .distribution is set to 1 - Spotlight.</p>\n\
<div class=\'section\'><a id=\"distribution-photometric-file-rollout\"></a><h2 id=\"distribution-photometric-file-rollout\">Distribution (Photometric File) Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.webFile String default: &quot;&quot; -- filename; Web_Filename \n\
</pre></div><p>The Web file used when .distribution is set to 0 - Web.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.xRotation Float default: 0.0 -- float; X_Rotation \n\
</pre></div><p>The Photometric Web X rotation value. Used only when .distribution is set to 0 - Web.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.yRotation Float default: 0.0 -- float; Y_Rotation \n\
</pre></div><p>The Photometric Web Y rotation value. Used only when .distribution is set to 0 - Web.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.zRotation Float default: 0.0 -- float; Z_Rotation \n\
</pre></div><p>The Photometric Web Z rotation value. Used only when .distribution is set to 0 - Web.</p>\n\
<div class=\'section\'><a id=\"shadow-parameters-rollout\"></a><h2 id=\"shadow-parameters-rollout\">Shadow Parameters Rollout</h2></div>\n\
<div class=\'section\'><a id=\"object-shadows\"></a><h3 id=\"object-shadows\">Object Shadows</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.shadowColor Color default: (color 0 0 0) -- animatable; RGB color; Shadow_Color; Controller Scaling: ([1,1,1] : (color 255 255 255)) \n\
</pre></div><p>Get/set the shadow color value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.shadowMultiplier Float default: 1.0 -- animatable; float; Shadow_Density\n\
</pre></div><p>Get/set the Shadow Density value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.shadowColorMapEnable BooleanClass default: false -- boolean; Use_Shadow_Color_Map \n\
</pre></div><p>Get/set the state of the Shadow Map enable checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.shadowProjectorMap UndefinedClass default: undefined -- texturemap; Shadow_Projector_Map \n\
</pre></div><p>Get/set the Shadow Projector Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.lightAffectsShadow BooleanClass default: false -- boolean; Light_Affects_Shadow \n\
</pre></div><p>Get/set the state of the &quot;Light Affects Shadow Color&quot; checkbox.</p>\n\
<div class=\'section\'><a id=\"atmospheric-shadows\"></a><h3 id=\"atmospheric-shadows\">Atmospheric Shadows</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.atmosShadows BooleanClass default: false -- boolean; Atmospheric_Shadows_On \n\
</pre></div><p>Toggle atmosphere shadows on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.atmosColorAmt Float default: 100.0 -- animatable; float; Atmospheric_Color_Amount \n\
</pre></div><p>Get/Set the atmosphere shadows color value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.atmosOpacity Float default: 100.0 -- animatable; float; Atmospheric_Opacity \n\
</pre></div><p>Get/Set the atmosphere shadows opacity value.</p>\n\
<div class=\'section\'><a id=\"advanced-effects-rollout\"></a><h2 id=\"advanced-effects-rollout\">Advanced Effects Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.contrast Float default: 0.0 -- animatable; float; Light_Contrast \n\
</pre></div><p>Get/Set the Light Contrast value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.softenDiffuseEdge Float default: 0.0 -- animatable; float; Diffuse_Soften \n\
</pre></div><p>Get/Set the Soften Diff. Edge value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.affectDiffuse BooleanClass default: true -- boolean; Affect_Diffuse \n\
</pre></div><p>When <span class=\'code\'>true</span> , the light affects the diffuse color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.affectSpecular BooleanClass default: true -- boolean; Affect_Diffuse \n\
</pre></div><p>When <span class=\'code\'>true</span> , the light affects the specular color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.ambientOnly BooleanClass default: false -- boolean; Ambient_Only \n\
When set to true, the light affects the Ambient color only. \n\
&lt;Photometric_Light&gt;.projector BooleanClass default: false -- boolean \n\
</pre></div><p>Toggle the projector map on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Photometric_Light&gt;.projectorMap UndefinedClass default: undefined -- texturemap; Projector_Map \n\
</pre></div><p>Get/Set the projector map.</p>\n\
<div class=\'section\'><a id=\"the-following-interface-is-exposed-by-all-photometric-lights\"></a><h2 id=\"the-following-interface-is-exposed-by-all-photometric-lights\">The following interface is exposed by all Photometric Lights:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:LightProperties \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.type: value : Read|Write \n\
</pre></div><p>Get/Set the Type of the Photometric Light.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#Free_Point</strong></p>\n\
<p><strong>#Free_Line</strong></p>\n\
<p><strong>#Free_Rectangle</strong></p>\n\
<p><strong>#Free_Disc</strong></p>\n\
<p><strong>#Free_Sphere</strong></p>\n\
<p><strong>#Free_Cylinder</strong></p>\n\
<p><strong>#Target_Point</strong></p>\n\
<p><strong>#Target_Line</strong></p>\n\
<p><strong>#Target_Rectangle</strong></p>\n\
<p><strong>#Target_Disc</strong></p>\n\
<p><strong>#Target_Sphere</strong></p>\n\
<p><strong>#Target_Cylinder</strong></p>\n\
<div class=\'codeBlock\'><pre>.distribution: value : Read|Write \n\
</pre></div><p>Get/Set the distribution type.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Uniform Spherical</strong></p>\n\
<p>1 - <strong>Spotlight</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>2 - <strong>Uniform Hemispherical</strong> (not valid for Sphere and Cylinder types)</p>\n\
<p>3 - <strong>Photometric Web File</strong> (not valid for Sphere and Cylinder types)</p>\n\
<div class=\'codeBlock\'><pre>.excludeList: value : Read|Write \n\
</pre></div><p>Get/Set the exclusion list as an array on objects. When setting the value, the Include/Exclude option will be set to Exclude.</p>\n\
<div class=\'codeBlock\'><pre>.includeList: value : Read|Write \n\
</pre></div><p>Get/Set an array of objects to be included in the illumination by the light. When setting the value, the Include/Exclude option will be set to Include.</p>\n\
<div class=\'codeBlock\'><pre>.shadowGenerator: value : Read|Write \n\
</pre></div><p>Get/Set the Shadow Generator as class instance.</p>\n\
<div class=\'codeBlock\'><pre>.shadowGeneratorByName: value : Read|Write \n\
</pre></div><p>Get/Set the Shadow Generator by name.</p>\n\
<div class=\'codeBlock\'><pre>.raytracedShadows: value : Read|Write \n\
</pre></div><p>Get/Set use of raytraced shadows.</p>\n\
<p>Note:</p>\n\
<p>This property should <strong>not</strong> be used in <strong>3ds Max 5 and higher</strong>. Please use the <span class=\'code\'>.shadowGenerator</span> property to assign a shadow generator.</p>\n\
<p>The property is exposed for backwards compatibility only. In versions prior to <strong>3ds Max 5</strong>, the only possible shadow generator types were Shadow Maps and Raytraced Shadows. Setting this property will switch the shadow generator internally. Currently, the number of possible shadow generators is much higher (including 3rd party plug-ins), so this property is obsolete.</p>\n\
<div class=\'codeBlock\'><pre>.color: color by value : Read|Write \n\
</pre></div><p>Get/Set the color.</p>\n\
<div class=\'codeBlock\'><pre>.enabled: boolean : Read|Write \n\
</pre></div><p>Get/Set the enabled state.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";