var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Sun_Positioner : Light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Sun_Positioner : Light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sun_positioner-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>Sun_Positioner - superclass: light; super-superclass:node - 21:0 - classID: #(670970524L, 1903123237L)\n\
</pre></div><p>Instances of this class are used to define the Sun Position of the Physical Sun &amp; Sky Environment Map. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C780EAB3-B839-4BB1-8ADB-3399A0C84A3B-low.png\' title=\'\'></div>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Sun_Positioner...\n\
SunPositioner...\n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p><strong>Display Rollout</strong></p>\n\
<p>Compass Rose Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.show_compass     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Show&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.compass_radius     Float    default: 10.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Radius&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.north_direction_deg     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the value in degrees of the <strong>&quot;North Offset&quot;</strong> spinner.</p>\n\
<p>Sun Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.sun_distance     Float    default: 40.0   --  animatable; worldUnits\n\
</pre></div><p>Get/set the value in world units of the <strong>&quot;Distance&quot;</strong> spinner.</p>\n\
<p><strong>Sun Position Rollout</strong></p>\n\
<p>Date &amp; Time Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.mode     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Date &amp; Time&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Manual</strong> (default)</p>\n\
<p>1 - <strong>Date, Time, &amp; Location</strong></p>\n\
<p>2 - <strong>Weather Data File</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.weather_file     String    default: &quot;&quot;   --  filename; !error setting value!\n\
</pre></div><p>Get/set the file name of the <strong>&quot;Weather Data File&quot;</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.time_in_seconds     Integer    default: 43200   --  animatable; integer\n\
</pre></div><p>Get/set the time value in seconds.</p>\n\
<p>This is the internal animatable property used to store the time of day.</p>\n\
<p>The UI exposes the same value as Hours and Minutes - see the properties below.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.hours     Integer    default: 12   --  integer\n\
</pre></div><p>Get/set the value in hours of the <strong>&quot;Hours&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.minutes    Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value in minutes of the <strong>&quot;Minutes&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.julian_day     Integer    default: 2457925   --  animatable; integer\n\
</pre></div><p>The date is stored internally as a Julian Day value, where day 1 is January 1, 4713 B.C.</p>\n\
<p>However, the UI exposes the date as Gregorian calendar values by converting the Julain Day value back and forth.</p>\n\
<p>The default value is the day of the summer solstice in the year 2016 A.D.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.day   Integer    default: 21   --  integer\n\
</pre></div><p>Get/set the Gregorian calendar day converted from/to the internal Julian Day representation.</p>\n\
<p>Valid values are in the range from 1 to 31.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.month     Integer    default: 6   --  integer\n\
</pre></div><p>Get/set the Gregorian calendar month converted from/to the internal Julian Day representation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.year     Integer    default: 2017   --  integer\n\
</pre></div><p>Get/set the Gregorian calendar year converted from/to the internal Julian Day representation.</p>\n\
<p>Since the Gregorian calendar did not exist prior to October 15, 1582, the spinner in the UI is limited to a minimum value of 1583.</p>\n\
<p>Daylight Saving Time Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.dst     BooleanClass    default: true   --  animatable; boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Daylight Saving Time&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.dst_use_date_range     BooleanClass    default: false   --  animatable; boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Use Date Range&quot;</strong> checkbox.</p>\n\
<p>When checked, the Daylight Saving Time period can be specified manually using the following properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.dst_start_day     Integer    default: 15   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Start / Day&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.dst_start_month     Integer    default: 3   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Start / Month&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.dst_end_day     Integer    default: 1   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;End / Day&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.dst_end_month     Integer    default: 11   --  animatable; integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;End / Month&quot;</strong> spinner.</p>\n\
<p>Location on Earth Group Of Control</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.location     String    default: &quot;San Francisco, CA&quot;   --  string;\n\
</pre></div><p>Get the location string.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.latitude_deg     Float    default: 37.795   --  animatable; float\n\
</pre></div><p>Get/set the value in degrees of the <strong>&quot;Latitude&quot;</strong> spinner.</p>\n\
<p>The default value is the latitude of San Francisco, CA.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.longitude_deg     Float    default: -122.394   --  animatable; float\n\
</pre></div><p>Get/set the value in degrees of the <strong>&quot;Longitude&quot;</strong> spinner.</p>\n\
<p>The default value is the longitude of San Francisco, CA.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.time_zone     Float    default: -8.0   --  animatable; float\n\
</pre></div><p>Get/set the value in hours of the <strong>&quot;Time Zone&quot;</strong> spinner.</p>\n\
<p>The default value of -8 is the time zone of San Francisco, CA.</p>\n\
<p>Horizontal Coordinates Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.azimuth_deg     Float    default: 128.715   --  float\n\
</pre></div><p>Get/set the value in degrees of the <strong>&quot;Azimuth&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.altitude_deg    Float    default: 69.1675  --  float\n\
</pre></div><p>Get/set the value in degrees of the <strong>&quot;Altitude&quot;</strong> spinner.</p>\n\
<p><strong>Not Exposed To The UI</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Sun_Positioner&gt;.manual_sun_position     Point3    default: [11.0997,-8.89722,37.385]   --  animatable; point3\n\
</pre></div><p>Get/set the position of the sun manually via MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";