var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mr_Sky : light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mr_Sky : light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mr_sky-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>mr_Sky - superclass: light; super-superclass:node - 11:0 - classID: #(653144912, 2040224598) \n\
</pre></div><p>The <strong>mr_Sky</strong> Photometric light provides physically-based skylight illumination, esp. in conjunction with the mr_Physical_Sky : textureMap environment shader and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/mr_Sun-Light.html\' title=\'\'>mr_Sun : Light</a></p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>mr_Sky...    \n\
mrPhysSkyLight...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"mr-sky---parameters\"></a><h2 id=\"mr-sky---parameters\">mr Sky - Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5B41976D-F047-4608-8667-F06ACB7C8402-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.on BooleanClass default: true -- boolean &lt;mr_Sky&gt;.  enabled BooleanClass default: true -- alias for on   \n\
</pre></div><p>Get/set the state of the On (Enabled) checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.multiplier Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/set the Multiplier value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.GroundColor Color default: (color 51 51 51) -- animatable; fRGBA color; Ground_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); \n\
</pre></div><p>Get/set the Ground Color value.</p>\n\
<div class=\'section\'><a id=\"mr-sky---haze\"></a><h2 id=\"mr-sky---haze\">mr Sky - Haze</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1E5452E3-327F-49CA-836C-C0AB6C9F9EDA-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.Haze Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/set the Haze value.</p>\n\
<div class=\'section\'><a id=\"perez-parameters\"></a><h2 id=\"perez-parameters\">Perez Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2BF784A0-470F-4ABA-892A-A6516E95FC9A-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.PerezDiffuseHorizIlluminanceUI Float default: 10000.0 -- float; Perez_Diffuse_Horiz__Illuminance \n\
</pre></div><p>Get/set the Diffuse Horizontal Illuminance value exposed in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.PerezDirectNormalIlluminanceUI Float default: 10000.0 -- float; Perez_Direct_Normal_Illuminance_UI \n\
</pre></div><p>Get/set the Direct Normal Illuminance value exposed in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.PerezDirectNormalIlluminance Float default: 10000.0 -- float; Perez_Direct_Normal_Illuminance \n\
</pre></div><p>Get/set the internal Direct Normal Illuminance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.Perez_Dew_Point_Temp Float default: 0.0 -- float; Dew_Point_Temp \n\
</pre></div><p>Get/set the internal Dew Point Temperature value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.PerezDiffuseHorizIlluminance Float default: 10000.0 -- float; Perez_Diffuse_Horiz__Illuminance \n\
</pre></div><p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.PerezDiffuseHorizIrradiance Float default: 10000.0 -- float; Perez_Diffuse_Horiz__Irradiance \n\
</pre></div><p>Get/set the internal Diffuse Horizontal Irradiance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.PerezDirectNormalIrradiance Float default: 10000.0 -- float; Perez_Direct_Normal_Irradiacne \n\
</pre></div><p>Get/set the internal Direct Normal Irradiance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"mr-sky---cie-parameters\"></a><h2 id=\"mr-sky---cie-parameters\">mr Sky - CIE Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7FBAB789-2F91-4E18-A1D1-836026A6E896-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.CIEDiffuseHorizIlluminance Float default: 10000.0 -- float; CIE_Diffuse_Horiz__Illuminance \n\
</pre></div><p>Get/set the CIE Diffuse Horizontal Illuminance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.CIEDiffuseHorizIlluminanceUI Float default: 10000.0 -- float; CIE_Diffuse_Horiz__Illuminance_UI \n\
</pre></div><p>Get/set the CIE Diffuse Horizontal Illuminance UI value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.CIEDirectNormalIlluminance Float default: 10000.0 -- float; CIE_Direct_Normal_Illuminance \n\
</pre></div><p>Get/set the CIE Direct Normal Illuminance value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.CIEDirectNormalIlluminanceUI Float default: 10000.0 -- float; CIE_Direct_Normal_Illuminance_UI \n\
</pre></div><p>Get/set the CIE Direct Normal Illuminance UI value.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.CIEModel Integer default: 0 -- integer; CIE_Model \n\
</pre></div><p>Get/set the CIE Model drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Overcast sky</p>\n\
<p>1 - Clear sky</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"mr-sky---advanced-parameters\"></a><h2 id=\"mr-sky---advanced-parameters\">mr Sky - Advanced Parameters</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2B8A9B7A-A2DA-46AC-B024-E6924DC878BB-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.HorizonHeight Float default: 0.0 -- animatable; float; Saturation \n\
</pre></div><p>Get/set the Horizon Height value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.HorizonBlur Float default: 0.1 -- animatable; float; Horizon_Blur \n\
</pre></div><p>Get/set the Horizon Blur value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.NightColor Color default: (color 0 0 0) -- animatable; fRGBA color; Night_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); \n\
</pre></div><p>Get/set the Night Color value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.Redness Float default: 0.0 -- animatable; float \n\
</pre></div><p>Get/set the Red/Blue Tint value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.Saturation Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/set the Saturation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.UseAerialPerspective BooleanClass default: true -- boolean; Use_Aerial_Perspective \n\
</pre></div><p>Get/set the state of the Aerial Perspective checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mr_Sky&gt;.AerialPerspective Float default: 393701.0 -- animatable; float; Aerial_Perspective \n\
</pre></div><p>Get/set the Aerial Perspective value.</p>\n\
<div class=\'section\'><a id=\"mr_sky-interfaces\"></a><h2 id=\"mr_sky-interfaces\">mr_Sky interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:NaturalLightClass \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSun() \n\
&lt;boolean&gt;isSky()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";