var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Light Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Light Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"light-common-properties-operators-and-methods\"></a></div>\n\
<p>The following properties apply only to the <strong>3ds Max</strong> light types: DirectionalLight, FreeSpot, OmniLight, TargetSpot and TargetDirectionalLight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.type Name default: #freeDirect   \n\
</pre></div><p>the valid type values are:</p>\n\
<div class=\'codeBlock\'><pre>#omni #freeSpot #targetSpot #freeDirect #targetDirect \n\
&lt;light&gt;.enabled Boolean default: true -- alias: on \n\
</pre></div><p>Turns the light on and off. When on, shading and rendering use the light to illuminate the scene. When off, the light is not used in shading or rendering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.excludeList Array default: #() \n\
</pre></div><p>Objects in this array are excluded from the effects of the light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.includeList Array default: undefined \n\
</pre></div><p>Objects in this array receive the effects of the light.</p>\n\
<p>Note: Setting <strong>includelist</strong> or <strong>excludelist</strong> sets the other to <strong>undefined</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.inclExclType Integer default: 3 \n\
</pre></div><p>Select the type of object in the Include/Exclude list:</p>\n\
<p>1- Illumination</p>\n\
<p>2- Shadow Casting</p>\n\
<p>3- Both</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.castShadows Boolean default: false \n\
</pre></div><p>When on, the light will cast shadows on objects.</p>\n\
<p>Note: In <span class=\'code\'>3ds Max</span> , all node-level properties are searched before base-object-level properties. If a base-object property has the same name as a node-level property, you need to search in the base object for the base object property. You should use<light> . <span class=\'code\'>baseObject.castShadows</span> instead,<p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` $Omni01.baseObject.castShadows = false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.rgb Color default: (color 180 180 180) -- animatable, alias: color \n\
</pre></div><p>The red, green, and blue components of the light&#39;s color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.hsv Point3 default: [0,0,180] \n\
</pre></div><p>Hue, Saturation, and Value color of light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.hue Integer default: 0 \n\
</pre></div><p>Hue component of <strong>hsv</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.saturation Integer default: 0 \n\
</pre></div><p>Saturation component of <strong>hsv</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.value Integer default: 180 \n\
</pre></div><p>Value component of <strong>hsv</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.multiplier Float default: 1.0 -- animatable \n\
</pre></div><p>Amplifies the power of the light by a positive or negative amount.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.contrast Float default: 0.0 -- animatable \n\
</pre></div><p>Adjusts the contrast between the diffuse and ambient areas of the surface. Leave this set to 0 for normal contrast. Increase the value to increase the contrast for special effects: for example, the harsh light of outer space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.softenDiffuseEdge Float default: 0.0 -- animatable, alias: Diffuse_Soften \n\
</pre></div><p>Increasing the value of Soften Diffuse Edge softens the edge between the diffuse and ambient portions of a surface. This helps eliminate edges that can appear on a surface under certain circumstances.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.affectDiffuse Boolean default: true \n\
</pre></div><p>When on, the light affects the diffuse properties of an object&#39;s surface. When off, the light has no effect on the diffuse surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.affectSpecular Boolean default: true \n\
</pre></div><p>When on, the light affects the specular properties of an object&#39;s surface. When off, the light has no effect on the specular properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.ambientOnly Boolean default: false \n\
</pre></div><p>When on, the light affects only the ambient component of the illumination.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.projector Boolean default: false \n\
</pre></div><p>Turn on to project <strong>projectorMap</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.projectorMap TextureMap default: undefined \n\
</pre></div><p>Assigning a TextureMap to <strong>projectorMap</strong>causes a new subAnim named <strong>Projection_Map</strong> to be created for the light. This subAnim contains the properties of the TextureMap. You can set the property to <strong>undefined</strong> to remove the map.</p>\n\
<p>Note:</p>\n\
<p>Assigning a Projector TextureMap adds a subAnim to the properties list. The properties of the subAnim are the properties of the TextureMap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.useShadowProjectorMap Boolean default: false \n\
</pre></div><p>When on, the light will project a map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.nearAttenStart Float default: 0.0 -- alias: animatable, alias: Attenuation_Near_Start \n\
</pre></div><p>The distance at which the light begins to fade in.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.nearAttenEndFloat default: 40.0 -- alias: animatable, alias: Attenuation_Near_End \n\
</pre></div><p>The distance at which the light reaches its full value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.useNearAtten Boolean default: false \n\
</pre></div><p>Enables/Disables near attenuation for the light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.showNearAtten Boolean default: false \n\
</pre></div><p>When on, displays the near attenuation range settings in viewports. For spotlights, attenuation ranges appear as lens-shaped sections of the cone. For directional lights, the ranges appear as circular sections of the cone. For omni lights and spot or directional lights with Overshoot turned on, the ranges appear as spheres.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.farAttenStart Float default: 80.0 -- animatable, alias: Attenuation_Far_Start \n\
</pre></div><p>The distance at which the light begins to fade out.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.farAttenEnd Float default: 200.0 -- animatable, alias: Attenuation_Far_End \n\
</pre></div><p>The distance at which the light has faded to zero.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.useFarAtten Boolean default: false \n\
</pre></div><p>Enables/Disables far attenuation for the light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.showFarAtten Boolean default: false \n\
</pre></div><p>Displays the far attenuation range settings in viewports. For spotlights, attenuation ranges appear as lens-shaped sections of the cone. For directional lights, the ranges appear as circular sections of the cone. For omni lights and spot or directional lights with Overshoot turned on, the ranges appear as spheres.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.attenDecay Integer default: 1 \n\
</pre></div><p>The type of decay to use:</p>\n\
<p>1 - <strong>None</strong> (Applies no decay. The light maintains full strength from its source to infinity, unless you turn on far attenuation.)</p>\n\
<p>2 - <strong>Inverse</strong> (Applies inverse decay. The formula is luminance=R 0 /R, where <em>R</em> 0 is the radial source of the light if no attenuation is used, or the Near End value of the light if Attenuation is used. <em>R</em> is the radial distance of the illuminated surface from R 0 .)</p>\n\
<p>3 - <strong>Inverse Square</strong> (Applies inverse-square decay. The formula for this is (R 0 /R) 2 . This is actually the &quot;real-world&quot; decay of light, but you might find it too dim in the world of computer graphics.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.DecayRadius Float default: 40.0 -- animatable, alias: Decay_Falloff \n\
</pre></div><p>The distance over which the decay occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.useGlobalShadowSettings Boolean default: false \n\
</pre></div><p>Turn on to use global settings for shadows cast by this light. Turn off to enable individual control of the shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.raytracedShadows Boolean default: false \n\
</pre></div><p>Note:</p>\n\
<p>This property should <strong>not</strong> be used in <strong>3ds Max 5 and higher</strong>. Please use the <span class=\'code\'>.shadowGenerator</span> property described below to assign a shadow generator to the light.</p>\n\
<p>In versions prior to <strong>3ds Max 5</strong>, this property controlled the raytraced shadows generator usage. When <span class=\'code\'>true</span> , a raytraceShadow class instance was assigned automatically. When <span class=\'code\'>false</span> ,a shadowMap class instance was assigned automatically.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.maxDepth     Integer    default: 7   --  animatable; integer; Max_Quadtree_Depth\n\
</pre></div><p>The maximum quadtree depth setting for ray traced shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.raytraceBias     Float    default: 0.2   --  animatable; float; Bias\n\
</pre></div><p>The Ray Bias amount for ray traced shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.twoSidedShadows     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the 2 Sided Shadows setting for ray traced shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.shadowGenerator shadowMap default: shadowMap:shadowMap -- SubAnim \n\
</pre></div><p>The shadow generator class used by the light. Can be a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/ShadowMap-Shadow.html\' title=\'\'>shadowMap</a>,<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/RaytraceShadow-Shadow.html\' title=\'\'>raytraceShadow</a>,<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Adv__Ray_traced-Shadow.html\' title=\'\'>Adv__Ray_traced</a> or <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Area_Shadows-Shadow.html\' title=\'\'>Area_Shadows</a> class instance. See also <a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Accessing-Object-Properties/How-do-I-change-the-Shadow-type.html\' title=\'\'>MAXScript FAQ: How do I change the Shadow type of a Light?</a></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --assign shadow map shadows to the light Omni01: $Omni01.shadowGenerator = shadowMap() -- assign ractraced shadows to light Omni02: $Omni02.shadowGenerator = raytraceShadow()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.ShadowColor Color default: (color 0 0 0) -- animatable, alias: Shadow_Color \n\
</pre></div><p>The color of shadows cast by this light.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.shadowMultiplier Float default: 1.0 -- animatable, alias: Shadow_Density \n\
</pre></div><p>Controls the density of the shadow. Lower values make the shadow more transparent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.shadowProjectorMap TextureMap default: undefined \n\
</pre></div><p>Assigning a TextureMap to <span class=\'code\'>shadowProjectorMap</span> causes a new subAnim named <span class=\'code\'>Shadow_Projection_Map</span> to be created for the light. This subAnim contains the properties of the TextureMap. You can set the property to <span class=\'code\'>undefined</span> to remove the map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.twoSidedShadows Boolean default: true \n\
</pre></div><p>When on, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time. When off, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.lightAffectsShadow Boolean default: false \n\
</pre></div><p>When on, blends the light&#39;s color with the shadow color (or shadow colors, if the shadow is mapped).</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.atmosShadows Boolean default: true \n\
</pre></div><p>When on, atmospheric effects cast shadows as the light passes through them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.atmosOpacity Float default: 100.0 -- animatable, percentage, alias: Atmosphere_Opacity \n\
</pre></div><p>Adjusts the opacity of the shadows. This value is a percentage.</p>\n\
<div class=\'codeBlock\'><pre>&lt;light&gt;.atmosColorAmt Float default: 100.0 -- animatable, percentage, alias: Atmosphere_Color_Amount \n\
</pre></div><p>Adjusts the amount that the atmosphere&#39;s color is blended with the shadow color.</p>\n\
</light>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";