var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Skylight : Light</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Skylight : Light</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"skylight-light\"></a></div>\n\
<div class=\'codeBlock\'><pre>Skylight - superclass: light; super-superclass:node - classID: #(2079724664, 1378764549) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-698485C5-96B0-4A90-8C60-3FD81668D7C6-low.gif\' title=\'\'></div>\n\
</pre></div><p>The Skylight is a Natural light used to simulate outdoor illumination.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Skylight...      \n\
TexSkyLight...   \n\
Texture_Sky... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.multiplier Float default: 1.0 -- animatable; float \n\
</pre></div><p>The light multiplier controls the intensity of the skylight.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.color Color default: (color 242.25 242.25 255) -- animatable \n\
</pre></div><p>The sky color used by mode 1</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.on Boolean default: true -- boolean \n\
</pre></div><p>Toggle the light on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.sky_color_map TextureMap default: undefined -- texmap \n\
</pre></div><p>The map used to define the color of the sky</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.sky_color_map_on Boolean default: true -- animatable; boolean \n\
</pre></div><p>Toggle the color map usage on/off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.sky_color_map_amt Float default: 100.0 -- animatable; float \n\
</pre></div><p>Sets the opacity of the map. When it is 0, only the Sky Color is used. When it is 100, only the map is used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.sky_mode Integer default: 1 -- integer; Skylight_Mode \n\
</pre></div><p>Controls the sky mode:</p>\n\
<p>0 - Use Scene Environment</p>\n\
<p>1 - Sky Color</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.enabled Boolean default: true -- alias for on \n\
</pre></div><p>Toggle the light on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.rgb Color default: (color 255 255 255) -- animatable; alias for color \n\
</pre></div><p>The sky color used by mode 1</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.rays_per_sample Integer default: 20 -- animatable; integer \n\
</pre></div><p>Get/Set the number of rays per sample</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.ray_bias Float default: 0.005 -- animatable; float \n\
</pre></div><p>Get/Set the rays bias value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Skylight&gt;.castShadows BooleanClass default: false -- animatable; boolean; Cast_Shadows \n\
</pre></div><p>Toggle shadow casting on/off.</p>\n\
<div class=\'section\'><a id=\"skylight-interfaces\"></a><h2 id=\"skylight-interfaces\">Skylight interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:NaturalLightClass \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSun() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the light is a Sun light. In the case of <span class=\'code\'>Skylight</span> , it will return <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isSky() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the light is a Sky light. In the case of <span class=\'code\'>Skylight</span> , it will return <span class=\'code\'>true</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";