var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ShapeBooleanObject: Shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ShapeBooleanObject: Shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shapebooleanobject-shape\"></a></div>\n\
<div class=\'codeBlock\'><pre>ShapeBooleanObject : shape {6b963d5f,6e243528} \n\
</pre></div><p>The ShapeBooleanObject allows you to combline splines into new shapes using boolean operations. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"constructor\"></a><h2 id=\"constructor\">Constructor</h2></div>\n\
<p>Class instances not creatable by MAXScript</p>\n\
<div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'section\'><a id=\"rendering-rollup-properties\"></a><h3 id=\"rendering-rollup-properties\">Rendering Rollup Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_renderable(renderable) : boolean\n\
</pre></div><p>Specifies whether the Shape Boolean is renderable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_displayRenderMesh(displayRenderMesh) : boolean   \n\
</pre></div><p>Specifies whether to display the rendered spline mesh in the viewport. Equivalent to the <strong>Enable in Viewport</strong> setting in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_useViewportSettings(useViewportSettings) : boolean   \n\
</pre></div><p>Specifies whether to use a separate set of parameters to control how the spline is rendered in the viewport. When this is false, the same settings are used for both the viewport and renderer. When it is true, the <strong>render_viewport_</strong>* settings below are used instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_mapcoords(mapcoords) : boolean\n\
</pre></div><p>Specifies whether to generate mapping coordinates.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.realWorldMapSize : boolean  \n\
</pre></div><p>Specifies whether to use real world map size.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_displayRenderSettings(displayRenderSettings) : boolean   \n\
</pre></div><p>Specifies whether to display Renderer settings (true) or Viewport settings in the Shape Boolean UI. This property corresponds to the <strong>Viewport / Renderer</strong> radio button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_rectangular : boolean    \n\
&lt;ShapeBooleanObject&gt;.render_viewport_rectangular : boolean   \n\
</pre></div><p>Specifies whether to render the spline as an extruded rectangle (true) or as an extruded circle (false).</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.thickness : float   \n\
&lt;ShapeBooleanObject&gt;.render_viewport_thickness(viewport_thickness) : float\n\
</pre></div><p>Specifies the thickness of the rendered radial mesh, for rendering and viewport settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.sides : integer     \n\
&lt;ShapeBooleanObject&gt;.render_viewport_sides(viewport_sides) : integer\n\
</pre></div><p>Specifies the number of sides for the rendered radial mesh, for rendering and viewport settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.angle : float   \n\
&lt;ShapeBooleanObject&gt;.render_viewport_angle(viewport_angle) : float   \n\
</pre></div><p>The angle of the radial sides, for the rendering and viewport settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_viewport_length : float  \n\
</pre></div><p>The extrude segment length (height), when the <strong>render_rectangular</strong> property is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_viewport_width : float   \n\
</pre></div><p>The extrude segment width, when the <strong>render_rectangular</strong> property is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_viewport_angle2 : float  \n\
</pre></div><p>The angle used when <strong>render_rectangular</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_aspect_locked : boolean  \n\
&lt;ShapeBooleanObject&gt;.render_viewport_aspect_locked : boolean     \n\
</pre></div><p>Specifies whether the aspect ratio between the rendered rectangle length and width is locked or not. The aspect ratio itself is calculated, and is not exposed as a parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_auto_smooth : boolean    \n\
</pre></div><p>Specifies wether the rendered mesh is smoothed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.render_threshold : integer\n\
</pre></div><p>Specifies the smoothing threshold, if auto smooth is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.twist_correction : boolean  \n\
</pre></div><p>Specifies whether twist correction is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.cap : boolean   \n\
</pre></div><p>Specifies whether to cap open ends on the rendered mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.quad_cap : boolean  \n\
</pre></div><p>Specifies whether to use a quad cap on the rendered mesh, if <strong>.cap</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.cap_segments : integer  \n\
</pre></div><p>Specifies the number of segments to use, if <strong>.quad_cap</strong> is true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.sphere_cap : float  \n\
</pre></div><p>Specifies how spherical the cap is, in a range of 0.0 (flat) to 1.0 (spherical).</p>\n\
<div class=\'section\'><a id=\"inerpolation-rollup-properties\"></a><h3 id=\"inerpolation-rollup-properties\">Inerpolation Rollup Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.steps : integer\n\
</pre></div><p>The number of interpolation steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.optimize : boolean  \n\
</pre></div><p>Specifies whether to optimize interpolation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.adaptive : boolean  \n\
</pre></div><p>Specifies whether to use adaptive interpolation.</p>\n\
<div class=\'section\'><a id=\"boolean-parameters-rollup-properties\"></a><h3 id=\"boolean-parameters-rollup-properties\">Boolean Parameters Rollup Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.objects : maxObject array   \n\
</pre></div><p>Contains an array of the operand objects in the shape boolean operation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.operation : int array   \n\
</pre></div><p>Specifies the boolean operation for each operand, with each item corresponding to an operand in the <strong>.objects</strong> array.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li>0=Union</li>\n\
<li>1=Intersect</li>\n\
<li>2=Subtract</li>\n\
<li>3=Merge</li>\n\
<li>4=Attach</li>\n\
<li>5=Insert</li>\n\
<li>6=Sym. Diff.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.operand_tm : maxObject array    \n\
</pre></div><p>An array of transforms for the corresponding operands in the <strong>.objects</strong> array.</p>\n\
<div class=\'section\'><a id=\"operand-parameters-rollup-properties\"></a><h3 id=\"operand-parameters-rollup-properties\">Operand Parameters Rollup Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.option : int array  \n\
</pre></div><p>Specifies the boolean option applied to the corresponding operand in the .objects array. Possible values are:</p>\n\
<ul>\n\
<li>0=No option</li>\n\
<li>1=Imprint</li>\n\
<li>2=Cookie</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.materialOption : integer    \n\
</pre></div><p>Specifies the material options for the operand, where 0=Apply Operand Material, and 1=Retain Original Material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.displayResult : integer     \n\
</pre></div><p>Specifies whether to display the boolean operation result, where 0=false and 1=true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.displayOperands : integer   \n\
</pre></div><p>Specifies whether to display the operands, where 0=false and 1=true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.operandDisplay : integer    \n\
</pre></div><p>Specifies which operands to display, when <strong>.displayOperands=1</strong>, where 0=All Operands, and 1=Selected Operands.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.operandsAsEvaluated : integer   \n\
</pre></div><p>Specifies whether to display operands as evaluated, where 0=false, and 1=true.</p>\n\
<div class=\'section\'><a id=\"seam-parameters-rollup-properties\"></a><h3 id=\"seam-parameters-rollup-properties\">Seam Parameters Rollup Properties</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.seamType : int array    \n\
</pre></div><p>Specifies the seam type, where each item in the array corresponds to the seam type setting for the corresponding operand in the <strong>.objects</strong> array.</p>\n\
<p>Possible values are: 0=Simple, 1=Fillet, 2=Chamfer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.seamSize : float array  \n\
</pre></div><p>Specifies the seam size, where each item in the array corresponds to the seam size setting for the corresponding operand in the <strong>.objects</strong> array.</p>\n\
<div class=\'section\'><a id=\"other-properties\"></a><h3 id=\"other-properties\">Other Properties</h3></div>\n\
<p>These properties are not exposed in the Shape Boolean UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeBooleanObject&gt;.iconsize : float    \n\
</pre></div><p>Gets or sets the Shape Boolean icon size in the viewport.</p>\n\
<div class=\'section\'><a id=\"shapebooleanobject-interfaces\"></a><h2 id=\"shapebooleanobject-interfaces\">ShapeBooleanObject Interfaces</h2></div>\n\
<div class=\'section\'><a id=\"interface-shapebooleanobject\"></a><h3 id=\"interface-shapebooleanobject\">Interface: ShapeBooleanObject</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;integer&gt;GetNumOperands()        \n\
</pre></div><p>Returns the number of operands in the ShapeBooleanObject.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetOperandName &lt;index&gt;index &lt;&amp;string&gt;nameout \n\
           nameout is Out parameter           \n\
</pre></div><p>Gets the name of the specified operand, as displayed in the Shape Boolean UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetOperandName &lt;index&gt;index &lt;string&gt;name\n\
</pre></div><p>Sets the name of the specified operand as displayed in the Shape Boolean UI. Note that this does not change the operand, that is, setting this to the name of another object in the scene does not make that object an operand. This is equivalent to the <strong>Rename</strong> command in the right-click menu for the operands list in the Shape Boolean UI.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetOperandType &lt;index&gt;index &lt;&amp;enum&gt;type \n\
           type enums: {#system|#generated} \n\
           type is Out parameter          \n\
</pre></div><p>Gets the type of the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetNumChildren &lt;index&gt;index &lt;&amp;integer&gt;count \n\
          count is Out parameter          \n\
</pre></div><p>Gets the number of children for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetOperationType &lt;index&gt;index &lt;&amp;enum&gt;type \n\
           type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert|#symmetricDifference} \n\
           type is Out parameter \n\
          \n\
</pre></div><p>Gets the operation type for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SetOperationType &lt;index&gt;index &lt;enum&gt;type \n\
           type enums: {#union|#intersection|#subtraction|#merge|#attach|#insert|#symmetricDifference} \n\
          \n\
</pre></div><p>Sets the operand type for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetOperationOption &lt;index&gt;index &lt;&amp;enum&gt;option \n\
           option enums: {#none|#imprint|#cookie} \n\
           option is Out parameter        \n\
</pre></div><p>Gets the operand option for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SetOperationOption &lt;index&gt;index &lt;enum&gt;option \n\
           option enums: {#none|#imprint|#cookie}         \n\
</pre></div><p>Sets the operand option for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetSeamType &lt;index&gt;index &lt;&amp;enum&gt;type \n\
           type enums: {#simple|#fillet|#chamfer} \n\
           type is Out parameter          \n\
</pre></div><p>Gets the seam type for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SetSeamType &lt;index&gt;index &lt;enum&gt;type \n\
           type enums: {#simple|#fillet|#chamfer}         \n\
</pre></div><p>Sets the seam type for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetSeamSize &lt;index&gt;index &lt;time&gt;time &lt;&amp;float&gt;size &lt;&amp;interval&gt;valid \n\
           size is Out parameter \n\
           valid is In and Out parameter\n\
</pre></div><p>Gets the seam size for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SetSeamSize &lt;index&gt;index &lt;time&gt;time &lt;float&gt;size \n\
          \n\
</pre></div><p>Sets the seam size for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetSolo &lt;index&gt;operandIndex &lt;&amp;boolean&gt;solo \n\
           solo is Out parameter\n\
</pre></div><p>Gets the &quot;solo&quot; setting for the specified operand. This indicates whether it is isolated in the UI.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SetSolo &lt;index&gt;operandIndex &lt;boolean&gt;solo           \n\
</pre></div><p>Sets the &quot;solo&quot; setting for the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetSoloOperandIndex &lt;&amp;index&gt;operandIndex \n\
          operandIndex is Out parameter           \n\
</pre></div><p>Returns the index of the operand that is set to &quot;Solo&quot; view in the operands list, if one is set, or 0 if none is set, in the <strong>operandIndex</strong> parameter.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;GetDisable &lt;index&gt;operandIndex &lt;&amp;boolean&gt;disable \n\
          disable is Out parameter \n\
          \n\
</pre></div><p>Gets the disabled state of the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SetDisable &lt;index&gt;operandIndex &lt;boolean&gt;disable \n\
          \n\
</pre></div><p>Sets the disabled state of the specified operand.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;HasSubdivs &lt;index&gt;operandIndex &lt;time&gt;time &lt;&amp;boolean&gt;sub \n\
           sub is Out parameter \n\
          \n\
 &lt;boolean&gt;GetSubdivs &lt;index&gt;index &lt;time&gt;time &lt;&amp;integer&gt;subdivs &lt;&amp;interval&gt;valid \n\
           subdivs is Out parameter \n\
           valid is In and Out parameter \n\
          \n\
 &lt;boolean&gt;SetSubdivs &lt;index&gt;index &lt;time&gt;time &lt;integer&gt;subdivs         \n\
 &lt;boolean&gt;RemoveOperand &lt;index&gt;operandIndex           \n\
</pre></div><p>Removes the specified operand from the operand list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;AppendOperand &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;boolean&gt;hold        \n\
</pre></div><p>Adds the specified scene node to the operand list.</p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;InsertOperand &lt;node&gt;boolNode &lt;node&gt;operandNode &lt;index&gt;where &lt;boolean&gt;hold           \n\
</pre></div><p>Inserts the specified scene node as an operand at the specified index of the operands list.</p>\n\
<div class=\'section\'><a id=\"actions\"></a><h3 id=\"actions\">Actions</h3></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";