var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Tee : Shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Tee : Shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tee-shape\"></a></div>\n\
<div class=\'codeBlock\'><pre>Tee - superclass: shape; super-superclass:node - 42:7 - classID: #(-85272820, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-17AA327A-D953-416C-8CA1-153CD3D0E51F-low.gif\' title=\'\'></div>\n\
</pre></div><p>The <strong>TeeShape</strong> is available in <strong>3ds Max 8 and higher</strong> under Create&gt;Shapes&gt;&quot;<strong>Extended Splines</strong>&quot; and provides an &quot;T&quot; like shape.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Tee...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h2 id=\"parameters-rollout\">Parameters Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.tee_length Float default: 0.0 -- animatable; float; Length   \n\
</pre></div><p>Get/set the Length of the Tee shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.tee_width Float default: 0.0 -- animatable; float; Width \n\
</pre></div><p>Get/set the Width of the Tee shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.tee_thickness Float default: 0.0 -- animatable; float; Thickness \n\
</pre></div><p>Get/set the Thickness of the Tee shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.tee_radius Float default: 0.0 -- animatable; float; CornerRadius \n\
</pre></div><p>Get/set the Corner Radius of the Tee shape.</p>\n\
<div class=\'section\'><a id=\"interpolation-rollout\"></a><h2 id=\"interpolation-rollout\">Interpolation Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.steps Integer default: 6 -- integer \n\
</pre></div><p>Get/set the Steps value. This controls the number of subdivisions between two vertices.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.optimize BooleanClass default: true -- boolean \n\
</pre></div><p>Enable/Disable the Optimize option. When set to true, removes unneeded steps from straight segments in the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.adaptive BooleanClass default: false -- boolean \n\
</pre></div><p>Enable/Disable the Adaptive option. When true, sets the number of steps for each segment to produce a smooth curve. Straight segments always receive 0 steps.</p>\n\
<div class=\'section\'><a id=\"creation-method-rollout\"></a><h2 id=\"creation-method-rollout\">Creation Method Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_creationMethod BooleanClass default: false -- boolean; Creation_Method \n\
</pre></div><p>Controls the creation method when using the Keyboard Entry controls. Possible values are:</p>\n\
<p>false:<strong>Edge</strong></p>\n\
<p>true:<strong>Center</strong></p>\n\
<div class=\'section\'><a id=\"keyboard-entry-rollout\"></a><h2 id=\"keyboard-entry-rollout\">Keyboard Entry Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_x Float default: 0.0 -- float; X \n\
</pre></div><p>Get/set the X type-in value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_y Float default: 0.0 -- float; Y \n\
</pre></div><p>Get/set the Y type-in value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_z Float default: 0.0 -- float; Z \n\
</pre></div><p>Get/set the Z type-in value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_Length Float default: 0.0 -- float; TypeInLength \n\
</pre></div><p>Get/set the Length type-in value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_Width Float default: 0.0 -- float; TypeInWidth \n\
</pre></div><p>Get/set the Width type-in value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_Thickness Float default: 0.0 -- float; TypeInThickness \n\
</pre></div><p>Get/set the Thickness type-in value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.typeIn_Radius Float default: 0.0 -- float; TypeInRadius \n\
</pre></div><p>Get/set the Corner Radius type-in value.</p>\n\
<div class=\'section\'><a id=\"rendering-rollout\"></a><h2 id=\"rendering-rollout\">Rendering Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_renderable BooleanClass default: false -- boolean; renderable \n\
</pre></div><p>Controls the state of the &quot;Enable in Renderer&quot; checkbox. When set to true, the spline will be rendered by the production renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_displayRenderMesh BooleanClass default: false -- boolean; displayRenderMesh \n\
</pre></div><p>Controls the state of the &quot;Enable In Viewport&quot; checkbox. When set to true, the spline&#39;s mesh will be displayed in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_useViewportSettings BooleanClass default: false -- boolean; useViewportSettings \n\
</pre></div><p>Controls the state of the &quot;Use Viewport Settings&quot; checkbox. When set to true, the mesh displayed in the viewport will use the Viewport settings. When false, the Renderer settings will be used for the viewport mesh, too.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_mapcoords BooleanClass default: false -- boolean; mapcoords \n\
</pre></div><p>Toggles mapping coordinates generation on and off. The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_displayRenderSettings BooleanClass default: true -- boolean; displayRenderSettings \n\
</pre></div><p>Toggles the state of the Viewport/Renderer radio buttons. When set to true, the Renderer settings will be displayed in the rollout. When false, the Viewport settings will be shown instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.realWorldMapSize BooleanClass default: false -- boolean \n\
</pre></div><p>Toggles the real-world map size option on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_rectangular BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_rectangular BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.</p>\n\
<div class=\'section\'><a id=\"renderer---radial-cross-section\"></a><h2 id=\"renderer---radial-cross-section\">Renderer - Radial Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_thickness Float default: 1.0 -- animatable \n\
&lt;Tee&gt;.thickness Float default: 1.0 -- animatable; float \n\
</pre></div><p>Get/Set the diameter of the Radial renderable spline mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_sides Integer default: 12 -- animatable \n\
&lt;Tee&gt;.sides Integer default: 3 -- integer \n\
</pre></div><p>Get/Set the number of sides for the spline mesh in the renderer. A value of 4 will give you a square cross section, for example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_angle Float default: 0.0 -- animatable \n\
&lt;Tee&gt;.angle Float default: 0.0 -- float \n\
</pre></div><p>Get/Set therotational position of the Radial cross-section in the renderer.</p>\n\
<div class=\'section\'><a id=\"renderer---rectangular-cross-section\"></a><h2 id=\"renderer---rectangular-cross-section\">Renderer - Rectangular Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_length Float default: 6.0 -- animatable \n\
</pre></div><p>Get/Set the length of the Rectangular renderable spline mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_width Float default: 2.0 -- animatable \n\
</pre></div><p>Get/Set the width of the Rectangular renderable spline mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_angle2 Float default: 0.0 -- animatable \n\
</pre></div><p>Get/Set rotational position of the Rectangular cross-section in the renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_aspect_locked BooleanClass default: false -- boolean \n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<div class=\'section\'><a id=\"viewport---radial-cross-section\"></a><h2 id=\"viewport---radial-cross-section\">Viewport - Radial Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_angle Float default: 0.0 -- float; viewport_angle \n\
</pre></div><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_sides Integer default: 12 -- integer; viewport_sides \n\
</pre></div><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports. A value of 4 will give you a square cross section, for example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_thickness Float default: 1.0 -- float; viewport_thickness \n\
</pre></div><p>Gets/Sets the rotational position of the cross-section in the viewports.</p>\n\
<div class=\'section\'><a id=\"viewport---rectangular-cross-section\"></a><h2 id=\"viewport---rectangular-cross-section\">Viewport - Rectangular Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_length Float default: 6.0 -- float \n\
</pre></div><p>Get/Set the length of the Rectangular spline mesh in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_width Float default: 2.0 -- float \n\
</pre></div><p>Get/Set the width of the Rectangular spline mesh in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_angle2 Float default: 0.0 -- float \n\
</pre></div><p>Get/Set rotational position of the Rectangular cross-section in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_viewport_aspect_locked BooleanClass default: false -- boolean \n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<div class=\'section\'><a id=\"auto-smooth\"></a><h2 id=\"auto-smooth\">Auto Smooth</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_auto_smooth BooleanClass default: true -- boolean \n\
</pre></div><p>Controls the state of the Auto Smooth checkbox. When set to true, auto smoothing will be enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Tee&gt;.render_threshold Floatdefault: 40.0 -- animatable; \n\
</pre></div><p>Get/Set auto smoothing angle threshold.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";