var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CV_Curve : Shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CV_Curve : Shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cv_curve-shape\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-00296760-FE07-4B69-848F-0EE4392EEF93-low.gif\' title=\'\'></div>\n\
<p>CV_Curves are NURBS curve objects defined by CVs (control vertices).</p>\n\
<p>All NURBS objects are created through the special NURBS descriptor classes (see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Working-with-NURBS.html\' title=\'\'>Working with NURBS</a>) and the CV_Curve class is used typically in object class testing with the <span class=\'code\'>classOf()</span> function.</p>\n\
<p>Scene objects created as CV Curve shape objects in the <strong>3ds Max</strong> user interface have the class <span class=\'code\'>CV_Curve</span> .</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>NURBSNode &lt;nurbs_set&gt; ...    \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Using-the-NURBS-Classes-and/Creating-New-NURBS-Objects.html\' title=\'\'>Creating New NURBS Objects</a> for details.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CV_Curve&gt;.angle Float default: 0.0 -- animatable   \n\
</pre></div><p>The rotational position of the cross-section in the renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CV_Curve&gt;.thickness Float default: 1.0 -- animatable \n\
</pre></div><p>Diameter of the rendered curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CV_Curve&gt;.sides Float default: 12.0 -- animatable \n\
</pre></div><p>Sets the number of sides for the curve mesh in the renderer. A value of 4 will give you a square cross section, for example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CV_Curve&gt;.renderable Boolean default: true \n\
</pre></div><p>When on, the curve is displayed in the rendered scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CV_Curve&gt;.mapCoords Boolean default: false \n\
</pre></div><p>Turn this on to apply mapping coordinates. The U coordinate wraps once around the thickness of the curve; the V coordinate is mapped once along the length of the curve.</p>\n\
<p>Additional Properties for CV curves are accessed through a NURBSSet descriptor object. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/NURBS/Working-with-NURBS.html\' title=\'\'>Working with NURBS</a> for more details.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";