var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Pipe: shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Pipe: shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pipe-shape\"></a></div>\n\
<div class=\'codeBlock\'><pre>Pipe : shape {199a,0} \n\
</pre></div><p>Used by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Sweep-Modifier.html\' title=\'\'>Sweep modifier</a>. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Most of the renderable shape properties documented below are not really necessary as the shape is being used mainly as cross-section in the Sweep modifier.</p>\n\
<p>It is technically possible to get the 7th cross-section instance from a Sweep modifier and assign to another scene node to get a working Pipe shape in the viewport and the Modifier panel though.</p>\n\
<p>Some cross-section properties like Auto-Smooth Threshold for example have not been exposed.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h2 id=\"parameters-rollout\">Parameters Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.radius \n\
</pre></div><p>Get/Set the outer radius of the pipe.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.pipe_thickness \n\
</pre></div><p>Get/Set the thickness of the pipe.</p>\n\
<div class=\'section\'><a id=\"interpolation-rollout\"></a><h2 id=\"interpolation-rollout\">Interpolation Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.steps \n\
</pre></div><p>Get/Set the number of interpolation steps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.optimize \n\
</pre></div><p>Get/Set the state of the <strong>Optimize</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.adaptive \n\
</pre></div><p>Get/Set the state of the <strong>Adaptive</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"rendering-rollout\"></a><h2 id=\"rendering-rollout\">Rendering Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_renderable \n\
&lt;Pipe&gt;.baseobject.renderable \n\
</pre></div><p>Toggles the &quot;Enable In Renderer&quot; checkbox on and off. When set to true, the mesh will be displayed in the production renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.displayRenderMesh \n\
&lt;Pipe&gt;.render_displayRenderMesh \n\
</pre></div><p>Toggles the &quot;Enable In Viewport&quot; checkbox on and off. When set to true, the mesh will be displayed in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.useViewportSettings \n\
&lt;Pipe&gt;.render_useViewportSettings \n\
</pre></div><p>Toggles the &quot;Use Viewport Settings&quot; checkbox on and off. When set to true, the mesh displayed in the viewport will use the Viewport settings. When false, the Renderer settings will be used for the viewport mesh, too.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.mapcoords &lt;Pipe&gt;.render_mapcoords \n\
</pre></div><p>Toggles mapping coordinates generation on and off. The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.realWorldMapSize \n\
</pre></div><p>Toggles the real-world map size option on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.displayRenderSettings \n\
&lt;Pipe&gt;.render_displayRenderSettings \n\
</pre></div><p>Toggles the state of the Viewport/Renderer radio buttons. When set to true, the Renderer settings will be displayed in the rollout. When false, the Viewport settings will be shown instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_rectangular \n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_viewport_rectangular \n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports. When false (default), enables the Radial cross-section mode. Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.</p>\n\
<div class=\'section\'><a id=\"renderer---radial-cross-section\"></a><h2 id=\"renderer---radial-cross-section\">Renderer - Radial Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.thickness \n\
</pre></div><p>Get/Set the thickness of the renderer radial cross-section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.sides \n\
</pre></div><p>Get/Set the number of sides in the renderer radial cross-section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.angle \n\
</pre></div><p>Get/Set the rotational position of the renderer radial cross-section.</p>\n\
<div class=\'section\'><a id=\"renderer---rectangular-cross-section\"></a><h2 id=\"renderer---rectangular-cross-section\">Renderer - Rectangular Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_aspect_locked \n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<div class=\'section\'><a id=\"viewport---radial-cross-section\"></a><h2 id=\"viewport---radial-cross-section\">Viewport - Radial Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.viewport_thickness &lt;Pipe&gt;.render_viewport_thickness \n\
</pre></div><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.viewport_sides &lt;Pipe&gt;.render_viewport_sides \n\
</pre></div><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports. A value of 4 will give you a square cross section, for example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.viewport_angle &lt;Pipe&gt;.render_viewport_angle \n\
</pre></div><p>Gets/Sets the rotational position of the cross-section in the viewports.</p>\n\
<div class=\'section\'><a id=\"viewport---rectangular-cross-section\"></a><h2 id=\"viewport---rectangular-cross-section\">Viewport - Rectangular Cross-Section</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_viewport_length \n\
</pre></div><p>Get/Set the length of the Rectangular spline mesh in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_viewport_width \n\
</pre></div><p>Get/Set the width of the Rectangular spline mesh in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_viewport_angle2 \n\
</pre></div><p>Get/Set rotational position of the Rectangular cross-section in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_viewport_aspect_locked \n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton. When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<div class=\'section\'><a id=\"auto-smooth\"></a><h2 id=\"auto-smooth\">Auto Smooth</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Pipe&gt;.render_auto_smooth \n\
</pre></div><p>Controls the state of the Auto Smooth checkbox. When set to true, auto smoothing will be enabled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";