var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Egg : Shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Egg : Shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"egg-shape\"></a></div>\n\
<div class=\'codeBlock\'><pre>Egg - superclass: shape; super-superclass:node - 43:7 - classID: #(387586814, 0) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\' title=\'\'></div>\n\
</pre></div><p>The <strong>Egg Shape</strong> object is used mainly for the creation of egg-shaped cross-sections.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>egg...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"parameters-rollout\"></a><h2 id=\"parameters-rollout\">Parameters Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.egg_length     Float    default: 60.0   --  animatable; worldUnits; Length\n\
</pre></div><p>Get/set the length of the egg shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.egg_width     Float    default: 40.0   --  animatable; worldUnits; Width\n\
</pre></div><p>Get/set the width of the egg shape.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.egg_outline     BooleanClass    default: true   --  animatable; boolean; Outline\n\
</pre></div><p>Get/set the state of the Outline checkbox. When set to true, the shape will contain two concentric splines.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.egg_thickness     Float    default: 5.0   --  animatable; worldUnits; Thickness\n\
</pre></div><p>Get/set the thickness of the outline.</p>\n\
<p>Used when <span class=\'code\'>.egg_outline</span> is set to True.</p>\n\
<p>Positive values create the outline shape outside of the primary shape, negative values place it inside.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.egg_angle     Float    default: 0.0   --  animatable; float; Angle\n\
</pre></div><p>Get/set the Angle of the shape in degrees.</p>\n\
<p>Positive values rotate the shape Counter-Clock-Wise.</p>\n\
<div class=\'section\'><a id=\"interpolation-rollout\"></a><h2 id=\"interpolation-rollout\">Interpolation Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.steps     Integer    default: 6   --  integer\n\
</pre></div><p>The number of divisions between each vertex.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.optimize     BooleanClass    default: true   --  boolean\n\
</pre></div><p>When on, removes unneeded steps from straight segments in the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.adaptive     BooleanClass    default: false   --  boolean\n\
</pre></div><p>When on, Adaptive sets the number of steps for each spline to produce a smooth curve.</p>\n\
<p>Straight segments always receive 0 steps.</p>\n\
<div class=\'section\'><a id=\"rendering-rollout\"></a><h2 id=\"rendering-rollout\">Rendering Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_renderable     BooleanClass    default: false   --  boolean; renderable\n\
</pre></div><p>Toggles the &quot;Enable in Renderer&quot; checkbox on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_displayRenderMesh     BooleanClass    default: false   --  boolean; displayRenderMesh\n\
</pre></div><p>Toggles the &quot;Enable In Viewport&quot; checkbox on and off.</p>\n\
<p>When set to true, the mesh will be displayed in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_useViewportSettings     BooleanClass    default: false   --  boolean; useViewportSettings\n\
</pre></div><p>Toggles the &quot;Use Viewport Settings&quot; checkbox on and off.</p>\n\
<p>When set to true, the mesh displayed in the viewport will use the Viewport settings.</p>\n\
<p>When false, the Renderer settings will be used for the viewport mesh, too.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_mapcoords     BooleanClass    default: false   --  boolean; mapcoords\n\
</pre></div><p>Toggles mapping coordinates generation on and off.</p>\n\
<p>The U coordinate wraps once around the thickness of the spline; the V coordinate is mapped once along the length of the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.realWorldMapSize     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Toggles the real-world map size option on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_displayRenderSettings     BooleanClass    default: true   --  boolean; displayRenderSettings\n\
</pre></div><p>Toggles the state of the Viewport/Renderer radio buttons.</p>\n\
<p>When set to true, the Renderer settings will be displayed in the rollout.</p>\n\
<p>When false, the Viewport settings will be shown instead.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_rectangular     BooleanClass    default: false   --  boolean\n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the renderer.</p>\n\
<p>When false (default), enables the Radial cross-section mode.</p>\n\
<p>Corresponds to the Radial/Rectangular radio buttons in the UI in Renderer mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_rectangular     BooleanClass    default: false   --  boolean\n\
</pre></div><p>When set to true, enables the Rectangular cross-section mode to be used in the viewports.</p>\n\
<p>When false (default), enables the Radial cross-section mode.</p>\n\
<p>Corresponds to the Radial/Rectangular radio buttons in the UI in Viewport mode.</p>\n\
<div class=\'section\'><a id=\"renderer---radial-cross-section\"></a><h3 id=\"renderer---radial-cross-section\">Renderer - Radial Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.thickness     Float    default: 1.0   --  animatable; float\n\
&lt;Egg&gt;.render_thickness     Float    default: 1.0   --  animatable\n\
</pre></div><p>Get/Set the diameter of the Radial renderable spline mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.sides     Integer    default: 12   --  integer\n\
&lt;Egg&gt;.render_sides     Integer    default: 12   --  animatable\n\
</pre></div><p>Get/Set the number of sides for the spline mesh in the renderer.</p>\n\
<p>A value of 4 will give you a square cross section, for example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.angle     Float    default: 0.0   --  float\n\
&lt;Egg&gt;.render_angle     Float    default: 0.0   --  animatable\n\
</pre></div><p>Get/Set the rotational position of the Radial cross-section in the renderer.</p>\n\
<div class=\'section\'><a id=\"renderer---rectangular-cross-section\"></a><h3 id=\"renderer---rectangular-cross-section\">Renderer - Rectangular Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_length     Float    default: 6.0   --  animatable\n\
</pre></div><p>Get/Set the length of the Rectangular renderable spline mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_width     Float    default: 2.0   --  animatable\n\
</pre></div><p>Get/Set the width of the Rectangular renderable spline mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_angle2     Float    default: 0.0   --  animatable\n\
</pre></div><p>Get/Set rotational position of the Radial cross-section in the renderer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_aspect_locked     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton.</p>\n\
<p>When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<div class=\'section\'><a id=\"viewport---radial-cross-section\"></a><h3 id=\"viewport---radial-cross-section\">Viewport - Radial Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_angle     Float    default: 0.0   --  float; viewport_angle\n\
</pre></div><p>Get/Set the diameter of the Radial renderable spline mesh in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_sides     Integer    default: 12   --  integer; viewport_sides\n\
</pre></div><p>Gets/Sets the number of sides for the Radial spline mesh in the viewports.</p>\n\
<p>A value of 4 will give you a square cross section, for example.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_thickness     Float    default: 1.0   --  float; viewport_thickness\n\
</pre></div><p>Gets/Sets the rotational position of the cross-section in the viewports.</p>\n\
<div class=\'section\'><a id=\"viewport---rectangular-cross-section\"></a><h3 id=\"viewport---rectangular-cross-section\">Viewport - Rectangular Cross-Section</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_length     Float    default: 6.0   --  float\n\
</pre></div><p>Get/Set the length of the Rectangular spline mesh in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_width     Float    default: 2.0   --  float\n\
</pre></div><p>Get/Set the width of the Rectangular spline mesh in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_angle2     Float    default: 0.0   --  float\n\
</pre></div><p>Get/Set rotational position of the Rectangular cross-section in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_viewport_aspect_locked     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Controls the state of the Aspect Lock checkbutton.</p>\n\
<p>When set to true, changing the Width will affect the Height and vice-versa, preserving the aspect at the time the lock was engaged.</p>\n\
<div class=\'section\'><a id=\"auto-smooth\"></a><h3 id=\"auto-smooth\">Auto Smooth</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_auto_smooth     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Controls the state of the Auto Smooth checkbox.</p>\n\
<p>When set to true, auto smoothing will be enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Egg&gt;.render_threshold     Float    default: 40.0   --  animatable\n\
</pre></div><p>Get/set the Auto Smooth Threshold value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";