var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Freehand: Shape</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Freehand: Shape</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"freehand-shape\"></a></div>\n\
<div class=\'codeBlock\'><pre>FreehandSpline - superclass: shape; super-superclass:node - 20:7 - classID: #(3232560656L, 2603512888L) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-8C579EEE-DDD1-4A3A-A339-3A53B57CA3F4-low.bmp\' title=\'\'></div>\n\
</pre></div><p>Available in <strong>3ds Max 2018.2 and higher</strong>: The freehand spline allows users to draw splines in the viewport by tracing a path.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Freehand...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'section\'><a id=\"general-parameters\"></a><h2 id=\"general-parameters\">General Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.curveType Integer default: 0 -- integer\n\
</pre></div><p>The type of line segments between knots, where:</p>\n\
<ul>\n\
<li>0 = curved</li>\n\
<li>1 = straight</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.showKnots BooleanClass default: false -- boolean; ShowKnots\n\
</pre></div><p>Gets or sets whether to show the spline&#39;s knots.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.enableClosedCurve BooleanClass default: false -- boolean; Closed\n\
</pre></div><p>Gets or sets whether the spline is closed (the first and last knots are connected).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.constrainOffset Float default: 0.1 -- float; Offset\n\
</pre></div><p>Gets or sets the offset from a constraining surface, if one exists.</p>\n\
<div class=\'section\'><a id=\"creation-parameters\"></a><h2 id=\"creation-parameters\">Creation Parameters</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.enableConstrainShowNormals BooleanClass default: true -- boolean; ShowNormals\n\
</pre></div><p>Gets or sets whether to show the normal on the spline relative to the constrained surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.enableConstrain BooleanClass default: false -- boolean; Constrain\n\
</pre></div><p>Gets or sets whether to enable</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.granularity Integer default: 3 -- integer\n\
</pre></div><p>Gets or sets the granularity of the mouse capture (the number of samples of the mouse position) before creating a new knot when drawing the spline in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.threshold Integer default: 10 -- integer\n\
</pre></div><p>Gets or sets the creation threshold, which is how far the mouse must travel before a new knot is created.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.endCreateOnButtonUp BooleanClass default: true -- boolean; End_Create\n\
</pre></div><p>Gets or sets whether to end spline creation when the mouse button is up. When false, creation ends on double-click.</p>\n\
<div class=\'section\'><a id=\"parameters-not-exposed-in-the-ui\"></a><h2 id=\"parameters-not-exposed-in-the-ui\">Parameters not exposed in the UI</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.knots ArrayParameter default: #() -- point3 array\n\
</pre></div><p>Gets or sets an array of point3 values representing the spline knots, in the order they appear on the spline.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.normals ArrayParameter default: #() -- point3 array\n\
</pre></div><p>Gets or sets an array of point3 values representing the spline knot normals (if set), with each value corresponding to the knot with the same index in the knots array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.shape_knots ArrayParameter default: #() -- int array\n\
</pre></div><p>An array that indicates how many splines make up the shape and the knot where each new spline starts. For example, if the array contains two entries, <span class=\'code\'>#(10,20)</span>, this means that there are three splines, with the second starting and knot 10 and the third starting at knot 20.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Freehand&gt;.sampling Integer default: 0 -- integer; Declutter\n\
</pre></div><p>Gets or sets the &quot;sampling&quot; value, which is the minimum number of knots retained.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h3 id=\"example\">Example</h3></div>\n\
<div class=\'codeBlock\'><pre>-- create a new freehand\n\
f = freehand()\n\
-- add some random knots\n\
pts = #()\n\
a = [0,0,0]\n\
b = [100,100,100]\n\
for i = 1 to 20 do (\n\
append pts (random a b)\n\
)\n\
f.knots = pts\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";