var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Spline Shape Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Spline Shape Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spline-shape-common-properties-operators-and-methods\"></a></div>\n\
<p>The following methods apply to all spline shape objects.</p>\n\
<p><strong>Properties</strong></p>\n\
<p>None</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>applyOffset &lt;spline_shape_node&gt; &lt;offset_float&gt;   \n\
</pre></div><p>For each spline in the shape, makes a copy of the spline, offset on all sides to the distance in units specified by <span class=\'code\'>offset_float</span> . If a spline is open, the resulting spline and its outline will make a single closed spline. Negative <span class=\'code\'>offset_float</span> values create an offset spline to the left of the spline (as the spline is drawn from its start to its finish). The <span class=\'code\'>spline_shape_node</span> is converted to a SplineShape (Editable Spline) if it is not already a SplineShape.</p>\n\
<div class=\'codeBlock\'><pre>measureOffset &lt;spline_shape_node&gt; &lt;point3&gt;   \n\
</pre></div><p>Returns a Float value whose absolute value is the distance from <span class=\'code\'>point3</span> to the closest point on a spline in the shape. The sign of the value is positive if the <span class=\'code\'>point3</span> position is to the left of the spline (as the spline is drawn from its start to its finish). The value returned by this method can usually be used as the <span class=\'code\'>offset_float</span> parameter in <span class=\'code\'>applyOffset()</span> to have an offset spline pass through the <span class=\'code\'>point3</span> position. If the closest point on a spline in the shape is an endpoint of an open spline, the offset spline will not pass through the <span class=\'code\'>point3</span> position.</p>\n\
<div class=\'codeBlock\'><pre>trimextend &lt;fixed_node_array&gt; &lt;alterable_node_array&gt; \\ \n\
[ trim: &lt;boolean&gt; ] [ extend: &lt;boolean&gt;] [ infinite: &lt;boolean&gt;] \\ \n\
[ project: view|#3D|#grid] \n\
</pre></div><p>Note: <strong>THIS FEATURE IS CURRENTLY BROKEN</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";