var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Path_Follow : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Path_Follow : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"path_follow-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Path_Follow - superclass: SpacewarpObject; super-superclass:node - classID: #(2058894005, 1578972349)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>path_Follow...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Range_Limited Integer default: 1\n\
</pre></div><p>When off, the range of influence of the space warp is limited to the value set in <span class=\'code\'>*.range_value*</span> . When on, the space warp influences all bound particles in the scene, regardless of their distance from the path object.</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Range_Value Float default: 100.0 -- animatable\n\
</pre></div><p>The range of influence when Unlimited Range is off. This is the distance between the path object and the particle system. The position of the Path Follow space warp&#39;s icon is ignored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Spline_Follow_Type Integer default: 1\n\
</pre></div><p>Set the follow type:</p>\n\
<p>0 - <strong>Along Offset Splines</strong> (The distance between the particle system and the path alter the effect of the particle motion. If the first vertex of the spline is at the birthplace of the particle, the particle follows the spline path. If you move the path away from the particle system, the particles are affected by the offset.)</p>\n\
<p>1 - <strong>Along Parallel Splines</strong> (Particles follow a copy of the selected path, parallel to the particle system. In this mode, the position of the path relative to the particle system does not matter. The orientation of the path, however, affects the particle stream.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Constant_Speed Integer default: 0\n\
</pre></div><p>When on, all particles travel at the same speed:</p>\n\
<p>0 - <strong>Off</strong></p>\n\
<p>1 - <strong>On</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Tangent_Chaos Float default: 0.0 -- percentage\n\
</pre></div><p>Causes particles to converge or diverge toward the path over time, or to simultaneously converge and diverge. You specify the effect by choosing Converge, Diverge, or Both (see following). This provides a tapering effect over the length of the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Tang_Chaos_Var Float default: 0.0\n\
</pre></div><p>The amount by which <span class=\'code\'>*.tangent_chaos*</span> can vary for each particle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Tangent_Dir Integer default: 0\n\
</pre></div><p>Set behavior of tangent chaos:</p>\n\
<p>0 - <strong>Converge</strong> (When . <span class=\'code\'>*tangent_chaos*</span> is greater than 0, the particles move in toward the path as they follow the path. The effect is that the stream tapers from larger to smaller over time.</p>\n\
<p>1 - <strong>Diverge</strong> (Provides the opposite effect of Converge. The particles diverge from the path over time.)</p>\n\
<p>2 - <strong>Both</strong> (Splits the particle stream, causing some particles to converge and others to diverge.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Spiral_Chaos Float default: 0.0\n\
</pre></div><p>The number of turns by which particles spiral about the path. In conjunction with . <span class=\'code\'>*tangent_chaos*</span> , alters the diameter of the spiral.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Spiral_Chaos_Var Float default: 0.0\n\
</pre></div><p>The amount by which each particle can vary from the Spiral value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Spiral_Dir Integer default: 0\n\
</pre></div><p>The direction of spiraling behavior:</p>\n\
<p>0 - <strong>Clockwise</strong></p>\n\
<p>1 - <strong>Counterclockwise</strong></p>\n\
<p>2 - <strong>Bidirectional</strong> (The stream is splits so that particles spiral in both directions.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Start_Time Time default: 0f\n\
</pre></div><p>The frame at which Path Follow begins to influence the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Travel_Time Time default: 30f\n\
</pre></div><p>The time each particle takes to traverse the path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Travel_Var Float default: 0.0 -- percentage\n\
</pre></div><p>The amount by which each particle&#39;s travel time can vary.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Stop_Time Time default: 100f\n\
</pre></div><p>The frame at which Path Follow releases the particles and no longer influences them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Path_Follow&gt;.Icon_Size Float default: 0.0\n\
</pre></div><p>The size of the Path Follow icon. Does not alter the Path Follow effect.</p>\n\
<p>Note:</p>\n\
<p>There is not a way to select the Path shape object using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p>The Seed parameter in not accessible using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;particlesys_node&gt; &lt;path_Follow_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>PathFollowMod\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";