var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Drag - superclass: SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Drag - superclass: SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"drag---superclass-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Drag - superclass: SpacewarpObject; super-superclass:node - 29:0 - classID: #(1173650369, 674975258) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p>The Drag space warp is a particle motion damper that reduces particle velocity by a specified amount within a specified range.</p>\n\
<p>The damping can be applied linearly, spherically, or cylindrically.</p>\n\
<p>Drag is useful for simulating wind resistance, transfers into dense media (like water), impacts with force fields, and other, similar situations.</p>\n\
<p>With each damping type, you can control the damping effect along several vectors.</p>\n\
<p>The damping is also affected by particle system settings, such as speed.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Drag ... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.&#39;time on&#39; Integer default: 0 -- integer; Time_On \n\
</pre></div><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.&#39;time off&#39; Integer default: 16000 -- animatable; integer; Time_Off \n\
</pre></div><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.symmetry Integer default: 0 -- radio button number; Damping_Symmetry \n\
</pre></div><p>This group lets you choose Linear Damping, Spherical Damping, or Cylindrical Damping, plus a set of parameters for each.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampingx Float default: 5.0 -- animatable; percentage; X_Damping \n\
</pre></div><p>Specifies the percentage of particle motion along the local Drag space warp axis that&#39;s affected by the damping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangex Float default: 100.0 -- animatable; float; X_Range \n\
</pre></div><p>Sets the thickness of the &quot;range plane,&quot; or the infinite plane perpendicular to the specified axis. Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffx Float default: 1000.0 -- animatable; float; X_Falloff \n\
</pre></div><p>Specifies the distance beyond the X, Y, or Z Range within which Linear Damping is applied.</p>\n\
<p>Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that.</p>\n\
<p>While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampingy Float default: 5.0 -- animatable; percentage; Y_Damping \n\
</pre></div><p>Specifies the percentage of particle motion along the local Drag space warp axis that&#39;s affected by the damping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangey Float default: 100.0 -- animatable; float; Y_Range \n\
</pre></div><p>Sets the thickness of the &quot;range plane,&quot; or the infinite plane perpendicular to the specified axis.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffy Float default: 1000.0 -- animatable; float; Y_Falloff \n\
</pre></div><p>Specifies the distance beyond the X, Y, or Z Range within which Linear Damping is applied.</p>\n\
<p>Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that.</p>\n\
<p>While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampingz Float default:5.0 -- animatable; percentage; Z_Damping \n\
</pre></div><p>Specifies the percentage of particle motion along the local Drag space warp axis that&#39;s affected by the damping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangez Float default: 100.0 -- animatable; float; Z_Range \n\
</pre></div><p>Sets the thickness of the &quot;range plane,&quot; or the infinite plane perpendicular to the specified axis.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffz Float default: 1000.0 -- animatable; float; Z_Falloff \n\
</pre></div><p>Specifies the distance beyond the X, Y, or Z Range within which Linear Damping is applied. Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that. While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampingr Float default: 5.0 -- animatable; percentage; Radial_Damping \n\
</pre></div><p>Radial specifies the percentage of particle motion toward or away from the center of the Drag icon that&#39;s affected by the damping.</p>\n\
<p>Tangential specifies the percentage of particle motion across the body of the Drag icon that&#39;s affected by the damping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.ranger Float default: 100.0 -- animatable; float; Radial_Range \n\
</pre></div><p>Specifies the distance from the center of the Drag icon, in system units, within which damping is in full effect.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffr Float default: 1000.0 -- animatable; float; Radial_Falloff \n\
</pre></div><p>Specifies the distance beyond the Radial/Tangential Range within which Linear Damping is applied.</p>\n\
<p>Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that.</p>\n\
<p>While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampinggc Float default:5.0 -- animatable; percentage; Tangential_Damping \n\
</pre></div><p>Radial specifies the percentage of particle motion toward or away from the center of the Drag icon that&#39;s affected by the damping.</p>\n\
<p>Tangential specifies the percentage of particle motion across the body of the Drag icon that&#39;s affected by the damping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangegc Float default: 100.0 -- animatable; float; Tangential_Range \n\
</pre></div><p>Specifies the distance from the center of the Drag icon, in system units, within which damping is in full effect.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffgc Float default: 1000.0 -- animatable; float; Tangential_Falloff \n\
</pre></div><p>Specifies the distance beyond the Radial/Tangential Range within which Linear Damping is applied.</p>\n\
<p>Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that.</p>\n\
<p>While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampingrc Float default: 5.0 -- animatable; percentage; Radial_Damping \n\
</pre></div><p>Damping controls the percentage of particle motion toward or away from the center of the circular portion of the icon (Radial), across the radial vector (Tangential), or along the length of the icon&#39;s long axis (Axial) that&#39;s affected by the damping, on a per-frame basis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangerc Float default: 100.0 -- animatable; float; Radial_Range \n\
</pre></div><p>Specifies the distance from the center of the Drag icon, in system units, within which Radial and Axial damping are in full effect.</p>\n\
<p>Range also specifies the thickness of the infinite plane that governs the range of Axial damping.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffrc Float default: 1000.0 -- animatable; float; Radial_Falloff \n\
</pre></div><p>Specifies the distance beyond the Radial/Tangential/Axial Range within which Linear Damping is applied.</p>\n\
<p>Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that.</p>\n\
<p>While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampingc Float default:5.0 -- animatable; percentage; Tangential_Damping \n\
</pre></div><p>Damping controls the percentage of particle motion toward or away from the center of the circular portion of the icon (Radial), across the radial vector (Tangential), or along the length of the icon&#39;s long axis (Axial) that&#39;s affected by the damping, on a per-frame basis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangec Float default: 100.0 -- animatable; float; Tangential_Range \n\
</pre></div><p>Specifies the distance from the center of the Drag icon, in system units, within which Radial and Axial damping are in full effect.</p>\n\
<p>Range also specifies the thickness of the infinite plane that governs the range of Axial damping.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffc Float default: 1000.0 -- animatable; float; Tangential_Falloff \n\
</pre></div><p>Specifies the distance beyond the Radial/Tangential/Axial Range within which Linear Damping is applied.</p>\n\
<p>Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that.</p>\n\
<p>While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.dampingax Float default: 5.0 -- animatable; percentage; Axial_Damping \n\
</pre></div><p>Damping controls the percentage of particle motion toward or away from the center of the circular portion of the icon (Radial), across the radial vector (Tangential), or along the length of the icon&#39;s long axis (Axial) that&#39;s affected by the damping, on a per-frame basis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangeax Float default: 100.0 -- animatable; float; Axial_Range \n\
</pre></div><p>Specifies the distance from the center of the Drag icon, in system units, within which Radial and Axial damping are in full effect. Range also specifies the thickness of the infinite plane that governs the range of Axial damping. Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.falloffax Float default: 1000.0 -- animatable; float; Axial_Falloff \n\
</pre></div><p>Specifies the distance beyond the Radial/Tangential/Axial Range within which Linear Damping is applied.</p>\n\
<p>Damping is strongest at the Range distance, decreases linearly out to the limit of the Falloff, and has no effect beyond that.</p>\n\
<p>While Falloff is effected only beyond the Range, it is measured from the center of the icon, and always has a minimum value equal to the Range value.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Drag&gt;.rangeless Boolean default: true -- boolean; Unlimited_Range \n\
&lt;Drag&gt;.iconsize Float default: 10.0 -- float; Icon_Size \n\
</pre></div><p>Specifies the size of the icon.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";