var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PBomb : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PBomb : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pbomb-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>PBomb - superclass: SpacewarpObject; super-superclass:node - classID: #(1277169139, 439646839)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>PBomb...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.symmetry Integer default: 0\n\
</pre></div><p>The shape, or pattern of the blast effect:</p>\n\
<p>0 - <strong>Spherical</strong> (The blast force radiates outward from the PBomb icon in all directions. The icon looks like a spherical anarchist&#39;s bomb.)</p>\n\
<p>1 - <strong>Cylindrical</strong> (The blast force radiates outward from and normal to the central axis, or core of the cylindrical icon. The icon looks like a stick of dynamite with a fuse.)</p>\n\
<p>2 - <strong>Planar</strong> (The blast force radiates both up and down, perpendicular to the plane of the planar icon. The icon looks like a plane with arrows pointing up and down along the direction of the blast force.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.chaos Float default: 10.0 -- percentage\n\
</pre></div><p>The blast forces vary for each particle or each frame, an effect similar to Brownian motion, with a rate of change in the direction of force equal to the rendering interval rate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.Start_Time Time default: 30f\n\
</pre></div><p>The frame number at which the impulse forces are first applied to the particles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.Lasts_For Time default: 1f\n\
</pre></div><p>The number of frames, beyond the first, over which the forces are applied.</p>\n\
<p>This value should typically be a small number, such as between 0 and 3.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.strength Float default: 1.0 -- animatable\n\
</pre></div><p>The change in velocity along the blast vector, in units per frame.</p>\n\
<p>Increasing Strength increases the speed with which the particles are blown away from the bomb icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.Decay_Type Integer default: 1\n\
</pre></div><p>Sets the decay type:</p>\n\
<p>0 - <strong>Unlimited Range</strong> (The effects of the bomb icon reach all bound particles throughout the scene. This option ignores the Range setting, which specifies the distance of the PBomb effect.)</p>\n\
<p>1 - <strong>Linear</strong> (The impulse forces decay linearly between the full Strength setting to a value of 0 at the specified Range setting.)</p>\n\
<p>2 - <strong>Exponential</strong> (The impulse forces decay exponentially between the full Strength setting to a value of 0 at the specified Range setting.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.range Float default: 1000.0 -- animatable\n\
</pre></div><p>The maximum distance, in units, over which the PBomb icon affects the bound particle system. If the Range is large enough to reach only a portion of the particle system, only that part of the system is affected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PBomb&gt;.Icon_Size Float default: 0.0\n\
</pre></div><p>The overall size of the PBomb icon.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;pbomb_node&gt;\n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>PBombMod\n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>*bindSpaceWarp()*</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";