var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PushSpaceWarp : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PushSpaceWarp : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pushspacewarp-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>PushSpaceWarp - superclass: SpacewarpObject; super-superclass:node - classID: #(1028471973, 992097679) \n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>pushSpaceWarp...   \n\
</pre></div><p><strong>Properties</strong>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.On_Time Time default: 0f \n\
</pre></div><p>The frame in which the space warp begins its effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Off_Time Time default: 30f \n\
</pre></div><p>The frame in which the space warp ends its effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Basic_Force Float default: 1.0 -- animatable \n\
</pre></div><p>The amount of force exerted by the space warp.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.units Integer default: 0 \n\
</pre></div><p>The unit of force used by the basic force:</p>\n\
<p>0- Newtons</p>\n\
<p>1- Pounds</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Feedback_On Integer default: 0 \n\
</pre></div><p>When on, the force varies depending on the speed of the affected objects relative to the specified Target Speed. When off, the force remains constant, regardless of the speed of the affected objects:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Reversible Integer default: 0 \n\
</pre></div><p>When on, if the object&#39;s speed exceeds the Target Speed setting, the force is reversed</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Target_Speed Float default: 100.0 -- animatable \n\
</pre></div><p>The maximum speed in units per frame before the Feedback takes effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Control_Gain Float default: 50.0 -- animatable \n\
</pre></div><p>Specifies how quickly the force adjusts to approaching the target speed. If set to 100 percent, the correction is immediate. If set lower, a slower and &quot;looser&quot; response occurs.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Enable_Variation Integer default: 0 \n\
</pre></div><p>Turn on/off variations:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Variation_Period_1 Time default: 0.625f—animatable \n\
</pre></div><p>The time over which the noise variation makes a full cycle.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Amplitude_1 Float default: 100.0 -- animatable \n\
</pre></div><p>The strength of the variation (in percent).</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Variation_Phase_1 Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Offsets the variation pattern.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Variation_Period_2 Time default: 0.625f—animatable \n\
</pre></div><p>Provides an additional variation pattern (a second wave) to increase the noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Amplitude_2 Float default: 100.0 -- animatable \n\
</pre></div><p>The strength of the variation of the second wave (in percent).</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Variation_Phase_2 Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Offsets the variation pattern of the second wave</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Range_Enable Integer default: 0 \n\
</pre></div><p>When on, limits the range of the effect to a sphere, displayed as a tri-hooped sphere. The effect falls off increasingly as the particles near the boundary of the sphere.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Range_Value Float default: 1000.0 -- animatable \n\
</pre></div><p>The radius of the range of the effect, in units.</p>\n\
<div class=\'codeBlock\'><pre>&lt;PushSpaceWarp&gt;.Icon_Size Float default: 0.0 \n\
</pre></div><p>The size of the Push icon. This is for display purposes only, and does not alter the Push effect.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;pushSpaceWarp_node&gt; \n\
</pre></div><p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>PushMod \n\
</pre></div><p>This modifier is automatically created by the <span class=\'code\'>bindSpaceWarp()</span> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";