var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Vortex - superclass: SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Vortex - superclass: SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"vortex---superclass-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Vortex - superclass: SpacewarpObject; super-superclass:node - 19:0 - classID: #(217851359, 1867456353)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9EA078-0CBA-4C2B-BD55-5E1E23A30F9F-low.gif\' title=\'\'></div>\n\
</pre></div><p>The Vortex space warp applies a force to particle systems, spinning them through a whirling vortex, and then moving them down a long, thin spout or <em>vortex well</em>. Vortex is useful for creating black holes, whirlpools, tornadoes, and other funnel-type objects.</p>\n\
<p>The space warp settings let you control the vortex shape, the well characteristics, and rate and range of particle capture. The shape of the vortex is also affected by particle system settings, such as speed.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Vortex ...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.&#39;time on&#39; Integer default: 0 -- integer; Time_On\n\
</pre></div><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.&#39;time off&#39; Integer default: 16000 -- animatable; integer; Time_Off\n\
</pre></div><p>The frame numbers at which the space warp becomes active and becomes inactive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.axialstrength Float default: 0.1 -- animatable; float; Axial_Drop_Strength\n\
</pre></div><p>Specifies how quickly particles move in the direction of the drop axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.axialrange Float default: 100.0 -- animatable; float; Axial_Range\n\
</pre></div><p>The distance from the center of the Vortex icon, in system units, at which Axial Damping has its full effect. Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.axialfalloff Float default: 1000.0 -- animatable; float; Axial_Falloff\n\
</pre></div><p>Specifies the distance beyond the Axial Range within which Axial Damping is applied.</p>\n\
<p>Axial Damping is strongest at the Range distance, decreases linearly out to the limit of the Axial Falloff, and has no effect beyond that.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.axialdamping Float default: 5.0 -- animatable; percentage; Axial_Damping\n\
</pre></div><p>Controls the degree to which particle motion parallel to the drop axis is restrained per frame. Default=5.0. Range=0 to 100.</p>\n\
<p>For subtle effects, use values of less than 10%. For more overt effects, try using higher values that increase to 100% over the course of a few frames.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.rotationstrength Float default: 0.5 -- animatable; float; Orbital_Speed_Strength\n\
</pre></div><p>Specifies how quickly the particles rotate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.rotationrange Float default: 100.0 -- animatable; float; Orbital_Range\n\
</pre></div><p>The distance from the center of the Vortex icon, in system units, at which Orbital Damping has its full effect.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.rotationfalloff Float default: 1000.0 -- animatable; float; Orbital_Falloff\n\
</pre></div><p>Specifies the distance beyond the Orbital Range within which Orbital Damping is applied.</p>\n\
<p>Orbital Damping is strongest at the Range distance, decreases linearly out to the limit of the Orbital Falloff, and has no effect beyond that.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.rotationdamping Float default: 5.0 -- animatable; percentage; Orbital_Damping\n\
</pre></div><p>Controls the degree to which orbital particle motion is restrained per frame.</p>\n\
<p>Smaller values produce a wide spiral, while larger values produce a thin spiral.</p>\n\
<p>Default=5.0. Range=0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.radialstrength Float default: 0.5 -- animatable; float; Radial_Pull_Strength\n\
</pre></div><p>Specifies the distance from the drop axis at which the particles rotate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.radialrange Float default: 100.0 -- animatable; float; Radial_Range\n\
</pre></div><p>The distance from the center of the Vortex icon, in system units, at which Radial Damping has its full effect.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.radialfalloff Float default: 1000.0 -- animatable; float; Radial_Falloff\n\
</pre></div><p>Specifies the distance beyond the Radial Range within which Radial Damping is applied.</p>\n\
<p>Radial Damping is strongest at the Range distance, decreases linearly out to the limit of the Radial Falloff, and has no effect beyond that.</p>\n\
<p>Takes effect only when Unlimited Range is turned off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.radialdamping Float default: 5.0 -- animatable; percentage; Radial_Damping\n\
</pre></div><p>Controls the degree to which Radial Pull is restrained per frame.</p>\n\
<p>Default=5.0.</p>\n\
<p>Range=0 to 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.taperstrength Float default: 100.0 -- animatable; float; Taper_Length\n\
</pre></div><p>Controls the shape of the vortex. Low values create a vortex with a wide, flared mouth, while high values create a vortex with nearly vertical sides.</p>\n\
<p>Default=100.</p>\n\
<p>Range=1.0 to 4.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.tapershape Float default: 1.0 -- animatable; float; Taper_Curve\n\
</pre></div><p>Controls the length of the vortex, as well as its shape. Lower settings give you a &quot;tighter&quot; vortex, while higher settings give you a &quot;looser&quot; vortex.</p>\n\
<p>Default=100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.direction Integer default: 0 -- radio button number\n\
</pre></div><p>Determines whether particles rotate clockwise or counterclockwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.rangeless Boolean default: true -- boolean; Unlimited_Range\n\
</pre></div><p>When on, Vortex exerts full damping strength over an unlimited range. When off, the Range and Falloff settings take effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Vortex&gt;.iconsize Float default: 10.0 -- float; Icon_Size\n\
</pre></div><p>Specifies the size of the icon.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>```</p>\n\
<p>Vortex &#39;time on &#39;:0 &#39;time off&#39;: 16000 axialstrength:0.1 axialrange:100 axialfalloff:1000 axialdamping:5 rotationstrength:0.5 rotationrange:100 rotationfalloff:1000 rotationdamping:5 radialstrength:0.5 radialrange:100 radialfalloff:1000 radialdamping:5 taperstrength:100 tapershape:1 direction:0 rangeless:on pos:[32.5437,-58.2321,0] isSelected:on iconSize:25.8103</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";