var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SpaceFFDBox : SpacewarpObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SpaceFFDBox : SpacewarpObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"spaceffdbox-spacewarpobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>SpaceFFDBox - superclass: SpacewarpObject; super-superclass:node - classID: #(1743405235, -25546556)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FFC9F4FB-9353-431E-AAD8-592DBD317B5B-low.gif\' title=\'\'></div>\n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>spaceFFDBox...\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.length Float default: 0.0 -- animatable\n\
</pre></div><p>Sets the length of the lattice.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.width Float default: 0.0 -- animatable\n\
</pre></div><p>Sets the width of the lattice.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.height Float default: 0.0 -- animatable\n\
</pre></div><p>Sets the length of the lattice.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.dispLattice Boolean default: true -- alias: Lattice\n\
</pre></div><p>When turned on, lines are drawn connecting the control points to make a grid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.dispSource Boolean default: false -- alias: Source_Volume\n\
</pre></div><p>When on, the control points and lattice are displayed in their unmodified state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.deformType Integer default: 0\n\
</pre></div><p>Specifies which vertices are affected by the FFD:</p>\n\
<p>0 - <strong>Only In Volume</strong> (Only vertices that lie inside the source volume are deformed. Vertices outside the source volume are not affected.)</p>\n\
<p>1 - <strong>All Vertices</strong> (All vertices are deformed regardless of whether they lie inside or outside the source volume, depending on the <span class=\'code\'>*.falloff*</span> value.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.falloff Float default: 0.0 -- animatable\n\
</pre></div><p>The distance from the lattice that the FFD effect will decrease to zero.</p>\n\
<p>When this value is set to 0, it&#39;s effectively turned off, and there is no falloff; that is, all vertices are affected regardless of their distance from the lattice.</p>\n\
<p>The units of the Falloff parameter are specified relative to the size of the lattice: A falloff of 1 means that the effect will go to 0 for points that are a lattice width/length/height away from the lattice (depending on which side they are on).</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.tension Float default: 25.0 -- animatable\n\
</pre></div><p>Sets the tension of the deformation splines.</p>\n\
<div class=\'codeBlock\'><pre>&lt;SpaceFFDBox&gt;.continuity Float default: 25.0 -- animatable\n\
</pre></div><p>Sets the continuity of the deformation splines.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>bindSpaceWarp &lt;node&gt; &lt;spaceFFDBox_node&gt;\n\
conformToShape &lt;spaceFFDBox_node&gt;\n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: conforms the control points of the SpaceFFDBox to the node the SpaceFFDBox is applied to. If an instance of the SpaceFFDBox has been applied to more than one object, no action is performed.</p>\n\
<div class=\'codeBlock\'><pre>resetLattice &lt;spaceFFDBox_node&gt;\n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: resets the control points of the SpaceFFDBox to their default positions.</p>\n\
<div class=\'codeBlock\'><pre>getDimensions &lt;spaceFFDBox_node&gt;\n\
setDimensions &lt;spaceFFDBox_node&gt; &lt;Point3&gt;\n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: Get and set the number of control points for the SpaceFFDBox. The first component value in the Point3 specifies the number of Width control points, the second the number of Length control points, and the third the number of Height control points. The minimum value for each component value is 2.</p>\n\
<div class=\'codeBlock\'><pre>animateAll &lt;spaceFFDBox_node&gt;\n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: Applies controllers to all control points of the SpaceFFDBox.</p>\n\
<p>Note:</p>\n\
<p>The default number of control points in a SpaceFFDBox created by MAXScript is 4x4x4.</p>\n\
<p><strong>Associated Binding Modifier</strong></p>\n\
<div class=\'codeBlock\'><pre>FFD_Binding\n\
</pre></div><p>This modifier is automatically created by the <strong>bindSpaceWarp()</strong> method, and is not otherwise creatable by MAXScript. There are no properties associated with this binding modifier.</p>\n\
<p>Note:</p>\n\
<p>The number of control points in a SpaceFFDBox created by MAXScript is always 4x4x4.</p>\n\
<p>There is no method for assigning controllers to the FFD control points, nor is there a method for assigning the number or accessing the number of Length, Width, and Height points using MAXScript in <strong>3ds Max</strong>.</p>\n\
<p>See also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\' title=\'\'>Class and Object Inspector Functions</a> and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scripting-Vertex-and-Control/Scripting-Vertex-and-Control-1.html\' title=\'\'>Scripting Vertex and Control Point Animation</a> for details on accessing the control points in an FFD.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";