var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Daylight : System</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Daylight : System</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"daylight-system\"></a></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1D99D68C-E2EF-4209-B7F2-45D1FE4D3444-low.gif\' title=\'\'></div>\n\
<p><strong>Daylight system objects are not creatable by MAXScript</strong>.</p>\n\
<p>A Daylight system is comprised of a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Compass-Helper.html\' title=\'\'>Compass Helper</a> object and an Assembly containing an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/IES_Sun-Light.html\' title=\'\'>IES_Sun</a> and an <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/IES_Sky-Light.html\' title=\'\'>IES_Sky</a> object using a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Assembly-Head/DaylightAssemblyHead-Helper.html\' title=\'\'>DaylightAssemblyHead</a>. The Light objects can be accessed as properties of the Assembly Head.</p>\n\
<p>The Assembly&#39;s transform is controlled by a set of controllers, which are sub-controllers of a <strong><span class=\'code\'>Sunlight_Driven_Controller</span></strong> controller. To access the controller, create a Daylight system using the Create&gt;Systems tab in the UI and use:</p>\n\
<div class=\'codeBlock\'><pre>$Daylight001.controller\n\
Controller:Sunlight_Driven_Controller\n\
\n\
<blockquote>\n\
</blockquote></pre></div><p>Note: Prior to <em>3ds Max 2022</em> this class was called <span class=\'code\'>Sunlight_Driven_Controller</span>.</p>\n\
\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.solar_time Float -- subAnim[3]\n\
</pre></div><p>The solar time expressed as an integer value of seconds since midnight. To calculate the hours, minutes and seconds, you can use the following function:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` fn TimeFromSolarTime dlSystem = ( local solar_time = dlSystem.controller.solar_time.controller.value local hrs = int solar_time-- full hours in the solar_time value local min = int((solar_time-hrs)<em>60.0)-- full minutes in the difference between the full time and the full hours local sec = int((solar_time-hrs-min/60.0)</em>3600+ 0.5)-- full seconds in the rest of the value #(hrs,min,sec)-- return the result as a 3 elementsarray )</p>\n\
<p>TimeFromSolarTime $Daylight001</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.solar_date Float -- subAnim[4]\n\
</pre></div><p>The solar date represents the days offset fromJune 21 st , the date of the Summer Solstice. You should access the .solar_date.controller.value to get the correct value as a Float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.latitude Float -- subAnim[5]\n\
</pre></div><p>The viewer location&#39;s latitude.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.longitude Float -- subAnim[6]\n\
</pre></div><p>The viewer location&#39;s longitude.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.orbital_scale Float -- subAnim[7]\n\
</pre></div><p>The Orbital scale controls the distance of the Assembly from the Compass Helper.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.sky_cover Float -- subAnim[8]\n\
</pre></div><p>The Sky cover value, 0.0 means Clear, 1.0 means Cloudy.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.manual_position Transform -- subAnim[9]\n\
</pre></div><p>Contains a PRS Controller to hold the manual transforms.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Sunlight_Driven_Controller&gt;.manual_intensity Float -- subAnim[10]\n\
</pre></div><p>Set the intensity when in manual mode.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";