var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>XRefAtmosWrapper</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>XRefAtmosWrapper</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"xrefatmoswrapper\"></a></div>\n\
<p>Instances of this class are used to XRef atmospheric effects from external .MAX files. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><p><strong>XRefAtmosWrapper interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:IXRefItem \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.srcFileName : filename : Read   \n\
</pre></div><p>Contains the source file name.Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.srcItemName : string : Read \n\
</pre></div><p>Contains the name of the source item.Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.xrefRecord : Interface : Read \n\
</pre></div><p>Contains the XRef record Interface.Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.unresolved : boolean : Read \n\
</pre></div><p>Contains true if the XRef is unresolved, false otherwise. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.nested : boolean : Read \n\
</pre></div><p>Contains true if the XRef is nested, false otherwise. Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;GetSrcItem resolveNested:&lt;boolean&gt; \n\
\n\
resolveNested default value: false \n\
</pre></div><p>Returns the source item object of the XRef Object. If the object is being referenced from nested files (in other words, the object is referenced from a Max file containing an XRef of the object from another file instead of the actual object) and resolveNested is set to true, nested XRef files will be resolved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
\n\
parentItems is Out parameter \n\
</pre></div><p>Returns an array of parent items in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
\n\
rootItems is Out parameter \n\
</pre></div><p>Returns an array of root items in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
\n\
childItems is Out parameter \n\
</pre></div><p>Returns an array of child items in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GetNodes &lt;&amp;node array&gt;xrefNodes \n\
\n\
xrefNodes is Out parameter \n\
</pre></div><p>Returns an array of XRef nodes in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>Interface:IXRefProxy \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.proxyFileName : filename : Read \n\
</pre></div><p>Contains the proxy file name.Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.proxyItemName : string : Read \n\
</pre></div><p>Contains the proxy item name.Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.proxyRecord : Interface : Read \n\
</pre></div><p>Contains the proxy record Interface.Read-only.</p>\n\
<div class=\'codeBlock\'><pre>.displayProxy : boolean : Read|Write \n\
</pre></div><p>When set to true, the proxy will be used in the viewport.</p>\n\
<div class=\'codeBlock\'><pre>.renderProxy : boolean : Read|Write \n\
</pre></div><p>When set to true, the proxy will be used by the production renderer.</p>\n\
<div class=\'codeBlock\'><pre>Interface:IXRefAtmospheric \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;GetSourceAtmospheric &lt;boolean&gt;resolveNestedXRef \n\
</pre></div><p>Returns the source atmospheric object. If resolveNestedXRef is set to true, nested XRef files will be resolved.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";