var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>XRef_Material : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>XRef_Material : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"xref_material-material\"></a></div>\n\
<div class=\'codeBlock\'><pre>XRef_Material - superclass: material; super-superclass:MAXWrapper - 8:6 - classID: #(657198411, 1126842699)\n\
</pre></div><p>Instances of this class are used to XRef materials from external .MAX files.Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>XRef_Material ... XRefmaterial ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.enableOverride     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Enable&quot;</strong> checkbox.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.overrideMaterial     Standardmaterial    default: Material #67:Standard   --  material; Override_Material; SubAnim\n\
</pre></div><p>Get/set the Override Material</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.nested BooleanClass default: false -- bool;\n\
</pre></div><p>Contains true if the XRef material is nested, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.srcFileName UndefinedClass default: undefined -- filename;\n\
</pre></div><p>Contains the source file name.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.srcItemName UndefinedClass default: undefined -- string;\n\
</pre></div><p>Contains the name of the source item.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.unresolved BooleanClass default: true -- bool;\n\
</pre></div><p>Contains true if the XRef is unresolved, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.xrefRecord UndefinedClass default: undefined -- Interface;\n\
</pre></div><p>Contains the XRef record Interface.</p>\n\
<p>Read-only.</p>\n\
<p><strong>XRef_Material interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface:IXRefItem\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.srcFileName : filename : Read\n\
</pre></div><p>Contains the source file name.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.srcItemName : string : Read\n\
</pre></div><p>Contains the name of the source item.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.xrefRecord : Interface : Read\n\
</pre></div><p>Contains the XRef record Interface.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.unresolved : boolean : Read\n\
</pre></div><p>Contains true if the XRef is unresolved, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;XRef_Material&gt;.nested : boolean : Read\n\
</pre></div><p>Contains true if the XRef is nested, false otherwise.</p>\n\
<p>Read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;XRef_Material&gt;.GetSrcItem resolveNested:&lt;boolean&gt; \n\
\n\
resolveNested default value: false\n\
</pre></div><p>Returns the source item object of the XRef Material.</p>\n\
<p>If the object is being referenced from nested files (in other words, the object is referenced from a Max file containing an XRef of the object from another file instead of the actual object) and <span class=\'code\'>resolveNested</span> is set to true, nested XRef files will be resolved.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;XRef_Material&gt;.GetParentItems &lt;&amp;maxObject array&gt;parentItems \n\
\n\
parentItems is Out parameter\n\
</pre></div><p>Returns an array of parent items in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;XRef_Material&gt;.GetRootItems &lt;&amp;maxObject array&gt;rootItems \n\
\n\
rootItems is Out parameter\n\
</pre></div><p>Returns an array of root items in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;XRef_Material&gt;.GetChildItems &lt;&amp;maxObject array&gt;childItems \n\
\n\
childItems is Out parameter\n\
</pre></div><p>Returns an array of child items in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;XRef_Material&gt;.GetNodes &lt;&amp;node array&gt;xrefNodes \n\
\n\
xrefNodes is Out parameter\n\
</pre></div><p>Returns an array of XRef nodes in the by-reference Out parameter.</p>\n\
<div class=\'codeBlock\'><pre>Interface:IXRefMaterial\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;material&gt;&lt;XRef_Material&gt;.GetSourceMaterial &lt;boolean&gt;resolveNestedXRef\n\
</pre></div><p>Returns the source material object. If resolveNestedXRef is set to true, nested XRef files will be resolved.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";