var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Xref Objects</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Xref Objects</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"xref-objects\"></a></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefMgr.html\' title=\'\'>Interface: objXRefMgr</a></p>\n\
<p>XRef Objects Manager Interface. Available in <strong>3ds Max 8 and higher</strong>. This is the preferred interface for adding and working with Xref objects in MAXScript.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-objXRefs.html\' title=\'\'>Interface: objXRefs</a></p>\n\
<p>Function published interface for Xref Objects.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\' title=\'\'>XRefObject : Node</a></p>\n\
<p>XRef ObjectsNode, extended in <strong>3ds Max 8</strong> with new Properties and Interfaces.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefAtmosWrapper.html\' title=\'\'>XRefAtmosWrapper</a></p>\n\
<p>XrefAtmospherics Wrapper. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRef_Material-Material.html\' title=\'\'>XRef_Material : Material</a></p>\n\
<p>XrefMaterial. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"explicit-references-in-3ds-max-8-and-higher\"></a><h2 id=\"explicit-references-in-3ds-max-8-and-higher\">Explicit References in 3ds Max 8 and higher</h2></div>\n\
<p>The redesigned script and expression controllers in <strong>3ds Max 8</strong> solve the problem described below, since the node references stored in ParamBlock2 can be resolved successfully.</p>\n\
<div class=\'section\'><a id=\"explicit-references-prior-to-3ds-max-8\"></a><h2 id=\"explicit-references-prior-to-3ds-max-8\">Explicit References prior to 3ds Max 8</h2></div>\n\
<p>A file being xref&#39;d that has a script controller whose script has explicit references ($sphere01, etc.) to objects in the incoming xref file have a potential problem for the script writer. The problem is, the objects in the xref file are invisible to MAXScript, and so a script will fail. This is actually a general problem with xrefs, you cannot have scripts of any kind in the file (scripts controllers, param wires, callback scripts, etc.) that depend on explicit scene object references.</p>\n\
<p>The persistent global solution is the only one that is viable in 3ds Max prior to version 8. There are two general solutions: 1) associate an owning-scene context with controller scripts, etc., when they come in via xref and use that to anchor pathname searches and other scene-relative references, and 2) have an accessible &#39;evaluation context&#39; for controllers sent as part of the GetValue() call, so we can know what object&#39;s parameter the current GetValue() call is being made for and can therefore get rid of many of the uses of explicit pathnames in the scripts.</p>\n\
<p>MAXScript now fully loads any persistent globals in xref&#39;d and merged files, but does <strong>NOT</strong> make them persistent in the current scene. As an example of a setup showing how this can be used, imagine a file with 3 spheres that will be xref&#39;d. You need to establish persistent globals for all the scene objects to be referenced in controller scripts, like this: persistent global s1 = $sphere01, s2 = $sphere02, s3 = $sphere03 this has to be run sometime while the to-be-xrefed scene is the currently open scene. Then in the controller scripts, you&#39;d say something like:</p>\n\
<blockquote>\n\
<p>``` globals1, s2 dependsOn s1 s2 (s1.pos + s2.pos) / 2</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note that this example uses &#39;global &#39;and not &#39;persistent global&#39;. You don&#39;t have to make the variables persistent for the &quot;host&quot; scene referencing the XRefs.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";