var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Radiosity : RadiosityEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Radiosity : RadiosityEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"radiosity-radiosityeffect\"></a></div>\n\
<div class=\'codeBlock\'><pre>Radiosity - superclass: RadiosityEffect; super-superclass:MAXWrapper - classID: #(2036089192, 1721374773) \n\
</pre></div><p>This RadiosityEffect was first implemented in <strong>Autodesk VIZ 4</strong> and is available in <strong>3ds Max 5 and higher</strong>.</p>\n\
<p><strong>3ds Max Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Radiosity...     \n\
Discreet_Radiosity ... \n\
</pre></div><p><strong>Autodesk VIZ Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Discreet_Radiosity ... VIZ_Radiosity... \n\
</pre></div><p>Note: The constructor <span class=\'code\'>Discreet_Radiosity</span> must be used in scripts to ensure compatibility.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.lightUnitsUsed Integer default: 0 -- integer; Light_Units_in_Use \n\
</pre></div><p>Gets/Sets the Light Units used by the Radiosity.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - International</p>\n\
<p>1 - American</p>\n\
<p>Note:</p>\n\
<p>Changing the Light Units in the Customize &gt; Units Setup dialog affects the currently assigned RadiosityEffect. Setting the value using MAXScript changes the units used by the currently assigned RadiosityEffect, but will not affect the Customize Units Setup dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radProcessInRenderOnly Boolean default: false -- boolean; Process_in_Radiosity_Only \n\
</pre></div><p>Gets/Sets the state of the &quot;Start&quot; button in the &quot;Radiosity Processing Parameters&quot; dialog. When the value is set to <span class=\'code\'>true</span> , the button will be disabled and the radiosity processing can be initiated by the renderer only. When set to <span class=\'code\'>false</span> , the user can initiate the processing manually by pressing the button.</p>\n\
<div class=\'section\'><a id=\"radiosity-processing-parameters-rollout\"></a><h2 id=\"radiosity-processing-parameters-rollout\">Radiosity Processing Parameters Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radInitialQuality Float default: 85.0 -- float; Initial_Quality \n\
</pre></div><p>Gets/Sets the Initial Quality value in percent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radGlobalRefineSteps Integer default: 0 -- integer; Refine_Iterations_Done \n\
</pre></div><p>Gets/Sets the Refine Iterations (All Objects) value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radSelectionRefineSteps Integer default: 0 -- integer; Selection_Refine_Steps \n\
</pre></div><p>Gets/Sets the &quot;Refine Iterations (Selected Objects)&quot; value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radProcessObjectRefineSteps Boolean default: true -- boolean; processObjectRefineSteps \n\
</pre></div><p>Gets/Sets the state of the &quot;Process Refine Iterations Stored in Object&quot; checkbox. When set to <span class=\'code\'>true</span> , the Refine Iterations set in the Object Properties &gt; Radiosity Tab &gt; Refine Iterations. When false, these object-specific settings will be ignored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radFiltering Integer default: 0 -- integer; Filtering \n\
</pre></div><p>Gets/Sets the &quot;Indirect Light Filtering&quot; value in the &quot;Interactive Tools&quot; group of controls.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radDirectFiltering Integer default: 0 -- integer; Filtering \n\
</pre></div><p>Gets/Sets the value of the &quot;Direct Light Filtering&quot; spinner in the &quot;Interactive Tools&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.radDisplayInViewport Boolean default: true -- boolean; Display_in_Viewport \n\
</pre></div><p>Gets/Sets the &quot;Display Radiosity in Viewport&quot; checkbox state in the &quot;Interactive Tools&quot; group of controls. Enables the interactive display of the radiosity in the viewport.</p>\n\
<div class=\'section\'><a id=\"radiosity-meshing-parameters-rollout\"></a><h2 id=\"radiosity-meshing-parameters-rollout\">Radiosity Meshing Parameters Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.meshingEnabled Boolean default: false -- boolean; Enable_Meshing \n\
</pre></div><p>Gets/Sets the state of the &quot;Enabled&quot; checkbox in the &quot;Global Subdivision Settings&quot; group of controls. When set to true, enables the user-defined global meshing size, or the adaptive subdivision if <span class=\'code\'>.useAdaptiveMeshing</span> is set to true.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.useAdaptiveMeshing BooleanClass default: true -- boolean; Use_Adaptive_Meshing \n\
</pre></div><p>Toggle the Use Adaptive Subdivisions checkbox on and off. When set to true and the &quot;Global Subdivision Settings&quot; &gt; &quot;Enabled&quot; checkbox ( <span class=\'code\'>.meshingEnabled</span> ) is on, Adaptive Subdivisions will be used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.meshingSize Float default: 36.0 -- animatable; world units; Meshing_Size \n\
</pre></div><p>Gets/Sets the Maximum Meshing Size value in the &quot;Mesh Settings&quot; group of controls. In versions prior to <strong>3ds Max 8</strong>, the value was called &quot;Mesh Size&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.minimumMeshSize Float default: 3.0 -- animatable; worldUnits; Minimum_Mesh_Size \n\
</pre></div><p>Gets/Sets the Minimum Mesh Size value in the &quot;Mesh Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.contrastThreshold Float default: 75.0 -- animatable; percent; Contrast_Threshold \n\
</pre></div><p>Gets/Sets the Contrast Threshold value in the &quot;Mesh Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.initialMeshSize Float default: 12.0 -- animatable; worldUnits; Initial_Mesh_Size \n\
</pre></div><p>Gets/Sets the Initial Meshing Size value in the &quot;Mesh Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.shootDirectLights BooleanClass default: true -- boolean; Shoot_Direct_Lights \n\
</pre></div><p>Gets/Sets the state of the &quot;Shoot Direct Lights&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.includePointLights BooleanClass default: true -- boolean; Include_Point_Lights \n\
</pre></div><p>Gets/Sets the state of the &quot;Include Point Lights in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.includeLinearLights BooleanClass default: true -- boolean; Include_Linear_Lights \n\
</pre></div><p>Gets/Sets the state of the &quot;Include Linear Lights in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.includeAreaLights BooleanClass default: true -- boolean; Include_Area_Lights \n\
</pre></div><p>Gets/Sets the state of the &quot;Include Area Lights in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.includeSkylight BooleanClass default: false -- boolean; Include_Skylight \n\
</pre></div><p>Gets/Sets the state of the &quot;Include Skylight&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.includeSelfEmittingLights BooleanClass default: false -- boolean; Include_Self_Emitting_Faces \n\
</pre></div><p>Gets/Sets the state of the &quot;Include Self-Emitting Faces in Subdivision&quot; checkbox in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.minimumSelfEmittingSize Float default: 6.0 -- animatable; worldUnits; Minimum_Self_Emitting_Size \n\
</pre></div><p>Gets/Sets the value of the &quot;Minimum Self-Emitting Size&quot; spinner in the &quot;Light Settings&quot; group of controls. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"light-painting-rollout\"></a><h2 id=\"light-painting-rollout\">Light Painting Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.lightPaintingIntensity Float default: 500.0 -- float; Light_Painting_Intensity \n\
</pre></div><p>Gets/Sets the Light Painting Intensity value in lux.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.lightPaintingPressure Float default: 10.0 -- float; Light_Painting_Pressure \n\
</pre></div><p>Gets/Sets the Light Painting Pressure value in percent.</p>\n\
<div class=\'section\'><a id=\"rendering-parameters-rollout\"></a><h2 id=\"rendering-parameters-rollout\">Rendering Parameters Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmReuseDirectIllumination Boolean default: false -- boolean; Re_Use_Direct_Illumination \n\
</pre></div><p>Gets/Sets the state of the &quot;Re-Use Direct Illumination from Radiosity Solution/Render Direct Illumination&quot; radio buttons. When set to <span class=\'code\'>true</span> , the Direct Illumination from the Radiosity Solution will be reused. When <span class=\'code\'>false</span> , the Direct Illumination will be rendered.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmRegather Boolean default: false -- boolean; Regather \n\
</pre></div><p>Gets/Sets the state of the &quot;Regather Indirect Illumination&quot; checkbox. When set to <span class=\'code\'>true</span> , Indirect Illumination will be regathered.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmRaysPerSample Integer default: 64 -- integer; Rays_per_Sample \n\
</pre></div><p>Gets/Sets the Rays per Sample value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmFilterRadius Float default: 2.5 -- float; Filter_Radius \n\
</pre></div><p>Gets/Sets the Filter Radius value in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmClampEnabled Boolean default: false -- boolean; Clamp_Enabled \n\
</pre></div><p>Gets/Sets the state if the Clamp Values checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmClampValue Float default: 10000.0 -- float; Clamp_Value \n\
</pre></div><p>Gets/Sets the value of the Clamp Values (cd/m^2) parameter. When <span class=\'code\'>rmClampEnabled</span> is set to true, values above <span class=\'code\'>rmClampValue</span> will be clamped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmAdaptiveEnabled Boolean default: false -- boolean; Adaptive_Enabled \n\
</pre></div><p>Gets/Sets the state of the Adaptive Sampling checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmSampleSpacing Integer default: 3 -- integer; Sample_Spacing \n\
</pre></div><p>Gets/Sets the Sample Spacing value.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - 2x2</p>\n\
<p>1 - 4x4</p>\n\
<p>2 - 8x8</p>\n\
<p>3 - 16x16</p>\n\
<p>4 - 32x32</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmSubdivisionContrast Float default: 5.0 -- float; Subdivision_Contrast \n\
</pre></div><p>Gets/Sets the Subdivision Contrast value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmMinSampleSpacing Integer default: 1 -- integer; Minimum_Sample_Spacing \n\
</pre></div><p>Gets/Sets the Min. Sample Spacing.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - 1x1</p>\n\
<p>1 - 2x2</p>\n\
<p>3 - 8x8</p>\n\
<p>4 - 16x16</p>\n\
<p>5 - 32x32</p>\n\
<p>6- 64x64</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.rmShowSamples Boolean default: false -- boolean; Show_Samples \n\
</pre></div><p>Gets/Sets the state of the Show Samples checkbox.</p>\n\
<div class=\'section\'><a id=\"statistics-rollout\"></a><h2 id=\"statistics-rollout\">Statistics Rollout</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.statSolutionQuality Float default: 0.0 -- float; Solution_Quality \n\
</pre></div><p>Contains the Solution Quality value from the Statistics rollout. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.statRefineIterations Integer default: 0 -- integer; Refine_Iterations_Done \n\
</pre></div><p>Contains the Refine Iterations value from the Statistics rollout. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.elapsedTime Integer default: 0 -- integer; Elapsed_Time \n\
</pre></div><p>The time in seconds used to process the radiosity solution. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.statNumGeomObjects Integer default: 0 -- integer; Number_of_Geometric_Objects \n\
</pre></div><p>Contains the Geometric Objects value from the Statistics rollout. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.statMeshSize Float default: 36.0 -- float; Meshing_Size \n\
</pre></div><p>Contains the Meshing Size value from the Statistics rollout. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.statNumLightObjects Integer default: 0 -- integer; Number_of_Light_Objects \n\
</pre></div><p>Contains the Light Objects value from the Statistics rollout. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Radiosity&gt;.statNumFaces Integer default: 0 -- integer; Radiosity_scene_faces \n\
</pre></div><p>Contains the Mesh Elements value from the Statistics rollout. Read-only.</p>\n\
<div class=\'section\'><a id=\"radiosity-interfaces\"></a><h2 id=\"radiosity-interfaces\">Radiosity interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface:srrOps \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Start () \n\
</pre></div><p>Start Radiosity calculation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Stop () \n\
</pre></div><p>Start Radiosity calculation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Reset &lt;boolean&gt;resetGeometry &lt;boolean&gt;noWarningDialog \n\
</pre></div><p>Reset the Radiosity solution. The <span class=\'code\'>resetGeometry</span> parameter controls whether the geometry must be reset too. The <span class=\'code\'>noWarningDialog</span> controls whether the reset warning dialog must be displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;GatherObjects &lt;node array&gt;Nodes &lt;integer&gt;GatherSteps\n\
       GatherSteps Validated by Range: 0 to 1000000\n\
&lt;boolean&gt;ShowLightingStatistics () \n\
</pre></div><p>Displays the Lighting Analysis dialog. Returns <span class=\'code\'>true</span> if successful, <span class=\'code\'>false</span> if there is no Radiosity Solution in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;AbortLightingStatistics () \n\
</pre></div><p>Close the Lighting Analysis dialog if open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;CanShowLightingStatistics () \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Lighting Analysis dialog can be displayed, <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetPointIlluminance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Illuminance value at the specified <span class=\'code\'>point</span> can be retrieved. The result is passed by reference into the <span class=\'code\'>result</span> Out parameter, the <span class=\'code\'>vertex0</span> , <span class=\'code\'>vertex1</span> , and <span class=\'code\'>vertex2</span> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` sceneRadiosity.radiosity = Radiosity() obj = plane() convertToMesh obj for i in 1 to obj.numFaces do ( myFace = getFace obj i myverts = # () myverts[1] = getVert obj myFace.x myverts[2] = getVert obj myFace.y myverts[3] = getVert obj myFace.z midPoint = (myverts[1] + myverts[2] + myverts[3])/3 PointVal = 0.0 sceneRadiosity.Radiosity.GetPointIlluminance &amp;pointVal obj midPoint myverts[1] myverts[2] myverts[3] format &quot;Face %: %\\n&quot; i pointVal )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetPointLuminance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Luminance value at the specified <span class=\'code\'>point</span> can be retrieved. The result is passed by reference into the <span class=\'code\'>result</span> Out parameter, the <span class=\'code\'>vertex0</span> , <span class=\'code\'>vertex1</span> , and <span class=\'code\'>vertex2</span> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetPointReflectance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Reflectance value at the specified <span class=\'code\'>point</span> can be retrieved. The result is passed by reference into the <span class=\'code\'>result</span> Out parameter, the <span class=\'code\'>vertex0</span> , <span class=\'code\'>vertex1</span> , and <span class=\'code\'>vertex2</span> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetPointTransmittance &lt;&amp;float&gt;result &lt;node&gt;node &lt;point3&gt;point &lt;point3&gt;vertex0 &lt;point3&gt;vertex1 &lt;point3&gt;vertex2\n\
       result is Out parameter\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Transmittance value at the specified <span class=\'code\'>point</span> can be retrieved. The result is passed by reference into the <span class=\'code\'>result</span> Out parameter, the <span class=\'code\'>vertex0</span> , <span class=\'code\'>vertex1</span> , and <span class=\'code\'>vertex2</span> are passed by reference the vertex indices of the face the point resides on.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Show the scene radiosity ReferenceTarget object: sceneRadiosity.radiosity --&gt; ReferenceTarget:Radiosity --Reset the Scene Radiosity solution completely, allow warning: sceneRadiosity.radiosity.Reset true false --&gt; OK --Start new Radiosity Processing: sceneRadiosity.radiosity.Start () --&gt; OK --Stop the Radiosity Processing: sceneRadiosity.radiosity.Stop () --&gt; OK --Check whether the Lighting Analysis dialog can be displayed sceneradiosity.radiosity.CanShowLightingStatistics () --&gt; true --Display the Lighting Analysis dialog sceneradiosity.radiosity.ShowLightingStatistics () --&gt; true --Close the Lighting Analysis dialog sceneradiosity.radiosity.AbortLightingStatistics () --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>The following interface provides MAXScript access to the radiosity mesh in 3ds Max 6 and higher:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: srrRadiosityMesh \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;doesSolutionExist () \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if a radiosity solution exists.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;doesMeshExist &lt;node&gt;node \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified node has a radiosity mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;isMeshValid &lt;node&gt;node \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified node has a valid radiosity mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;interval by value&gt;getMeshValidity &lt;node&gt;node \n\
</pre></div><p>Returns the validity interval of the specified node&#39;s radiosity mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mesh by value&gt;getMesh &lt;node&gt;node \n\
</pre></div><p>Returns the node&#39;s radiosity mesh.</p>\n\
<div class=\'codeBlock\'><pre>&lt;interval by value&gt;getMeshTMValidity &lt;node&gt;node \n\
</pre></div><p>Returns the validity interval of the radiosity mesh&#39;s transformation matrix.</p>\n\
<div class=\'codeBlock\'><pre>&lt;matrix3 by value&gt;getMeshTM &lt;node&gt;node \n\
</pre></div><p>Returns the transformation matrix of the radiosity mesh of the specified node.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";