var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RefTargContainer : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RefTargContainer : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"reftargcontainer-referencetarget\"></a></div>\n\
<div class=\'codeBlock\'><pre>RefTargContainer - superclass: ReferenceTarget; super-superclass:MAXWrapper - 1:1 - classID: #(-1586942241, -696182977)\n\
</pre></div><p>The RefTargContainer ReferenceTarget can be used to hold strong or weak references to other reference objects.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>RefTargContainer...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;RefTargContainer&gt;.holdAsWeakReferences     BooleanClass    default: false   --  bool\n\
</pre></div><p>Get/set whether to hold weak references or not. Exposed by the Interface documented below.</p>\n\
<div class=\'section\'><a id=\"reftargcontainer-interfaces\"></a><h2 id=\"reftargcontainer-interfaces\">RefTargContainer interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IRefTargContainer\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.holdAsWeakReferences : boolean : Read|Write\n\
</pre></div><p>Get/set whether to hold weak references or not.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;GetNumItems()\n\
</pre></div><p>Returns the number of items in the container.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;GetItem &lt;index&gt;index\n\
</pre></div><p>Returns the indexed item from the container, or undefined if the index is invalid.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;AppendItem &lt;maxObject&gt;item\n\
</pre></div><p>Appends the specified item to the container.</p>\n\
<p>Returns the item&#39;s index within the container.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetItem &lt;index&gt;index &lt;maxObject&gt;item\n\
</pre></div><p>Sets the indexed item to the specified object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;InsertItem &lt;index&gt;index &lt;maxObject&gt;item\n\
</pre></div><p>Inserts the object specified by the second argument at the indexed position given by the first argument.</p>\n\
<p>Returns the new index of the item.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;RemoveItem &lt;index&gt;index\n\
</pre></div><p>Removes the indexed item from the container.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;FindFirstItem &lt;maxObject&gt;item\n\
</pre></div><p>Finds the first occurrence of the specified item in the container and returns its index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;GetChangedRefTargetIndex()\n\
</pre></div><p>Returns the index of the changed RefTarget.</p>\n\
<p>If none, returns 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;GetChangedRefTarget()\n\
</pre></div><p>Returns the changed RegTarget object.</p>\n\
<p>If none, returns undefined.</p>\n\
<div class=\'codeBlock\'><pre>Interface: IRefTargContainerStaticInterface\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;CreateInstance()\n\
</pre></div><p>Creates an instance of the container and returns it as the result.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";