var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Blur : RenderEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Blur : RenderEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"blur-rendereffect\"></a></div>\n\
<div class=\'codeBlock\'><pre>blur - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(222828566, 2020440476) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>blur ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.blur_type Integer default: 0 -- animatable \n\
</pre></div><p>Select a blur type:</p>\n\
<p>0- Uniform</p>\n\
<p>1- Directional</p>\n\
<p>2- Radial</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bUnifPixRad Float default: 10.0 \n\
</pre></div><p>Determines the intensity of the Blur effect.</p>\n\
<p>Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater blur for the image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bUnifAlpha Boolean default: true -- animatable \n\
</pre></div><p>Applies the Uniform Blur effect to the alpha channel when turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bDirUPixRad Float default: 10.0 \n\
</pre></div><p>Determines the horizontal intensity of the Blur effect.</p>\n\
<p>Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater horizontal blur for the image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bDirVPixRad Float default: 10.0 \n\
</pre></div><p>Determines the vertical intensity of the Blur effect.</p>\n\
<p>Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater vertical blur for the image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bDirUTrail Float default: 0.0 \n\
</pre></div><p>Adds &quot;direction&quot; to your blur by weighting more blur to either side of the U axis.</p>\n\
<p>This adds a streaking effect and creates the illusion that your objects or your camera are rapidly moving in a particular direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bDirVTrail Float default: 0.0 \n\
</pre></div><p>Adds &quot;direction&quot; to your blur by weighting more blur to either side of the V axis.</p>\n\
<p>This adds a streaking effect and creates the illusion that your objects or your camera are rapidly moving in a particular direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bDirRotation Integer default: 0 \n\
</pre></div><p>Rotates the axis of the U and V pixels that will be blurred by the U and V Pixel Radius spinners.</p>\n\
<p>By using Rotation with the U and V Pixel Radius spinners you can have the Blur effect applied to any direction in your rendered image.</p>\n\
<p>When rotation is <strong>0</strong>, U corresponds to the image&#39;s X-axis and V corresponds to the image&#39;s Y-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bDirAlpha Boolean default: true -- animatable \n\
</pre></div><p>Applies the Directional Blur effect to the Alpha channel when turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bRadialPixRad Float default: 20.0 \n\
</pre></div><p>Determines the intensity of the Radius Blur effect. Increasing the value increases the number of surrounding pixels that each pixel will use to compute its blur.</p>\n\
<p>The more pixels used means a greater blur for the image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bRadialXOrig Integer default: 320 \n\
</pre></div><p>Sets the origin for the radial blur effect along the X axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bRadialYOrig Integer default: 240 \n\
</pre></div><p>Sets the origin for the radial blur effect along the Y axis.</p>\n\
<div class=\'codeBlock\'><pre>axis.&lt;blur&gt;.bRadialTrail Float default: 0.0 \n\
</pre></div><p>Adds &quot;direction&quot; to your blur by weighting more or less blur towards the center of the Blur effect.</p>\n\
<p>This adds a streaking effect and creates the illusion that your objects or your camera are rapidly moving in a particular direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bRadialAlpha Boolean default: true -- animatable \n\
</pre></div><p>Applies the Radial Blur effect to the Alpha channel when turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bRadialNode Node default: undefined \n\
</pre></div><p>Node to which radial blur is assigned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.bRadialUseNode Boolean default: false \n\
</pre></div><p>Turn on/off use object center for selected node, <span class=\'code\'>bradialnode</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selImageActive Boolean default: true -- animatable \n\
</pre></div><p>When on, the blur affects the entire rendered image.</p>\n\
<p>This is useful when the blur effect dims your rendered image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selImageBrighten Float default: 0.0 \n\
</pre></div><p>Brightens the entire image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selImageBlend Float default: 100.0 \n\
</pre></div><p>Blends the Blur effect and the Whole Image parameters with the original rendered image.</p>\n\
<p>This can be used to create a soft-focus effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selIBackActive Boolean default: false \n\
</pre></div><p>Affects everything but the background image or animation when turned on.</p>\n\
<p>This is useful when the Blur effect has dimmed you scene objects but not the background.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selIBackBrighten Float default: 0.0 \n\
</pre></div><p>Brightens the rendered image except for the background image or animation.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selIBackBlend Float default: 100.0 \n\
</pre></div><p>Blends the Blur effect and the Non-Background parameters with the original rendered image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selIBackFRadius Float default: 10.0 \n\
</pre></div><p>Feathers the Blur effect applied to the Non-Background elements of your scene.</p>\n\
<p>When using Non-Background as a Pixel Selection you will notice that the scene objects have a hard edge to their blur since the objects are being blurred but the background is not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selLumActive Boolean default: false \n\
</pre></div><p>Affects any pixels that have luminance values that fall between it&#39;s Min and Max values, <span class=\'code\'>selLumMin</span> &amp; <span class=\'code\'>selLumMax</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selLumBrighten Float default: 0.0 \n\
</pre></div><p>Brightens pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selLumBlend Float default: 100.0 \n\
</pre></div><p>Blends the Blur effect and the Luminance parameters with the original rendered image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selLumMin Float default: 90.0 \n\
</pre></div><p>The minimum luminance value necessary for each pixel in order for the Blur effect to be applied to the pixel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selLumMax Float default: 100.0 \n\
</pre></div><p>The maximum luminance value a pixel can have in order for the Blur effect to be applied to the pixel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selLumFRadius Float default: 10.0 \n\
</pre></div><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<p>When using Luminance as a Pixel Selection the Blur effect can create a hard edge on the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskActive Boolean default: false \n\
</pre></div><p>When turned on, applies the Blur effect according to the channel selected and mask applied through the Material/Map Browser.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskMap TextureMap default: undefined \n\
</pre></div><p>Map assigned to the blur effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskChannel Integer default: 4 -- alias: select_mask_channel \n\
</pre></div><p>Selects a channel that the Blur effect will be applied to:</p>\n\
<p>0- Red</p>\n\
<p>1- Blue</p>\n\
<p>2- Green</p>\n\
<p>3- Alpha</p>\n\
<p>4- Luminance</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskBrighten Float default: 0.0 \n\
</pre></div><p>Brightens the portions of the image that the Blur effect is applied to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskBlend Float default: 100.0 \n\
</pre></div><p>Blends the Map Mask Blur effect with the original rendered image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskMin Float default: 90.0 \n\
</pre></div><p>The minimum value (RGB, Alpha, or Luminance) a pixel must have in order to have the Blur effect applied to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskMax Float default: 100.0 \n\
</pre></div><p>The maximum value (RGB, Alpha, or Luminance) a pixel can have for the Blur effect to be applied to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMaskFRadius Float default: 10.0 \n\
</pre></div><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum channel values.</p>\n\
<p>When using map mask as a Pixel Selection the Blur effect can create a hard edge on the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selObjIdsActive Boolean default: false -- animatable \n\
</pre></div><p>When turned on, applies the Blur effect to an object or part of an object with a specific Object ID, if the object matches the Filter settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selObjIdsIds Array default: #() -- int array \n\
</pre></div><p>This array contains all of the Object ID’a s to which the blur effects will be applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selObjIdsBrighten Float default: 0.0 -- animatable \n\
</pre></div><p>Brightens the portion of the image that the Object ID-specific Blur effect is applied to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selObjIdsBlend Float default: 100.0 -- animatable \n\
</pre></div><p>Blends the Object ID Blur effect with the original rendered image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selObjIdsFRadius Float default: 10.0 -- animatable \n\
</pre></div><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selObjIdsLumMin Float default: 0.0 -- animatable \n\
</pre></div><p>The minimum luminance value a pixel must have in order to have the Blur effect applied to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selObjIdsLumMax Float default: 100.0 -- animatable \n\
</pre></div><p>The maximum luminance value a pixel can have for the Blur effect to be applied to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMatIdsActive Boolean default: false -- animatable \n\
</pre></div><p>Applies the Blur effect to a material or part of a material with a specific material effects channel, if the material matches the Filter settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMatIdsIds Array default: #() -- int array \n\
</pre></div><p>This array contains all of the Material ID’s to which the blur effects will be applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMatIdsBrighten Float default: 0.0 -- animatable \n\
</pre></div><p>Brightens the portion of the image that the Blur effect is applied to.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMatIdsBlend Float default: 100.0 -- animatable \n\
</pre></div><p>Blends the Material ID Blur effect with the original rendered image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMatIdsFRadius Float default: 10.0 -- animatable \n\
</pre></div><p>Feathers the Blur effect applied to pixels that fall between the Minimum and Maximum luminance values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMatIdsLumMin Float default: 0.0 -- animatable \n\
</pre></div><p>The minimum luminance value a pixel must have in order to have the Blur effect applied to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selMatIdsLumMax Float default: 100.0 -- animatable \n\
</pre></div><p>The maximum luminance value a pixel can have for the Blur effect to be applied to it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.selGenBrightType Integer default: 1 -- animatable \n\
</pre></div><p>Selects the type of brightening applied to the feather falloff curve:</p>\n\
<p>0- Additive</p>\n\
<p>1- Multiplicative</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur&gt;.select_falloff_curve SubAnim default: SubAnim:Select_Falloff_Curve \n\
&lt;blur.select_falloff_curve&gt;.curve_1 SubAnim default: SubAnim:Curve_1 \n\
</pre></div><p>The brightening curve for the feather falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;blur.select_falloff_curve&gt;.curve_2 SubAnim default: SubAnim:Curve_2 \n\
</pre></div><p>The blend curve for the feather falloff.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";