var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Depth_of_Field : RenderEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Depth_of_Field : RenderEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"depth_of_field-rendereffect\"></a></div>\n\
<div class=\'codeBlock\'><pre>Depth_of_Field - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(1155882880, 459823346) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>depth_of_field ... DOFEffect ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Depth_of_Field&gt;.AffectAlpha Boolean default: true -- alias: Affect_Alpha \n\
&lt;Depth_of_Field&gt;.camNodeIndex Integer default: -1 -- alias: Camera_Index \n\
</pre></div><p>camNodeIndex specifies which camera in the Depth of Field camera dropdown is the selected camera. A value of -1 specifies that no camera is selected. The index is otherwise 0-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Depth_of_Field&gt;.focalNodeIndex Integer default: -1 -- alias: Focal_Index \n\
</pre></div><p>focalNodeIndex specifies which camera in the Depth of Field focal point node dropdown is the selected focal point node. A value of -1 specifies that no focal point node is selected. The index is otherwise 0-based.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Depth_of_Field&gt;.FocalPoint Integer default: 0 -- alias: Focal_Point \n\
</pre></div><p>FocalPoint = 0 - Focal Node; 1 - Use Camera</p>\n\
<div class=\'codeBlock\'><pre>&lt;Depth_of_Field&gt;.FocalType Integer default: 0 -- alias: Focal_Type \n\
</pre></div><p>FocalType = 0 - Custom; 1 - Use Camera</p>\n\
<div class=\'codeBlock\'><pre>&lt;Depth_of_Field&gt;.HorizFocalLoss Float default: 10.0 -- animatable, alias: Horiz_Focal_Loss \n\
&lt;Depth_of_Field&gt;.VertFocalLoss Float default: 10.0 -- animatable, alias: Vert_Focal_Loss \n\
&lt;Depth_of_Field&gt;.FocalRange Float default: 100.0 -- animatable, alias: Focal_Range \n\
&lt;Depth_of_Field&gt;.FocalLimit Float default: 200.0 -- animatable, alias: Focal_Limit \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>DOF.addCam &lt;Depth_of_Field&gt; &lt;camera_node_name_string&gt; \n\
</pre></div><p>Adds the specified camera to the Depth of Field camera dropdown. <span class=\'code\'>camera_node_name_string</span> is the name of the camera as a string, and must match the case of the camera’s name. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the named camera is not present in the scene.</p>\n\
<div class=\'codeBlock\'><pre>DOF.addFocalNode &lt;Depth_of_Field&gt; &lt;node_name_string&gt; \n\
</pre></div><p>Adds the specified node to the Depth of Field focal point node dropdown. <span class=\'code\'>node_name_string</span> is the name of the node as a string, and must match the case of the node’s name. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the named node is not present in the scene.</p>\n\
<div class=\'codeBlock\'><pre>DOF.deleteCam &lt;Depth_of_Field&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed camera from the Depth of Field camera dropdown, where <span class=\'code\'>&lt;index_integer&gt;</span> is the index of the camera in the dropdown. The index is 0-based to maintain consistency with the <span class=\'code\'>camNodeIndex</span> property. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the indexed camera is not present in the dropdown.</p>\n\
<div class=\'codeBlock\'><pre>DOF.deleteCamByName &lt;Depth_of_Field&gt; &lt;camera_node_name_string&gt; \n\
</pre></div><p>Deletes the specified camera from the Depth of Field camera dropdown. <span class=\'code\'>camera_node_name_string</span> is the name of the camera as a string, and must match the case of the camera’s name. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the named camera is not present in the dropdown.</p>\n\
<div class=\'codeBlock\'><pre>DOF.deleteFocalNode &lt;Depth_of_Field&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed node from the Depth of Field focal point node dropdown, where <span class=\'code\'>&lt;index_integer&gt;</span> is the index of the node in the dropdown. The index is 0-based to maintain consistency with the <span class=\'code\'>focalNodeIndex</span> property. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the indexed node is not present in the dropdown.</p>\n\
<div class=\'codeBlock\'><pre>DOF.deleteFocalNodeByName &lt;Depth_of_Field&gt; &lt;node_name_string&gt; \n\
</pre></div><p>Deletes the specified node from the Depth of Field focal point node dropdown. <span class=\'code\'>node_name_string</span> is the name of the node as a string, and must match the case of the node’s name. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the named node is not present in the dropdown.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";