var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Lens_Effects : RenderEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Lens_Effects : RenderEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"lens_effects-rendereffect\"></a></div>\n\
<div class=\'codeBlock\'><pre>Lens_Effects - superclass: renderEffect; super-superclass:MAXWrapper - classID: #(1347096675, 1339450746) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>lens_effects ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.size Float default: 100.0 -- animatable \n\
</pre></div><p>Get/set the size of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.intensityFloat default: 100.0 -- animatable \n\
</pre></div><p>Get/set the intensity of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.seed Integer default: 1357 \n\
</pre></div><p>Get/set the random seed of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.angle Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the angle of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.squeeze Float default: 0.0 -- animatable \n\
</pre></div><p>Get/set the squeeze value of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.affectAlpha Boolean default: true -- alias: Affect_Alpha \n\
</pre></div><p>Get/set whether the lens effect will affect the Alpha channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.affectZBuffer Boolean default: false -- alias: Affect_Z_Buffer \n\
</pre></div><p>Get/set whether the lens effect will affect the Z-Buffer channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.distAffectsSize Boolean default: false -- alias: Distance_Affects_Size \n\
</pre></div><p>Get/set whether the distance will affect the Size of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.distAffectsIntensity Boolean default: false -- alias: Distance_Affects_Intensity \n\
</pre></div><p>Get/set whether the distance will affect the Intensity of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.centerAffectsSize Boolean default: false -- alias: Off_Center_Affects_Size \n\
</pre></div><p>Get/set whether the location of the lens effect relatively to the center of the image will affect the Size of the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.centerAffectsIntensity Boolean default: false -- alias: Off_Center_Affects_Intensity \n\
</pre></div><p>Get/set whether the location of the lens effect relatively to the center of the image will affect the Intensity of the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.innerOcclusionRadius Float default: 3.0 -- animatable, alias: Inner_Occlusion_Radius \n\
</pre></div><p>Get/set the inner occlusion radius of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.outerOcclusionRadius Float default: 33.0 -- animatable, alias: Outer_Occlusion_Radius \n\
</pre></div><p>Get/set the outer occlusion radius of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.occlusionAffectsSize Boolean default: true -- alias: Occlusion_Affects_Size \n\
</pre></div><p>Get/set whether the occlusion will affect the size of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.occlusionAffectsIntensity Boolean default: true -- alias: Occlusion_Affects_Intensity \n\
</pre></div><p>Get/set whether the occlusion will affect the intensity of the lens effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Lens_Effects&gt;.affectByAtmosphere Boolean default: false -- alias: Affect_By_Atmosphere \n\
</pre></div><p>Get/set whether the lens effect will be affected by atmospheric effects.</p>\n\
<p><strong>Methods</strong></p>\n\
<p>The following methods add elements to a Lens Effects, load and save a Lens Effects configuration file, add and delete lights, and delete Lens Effects elements.</p>\n\
<div class=\'codeBlock\'><pre>le.addASec &lt;Lens_Effects&gt; \n\
</pre></div><p>Adds a Auto Secondary element to the Lens Effect. The element is appended to any elements present. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed.</p>\n\
<div class=\'codeBlock\'><pre>le.addGlow &lt;Lens_Effects&gt; \n\
</pre></div><p>Adds a Glow element to the Lens Effect. The element is appended to any elements present. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed.</p>\n\
<div class=\'codeBlock\'><pre>le.addMSec &lt;Lens_Effects&gt; \n\
</pre></div><p>Adds a Manual Secondary element to the Lens Effect. The element is appended to any elements present. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed.</p>\n\
<div class=\'codeBlock\'><pre>le.addRay &lt;Lens_Effects&gt; \n\
</pre></div><p>Adds a Ray element to the Lens Effect. The element is appended to any elements present. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed.</p>\n\
<div class=\'codeBlock\'><pre>le.addRing &lt;Lens_Effects&gt; \n\
</pre></div><p>Adds a Ring element to the Lens Effect. The element is appended to any elements present. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed.</p>\n\
<div class=\'codeBlock\'><pre>le.addStar &lt;Lens_Effects&gt; \n\
</pre></div><p>Adds a Star element to the Lens Effect. The element is appended to any elements present. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed.</p>\n\
<div class=\'codeBlock\'><pre>le.addStreak &lt;Lens_Effects&gt; \n\
</pre></div><p>Adds a Streak element to the Lens Effect. The element is appended to any elements present. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed.</p>\n\
<div class=\'codeBlock\'><pre>le.load &lt;Lens_Effects&gt; &lt;filename_string&gt; \n\
le.save &lt;Lens_Effects&gt; &lt;filename_string&gt; \n\
</pre></div><p>Saves the Lens Effects configuration to the file specified by <span class=\'code\'>&lt;filename_string&gt;</span> . Animated parameter values are not saved.</p>\n\
<div class=\'codeBlock\'><pre>le.numLights &lt;Lens_Effects&gt; \n\
</pre></div><p>Returns the number of lights in the light list.</p>\n\
<div class=\'codeBlock\'><pre>le.addLightNode &lt;Lens_Effects&gt; &lt;light_node&gt; \n\
</pre></div><p>Adds light node to the light list.</p>\n\
<div class=\'codeBlock\'><pre>le.addLight &lt;Lens_Effects&gt; &lt;light_node_name_string&gt; \n\
</pre></div><p>Adds the specified light to the Lens Effects Lights dropdown. <span class=\'code\'>light_node_name_string</span> is the name of the light as a string, and must match the case of the light’s name. Returns <span class=\'code\'>true</span> if the addition was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the named light is not present in the scene.</p>\n\
<div class=\'codeBlock\'><pre>le.deleteLight &lt;Lens_Effects&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed light from the Lens Effects Lights dropdown, where <span class=\'code\'>&lt;index_integer&gt;</span> is the index of the light in the Lens Effects Lights dropdown. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the indexed light is not present in the dropdown.</p>\n\
<div class=\'codeBlock\'><pre>le.deleteLightByName &lt;light_node_name_string&gt; \n\
</pre></div><p>Deletes the named light from the Lens Effects Lights dropdown. <span class=\'code\'>light_node_name_string</span> is the name of the light as a string, and must match the case of the light’s name. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the named light is not present in the dropdown.</p>\n\
<div class=\'codeBlock\'><pre>le.lightIndex &lt;Lens_Effects&gt; &lt;light_node_name_string&gt; \n\
</pre></div><p>Returns the light list index of the named light. Returns -1 if the light’s name is not in the light list.</p>\n\
<div class=\'codeBlock\'><pre>le.lightName &lt;Lens_Effects&gt; &lt;index&gt; \n\
</pre></div><p>Returns the node name of the light for the specified light list index. If the index is out of range, a null string will be returned.</p>\n\
<div class=\'codeBlock\'><pre>le.deleteElement &lt;Lens_Effects&gt; &lt;index_integer&gt; \n\
</pre></div><p>Deletes the indexed element, where <span class=\'code\'>&lt;index_integer&gt;</span> is the index of the element in the Lens Effects composition window. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the indexed element does not exist.</p>\n\
<div class=\'codeBlock\'><pre>le.deleteElementByName &lt;element_name_string&gt; \n\
</pre></div><p>Deletes the named element. <span class=\'code\'>element_name_string</span> is the name of the element as a string, and must match the case of the element’s name. Returns <span class=\'code\'>true</span> if the deletion was successful, <span class=\'code\'>false</span> if it failed. The normal reason for a failure is that the named element does not exist.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";