var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Render Effects Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Render Effects Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"render-effects-common-properties-operators-and-methods\"></a></div>\n\
<p>Render Effects have the following common properties and methods:</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;renderEffect&gt;.name String default: varies\n\
</pre></div><p>The name as it appears in the Rendering/Effects dialog list. The class name is used as the default name when no <span class=\'code\'>name:</span> creation parameter is supplied.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addEffect &lt;renderEffect&gt;\n\
</pre></div><p>Adds the render effect to the Rendering/Effects dialog list.</p>\n\
<div class=\'codeBlock\'><pre>setActive &lt;renderEffect&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the render effect active or inactive. If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> the render effect is set to active; if <span class=\'code\'>false</span> , inactive.</p>\n\
<p><strong>Associated Methods and Global Variables</strong></p>\n\
<p>You can use the following global variables and functions for maintaining the list of render effects in the Rendering/Effects dialog list:</p>\n\
<div class=\'codeBlock\'><pre>IsActive &lt;renderEffect&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the render effect is set to active; false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>numEffects\n\
</pre></div><p>Global variable containing an Integer value that defines the number of current render effects defined in the Rendering/Effects dialog list. This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>getEffect &lt;index_integer&gt;\n\
</pre></div><p>Retrieves the render effect at the indexed position in the Rendering/Effects dialog list. The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>editEffect &lt;renderEffect&gt; [ gizmo: &lt;node&gt; ]\n\
</pre></div><p>Opens the Rendering/Effects dialog, and opens the rollout for the specified render effect if it has been added to the Render Effects list.</p>\n\
<p>If the optional <span class=\'code\'>gizmo:</span> argument is specified, and the specified node is a gizmo for the render effect, that gizmo is selected in the render effect’s gizmo list.</p>\n\
<p>In <strong>3ds Max 6 and higher,</strong> calling <span class=\'code\'>editEffect()</span> without an argument will open the Effects tab in the Environemnt and Effects dialog.</p>\n\
<div class=\'codeBlock\'><pre>setEffect &lt;index_integer&gt; &lt;renderEffect&gt;\n\
</pre></div><p>Sets the render effect at the indexed position in the Rendering/Effects dialog list to the specified render effect.</p>\n\
<p>If the Render Effects dialog is displayed when this method is called, the displayed Render Effects list is not updated.</p>\n\
<div class=\'codeBlock\'><pre>deleteEffect &lt;index_integer&gt;\n\
</pre></div><p>Deletes the indexed render effect from the Rendering/Effects dialog list.</p>\n\
<p>The index is 1-based.</p>\n\
<p>Note:</p>\n\
<p>Unlike most MAXWrapper objects, you can not copy a RenderEffect.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";