var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>A360_Cloud_Rendering : RendererClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>A360_Cloud_Rendering : RendererClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"a360_cloud_rendering-rendererclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>A360_Cloud_Rendering - superclass: RendererClass; super-superclass:MAXWrapper - 14:7 - classID: #(862667290, 1464541674)\n\
</pre></div><p>Exposes the A360 Cloud Renderer to MAXScript. It allows you to upload render tasks to the Autodesk Cloud for rendering. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre> A360_Cloud_Rendering...\n\
A360Renderer... \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.UserLoggedIn     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Returns True if the user is logged in, False if not logged in. Setting this value to True using MAXScript has no effect. Exposed by the Jobs Mixin Interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.RenderType     String    default: &quot;image&quot;   --  string\n\
</pre></div><p>Gets/sets the state of the &quot;Output Type&quot; drop-down list as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;image&quot;</strong> (default) - Still Image output</li>\n\
<li><strong>&quot;panorama&quot;</strong> - Interactive Panorama output</li>\n\
<li><strong>&quot;ss_preview&quot;</strong> - Preview Solar Study output</li>\n\
<li><strong>&quot;solarstudy&quot;</strong> - Solar Study output</li>\n\
<li><strong>&quot;illuminance&quot;</strong> - Illuminance output</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.Quality     String    default: &quot;draft&quot;   --  string\n\
</pre></div><p>Gets/sets the state of the &quot;Render Quality&quot; drop-down list as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;draft&quot;</strong>(default) - low render quality</li>\n\
<li><strong>&quot;standard&quot;</strong> - standard render quality</li>\n\
<li><strong>&quot;high&quot;</strong> - high render quality</li>\n\
<li><strong>&quot;best&quot;</strong> - highest render quality</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.Width     Integer    default: 640   --  integer\n\
</pre></div><p>Gets/sets the width of the render output in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.Height     Integer    default: 480   --  integer\n\
</pre></div><p>Gets/sets the height of the render output in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.Exposure     String    default: &quot;Advanced&quot;   --  string\n\
</pre></div><p>Gets/sets the state of the &quot;Exposure&quot; drop-down list as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;Native&quot;</strong></li>\n\
<li><strong>&quot;Advanced&quot;</strong> (default)</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.Format     String    default: &quot;JPEG&quot;   --  string\n\
</pre></div><p>Gets/sets the File Format to render to as a string value. Possible values are:</p>\n\
<ul>\n\
<li><strong>&quot;PNG&quot;</strong> - save in Portable Network Graphics format (lossless compression)</li>\n\
<li><strong>&quot;JPEG&quot;</strong> - lossy compression (default)</li>\n\
<li><strong>&quot;TIFF&quot;</strong> - lossless compression</li>\n\
</ul>\n\
<p>Attempting to assign any other string value will cause a runtime error and will also print an error message to the MAXScript Listener listing the possible values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.NotifyByEmail     BooleanClass    default: false   --  boolean; Notify_me_by_e_mail_when_complete\n\
</pre></div><p>Gets/sets the state of the &quot;Notify me by e-mail when complete&quot; checkbox. When set to True, the logged in user will be notified by email when the job is completed using the email address from the user&#39;s registration. When set to False (default), no email notification will be sent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.lastJobs     String    default: &quot;[]&quot;   --  string\n\
</pre></div><p>Contains a string describing the last jobs of the logged in user.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.WaitingTime     Integer    default: -1   --  integer\n\
</pre></div><p>Contains the waiting time in seconds.</p>\n\
<p>Contains -1 when not logged in.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.CheckPricePending     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Contains True when the price check is pending.</p>\n\
<p>Contains False when not logged in, when the price check has not been initiated, or when the price check has finished.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.CheckPriceReceived     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Contains True when the price has been received.</p>\n\
<p>Contains False when not logged in or the price has not been received yet.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.CreditsAvailable     Integer    default: -1   --  integer\n\
</pre></div><p>Contains the number of available credits on the logged in user&#39;s account.</p>\n\
<p>Contains -1 when not logged in.</p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.CreditsNeeded     Integer    default: -1   --  integer\n\
</pre></div><p>Contains the number of credits needed to render the job.</p>\n\
<p>Contains -1 when not logged in.</p>\n\
<div class=\'section\'><a id=\"a360_cloud_rendering-interfaces\"></a><h2 id=\"a360_cloud_rendering-interfaces\">A360_Cloud_Rendering interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_Renderer\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>No methods exposed.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<div class=\'codeBlock\'><pre>Interface: jobs\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;A360_Cloud_Rendering&gt;.lastJobs : string : Read\n\
&lt;A360_Cloud_Rendering&gt;.UserLoggedIn : boolean : Read\n\
&lt;A360_Cloud_Rendering&gt;.CheckPricePending : boolean : Read\n\
&lt;A360_Cloud_Rendering&gt;.CheckPriceReceived : boolean : Read\n\
&lt;A360_Cloud_Rendering&gt;.CreditsNeeded : integer : Read\n\
&lt;A360_Cloud_Rendering&gt;.CreditsAvailable : integer : Read\n\
&lt;A360_Cloud_Rendering&gt;.WaitingTime : integer : Read\n\
\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;A360_Cloud_Rendering&gt;.QueryJobInfo &lt;string&gt;jobID\n\
</pre></div><p>Returns information about the job with the specified ID.</p>\n\
<p>The ID can be extracted from the <span class=\'code\'>.lastJobs</span> string.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` Autodesk360.InitializeWebServices() --&gt;true a360=A360_Cloud_Rendering() --&gt;A360_Cloud_Rendering:A360_Cloud_Rendering renderSceneDialog.close()--close the render dialog --&gt;OK renderers.current = a360 --assign the A360 renderer a360.UserLoggedIn --check if the user is logged in --&gt;false --Log in if not logged in yet: if not a360.UserLoggedIn do Autodesk360.Login() --&gt;true a360.UserLoggedIn --check if the user is logged in now --&gt;true Autodesk360.getLoginUserName()--get the login name --&gt;&quot;yourname&quot;</p>\n\
<p>renderers.target --check the target mode --&gt;&quot;local&quot; renderers.target = &quot;cloud&quot; --set it to cloud rendering --&gt;&quot;cloud&quot; renderSceneDialog.open() --re-open the render dialog --&gt;OK</p>\n\
<p>a360.RenderType = &quot;image&quot; --render image --&gt;&quot;image&quot; a360.Quality = &quot;standard&quot; --increase quality from draft to standard --&gt;&quot;standard&quot; a360.Exposure = &quot;Native&quot; --change the exposure from advanced do native --&gt;&quot;Native&quot; a360.Width = 1000 --&gt;1000 a360.Height = 750 --&gt;750 a360.Format = &quot;PNG&quot; --set the format to Portable Network Graphics --&gt;PNG a360.NotifyByEmail = true --send the user an email when done --&gt;true a360.CreditsNeeded --see how many credits are needed --&gt;0 a360.CreditsAvailable --see how many credits are left --&gt;25 --If there are enough credits, submit the job to the A360 Cloud if a360.CreditsNeeded &lt;= a360.CreditsAvailable do max quick render --&gt;OK<br> a360.lastJobs --&gt;&quot;[ ]&quot; a360.WaitingTime --&gt;0 --Filter the last jobs string to create an array of strings theFilteredJobs = filterString a360.lastJobs &quot;:[]{} &quot;,&quot; --&gt;#() --Print information about the last jobs: for i = 4 to theFilteredJobs.count by 4 do format &quot;%\\n&quot; (a360.QueryJobInfo theFilteredJobs[i]) --&gt;OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";