var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ART_Renderer : RendererClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ART_Renderer : RendererClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"art_renderer-rendererclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>ART_Renderer - superclass: RendererClass; super-superclass:MAXWrapper - 18:0 - classID: #(2980325325L, 2688898415L)\n\
</pre></div><p>ART Renderer is a path tracer rendering engine. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>ART_Renderer...\n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p><strong>Rendering Parameters Rollout</strong></p>\n\
<p>Render Quality Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.quality_db     Float    default: 20.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Target Quality&quot;</strong> value and slider.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.enable_time     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Time&quot;</strong> checkbox.</p>\n\
<p>Default value is False.</p>\n\
<p>When set to True, the rendering will stop even if the Target Quality has not been achieved after the time specified by the following properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.time_in_seconds     Integer    default: 300   --  integer\n\
</pre></div><p>Get/set the time in seconds after which to stop the rendering if the <span class=\'code\'>enable_time</span> property is set to True.</p>\n\
<p>This value is not directly exposed in the UI, but represents the combined values of (time_split_hours*3600+time_split_minutes*60+time_split_seconds).</p>\n\
<p>It can be used to set from MAXScript all three UI values by providing a single threshold in seconds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.time_split_hours     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Hours&quot;</strong> spinner.</p>\n\
<p>Setting this value will also update the <span class=\'code\'>.time_in_seconds</span> property documented above.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.time_split_minutes     Integer    default: 5   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Minutes&quot;</strong> spinner.</p>\n\
<p>Setting this value will also update the <span class=\'code\'>.time_in_seconds</span> property documented above.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.time_split_seconds     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Seconds&quot;</strong> spinner.</p>\n\
<p>Setting this value will also update the <span class=\'code\'>.time_in_seconds</span> property documented above.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.enable_iterations     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Iterations&quot;</strong> checkbox.</p>\n\
<p>Default value is False.</p>\n\
<p>When set to True, the rendering will stop even if the Target Quality has not been achieved after the time specified by the following properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.iterations     Integer    default: 50   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;Iterations&quot;</strong> spinner.</p>\n\
<p>Default value is False.</p>\n\
<p>When set to True, the rendering will stop even if the Target Quality has not been achieved after the specified number of iterations has been reached.</p>\n\
<p>Lighting and Material Fidelity Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.render_method     Integer    default: 1   --  integer\n\
</pre></div><p>Get/Set the selection of the <strong>&quot;Rendering method&quot;</strong> drop-down list.</p>\n\
<p>Valid values are:</p>\n\
<p>0 - <strong>AdvancedPath Tracing</strong></p>\n\
<p>1 - <strong>Fast Path Tracing</strong> (default)</p>\n\
<p><strong>Filtering Rollout</strong></p>\n\
<p>Noise Filtering Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.enable_noise_filter     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Enable&quot;</strong> checkbox.</p>\n\
<p>When set to True, noise filtering will be used - see the properties below for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.noise_filter_strength     Float    default: 0.5   --  float\n\
</pre></div><p>Get/set the noise filter value as a floating point value between 0.0 and 1.0.</p>\n\
<p>The <span class=\'code\'>.noise_filter_strength_percentage</span> property will be set automatically to the corresponding percentage value in the 0.0 to 100.0 range (see below).</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.noise_filter_strength_percentage     Float    default: 50.0   --  float\n\
</pre></div><p>Get/set the noise filter value as a percentage value between 0.0 and 100.0.</p>\n\
<p>The <span class=\'code\'>.noise_filter_strength</span> property will be set automatically to the corresponding floating value in the 0.0 to 1.0 range (see above).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` renderers.current.noise_filter_strength --get the noise filter float value - it defaults to 0.5 renderers.current.noise_filter_strength_percentage --check out the percentage value - default is 50.0 renderers.current.noise_filter_strength = 0.75 --set the noise filter to 75% if renderSceneDialog.isOpen do renderSceneDialog.update() --force an update to the render dialog if needed renderers.current.noise_filter_strength_percentage --see if the percentage was also updated</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` 0.5 50.0 0.75 OK 75.0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Anti-Aliasing Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.anti_aliasing_filter_diameter    Float    default: 3.0   --  float\n\
</pre></div><p>Get/set the value in pixels of the <strong>&quot;Filter Diameter&quot;</strong> spinner.</p>\n\
<p><strong>Advanced Rollout</strong></p>\n\
<p>Scene Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.point_light_diameter     Float    default: 0.393701   --  worldUnits\n\
</pre></div><p>Get/set the value of the <strong>&quot;Point Light Diameter&quot;</strong> spinner.</p>\n\
<p>The ART Renderer used spherical or disk lights to represent point light, and cylindrical or rectangular lights to represent linear lights.</p>\n\
<p>This value controls the diameter of point lights and the thickness or linear lights.</p>\n\
<p>The default value of 0.393701 inches (when System Units are set to 1 Generic Unit = 1 Inch) corresponds to 1 cm.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.motion_blur_all_objects     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;All Objects Receive Motion Blur&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), all scene objects will be motion blurred, regardless of the Motion Blur settings in their Object Properties dialog.</p>\n\
<p>When set to False, only objects with Motion Blur enabled in the Object Properties dialog will be blurred.</p>\n\
<p>Note that the view must be set to a Physical Camera with &quot;Enable Motion Blur&quot; checked for this option to have any effect.</p>\n\
<p>Noise Pattern Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.enable_animated_noise     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Animate Noise Pattern&quot;</strong> checkbox.</p>\n\
<p>When set to True (default), the noise pattern will vary between frames to produce an effect similar to film grain.</p>\n\
<p>When set to False, the noise pattern will remain static between frames (recommended for low-quality draft renders).</p>\n\
<p><strong>Not Exposed In The UI</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.enable_outlier_clamp     BooleanClass    default: true   --  boolean\n\
</pre></div><p>When set to True (default), outlier values will be clamped automatically.</p>\n\
<p>When set to False, no clamping will be performed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ART_Renderer&gt;.texture_bake_resolution     Integer    default: 1024   --  integer\n\
</pre></div><p>Get/set the texture baking resolution.</p>\n\
<div class=\'section\'><a id=\"art_renderer-interfaces\"></a><h2 id=\"art_renderer-interfaces\">ART_Renderer interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_Renderer\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";