var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Default_Scanline_Renderer : RendererClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Default_Scanline_Renderer : RendererClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"default_scanline_renderer-rendererclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>Default_Scanline_Renderer - superclass: RendererClass; super-superclass:MAXWrapper - classID: #(1, 0)\n\
</pre></div><p>This class represents the Default Scanline Renderer. It lets you construct an instance of the <span class=\'code\'>Default_Scanlinle_Renderer</span> class to be assigned to the Current, Production, ActiveShade, and Material Editor renderers using the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\' title=\'\'>renderers structure</a>.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Default_Scanline_Renderer ...\n\
DefaultScanlineRenderer...\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE</strong></p>\n\
<p>``` --Assign a scanline renderer class instance --to the current renderer: renderers.current = Default_Scanline_Renderer () --&gt; Default_Scanline_Renderer:Default_Scanline_Renderer</p>\n\
<p>```</p>\n\
\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"default_scanline_renderer-interfaces\"></a><h2 id=\"default_scanline_renderer-interfaces\">Default_Scanline_Renderer interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: props\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"options\"></a><h3 id=\"options\">Options</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.mapping : boolean : Read|Write\n\
</pre></div><p>Enable/Disable mapping.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.shadows : boolean : Read|Write\n\
</pre></div><p>Enable/Disable shadows.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.enableSSE : boolean : Read|Write\n\
</pre></div><p>Enable/Disable SSE.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.autoReflect : boolean : Read|Write\n\
</pre></div><p>Enable/Disable automatic reflections and refractions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.forceWireframe : boolean : Read|Write\n\
</pre></div><p>Enable/Disable wireframe rendering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.wireThickness : float : Read|Write\n\
</pre></div><p>Get/Set the Wireframe Thickness.</p>\n\
<div class=\'section\'><a id=\"antialiasing\"></a><h3 id=\"antialiasing\">Antialiasing</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.antiAliasing : boolean : Read|Write\n\
</pre></div><p>Enable/Disable anti-aliasing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.antiAliasFilter : maxObject : Read|Write|Validated by Validator function\n\
</pre></div><p>Get/Set the Anti-Alias Filter.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.filterMaps : boolean : Read|Write\n\
</pre></div><p>Enable/Disable map filtering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.antiAliasFilterSize : float : Read|Write\n\
</pre></div><p>Get/Set the Anti-Aliasing Filter Size.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Assign a Default Scanline Renderer to the production renderer renderers.production = Default_Scanline_Renderer () --&gt; Default_Scanline_Renderer:Default_Scanline_Renderer -- Disable Anti-Aliasing in the production renderer renderers.production.AntiAliasing = false --&gt; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"global-supersampling\"></a><h3 id=\"global-supersampling\">Global Supersampling</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.globalSamplerEnabled : boolean : Read|Write\n\
</pre></div><p>Enable/Disable the Global Super-Sampler. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.globalSamplerClassByName : string : Read|Write\n\
</pre></div><p>Get/Set the Global Super-Sampler by name. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.globalSamplerSampleMaps : boolean : Read|Write\n\
</pre></div><p>Enable/Disable the global super-sampling of Maps. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.globalSamplerQuality : float : Read|Write\n\
</pre></div><p>Get/Set the Global Super-Sampler quality. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.globalSamplerAdaptive : boolean : Read|Write\n\
</pre></div><p>Enable/Disable Adaptive global super-sampling. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.globalSamplerAdaptiveThresh : float : Read|Write\n\
</pre></div><p>Get/Set the Threshold for Adaptive global super-sampling. Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"object-motion-blur\"></a><h3 id=\"object-motion-blur\">Object Motion Blur</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.objectMotionBlur : boolean : Read|Write\n\
</pre></div><p>Enable/Disable Object Motion Blur.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.objectBlurDuration : float : Read|Write\n\
</pre></div><p>Get/Set the Object Motion Blur Duration.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.objectBlurSamples : integer : Read|Write\n\
</pre></div><p>Get/Set the Object Motion Samples count.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.objectBlurSubdivisions : integer : Read|Write\n\
</pre></div><p>Get/Set the Object Motion Blur Subdivisions.</p>\n\
<div class=\'section\'><a id=\"image-motion-blur\"></a><h3 id=\"image-motion-blur\">Image Motion Blur</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.imageMotionBlur : boolean : Read|Write\n\
</pre></div><p>Enable/Disable Image Motion Blur.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.imageBlurEnv : boolean : Read|Write\n\
</pre></div><p>Enable/Disable &quot;Apply to Environment Map&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.imageBlurTrans : boolean : Read|Write\n\
</pre></div><p>Enable/Disable &quot;Work with Transpacency&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.enablePixelSampler : boolean : Read|Write\n\
</pre></div><p>Enable/Disable Global SuperSampling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.imageBlurDuration : float : Read|Write\n\
</pre></div><p>Get/Set the Image Motion Blur Duration.</p>\n\
<div class=\'section\'><a id=\"auto-reflectrefract-maps\"></a><h3 id=\"auto-reflectrefract-maps\">Auto-Reflect/Refract Maps</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.autoReflectLevels : integer : Read|Write\n\
</pre></div><p>Get/Set the Automatic Reflection Rendering Iterations.</p>\n\
<div class=\'section\'><a id=\"color-range-limit\"></a><h3 id=\"color-range-limit\">Color Range Limit</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.colorClampType : integer : Read|Write\n\
</pre></div><p>Get/Set the Color Clamping Type:</p>\n\
<p>0 - Clamp</p>\n\
<p>1 - Scale</p>\n\
<div class=\'section\'><a id=\"memory-management\"></a><h3 id=\"memory-management\">Memory Management</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;Default_Scanline_Renderer&gt;.conserveMemory : boolean : Read|Write\n\
</pre></div><p>Get/set the state of the &quot;Conserve Memory&quot; option.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";