var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>rendererClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>rendererClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rendererclass\"></a></div>\n\
<p>The RendererClass is a MAXClass wrapper of the plug-in renderer superclass which was added in <strong>3ds Max 4</strong> so that a renderer instance can be worked with in MAXScript.</p>\n\
<p>The property .classes provides an array of all installed RendererClass objects, which allows for example the procedural creation of renderer class instances, the checking for available renderers on the current system and so on.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` RendererClass.classes --&gt; #(Default_Scanline_Renderer, VUE_File_Renderer, Quicksilver_Hardware_Renderer, mental_ray_renderer, Missing_Renderer) --You can assign a new renderer class to the current renderer renderers.current = RendererClass.classes<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/\' title=\'\'>3</a> --&gt; mental_ray_renderer:mental_ray_renderer</p>\n\
<p>--Conditional assignment: collect all renderer classes that match --the name pattern &quot;Quicksilver<em>&quot; and if exactly one was collected, --assign an instance of it to the current renderer: theRenderer = for i in RendererClass.classes where<br> matchPattern (i as string) pattern:&quot;Quicksilver</em>&quot; collect i --&gt; #(Quicksilver_Hardware_Renderer) if theRenderer.count == 1 do renderers.current = theRenderer<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/\' title=\'\'>1</a> --&gt; Quicksilver_Hardware_Renderer:Quicksilver_Hardware_Renderer--Using the class as string to pattern match the name is --useful when the actual class name is changing (for example --some 3rd party renderers include the version number in the --class name, making it difficult to hard-code in scripts for --more than one version). --The above approach would work with these cases, too. ```</p>\n\
</blockquote>\n\
<p>The shipping <strong>RendererClass</strong> classes are:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/Default_Scanline_Renderer.html\' title=\'\'>Default_Scanline_Renderer : RendererClass</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/Quicksilver_Hardware_Renderer.html\' title=\'\'>Quicksilver_Hardware_Renderer : RendererClass</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RendererClass/VUE_File_Renderer-RendererClass.html\' title=\'\'>VUE_File_Renderer : RendererClass</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";