var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Track View Nodes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Track View Nodes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"track-view-nodes\"></a></div>\n\
<p>You can access and modify controllers in the Global Tracks and Video Post sections in Track View, and create new named global tracks. Among other things, these can be used to provide keyframeable parameters in your scripted utilities.</p>\n\
<p>There are also methods associated with the Track View window. These methods are described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-1.html\' title=\'\'>Track View</a>.</p>\n\
<p><strong>MAXTVNode : Value</strong> is the class whose instances represent track view global track nodes. Each MAXTVNode can contain any number of MAXTVNodes or animation controllers. The MAXTVNodes and controllers within a MAXTVNode are shown as properties of the MAXTVNode, so you can navigate through the nesting using property access. A MAXTVNode does not store animation data, but rather acts as a container that can store one or more MAXTVNode or animation controller.</p>\n\
<p>There are three track view nodes that you can access through global variables: the <span class=\'code\'>root</span> node to which you can add new custom tracks, the existing Global Tracks node which provides access to the global track controllers, and the Video Post tracks node which provides access to any video post controllers. These nodes are also accessible as properties on the <span class=\'code\'>root</span> node.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>trackViewNodes \n\
</pre></div><p>Global variable containing the top-level World or root node in Track View. This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>globalTracks \n\
</pre></div><p>Global variable containing the top-level Global Tracks node in Track View. This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>videoPostTracks \n\
</pre></div><p>Global variable containing the top-level Video Post Track View node. This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>newTrackViewNode [ &lt;maxtvnode&gt; ] &lt;name_string&gt; [#hidden] \n\
</pre></div><p>If the <span class=\'code\'>&lt;maxtvnode&gt;</span> argument is supplied, adds a sub-track node to it. If not, creates a new &#39;top-level&#39; track in the Track View. If the optional <span class=\'code\'>#hidden</span> flag is supplied, the node is not visible in the Track View.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;maxtvnode&gt;.name String \n\
</pre></div><p>The track view node name as it appears in Track View.</p>\n\
<p>The sub-tracks and sub-controllers for a track view node are also shown as properties of the track view node. For example, the additional default properties for global <span class=\'code\'>trackViewNodes</span> are:</p>\n\
<div class=\'codeBlock\'><pre>TrackViewNodes.Global_Tracks MAXTVNode \n\
TrackViewNodes.Video_Post MAXTVNode \n\
</pre></div><p>The additional default properties for global <span class=\'code\'>globalTracks</span> are:</p>\n\
<div class=\'codeBlock\'><pre>GlobalTracks.float float_list controller \n\
GlobalTracks.point3 point3_list controller \n\
GlobalTracks.position position_list controller \n\
GlobalTracks.rotation rotation_list controller \n\
GlobalTracks.scale scale_list controller \n\
GlobalTracks.Block_Control block_control controller \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>deleteTrackViewNode [ &lt;parent_maxtvnode&gt; ] &lt;maxtvnode&gt; \n\
</pre></div><p>Deletes the given node from the supplied parent or the top-level if the parent is not specified.</p>\n\
<div class=\'codeBlock\'><pre>addTrackViewController &lt;maxtvnode&gt; &lt;controller&gt; &lt;name&gt; \n\
</pre></div><p>Adds the sub-controller to the given Track View node.</p>\n\
<div class=\'codeBlock\'><pre>deleteTrackViewController &lt;maxtvnode&gt; &lt;controller&gt; \n\
</pre></div><p>Deletes the controller from the given Track View node.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` -- access a video post track videoPostTracks.glow.size = 5 -- set up some visible tracks for some keyframeable parameters in a rollout panel my_tracks = newTrackViewNode &quot;Grinner&quot; happy_ctrl = bezier_position () addTrackViewController my_tracks happy_ctrl &quot;Happy&quot; ... -- plant keyframes in rollout spinner handler if the animate button is on rollout grinner ... ( ... on happy changed val do ( ... happy_ctrl.value = [x, y, z] ... ) ... ) -- add a new float controller to the global tracks float controller list globalTracks.float.controller.available.controller = bezier_float ()</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";