var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>rootScene System Global Variable</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>rootScene System Global Variable</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rootscene-system-global-variable\"></a></div>\n\
<p>The <strong>rootScene</strong> is a system global variable that represents the Scene Root. It is available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Its subAnims can be used to access various elements of the scene hierarchy including:</p>\n\
<ul>\n\
<li><p>Sound</p></li>\n\
<li><p>Video Post</p></li>\n\
<li><p>Global Tracks</p></li>\n\
<li><p>Biped</p></li>\n\
<li><p>Animation Layer Control Manager</p></li>\n\
<li><p>Schematic Material Editor</p></li>\n\
<li><p>Environment</p></li>\n\
<li><p>Render Effects</p></li>\n\
<li><p>Render Elements</p></li>\n\
<li><p>Renderers</p></li>\n\
<li><p>Global Shadow Parameters</p></li>\n\
<li><p>Scene Materials</p></li>\n\
<li><p>Medit Materials</p></li>\n\
<li><p>World</p></li>\n\
</ul>\n\
<p>The rootScene is used by the Macro Recorder to emit script code relative to the scene root.</p>\n\
<p>Below are some examples of accessing the rootScene and its subAnims:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` rootScene --&gt;$<rootscene><p>\n\
<p>getsubanimnames rootScene --&gt;#(#Sound, #Video_Post, #Global_Tracks, #biped, #Anim_Layer_Control_Manager, #SME, #Environment, #Render_Effects, #Render_Elements, #renderer, #Global_Shadow_Parameters, --&gt;#Scene_Materials, #Medit_Materials, #world)</p>\n\
<p>w=rootscene[#world] --&gt;SubAnim:World</p>\n\
<p>w.object --&gt;$<root><p>\n\
<p>classof rootScene --&gt;Scene</p>\n\
<p>weaponDataCA = attributes weaponData ( parameters main rollout:params ( hitPoints type:#float ui:hits default:10 cost type:#float ui:cost default:100 sound type:#string ) rollout params &quot;Weapon Parameters&quot; ( spinner hits &quot;Hit Points&quot; type:#float spinner cost &quot;Cost&quot; type:#float dropdownlist sound_dd &quot;Sound&quot; items:#(&quot;boom&quot;, &quot;sparkle&quot;, &quot;zap&quot;, &quot;fizzle&quot;) on sound_dd selected i do sound = sound_dd.items[i] ) ) CustAttributes.add rootnode weaponDataCA CustAttributes.add rootscene weaponDataCA createdialog rootnode.weapondata.params --Playing with parameters generates clean macro recorder output</p>\n\
<p>--Close dialog before running next line:</p>\n\
<p>createdialog rootscene.weapondata.params --Playing with parameters generates clean macro recorder output</p>\n\
<p>```</p>\n\
</root></rootscene></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";