var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripting Vertex and Control Point Animation</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripting Vertex and Control Point Animation</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripting-vertex-and-control-point-animation\"></a></div>\n\
<p>You can add animation to vertices in editable meshes, spline shapes and FFD modifiers using the <span class=\'code\'>animateVertex()</span> method. Its syntax is:</p>\n\
<div class=\'codeBlock\'><pre>animateVertex &lt;node_or_ffd_modifier&gt; &lt;vertex_spec&gt;   \n\
</pre></div><p>Animates one or more vertex, knot, or control point, where <span class=\'code\'>&lt;vertex_spec&gt;</span> is one of</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;\n\
&lt;index_array&gt;\n\
#all #selected -- not applicable for FFD modifiers   \n\
</pre></div><p>For FFD modifiers, the <span class=\'code\'>animateAll()</span> method will animate all the control points, and is equivalent to <span class=\'code\'>animateVertex &lt;ffd_modifier&gt; #all</span> .</p>\n\
<p>Its syntax is:</p>\n\
<div class=\'codeBlock\'><pre>animateAll &lt;ffd_modifier&gt; \n\
</pre></div><p>Animates all control points.</p>\n\
<p>The <span class=\'code\'>animateVertex()</span> and <span class=\'code\'>animateAll()</span> methods effectively assign controllers to editable meshes, spline shapes and FFD modifiers which make them appear as animatables in the Track View, allowing further scripting of these vertex animation controllers.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` animateVertex $line01 2 animateVertex $box01 # (2,3,4,5) animateAll $box01.ffd_3x3x3</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>These <span class=\'code\'>animateVertex()</span> method only work on editable meshes, spline shapes and FFD modifiers and will report an error if applied to other types of objects. You can use the functions <span class=\'code\'>convertToMesh()</span> and <span class=\'code\'>convertToSplineShape()</span> to convert existing geometry into the needed forms. Note that Line objects are SplineShapes already and don&#39;t need conversion.</p>\n\
<p>The vertices to be animated are specified by index number, with the keyword <span class=\'code\'>#all</span> to animate all vertices or control points, or <span class=\'code\'>#selected</span> to animate the currently selected vertices. The <span class=\'code\'>#selected</span> keyword is not applicable to FFD modifiers. In the case of SplineShapes, the vertex index numbers are interpreted in a special way to accommodate tangent handles and multiple curves, as follows:</p>\n\
<ul>\n\
<li><p>Each SplineShape vertex has <strong>three</strong> indexes, one for each in-tangent handle, vertex, and out-tangent handle, in that order.</p></li>\n\
<li><p>The indexes run consecutively through each curve in a multi-curve shape, with the index number for the first in-tangent handle of a curve starting after the index of the last out-tangent handle in the prior curve.</p></li>\n\
</ul>\n\
<p>See Also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Identifying-and-Accessing/Class-and-Object-Inspector.html\' title=\'\'>Class and Object Inspector Functions</a> for details on accessing the vertices, tangents, or control points.</p>\n\
<p>For information about scripting FFD control placement within FFD lattice space, See Also the <span class=\'code\'>getModContextBBoxMin()</span> and <span class=\'code\'>getModContextBBoxMin()</span> functions, as described in <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-Common-Properties/Modifier-Common-Properties-1.html\' title=\'\'>Modifier Common Properties, Operators, and Methods</a>.</p>\n\
<p>For editable meshes and spline shapes, the controller values assigned to the vertices, knots, and tangent handles is in object space. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Using-Node-Transform-Properties.html\' title=\'\'>Using Node Transform Properties</a>for information on converting between world space to object space.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";