var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Adv__Ray_traced : Shadow</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Adv__Ray_traced : Shadow</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"adv__ray_traced-shadow\"></a></div>\n\
<div class=\'codeBlock\'><pre>Adv__Ray_traced - superclass: Shadow; super-superclass:MAXWrapper - classID: #(965083161, 1037325786) Advanced_Ray_traced - superclass: Shadow; super-superclass:MAXWrapper - classID: #(965083161, 1037325786) \n\
</pre></div><p>This shadow generator class implements an advanced raytraced shadow generator which is better suited for rendering complex scenes.</p>\n\
<p><strong>3ds MaxConstructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Adv__Ray_traced...   \n\
StdShadowGen ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.shadow_Mode Integer default: 2 -- integer \n\
</pre></div><p>Selects the type of raytracing for generating shadows:</p>\n\
<p>0 - Simple</p>\n\
<p>1 - Antialias 1-Pass</p>\n\
<p>2 - Antialias 2-Pass</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.twoSidedShadows Boolean default: false -- boolean; Two_sided_Shadows \n\
</pre></div><p>When on, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time. When off, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.pass1 Integer default: 1 -- animatable; integer; Shadow_Integrity \n\
</pre></div><p>The number of rays cast from an illuminated surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.pass2 Integer default: 2 -- animatable; integer; Shadow_Quality \n\
</pre></div><p>The number of secondary rays cast from an illuminated surface</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.blur Float default: 1.25 -- animatable; float \n\
</pre></div><p>The radius, in pixels, to blur the antialiased edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.ray_bias Float default: 0.25 -- animatable; world units; Shadow_Bias \n\
</pre></div><p>The minimum distance from the point being shaded that an object must be to cast a shadow. This prevents blurred shadows from affecting surfaces they shouldn&#39;t.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.jitter_amt Float default: 0.0 -- animatable; float; Jitter_Amount \n\
</pre></div><p>Adds randomness to the ray positions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.shadow_Transparent Boolean default: false -- animatable; boolean; Transparent_Shadows \n\
</pre></div><p>When checked, transparent surfaces will cast a colored shadow. Otherwise, all shadows are black and calculate faster.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_traced&gt;.aa_threshold Color default: (color 25.5 25.5 25.5) -- RGB color; Antialiasing_Threshold \n\
</pre></div><p>The maximum color difference allowed between transparent object samples before antialiasing is triggered. Increasing the value of this color will make the shadow less sensitive to aliasing artifacts and improve speed, decreasing the value will increase the sensitivity, improving quality.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.suppress_mat_aa Boolean default: true -- animatable; boolean; Suppress_Supersampling \n\
</pre></div><p>When checked, only Pass 1 is used during 2-Pass Antialiasing when shading a supersampled material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.suppress_reflt_aa Boolean default: true -- animatable; boolean; Suppress_Reflection_Antialiasing \n\
</pre></div><p>When checked, only Pass 1 is used during 2-Pass Antialiasing when shading reflections or refractions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.skip_coplanar Boolean default: true -- animatable; boolean \n\
</pre></div><p>Prevents adjacent faces from shadowing each other. This is of particular concern at the terminator on curved surfaces such as spheres.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.coplanar_threshold Float default: 0.9 -- animatable; float \n\
</pre></div><p>The angle between adjacent faces. Range is from 0.0 (perpendicular) to 1.0 (parallel).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Adv__Ray_Traced&gt;.noAreaShadows BooleanClass default: false -- boolean; No_Area_Shadows  \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , Area Shadows will be disabled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";