var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Area_Shadows : Shadow</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Area_Shadows : Shadow</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"area_shadows-shadow\"></a></div>\n\
<div class=\'codeBlock\'><pre>Area_Shadows - superclass: Shadow; super-superclass:MAXWrapper - classID: #(388051038, 1754550945) \n\
</pre></div><p>This shadow generator class can be used to simulate shadows from an area light source.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Area_Shadows...      \n\
&#39;Area Shadows&#39;...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.shadow_Mode Integer default: 1 -- integer \n\
</pre></div><p>Controls the way the area shadows are generated</p>\n\
<p>0 - Simple</p>\n\
<p>1 - Rectangle Light</p>\n\
<p>2 - Disc Light</p>\n\
<p>3 - Box Light</p>\n\
<p>4 - Sphere Light</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.twoSidedShadows Boolean default: false -- boolean; Two_sided_Shadows \n\
</pre></div><p>When on, backfaces are not ignored when calculating shadows. Objects seen from the inside are not lit by lights from the outside. This costs a bit more render time. When off, backfaces are ignored. Rendering is quicker, but outside lights illuminate object interiors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.pass1 Integer default: 2 -- animatable; integer; Shadow_Integrity \n\
</pre></div><p>The number of rays cast from an illuminated surface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.pass2 Integer default: 5 -- animatable; integer; Shadow_Quality \n\
</pre></div><p>The number of secondary rays cast from an illuminated surface</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.blur Float default: 1.0 -- animatable; float; Shadow_Spread \n\
</pre></div><p>The radius, in pixels, to blur the antialiased edge.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.ray_bias Float default: 0.5 -- animatable; world units; Shadow_Bias \n\
</pre></div><p>The minimum distance from the point being shaded that an object must be to cast a shadow. This prevents blurred shadows from affecting surfaces they shouldn&#39;t.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.jitter_amt Float default: 1.0 -- animatable; float; Jitter_Amount \n\
</pre></div><p>Adds randomness to the ray positions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.aa_threshold Color default: (color 25.5 25.5 25.5) -- RGB color; Antialiasing_Threshold \n\
</pre></div><p>The maximum color difference allowed between transparent object samples before antialiasing is triggered. Increasing the value of this color will make the shadow less sensitive to aliasing artifacts and improve speed, decreasing the value will increase the sensitivity, improving quality.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.shadow_length Float default: 10.0 -- animatable; world units \n\
</pre></div><p>Controls the length of the area shadow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.shadow_width Float default: 10.0 -- animatable; world units \n\
</pre></div><p>Controls the width of the area shadow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.shadow_height Float default: 10.0 -- animatable; world units \n\
</pre></div><p>Controls the height of the area shadow.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.shadow_Transparent Boolean default: false -- animatable; boolean; Transparent_Shadows \n\
</pre></div><p>When checked, transparent surfaces will cast a colored shadow. Otherwise, all shadows are black and calculate faster.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.suppress_mat_aa Boolean default: true -- animatable; boolean; Suppress_Supersampling \n\
</pre></div><p>When checked, only Pass 1 is used during 2-Pass Antialiasing when shading a supersampled material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.suppress_reflt_aa Boolean default: true -- animatable; boolean; Suppress_Reflection_Antialiasing \n\
</pre></div><p>When checked, only Pass 1 is used during 2-Pass Antialiasing when shading reflections or refractions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.skip_coplanar Boolean default: true -- animatable; boolean \n\
</pre></div><p>Prevents adjacent faces from shadowing each other. This is of particular concern at the terminator on curved surfaces such as spheres.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Area_Shadows&gt;.coplanar_threshold Float default: 0.9 -- animatable; float \n\
</pre></div><p>The angle between adjacent faces. Range is from 0.0 (perpendicular) to 1.0 (parallel).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";