var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ProSound : SoundClass</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ProSound : SoundClass</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"prosound-soundclass\"></a></div>\n\
<div class=\'codeBlock\'><pre>ProSound - superclass: SoundClass; super-superclass:MAXWrapper - classID: #(1198500318, 1536265802) \n\
</pre></div><p>The <strong>ProSound SoundClass</strong> introduced in <strong>3ds Max 2010</strong> provides an advanced Sound Object with support for 100 sound channels and extensive MAXScript access.</p>\n\
<p>See also the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\' title=\'\'>ProSound Extension</a> topic for an introduction.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'section\'><a id=\"sound-system-initialization\"></a><h3 id=\"sound-system-initialization\">Sound System Initialization</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.init &lt;boolean&gt;KeepExistingFile     \n\
</pre></div><p>Initializes ProSound for MaxScript access. If ProSound is not loaded, it will load itself and become the Sound Object for <strong>3ds Max</strong>. If there is already an audio file loaded in the Default SoundClass object of <strong>3ds Max</strong>, setting the <span class=\'code\'>KeepExistingFile</span> flag to true will add that file as one of the audio tracks in ProSound, thus preserving the existing track.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound. isActive() \n\
</pre></div><p>Returns true if ProSound is the Sound Object for <strong>3ds Max</strong>, false otherwise. If the return value is false, call <span class=\'code\'>prosound.init()</span> to access all other ProSound MAXScript functions.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;prosound.Version() \n\
</pre></div><p>Returns the version of ProSound times 100. For example if the version is 1.4, this function will return 140.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.isActive () --check whether ProSound is active --&gt; ProSound is not active. Call ProSound.Init (true) ProSound.Init (true) --&gt; Attempting to Load ProSound --&gt; ProSound Init Success --&gt; true prosound.isActive () --try again --&gt; ProSound is active. --&gt; true prosound.version () --get version --&gt; 140</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.unload () \n\
</pre></div><p>Unloads ProSound and enables the 3dsMaxDefault SoundClass Object. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` prosound.unload () -- unload ProSound and enable Default Sound.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"prosound-dialog-control\"></a><h3 id=\"prosound-dialog-control\">ProSound Dialog Control</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;prosound.open () \n\
</pre></div><p>Opens/Maximizes the ProSound dialog.</p>\n\
<p>If the ProSound is not active, it will activate it as well.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;prosound.close() \n\
</pre></div><p>Closes the ProSound dialog if it is open.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.open () -- open the ProSound dialog. prosound.close () -- close the dialog.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1634D218-DC7A-4376-BDDA-C5FEA6B5FFB0-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"adding-and-querying-sound-files\"></a><h3 id=\"adding-and-querying-sound-files\">Adding and Querying Sound Files</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;prosound.MaxTracks() \n\
</pre></div><p>Returns the maximum number of audio tracks supported in ProSound. Currently, this number is 100.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;prosound.NumTracks() \n\
</pre></div><p>Returns the number of audio tracks in use within ProSound. This includes tracks that are inactive, but have a file assigned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.append &lt;filename&gt;AudioFile \n\
</pre></div><p>Loads the specified file and appends it to the list of audio tracks. The argument must be the full name of a valid audio file.</p>\n\
<p>Equivalent to using the &quot;Add&quot; button in the ProSound UI.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>boolean&gt;prosound.delete &lt;index&gt;Track \n\
</pre></div><p>Deletes the specified audio track.</p>\n\
<p>Equivalent to using the &quot;Delete&quot; button in the ProSound UI.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.replace &lt;index&gt;Track &lt;filename&gt;AudioFile \n\
</pre></div><p>Replaces the audio file at the specified index. The first argument is the Index of the file to replace, the second argument is the full file name of a valid audio file to replace with.</p>\n\
<p>Equivalent to using the &quot;Replace&quot; button in the ProSound UI.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.ReloadAll() \n\
</pre></div><p>Reloads all audio files in ProSound. Returns true if the reload is successful, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.append&quot;C:\\WINDOWS\\Media\\chimes.wav&quot;--adds a file --&gt; true prosound.append&quot;C:\\WINDOWS\\Media\\tada.wav&quot;--adds another --&gt; true prosound.numtracks() --check the number of tracks --&gt; 2 prosound.delete 1 --deletestrack 1 --&gt; true prosound.replace 1 &quot;C:\\WINDOWS\\Media\\notify.wav&quot; --&gt; true prosound.numtracks() --get the number of track safter deleting 1 --&gt; 1 prosound.maxtracks() --see how many tracks are supported --&gt; 100 prosound.reloadall() --reload all tracks --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"working-with-tracks\"></a><h3 id=\"working-with-tracks\">Working With Tracks</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.active &lt;index&gt;Track \n\
</pre></div><p>Returns true if the specified indexed track is active, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetActive &lt;index&gt;Track &lt;boolean&gt;ActiveState \n\
</pre></div><p>Sets the active status of the specified track. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.active 1 --see if track 1 is active --&gt;true prosound.setactive 1 false --turn it off --&gt;true prosound.active 1 --see if it is on or off now --&gt;false prosound.setactive 1 true --turn it back on --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>filename&gt;Name &lt;index&gt;Track \n\
</pre></div><p>Returns the name of the file for the specified track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;prosound.SampleRate &lt;index&gt;Track \n\
</pre></div><p>Returns the sample rate of the audio track.</p>\n\
<div class=\'codeBlock\'><pre>integer&gt;prosound.channels &lt;index&gt;Track \n\
</pre></div><p>Returns the number of audio channels for the specified audio track.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.name 1 --get the name of track 1 --&gt;&quot;C:\\WINDOWS\\Media\\notify.wav&quot; prosound.SampleRate 1 --get the sample rate of track 1 --&gt;22050 prosound.channels 1 --get the channels of track 1 --&gt;2</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>time&gt;prosound.start &lt;index&gt;Track \n\
</pre></div><p>Returns the start frame number for the specified indexed track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetStart &lt;index&gt;Track &lt;time&gt;StartFrame \n\
</pre></div><p>Sets the start frame of the specified indexed track. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>time&gt;prosound.end &lt;index&gt;Track \n\
</pre></div><p>Returns the end frame number for the specified track.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetEnd &lt;index&gt;Track &lt;time&gt;EndFrame \n\
</pre></div><p>Sets the end frame of the specified track. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.Shift &lt;index&gt;Track &lt;time&gt;Frames \n\
</pre></div><p>Shifts the start and end frames of the specified track by the specified amount. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.ShiftAll &lt;integer&gt;Frames \n\
</pre></div><p>Shifts the start and end frames of all audio tracks by the specified amount. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>time&gt;prosound.filelength &lt;index&gt;Track \n\
</pre></div><p>Returns the length of the specified audio file (in frames). Note that this is the file length, not the track length. So, if the file is 120 frames long, but the track has a start and end frame of 0 and 150, 120 and not 150 is returned. Use <span class=\'code\'>prosound.end()</span> and <span class=\'code\'>prosound.start()</span> to get the track length.</p>\n\
<p>Equivalent to the &quot;Duration&quot; value in the ProSound UI.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.start 1 --get the start frame of track 1 --&gt;0f prosound.end 1 --get the end frame of track 1 --&gt;18.9625f prosound.filelength 1 --get the file length of track 1 --&gt;40.5875f prosound.setstart 1 10 --sets the start frame of track 1to 10 --&gt;true prosound.setend 1 123 --sets the end frame of track 1 to 123 --&gt;true prosound.start 1 --check the new start frame of track 1 --&gt;10f prosound.end 1 --check the new end frame of track 1 --&gt;123f prosound.shift 1 50 --shift both start and end by 50 frames --&gt;true prosound.start 1 --check the shifted start frame of track 1 --&gt;60f prosound.end 1 --check the shifted end frame of track 1 --&gt;173f prosound.shiftAll -50 --shift all tracks back 50 frames --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;prosound.NumLoops &lt;index&gt;Track \n\
</pre></div><p>If this track uses loops, returns the number of loops for the track. Otherwise, calculates the number of complete loops based on track duration and file length.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetNumLoops &lt;index&gt;Track &lt;integer&gt;NumberOfLoops \n\
</pre></div><p>Sets the number of loops for the specified track. It also sets the &quot;Use Loops&quot; option for this track to true. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.UseLoops &lt;index&gt;Track \n\
</pre></div><p>Returns true if &quot;UseLoops&quot; option is enabled for the specified track, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.numloops 1 --get the loops of track 1 --&gt;2 prosound.setnumloops 1 3 --set the loops of track 1 to 3 --&gt;true prosound.end 1 --check the new end frame of track 1 --&gt;181.762f prosound.useloops 1 --see if track 1 will use loops --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"playback-controls\"></a><h3 id=\"playback-controls\">Playback Controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.backwardScrub() \n\
</pre></div><p>Returns the state of the &quot;Permit Backwards Scrubbing&quot; playback option - true if Backwards Scrubbing is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.setBackwardScrub &lt;boolean&gt;BackwardsScrubState \n\
</pre></div><p>Sets the &quot;Permit Backwards Scrubbing&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.PlayOnce() \n\
</pre></div><p>Returns true if the &quot;Play Once&quot; option is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetPlayOnce &lt;boolean&gt;State \n\
</pre></div><p>Sets the &quot;Play Once&quot; playback option to true or false. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.UsePlaybackRange() \n\
</pre></div><p>Returns true if the &quot;Use Playback Range&quot;option is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetUsePlaybackRange &lt;boolean&gt;State \n\
</pre></div><p>Sets the &quot;Use Playback Range&quot; playback option to the given Boolean state. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetPlaybackEnd &lt;integer&gt;EndFrame \n\
</pre></div><p>Sets the end frame of the &quot;Use Playback Range&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetPlaybackStart &lt;integer&gt;StartFrame \n\
</pre></div><p>Sets the starting frame for the &quot;Use Playback Range&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.PingPong() \n\
</pre></div><p>Returns true if the &quot;Ping Pong&quot; playback option is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetPingPong &lt;boolean&gt;State \n\
</pre></div><p>Sets the state of the &quot;Ping Pong&quot; playback option. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.backwardScrub ()-- check if backwards scrubbing is on --&gt; false prosound.setBackwardScrub true-- enable backwards scrubbing --&gt; true prosound.backwardScrub () --check again --&gt; true prosound.playonce () --check the state of the Play Once option --&gt; false prosound.setplayonce true --set to loop the playback --&gt; true prosound.useplaybackrange () --see if playback range is used --&gt; false prosound.setuseplaybackrange true --enable playback range --&gt; true prosound.setplaybackend 100 --set the playback range end to 100 --&gt; true prosound.setplaybackstart 0 --set the playback range start to 0 --&gt; true prosound.pingpong () --see if ping-pong playback is enabled --&gt; false prosound.setpingpong true --enable ping-pong playback --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.isPlaybackActive () \n\
</pre></div><p>Returns true if the ProSound playback is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetPlaybackActive &lt;boolean&gt;State \n\
</pre></div><p>Enables or disables the audio playback based on the Boolean argument. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;prosound.Step() \n\
</pre></div><p>Steps forward by one frame and plays the corresponding audio.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;prosound.Stepback() \n\
</pre></div><p>Steps backwards by one frame and plays the corresponding audio.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.isplaybackactive() --check if playback is active --&gt; false prosound.setplaybackactive true --activate playback --&gt; true prosound.isplaybackactive() --check again if playback is active --&gt; true prosound.step() prosound.Stepback()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"render-controls\"></a><h3 id=\"render-controls\">Render Controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.export &lt;filename&gt;AudioFile &lt;integer&gt;StartFrame &lt;integer&gt;EndFrame \n\
</pre></div><p>Attempts to export the combined audio to the specified filename. The file will be saved in PCM using the Render settings. Returns true if successful, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.isRenderActive() \n\
</pre></div><p>Returns true if the ProSound audio rendering is enabled, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetRenderActive &lt;boolean&gt;State \n\
</pre></div><p>Enables audio rendering based on the Boolean argument.</p>\n\
<p>Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.export &quot;c:\\sounds\\export_test.wav&quot; 0 100 --&gt; true prosound.isrenderactive() --check if rendering is active --&gt; false prosound.setrenderactive true --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"metronome-controls\"></a><h3 id=\"metronome-controls\">Metronome Controls</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.isMetroActive () \n\
</pre></div><p>Returns true if the Metronome is enabled, false if it is disabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;prosound.SetMetroActive &lt;boolean&gt;ActiveState \n\
</pre></div><p>Turns the metronome on or off depending on the Boolean argument. Returns true if successful, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` prosound.ismetroactive() --check if metronome is active --&gt; false prosound.setmetroactive true --enable metronome --&gt; true prosound.ismetroactive() --see if the change worked --&gt; true prosound.setmetroactive false --disable metronome --&gt; true prosound.ismetroactive() --should be false (disabled) now --&gt; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";