var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TextureMap Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TextureMap Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"texturemap-common-properties-operators-and-methods\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureMap&gt;.name \n\
</pre></div><p>All the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/TextureMap-Types-1.html\' title=\'\'>TextureMap subclasses</a> can access the <span class=\'code\'>name</span> property and specify it as a constructor parameter.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>assignNewName &lt;TextureMap&gt;   \n\
</pre></div><p>Modifies the name of the specified texture to make it unique.</p>\n\
<p>The name is of the form &quot;Map #1&quot; where the number is incremented as required to ensure it’s unique.</p>\n\
<div class=\'codeBlock\'><pre>renderMap &lt;TextureMap&gt; [into:&lt;bitmap&gt;] [size:&lt;point2&gt;] [filename:&lt;string&gt;] [scale:&lt;float&gt;] \n\
   [filter:&lt;boolean&gt;] [display:&lt;boolean&gt;] [hdr:&lt;boolean&gt;] [time:&lt;time&gt;]\n\
   [range:&lt;point4&gt;] [disableBitmapProxies:&lt;boolean&gt;]\n\
</pre></div><p>Provides access to the Render Map function available in the Material Editor.</p>\n\
<p>The function returns a Bitmap value containing a rendering of the given texture map.</p>\n\
<p>If you specify the optional <span class=\'code\'>into:</span> argument, the function renders the map into the supplied bitmap, taking size and other attributes from the existing bitmap. Otherwise, a new bitmap value is created using the <span class=\'code\'>size:</span> and <span class=\'code\'>fileName:</span> arguments in its creation. Default <span class=\'code\'>size:</span> value is [200,200].</p>\n\
<p>The <span class=\'code\'>scale:</span> argument is a scale factor applied to 3D TextureMaps. This is the scale of the surface in 3d space that is mapped to UV and controls how much of the texture appears in the bitmap representation. Default <span class=\'code\'>scale:</span> value is 1.</p>\n\
<p>If the <span class=\'code\'>filter:</span> argument is <span class=\'code\'>true</span> , the bitmap is filtered. It is quite slower to rescale bitmaps with filtering on. Defaults <span class=\'code\'>filter:</span> value is <span class=\'code\'>false</span> .</p>\n\
<p>If the <span class=\'code\'>display:</span> argument is <span class=\'code\'>true</span> , the resulting bitmap is displayed using the virtual frame buffer; otherwise it is not. Default <span class=\'code\'>display:</span> value is <span class=\'code\'>false</span> .</p>\n\
<p>If the <span class=\'code\'>hdr:</span> argument is true, the resulting bitmap is an HDR bitmap. The default <span class=\'code\'>hdr:</span> value is <span class=\'code\'>false</span>.</p>\n\
<p>If the <span class=\'code\'>time:</span> argument available in <strong>3ds Max 2010 and higher</strong> is supplied, the map will be rendered at the specified time. If it is not supplied, the map will be rendered at the current time. Calling the function inside an <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/at-time.html\' title=\'\'>at time <span class=\'code\'>&lt;time&gt;</span> context</a> will also evaluate the map at the specified time.</p>\n\
<p>If the <span class=\'code\'>range</span>: argument is supplied, only that range is sampled instead of rendering the whole texture. Available in <strong>3ds Max 2019.2 Update and higher</strong>. By default <span class=\'code\'>range:</span> is [0,0,1,1], which specifies the whole map.</p>\n\
<p>If the <span class=\'code\'>disableBitmapProxies</span>: argument is <span class=\'code\'>true</span>, the proxy system is disabled for this render, and only the full resolution bitmap is used. Available in <strong>3ds Max 2019.2 Update and higher</strong>. The default is <span class=\'code\'>false</span>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rm = renderMap $foo.material.diffuseMap size:[640,480]<br> fileName:&quot;foodif.bmp&quot; save rm close rm</p>\n\
<p>```</p>\n\
<p>The above will render the diffuse map assigned to the material of object $foo to a bitmap of size 640x480 and save it to the file &quot;foodif.bmp&quot;</p>\n\
<p>``` rm = renderMap meditmaterials[1].diffuseMap range:[0,0,0.8,0.8] size:[1024,1024]<br> fileName:&quot;foodifuvrange.bmp&quot; save rm close rm</p>\n\
<p>```</p>\n\
<p>The above will render only a sub-range of the material, and save it to the file &quot;foodifuvrange.bmp&quot;.</p>\n\
</blockquote>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>showTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; \n\
</pre></div><p>This method provides control over the visibility of textures in the shaded viewport. You specify the material containing the texture map, optionally the texture map in that material to be controlled, and a boolean argument to turn the display on or off. For multi-materials, you need to specify the appropriate sub-material to be affected.</p>\n\
<p>If the second argument is omitted, the Show Map In Viewport checkbutton will be pressed at the level of the material specified as first argument, thus implicitly showing supported maps inside that material.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` tm = checker() mat = standardMaterial diffuseMap:tm mm = multimaterial() mm[1] = mat showTextureMap mm[1] tm on</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>showHWTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; \n\
</pre></div><p>This method provides control over the visibility of hardware textures in the shaded viewport. The Show Hardware Map in Viewports is a flyout of the Show Map In Viewports icon.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-205E793C-3A85-4890-B1AE-496D5AD1A806-low.gif\' title=\'\'></div>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\' title=\'\'>Show Map In Viewports Function</a> for details.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";