var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>UVGenClass : Material</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>UVGenClass : Material</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"uvgenclass-material\"></a></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.mappingType Integer default: 0      \n\
</pre></div><p>Controls the mapping type of the generated texure coordinates. Possible values are:</p>\n\
<p>0 - <strong>Texture</strong></p>\n\
<p>1 - <strong>Environment</strong></p>\n\
<p>If the Coordinates rollout for the textureMap is displayed in Material Editor and this property’s value is changed, the Texture/Environ radiobutton and Mapping dropdown displays are not updated to reflect the change.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.mapping Integer default: varies   \n\
</pre></div><p>If mapping type is Texture mapping ( <span class=\'code\'>mappingType</span> = 0), the default value for this property is 0.Possible mapping values are:</p>\n\
<p>0 - <strong>Explicit Map Channel</strong></p>\n\
<p>1 - <strong>Vertex Color Channel</strong></p>\n\
<p>2 - <strong>Planar from Object XYZ</strong></p>\n\
<p>3 - <strong>Planar from World XYZ</strong></p>\n\
<p>If mapping type is Environment mapping ( <span class=\'code\'>mappingType</span> = 1), the default value for this property is0.Possiblemappingvalues are:</p>\n\
<p>0 - <strong>Spherical</strong></p>\n\
<p>1 - <strong>Cylindrical</strong></p>\n\
<p>2 - <strong>Shrink-Wrap</strong></p>\n\
<p>3 - <strong>Screen</strong></p>\n\
<p>The mapping source for Texture and Environment mapping types are internally stored in separate variables, and the mapping source set for a mapping type is retained if you change the mapping source for the other mapping type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.showMapOnBack Boolean default: true \n\
</pre></div><p>Corresponds to the Show Map on Back checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.U_Mirror Boolean default: false \n\
</pre></div><p>Mirror the U coordinate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.V_Mirror Boolean default: false \n\
</pre></div><p>Mirror the V coordinate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.U_Tile Boolean default: true \n\
</pre></div><p>Tile the U coordinate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.V_Tile Boolean default: true \n\
</pre></div><p>Tile the V coordinate.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.UVW_Type Integer default: 0 \n\
</pre></div><p>The UV, VW and WU type:</p>\n\
<p>0 - <strong>UV</strong></p>\n\
<p>1 - <strong>VW</strong></p>\n\
<p>2 - <strong>WU</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.mapChannel Integer default: 1 \n\
</pre></div><p>The UV coordinate map channel.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.U_Offset Float default: 0.0 -- animatable \n\
&lt;textureMap.coordinates&gt;.V_Offset Float default: 0.0 -- animatable \n\
</pre></div><p>Offset mapping coordinates along the surface’s local U axis or V axis. That is, at 0.0 (the default), the map begins at the U or V origin. Increasing an Offset value moves the map forward along that axis, and decreasing it moves it backward.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.U_Tiling Float default: 1.0 -- animatable \n\
&lt;textureMap.coordinates&gt;.V_Tiling Float default: 1.0 -- animatable \n\
</pre></div><p>The tiling of UV mapping coordinates; that is, the number of times a mapped material’s map is repeated in the surface’s local U axis or V axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.U_Angle Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Rotates the map about the U-axis (in degrees).</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.V_Angle Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Rotates the map about the V-axis (in degrees).</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.W_Angle Float default: 0.0 -- animatable, angle \n\
</pre></div><p>Rotates the map about the W-axis (in degrees).</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Blur Float default: 1.0 -- animatable \n\
</pre></div><p>Affects the sharpness or blurriness of the map based on its distance from the view. The farther away the map is, the greater the blurring. The Blur value blurs maps in world space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Blur_Offset Float default: 0.0 -- animatable \n\
</pre></div><p>Affects the sharpness or blurriness of the map without regard to its distance from the view. Blur Offset blurs the image itself in object space. Use this option when you want to soften or defocus the details in a map to achieve the effect of a blurred image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Phase Float default: 0.0 -- animatable \n\
</pre></div><p>The speed of the animation of the noise function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Noise_On Boolean default: false \n\
</pre></div><p>Toggles Noise on and off. Corresponds to the On checkbox in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Noise_Animate Boolean default: false \n\
</pre></div><p>Toggles the animation of the Noise on and off.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Noise_Amount Float default: 1.0 -- animatable \n\
</pre></div><p>The strength of the fractal function, expressed as a percentage. If the amount is 0 there is no noise. If the amount is 100 the map becomes pure noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Noise_Levels Integer default: 1 -- animatable \n\
</pre></div><p>The number of times the function is applied. The effect of the level is dependent on the Amount value. The stronger the amount, the greater the effect of increasing the Levels value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coordinates&gt;.Noise_Size Float default: 1.0 -- animatable \n\
</pre></div><p>The scale of the noise function relative to geometry. At very small values, the noise effect becomes white noise. At large values, the scale can exceed the scale of the geometry, in which case it has little or no effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.realWorldScale BooleanClass default: false -- boolean \n\
</pre></div><p>When set to true, the texture will be scaled to real-world size.</p>\n\
<p>When false, it will behave as in previous versions of <strong>3ds Max</strong>.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.UVTransform Matrix3 default: (matrix3 [1,0,0] [0,1,0] [0,0,1] [0,0,0]) \n\
</pre></div><p>Get/set the transformation matrix to convert the mapping coordinates into real-world size.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.realWorldHeight Float default: 1.0 -- float \n\
</pre></div><p>Get/set the real-world Height value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;textureMap.coords&gt;.realWorldWidth Float default: 1.0 -- float \n\
</pre></div><p>Get/set the real-world Width value.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";