var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BitmapTexture : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BitmapTexture : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bitmaptexture-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Bitmaptexture - superclass: textureMap; super-superclass:material - classID: #(576, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>bitmaptexture...     \n\
bitmaptex...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.bitmap Bitmap default: Bitmap: \n\
</pre></div><p>The bitmap of the texture map.</p>\n\
<p>The script can perform any bitmap operations on this bitmap and the changes will be reflected in the texture map.</p>\n\
<p>In order to see the results of changing the bitmap in Material Editor and in the viewports, you need to modify any one bitmapTexture property in the Material Editor user interface.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.filename Filenamedefault: &quot;&quot; -- alias: file_name \n\
</pre></div><p>The name of the bitmap file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.filtering Integer default: 0 \n\
</pre></div><p>The method of pixel averaging used in anti-aliasing the bitmap:</p>\n\
<p>0 - <strong>Pyramidal</strong> (Requires less memory and is adequate for most purposes.)</p>\n\
<p>1 - <strong>Summed Area</strong> (Requires much more memory, but yields generally superior results.)</p>\n\
<p>2 - <strong>None</strong> (Turns off filtering.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.monoOutput Integer default: 0 \n\
</pre></div><p>Some parameters, such as opacity or specular level are a single value as opposed to a material’s three-value color components. Controls in this group determine the source of the Output mono channel in terms of the input bitmap:</p>\n\
<p>0 - <strong>RGB Intensity</strong> (Uses the intensity of the red, green, and blue channels for mapping. The color of the pixels is ignored and only the value or luminance of the pixels is used. The colors are computed as gray values in the range between 0 (black) and 255 (white).)</p>\n\
<p>1 - <strong>Alpha</strong> (Uses the intensity of the alpha channel for mapping.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.RGBOutput Integer default: 0 \n\
</pre></div><p>The RGB Channel Output determines where the output RGB part comes from. The controls in this group affect only maps for material components that display color: Ambient, Diffuse, Specular, Filter Color, Reflection, and Refraction.</p>\n\
<p>0 - <strong>RGB</strong> (Displays the full color values of the pixels.)</p>\n\
<p>1 - <strong>Alpha as Gray</strong> (Displays tones of gray based on the levels of the alpha channel.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.apply Boolean default: false \n\
</pre></div><p>Turn on to use the cropping or placements settings.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.cropPlace Integer default: 0 \n\
</pre></div><p>Set whether cropping or placement is active:</p>\n\
<p>0 - <strong>Crop</strong></p>\n\
<p>1 - <strong>Place</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.clipu Float default: 0.0 -- animatable, alias: clip_u_offset \n\
</pre></div><p>Adjusts the bitmap location along the U-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.clipv Float default: 0.0 -- animatable, alias: clip_v_offset \n\
</pre></div><p>Adjusts the bitmap location along the V-axis.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.clipw Float default: 1.0 -- animatable, alias: clip_u_width \n\
</pre></div><p>Adjusts the width of the bitmap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.cliph Float default: 1.0 -- animatable, alias: clip_v_width \n\
</pre></div><p>Adjusts the height of the bitmap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.jitter Float default: 1.0 -- animatable, alias: jitter_placement \n\
</pre></div><p>The amount of random offset. At 0, there is no random offset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;BitmapTex&gt;.useJitter Boolean default: false -- boolean \n\
</pre></div><p>Apply the .jitter value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.alphasource Integer default: 0 \n\
</pre></div><p>Controls in this group determine the source of the Output alpha channel in terms of the input bitmap:</p>\n\
<p>0 - <strong>Image Alpha</strong> (Uses the image’s alpha channel.)</p>\n\
<p>1 - <strong>RGB Intensity</strong> (Converts the colors in the bitmap to grayscale tonal values and uses them for transparency. Black is transparent and white is opaque.)</p>\n\
<p>2 - <strong>None</strong> (Opaque; does not use transparency.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.preMultAlpha Boolean default: true \n\
</pre></div><p>Determines how alpha is treated in the bitmap. When turned on, the default, pre-multiplied alpha is expected in the file. When turned off, the alpha is treated as non-pre-multiplied, and any RGB values are ignored.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.starttime Timedefault: 0f \n\
</pre></div><p>Get/set the frame of the scene time range where the animated bitmap (multi-frame file like AVI, MOV or IFL describing a sequence of single frames) will play back its first frame.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.playbackrate Float default: 1.0 \n\
</pre></div><p>Get/set the playback rate of an animated bitmap (multi-frame file like AVI, MOV or IFL describing a sequence of single frames). This property lets you speed up and slow down the animation-for example, 1.0 is normal speed (one bitmap frame per scene time frame), 2.0 is twice as fast (every second bitmap frame shown on each scene time frame), .333 is one third of the original speed (each bitmap frame held for three scene time frames) and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.endcondition Integer default: 0 \n\
</pre></div><p>These controls determine what happens after the last frame of the animation:</p>\n\
<p>0 - <strong>Loop</strong> (Causes the animation to loop over and over again.)</p>\n\
<p>1 - <strong>Ping Pong</strong> (Causes the animation to be played backwards, making every animated sequence &quot;loop smoothly&quot;)</p>\n\
<p>2 - <strong>Hold</strong> (Causes the last frame of the animation to be frozen on the surface until the end of the scene.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.tieTimeToMatIDs BooleanClass default: false -- boolean; Tie_Time_to_Mat_IDs \n\
</pre></div><p>Corresponds to the Sync Frames to Particle Age checkbox in the Time rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.coords StandardUVGen -- alias: coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/UVGenClass-Material.html\' title=\'\'>UVGenClass</a> for the StandardUVGen properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.reload() \n\
</pre></div><p>Reload the bitmap. Corresponds to pressing the Reload button in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bitmaptexture&gt;.viewImage() \n\
</pre></div><p>View the image source. Corresponds to pressing the View Image button in the UI.</p>\n\
<p>Note: These methods are identical to what is exposed in the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/BitmapTexture-TextureMap.html\' title=\'\'>bitmapTex interface</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- get the diffuse map from the first material in Material Editor dif_map = meditMaterials[1].diffusemap -- if the diffuse map is a bitmap texture, show it if classof dif_map == BitmapTexture do dif_map.viewImage()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>enumerateFiles [&lt;MAXWrapper_obj&gt;] &lt;function&gt; [&lt;arg&gt;][#inactive] [#videoPost] [#render] [#missing] [#localOnly] \n\
</pre></div><p>Lets you run through all the bitmap files currently used in the scene or in an individual object. You can filter this so it just gives you the bitmap files that are inactive or missing.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/Bitmap-Files.html\' title=\'\'>Bitmap Files</a> for a description of this method’s parameters.</p>\n\
<div class=\'codeBlock\'><pre>freeSceneBitmaps() \n\
</pre></div><p>Frees up all the memory used by the image file bitmap caches. This is useful if memory is fragmented with a lot of different bitmaps and you want to have just the ones currently active reloaded.</p>\n\
<div class=\'codeBlock\'><pre>usedMaps() \n\
</pre></div><p>This method returns an array containing the filename strings of all bitmap textures used by the current scene.</p>\n\
<p>Note:</p>\n\
<p>Bitmap textures present only in the Material Editor but not assigned to the scene are excluded.</p>\n\
<p>There is an optional MAXWrapper argument to this method:</p>\n\
<div class=\'codeBlock\'><pre>usedMaps [&lt;MAXWrapper&gt;] \n\
</pre></div><p>If a MAXWrapper is specified, the method returns a list of all bitmap textures used by that object. In order to include all Material Editor bitmap textures, you can use:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` fn allUsedMaps = ( sceneMaps = usedMaps() for m in meditmaterials do join sceneMaps (usedMaps m) sceneMaps )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>bitmapTexture interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: bitmapTex \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;reload() \n\
</pre></div><p>Reloads the bitmap file using the same name and path. You don&#39;t need to use the file browser to reload the bitmap after you&#39;ve updated it in your paint program.</p>\n\
<p>Clicking reload for any instance of the map updates the map in all sample slots and in the scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;viewImage() \n\
</pre></div><p>Displays a Virtual Frame Buffer that shows the bitmap surrounded by a region outline. The region outline has handles at its sides and corners. When cropping is on, dragging the handles changes the size of the crop area. You can also drag within the region area to move it.</p>\n\
<p>The VFB editing window has U/V and W/H (width/height) spinners on its toolbar. Use these to adjust the location and size the image or crop area.</p>\n\
<p>When Place is turned on, dragging the region area handles changes the scale of the bitmap (hold down <strong>Ctrl</strong> to preserve the bitmap&#39;s aspect ratio), and dragging the image changes its location within the tile area.</p>\n\
<p>When Crop is turned on, the UV or XY button at the right of the virtual frame buffer toolbar lets you switch between using UV or XY coordinates in the toolbar spinners. Also, you can zoom out by pressing <strong>SHIFT+Z</strong> and zoom in by pressing <strong>Z</strong> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";