var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bricks : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bricks : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bricks-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Bricks - superclass: textureMap; super-superclass:material - classID: #(1677942713, 1768312028) \n\
</pre></div><p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>bricks ...   \n\
tiles...  \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Brick_Type Integer default: 1 \n\
</pre></div><p>The <span class=\'code\'>brick_type</span> values define a set of predefined values for the Stacking and Row and Column Editing properties.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Custom Bricks;</p>\n\
<p>1 - Running Bond;</p>\n\
<p>2 - Common Flemish Bond;</p>\n\
<p>3 - English Bond;</p>\n\
<p>4 - ½ Running Bond;</p>\n\
<p>5 - Stack Bond;</p>\n\
<p>6 - Fine Running Bond;</p>\n\
<p>7 - Fine Stack Bond</p>\n\
<p>Changing <span class=\'code\'>brick_type</span> only updates these properties if Material Editor is displayed and the material is in the active slot.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Show_Texture_Swatches Integer default: 1 \n\
</pre></div><p>When on, updates to show the texture assigned by a map for Bricks or Mortar.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Brick_Color Color default: (color 165.75 76.5 51) -- animatable \n\
</pre></div><p>The color of the bricks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Horizontal_Count Float default: 3.0 -- animatable \n\
</pre></div><p>The number of bricks in a row.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Vertical_Count Float default: 8.0 -- animatable \n\
</pre></div><p>The number of bricks in a column.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Color_Variance Float default: 0.4 -- animatable \n\
</pre></div><p>The color variation among the bricks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Fade_Variance Float default: 0.2 -- animatable \n\
</pre></div><p>The fading variation among the bricks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Mortar_Color Color default: (color 211.65 196.35 183.6) -- animatable \n\
</pre></div><p>The color of the mortar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Horizontal_Gap Float default: 1.0 -- animatable \n\
</pre></div><p>The horizontal size of the mortar between the bricks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Vertical_Gap Float default: 1.0 -- animatable \n\
</pre></div><p>The vertical size of the mortar between the bricks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Lock_Gap_Symmetry Integer default: 1 \n\
</pre></div><p>When on, the <span class=\'code\'>vertical_gap</span> and <span class=\'code\'>horizontal_gap</span> values are locked to one another.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Holes Integer default: 0 -- animatable \n\
</pre></div><p>The percentage of holes in the bricked surface caused by missing bricks. The mortar shows through the holes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Edge_Roughness Float default: 0.0 -- animatable \n\
</pre></div><p>Controls the roughness of the edges of the mortar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Random_Seed Integer default: 16870 -- animatable \n\
</pre></div><p>Randomly applies patterns of color variation to the bricks. Does not require any other setting to generate completely different patterns.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Line_Shift Float default: 0.0 -- animatable \n\
</pre></div><p>Shifts every second row of bricks a distance of one unit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Random_Shift Float default: 0.0 -- animatable \n\
</pre></div><p>Randomly shifts all rows of bricks a distance of one unit.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Use_Row_Edit Integer default: 0 \n\
</pre></div><p>Turn on/off row edit:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Per_Row Integer default: 2 \n\
</pre></div><p>The amount of bricks per row.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Change_Row Float default: 1.0 \n\
</pre></div><p>For every row you specify in the <span class=\'code\'>Per_Row</span> value, the software stores the amount of bricks that you specify in the <span class=\'code\'>Change_row</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Use_Column_Edit Integer default: 0 \n\
</pre></div><p>Turn on/off column edit:</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Per_Column Float default: 1.0 \n\
</pre></div><p>The amount of bricks per column.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.Change_Column Float default: 1.0 \n\
</pre></div><p>For every row you specify in the <span class=\'code\'>Per_Column</span> value, the software stores the amount of bricks that you specify in the <span class=\'code\'>Change_column</span> value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Bricks&gt;.coords SubAnim \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/UVGenClass-Material.html\' title=\'\'>UVGenClass</a> for the StandardUVGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";