var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Cellular : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Cellular : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cellular-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Cellular - superclass: textureMap; super-superclass:material - classID: #(-922740827, 286867643) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>cellular ...     \n\
cellularTex...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.celcolor Color default: (color 255 255 255) -- animatable, alias: Cell_Color \n\
</pre></div><p>The color of the cell.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.cellmap textureMap default: undefined \n\
</pre></div><p>Assigns a map to the cells, rather than a solid color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.map1Enabled Boolean default: true -- alias: Map1_On \n\
</pre></div><p>When on, enables the map.</p>\n\
<p>When off, disables the map (cell color reverts to <span class=\'code\'>celcolor</span> ).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.variation Float default: 0.0 -- animatable \n\
</pre></div><p>Varies the color of the cells by randomly altering RGB values.</p>\n\
<p>The higher the variation, the greater the random effect.</p>\n\
<p>This percentage value can range from 0 to 100.</p>\n\
<p>At 0, the color swatch or the map completely determines the cell color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.divcolor1 Color default: (color 127.5 127.5 127.5) -- animatable, alias: Division_Color1 \n\
</pre></div><p>The color of the first cell division.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.divmap1 textureMap default: undefined -- alias: DivisionMap1 \n\
</pre></div><p>Assigns a map to the first cell division.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.map2Enabled Boolean default: true -- alias: Map2_On \n\
</pre></div><p>When on, enables the first cell division map.</p>\n\
<p>When off, disables the associated map (the division color reverts to <span class=\'code\'>divcolor1</span> ).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.divcolor2 Color default: (color 0 0 0) -- animatable, alias: Division_Color2 \n\
</pre></div><p>The color of the second cell division.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.divmap2 textureMap default: undefined -- alias: DivisionMap2 \n\
</pre></div><p>Assigns a map to the second cell division.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.map3Enabled Boolean default: true -- alias: Map3_On \n\
</pre></div><p>When on, enables the second cell division map.</p>\n\
<p>When off, disables the associated map (the division color reverts to <span class=\'code\'>divcolor2</span> ).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.type Integer default: 0 \n\
</pre></div><p>Sets the shape and size of the cells:</p>\n\
<p>0- Circular (This gives a more organic, or bubbly look.)</p>\n\
<p>1- Chips (With Chips, the cells have linear edges. This gives a more chipped or mosaic appearance.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.size Float default: 5.0 -- animatable \n\
</pre></div><p>Alters the overall scale of the map. Adjust this value to fit the map to your geometry.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.spread Float default: 0.5 -- animatable \n\
</pre></div><p>Alters the size of individual cells.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.smooth Float default: 0.1 -- animatable, alias: Bump_smoothing \n\
</pre></div><p>When you use a cellular map as a bump map, you might encounter aliasing or jagginess at the boundaries of the cells. If this occurs, increase this value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.fractal Boolean default: false \n\
</pre></div><p>When on, makes the cellular pattern a fractal pattern.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.iteration Float default: 3.0 -- animatable, alias: Iterations \n\
</pre></div><p>Sets the number of times the fractal function is applied.</p>\n\
<p><strong>Caution</strong>: Increasing this value increases rendering time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.adaptive Boolean default: true \n\
</pre></div><p>When on, the number of fractal iterations is set adaptively.</p>\n\
<p>That is, the number of iterations increases the closer the geometry is to the scene’s point of view, and decreases in the distance.</p>\n\
<p>This reduces aliasing and also saves time while rendering.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.roughness Float default: 0.0 -- animatable \n\
</pre></div><p>When you use the Cellular map as a bump map, this parameter controls how rough the bumps are.</p>\n\
<p>When Roughness is zero, each iteration is half the strength of the previous iteration, and half the size.</p>\n\
<p>As Roughness increases, each iteration is closer in strength and size to the previous iteration.</p>\n\
<p>When Roughness is at its maximum value of 1.0, each iteration is the same size and strength as the previous. In effect, this turns off the fractalization.</p>\n\
<p>Roughness has no effect unless Iterations is greater than 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.lowthresh Float default: 0.0 -- animatable, alias: Low \n\
&lt;Cellular&gt;.midthresh Float default: 0.5 -- animatable, alias: Mid\n\
&lt;Cellular&gt;.highthresh Float default: 1.0 -- animatable, alias: High \n\
</pre></div><p>These controls affect the relative size of cells and divisions.</p>\n\
<p>They are expressed as normalized percentages (0 to 1) of the sizes specified by the default algorithm.</p>\n\
<p><span class=\'code\'>lowthresh:</span> Adjusts the size of the cells. Default=0.0.</p>\n\
<p><span class=\'code\'>midthresh:</span> Adjusts the size of the first division color, relative to the second. Default=0.5.</p>\n\
<p><span class=\'code\'>highthresh:</span> Adjusts the overall size of divisions. Default=1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.coords StandardXYZGen -- alias: coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Cellular&gt;.output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";