var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ColorMap : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ColorMap : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"colormap-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>ColorMap - superclass: textureMap; super-superclass:material - 6:0 - classID: #(329196230L, 334932244L)\n\
</pre></div><p>Offers a simple way to pass a solid color into any map slot, allowing for example the instancing of a color value among independent Materials and Maps. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>ColorMap...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ColorMap&gt;.solidcolor     Color    default: (color 127.5 127.5 127.5)   --  animatable; fRGBA color; Solid_Color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the color value of the Solid Color swatch.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ColorMap&gt;.mapEnabled    BooleanClass    default: true   --  boolean; Map_Enable\n\
</pre></div><p>Get/set the state of the map enabled checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ColorMap&gt;.map    UndefinedClass    default: undefined   --  texturemap\n\
</pre></div><p>Get/set the texture map to be used in place of the solid color value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ColorMap&gt;.gamma     Float    default: 2.2   --  animatable; float\n\
</pre></div><p>Get/set the Gamma value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ColorMap&gt;.gain     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Gain value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ColorMap&gt;.ReverseGamma     BooleanClass    default: true   --  animatable; boolean; Reverse_Gamma\n\
</pre></div><p>Get/set the state of the Reverse Gamma checkbox.</p>\n\
<blockquote>\n\
<p><strong>Example</strong></p>\n\
<p>``` ( resetMaxFile #noprompt --reset the scene --define an array of material classes and their base color map properties: theMatClasses = #(#(Standardmaterial, #diffuseMap), #(Architectural, #diffuseMap), #(Autodesk_Material, #Generic_Image), #(RaytraceMaterial, #diffuseMap), #(PhysicalMaterial, #base_color_map), #(InkNPaint, #paint_map) ) cm = colorMap() --create a color map instance for i = 1 to theMatClasses.count do --loop through the list of material classes ( m = theMatClasses[i][1]() --create a material instance setProperty m theMatClasses[i][2] cm --set its base color to the color map geosphere radius:25 pos:[i*60,0,0] material:m --create a geosphere offset along X if theMatClasses[i][1] == InkNPaint do m.paint_map_on = true --if the material is InkNPaint, also enable the Paint Map showTextureMap m true --enable the display of the material&#39;s maps in the viewport (does not work for InkNPaint) ) max zoomext sel all --zoom all</p>\n\
<p>cm.solidcolor = red --set the color of the colorMap to red and render bmp1 = render() cm.solidcolor = green --set the color of the colorMap to green and render bmp2 = render()</p>\n\
<p>--As you can see, we can control the solid color of multiple independent material types --using an instances colorMap! )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";