var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Color_Correction : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Color_Correction : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"color_correction-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Color_Correction - superclass: textureMap; super-superclass:material - classID: #(720, 0) \n\
</pre></div><p>The <strong>Color_Correction</strong> TextureMap introduced in <strong>3ds Max 2009</strong> provides means to change the color information of an input texture map including Color Channel Rewiring,Brightness,Contrast,Hue,SaturationandExposure adjustments andmore.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-75CCABDB-07E8-4A72-BEAE-6AE4F9772AF0-low.gif\' title=\'\'></div>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Color_Correction...      \n\
ColorCorrection...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.color Color default: (color 0 0 0) -- fRGBA color; Color_1; \n\
</pre></div><p>Get/set the map&#39;s color used when no input map has been specified.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.Map UndefinedClass default: undefined -- texturemap; \n\
</pre></div><p>Get/set the input map to color-correct.</p>\n\
<div class=\'section\'><a id=\"channels-rollout\"></a><h2 id=\"channels-rollout\">Channels Rollout</h2></div>\n\
<p><strong><a href=\'Color_Correction-TextureMap.html#color_correction---texturemap\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.rewireR Integer default: 0 -- integer; \n\
</pre></div><p>Get/set the Red= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.rewireG Integer default: 1 -- integer; \n\
</pre></div><p>Get/set the Green= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.rewireB Integer default: 2 -- integer; \n\
</pre></div><p>Get/set the Blue= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.rewireA Integer default: 3 -- integer; \n\
</pre></div><p>Get/set the Alpha= drop-down list index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Red</p>\n\
<p>1 - Green</p>\n\
<p>2 - Blue</p>\n\
<p>3 - Alpha</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.rewireMode Integer default: 0 -- integer; Rewire_Mode \n\
</pre></div><p>Get/set the Rewire Mode.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Normal</p>\n\
<p>1 - Monochrome</p>\n\
<p>2 - Invert</p>\n\
<p>3 - Custom</p>\n\
<div class=\'section\'><a id=\"color-rollout\"></a><h2 id=\"color-rollout\">Color Rollout</h2></div>\n\
<p><strong><a href=\'Color_Correction-TextureMap.html#color_correction---texturemap\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.hueShift Float default: 0.0 -- float; \n\
</pre></div><p>Get/set the Hue Shift value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.saturation Float default: 0.0 -- float; \n\
</pre></div><p>Get/set the Saturation value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.tint Color default: (color 0 0 0) -- fRGBA color; Hue_Tint; \n\
</pre></div><p>Get/set the Hue Tint value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.tintStrength Float default: 0.0 -- float; Hue_Strength; \n\
</pre></div><p>Get/set the Hue Tint Strength value.</p>\n\
<div class=\'section\'><a id=\"lightness-rollout\"></a><h2 id=\"lightness-rollout\">Lightness Rollout</h2></div>\n\
<p><strong><a href=\'Color_Correction-TextureMap.html#color_correction---texturemap\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-F20803C7-23B0-4AD8-8C8F-A92DF1F502EA-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.lightnessMode Integer default: 0 -- integer; \n\
</pre></div><p>Get/set the Lightness Mode.</p>\n\
<p>Possible values are</p>\n\
<p>0 - Standard</p>\n\
<p>1 - Advanced</p>\n\
<div class=\'section\'><a id=\"standard-mode-controls\"></a><h3 id=\"standard-mode-controls\">Standard Mode Controls</h3></div>\n\
<p><strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.brightness Float default: 0.0 -- float; \n\
</pre></div><p>Get/set the Brighness value in Standard mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.contrast Float default: 0.0 -- float; \n\
</pre></div><p>Get/set the Contrastvalue in Standard mode.</p>\n\
<div class=\'section\'><a id=\"advanced-mode-controls\"></a><h3 id=\"advanced-mode-controls\">Advanced Mode Controls</h3></div>\n\
<p><strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.exposureMode Integer default: 0 -- integer; Lightness; \n\
</pre></div><p>Get/set theExposure Mode drop-down list&#39;s selection index.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - Gain</p>\n\
<p>1 - F-Stops</p>\n\
<p>2 - Printer Lights</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.enableR BooleanClass default: false -- boolean; \n\
</pre></div><p>Get/set the state of the R checkbox in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.enableG BooleanClass default: false -- boolean; \n\
</pre></div><p>Get/set the state of theGcheckbox in Advanced Lightness mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.enableB BooleanClass default: false -- boolean; \n\
</pre></div><p>Get/set the state of the B checkbox in Advanced Lightness mode.</p>\n\
<div class=\'section\'><a id=\"gain\"></a><h3 id=\"gain\">Gain</h3></div>\n\
<p><strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gainRGB Float default: 100.0 -- float; LightnessGainRGB; \n\
</pre></div><p>Get/set the Gain RGB value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gainR Float default: 100.0 -- float; LightnessGainR; \n\
</pre></div><p>Get/set the Gain R value in Advanced Lightness mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gainG Float default: 100.0 -- float; LightnessGainG; \n\
</pre></div><p>Get/set the Gain G value in Advanced Lightness mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gainB Float default: 100.0 -- float; LightnessGainB; \n\
</pre></div><p>Get/set the Gain B value in Advanced Lightness mode.</p>\n\
<div class=\'section\'><a id=\"gammacontrast\"></a><h3 id=\"gammacontrast\">Gamma/Contrast</h3></div>\n\
<p><strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gammaRGB Float default: 1.0 -- float; LightnessGammaRGB; \n\
</pre></div><p>Get/set the Gamma RGB value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gammaR Float default: 1.0 -- float; LightnessGammaR; \n\
</pre></div><p>Get/set the Gamma R value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gammaG Float default: 1.0 -- float; LightnessGammaG; \n\
</pre></div><p>Get/set the Gamma G value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.gammaB Float default: 1.0 -- float; LightnessGammaB; \n\
</pre></div><p>Get/set the Gamma B value in Advanced Lightnessmode.</p>\n\
<div class=\'section\'><a id=\"pivot\"></a><h3 id=\"pivot\">Pivot</h3></div>\n\
<p><strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.pivotRGB Float default: 1.0 -- float; LightnessPivotRGB; \n\
</pre></div><p>Get/set the Pivot RGB value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.pivotR Float default: 1.0 -- float; LightnessPivotR; \n\
</pre></div><p>Get/set the Pivot R value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.pivotG Float default: 1.0 -- float; LightnessPivotG; \n\
</pre></div><p>Get/set the Pivot G value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.pivotB Float default: 1.0 -- float; LightnessPivotB; \n\
</pre></div><p>Get/set the Pivot B value in Advanced Lightnessmode.</p>\n\
<div class=\'section\'><a id=\"liftoffset\"></a><h3 id=\"liftoffset\">Lift/Offset</h3></div>\n\
<p><strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.liftRGB Float default: 0.0 -- float; LightnessLiftRGB; \n\
</pre></div><p>Get/set the Lift/Offset RGB value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.liftR Float default: 0.0 -- float; LightnessLiftR; \n\
</pre></div><p>Get/set the Lift/Offset R value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.liftG Float default: 0.0 -- float; LightnessLiftG; \n\
</pre></div><p>Get/set the Lift/Offset G value in Advanced Lightnessmode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.liftB Float default: 0.0 -- float; LightnessLiftB; \n\
</pre></div><p>Get/set the Lift/Offset B value in Advanced Lightnessmode.</p>\n\
<div class=\'section\'><a id=\"printer-lights\"></a><h3 id=\"printer-lights\">Printer Lights</h3></div>\n\
<p><strong><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Topic Navigation</a></strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Color_Correction&gt;.printerLights Float default: 5.0 -- float; LightnessPrinter; \n\
</pre></div><p>Get/set the &quot;Printer Lights Per Stop&quot; value in Advanced Lightness mode.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";