var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Combustion : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Combustion : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"combustion-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Combustion - superclass: textureMap; super-superclass:material - 3:1 - classID: #(1051942422, 1799968651) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Combustion ... \n\
</pre></div><p>With the Combustion map, you can create maps interactively using the Discreet <strong>combustion</strong> product and <strong>3ds Max</strong> at the same time. You use <strong>combustion</strong> software to paint on a bitmap, and the material updates automatically in the <strong>3ds Max</strong> Material Editor and in shaded viewports.</p>\n\
<p>Important: The combustion map works only if Discreet <strong>combustion</strong> is installed on your system.</p>\n\
<p>You can use <strong>combustion</strong> as a material map in <strong>3ds Max</strong>. With a Combustion map, you can create a material from a Paint or composite operator, and in turn apply that material to objects in a <strong>3ds Max</strong> scene. The Combustion map can include <strong>combustion</strong> effects, and it can be animated.</p>\n\
<p>In addition, with <strong>combustion</strong> you can import <strong>3ds Max</strong> scenes that have been rendered to a rich pixel file (RPF or RLA file). The imported rich pixel rendering becomes an element of your composite. You can adjust its 3D position relative to video elements of the composite, and you can apply <strong>combustion</strong> 3D Post effects to objects within it. See the <span class=\'code\'>combustion User&#39;s Guide</span> for more information.</p>\n\
<p>Note:</p>\n\
<p>Because <strong>3ds Max</strong> runs only on Windows, you cannot use <strong>combustion</strong> to create material maps on a Macintosh.</p>\n\
<p>The environmental atmospheric effect known as &quot;Combustion&quot; in versions prior to <strong>3ds Max 4</strong> is now known as <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Atmospheric-MAXWrapper/Atmospheric-Effect-Types/Fire_Effect-Atmospheric.html\' title=\'\'>Fire_effect</a>.</p>\n\
<p>A Combustion map is a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Combustion-coordinates-MAXObject.html\' title=\'\'>2D map</a>. It is a <strong>combustion</strong> project used by the <strong>3ds Max</strong> Material Editor, so like any <strong>combustion</strong> project, it is vector-based, animatable, and fully editable. From within the Material Editor, you can have <strong>combustion</strong> create a new project from scratch, or use an existing composite or Paint branch. You can synchronize the <strong>combustion</strong> Timeline with the <strong>3ds Max</strong> time slider so animated materials synchronize with your 3D scene.</p>\n\
<p>A macroScript has been added that gets called by the render management system to output render element info to the combustion(tm) .cws file format.</p>\n\
<p><strong>../UI/MacroScripts/Macro_CombustionOutput.mcr</strong></p>\n\
<p>Associated files include:</p>\n\
<blockquote>\n\
<p>``` RenderElements-fns.ms CombustionExport-fns.ms</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>c = combustion()</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";