var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CompositeTextureMap : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CompositeTextureMap : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"compositetexturemap-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>CompositeTextureMap - superclass: textureMap; super-superclass:material - classID: #(640, 0) \n\
</pre></div><p>The <strong>CompositeTextureMap</strong> has been reimplemented in <strong>3ds Max 2009</strong> but provides backwards compatibility with files containing the old version of the map.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D98B4E19-29A4-40C5-BDAF-DCED86B9E42A-low.gif\' title=\'\'></div>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>compositeTextureMap...   \n\
compositeMap...      \n\
compositeTexture...   \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.blendMode ArrayParameter default: #(0) -- int array; Map_Blend_Mode \n\
</pre></div><p>Get/set the blend modes associated with all layers as an array of integers.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">#</th>\n\
<th align=\"left\">Blend Mode</th>\n\
<th align=\"left\">#</th>\n\
<th align=\"left\">Blend Mode</th>\n\
<th align=\"left\">#</th>\n\
<th align=\"left\">Blend Mode</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>0</strong></td>\n\
<td align=\"left\">Normal</td>\n\
<td align=\"left\"><strong>9</strong></td>\n\
<td align=\"left\">Screen</td>\n\
<td align=\"left\"><strong>18</strong></td>\n\
<td align=\"left\">Hard Mix</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>1</strong></td>\n\
<td align=\"left\">Average</td>\n\
<td align=\"left\"><strong>10</strong></td>\n\
<td align=\"left\">Color Dodge</td>\n\
<td align=\"left\"><strong>19</strong></td>\n\
<td align=\"left\">Difference</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>2</strong></td>\n\
<td align=\"left\">Addition</td>\n\
<td align=\"left\"><strong>11</strong></td>\n\
<td align=\"left\">Linear Dodge</td>\n\
<td align=\"left\"><strong>20</strong></td>\n\
<td align=\"left\">Exclusion</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>3</strong></td>\n\
<td align=\"left\">Subtract</td>\n\
<td align=\"left\"><strong>12</strong></td>\n\
<td align=\"left\">Spotlight</td>\n\
<td align=\"left\"><strong>21</strong></td>\n\
<td align=\"left\">Hue</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>4</strong></td>\n\
<td align=\"left\">Darken</td>\n\
<td align=\"left\"><strong>13</strong></td>\n\
<td align=\"left\">Spotlight Blend</td>\n\
<td align=\"left\"><strong>22</strong></td>\n\
<td align=\"left\">Saturation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>5</strong></td>\n\
<td align=\"left\">Multiply</td>\n\
<td align=\"left\"><strong>14</strong></td>\n\
<td align=\"left\">Overlay</td>\n\
<td align=\"left\"><strong>23</strong></td>\n\
<td align=\"left\">Color</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>6</strong></td>\n\
<td align=\"left\">Color Burn</td>\n\
<td align=\"left\"><strong>15</strong></td>\n\
<td align=\"left\">Soft Light</td>\n\
<td align=\"left\"><strong>24</strong></td>\n\
<td align=\"left\">Value</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>7</strong></td>\n\
<td align=\"left\">Linear Burn</td>\n\
<td align=\"left\"><strong>16</strong></td>\n\
<td align=\"left\">Hard Light</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>8</strong></td>\n\
<td align=\"left\">Lighten</td>\n\
<td align=\"left\"><strong>17</strong></td>\n\
<td align=\"left\">Pin Light</td>\n\
<td align=\"left\"></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.dlgOpened ArrayParameter default: #(true) -- boolean array; Dialog_Opened \n\
</pre></div><p>Get/set the rollout open states of all composite layers as an array of booleans.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.layerName ArrayParameter default: #(undefined) -- string array; Name \n\
</pre></div><p>Get/set the names of all composite layers as an array of strings.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.mapEnabled ArrayParameter default: #(true) -- boolean array; Map_1_Enable \n\
</pre></div><p>Get/set the enabled states of all composite layers as an array of Boolean values.</p>\n\
<p>This property existed in the legacy version of the Composite Map prior to <strong>3ds Max 2009</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.mapList ArrayParameter default: #(undefined) -- texturemap array; Maps \n\
</pre></div><p>Get/set the maps of all composite layers as an array of Texture Maps.</p>\n\
<p>This property existed in the legacy version of the Composite Map prior to <strong>3ds Max 2009</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.mask ArrayParameter default: #(undefined) -- texturemap array; Map_Mask \n\
</pre></div><p>Get/set the mask of each composite layer as a Texture Map object element of the array.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.maskEnabled ArrayParameter default: #(true) -- boolean array; Map_1_Enable \n\
</pre></div><p>Get/set the mask enabled states of all composite layers as an array of Booleans.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;CompositeTexturemap&gt;.opacity ArrayParameter default: #(100.0) --floatarray; Map_Opacity \n\
</pre></div><p>Get/set the opacity of all composite layers as an array of Integers.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Composite Texturemap interfaces:</strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: layers \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;add() \n\
</pre></div><p>Adds a new layer to the Composite Map. Equivalent to pressing the &quot;Add a New Layer&quot; icon in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;delete &lt;integer&gt;index \n\
</pre></div><p>Deletes the indexed layer of the Composite Map. Equivalent to pressing the &quot;Delete This Layer&quot; icon in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;duplicate &lt;integer&gt;index \n\
</pre></div><p>Duplicates the indexed layer of the Composite Map, creating an identical new layer. Equivalent to pressing the &quot;Duplicate This Layer&quot; icon in the UI.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";