var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Falloff : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Falloff : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"falloff-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>falloff - superclass: textureMap; super-superclass:material - classID: #(1858302732, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>falloff...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>Sets the first color for falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.map1Amount Float default: 100.0 -- animatable, alias: Map_Amount_1 \n\
</pre></div><p>Relative strength of the first color in the falloff map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.map1 TextureMap default: undefined -- alias: Map_1 \n\
</pre></div><p>Assigns a map to the first slot in the falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.map1On Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>When on, the selected maps are used in the falloff. When off, colors are used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.color2 Color default: (color 255 255 255) -- animatable, alias: Color_2 \n\
</pre></div><p>Sets the second color for falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.map2Amount Float default: 100.0 -- animatable, alias: Map_Amount_2 \n\
</pre></div><p>Relative strength of the second color in the falloff map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.map2 TextureMap default: undefined -- alias: Map_1 \n\
</pre></div><p>Assigns a map to the second slot in the falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.map2On Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>When on, the selected maps are used in the falloff. When off, colors are used.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.type Integer default: 1 -- animatable, alias: Falloff_Type \n\
</pre></div><p>Sets the type of falloff:</p>\n\
<p>0- Towards/Away (Sets the angular falloff ranges between face normals that face toward (parallel to) the falloff direction and normals that face away from the falloff direction. The falloff range is based on a 180-degree change in face normal direction.)</p>\n\
<p>1- Perpendicular/Parallel (Sets the angular falloff ranges between face normals that are perpendicular to the falloff direction and normals that are parallel to the falloff direction. The falloff range is based on a 90-degree change in face normal direction.)</p>\n\
<p>2- Fresnel (Based on adjustments to the Index of Refraction (IOR). Results in dim reflections on surfaces facing the view, with much brighter reflections on angled faces, creating highlights like those on the sides of a glass.)</p>\n\
<p>3- Lit/Shadowed (Adjusts between two subtextures based on how much light is falling on the object.)</p>\n\
<p>4- Distance Blend (Adjusts between two subtextures based on Near Distance and Far Distance values. Uses include reducing aliasing on large terrain objects and controlling the shading in non-photorealistic environments.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.mtlIOROverride Boolean default: true -- alias: Mtl_IOR_Override_Enable \n\
</pre></div><p>When on, allows change to the Index of Refraction set by the material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.ior Float default: 1.6 -- animatable, alias: Index_of_Refraction \n\
</pre></div><p>Sets a new Index of Refraction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.nearDistance Float default: 0.0 -- animatable, alias: Near_Distance \n\
</pre></div><p>The distance at which the blend effect begins.</p>\n\
<p>Note:</p>\n\
<p>This is only available for the Distance Blend falloff type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.farDistance Float default: 100.0 -- animatable, alias: Far_Distance \n\
</pre></div><p>The distance at which the blend effect ends.</p>\n\
<p>Note:</p>\n\
<p>This is only available for the Distance Blend falloff type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.extrapolateOn Boolean default: false -- alias: Distance_Blend_Extrapolate \n\
</pre></div><p>When on, allows the effect to continue beyond the Near and Far settings.</p>\n\
<p>Note:</p>\n\
<p>This is only available for the Distance Blend falloff type.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.direction Integer default: 0 -- animatable, alias: Falloff_Direction \n\
</pre></div><p>Sets the direction of the falloff:</p>\n\
<p>0 - <strong>Viewing Direction</strong> (Sets the falloff direction relative to the camera (or screen). Changing object orientation doesn’t affect the falloff map.)</p>\n\
<p>1 - <strong>Object</strong>( Picks an object whose orientation determines the falloff direction,<strong>.node</strong>. The falloff direction is the direction from the point being shaded toward the object’s center. Points on the side toward the object center get the Towards value, and those away from the object get the Away value.)</p>\n\
<p>2 - <strong>Local X Axis</strong> (Sets the falloff direction to the object’s local X-axis. Changing the orientation of the object changes the falloff direction. When no object is chosen, the falloff direction uses the local X-axis of the object being shaded.)</p>\n\
<p>3 - <strong>Local Y Axis</strong> (Sets the falloff direction to the object’s local Y-axis. Changing the orientation of the object changes the falloff direction. When no object is chosen, the falloff direction uses the local Y-axis of the object being shaded.)</p>\n\
<p>4 - <strong>Local Z Axis</strong> (Sets the falloff direction to the object’s local Z-axis. Changing the orientation of the object changes the falloff direction. When no object is chosen, the falloff direction uses the local Z-axis of the object being shaded.)</p>\n\
<p>5 - <strong>World X Axis</strong> (Sets the falloff direction to the world coordinate system X-axis. Changing object orientation doesn’t affect the falloff map.)</p>\n\
<p>6 - <strong>World Y Axis</strong> (Sets the falloff direction to the world coordinate system Y-axis. Changing object orientation doesn’t affect the falloff map.)</p>\n\
<p>7 - <strong>World Z Axis</strong> (Sets the falloff direction to the world coordinate system Z-axis. Changing object orientation doesn’t affect the falloff map.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.node Node default: undefined -- alias: Falloff_Direction_Object \n\
</pre></div><p>When <span class=\'code\'>Falloff_Direction = 1</span> , this object will determine the falloff direction.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.texture_output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff&gt;.mixcurve SubAnim default: SubAnim:MixCurve \n\
</pre></div><p>This mix curve determines the falloff.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Falloff.mixcurve&gt;.curve_1 SubAnim default: SubAnim:Curve_1 \n\
</pre></div><p>The <span class=\'code\'>curve_1</span> SubAnim contains the mix curve points. You cannot create or access these points unless the point is animated. If a point is animated, you can access the point position using the <span class=\'code\'>.Point_X</span> property of <span class=\'code\'>curve_1</span> , where <span class=\'code\'>X</span> in the point number.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";