var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FlatMirror : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FlatMirror : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"flatmirror-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>flatMirror - superclass: textureMap; super-superclass:material - classID: #(608, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Flat_Mirror ...      \n\
flatMirror...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.applyBlur Boolean default: true \n\
</pre></div><p>Turns on filtering to blur the maps.</p>\n\
<p>Anti-aliasing is also applied to the Distortion effect, if any, when Apply Blur is turned on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.blurAmount Float default: 1.0 -- animatable \n\
</pre></div><p>Affects the sharpness or blurriness of the generated map based on its distance from the object.</p>\n\
<p>The farther away the map is, the greater the blurring.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.frame Integer default: 1 \n\
&lt;FlatMirror&gt;.nthFrame Integer default: 1 \n\
</pre></div><p>When <span class=\'code\'>frame</span> is set to 0, the renderer creates the automatic flat mirror only on the first frame.</p>\n\
<p>When <span class=\'code\'>frame</span> is set to 1, the renderer creates the automatic flat mirror based on <span class=\'code\'>nthframe</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.useEnviroment Boolean default: true \n\
</pre></div><p>When off, environment maps are ignored by the mirror during rendering.</p>\n\
<p>It’s useful to turn this off when you have mirrors in the scene and you’re rotoscoping against a flat screen environment map.</p>\n\
<p>A screen environment map does not exist in 3D space the way the other environment-map types do, and will not render properly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.applyToFaceID Boolean default: false \n\
</pre></div><p>When on, a specified material is applied to the mirror face.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.faceID Integer default: 1 \n\
</pre></div><p>Specifies the material ID number where you want the mirror assigned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.distortionType Integer default: 0 \n\
</pre></div><p>To simulate irregular surfaces, you can distort the flat-mirror reflections.</p>\n\
<p>Distortion can be based on a bump map or on noise controls built into Flat Mirror material.</p>\n\
<p>0 - <strong>None</strong> (No distortion)</p>\n\
<p>1 - <strong>Use Bump Map</strong> (Distorts the reflection using the material’s bump map. A flat mirror surface that has a Bump map will appear bumpy, but its reflection won’t be distorted by the bumps unless you use this option.)</p>\n\
<p>2 - <strong>Use Built-in Noise</strong> (Distorts the reflection using the settings in the Noise group.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.noiseType Integer default: 0 \n\
</pre></div><p>Sets the type of noise when <span class=\'code\'>distortionType</span> is set to 2.</p>\n\
<p>0 - <strong>Regular</strong> (Generates plain noise. Basically the same as Fractal noise with the Levels setting at 1. When the noise type is set to Regular, the Levels spinner is inactive, because Regular is not a fractal function.)</p>\n\
<p>1 - <strong>Fractal</strong> (Generates noise using a fractal algorithm. The Levels setting determines the number of iterations for the fractal noise.)</p>\n\
<p>2 - <strong>Turbulence</strong> (Generates fractal noise with an absolute value function applied to it to make fault lines.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.distortionAmount Float default: 0.5 -- animatable \n\
</pre></div><p>Adjusts the amount of distortion to the reflected image. This is the only value that affects the amount of distortion.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Controls the speed of the animation of the noise function.</p>\n\
<p>A 3D noise function is used for the noise, so that the first two parameters are U and V and the third is phase.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.size Float default: 10.0 -- animatable \n\
</pre></div><p>Sets the scale of the noise function. Smaller values give smaller chunks of noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;FlatMirror&gt;.level Float default: 2.0 -- animatable \n\
</pre></div><p>Sets the number of fractal iterations or turbulence (as a continuous function).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";