var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Gradient : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Gradient : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"gradient-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Gradient - superclass: textureMap; super-superclass:material - classID: #(624, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>gradient...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>The gradient interpolates between 3 colors. This is the first color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.map1 TextureMap default: undefined -- alias: Map_1 \n\
</pre></div><p>You can interpolate between 3 maps instead of colors. This is the first map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.color2 Color default: (color 127.5 127.5 127.5) -- animatable, alias: Color_2 \n\
</pre></div><p>The gradient interpolates between 3 colors. This is the second color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.map2 TextureMap default: undefined -- alias: Map_2 \n\
</pre></div><p>You can interpolate between 3 maps instead of colors. This is the second map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.color3 Color default: (color 255 255 255) -- animatable, alias: Color_3 \n\
</pre></div><p>The gradient interpolates between 3 colors. This is the third color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.map3 TextureMap default: undefined -- alias: Map_3 \n\
</pre></div><p>You can interpolate between 3 maps instead of colors. This is the third map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.map3Enabled Boolean default: true -- alias: Map_3_Enable \n\
</pre></div><p>When on, the associated map is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.color2Pos Float default: 0.5 -- animatable, alias: Color_2_Position \n\
</pre></div><p>Controls the centerpoint of the middle color. The position ranges from 0 to 1. When it is 0, <span class=\'code\'>color2</span> replaces <span class=\'code\'>color3</span> . When it is 1, <span class=\'code\'>color2</span> replaces <span class=\'code\'>color1</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.gradientType Integer default: 0 -- alias: Gradient_Type \n\
</pre></div><p>Sets the type of gradient:</p>\n\
<p>0- Linear (Interpolates the color based on the vertical position.)</p>\n\
<p>1- Radial (Interpolates based on the distance from the center of the map.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.noiseAmount Float default: 0.0 -- animatable, alias: Noise_Amount \n\
</pre></div><p>When nonzero (ranges from 0 to 1), applies a noise effect. This perturbs the color interpolation parameter using a 3D noise function based on U, V, and Phase.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.noiseType Integer default: 0 -- alias: Noise_Type \n\
</pre></div><p>Set the type of noise</p>\n\
<p>0 - <strong>Regular</strong> (Generates plain noise. This is the same as Fractal noise with the Levels setting at 1.)</p>\n\
<p>1 - <strong>Fractal</strong> (Generates noise using a fractal algorithm. <span class=\'code\'>noiselevels</span> sets the number of iterations for the fractal noise.)</p>\n\
<p>2 - <strong>Turbulence</strong> (Generates fractal noise with an absolute value function applied to it to make fault lines. The noise amount must be greater than 0 to see any effects of turbulence.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.noiseSize Float default: 1.0 -- animatable, alias: Noise_Size \n\
</pre></div><p>Scales the noise function. Smaller values give smaller chunks of noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.noisePhase Float default: 0.0 -- animatable, alias: Noise_Phase \n\
</pre></div><p>Controls the speed of the animation of the noise function. A 3D noise function is used for the noise. The first two parameters are U and V and the third is phase.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.noiseLevels Float default: 4.0 -- animatable, alias: Noise_Levels \n\
</pre></div><p>Sets the number of fractal iterations or turbulence (as a continuous function).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.noiseThresholdLow Float default: 0.0 -- animatable, alias: Low_Threshold \n\
&lt;Gradient&gt;.noiseThresholdHigh Float default: 1.0 -- animatable, alias: High_Threshold \n\
&lt;Gradient&gt;.noiseThresholdSMooth Float default: 0.0 -- animatable, alias: Threshold_Smoothing \n\
</pre></div><p>When the noise value is above the Low threshold and below the High threshold, the dynamic range is stretched to fill 0-1. This produces a smaller discontinuity at the threshold transition and thus causes less potential aliasing.</p>\n\
<p><span class=\'code\'>noiseThresholdLow</span> : Sets the low threshold.</p>\n\
<p><span class=\'code\'>noiseThresholdHigh</span> : Sets the high threshold.</p>\n\
<p><span class=\'code\'>NoiseThresholdSmooth</span> : Helps make a smoother transition from the threshold value to the noise value. When 0, no smoothing is applied. When it is 1, the maximum amount of smoothing is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.coords StandardUVGen -- alias: coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/UVGenClass-Material.html\' title=\'\'>UVGenClass</a> for the StandardUVGen properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient&gt;.output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";