var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Gradient_Ramp : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Gradient_Ramp : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"gradient_ramp-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Gradient_Ramp - superclass: textureMap; super-superclass:material - classID: #(502029190, 1127758417) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Gradient_Ramp...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.Gradient_Type Integer default: 4 \n\
</pre></div><p>The type of gradient:</p>\n\
<p>0- 4 Corner (An asymmetrical linear transition of colors.)</p>\n\
<p>1- Box (A box.)</p>\n\
<p>2- Diagonal (A linear diagonal transition of colors.)</p>\n\
<p>3- Lighting (Based on the light intensity value.)</p>\n\
<p>4- Linear (A smooth, linear transition of colors.)</p>\n\
<p>5- Mapped (Based on the luminance. Remaps the colors of the source map used in the gradient.)</p>\n\
<p>6- Normal (Based on the angle between the vector from the camera to the object and the surface normal vector at the sample point.)</p>\n\
<p>7- Pong (A diagonal sweep that repeats in the middle.)</p>\n\
<p>8- Radial (A radial transition of colors.)</p>\n\
<p>9- Spiral (A smooth, circular transition of colors.)</p>\n\
<p>10- Sweep (A linear sweep transition of colors.)</p>\n\
<p>11- Tartan (A plaid.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.Source_Map_On Integer default: 1 \n\
</pre></div><p>When on, assigns a map to a mapped gradient.</p>\n\
<p>0- Off</p>\n\
<p>1- On</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.Noise_Type Integer default: 0 \n\
</pre></div><p>Sets the noise type:</p>\n\
<p>0- Regular (Generates plain noise. Basically the same as fractal noise with levels disabled, because Regular is not a fractal function.)</p>\n\
<p>1- Fractal (Generates noise using a fractal algorithm. <span class=\'code\'>levels</span> sets the number of iterations for the fractal noise.)</p>\n\
<p>2- Turbulence (Generates fractal noise with an absolute value function applied to it to make fault lines.</p>\n\
<p>Note: that <span class=\'code\'>amount</span> must be greater than 0 to see any effects of turbulence.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.amount Float default: 0.0 -- animatable \n\
</pre></div><p>When nonzero, a random noise effect is applied to the gradient, based on the interaction of the gradient ramp colors (and maps, if present). The higher this value, the greater the effect.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.size Float default: 1.0 -- animatable \n\
</pre></div><p>Sets the scale of the noise function. Smaller values give smaller chunks of noise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Controls the speed of the animation of the noise function. A 3D noise function is used for the noise; the first two parameters are U and V and the third is phase.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.Levels Float default: 4.0 -- animatable \n\
</pre></div><p>Sets the number of fractal iterations or turbulence (as a continuous function).</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.Low_Threshold Float default: 0.0 -- animatable &lt;Gradient_Ramp&gt;.High_Threshold Float default: 1.0 -- animatable \n\
</pre></div><p>When the noise value is above the Low threshold and below the High threshold, the dynamic range is stretched to fill 0 to 1. This causes a smaller discontinuity at the threshold transition and produces less potential aliasing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.Threshold_Smoothing Float default: 0.0 -- animatable \n\
</pre></div><p>Helps make a smoother transition from the threshold value to the noise value. When 0, no smoothing is applied. When 1, the maximum amount of smoothing is applied.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.coordinates SubAnim \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/UVGenClass-Material.html\' title=\'\'>UVGenClass</a> for the StandardUVGen properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp&gt;.gradient_ramp SubAnim \n\
</pre></div><p>This subanim contains all flags in the map. Currently, flags are being added dynamically by the UI only and can not be created using MAXScript. Existing flags can be accessed as subanims of the gradient_ramp subanim though.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp.gradient_ramp&gt;.flag__1 SubAnim &lt;Gradient_Ramp.gradient_ramp&gt;.flag__2 SubAnim &lt;Gradient_Ramp.gradient_ramp&gt;.flag__3 SubAnim \n\
</pre></div><p>These are the 3 default color flags of a newly created Gradient_Ramp Map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp.gradient_ramp.flag__1&gt;.color Point3 default: [0,0,0] -- animatable \n\
&lt;Gradient_Ramp.gradient_ramp.flag__2&gt;.color Point3 default: [255,255,255] -- animatable \n\
&lt;Gradient_Ramp.gradient_ramp.flag__3&gt;.colorPoint3 default: [127.5,127.5,127.5] -- animatable \n\
</pre></div><p>Each flag has a color property which contains the color associated with the flag. Note that the 3 rd flag is the middle flag. The first and the second flag cannot be removed and are always accessible. Any additional flags between the first and the second will have higher numbers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Gradient_Ramp.gradient_ramp.flag__3&gt;.position Float default:50.0-- animatable \n\
</pre></div><p>The 3 rd flag has a position property which defines its location between the first and the second flag. The first two flags cannot be moved. Any additional flags added through the UI will have a position property and can be accessed through MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";