var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MultiTile : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MultiTile : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"multitile-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>MultiTile - superclass: textureMap; super-superclass:material - 2:2 - classID: #(736L, 0L)\n\
</pre></div><p>This textureMap implements support for UDIM, custom, Z-Brush and Mudbox-compatible multi-tile textures. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>MultiTile... MultiTileMap...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;MultiTile&gt;.PatternFormat     Name    default: #ZBrush   --  enum\n\
</pre></div><p>Get/set the selection of the <strong>&quot;File Pattern Format&quot;</strong> drop-down list.</p>\n\
<p>Exposed by the MultiTile MixinInterface (see below).</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>#ZBrush</strong> (default)</p>\n\
<p>1 - <strong>#Mudbox</strong></p>\n\
<p>2 - <strong>#UDIM</strong></p>\n\
<p>3 - <strong>#Custom</strong></p>\n\
<p>Setting the property to the corresponding integer value from 0 to 3 is also supported.</p>\n\
<div class=\'codeBlock\'><pre>&lt;MultiTile&gt;.ViewportQuality     Name    default: #low   --  enum\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Viewport Quality&quot;</strong> drop-down list.</p>\n\
<p>Exposed by the MultiTile MixinInterface (see below).</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li>0 - <span class=\'code\'>#Low</span> (default)</li>\n\
<li>1 - <span class=\'code\'>#Medium</span></li>\n\
<li>2 - <span class=\'code\'>#High</span></li>\n\
</ul>\n\
<p>Setting the property to the corresponding integer value from 0 to 3 is also supported.</p>\n\
<div class=\'section\'><a id=\"multitile-interfaces\"></a><h2 id=\"multitile-interfaces\">MultiTile interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: MultiTiles\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.PatternFormat : enum : Read|Write\n\
PatternFormat enums: {#ZBrush|#Mudbox|#UDIM|#Custom}\n\
</pre></div><p>See the Properties: list above for details.</p>\n\
<div class=\'codeBlock\'><pre>.ViewportQuality : enum : Read|Write\n\
ViewportQuality enums: {#Low|#Middle|#High}\n\
</pre></div><p>See the Properties: list above for details.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setPatternedImageFile &lt;filename&gt;filePath\n\
</pre></div><p>Sets the filename and path to the Patterned Image File.</p>\n\
<p>Returns True on success, False on failure (for example, if file was not found or was not a valid patterned file).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;setImageFile &lt;index&gt;tile index &lt;filename&gt;filePath\n\
</pre></div><p>Sets the bitmap image to the indexed tile from the Patterned Image File specified by the second argument.</p>\n\
<p>Returns True on success, False on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getTileUOffset &lt;index&gt;tileIndex\n\
</pre></div><p>Returns the U offset of the indexed tile.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTileUOffset &lt;index&gt;tileIndex &lt;integer&gt;uIndex\n\
</pre></div><p>Sets the U offset of the indexed tile to the offset specified by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getTileVOffset &lt;index&gt;tileIndex\n\
</pre></div><p>Returns the V offset of the indexed tile.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTileVOffset &lt;index&gt;tileIndex &lt;integer&gt;vIndex\n\
</pre></div><p>Sets the V offset of the indexed tile to the offset specified by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;texturemap&gt;getTileTexmap &lt;index&gt;tileIndex\n\
</pre></div><p>Returns a bitmapTexture map with the indexed tile.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setTileTexmap &lt;index&gt;tileIndex &lt;texturemap&gt;texmap\n\
</pre></div><p>Sets the indexed tile to the bitmapTexture map supplied as second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;tileCount()\n\
</pre></div><p>Returns the number of tiles.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;addTile()\n\
</pre></div><p>Adds a tile.</p>\n\
<p>Equivalent to pressing the &quot;Add Tile&quot; icon next to the &quot;Number Of Textures&quot; field in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;deleteTile &lt;index&gt;tile index\n\
</pre></div><p>Deletes the indexed tile.</p>\n\
<p>Equivalent to pressing the &quot;Delete Tile&quot; icon next to the Tile name button in the UI.</p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";