var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Noise : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Noise : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"noise-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Noise - superclass: textureMap; super-superclass:material - classID: #(564, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>noise...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.type Integer default: 0 \n\
</pre></div><p>Sets the type of noise:</p>\n\
<p>0- Regular (Generates plain noise. Basically the same as fractal noise with <span class=\'code\'>levels</span> at 1.)</p>\n\
<p>1- Fractal (Generates noise using a fractal algorithm. <span class=\'code\'>levels</span> sets the number of iterations for the fractal noise.)</p>\n\
<p>2- Turbulence (Generates fractal noise with an absolute value function applied to it to make fault lines.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.size Float default: 25.0 -- animatable, alias: Noise_Size \n\
</pre></div><p>Sets the scale of the noise function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.thresholdLow Float default: 0.0 -- animatable, alias: Low_Threshold \n\
&lt;Noise&gt;.thresholdHigh Float default: 1.0 -- animatable, alias: High_Threshold \n\
</pre></div><p>When the noise value is above the Low threshold and below the High threshold, the dynamic range is stretched to fill 0-1. This creates a smaller discontinuity (technically, 1 st order instead of 0 order) at the threshold transition and produces less potential aliasing.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.levels Float default: 3.0 -- animatable, alias: Noise_Levels \n\
</pre></div><p>Determines how much fractal energy is used for the Fractal and Turbulence noise functions. You can set the exact amount of turbulence you want, and also animate the number of fractal levels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Controls the speed of the animation of the noise function. Use this option to animate the noise function.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.color1 Color default: (color 0 0 0) -- animatable, alias: Color_1 \n\
</pre></div><p>Sets the first principal noise color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.map1 TextureMap default: undefined -- alias: Map_1 \n\
</pre></div><p>Map used in place of <span class=\'code\'>color1</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.map1Enabled Boolean default: true -- alias: Map_1_Enable \n\
</pre></div><p>When on, <span class=\'code\'>map1</span> is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.color2 Color default: (color 255 255 255) -- animatable, alias: Color_2 \n\
</pre></div><p>Sets the second principal noise color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.map2 TextureMap default: undefined -- alias: Map_2 \n\
</pre></div><p>Map used in place of <span class=\'code\'>color2</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.map2Enabled Boolean default: true -- alias: Map_2_Enable \n\
</pre></div><p>When on, <span class=\'code\'>map2</span> is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.coords StandardXYZGen -- alias: coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties</p>\n\
<div class=\'codeBlock\'><pre>&lt;Noise&gt;.output StandardTextureOutput \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>TexOutputClass</a> for the StandardTextureOutput properties</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";