var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>OSLMap: textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>OSLMap: textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"oslmap-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>OSLMap - superclass: textureMap; super-superclass:material - 11:2 - classID: #(2140830621L, 1875767309L) \n\
</pre></div><p>The OSLMap texturemap provides a container object to hold Open Shader Language shaders. Available in <strong>3ds Max 2019 and higher</strong>. All OSL shaders shipped with 3ds Max are instances of this class .</p>\n\
<p>The OSLMap container has some constant properties that are common to all instances of OSLMaps. Other properties, such as input and output ports, and shader options, are created dynamically by the shader code, and will vary depending on the instance.</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>OSLMap...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>These properties are common to all OSLMap instances.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OSLMap&gt;.OSLAutoUpdate     BooleanClass    default: false   --  boolean; OSL_Auto_Update\n\
</pre></div><p>Specifies whether the OSL shader code is linked to the file on disk (true), or is held independently by the OSL Map in the scene. This parameter corresponds to the link icon next to the file name in the OSLMap UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OSLMap&gt;.OSLCode     String      --  string; OSL_Code \n\
</pre></div><p>A string that contains the OSL shader code. The default is a simple shader that can be used as a starting point for creating a new shader.</p>\n\
<p>The default shader mixes two input colors (or maps) and produces a single output color:</p>\n\
<div class=\'codeBlock\'><pre>// Simple Example Shader with three inputs two outputs, to demo the syntax.\n\
// For more information read the OSL Language Specifictaion:\n\
//    https://github.com/imageworks/OpenShadingLanguage/blob/master/src/doc/osl-languagespec.pdf \n\
\n\
shader Example\n\
    [[ string help=&quot;Example shader with three inputs and two outputs&lt;br&gt;&quot; ]]\n\
(\n\
    // Inputs\n\
    color Input_A = 0.5 [[ string label = &quot;A&quot;]],\n\
    color Input_B = 0.5 [[ string label = &quot;B&quot;]],\n\
    float Mixer   = 0.5 [[ float min = 0.0, float max = 1.0 ]],\n\
    // Outputs\n\
    output color Out = 0.0,\n\
    output color Mix = 0.0)\n\
{\n\
    Out = Input_A + Input_B;            // Sum\n\
    Mix = mix(Input_A, Input_B, Mixer); // Mix\n\
}\n\
&lt;OSLMap&gt;.OSLPath     String    default: &quot;&quot;   --  filename; OSL_Path\n\
</pre></div><p>If the OSL code is loaded from a file, this parameter holds the path to that file. This parameter is maintained even if the file is unlinked (by setting <span class=\'code\'>.OSLAutoUpdate</span> to false).</p>\n\
<div class=\'codeBlock\'><pre>&lt;OSLMap&gt;.numIMultipleOutputChannels     Integer    default: 2   --  integer; Read-only\n\
</pre></div><p>Specifies the number of output ports for the shader.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OSLMap&gt;.numInputs\n\
</pre></div><p>Specifies the number of input ports.</p>\n\
<p><strong>OSLMap Example Properties</strong></p>\n\
<p>These properties exist on the default example OSLMap, and are defined by the example <span class=\'code\'>.OSLCode</span> string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;OSLMap&gt;.Input_A     Color    default: (color 127.5 127.5 127.5)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])\n\
&lt;OSLMap&gt;.Input_A_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;OSLMap&gt;.Input_B     Color    default: (color 127.5 127.5 127.5)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255)); WeirdScaled ([1,1,1,1])\n\
&lt;OSLMap&gt;.Input_B_map     UndefinedClass    default: undefined   --  texturemap\n\
&lt;OSLMap&gt;.Mixer     Float    default: 0.5   --  animatable; float\n\
&lt;OSLMap&gt;.Mixer_map     UndefinedClass    default: undefined   --  texturemap\n\
</pre></div><div class=\'section\'><a id=\"oslmap-interfaces\"></a><h2 id=\"oslmap-interfaces\">OSLMap interfaces</h2></div>\n\
<div class=\'section\'><a id=\"interface-imtlrender_compability_mtlbase\"></a><h3 id=\"interface-imtlrender_compability_mtlbase\">Interface: IMtlRender_Compability_MtlBase</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<div class=\'section\'><a id=\"interface-imultipleoutputchannelswithvalues\"></a><h3 id=\"interface-imultipleoutputchannelswithvalues\">Interface: iMultipleOutputChannelsWithValues</h3></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> .numIMultipleOutputChannels : integer : Read         \n\
</pre></div><p>Gets the number of output ports for the OSLMap.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;getIMultipleOutputChannelLocalizedName &lt;index&gt;index \n\
           getIMultipleOutputChannelLocalizedName - no automatic redraw after invoked \n\
</pre></div><p>Returns the localized name string for the specified output channel.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;getIMultipleOutputChannelName &lt;index&gt;index \n\
           getIMultipleOutputChannelName - no automatic redraw after invoked \n\
</pre></div><p>Returns the name string for the specified output channel.</p>\n\
<div class=\'codeBlock\'><pre> &lt;enum&gt;getIMultipleOutputChannelType &lt;index&gt;index \n\
          getIMultipleOutputChannelType enums: {#float|#integer|#rgb|#point3|#string|#filename|#material|#texturemap|#bitmap|#node|#maxObject|#matrix3|#paramblock2|#point4|#frgba \n\
     getIMultipleOutputChannelType - no automatic redraw after invoked \n\
</pre></div><p>Returns the type of the specified output channel.</p>\n\
<div class=\'codeBlock\'><pre> &lt;value&gt;getIMultipleOutputChannelValue &lt;index&gt;index time:&lt;time&gt; \n\
           getIMultipleOutputChannelValue - no automatic redraw after invoked \n\
     time default value: 0f \n\
</pre></div><p>Returns the value of the specified output channel at the specified time.</p>\n\
<p><strong>Actions:</strong></p>\n\
<div class=\'section\'><a id=\"interface-imultioutputconsumer\"></a><h3 id=\"interface-imultioutputconsumer\">Interface: iMultiOutputConsumer</h3></div>\n\
<p>This interfaces is exposed to MAXScript, but the properties and methods listed here are not implemented and cannot be used.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> .numInputs : integer : Read \n\
          \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;boolean&gt;SetOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index \n\
          \n\
 &lt;maxObject&gt;GetOutputRefTargetFromInput &lt;index&gt;input_index \n\
          \n\
 &lt;index&gt;GetOutputIndexFromInput &lt;index&gt;input_index \n\
          \n\
 &lt;boolean&gt;CanAssignOutputToInput &lt;index&gt;input_index &lt;maxObject&gt;output_rtarg &lt;index&gt;output_index \n\
          \n\
 &lt;string&gt;GetInputName &lt;index&gt;input_index \n\
           GetInputName - no automatic redraw after invoked \n\
          \n\
 &lt;string&gt;GetInputLocalizedName &lt;index&gt;input_index \n\
          GetInputLocalizedName - no automatic redraw after invoked \n\
          \n\
</pre></div><p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";