var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Physical_Sun___Sky_Environment : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Physical_Sun___Sky_Environment : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"physical_sun___sky_environment-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Physical_Sun___Sky_Environment - superclass: textureMap; super-superclass:material - 19:0 - classID: #(573786548L, 1445625227L)\n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: Implements a General physical Sun &amp; Sky Environment Map that can be used both with the ART_Renderer and all other rendering engines shipping with 3ds Max.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Physical_Sun___Sky_Environment...\n\
PhysicalSunSkyEnv...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.sun_position_object     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the <strong>&quot;Sun Position Widget&quot;</strong> scene object.</p>\n\
<p>A <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Photometric-Lights/Sun_Positioner-Light.html\' title=\'\'>Sun_Positioner</a> class instance is expected.</p>\n\
<p>Global Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.global_intensity     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Intensity&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.Haze     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Haze&quot;</strong> spinner.</p>\n\
<p>Sun Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.sun_enabled     BooleanClass    default: true   --  animatable; Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Sun&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.sun_disc_intensity     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Disk Intensity&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.sun_disc_scale     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Disk Size&quot;</strong> spinner in the range from 0.0 to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.sun_disc_scale_percent     Float    default: 100.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Disk Size&quot;</strong> spinner as a percentage.</p>\n\
<p>This value is derived from the <span class=\'code\'>.sun_disc_scale</span> which is the actual internal animatable property.</p>\n\
<p>The UI exposes the value as percentage for usability reasons.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.sun_glow_intensity     Float    default: 1.0   --  animatable; float; Glow_Intensity\n\
</pre></div><p>Get/set the value of the <strong>&quot;Glow Intensity&quot;</strong> spinner.</p>\n\
<p>Sky Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.sky_intensity     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Sky Intensity&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.illuminance_model    Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Illuminance Model&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Automatic</strong></p>\n\
<p>1 - <strong>Physical</strong> (Preetham et al.)</p>\n\
<p>2 - <strong>Measured</strong> (Perez All-Weather)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.night_intensity     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value in cd/m2 of the <strong>&quot;Night Sky Luminance&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.night_color     Color    default: (color 255 255 255)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the color of the <strong>&quot;Night Sky Luminance&quot;</strong> color picker.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.perez_diffuse_horizontal_illuminance     Float    default: 10000.0   --  animatable; float\n\
</pre></div><p>Get/set the value in lx of the <strong>&quot;Diffuse Horizontal Illuminance&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.illuminance_model</span> is set to 2 – Measured mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.perez_direct_normal_illuminance     Float    default: 50000.0   --  animatable; float\n\
</pre></div><p>Get/set the value in lx of the <strong>&quot;Direct Normal Illuminance&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.illuminance_model</span> is set to 2 – Measured mode.</p>\n\
<p>Horizon &amp; Ground Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.horizon_blur_deg     Float    default: 0.1   --  animatable; float\n\
</pre></div><p>Get/set the value in degrees of the <strong>&quot;Horizon Blue&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.horizon_height_deg     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the value in degrees of the <strong>&quot;Horizon Height&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.ground_color     Color    default: (color 51 51 51)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Ground Color&quot;</strong> color.</p>\n\
<p>Color Tuning Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.saturation     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Saturation&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Physical_Sun___Sky_Environment&gt;.tint     Color    default: (color 255 255 255)   --  animatable; fRGBA color; Controller Scaling: ([1,1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Tint&quot;</strong> color.</p>\n\
<div class=\'section\'><a id=\"physical_sun___sky_environment-interfaces\"></a><h2 id=\"physical_sun___sky_environment-interfaces\">Physical_Sun___Sky_Environment interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";