var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Reflect_Refract : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Reflect_Refract : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"reflect_refract-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Reflect_Refract - superclass: textureMap; super-superclass:material - classID: #(592, 0) \n\
</pre></div><p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>Reflect_Refract ...      \n\
reflectRefract...   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.source Integer default: 0 \n\
</pre></div><p>Chooses the source of the six cubic maps:</p>\n\
<p>0- <strong>Automatic</strong> (Automatically generates by looking out in six directions from the pivot of the object with the material, then mapped onto the surface during rendering. When on, the options in the Automatic group are active, letting you choose whether the maps will be generated only once, or regenerated at specified frames in the animation.)</p>\n\
<p>1- <strong>From File</strong> (When on, you can specify the bitmaps to use.)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.size Integer default: 100 -- animatable \n\
</pre></div><p>Sets the size of the Reflect/Refract maps. The default value of 100 produces distinct images. Lower values lose progressively more detail.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.useAtmosphericMap Boolean default: true -- alias: Use_Atmospheric \n\
</pre></div><p>When off, environment maps are ignored by Reflect/Refract map during rendering.</p>\n\
<p>It’s useful to turn this off when you have mirrors in the scene and you’re rotoscoping against a flat screen environment map.</p>\n\
<p>A screen environment map does not exist in 3D space the way the other environment-map types do, and will not render properly.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.apply Boolean default: true \n\
</pre></div><p>Turns on filtering to blur the maps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.blurOffset Float default: 0.0 -- animatable, alias: Blur_Offset \n\
</pre></div><p>Affects the sharpness or blurriness of the map without regard to its distance from the object.</p>\n\
<p>Use this when you want to soften or defocus the details in a map to achieve the effect of a blurred image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.blur Float default: 1.0 -- animatable \n\
</pre></div><p>Affects the sharpness or blurriness of the generated map based on its distance from the object.</p>\n\
<p>The farther away the map is, the greater the blurring.</p>\n\
<p>Blur is primarily used to avoid aliasing.</p>\n\
<p>It’s a good idea to use a small amount of blurring for all maps in order to avoid the scintillation or aliasing that can occur when pixel details are reduced off in the distance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.near Float default: 0.0 -- animatable, alias: Near_Value \n\
</pre></div><p>Sets the near range for fog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.far Float default: 500.0 -- animatable, alias: Far_Value \n\
</pre></div><p>Sets the far range for fog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.frametype Integer default: 0 \n\
</pre></div><p>Sets the frame type:</p>\n\
<p>0- <strong>First Frame Only</strong> (Tells the renderer to create automatic maps only on the first frame.)</p>\n\
<p>1- <strong>Every Nth Frame</strong> (Tells the renderer to create animated auto maps based on <span class=\'code\'>nthframe</span> .)</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.nthframe Integer default: 1 \n\
</pre></div><p>Sets the frame rate for automatic maps.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.bitmapName FilenameArraydefault: #(undefined, ... , undefined) \n\
</pre></div><p>Array with 6 elements. Each element stores a string reflecting the name of a source bitmap file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Reflect_Refract&gt;.outputname Filenamedefault: undefined, alias: Output_Name\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";