var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ShapeMap : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ShapeMap : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"shapemap-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>ShapeMap - superclass: textureMap; super-superclass:material - 35:0 - classID: #(1917470054L, 1344173505L)\n\
</pre></div><p>This texture map can render one or more scene shape objects into a procedural texture map. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>ShapeMap...\n\
</pre></div><div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p><strong>Parameters Rollout</strong></p>\n\
<p>Filtering Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.filter     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Filter Result&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.mipmap     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Mip Mapping&quot;</strong> checkbox.</p>\n\
<p>Cropping / Placement Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.applycrop     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Apply&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.croporplace     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Crop / Place&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crop</strong> (default)</p>\n\
<p>1 - <strong>Place</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.crop_u     Float    default: 0.0   --  animatable; float; Clip_U_Offset\n\
</pre></div><p>Get/set the value of the <strong>&quot;U&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.crop_v     Float    default: 0.0   --  animatable; float; Clip_V_Offset\n\
</pre></div><p>Get/set the value of the <strong>&quot;V&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.crop_w     Float    default: 1.0   --  animatable; float; Clip_U_Width\n\
</pre></div><p>Get/set the value of the <strong>&quot;W&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.crop_h     Float    default: 1.0   --  animatable; float; Clip_V_Width\n\
</pre></div><p>Get/set the value of the <strong>&quot;H&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.Jitter     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Jitter&quot;</strong> checkbox.</p>\n\
<p>Used only when <span class=\'code\'>.croporplace</span> is set to 1 – Place.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.jitteramt     Float    default: 1.0   --  animatable; float; Jitter_Placement\n\
</pre></div><p>Get/set the value of the <strong>&quot;Jitter&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.croporplace</span> is set to 1 – Place.</p>\n\
<p>Mono Channel Output Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.monoOutput     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Mono Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> Intensity</p>\n\
<p>1 - <strong>Alpha</strong> (default)</p>\n\
<p>RGB Channel Output Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.rgbOutput     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;RGB Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> (default)</p>\n\
<p>1 - <strong>Alpha as Gray</strong></p>\n\
<p>Alpha Source Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.alphasource     Integer    default: 2   --  integer; Alpha_Source\n\
</pre></div><p>Get/set the state of the <strong>&quot;Alpha Source&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Image Alpha</strong></p>\n\
<p>1 - <strong>RGB Intensity</strong></p>\n\
<p>2 - <strong>None (Opaque)</strong> (default)</p>\n\
<p>Shape Parameters Rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.shapeobject     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the shape object used to generate the map.</p>\n\
<p>Corresponds to the <strong>&quot;Shape Object&quot;</strong> pickbutton in the UI.</p>\n\
<p>Any valid shape object is acceptable, including the legacy Text shape.</p>\n\
<p>TextPlus is not a shape node - see the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/TextMap-textureMap.html\' title=\'\'>TextMap : TextureMap</a> class for creating textures using the TextPlus object.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.usefillcolor     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Fill Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.fillcolor    Color    default: (color 0 0 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Fill Color&quot;</strong> color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.outlinecolor     Color    default: (color 0 0 0)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Line Color&quot;</strong> color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.bgcolor    Color    default: (color 255 255 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Background Color&quot;</strong> color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.fillbg     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Fill Background&quot;</strong> checkbox.</p>\n\
<p>Open Shapes Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.renderopen     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.endtype     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Open Shapes (End Type)&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Square Ends</strong> (default)</p>\n\
<p>1 - <strong>Rounded Ends</strong></p>\n\
<p>Closed Shapes Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.filledclosed     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Fill&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.outlinedclosed     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Outline&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.stricthierarchy     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Strict Hierarchy&quot;</strong> checkbox.</p>\n\
<p>Outlines Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.outlinewidth     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>It defines the thickness of the outlines.</p>\n\
<p>Hierarchies&quot; Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.renderchildren     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Children&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.renderroot    BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Root&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.mergeshapes     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Merge Shapes&quot;</strong> checkbox.</p>\n\
<p>Map Boundary Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.boundstype     Integer    default: 0   --  integer; _BoundsType\n\
</pre></div><p>Get/set the state of the <strong>&quot;Map Boundary&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Shape Bounds</strong> (default)</p>\n\
<p>1 - <strong>Manual</strong></p>\n\
<p>2 - <strong>Pick</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.manualwidth     Float    default: 100.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.boundstype</span> is set to 1 – Manual.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.manualheight     Float    default: 100.0   --  float; ManualHeeight\n\
</pre></div><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.boundstype</span> is set to 1 – Manual.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.boundsobject     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the scene objects to define the bounds.</p>\n\
<p>Used only when <span class=\'code\'>.boundstype</span> is set to 2 – Pick.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.hwbitmapsize     Integer    default: 256   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;HW Bitmap size&quot;</strong> slider.</p>\n\
<p>Controls the size of the hardware bitmap used for viewport display.</p>\n\
<p>Coordinates Rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.coords     StandardUVGen    default: MtlBase:Placement   --  maxObject; Coordinates; SubAnim\n\
</pre></div><p>See <span class=\'code\'>UVGenClass</span> class for related properties.</p>\n\
<p><strong>Not Exposed To The UI</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ShapeMap&gt;.output    StandardTextureOutput    default: MtlBase:Output   --  maxObject; SubAnim\n\
</pre></div><p>See <span class=\'code\'>TexOutputClass</span> class for related properties.</p>\n\
<div class=\'section\'><a id=\"shapemap-interfaces\"></a><h2 id=\"shapemap-interfaces\">ShapeMap interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` ( resetMaxFile #noprompt --reset the scene theRadius=10.0 --base circle radius in world units theThickness=3.0 --outline thickness in pixels c1 = circle radius:theRadius pos:[0,0,0] adaptive:true --base circle</p>\n\
<p>dist = theRadius for i = 0 to 360 by 60 do --draw 6 circles at distance equal to the radius, and parent to the base c2 = circle radius:theRadius pos:[dist<em>(cos i),dist</em>(sin i),0] adaptive:true parent:c1</p>\n\
<p>dist = 2<em>theRadius</em>(sin 60) for i = 30 to 360 by 60 do --draw 6 more circles at the intersections of the previous 6, and parent to the base c2 = circle radius:theRadius pos:[dist<em>(cos i),dist</em>(sin i),0] adaptive:true parent:c1</p>\n\
<p>dist = 2<em>theRadius for i = 0 to 360 by 60 do --draw 6 circles at distance 2</em>radius, and parent to the base c2 = circle radius:theRadius pos:[dist<em>(cos i),dist</em>(sin i),0] adaptive:true parent:c1</p>\n\
<p>sm = shapeMap() --create a shape map meditMaterials[1] = sm --display it in the first slot of the material editor matEditor.mode = #basic --set the material editor to compact mode matEditor.open() --open the material editor if it is not open yet sm.shapeobject = c1 --set the shape of the map to the base circle sm.renderroot = true --enable both the root... sm.renderchildren = true --...and the children of the hierarchy to render</p>\n\
<p>sm.outlinecolor = yellow --set the line color to yellow sm.bgcolor = color 0 128 255 --set the background to sky blue sm.filledclosed = false --disable the filling of closed shapes sm.outlinedclosed = true --enable the outlines of closed shapes sm.outlinewidth = theThickness --set the outline thickness in pixels</p>\n\
<p>sm.boundstype = 1 --switch to manual bounds theSize = 6<em>theRadius --calculate the size of the bitmap as 6 times the radius theSize+= theSize</em>0.01 --add 1% padding sm.manualwidth = sm.manualheight = theSize --set the width and height to the same value</p>\n\
<p>smat = standard() --create a standard material smat.diffusemap = sm --set the shapeMap in the diffuse map slot p = plane width:200 length:200 pos:[200,0,0] --create a plane primitive p.material = smat --assign the material showTextureMap smat sm true --show the map in the viewport</p>\n\
<p>bm = bitmap 1024 1024 --create a bitmap renderMap sm into:bm --render the texture into the bitmap display bm --display the bitmap</p>\n\
<p>max zoomext sel all )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";