var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Substance : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Substance : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"substance-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre> Substance - superclass: textureMap; super-superclass:material - 13:2 - classID: #(-1503541249, 1756066509) \n\
</pre></div><p>This class implements the Substance loader as 3ds Max textureMap.</p>\n\
<p>When a Substance package is loaded, a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Substance_Output-textureMap.html\' title=\'\'>Substance_Output textureMap</a> is connected automatically to it to serve as output channel selector.</p>\n\
<p>Available in <strong>3ds Max 2012 and higher</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Substance ... SubstanceTexture ...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>Substance.SubstanceFilename String default: &quot;&quot; -- filename; Substance_filename\n\
</pre></div><p>Get/set the Substance filename.</p>\n\
<div class=\'codeBlock\'><pre>Substance.rolloutStates     Integer    default: 2   --  integer; Lock_aspect_ratio\n\
</pre></div><p>Get/set the opened state of the UI Rollouts of the Substance texture map in the Compact Material Editor.</p>\n\
<p>The value is an integer where bits control the rolled out state of a rollout as follows:</p>\n\
<p>bit 1 - when set, the &quot;Global Substance Settings&quot; rollout will be rolled out.</p>\n\
<p>bit 2 - when set, the &quot;Substance Package Browser&quot; rollout will be rolled out, e.g. a value of 2 (default) opens only this rollout and rolls up the others.</p>\n\
<p>bit 3 - not used.</p>\n\
<p>bit 4 - when set, the &quot;Texture Size&quot; rollout will be rolled out, e.g. a value of 16 opens only this rollout, a value of 18 opens this and the previous rollout, a value of 19 opens all three rollouts.</p>\n\
<p>The rollouts &quot;Information&quot;, &quot;Coordinates&quot; and &quot;Noise&quot; cannot be controlled.</p>\n\
<p>To refresh the samples in the Compact Material Editor, you can use</p>\n\
<div class=\'codeBlock\'><pre>activeMeditSlot = activeMeditSlot\n\
</pre></div><p>whis sets the active material slot to its current value and as a sifd effect updates the rollouts.</p>\n\
<div class=\'section\'><a id=\"global-texture-settings-group-of-controls\"></a><h2 id=\"global-texture-settings-group-of-controls\">Global Texture Settings group of controls</h2></div>\n\
<div class=\'codeBlock\'><pre> Substance.globalTextureWidth Integer default: 512 -- integer; Global_texture_width\n\
</pre></div><p>Get/set the state of the Global Texture Width drop-down list.</p>\n\
<p>Possible values are: 32, 64, 128, 256, 512, 1024, 2048</p>\n\
<p>Any other values will cause a run-time error.</p>\n\
<div class=\'codeBlock\'><pre> Substance.globalTextureHeight Integer default: 512 -- integer; Global_texture_height\n\
</pre></div><p>Get/set the state of the Global Texture Height drop-down list.</p>\n\
<p>Possible values are: 32, 64, 128, 256, 512, 1024, 2048</p>\n\
<p>Any other values will cause a run-time error.</p>\n\
<div class=\'codeBlock\'><pre> Substance.globalModeScale Integer default: 2 -- integer; Edition_Mode_Scale\n\
</pre></div><p>Get/set the state of the <strong>&quot;Preview Resolution&quot;</strong> drop-down list.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - <strong>1x</strong></p>\n\
<p>2 - <strong>1/2</strong> (default)</p>\n\
<p>3 - <strong>1/4</strong></p>\n\
<p>4 - <strong>1/8</strong></p>\n\
<p>Any other values will cause a run-time error.</p>\n\
<div class=\'section\'><a id=\"texture-size-rollout\"></a><h2 id=\"texture-size-rollout\">Texture Size rollout</h2></div>\n\
<div class=\'codeBlock\'><pre> Substance.lockAspectRatio Integer default: 0 -- integer; Lock_aspect_ratio\n\
</pre></div><p>Get/set the state of the <strong>&quot;Lock Aspect Ratio&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre> Substance.localMode Integer default: 0 -- integer\n\
</pre></div><p>Get/set the state of the Texture Size mode radio button.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Relative</strong> (default)</p>\n\
<p>1 - <strong>Absolute</strong></p>\n\
<div class=\'codeBlock\'><pre> Substance.localRelativeTextureWidth Integer default: 7 -- integer; localTextureWidth\n\
</pre></div><p>Get/set the state of the Relative Width drop-down list.</p>\n\
<div class=\'codeBlock\'><pre> Substance.localRelativeTextureHeight Integer default: 7 -- integer; localTextureHeight\n\
</pre></div><p>Get/set the state of the Relative Height drop-down list.</p>\n\
<div class=\'codeBlock\'><pre> Substance.localAbsoluteTextureWidth Integer default: 512 -- integer; localTextureWidth\n\
</pre></div><p>Get/set the state of the Absolute Width drop-down list.</p>\n\
<div class=\'codeBlock\'><pre> Substance.localAbsoluteTextureHeight Integer default: 512 -- integer; localTextureHeight\n\
</pre></div><p>Get/set the state of the Absolute Height drop-down list.</p>\n\
<div class=\'codeBlock\'><pre> Substance.numIMultipleOutputChannels Integer default: 0 -- integer; read-only\n\
</pre></div><p>Get the number of output channels generated by the current substance.</p>\n\
<div class=\'codeBlock\'><pre> Substance.coords StandardUVGen default: MtlBase:Placement -- maxObject; Coordinates; SubAnim\n\
</pre></div><p>Get/set the UV Coordinates generator.</p>\n\
<div class=\'codeBlock\'><pre> Substance.Output StandardTextureOutput default: MtlBase:Output -- read-only; SubAnim\n\
</pre></div><p>Get the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/TexOutputClass-Material.html\' title=\'\'>StandardTextureOutput</a> instance controlling the output of the textureMap.</p>\n\
<div class=\'section\'><a id=\"substance-interfaces\"></a><h2 id=\"substance-interfaces\">Substance interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre> Interface: bitmapTex\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;reload()\n\
</pre></div><p>Reloads the file.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;viewImage()\n\
</pre></div><p>Open the texture image for viewing.</p>\n\
<div class=\'codeBlock\'><pre> Interface: ISBS\n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;Substance.getCurrentPackageName()\n\
</pre></div><p>Returns the name of the currently selected package.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;Substance.getCurrentGraphName()\n\
</pre></div><p>Returns the name of the currently selected graph.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;Substance.getCurrentOutputName()\n\
</pre></div><p>Returns the name of the currently selected output.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string array&gt;Substance.getOutputsNamesFromCurrentGraph()\n\
</pre></div><p>Returns an array of names representing the available output names from the current graph.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Substance.setPackageAndGraphNames &lt;string&gt;packageName &lt;string&gt;graphName\n\
</pre></div><p>Sets the package and graph name using the two by-reference arguments, returns true on success or false on failure.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Substance.setCurrentOutputName &lt;string&gt;outputName\n\
</pre></div><p>Sets the current output name to the string passed by-reference as argument. Returns true on success, false on failure.</p>\n\
<div class=\'codeBlock\'><pre> &lt;void&gt;Substance.selectGraph()\n\
 Interface: iMultipleOutputChannelsWithValues\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre> Substance.numIMultipleOutputChannels : integer : Read\n\
</pre></div><p>Get the number of output channels defined in the textureMap.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;Substance.getIMultipleOutputChannelLocalizedName &lt;index&gt;index\n\
</pre></div><p>Returns the localized name of the indexed output channel.</p>\n\
<div class=\'codeBlock\'><pre> &lt;string&gt;Substance.getIMultipleOutputChannelName &lt;index&gt;index\n\
</pre></div><p>Returns the name of the indexed output channel.</p>\n\
<div class=\'codeBlock\'><pre> &lt;enum&gt;Substance.getIMultipleOutputChannelType &lt;index&gt;index\n\
\n\
getIMultipleOutputChannelType enums: {#float | #integer | #rgb | #point3 | #string | #filename | #material | #texturemap | #bitmap | #node | #maxObject | #matrix3 | #paramblock2 | #point4 | #frgba }\n\
</pre></div><p>Returns the type of the indexed output channel.</p>\n\
<div class=\'codeBlock\'><pre> &lt;value&gt;Substance.getIMultipleOutputChannelValue &lt;index&gt;index time:&lt;time&gt;\n\
\n\
time default value: 0f\n\
</pre></div><p>Returns the value of the indexed output channel.</p>\n\
<p>If the optional <span class=\'code\'>time:</span> argument is supplied, the value will be evaluated at the specified time. Otherwise, the current time will be used.</p>\n\
<div class=\'codeBlock\'><pre> Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p>No properties exposed.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>No methods exposed.</p>\n\
<p><strong>Actions:</strong></p>\n\
<p>No actions exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";