var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TextMap : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TextMap : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"textmap-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>TextMap - superclass: textureMap; super-superclass:material - 34:0 - classID: #(1535262031L, 956839498L)\n\
</pre></div><p>Renders a TextPlus object as a procedural texture map. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties:</h2></div>\n\
<p><strong>Parameters Rollout</strong></p>\n\
<p>Filtering Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.filter     BooleanClass    default: true   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Filter Result&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.mipmap     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Mip Mapping&quot;</strong> checkbox.</p>\n\
<p>Cropping/Placement Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.applycrop     BooleanClass    default: false   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Apply&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.croporplace    Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Crop / Place&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Crop</strong> (default)</p>\n\
<p>1 - <strong>Place</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.crop_u     Float    default: 0.0   --  animatable; float; Clip_U_Offset\n\
</pre></div><p>Get/set the value of the <strong>&quot;U&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.crop_v     Float    default: 0.0   --  animatable; float; Clip_V_Offset\n\
</pre></div><p>Get/set the value of the <strong>&quot;V&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.crop_w     Float    default: 1.0   --  animatable; float; Clip_U_Width\n\
</pre></div><p>Get/set the value of the <strong>&quot;W&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.crop_h     Float    default: 1.0   --  animatable; float; Clip_V_Width\n\
</pre></div><p>Get/set the value of the <strong>&quot;H&quot;</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.Jitter     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Jitter&quot;</strong> checkbox.</p>\n\
<p>Used only when <span class=\'code\'>.croporplace</span> is set to 1 – Place.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.jitteramt     Float    default: 1.0   --  animatable; float; Jitter_Placement\n\
</pre></div><p>Get/set the value of the <strong>&quot;Jitter&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.croporplace</span> is set to 1 – Place.</p>\n\
<p>Mono Channel Output Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.monoOutput     Integer    default: 1   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;Mono Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> Intensity</p>\n\
<p>1 - <strong>Alpha</strong> (default)</p>\n\
<p>RGB Channel Output Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.rgbOutput     Integer    default: 0   --  integer\n\
</pre></div><p>Get/set the state of the <strong>&quot;RGB Channel Output&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>RGB</strong> (default)</p>\n\
<p>1 - <strong>Alpha as Gray</strong></p>\n\
<p>Alpha Source Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.alphasource     Integer    default: 2   --  integer; Alpha_Source\n\
</pre></div><p>Get/set the state of the <strong>&quot;Alpha Source&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Image Alpha</strong></p>\n\
<p>1 - <strong>RGB Intensity</strong></p>\n\
<p>2 - <strong>None (Opaque)</strong> (default)</p>\n\
<p><strong>Text Parameters Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.textobject     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the TextPlus object used to generate the map.</p>\n\
<p>No other object classes are allowed.</p>\n\
<p>Corresponds to the <strong>&quot;Text Object&quot;</strong> pickbutton in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.usefillcolor     BooleanClass    default: true   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Fill Color&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.fillcolor     Color    default: (color 0 0 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Fill Color&quot;</strong> color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.outlinecolor     Color    default: (color 0 0 0)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Line Color&quot;</strong> color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.bgcolor     Color    default: (color 255 255 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the value of the <strong>&quot;Background Color&quot;</strong> color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.fillbg     BooleanClass    default: true   --  boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Fill Background&quot;</strong> checkbox.</p>\n\
<p>Characters Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.glyphoption    Integer    default: 2   --  integer\n\
</pre></div><p>Get/set the selection of the <strong>&quot;Characters&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Glyphs Only</strong></p>\n\
<p>1 - <strong>Extras Only</strong></p>\n\
<p>2 - <strong>Glyphs + Extras</strong> (default)</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.filledcharacters     BooleanClass    default: true   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Fill&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.outlinedcharacters     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Outline&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.stricthierarchy     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Strict Hierarchy&quot;</strong> checkbox.</p>\n\
<p>Outlines Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.outlinewidth    Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>It defines the thickness of the outlines.</p>\n\
<p>Hierarchies Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.renderchildren     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Children&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.renderroot     BooleanClass    default: true   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Render Root&quot;</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.mergeshapes     BooleanClass    default: false   --  Boolean\n\
</pre></div><p>Get/set the state of the <strong>&quot;Merge Shapes&quot;</strong> checkbox.</p>\n\
<p>Map Boundary Group Of Controls</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.boundstype     Integer    default: 0   --  integer; _BoundsType\n\
</pre></div><p>Get/set the state of the <strong>&quot;Map Boundary&quot;</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Shape Bounds</strong> (default)</p>\n\
<p>1 - <strong>Manual</strong></p>\n\
<p>2 - <strong>Pick</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.manualwidth    Float    default: 100.0   --  float\n\
</pre></div><p>Get/set the value of the <strong>&quot;Width&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.boundstype</span> is set to 1 – Manual.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.manualheight     Float    default: 100.0   --  float; ManualHeeight\n\
</pre></div><p>Get/set the value of the <strong>&quot;Height&quot;</strong> spinner.</p>\n\
<p>Used only when <span class=\'code\'>.boundstype</span> is set to 1 – Manual.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.boundsobject     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the scene objects to define the bounds.</p>\n\
<p>Used only when <span class=\'code\'>.boundstype</span> is set to 2 - Pick.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.hwbitmapsize     Integer    default: 256   --  integer\n\
</pre></div><p>Get/set the value of the <strong>&quot;HW Bitmap size&quot;</strong> slider.</p>\n\
<p>Controls the size of the hardware bitmap used for viewport display.</p>\n\
<p><strong>Coordinates Rollout</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.coords     StandardUVGen    default: MtlBase:Placement   --  maxObject; Coordinates; SubAnim\n\
</pre></div><p>See UVGenClass class for related properties.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextMap&gt;.output     StandardTextureOutput    default: MtlBase:Output   --  maxObject; SubAnim\n\
</pre></div><p>See TexOutputClass class for related properties.</p>\n\
<div class=\'section\'><a id=\"textmap-interfaces\"></a><h2 id=\"textmap-interfaces\">TextMap interfaces:</h2></div>\n\
<div class=\'codeBlock\'><pre>Interface: IMtlRender_Compability_MtlBase\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<p><strong>Methods:</strong></p>\n\
<p><strong>Actions:</strong></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` ( resetMaxFile #noprompt --reset the scene</p>\n\
<p>local tp = textPlus() --create a TextPlus object to guide the texture map</p>\n\
<p>tp.size = 25.0 -- make sure the size is set to default tp.ResetString()--reset the string tp.SetFont &quot;Arial&quot; 0<br> tp.SetBold true tp.AppendString &quot;D&quot; tp.SetBold false tp.AppendString &quot;oN&#39;t\\n&quot;<br> tp.SetItalic true tp.AppendString &quot;Pa&quot;<br> tp.SetBold true tp.AppendString &quot;N&quot; tp.SetBold false tp.AppendString &quot;iC!\\n&quot; tp.SetItalic false tp.SetFont &quot;Wingdings&quot; 0<br> tp.AppendChar 74</p>\n\
<p>tp.layouttype = 1 --enforce Region Layout Type tp.length = tp.width = 100 --enforce width and height of 100.0</p>\n\
<p>tp2 = textPlus pos:[0,-87,0] --create another TextPlus object tp2.parent = tp --parent to the first one tp2.ResetString() --reset the string tp2.SetFont &quot;Arial&quot; 0 --set the font to Arial tp2.AppendString &quot;megadodo publications&quot; --set the text tp2.size = 8.0 --change the size</p>\n\
<p>local tm = textMap() --create a new text map tm.textobject = tp --set the shape of the map to the TextPlus object tm.fillcolor = color 0 255 100 --set the character fill color to green tm.fillbg = false --do not fill the background tm.outlinecolor = orange --set the outline color to yellow tm.filledcharacters = true --enable filling tm.outlinedcharacters = true --enable outlines tm.outlinewidth = 5 --set the outline thickness tm.alphasource = 0 --enable alpha tm.renderchildren = tm.renderroot = true --render both TextPlus objects in the hierarchy</p>\n\
<p>local mm = multiMaterial numsubs:6 --create a new mutli-sub material mm[1] = standard() --create a standard material for the front mm[2] = mm[3] = mm[4] = mm[5] = mm[6] = standard() --create a second standard material for all other sides mm[1].diffuse = mm[2].diffuse = color 0 10 25 --set the sides to the same dark blue color mm[1].diffusemap = tm --set the textMap in the diffuse map slot</p>\n\
<p>meditMaterials[1] = mm --display the material in the first slot of the Material Editor matEditor.mode = #basic --set the Material Editor to compact mode matEditor.open() --open the Material Editor if it is not open yet</p>\n\
<p>local b = box width:200 length:300 height:10 pos:[200,0,0] --create a box primitive b.material = mm --assign the material b.mapcoords=true --enable texture coordinates</p>\n\
<p>showTextureMap mm[1] tm true --show the map in the viewport hide #(tp,tp2) --hide the TextPlus objects select b --select the box max zoomext sel all --and zoom extents selected</p>\n\
<p>local splt = splat() --create a Splat texture to abuse as a sky map splt.size = 0.01 --make very small splats splt.iterations = 1 --do only one iteration splt.threshold = 0.1 --keep the threshold very low splt.color1 = black --star color splt.color2 = white --space color environmentMap = splt --set the environment map to the Splat texture</p>\n\
<p>render outputsize:[1280,720] --render</p>\n\
<p>OK )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";