var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TextureObjMask : textureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TextureObjMask : textureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"textureobjmask-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>TextureObjMask - superclass: textureMap; super-superclass:material - 13:0 - classID: #(1398407114L, 2770506888L)\n\
</pre></div><p>This texture map can apply different textures based on a primitive control object (above/below a Plane, or inside/outside of a Box or Sphere). Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>TextureObjMask...\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.object     UndefinedClass    default: undefined   --  node\n\
</pre></div><p>Get/set the Control Object defining the texture mask color distribution.</p>\n\
<p>Possible objects are Plane (Above/Below), Box or Sphere (Inside/Outside).</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.color0     Color    default: (color 0 0 0)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the Above/Inside color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.subtex0     UndefinedClass    default: undefined   --  texturemap; SubMat0\n\
</pre></div><p>Get/set the Above/Inside texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.map1Enabled     BooleanClass    default: true   --  boolean; Map0Enable\n\
</pre></div><p>Get/set the enabled state of the Above/Inside texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.color1     Color    default: (color 255 255 255)   --  animatable; RGB color; Controller Scaling: ([1,1,1] : (color 255 255 255))\n\
</pre></div><p>Get/set the Below/Outside color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.subtex1     UndefinedClass    default: undefined   --  texturemap; SubMat1\n\
</pre></div><p>Get/set the Below/Outside texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.map2Enabled     BooleanClass    default: true   --  boolean; Map1Enable\n\
</pre></div><p>Get/set the enabled state of the Below/Outside texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.transitionrange     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Transition Range value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.transitionbias     Float    default: 0.0   --  animatable; float\n\
</pre></div><p>Get/set the Transition Bias value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.displaceamount     Float    default: 1.0   --  animatable; float\n\
</pre></div><p>Get/set the Transition Displacement Amount value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.displacetex     UndefinedClass    default: undefined   --  texturemap\n\
</pre></div><p>Get/set the Transition Displacement texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.displaceEnabled     BooleanClass    default: true   --  boolean; DisplaceEnable\n\
</pre></div><p>Get/set the enabled state of the Transition Displacement texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;TextureObjMask&gt;.coords     StandardXYZGen    default: MtlBase:Placement   --  maxObject; Coordinates; SubAnim\n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>XYZGenClass</a> for default coords properties.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` ( resetMaxFile #noprompt --reset the scene</p>\n\
<p>local s = sphere radius:50 segs:32 --create a sphere (note that geosphere is NOT supported!) local p = plane width:200 length:200 --create a plane</p>\n\
<p>local tom = TextureObjMask() --create a object mask texture tom.object = s --assign the sphere as the control object of the texture</p>\n\
<p>local ct = cellular() --create a cellular map ct.cellColor = red --set the 3 colors of the map to bright colors ct.divColor1 = yellow ct.divColor2 = blue tom.subtex0 = ct --assign the cellular map to the Outside texture</p>\n\
<p>tom.subtex1 = noise size:5.0 --assign a Noise to the Inside texture tom.transitionrange = 25.0 --set the Transition range to more than zero to create a smooth transition</p>\n\
<p>local pmat = standard() --create a standard material for the plane pmat.diffusemap = tom --assign the texture to the diffuse map slot p.material = pmat --assign the material to the plane</p>\n\
<p>local smat = standard diffuse:red --create a standard material for the sphere s.material = smat --assign it to the sphere smat.opacity = 25.0 --set it to 1/4 opacity smat.wire = true --set the material to wire so we can peek inside the sphere</p>\n\
<p>meditMaterials[1] = pmat --set the first slot of the Material Editor to the plane&#39;s material render() --render the scene )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";