var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Water : TextureMap</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Water : TextureMap</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"water-texturemap\"></a></div>\n\
<div class=\'codeBlock\'><pre>Waves - superclass: textureMap; super-superclass:material - classID: #(1997693774, 0) \n\
</pre></div><p>All properties of this class have been exposed in <strong>3ds Max 6</strong>.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<div class=\'codeBlock\'><pre>Water ...    \n\
Waves...  \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.numWaveSets Integer default: 10 -- animatable, alias: Num_Wave_Sets \n\
</pre></div><p>Specifies how many wave sets are used in the pattern.</p>\n\
<p>Wave sets are groups of radially symmetrical waves that originate from randomly computed points along the surface of an imaginary sphere inside the object (a circle, in the case of 2D wave distribution).</p>\n\
<p>For calm water, set this to a low number.</p>\n\
<p>Use a high number for choppy water.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.waveRadius Float default:1000.0-- animatable, alias: Wave_Radius \n\
</pre></div><p>Specifies the radius, in <strong>3ds Max</strong> units, of the imaginary sphere (3D distribution) or circle (2D distribution) whose surface is the origin of each wave set.</p>\n\
<p>A large radius produces large circular wave patterns, while a small radius produces dense, smaller waves.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.waveLenMax Float default: 50.0 -- animatable &lt;Water&gt;.waveLenMin Float default: 50.0 -- animatable \n\
</pre></div><p>Define the interval used to randomly chose each wave center.</p>\n\
<p>If these two values are close together, the water appears more regular. If they’re farther apart, the water is less regular.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.amplitude Float default: 1.0 -- animatable \n\
</pre></div><p>Adjusts the strength and the depth of the waves by increasing the contrast between the two colors.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.phase Float default: 0.0 -- animatable \n\
</pre></div><p>Shifts the wave pattern. Animate this parameter to animate the motion of the pattern.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.distribution Integer default: 0 \n\
</pre></div><p>3D distributes the wave centers on the surface of an imaginary sphere, affecting all sides of a 3D object.</p>\n\
<p>2D distributes the wave in circles centered on the XY plane, which is more appropriate for flat water surfaces such as oceans and lakes.</p>\n\
<p>0- 3D</p>\n\
<p>1- 2D</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.randomSeed Integer default: 30159 \n\
</pre></div><p>Provides a seed number to generate the water pattern.</p>\n\
<p>The pattern changes with each seed, but all other settings are maintained.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.color1 Color default: (color 198.9 198.9 239.7) -- animatable, alias: Color_1 \n\
</pre></div><p>Sets the wave trough color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.map1 TextureMap default: undefined \n\
</pre></div><p>Sets a map as the wave trough color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.map1On Boolean default: true -- alias: Map1_On \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.color2 Color default: (color 25.5 25.5 198.9) -- animatable, alias: Color_2 \n\
</pre></div><p>The color of wave peaks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.map2 TextureMap default: undefined \n\
</pre></div><p>Sets a map as the color of wave peaks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.map2On Boolean default: true -- alias: Map2_On \n\
</pre></div><p>Enables associated map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Water&gt;.coords StandardXYZGen -- alias: Coordinates \n\
</pre></div><p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Shared-Classes/StandardXYZGen-Material.html\' title=\'\'>StandardXYZGen</a> for the StandardXYZGen properties.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";