var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Automatic_Exposure_Control : MAXObject</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Automatic_Exposure_Control : MAXObject</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"automatic_exposure_control-maxobject\"></a></div>\n\
<div class=\'codeBlock\'><pre>Automatic_Exposure_Control - superclass:ToneOperator; super-superclass:MAXWrapper- classID: #(2020371114, 1150503387) \n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Automatic_Exposure_Control ... AutomaticAdaptiveExposureControl ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.active Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the Tone Operator. Changes the state of the Active checkbox in the Environment/Exposure Control rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale \n\
</pre></div><p>Sets a physical scale for exposure control to use. This is a light intensity value, in candelas. It can range from 0.0 to 200,000.0. The physical scale is factored into light multiplier values, and self-illumination, reflection, and refraction maps. Default=1500.0.</p>\n\
<p>Decreasing the physical scale dims the scene. Increasing the physical scale increases brightness, up to a scale value at which the scene grows no brighter.</p>\n\
<p>This parameter is animatable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.chromaticAdaptation Boolean default: false -- boolean; Chromatic_Adaptation \n\
</pre></div><p>When the check box is turned on, chromatic adaptation converts all colors so the color displayed in the color swatch appears as white. Default=off.</p>\n\
<p>Clicking the color swatch displays a Color Selector so you can choose the color to adapt to.</p>\n\
<p>Chromatic adaptation is a form of color correction. You can use this control to simulate the eye adjusting to lighting. For example, when the light in a room has a yellow cast, our mind adjusts it so that objects we know to be white, such as printed pages, appear as white.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.colorDifferentiation Boolean default: false -- boolean; Color_Differentiation \n\
</pre></div><p>When on, renders dimly lit colors as if the light were too dim for the eye to distinguish between colors. When on, renders even dimly lit colors. Default=off.</p>\n\
<p>Color differentiation simulates the eye&#39;s response to dim lighting. In dim lighting, the eye does not perceive colors and sees tones of gray instead.</p>\n\
<p>The effect of this setting is not apparent except at very low light levels: below 5.62 candelas. This occurs only if the Physical Scale is less than 5.62, if a light&#39;s Multiplier is less than 0.00017, or both. When Physical Scale is less than 0.00562, the scene is completely gray.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.whiteColor Color default: (color 255 255 255) -- animatable; RGB color; Color_Discrimination \n\
</pre></div><p>Get/Set the <span class=\'code\'>whiteColor</span> value of the Tone Operator. When the <span class=\'code\'>chromaticAdaptation</span> is set to <span class=\'code\'>true</span> , the Tone Operator will shift all colors so that the color set in <span class=\'code\'>whiteColor</span> appears as white.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.exposureValue Float default: 0.0 -- animatable; float; Exposure_Value \n\
</pre></div><p>Adjusts the overall brightness of the rendering. Can range from -5.0 to 5.0. Negative values make the image darker, and positive values make it brighter. Default=0.0.</p>\n\
<p>The exposure value is comparable to the exposure compensation setting in cameras with automatic exposure.</p>\n\
<p>This parameter is animatable.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.brightess Float default: 50.0 -- animatable; percentage; Brightness \n\
</pre></div><p>Get/Set the Brightness value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Automatic_Exposure_Control&gt;.contrast Float default: 50.0 -- animatable; percentage \n\
</pre></div><p>Get/Set the Contrast value of the Tone Operator.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` SceneExposureControl.exposurecontrol = automatic_exposure_control() SceneExposureControl.exposurecontrol.physicalscale = 800 SceneExposureControl.exposurecontrol.exposurevalue = 0.1</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";