var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Linear_Exposure_Control : ToneOperator</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Linear_Exposure_Control : ToneOperator</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"linear_exposure_control-toneoperator\"></a></div>\n\
<div class=\'codeBlock\'><pre>Linear_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - classID: #(1435071256, 886776236)\n\
</pre></div><p>The Linear Exposure Control samples the rendered image and uses the average brightness of the scene to map physical values to RGB values. Linear Exposure Control is best used for scenes with a fairly low dynamic range.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Linear_Exposure_Control ... AutomaticLinearExposureControl ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.active Boolean default: true -- boolean   \n\
</pre></div><p>Enable/disable the Tone Operator. Changes the state of the Active checkbox in the Environment/Exposure Control rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.brightess Float default: 50.0 -- animatable; percentage; Brightness \n\
</pre></div><p>Gets/sets the Brightness value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.chromaticAdaptation Boolean default: false -- boolean; Chromatic_Adaptation \n\
</pre></div><p>Gets/sets the Chromatic Adaptation value of the Tone Operator. Corresponds to the Color Correction checkbox in the Tone Operator’s rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.colorDifferentiation Boolean default: false -- boolean; Color_Differentiation \n\
</pre></div><p>Gets/sets the Color Differentiation value of the Tone Operator. Corresponds to the Desaturate Low Levels checkbox in the Tone Operator’s rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.contrast Float default: 50.0 -- animatable; percentage \n\
</pre></div><p>Gets/sets the Contrast value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.exposureValue Float default: 0.0 -- animatable; float; Exposure_Value \n\
</pre></div><p>Gets/sets the Exposure value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale \n\
</pre></div><p>Gets/sets the physicalScale value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.processBG Boolean default: false -- boolean; Process_Background \n\
</pre></div><p>Gets/sets the state of the <span class=\'code\'>processBG</span> value corresponding to the &quot;Process Background and Environment Maps&quot; checkbox in the Tone Operator’s rollout. When set to <span class=\'code\'>true</span> , the Tone Operator will affect the background.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Linear_Exposure_Control&gt;.whiteColor Color default: (color 255 255 255) -- animatable; RGB color; White_Color \n\
</pre></div><p>Gets/sets the <span class=\'code\'>whiteColor</span> value of the Tone Operator. When the <span class=\'code\'>chromaticAdaptation</span> is set to <span class=\'code\'>true</span> , the Tone Operator will shift all colors so that the color set in <span class=\'code\'>whiteColor</span> appears as white.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Create a new Linear Exposure Control Tone Operator instance: linear_exposure =Linear_Exposure_Control () --&gt;ReferenceTarget:Linear_Exposure_Control --Assign the new tone operator as the current exposure control: SceneExposureControl.exposureControl = linear_exposure --&gt;ReferenceTarget:Linear_Exposure_Control --Disable the tone operator: linear_exposure.active = false --&gt;false --Set the white color of the current exposure control to pink: SceneExposureControl.exposureControl.whiteColor = [255,200,200] --&gt;[255,200,200]</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";