var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Logarithmic_Exposure_Control : ToneOperator</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Logarithmic_Exposure_Control : ToneOperator</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"logarithmic_exposure_control-toneoperator\"></a></div>\n\
<div class=\'codeBlock\'><pre>Logarithmic_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - classID: #(1488218187, 1350530793) \n\
</pre></div><p>TheLogarithmic Exposure Control uses brightness, contrast, and whether the scene is outdoors in daylight to map physical values to RGB values. Logarithmic Exposure Control is better for scenes with a very high dynamic range.</p>\n\
<p>Note: The <strong>Logarithmic Exposure Control</strong> is the best type of exposure control for animations, since it doesn&#39;t use histograms.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Logarithmic_Exposure_Control ... LightscapeExposureControl ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.active Boolean default: true -- boolean \n\
</pre></div><p>Enable/Disable the Tone Operator. Changes the state of the Active checkbox in the Environment/Exposure Control rollout</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.brightness Float default: 65.0 -- animatable; float \n\
</pre></div><p>Get/Set the Brightness value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.chromaticAdaptation Boolean default: false -- boolean; Chromatic_Adaptation \n\
</pre></div><p>Get/Set the Chromatic Adaptation value of the Tone Operator. Corresponds to the Color Correction checkbox in the Tone Operator’s rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.colorDifferentiation Boolean default: false -- boolean; Color_Differentiation \n\
</pre></div><p>Get/Set the Color Differentiation value of the Tone Operator. Corresponds to the Desaturate Low Levels checkbox in the Tone Operator’s rollout.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.contrast Float default: 50.0 -- animatable; float \n\
</pre></div><p>Get/Set the Contrast value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.daylight Boolean default: true -- boolean \n\
</pre></div><p>Get/Set the Daylight switch of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.exterior Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the Exterior switch of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.indirectOnly Boolean default: false -- boolean; Indirect_Only \n\
</pre></div><p>Get/Set the IndirectOnly switch of the Tone Operator. Corresponds to the&quot;Affect Indirect Only&quot;checkbox in the UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.midTones Float default: 1.0 -- animatable; float; Mid_Tones \n\
</pre></div><p>Get/Set the Exterior value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale \n\
</pre></div><p>Get/Set the physicalScale value of the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.processBG Boolean default: false -- boolean; Process_Background \n\
</pre></div><p>Get/Set the state of the processBG value corresponding to the&quot;Process Background and Environment Maps&quot;checkbox in the Tone Operator’s rollout. When set to <span class=\'code\'>true</span> , the Tone Operator will affect the background.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.whiteColor Color default: (color 255 255 255) -- animatable; RGB color; White_Color \n\
</pre></div><p>Get/Set the <span class=\'code\'>whiteColor</span> value of the Tone Operator. When the <span class=\'code\'>chromaticAdaptation</span> is set to <span class=\'code\'>true</span> , the Tone Operator will shift all colors so that the color set in <span class=\'code\'>whiteColor</span> appears as white.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.exteriorDaylight Boolean default: false -- boolean; Exterior_Daylight \n\
</pre></div><p>Set this property to true when working with exterior Daylight scenes.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Logarithmic_Exposure_Control&gt;.useLegacyAlgorithm (Use_Legacy_Algorithm) : boolean \n\
</pre></div><p>When set to true, the exposure control will use the old algorithm (pre- <strong>3ds Max 9</strong>). When set to false (default), the new algorithm will be used.</p>\n\
<p>Thetone mapping algorithm used in the logaricthimic exposure control has been changed in <strong>3ds Max 9</strong>.</p>\n\
<p>The old algorithm would scale all three color components (R, G, B) in an identical manner, based on the perceptible luminance of the color. The algorithm produces results which were usually over-saturated, and yellowish.</p>\n\
<p>The new algorithm maps the three color components independently, and the perceptible luminance is not taken into account. This results in images which are much less saturated (more grey) and much more realistic.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Create a new Logarithmic Exposure Control Tone Operator instance log_exposure =Logarithmic_Exposure_Control () --&gt; ReferenceTarget:Logarithmic_Exposure_Control --Assign the new tone operator as the current exposure control SceneExposureControl.exposureControl = log_exposure --&gt; ReferenceTarget:Logarithmic_Exposure_Control --Set the Brightness to 50.0 log_exposure.brightness = 50.0 --&gt; 50.0 --Enable the Color Correction of the current exposure control SceneExposureControl.exposureControl.chromaticAdaptation = true --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";