var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Pseudo_Color_Exposure_Control : ToneOperator</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Pseudo_Color_Exposure_Control : ToneOperator</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pseudo_color_exposure_control-toneoperator\"></a></div>\n\
<div class=\'codeBlock\'><pre>Pseudo_Color_Exposure_Control - superclass: ToneOperator; super-superclass:MAXWrapper - classID: #(1465794047, 1625374106) \n\
</pre></div><p><strong>Pseudo Color Exposure Control</strong> is a lighting analysis tool that provides an intuitive way of visualizing and evaluating the lighting levels in the scene. It maps luminance or illuminance values to pseudo colors that show the brightness of the values being converted</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Pseudo_Color_Exposure_Control ... pseudoColorExposureControl ... \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.active Boolean default: true -- boolean \n\
</pre></div><p>Controls whether the exposure control is active or not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.automatic Boolean default: false -- boolean \n\
</pre></div><p>Get/Set the <span class=\'code\'>.automatic</span> property of the Tone Operator. When <span class=\'code\'>false</span> (default), the minimum and maximum range values will be used. When <span class=\'code\'>true</span> , the Min. and Max. spinners in the UI will be disabled and the range will be determined automatically. <strong>NOTE that this feature is not exposed to the UI and is only accessible through MAXScript</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.display Integer default: 0 -- integer \n\
</pre></div><p>Get/Set the display property of the Tone Operator. Corresponds to the Style drop-down list in the UI.</p>\n\
<p>0 - Colored</p>\n\
<p>1 - Greyscale</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.illuminance SubAnim default: SubAnim:Illuminance -- SubAnim \n\
</pre></div><p>The Illuminance SubAnim containing the Illuminance Render Element added automatically by the Tone Operator to the Render Elements list in order to obtain accurate data.</p>\n\
<p>Note:</p>\n\
<p>After creating the exposure control via MAXScript, the SubAnim will be unnamed. The SubAnim will be hooked up to the exposure control when the control is assigned to the scene.</p>\n\
<p>The SubAnim value cannot be set!</p>\n\
<p>When the <span class=\'code\'>.quantity</span> property is set to the <span class=\'code\'>.illuminace</span> property is replaced by a <span class=\'code\'>.luminance</span> property containing a Luminance Render Element. In this case accessing the <span class=\'code\'>.illuminance</span> property will cause an&quot;Unknown property&quot;error.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.maximum Float default: 50.0 -- animatable; float \n\
</pre></div><p>The Maximum Display Range to be measured and displayed by the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.minimum Float default: 0.0 -- animatable; float \n\
</pre></div><p>The Minimum Display Range to be measured and displayed by the Tone Operator.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.physicalScale Float default: 1500.0 -- animatable; float; Physical_Scale \n\
</pre></div><p>Controls the physical scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.processBG Boolean default: false -- boolean; Process_Background \n\
</pre></div><p>Controls whether the background should be processed or not.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.quantity Integer default: 0 -- integer \n\
</pre></div><p>0 - illuminance property exposes an Illuminance_Render_Element</p>\n\
<p>1 - illuminance property replaced with luminance property, which exposes an Luminance_Render_Element</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.scaleFunction Integer default: 0 -- integer; Scale_Function \n\
</pre></div><p>Get/Set the scaleFunction property corresponding to the selection of the Scale drop-down list in the UI. Chooses the technique used to map values.</p>\n\
<p>0 - Logarithmic (default) uses a logarithmic scale.</p>\n\
<p>1 - Linear uses a linear scale.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Pseudo_Color_Exposure_Control&gt;.unitSystemUsed Integer default: 0 -- integer; Unit_System_in_Use \n\
</pre></div><p>Not directly exposed in the UI. This property is used internally to interface with the Lighting Units set up under Customize &gt; Units Setup.</p>\n\
<p>0 - SI (International, lux)</p>\n\
<p>1 - AS (American, candles/square foot)</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";