var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PBRImporter: UtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PBRImporter: UtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pbrimporter-utilityplugin\"></a></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/GUID-D42EB461-C7DD-410B-89B3-7D477B030D40.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2021.3 Update:</strong> This interface provides access to the PBR Importer, which enables you to create Physical Materials by loading a range of texture files. Note that only very limited functionality is currently exposed to MAXScript.</p>\n\
<div class=\'section\'><a id=\"constructor\"></a><h2 id=\"constructor\">Constructor</h2></div>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript \n\
</pre></div><div class=\'section\'><a id=\"methods\"></a><h2 id=\"methods\">Methods:</h2></div>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;PBRImporter.Open()\n\
</pre></div><p>Opens the PBR Importer dialog.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;PBRImporter.Close()\n\
</pre></div><p>Closes the PBR Importer dialog.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;boolean&gt;PBRImporter.Import &lt;string array&gt;paths\n\
</pre></div><p>Imports materials from the textures in the array of directories specified by <span class=\'code\'>paths</span>.</p>\n\
<div class=\'codeBlock\'><pre>    &lt;material array&gt;PBRImporter.GetMaterials()\n\
</pre></div><p>Returns an array of materials that have been imported. Returns an empty array if no materials have been matched/imported.</p>\n\
<div class=\'section\'><a id=\"example\"></a><h2 id=\"example\">Example</h2></div>\n\
<div class=\'codeBlock\'><pre>-- Open PBR Import dialog, import some default Max materials\n\
p = GetDir #maxroot + &quot;maps\\\\&quot;\n\
PBRImporter.Open()\n\
PBRImporter.Import #(p)\n\
ms = PBRImporter.getMaterials()\n\
classOf ms[1]\n\
PBRImporter.Close()\n\
</pre></div><p>Output:</p>\n\
<div class=\'codeBlock\'><pre>&quot;C:\\Program Files\\3dsMax 2021\\maps\\&quot;\n\
true\n\
true\n\
#(bricks23:PBRMetalRough, bricks24:PBRMetalRough)\n\
PBRMetalRough\n\
true\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";