var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Perspective_Match: UtilityPlugin</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Perspective_Match: UtilityPlugin</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"perspective_match-utilityplugin\"></a></div>\n\
<p>Exposes the <strong>Perspective_Match Utility</strong> to MAXScript.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>Class instances not creatable by MAXScript\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>To open the Utility in the Utilities tab</strong></p>\n\
<p>``` UtilityPanel.OpenUtility Perspective_Match --&gt; true</p>\n\
<p>```</p>\n\
\n\
<div class=\'section\'><a id=\"interface-perspective_match\"></a><h2 id=\"interface-perspective_match\">Interface: Perspective_Match</h2></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.ShowVanishingLines()\n\
</pre></div><p>Equivalent to pressing the <strong>&quot;Show Vanishing Lines&quot;</strong> checkbutton in the Utility&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.HideVanishingLines()\n\
</pre></div><p>Equivalent to depressing the <strong>&quot;Hide Vanishing Lines&quot;</strong> checkbutton in the Utility&#39;s UI.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;Perspective_Match.IsMatching()\n\
</pre></div><p>Returns True if the <strong>&quot;Show Vanishing Lines&quot;</strong> checkbutton is checked (displaying <strong>&quot;Hide Vanishing Lines&quot;</strong> as its label) and the Utility is in matching mode.</p>\n\
<p>Returns False if the Utility is not in matching mode (the checkbutton is unchecked).</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.SetVanishingLineMode &lt;enum&gt;VanishingLineMode \n\
\n\
VanishingLineMode enums: {#XYZ|#XY|#XZ|#YZ}\n\
</pre></div><p>Sets the state of the <strong>&quot;Vanishing Lines&quot;</strong> radio buttons.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;Perspective_Match.GetVanishingLineMode() \n\
\n\
GetVanishingLineMode enums: {#XYZ|#XY|#XZ|#YZ}\n\
</pre></div><p>Returns the state of the <strong>&quot;Vanishing Lines&quot;</strong> radio buttons.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.SetLineStart &lt;enum&gt;lineID &lt;point2&gt;ViewportPercentageScreenPos \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}\n\
</pre></div><p>Sets the start position of the line specified by the first argument to the screen position specified as percentage by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;Perspective_Match.GetLineStart &lt;enum&gt;lineID \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}\n\
</pre></div><p>Returns the start position of the line specified by the first argument as Point2 percentage in screen space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.SetLineEnd &lt;enum&gt;lineID &lt;point2&gt;ViewportPercentageScreenPos \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}\n\
</pre></div><p>Sets the end position of the line specified by the first argument to the screen position specified as percentage by the second argument.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;Perspective_Match.GetLineEnd &lt;enum&gt;lineID \n\
\n\
lineID enums: {#xLine1|#xLine2|#yLine1|#yLine2|#zLine1|#zLine2}\n\
</pre></div><p>Returns the end position of the line specified by the first argument as Point2 percentage in screen space.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.SetAnchorObject &lt;node&gt;INode\n\
</pre></div><p>Sets the anchor object - equivalent to picking an object using the <strong>&quot;Pick Anchor Object&quot;</strong> pickbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;Perspective_Match.GetAnchorObject()\n\
</pre></div><p>Returns the anchor object picked using the <strong>&quot;Pick Anchor Object&quot;</strong> pickbutton.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.SetHorizontalAdjustment &lt;float&gt;HorizontalAdjustment\n\
</pre></div><p>Sets the value of the <strong>&quot;Horizontal&quot;</strong> spinner in the <strong>&quot;Camera Adjustments&quot;</strong> group of controls.</p>\n\
<p>The spinner does not keep the value - the value is applied to the Camera as Horizontal Offset and the spinner is reset to 0.0.</p>\n\
<p>In other words, this method causes the Camera to be offset to the left when the value is negative or to the right when the value is positive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.SetVerticalAdjustment &lt;float&gt;VerticalAdjustment\n\
</pre></div><p>Sets the value of the <strong>&quot;Vertical&quot;</strong> spinner in the <strong>&quot;Camera Adjustments&quot;</strong> group of controls.</p>\n\
<p>The spinner does not keep the value - the value is applied to the Camera as Vertical Offset and the spinner is reset to 0.0.</p>\n\
<p>In other words, this method causes the Camera to be offset to down when the value is negative or up when the value is positive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.SetDistanceAdjustment &lt;float&gt;DistanceAdjustment\n\
</pre></div><p>Sets the value of the <strong>&quot;Distance&quot;</strong> spinner in the <strong>&quot;Camera Adjustments&quot;</strong> group of controls.</p>\n\
<p>The spinner does not keep the value - the value is applied to the Camera as Distance Offset and the spinner is reset to 0.0.</p>\n\
<p>In other words, this method causes the Camera to be offset backwards when the value is negative or forward when the value is positive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.Rotate90DegCounterClockwise()\n\
</pre></div><p>Equivalent to pressing the <strong>left arrow</strong> button which rotates the Camera counter-clockwise at 90 degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;Perspective_Match.Rotate90DegClockwise()\n\
</pre></div><p>Equivalent to pressing the <strong>right arrow</strong> button which rotates the Camera clockwise at 90 degrees.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";