var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What is the difference between &#39;assignment&#39; and &#39;equality&#39; operators</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What is the difference between &#39;assignment&#39; and &#39;equality&#39; operators</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-is-the-difference-between-assignment-and-equality-operators\"></a></div>\n\
<p>In MAXScript, there is a VERY BIG difference between these two operators!</p>\n\
<p>The &#39;=&#39; is the so-called <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Variable-Assignment.html\' title=\'\'>assignment operator</a> and is used to assign the result of the expression on the right side of the operator to the variable on the left side.</p>\n\
<p>The &#39;==&#39; is the so-called <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Comparison-Expressions.html\' title=\'\'>equality comparison operator</a> and is used to check whether the two expressions on both sides are equal or not. It returns <span class=\'code\'>true</span> of they are equal, and <span class=\'code\'>false</span> if they are not.</p>\n\
<p>It is a common error to mistype &#39;==&#39; as &#39;=&#39; which can lead to errors in IF comparisons, non-initialized variables etc.</p>\n\
<p>In the following example, the variable a is set to 1. In the IF expression, &#39;a&#39; should be compared to 0, but it is assigned by mistake the value 0 instead. The result of the expression is not a boolean value (true or false) and an error message is generated to inform you about the problem:</p>\n\
<blockquote>\n\
<p><strong>TYPICAL ERROR:</strong></p>\n\
<p>``` a = 1 if a = 0 then print &quot;A is Zero!&quot; else print &quot;A is not Zero!&quot; -- Type error: if-test requires BooleanClass, got: 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>CORRET CODE:</strong></p>\n\
<p>``` a = 1 if a == 0 then print &quot;A is Zero!&quot; else print &quot;A is not Zero!&quot; --&gt;&quot;A is not Zero!&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In the second version, the variable &#39;a&#39; is set to 1. In the IF expression, &#39;a&#39; is correctly compared to 0. The result of the expression is a boolean value (false) and the expected result is printed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";