var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What is the difference between &#39;undefined&#39; and &#39;unsupplied&#39; values?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What is the difference between &#39;undefined&#39; and &#39;unsupplied&#39; values?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-is-the-difference-between-undefined-and-unsupplied-values\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\' title=\'\'>undefined value</a> is assigned to any variable or array element that has been declared but has not been assigned a value yet.</p>\n\
<p>If you create a variable &#39;a&#39; but do not use the assignment operator &#39;=&#39; to store a value in the variable, its initial value will be &#39;undefined&#39;.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` a a == undefined</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` undefined true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Also, if you create an array and assign a value to an element with index 4, all 3 elements before the one you assigned to will be initialized implicitly to the value &#39;undefined&#39;. These values are like &quot;placeholders&quot; because you cannot have an array with the 4 th element set to a value but without 3 elements before it being initialized.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` a = #() a[4] =&quot;Yeah!&quot; a</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` #() &quot;Yeah!&quot; #(undefined, undefined, undefined, &quot;Yeah!&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Special-Data-Values/Unsupplied-Value.html\' title=\'\'>unsupplied value</a> is assigned to function parameters that have not been supplied when the function has been called.</p>\n\
<p>A function can be called with no parameters (in this case, a pair of parentheses is required to denote &#39;no parameters&#39;), one or more arguments, plus one or more named arguments. The arguments defined by the function are compulsory and have to be supplied. The named arguments on the other hand are optional and can be omitted. In such cases, the programmer could compare the named argument&#39;s value with the &#39;unsupplied&#39; value to find out whether a meaningful value has been sent or has been omitted.</p>\n\
<p>In the following example, the function expects no arguments or one optional named argument. It will check whether the named argument has been supplied and print a respective message to the Listener, then return true or false.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` fn test_function theParameter: = ( if theParameter == unsupplied then ( print &quot;How about providing a parameter?&quot; false ) else ( print &quot;Thank you for calling the function with a parameter!&quot; true ) )</p>\n\
<p>```</p>\n\
<p>``` test_function() --&gt;&quot;How about providing a parameter?&quot; --&gt;false</p>\n\
<p>test_function theParameter:123 --&gt;&quot;Thank you for calling the function with a parameter!&quot; --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";