var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>When do I use If...Then and when If...Do?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>When do I use If...Then and when If...Do?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"when-do-i-use-if...then-and-when-if...do\"></a></div>\n\
<p>Generally, you can use both If...Then and If...Do within script code, but you cannot use If...Do when an &#39;else&#39; expression is required for the cases the condition evaluates to false.</p>\n\
<p>One of the reasons If...Do exists is to make typing in the Listener easier.</p>\n\
<p>When you enter</p>\n\
<div class=\'codeBlock\'><pre>if a==0 then print &quot;A is Zero!&quot;\n\
\n\
</pre></div><p>the MAXScript Listener assumes that an &#39;else&#39; expression will follow because you used &#39;then&#39;.</p>\n\
<p>So it will sit around waiting for you to enter the &#39;else&#39; expression, and will seem to hang.</p>\n\
<p>(Note that you can use the Escape key to interrupt the Listener and exit from this &quot;hanging&quot; mode).</p>\n\
<p>If you have no intentions to enter a second expression after an &#39;else&#39;, you should type in</p>\n\
<div class=\'codeBlock\'><pre>if a==0 do print &quot;A is Zero!&quot;\n\
\n\
</pre></div><p>The Listener will notice you used &#39;do&#39; and therefore don&#39;t want to enter an &#39;else&#39; expression and will execute the line immediately!</p>\n\
<p>For more details, see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\' title=\'\'>If Expression</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";