var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I change the Shadow type of a Light?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I change the Shadow type of a Light?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-change-the-shadow-type-of-a-light\"></a></div>\n\
<p>In versions prior to <strong>3ds Max 5</strong>, there were only two possible shadow types - ShadowMap and Raytraced shadows. The type was controlled by a single boolean property which caused the respective ShadowGenerator to be assigned to the light implicitly.</p>\n\
<p>Starting with <strong>3ds Max 5</strong>, a larger number of possible shadow map generators have been introduced. The access to the shadow generation of all lights has been extended to allow explicit assignment of an instance of a shadow generator class.</p>\n\
<p>The shipping shadow generator classes are:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/ShadowMap-Shadow.html\' title=\'\'>ShadowMap : Shadow</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/RaytraceShadow-Shadow.html\' title=\'\'>RaytraceShadow : Shadow</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Adv__Ray_traced-Shadow.html\' title=\'\'>Adv__Ray_traced : Shadow</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Shadow-MAXWrapper/Area_Shadows-Shadow.html\' title=\'\'>Area_Shadows : Shadow</a></p>\n\
<p>In order to assign a shadow generator to a light, you have to create an instance of one of the above classes by calling the constructor with a pair of parentheses and assign the instance to the <span class=\'code\'>.shadowGenerator</span> property of the light. Also see <a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/When-do-I-use-after-a-function-.html\' title=\'\'>When do I use () after a function?</a></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` $Omni01.shadowGenerator = Area_Shadows()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>For more details, see the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Light-Node/Standard-Lights/Light-Common-Properties.html\' title=\'\'>Light Common Properties, Operators, and Methods</a> topic.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";