var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I change the text in a Text Shape dynamically?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I change the text in a Text Shape dynamically?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-change-the-text-in-a-text-shape-dynamically\"></a></div>\n\
<p>Normally, the text of a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Shape-Node/Shapes-Splines/Text-Shape.html\' title=\'\'>Text</a> shape is not animatable. The resulting mesh will be evaluated once at the beginning of the rendering and will not change as it is considered static (not changing over time). A workaround is to assign a script controller to a property of the text shape which will do two things: tell the renderer that the text shape is animated and thus requires reevaluation on each frame, and set the actual text in the text property.</p>\n\
<blockquote>\n\
<p>Warning: Changing the text object&#39;s text property in anything other than a controller applied to the text object can lead to a renderer crash!</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Create a box and a text shape b=box name: &quot;ControlBox&quot; wirecolor:blue t=text name: &quot;ControlledText&quot; wirecolor:red t.baseobject.renderable=true --set the shape to renderable theCtrl = float_script() --create a float script controller theCtrl.addNode &quot;TheText&quot; t --add a variable, connect to theText node theCtrl.addNode &quot;TheBox&quot; b --add a variable, connect to the Box node --Set the expression to assign the height of the box as string to the --.text property of the text shape, then return 0 on the next line: theCtrl.SetExpression &quot;TheText.text = TheBox.height as string\\n0&quot; t.kerning.controller=theCtrl --assign the controller to the kerning animate on at time 100 b.height*=2 --animate the height of the box max tool zoomextents all --zoom into the two objects playAnimation() --play back the animation</p>\n\
<p>--You should be able to render the scene without any problems --and the text will show the height of the box in generic units.</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";