var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I get the object by object name?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I get the object by object name?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-get-the-object-by-object-name\"></a></div>\n\
<div class=\'section\'><a id=\"many-users-asked\"></a><h2 id=\"many-users-asked\">Many Users Asked:</h2></div>\n\
<p>When typing in known object paths in the Listener, in scripts or scripted controllers, I can use the $ prefix to denote an object path (for example. $Box001 returns the object called &quot;Box001&quot;). But sometimes all I have is the name of the object as string (&quot;Box001&quot;), but I want to access the scene object that the name corresponds to.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>There are multiple ways to convert an object name (a string) to the object path (a MAXScript expression) corresponding to the scene object:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>getNodeByName</a></p>\n\
<p>This function provides an easy way to convert a name string to object path with case-sensitive and case-insensitive options.See the link for details.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\' title=\'\'>Execute</a></p>\n\
<p>Using the <strong>execute</strong> method, it is possible to convert any string into a MAXScript expression. This includes evaluating a string containing an object path into the object path itself. If an object name is stored in a string variable, you have to add the &quot;$&quot; character as string to the name to convert it into object path. Since certain special characters like &quot;.&quot; (period) or &quot; &quot; (space) cannot be evaluated when being part of the name string, it is advisable to add &quot;&#39;&quot; (single quote) characters around the object&#39;s name to prevent an evaluation error. Any characters enclosed between the single quote characters will be recognized as part of the string.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --if an object is called Box001, you could use objName = &quot;Box001&quot; objPath = execute (&quot;$&#39;&quot;+objName + &quot;&#39;&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";