var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I make a vector from a vertex position?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I make a vector from a vertex position?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-make-a-vector-from-a-vertex-position\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<ol>\n\
<li><p>How to make a vector from a vertex position?</p></li>\n\
<li><p>How to make a vector from two vertex positions?</p></li>\n\
</ol>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>A vertex position IS a vector!</p>\n\
<p>Any <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\' title=\'\'>Point3 value</a> is a vector with origin at the world origin [0,0,0] pointing at the Point3 value consisting of the X, Y and Z coordinates of the vertex.</p>\n\
<p>On the image below, you can see a graphical representation of the <strong>3ds Max</strong> world coordinate system with its X, Y and Z axes crossing at the Origin [0,0,0]:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CF259586-B792-47DB-87AB-EB19BA1A98BD-low.gif\' title=\'\'></div>\n\
<p>A point with coordinates [20,10,10] would appear like this - let&#39;s call it &quot;A&quot;:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1A927C05-5712-4B4E-A16E-6BC4B000B61C-low.gif\' title=\'\'></div>\n\
<p>The Point3 value [20,10,10] defines a vector with starting point at the origin [0,0,0] and ending point at A. The length of the vector is equal to the distance between the origin and A, and the direction is from the origin to A:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4AB01ABA-8079-4E97-9C1A-A7AFBFA34149-low.gif\' title=\'\'></div>\n\
<p>Point B with coordinates [-10,30,20] would appear like this:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8FB441CE-E3DF-4287-87DB-BBD23553AF2F-low.gif\' title=\'\'></div>\n\
<p>The Point3 value [-10,30,20] defines a second vector with starting point at the origin [0,0,0] and ending point at B. The length of the vector is equal to the distance between the origin and B, and the direction is from the origin to B:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-59E466D9-2015-4E96-985A-689DB52A9515-low.gif\' title=\'\'></div>\n\
<p>Now if you want to calculate the vector defined by the two points, you have to simply subtract the starting point from the end point. So a vector starting at A and pointing at B with length equal to the distance between the two points can be calculated as B-A:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-16FF10B6-BB2F-4757-B76F-C5DFDE1A99EB-low.gif\' title=\'\'></div>\n\
<p>The resulting Point3 value C = B-A is a vector expressed just like A and B with starting point at the origin [0,0,0] and ending point the point C with coordinates the result of ([-10,30,20] - [20,10,10] ) which in turn is equal to [-10-20, 30-10, 20-10] which is finally equal to [-30,20,10]. Note that the vector C has exactly the same length and direction as B-A, it is just translated in parallel along the vector -A so its start matches the origin:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7D1BE3CC-BCA3-44B6-AC3A-1A765267CA40-low.gif\' title=\'\'></div>\n\
<p>Obviously, the rules of addition and subtraction apply to this set of vectors as you can see from the resulting parallelogram:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9CB522D6-4C8E-4AC2-8588-A4D5287B8ED8-low.gif\' title=\'\'></div>\n\
<p>Here is the same parallelogram in isometric view in order to show the parallel translation of the vectors:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C9BCF36-C7BE-4ECA-949D-1C4557114021-low.gif\' title=\'\'></div>\n\
<p>As you would expect,</p>\n\
<p><span class=\'code\'>C = B-A</span> (same vector, just translated to the origin)</p>\n\
<p><span class=\'code\'>A = B-C</span> (same vector, just translated to the origin)</p>\n\
<p>B is obviously equal to the sum of the vectors (B-A) and A. This can be expressed as (B-A)+A or B+(A-A). Since A-A returns a zero vector without length and direction, the result is B itself.</p>\n\
<p>Same with the sum of (B-C) and C which can be written as B+(C-C). Since C-C returns a zero vector, the result is B itself.</p>\n\
<p>This shows that the sum of two vectors can be calculated by starting each new vector at the end of the previous one. The sum would be a vector starting at the beginning of the first operand and ending at the end of the last operand.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";