var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I rotate a vector around the Z axis?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I rotate a vector around the Z axis?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-rotate-a-vector-around-the-z-axis\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I am trying to rotate a unit vector around 360 degrees in steps of 2 degrees. It only needs to rotate around the Z axis, X and Y stay the same.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\' title=\'\'>Matrix3 Values</a> topic provides convenient ways to transform vectors (Point3 values) including rotation about the world Z axis! You can simply construct a rotate Z Matrix value and transform the original vector using it:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` resetMaxFile #noPrompt --reset the file theV = normalize [5,0,10] --the vector to rotate, normalized to unit vector theStep = 10 --the step by which you want to rotate --rotate from 0 to 360-theStep with step TheStep: for a = 0 to 360-theStep by theStep do ( rm = rotateZMatrix a --create a rotation matrix from the value theRotV = theV * rm --transform the original vector using the matrix format &quot;%: %\\n&quot; a theRotV --print the result to Listener c = cylinder() --create a cylinder c.dir = theRotV --orient along the vector to see what it looks like )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The results looks like a muffin!</p>\n\
<p><img src=\'developer/images/GUID-13DEE325-48BC-44CD-BD48-F0B8D7EC3B7F-low.gif\' title=\'\'> <img src=\'developer/images/GUID-501D9391-522C-4472-87B5-403E1F5BBC8D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-F175FEF8-97D7-4BE8-A77B-F2E437B6D121-low.gif\' title=\'\'></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";