var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I keep a Plane aligned to 3 Point Helpers?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I keep a Plane aligned to 3 Point Helpers?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-keep-a-plane-aligned-to-3-point-helpers\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I have 3 Point Helpers which determines a plane in 3d space and I animated all of them randomly.</p>\n\
<p>How can I keep a Plane object always oriented exactly to the plane determined by the Points?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>This is a good place to use a <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Matrix3-Controllers/transform_script-superclass.html\' title=\'\'>Transform Script controller</a> because we can control both the rotation (orientation) and position of the plane with it.</p>\n\
<p>The following script</p>\n\
<ul>\n\
<li><p>Creates a Plane primitive</p></li>\n\
<li><p>Creates 3 Point Helpers</p></li>\n\
<li><p>Assigns a Transform Script and calculates a Matrix3 value which keeps the plane in the plane defined by the three points and centers it in the middle point between the helpers.</p></li>\n\
</ul>\n\
<p>If you would move or animate the points, the Plane should follow.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` --Create a plane and 3 point helper thePlane = Plane() p1 = point pos:[40,-10,30] p2 = point pos:[20,30,40] p3 = point pos:[-10,-20,30] --Create a Transform Script and assign it to the Plane ctrl = transform_script() thePlane.transform.controller = ctrl --Create three Node variables and assign the Helpers to them ctrl.addNode&quot;p1&quot; p1 ctrl.addNode&quot;p2&quot; p2 ctrl.addNode&quot;p3&quot; p3 --We create a variable to hold the expression --We calculate the vector from Point01 to Point02 txt =&quot;v1 = normalize (p2.pos-p1.pos)\\n&quot; --and the vector from Point01 to Point03 txt +=&quot;v2 = normalize (p3.pos-p1.pos)\\n&quot; --The cross productof the two vectors is the normal to the plane txt +=&quot;nv1 = normalize (cross v1 v2)\\n&quot; --Thecross product ofthenormal and vector 1gives us a third axis txt +=&quot;nv2=normalize(cross nv1 v1)\\n&quot; --We create a matrix3 value using he first vector, --and the two cross products which are all orthogonal to each-other. --The translation part .row4 is the middle point --of the 3 points&#39; positions: txt +=&quot;matrix3 v1 nv2 nv1 ((p1.pos+p2.pos+p3.pos)/3)&quot; --Assign the expression to the script controller ctrl.setExpression txt</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";