var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I link the rotation of an object to the scene time?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I link the rotation of an object to the scene time?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-link-the-rotation-of-an-object-to-the-scene-time\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I want to create a simple expression that will rotate an object based on the current time.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>You can assign a Float Script Controller to the respective rotation sub-controller and use the current Time global variable to get the time.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>if you want to rotate the object about its X axis, you should assign a Float Script controller to the .rotation.x_rotation.controller property:</p>\n\
<p>``` obj = Teapot() obj.rotation.x_rotation.controller = Float_Script() obj.rotation.x_rotation.controller.script = &quot;currentTime&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This will rotate the object, but the rotation will be very fast because the time value is taken as radians, causing a full 360 degrees rotation every 6.28 frames!</p>\n\
<p>To take the time as degrees,</p>\n\
<blockquote>\n\
<p><strong>YOU CAN USE</strong></p>\n\
<p>``` obj.rotation.x_rotation.controller.script = &quot;degToRad currentTime&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This will rotate the object 360 degrees in 360 frames. You can of course multiply the result by any factor to control the exact speed,</p>\n\
<blockquote>\n\
<p><strong>LIKE</strong></p>\n\
<p>``` obj.rotation.x_rotation.controller.script = &quot;0.1 * degToRad currentTime&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>will rotate the object at 360 degrees in 3600 frames...</p>\n\
<p>Another way to do the same is using the Float Expression controller. Unfortunately, it is not completely scriptable.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` obj = Box() obj.rotation.x_rotation.controller = Float_Expression()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>will assign a float expression controller to the X rotation track.</p>\n\
<p>Now you can open the Expression window by going to the Motion tab, right-clicking the controller and selecting Properties...</p>\n\
<blockquote>\n\
<p><strong>ENTER THE EXPRESSION</strong></p>\n\
<p>``` degToRad(F)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>and press the <strong>Evaluate</strong> button.</p>\n\
<p>The result should be the same as the Flot Script controller version.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";