var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I Get Faces With Normals Facing Away?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I Get Faces With Normals Facing Away?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-get-faces-with-normals-facing-away\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>Can anyone tell me how to get faces that have normals pointing outside of the current viewport?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>You can get the face normal in viewspace, then you just have to check the sign of the Z component. If it is negative, it is facing away from the camera!</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` ( theObj = Teapot segs:10 --create ateapot convertToMesh theObj --convert to EMesh theMeshCount = theObj.numfaces --get the number of faces in the object selArray = #() --init. an array to collect faces for f = 1 to theMeshCount do --loop through all faces ( in coordsys (inverse (viewport.GetTM())) theFN = getFaceNormal theObj f if theFN.z &lt; 0 then append selArray f -- if Z is negative, add to array ) setFaceSelection theObj selArray --set the face selection in the EMesh max modify mode --go to modify mode select theObj --select the mesh subObjectLevel = 3 --go to Face SO level modPanel.addModToSelection (deleteMesh()) --add a delete mesh, preserving the SO selection )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Result</strong>:All triangles facing away from the camera will be deleted!</p>\n\
<p><img src=\'developer/images/GUID-326CD86E-222B-4C56-9AE3-0821E4F32D39-low.gif\' title=\'\'> <img src=\'developer/images/GUID-C5FC6976-CE4C-4DED-93FB-B51EC4F9E7CC-low.gif\' title=\'\'></p>\n\
<p>The image on the left shows the teapot with deleted backfaces as seen from a camera viewport. The image on the right shows the teapot and the camera as seen from the side. Note that for the screenshot, the backface culling was disabled (you can see the backfaces on the right image), but the left image looks just like it would with backface culling enabled! This is because the script deletes the same faces the viewport backface culling would skip!</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";