var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I Get the Local Rotation of a Face?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I Get the Local Rotation of a Face?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-get-the-local-rotation-of-a-face\"></a></div>\n\
<p>Here is how to obtain the rotation value displayed in the Rotate Transform Type-In box when in the local coordinate system from a face in an Editable Mesh.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Mesh-Face-Methods.html\' title=\'\'>GetFaceNormal</a> returns the face normal in local coordinates as a Point3 value.</p>\n\
<p>Multiplied by the transformation matrix of the object, we get the face normal in world space.</p>\n\
<p>Using <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Matrix3-Values.html\' title=\'\'>matrixFromNormal</a>, we create a new matrix3 value using the face normal as the local Z axis. This matrix3 value is rotated relatively to the identity matrix exactly by the values we are searching for.</p>\n\
<p>By converting the matrix3 value to<a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/EulerAngles-Values.html\' title=\'\'>eulerAngles</a>, we retrieve exactly the same 3 values displayed in the Transform Type-In when a face is selected while in Local coordinate system.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` fn getLocalFaceRotation mesh index = ( (matrixFromNormal (getFaceNormal mesh index)*mesh.transform ) as eulerAngles )</p>\n\
<p>obj = sphere() --create a GeoSphere convertToMesh obj --collapse to EditableMesh setFaceSelection obj #{38..40, 49, 50, 59, 60, 70, 80} -- select some faces for f in getFaceSelection obj do format &quot;Face: % - Rotation: % \\n&quot; f (getLocalFaceRotation obj f)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";