var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I Select a Face of an Editable Mesh by its Index?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I Select a Face of an Editable Mesh by its Index?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-select-a-face-of-an-editable-mesh-by-its-index\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>Is there a way to select a face in an editable mesh when you only know its index?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>When doing it just once, you can quickly type in the Listener something like:</p>\n\
<div class=\'codeBlock\'><pre>setFaceSelection $ {10}\n\
\n\
</pre></div><p>This selects the face with index 10 assuming that a single object is selected and it is an Editable_Mesh.</p>\n\
<p>If you are doing this very often, the following macroScript provides a UI with a spinner to select the face index and some error handling:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript FaceByIndex category:&quot;MXS Help&quot; ( global SelectFaceRoll try (destroyDialog SelectFaceRoll) catch()</p>\n\
<p>rollout SelectFaceRoll &quot;Select Face&quot; ( spinner face_index &quot;Face Index&quot; type:#integer range:[1,100000000,1] on face_index changed val do ( if isValidNode selection[1] and classof selection[1].baseobject == Editable_Mesh do ( if val &lt;= selection[1].numfaces then setFaceSelection selection[1] #{val} else<br> setFaceSelection selection[1] #{} ) ) ) max modify mode try (subObjectLevel = 3) catch() createDialog SelectFaceRoll 150 30 )--end macro</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";