var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I Split a Mesh by UV Elements?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I Split a Mesh by UV Elements?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-split-a-mesh-by-uv-elements\"></a></div>\n\
<p>Using the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/UVW-Modifiers/Unwrap_UVW-Modifier.html\' title=\'\'>Unwrap_UVW</a> modifier&#39;s Flatten option, you can split the UV Coordinates into elements based on a threshold angle for easier texturing. The following scripted function allows you to detach the mesh faces based on the corresponding Map faces. (Remember, there is a one-to-one correspondence between their indices, so the task is relatively trivial - see <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Understanding-Texture.html\' title=\'\'>Understanding Texture Coordinates</a>).</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` fn splitMeshByUVElements mesh channel = ( with undo off ( local obj = copy mesh--copy the original object convertToMesh obj--convert to editable mesh while obj.numfaces &gt; 0 do--repeat until all elements have been detached ( face_array = #(1)--init. an array including only face 1 cnt = 0--init. a counter --repeat until the counter is higher than the faces stored in the array while cnt &lt; face_array.count do ( cnt += 1 --increase the counter --get all map vertices used by the current map face in the collection array: theVerts = meshop.getMapVertsUsingMapFace obj channel #(face_array[cnt]) --get all map faces used by these map vertices - --this gives us all neighbours of the current map face theFaces = meshop.getMapFacesUsingMapVert obj channel theVerts --make sure only unique faces are written to the array for f in theFaces where findItem face_array f == 0 do append face_array f )--end while cnt --once all connected faces in an element are collected, --create a new empty EMesh: with undo on new_emesh = Editable_mesh() --detach the collected faces and assign to the EMesh&#39;s TriMesh new_emesh.mesh = meshop.detachFaces obj face_array delete:true asMesh:true --Copy the transformation of the original object new_emesh.transform = mesh.transform --Assign a unique name based on the original one new_emesh.name = uniquename (mesh.name +&quot;_UVsplit&quot;) )--end while numfaces delete obj--delete the clone which has no faces at this point ) )</p>\n\
<p>--Example usage: theTeapot = Teapot mapcoords:true splitMeshByUVElements theTeapot 1</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";