var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I align the UVW_Modifier&#39;s Gizmo to a selected face?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I align the UVW_Modifier&#39;s Gizmo to a selected face?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-align-the-uvw_modifiers-gizmo-to-a-selected-face\"></a></div>\n\
<p>The following code implements the &quot;Normal Align&quot; feature of the UVW_Map modifier. The &quot;Normal Align&quot; button is not directly accessible to MAXScript. This function can be used as a replacement, and might help you understand the usefulness of the Vector Cross Product.</p>\n\
<p><strong>SCRIPT</strong></p>\n\
<div class=\'codeBlock\'><pre>clearListener()\n\
try(DestroyDialog AlignRollout)catch()\n\
Rollout AlignRollout &quot;Align Gizmo&quot;\n\
(   \n\
    \n\
    button bn_test &quot;Align Gizmo&quot;\n\
\n\
     fn alignUVGizmo theObj theFace =\n\
     (       \n\
        -- First get the face normal vector.\n\
        local faceNormal = coordsys theObj (polyop.getFaceNormal theObj theFace)\n\
        \n\
        -- Get the face center from the editable poly to put the gizmo at that place\n\
        local translation               = [0,0,0]\n\
        local FaceVertexsIndicesArray   = (polyop.GetFaceVerts theObj theFace)\n\
        local numVerts = FaceVertexsIndicesArray.count\n\
        for i in FaceVertexsIndicesArray do(\n\
            translation += (theObj.GetVertex i) --Assuming it&#39;s an editable poly object\n\
        )\n\
        translation /= numVerts\n\
        \n\
        -- Create a matrix from the normal\n\
        local theMatrix = MatrixFromNormal faceNormal\n\
        theMatrix.translation = translation --Set our computed translation to be on the face\n\
        \n\
        -- Create UVWMap modifier\n\
        theMap = Uvwmap()\n\
        -- Add it to the selection\n\
        modPanel.addModToSelection theMap ui:on\n\
        -- Set the transform on it\n\
        theMap.gizmo.transform = theMatrix\n\
    )\n\
    \n\
    \n\
    on bn_test pressed do\n\
    (\n\
        if (undefined != $)do\n\
        (\n\
            convertToPoly $     \n\
            \n\
            -- Align the gizmo of the uv map modifier to the first face of the mesh\n\
            alignUVGizmo $ 2\n\
        )\n\
    )\n\
\n\
    \n\
)\n\
CreateDialog AlignRollout\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";