var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I Select Edges Between Material IDs?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I Select Edges Between Material IDs?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-select-edges-between-material-ids\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I want to select the edges between different Material IDs in an Editable Poly object.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>The following code implements a possible solution:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript SelMatIDEdges category: &quot;MXS Help&quot; ( --The ActionItem will only be enabled when a single object with --Editable_Poly base object is selected: on isEnabled return selection.count == 1 and classof selection[1].baseobject == Editable_Poly --When executed, on execute do ( theEP = selection[1].baseobject --get the base object of the selected object edgeSelArray = #() --init. an empty array to collect the edges eCount = polyOp.getNumEdges theEP --get the total number of edges for edge = 1 to eCount do --loop through all edges ( --get the faces sharing the current edge theFaces = (polyOp.getFacesUsingEdge theEP #(edge)) as array --if there are two faces sharing the edge, if theFaces.count == 2 do ( --compare their Material IDs. If different, collect the edge if polyOp.getFaceMatID theEP theFaces[1] != polyOp.getFaceMatID theEP theFaces[2] do append edgeSelArray edge )--end if )--end loop --After checking all edges, select the collected ones polyOp.setEdgeSelection theEP edgeSelArray max Modify Mode-- switch to modify panel modPanel.setCurrentObject theEP-- go to the BaseObject level subObjectLevel = 2--and go to Edge SubObject level to show the result )--end on execute )--end macroScript</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3A1D7003-DF7F-406E-95AA-F5C90E82C864-low.gif\' title=\'\'></div>\n\
<p>A Box primitive has 6 Material IDs assigned to its 6 sides. In this example, a box with 4x4x4 segments was converted to Editable Poly. Then the above script was executed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";