var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I remove mid-edge EPoly Vertices?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I remove mid-edge EPoly Vertices?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-remove-mid-edge-epoly-vertices\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I want to filter the edge selection and create arrays containing connected edges, something like &quot;edge selection elements&quot;. Edges from two arrays will never be connected, in other words will not share vertices.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>The following code implements a possible solution:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript KillMidEdgeVerts category: &quot;MXS Help&quot; ( --make sure a single EPoly object is selected on isEnabled return selection.count == 1 and classof selection[1].baseobject == Editable_Poly on execute do ( thePoly = selection[1] --get the selected object select thePoly --select it max modify mode --switch to modify panel --set the base object as current level: modPanel.setCurrentObject selection[1].baseobject subObjectLevel = 1 --set sub-*object level to vertex level numVerts = (polyop.getNumVerts thePoly) --get the total vertex count undo on &quot;KillMidEdgeVerts&quot; --enable undo context ( --loop backwards from the last to the first vertex for v = numVerts to 1 by -1 do ( --get the edges using the vertex to check the count nVerts = (polyop.getEdgesUsingVert thePoly v) as array if nVerts.count == 2 do --if only two edges found, then ( --get the verts of the first egde edge1verts = (polyop.getVertsUsingEdge thePoly nVerts[1]) as array --calculate the vector defined by the two vertices in the first edge vector1 = (polyop.getVert thePoly edge1verts[1]) - (polyop.getVert thePoly edge1verts[2]) --get the verts of the second edge edge2verts = (polyop.getVertsUsingEdge thePoly nVerts[2] as array) --calculate the vector defined by the two vertices in the second edge vector2 = (polyop.getVert thePoly edge2verts[1]) - (polyop.getVert thePoly edge2verts[2]) --calculate the angle between the two normalized vectors angle = acos (dot (normalize vector1) (normalize vector2)) --if the angle is less than the threashold (change 0.01 to whatever threashold you want!) if angle &lt; 0.01 do ( select thePoly.verts[v]--then select the current vertex thePoly.EditablePoly.buttonOp #Remove--and hit the remove button ) )--end if )--end v loop )--end undo )--end on )--end macro</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";