var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I calculate the Volume of an Object?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I calculate the Volume of an Object?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-calculate-the-volume-of-an-object\"></a></div>\n\
<p>There is currently no access to the Measure Utility from MAXScript, but you can use the following MAXScript function to get the same results:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` fn CalculateVolumeAndCenterOfMass obj = ( local Volume= 0.0 local Center= [0.0, 0.0, 0.0] local theMesh = snapshotasmesh obj local numFaces = theMesh.numfaces for i = 1 to numFaces do ( local Face= getFace theMesh i local vert2 = getVert theMesh Face.z local vert1 = getVert theMesh Face.y local vert0 = getVert theMesh Face.x local dV = Dot (Cross (vert1 - vert0) (vert2 - vert0)) vert0 Volume+= dV Center+= (vert0 + vert1 + vert2) * dV ) delete theMesh Volume /= 6 Center /= 24 Center /= Volume #(Volume,Center) )</p>\n\
<p>```</p>\n\
<p>``` --Call the function on a geometry object - the result will be a list --containing the Volume and the Center of mass in local space. s = sphere() theVolAndCom = CalculateVolumeAndCenterOfMass $Sphere001 --To get the world space of the Center of Mass just like in the Utility, --you have to do some extra work: theComInWorld = theVolAndCom[2] * $Sphere001.objectTransform</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";