var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I check if a string contains only numbers?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I check if a string contains only numbers?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-check-if-a-string-contains-only-numbers\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I want to check whether the text in an edit text UI element contains numbers or letters.</p>\n\
<p>If it contains numbers, I want it to return the numbers. If it contains letters, I want it to display a message &quot;You may only type numbers, try again&quot;.</p>\n\
<p>How do I do that?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` rollout MicroListener &quot;MicroListener&quot; ( edittext myEditText text:&quot;&quot; label theLabel &quot;Ready.&quot; on myEditText changed txt do ( if txt != &quot;&quot; then ( try ( val = execute txt theLabel.text = &quot;You typed in &quot;+ (val as string ) ) catch theLabel.text = &quot;Invalid Expression!&quot; ) else theLabel.text = &quot;Ready.&quot; ) on myEditText entered txt do myEditText.text = &quot;&quot; ) createDialog MicroListener 300 60</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This simple script implements a kind of &quot;micro-listener&quot;. It uses the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\' title=\'\'>Execute</a> method to turn the string typed in the edit text field into a MAXScript expression. It lets you not only enter numbers, but also constants like Pi, or global variables that you have defined. Not only this, you can define global variables inside the script, and even create objects on the fly.</p>\n\
<blockquote>\n\
<p><strong>HERE ARE SOME EXAMPLES:</strong></p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0D2756A1-2B84-4BA7-A9AC-4126BE75AB29-low.gif\' title=\'\'></div>\n\
<p>125.1 is a valid expression - it is a constant and evaluates to itself (125.1).</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D31DA20A-A205-4AA3-9005-90A898CCEDD1-low.gif\' title=\'\'></div>\n\
<p>On the other hand, d returns undefined as it is undefined.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1FA5C720-463D-4E94-873B-C7A58E06A292-low.gif\' title=\'\'></div>\n\
<p>Surprisingly, e does not return undefined - it is a reserved keyword in MAXScript!</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6C20FFE6-926B-43CF-8F9C-C8DFAAE5E136-low.gif\' title=\'\'></div>\n\
<p>Same with pi -as expected, it returns 3.14149....</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6FB2927D-E795-4273-9437-CBB32A61B4E4-low.gif\' title=\'\'></div>\n\
<p>Trying to add two undefined values results in an invalid expression.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1F59E8CF-562B-43CB-B43E-0F498823AE8E-low.gif\' title=\'\'></div>\n\
<p>This variable is also undefined.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A5FF195E-2FCB-4EBE-B358-AD9BCB0F727F-low.gif\' title=\'\'></div>\n\
<p>Until we define it. Now it is equal to 10.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-AB9244A9-1DF5-4729-89C3-64E73BA72725-low.gif\' title=\'\'></div>\n\
<p>So, you can write an expression containing constants and variables.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CCCFF6AD-C7C8-4999-9A32-E90E8693112E-low.gif\' title=\'\'></div>\n\
<p>Typing in a function name, in this case the constructor of a box, you get the function back.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-207977D7-8C5B-428C-860C-50B941904B8B-low.gif\' title=\'\'></div>\n\
<p>By calling the function, you can create objects just like in the &quot;real&quot; Listener.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CA6EF5B7-6AD9-4A42-B1B3-56F79F1F6AD3-low.gif\' title=\'\'></div>\n\
<p>This box is created 100 units to the right because the position is specified.</p>\n\
<p>And, so on.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";