var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I filter a string including empty entries?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I filter a string including empty entries?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-filter-a-string-including-empty-entries\"></a></div>\n\
<p>Note:</p>\n\
<p>In <strong>3ds Max 8 and higher</strong>, a keyword parameter <strong>splitEmptyTokens:</strong> can be passed to the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\' title=\'\'>filterString</a> function to perform this kind of filtering.</p>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>The filterString function does not return empty entries. For example, if I am filtering by tabs a string containing two tabs in a row, no empty entry will be returned.</p>\n\
<p>For example,</p>\n\
<p><span class=\'code\'>filterString &quot;One\\\\t\\\\tThree Four,,Five &quot;&quot;\\\\t, &quot;</span> <span class=\'code\'>#(&quot;One&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;Five&quot;)</span></p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>The following scripted function behaves as requested.</p>\n\
<blockquote>\n\
<p><strong>SCRIPTED FUNCTION:</strong></p>\n\
<p>``` fn filterString2 theString theDelimiters = ( theTokens = #() --array of tokens to return ready = false while not ready do --repeat until no more delimiters can be found ( ready = true --raise a flag that we are done thePosArray = #() --init. an array to hold possible split positions for i = 1 to theDelimiters.count do --go through all delimiters ( checkPos = findString theString theDelimiters[i] --check if the delimiter is in the string if checkPos != undefined do append thePosArray checkPos --if it is, add to the split positions array ) --end i loop if thePosArray.count &gt; 0 then --if the array has any splitpositions, ( sort thePosArray --sort the array in ascending order checkPos = thePosArray[1] --grab the first position aToken = substring theString 1 (checkPos-1) --take the token from start to the split pos. - 1 append theTokens aToken --add the token to the array of tokens theString = substring theString (checkPos+1) theString.count --remove the token and the delimiter from the string ready = false --lower the flag because we are not ready yet ) --end if ) --end while loop append theTokens theString --add what is left of the string to the array theTokens --return the array of tokens )</p>\n\
<p>```</p>\n\
<p>``` filterString2 &quot;One\\t\\tThree,Four,,Five &quot; &quot;\\t,&quot; #(&quot;One&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;&quot;, &quot;Five &quot;)</p>\n\
<p>```</p>\n\
<p>``` filterString2 &quot;One\\t\\tThree Four,,Five &quot; &quot;\\t, &quot; #(&quot;One&quot;, &quot;&quot;, &quot;Three&quot;, &quot;Four&quot;, &quot;&quot;, &quot;Five&quot;, &quot;&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";