var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I remove duplicate arrays from an array?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I remove duplicate arrays from an array?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-remove-duplicate-arrays-from-an-array\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I have an array of arrays like this:</p>\n\
<p><span class=\'code\'>#(#(1, 5), #(6, 10), #(6, 10), #(14, 18), #(14, 18))</span></p>\n\
<p>How can I search for, and get rid of, the duplicates, which in this case would be items at indices 2 &amp; 3 (#(6,10)), and 4 &amp; 5 (#(14,18)).</p>\n\
<p>If I use find Item, it just returns the first instance and does not continue searching. I have also tried comparing the first and second numbers using nested &#39;for&#39; loops, but I cannot set it up to work like I want. Mainly, there seems to be problems when deleting items from an array while it is going through a loop.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>Here is a long version with some debug prints so you can see what is happening.</p>\n\
<p>The key is to always count backwards when deleting elements from an array you are looping through. Otherwise, the loop gets confused as deleting elements renumbers the array items.</p>\n\
<blockquote>\n\
<p><strong>LONG VERSION</strong></p>\n\
<p>``` ( theArray = #(#(1, 5), #(6, 10), #(6, 10), #(14, 18), #(14, 18)) print &quot;Before:&quot; print theArray fn compareSubArrays first second = ( result = true if first.count != second.count then result = false else for i = 1 to first.count do if first[i] != second[i] do result = false result ) for i = 1 to theArray.count do ( for j = theArray.count to i+1 by -1 do ( format &quot;Comparing %:% to %:% \\n&quot; i theArray[i] j theArray[j] test = (compareSubArrays theArray[i] theArray[j]) print test if test do ( deleteItem theArray j format&quot;Deleting %\\n&quot;j ) )--end j loop )--end i loop print&quot;After:&quot; print theArray )</p>\n\
<p>```</p>\n\
<p><strong>RESULTS:</strong></p>\n\
<p>``` &quot;Before:&quot; #(1, 5) #(6, 10) #(6, 10) #(14, 18) #(14, 18) Comparing 1:#(1, 5) to 5:#(14, 18) false Comparing 1:#(1, 5) to 4:#(14, 18) false Comparing 1:#(1, 5) to 3:#(6, 10) false Comparing 1:#(1, 5) to 2:#(6, 10) false Comparing 2:#(6, 10) to 5:#(14, 18) false Comparing 2:#(6, 10) to 4:#(14, 18) false Comparing 2:#(6, 10) to 3:#(6, 10) true Deleting 3 Comparing 3:#(14, 18) to 4:#(14, 18) true Deleting 4 &quot;After:&quot; #(1, 5) #(6, 10) #(14, 18) OK OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>COMPACT VERSION WITH COMMENTS:</strong></p>\n\
<p>``` ( theArray = #(#(1, 5), #(6, 10), #(6, 10), #(14, 18), #(14, 18)) --Function to compare the content of two arrays fn compareSubArrays first second = ( result = true --init. return value to true if first.count != second.count then --if the count of the two subarrays is different, result = false--return false else --otherwise for i = 1 to first.count do --go through all elements in the arrays if first[i] != second[i] do result = false --and see if two elements are different result --return the result - true if identical, false if not ) for i= 1 to theArray.count do --go through all elements of the main array for j = theArray.count to i+1 by -1 do --go backwards from the last to the current+1 if compareSubArrays theArray[i] theArray[j] do deleteItem theArray j --if identical, delete the one with the higher index format &quot;%\\n&quot; theArray --print the result to the Listener )</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` #(#(1, 5), #(6, 10), #(14, 18)) OK OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";