var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Why does Execute return &#39;undefined&#39; when accessing a loop variable?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Why does Execute return &#39;undefined&#39; when accessing a loop variable?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"why-does-execute-return-undefined-when-accessing-a-loop-variable\"></a></div>\n\
<p>The following code tries to use Execute() function to convert the variable var containing the string &quot;x&quot; to the loop variable &#39;x&#39; and print its value. It returns &#39;undefined&#39; 10 times instead of printing the numbers from 1 to 10.</p>\n\
<blockquote>\n\
<p><strong>WHY DOES THIS FAIL?</strong></p>\n\
<p><span class=\'code\'>var =&quot;x&quot;   for x = 1 to 10 do   (     y = execute var     print y   )</span></p>\n\
</blockquote>\n\
<p>The answer to this question is based on the fact that Execute always uses the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\' title=\'\'>global scope</a>. On the other hand, a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>for loop</a> always creates a new scope and the variable &#39;x&#39; is local to this scope. This is the key to understanding the original problem and its solution - the Execute just does not &quot;see&quot; the local variable &#39;x&#39; in the global scope.</p>\n\
<p>Here is a possible solution which correctly prints the numbers from 1 to 10.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>global x --define a global stand-in variable for executing   var = &quot;x&quot; --define the string to execute   for xx = 1 to 10 do--the loop has a different var name   (     x = xx --copy the loop variable into global scope     y = execute var --execute in global scope     print y --print the result   )</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";