var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I Create a Button to Show the Next Object?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I Create a Button to Show the Next Object?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-create-a-button-to-show-the-next-object\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I want to create a button that shows only one object at a time, hiding all others. When I press it multiple times, it should loop through the scene objects showing me the next one.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>Here is a possible solution:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript showNext category: &quot;MXS Help&quot; ( local current_object = 0 --this is local to the macroScript on execute do ( allObjects = objects as array --collect all objects hide $* --hide all objects current_object += 1 --increment the counter if current_object &gt; allObjects.count do --loop if necessary current_object = 1 if allObjects.count &gt; 0 do --if anything in the scene... unhide allObjects[current_object] -- then unhide the current object ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>And this is the same script, but changed to show objects in alphabetical order:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` macroScript showNextABC category:&quot;MXS Help&quot; ( local current_object = 0 --this is local to the macroScript on execute do ( -- collect all names and sort them: allObjectNames = sort( for i in objects collect i.name ) hide $* --hide all objects current_object += 1 --increment counter if current_object &gt; allObjectNames.count do --loop if necessary current_object = 1 if allObjectNames.count &gt; 0 do --if anything in the scene... unhide getNodeByName allObjectNames[current_object] -- then get the object by name and unhide it ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";