var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I delete randomly a specified percentage of geometry objects?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I delete randomly a specified percentage of geometry objects?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-delete-randomly-a-specified-percentage-of-geometry-objects\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>I&#39;m trying to create a script that will delete a certain percentage of the objects in a scene. I want the objects to be chosen randomly. I want the script to affect only the meshes.</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>Here is a possible approach:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` ( -- Collect the object of a certain type into an array, for example -- this one collects all geometry objects, excluding the target objects -- which are of Geometry superClass for pre-MAXScript historical reasons</p>\n\
<p>candidatesArray = for o in Geometry where classof o != TargetObject collect o</p>\n\
<p>-- Because you want to remove random objects, but a specified percentage, -- it is a good idea to make the decision which objects will be deleted -- BEFORE actually deleting any objects. -- You can create a second array and fill it up with the actual -- objects to be deleted:</p>\n\
<p>deathRowArray = #() -- init. an empty array thePercentage = 50.0 -- define the percentage</p>\n\
<p>-- Calculate the number of objects to delete: numberToDelete = (thePercentage / 100.0 * candidatesArray.count) as integer</p>\n\
<p>-- Loop until the deathRow array is filled -- with the desired number of objects: while deathRowArray.count &lt; numberToDelete do ( newIndex = random 1 candidatesArray.count --generate new random index --if not already chosen, add it to the deathrow array if findItem deathRowArray candidatesArray[newIndex] == 0 do append deathRowArray candidatesArray[newIndex] ) delete deathRowArray --finally, delete the collected objects )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";