var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I call the dropdownList Selected handler as a function?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I call the dropdownList Selected handler as a function?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-call-the-dropdownlist-selected-handler-as-a-function\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>Event handlers of User Interface Controls can be called as functions. For example, myButton.pressed(), mySpinner.changed 10.0 and so on, but this is not possible with the onselected() event handler of a <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\' title=\'\'>dropdownlist control</a> because it already has a property called .selected that &quot;hides&quot; the function.</p>\n\
<p>Is there any way to call this method?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>Not directly - it is a known limitation, but unlikely to get fixed because of backwards compatibility problems.</p>\n\
<p>What you can do is define a function that does what the handler does, then call this custom function from both the handler and from whatever other code that wants to invoke the handler.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout testddl_rollout &quot;Dropdownlist Handler&quot; ( dropdownlist ddl_someList items:#(&quot;1&quot;,&quot;2&quot;,&quot;3&quot;)--this is the dropdownlist button btn_select1 &quot;Select 1&quot;--these buttons will set the list button btn_select2 &quot;Select 2&quot;--by calling the custom function that button btn_select3 &quot;Select 3&quot;--replaces the on selected() handler</p>\n\
<div class=\'codeBlock\'><pre>--this is the custom function that performs the operations normally done\n\
--inside the on selected() event handler:\n\
fn ddl_someList_Selected itm =--we pass the argument passed to the handler\n\
(\n\
  format &quot;You selected %\\n&quot; itm--and do something inside\n\
)\n\
--now we can call this custom function from the event hander itself\n\
on ddl_someList selected itm do ddl_someList_Selected itm\n\
--and from any other event handlers that want to affect the dropdownlist\n\
on btn_select1 pressed do ddl_someList_Selected (ddl_someList.selection = 1)\n\
on btn_select2 pressed do ddl_someList_Selected (ddl_someList.selection = 2)\n\
on btn_select3 pressed do ddl_someList_Selected (ddl_someList.selection = 3)\n\
</pre></div><p>) createDialog testddl_rollout</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";