var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I uncheck a MacroScript button correctly?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I uncheck a MacroScript button correctly?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-uncheck-a-macroscript-button-correctly\"></a></div>\n\
<div class=\'section\'><a id=\"a-user-asked\"></a><h2 id=\"a-user-asked\">A user asked:</h2></div>\n\
<p>Let&#39;s say you have a macroscript button that opens a dialog. Now you&#39;d like to take advantage of the isChecked handler to show the button being checked when the dialog is open and when pressed again (unchecked) will close the dialog. So far so good. Now the user closes the interface using the [x] button.. or any other means except pressing that same macroscript button. How does one go about un-checking that macroscript button?</p>\n\
<div class=\'section\'><a id=\"answer\"></a><h2 id=\"answer\">Answer:</h2></div>\n\
<p>Here is one possible way to implement this behavior using a &quot;private global&quot; variable (local to the macro Script&#39;s scope) which holds the current open/closed state.</p>\n\
<p>This variable can be set from inside the On Close() handler of the rollout so when you hit[X], it forces the3ds MaxGUI to update and uncheck the button.</p>\n\
<p>This can be done using a global variable (if you want other scripts to be able to force your script / dialog to close).Also, more error checking could be added, but the general idea is this:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` macroScript test category:&quot;Tests&quot; ( local isOpen = false --initialize to false (closed) rollout myRollout &quot;MyRollout&quot; ( label lbl_hello &quot;hello world&quot; on myRollout close do --when closing, set to false and redraw GUI ( isOpen = false updateToolbarButtons() ) ) on execute do ( if isOpen then --if open, close it ( destroyDialog myRollout isOpen = false--and lower the flag ) else --if closed, open it ( createDialog myRollout isOpen = true --and raise the flag ) ) on isChecked return isOpen --return the flag )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";