var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How do I update the items in a dropdownList or listBox?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How do I update the items in a dropdownList or listBox?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-do-i-update-the-items-in-a-dropdownlist-or-listbox\"></a></div>\n\
<p>The .items property is an <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>array</a> of strings. You can manipulate the array just like a regular array, use methods like <span class=\'code\'>append</span>, <span class=\'code\'>findItem</span>, <span class=\'code\'>deleteItem</span> etc. to change its content, and assign the result to the .items property as often as you want.</p>\n\
<p>The following sample script creates a <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\' title=\'\'>dialog</a> with a <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\' title=\'\'>listBox</a> UI element containing two initial items.There areal so three <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\' title=\'\'>buttons</a> to manipulate the content of the listBox.</p>\n\
<p>Pressing the first button will append a new item to the end of the list.</p>\n\
<p>Pressing the second button will insert the new item before the currently selected item.</p>\n\
<p>Pressing the third button will delete the currently selected item from the list.</p>\n\
<p>See the comments in the code for more details!</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( listBox testList items:#(&quot;Item 1&quot;,&quot;Item 2&quot;) button addToList &quot;Add Item To End Of List&quot; width:180 button insertToList &quot;Insert Before Current Item&quot; width:180 button removeFromList &quot;Remove Current Item&quot; width:180 --Append a new Item to the array. Since append returns the resuling array, --it is OK to assign the result directly to the .items property on addToList pressed do testList.items = append testList.items (&quot;Item &quot;+ (testList.items.count+1) as string) --Instert new item before current item on insertToList pressed do ( --Check whether current item selection exists (greater than 0) if testList.selection &gt; 0 do ( --Because insertItem returns OK instead of the resulting array, --you cannot assign the result of the expression directly to the property. --Instead, you have to get a copy of the items array in a local variable... temp_array = testList.items --...perform the insertion with the temp. array in the local variable... insertItem (&quot;Item &quot;+ (testList.items.count+1) as string) temp_array testList.selection --...and assign back the temp. array to the .items property testList.items = temp_array ) ) --Remove currently selected item from the list: on removeFromList pressed do ( --Check whether there are any items left and there is a valid selection. --Then delete the current item. DeleteItem returns the resulting array, --so you can assign the result directly to the .items property if testList.items.count &gt; 0 and testList.selection &gt; 0 do testList.items = deleteItem testList.items testList.selection ) ) createDialog test 200 220</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";