var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To Make It Better?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To Make It Better?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-make-it-better\"></a></div>\n\
<div class=\'section\'><a id=\"avoid-using-persistent-global-variables\"></a><h2 id=\"avoid-using-persistent-global-variables\">Avoid using persistent global variables</h2></div>\n\
<p>A good idea gone bad.</p>\n\
<p>Initially added to support scripted controllers and xrefs.</p>\n\
<p><strong>Problems:</strong></p>\n\
<ul>\n\
<li><p>No control over whether they are loaded</p></li>\n\
<li><p>Overwriting previous values</p></li>\n\
</ul>\n\
<p><strong>Solutions:</strong></p>\n\
<ul>\n\
<li><p>Use the new scripted controllers in <strong>3ds Max 8</strong></p></li>\n\
<li><p>Use scripted CAs for persistent data storage (see below)</p></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"using-scripted-cas-for-persistent-data-storage\"></a><h2 id=\"using-scripted-cas-for-persistent-data-storage\">Using scripted CAs for persistent data storage</h2></div>\n\
<p>Scripted Custom Attributes can be used instead of persistent global variables to store data with the scene file, avoiding the problems mentioned above.</p>\n\
<blockquote>\n\
<p><strong>A scripted CA can be placed on the scene root:</strong></p>\n\
<p>``` sceneDataCADef =attributes sceneDataCADef version:1 attribID:#(0x61e9ff5f, 0x63784819) ( parameters main rollout:params ( note type:#string ui:et_note default:&quot;&quot;) rollout params &quot;Scene Data Parameters&quot; ( edittext et_note &quot;Note: &quot;) )</p>\n\
<p>thescene = (refs.dependents rootnode)[1] rootNodeDataCA = undefined if (custattributes.add rootnode sceneDataCADef) do rootNodeDataCA = rootnode.custAttributes[rootnode.custAttributes.count] sceneDataCA = undefined if (custattributes.add thescene sceneDataCADef) do sceneDataCA = thescene.custAttributes[thescene.custAttributes.count] rootNodeDataCA.note sceneDataCA.note rootNodeDataCA.note = &quot;rootnode&quot; sceneDataCA.note = &quot;thescene&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>If the file is saved and reloaded, you can access the CAs:</strong></p>\n\
<p>``` rootNodeDataCA = undefined if(rootnode.custAttributes.count != 0) do rootNodeDataCA = rootnode.custAttributes[rootnode.custAttributes.count] sceneDataCA = undefined if(thescene.custAttributes.count != 0) do sceneDataCA = thescene.custAttributes[thescene.custAttributes.count]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>If the file is brought in as an XRef scene, you can still access the CAs:</strong></p>\n\
<p>``` xr = xrefs.getXRefFile 1 xr_root = xr.tree xr_rootNodeDataCA = undefined if (xr_root.custAttributes.count != 0) do xr_rootNodeDataCA = xr_root.custAttributes[xr_root.custAttributes.count]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"building-ui-on-scriptexpression-controller\"></a><h2 id=\"building-ui-on-scriptexpression-controller\">Building UI on Script/Expression Controller</h2></div>\n\
<p>By placing a scripted Custom Attributes definition on a script or expression controller, you can provide a custom UI for the controller.</p>\n\
<ul>\n\
<li><p>Define the CA to contain animatable parameters and rollout for UI.</p></li>\n\
<li><p>Create a script controller.</p></li>\n\
<li><p>Apply the CA to the script controller.</p></li>\n\
<li><p>Apply the script controller.</p></li>\n\
<li><p>Create variables in the script controller.</p></li>\n\
<li><p>Assign Target values to the variables, specifying the CA parameters as the targets.</p></li>\n\
<li><p>Display the CA’s UI using createDialog or newRolloutFloater &amp; addrollout</p></li>\n\
</ul>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` floatDataCADef = attributes floatDataCADef version:1 ( parameters main rollout:params ( prop1 type:#float ui:s_prop1 ) rollout params &quot;Parameters&quot; ( spinner s_prop1 &quot;Prop1: &quot;) fn getRollout = params )</p>\n\
<p>sc = float_Script() custattributes.add sc floatDataCADef floatCA = sc.custattributes[1] sc.addTarget &quot;prop1&quot; floatCA[#prop1]</p>\n\
<p>displayControlDialog sc &quot;&quot;</p>\n\
<p>mscas =for ca in sc.custattributes where isMSCustAttrib ca collect ca rollouts =for ca in mscas where isproperty ca #getrollout collect ca.getrollout() if rollouts.count == 1 then createdialog rollouts[1] else if rollouts.count &gt; 1 do ( width = rollouts[1].width for ro in rollouts do width = amax width ro.width rof = newrolloutfloater &quot;&quot; (width+13) 0 0 0 for ro in rollouts do addrollout ro rof height = 6 for ro in rollouts do height += ro.height + 24 rof.size = [rof.size.x,height] )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";