var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To Make It Faster?</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To Make It Faster?</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-make-it-faster\"></a></div>\n\
<p>The following chapter discusses some general rules and approaches to get the maximum speed out of your code. A MAXScript could do the job as expected but it could do it very slowly or very quickly depending on the writing style of the developer.</p>\n\
<p>In addition, optimizing a script for speed often leads to a cleaner code that is easier to read by others and to maintain by the developer.</p>\n\
<div class=\'section\'><a id=\"topics\"></a><h2 id=\"topics\">Topics:</h2></div>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Viewport-Redraws-when.html\' title=\'\'>Disable Viewport Redraws when making changes to scene objects</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Disable-Undo-system-when.html\' title=\'\'>Disable Undo system when possible</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Modify-Panel-can-be-slow-change.html\' title=\'\'>Modify Panel can be slow - change to Create Panel when possible</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-the-flagForeground-node.html\' title=\'\'>Use the &#39;flagForeground&#39; node viewport state method</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Never-get-a-single-pixel-when.html\' title=\'\'>Never get a single pixel when you can get a whole line</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Only-calculate-once-if-possible.html\' title=\'\'>Only calculate once if possible</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Cache-frequently-used-functions.html\' title=\'\'>Cache frequently used functions and objects</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Dice-your-data-into-smaller.html\' title=\'\'>Dice your data into smaller pieces</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\' title=\'\'>Use bitArrays instead of Arrays when possible</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\' title=\'\'>Pre-initialize arrays when final size is known</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Recursive-functions-can-be.html\' title=\'\'>Recursive functions can be faster</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/matchPattern-is-faster-than.html\' title=\'\'>matchPattern is faster than findString</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\' title=\'\'>Do not use return, break, exit or continue</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\' title=\'\'>Use StringStream to build large strings</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-name-values-instead-of.html\' title=\'\'>Use name values instead of strings when possible</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Try-not-to-use-Execute-function.html\' title=\'\'>Try not to use Execute function if there is an alternative</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-By-Index-Vs-For-Loop.html\' title=\'\'>For Loop By Index Vs For Loop Through Collection Performance</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/For-Loop-Collect-Vs-For-Loop-Do.html\' title=\'\'>For Loop Collect Vs For Loop Do Performance</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Optimizing-Particle-Flow-Script.html\' title=\'\'>Optimizing Particle Flow Script Operator For Loops For Speed</a></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Using-Bsearch-For-Fast-Table.html\' title=\'\'>Using Bsearch For Fast Table Lookup</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";