var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Do not use return, break, exit or continue</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Do not use return, break, exit or continue</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"do-not-use-return-break-exit-or-continue\"></a></div>\n\
<p>Return, break, exit, continue and throw are implemented using C++ exception.</p>\n\
<p>C++ exceptions are SLOW!</p>\n\
<blockquote>\n\
<p><strong>TEST CASES:</strong></p>\n\
<p>``` fn test1a v = (if v == true do return 1; 0) fn test1b v = (if v == true then 1 else 0)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<p>``` test1a true -- 15890 msec. test1a false -- 78 msec. test1b true -- 47 msec. test1b false -- 62 msec.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>TEST CASES:</strong></p>\n\
<p>``` fn test2a = ( local res for i = 1 to 1000 do if i == 10 do (res = i; break;) res )</p>\n\
<p>fn test2b = ( local notfound = true, res for i = 1 to 1000 while notfound do if i == 10 do (res = i; notfound = false;) res )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<p>``` test2a() -- 84265 msec. test2b() -- 1359 msec.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/matchPattern-is-faster-than.html\' title=\'\'>matchPattern is faster than findString</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-StringStream-to-build-large.html\' title=\'\'>Use StringStream to build large strings</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";