var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Pre-initialize arrays when final size is known</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Pre-initialize arrays when final size is known</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pre-initialize-arrays-when-final-size-is-known\"></a></div>\n\
<p>When adding elements to an array using the append method, a copy of the original array is being created in memory before the new array is created. When the size of an array is known before the array is actually used, it is a good practice to pre-initialize the array in memory by assigning the last element of the array to some temporary value. This will create an array of the desired size in memory and will let you simply assign values to any element of the array using indexed access without the memory overhead of the append method.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE, INSTEAD OF USING SOMETHING LIKE</strong></p>\n\
<p>``` MyArray = #()--creates an empty array for i = 1 to 100 do append MyArray (random 1 100)--append each element</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>YOU CAN USE</strong></p>\n\
<p>``` MyArray = #() MyArray[100] = 0--initialize a 100 elements array in memory for i = 1 to 100 do MyArray[i] = random 1 100--assign to predefined array</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-bitArrays-instead-of-Arrays.html\' title=\'\'>Use bitArrays instead of Arrays when possible</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Recursive-functions-can-be.html\' title=\'\'>Recursive functions can be faster</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";