var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Recursive functions can be faster</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Recursive functions can be faster</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"recursive-functions-can-be-faster\"></a></div>\n\
<p>A recursive function is a function that calls itself to perform repetitive tasks.</p>\n\
<p>The following scripted function returns a list of the animated subAnims of the object passed as the parameter. The script works well and is not too slow.</p>\n\
<blockquote>\n\
<p><strong>NON-RECURSIVE VERSION</strong></p>\n\
<p>``` fn getAllAnimatedProperties theObject = ( scan_properties = #(theObject) animated_props = #() cnt = 0 while cnt &lt; scan_properties.count do ( cnt +=1 currentObj = scan_properties[cnt] if try (currentObj.isAnimated) catch (false) do append animated_props currentObj for i = 1 to currentObj.numSubs do append scan_properties currentObj[i] ) animated_props ) s=sphere isSelected:true getAllAnimatedProperties $</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Now, take a look at this code:</p>\n\
<blockquote>\n\
<p><strong>RECURSIVE VERSION</strong></p>\n\
<p>``` animated_props = #() fn getAnimatedProps theObject = ( if try (theObject.isAnimated) catch (false) do append animated_props theObject for i = 1 to theObject.numSubs do getAnimatedProps theObject[i] ) getAnimatedProps $</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The recursive code does the same job, but is much shorter and almost 25% faster. To get some usable measurement, both scripts were executed 100,000 times. The first took 13.875 seconds, and the recursive version took only 10.656 seconds.</p>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Pre-initialize-arrays-when-final.html\' title=\'\'>Pre-initialize arrays when final size is known</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/matchPattern-is-faster-than.html\' title=\'\'>matchPattern is faster than findString</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";