var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Use StringStream to build large strings</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Use StringStream to build large strings</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"use-stringstream-to-build-large-strings\"></a></div>\n\
<p>If building strings, use a StringStream value to accumulate the string and then convert to a string.</p>\n\
<p>Each string addition creates a new string.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` a =&quot;AAA&quot; b = a + a + a +a + a + a --Creates 6 strings of length 3, 6, 9, 12, 15, 18</p>\n\
<p>```</p>\n\
<p>``` a =&quot;AAA&quot; b = (a + a + a) + (a + a + a) --Creates 6 strings of length 3, 6, 9, 6, 9, 18</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>TEST CASES:</strong></p>\n\
<p>``` fn test5a = ( local a =&quot;&quot; for i = 1 to 100 do a += (i as string) )</p>\n\
<p>```</p>\n\
<p>``` fn test5b = ( local ss = stringstream&quot;&quot; for i = 1 to 100 do format &quot;%&quot;(i as string) to:ss ss as string )</p>\n\
<p>```</p>\n\
<p>``` fn test5c = ( local ss = stringstream&quot;&quot;,fmt =&quot;%&quot; for i= 1 to 100 do format fmt (i as string) to:ss ss as string )</p>\n\
<p>```</p>\n\
<p>``` fn test5d = ( local ss = stringstream&quot;&quot;,fmt =&quot;%&quot; for i = 1 to 100 do format fmt ito:ss ss as string )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>FOR 100,000 ITERATIONS:</strong></p>\n\
<p>``` test5a() -- 58875 msec., 505 MB test5b() -- 54672 msec., 39.2 MB test5c() -- 41125 msec., 29.2 MB test5d() -- 13532 msec., 10.0 MB</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Previous Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\' title=\'\'>Do not use return, break, exit or continue</a></p>\n\
<p><strong>Next Tip</strong></p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Use-name-values-instead-of.html\' title=\'\'>Use name values instead of strings when possible</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";