var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Access the Z-Depth channel</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Access the Z-Depth channel</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-access-the-z-depth-channel\"></a></div>\n\
<p>The <strong>3ds Max</strong> scanline renderer generates a multitude of additional data channels providing information about colors, texture coordinates, normals, transparency, velocity, coverage etc. All of these channels can be accessed for reading via MAXScript.</p>\n\
<p>The following simple script will render an image including Z-buffer depth info and convert it into what is known as a &quot;voxel landscape&quot; using the depth data to generate geometry representing the single image pixels. This script requires that geometry exists in the scene.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\' title=\'\'>Deleting objects using wildcard pathname</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\' title=\'\'>Rendering the current view with Z-buffer data</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\' title=\'\'>Creating a Progressbar</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Reading and writing pixels</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Accessing the Z-buffer channel as greyscale mask</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Set the current renderer to scanline.</p>\n\
<p>Delete all objects from the last session.</p>\n\
<p>Render the current view with Z-buffer info to a bitmap.</p>\n\
<p>Go through all lines in the rendered image and through all pixels in each line</p>\n\
<p>For every pixel, get the color and the z-depth value and create a box representing that pixel using the color for the object’s wireframe color and the z-depth for the box’s height.</p>\n\
<p>Give each object a unique name to be able to easily delete them when needed.</p>\n\
<p>Display a progress bar to show how long it will take to go through all pixels.</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-01334F6A-43DE-42E6-8F4C-79EE46D056D8-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` renderers.current = Default_Scanline_Renderer() delete $VoxelBox<em> rbmp = render outputsize:[32,32] channels:#(#zdepth) vfb:off z_d = getchannelasmask rbmp #zdepth progressstart &quot;Rendering Voxels...&quot; for y = 1 to rbmp.height do ( progressupdate (100.0 </em> y / rbmp.height) pixel_line = getpixels rbmp [0,y-1] rbmp.width z_line = getpixels z_d [0,y-1] rbmp.width for x = 1 to rbmp.width do ( b = box width:10 length:10 height:(z_line[x].value/2) b.pos = [x<em>10,-y</em>10,0] b.wirecolor = pixel_line[x] b.name = uniquename &quot;VoxelBox&quot; )--end x loop )--end y loop progressend()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step:</h2></div>\n\
<div class=\'codeBlock\'><pre>renderers.current = Default_Scanline_Renderer()\n\
</pre></div><p>First we ensure that the scanline renderer is the current renderer, as the default renderer for 3ds Max (Arnold) does not output zDepth in the same way.</p>\n\
<div class=\'codeBlock\'><pre>delete $VoxelBox*\n\
</pre></div><p>We make sure any voxel objects from past sessions have been deleted. We delete all objects starting with &quot;VoxelBox&quot; no matter what other characters the name contains.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/PathName-Values.html\' title=\'\'>PathName Values</a></p>\n\
<div class=\'codeBlock\'><pre>rbmp = render outputsize:[32,32] channels:#(#zdepth) vfb:off\n\
</pre></div><p>Now we render the active viewport at 32x32 resolution and store the result in the variable <span class=\'code\'>rbmp</span> . We request an additional Z-depth channel to be generated. The Virtual Frame Buffer will be disabled during rendering.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\' title=\'\'>Controlling the Renderer</a></p>\n\
<div class=\'codeBlock\'><pre>z_d = getchannelasmask rbmp #zdepth\n\
</pre></div><p>After rendering the image, we request a copy of the ZDepth channel as a greyscale mask. It will be stored in the bitma <span class=\'code\'>z_d</span> .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>getChannelAsMask</a></p>\n\
<div class=\'codeBlock\'><pre>progressstart &quot;Rendering Voxels...&quot;\n\
</pre></div><p>We start a new progress indicator with a respective caption - it will be displayed in the status bar at the bottom of the UI.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\' title=\'\'>Progress Bar Display</a></p>\n\
<div class=\'codeBlock\'><pre>for y = 1 to rbmp.height do\n\
(\n\
</pre></div><p>Now we start looping through all lines in the rendered bitmap. The variable y will change from 1 to the height of the bitmap.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<div class=\'codeBlock\'><pre>progressupdate (100.0 * y / rbmp.height)\n\
</pre></div><p>The <span class=\'code\'>progressupdate</span> method requires a percentage value. We divide the current bitmap line number <span class=\'code\'>y</span> by the total number of lines <span class=\'code\'>rbmp.height</span> . This yields a result between 0.0 and 1.0</p>\n\
<p>Multiplied by 100.0 it returns a percentage between 0.0 and 100.0.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\' title=\'\'>Progress Bar Display</a></p>\n\
<div class=\'codeBlock\'><pre>pixel_line = getPixels rbmp [0,y-1] rbmp.width\n\
z_line = getpixels z_d [0,y-1] rbmp.width\n\
</pre></div><p>Now we read a whole line of pixels from both the RGBA bitmap and its z-buffer. Note that bitmap indices are 0-based and count from 0 to height minus one. This explains the &quot;minus one&quot; in the vertical position value.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>getPixels</a></p>\n\
<div class=\'codeBlock\'><pre>for x = 1 to rbmp.width do (\n\
</pre></div><p>By counting from 1 to the width of the bitmap, we access each pixel of the current scanline.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<div class=\'codeBlock\'><pre>b = box width:10 length:10 height:(z_line[x].value/2) pos:[x*10,-y*10,0]\n\
</pre></div><p>Now we create a box with width and length equal to 10, and height equal to half the Z-buffer&#39;s grayscale value. We also set the X and Y position to every 10 th world unit based on the pixel&#39;s coordinates. Note that we have to use the negative y value to get the upper left corner appear up left. A bitmap starts up left, while the positive quadrant of the MAX world space starts down left. This way we mirror the vertical coordinate to get a valid representation of the bitmap in the viewport.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces.html\' title=\'\'>Box : GeometryClass</a></p>\n\
<div class=\'codeBlock\'><pre>b.wirecolor = pixel_line[x]\n\
</pre></div><p>Using the RGB color of the rendered pixel, we assign a new wireframe color to the new box.</p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/GUID-00AB0CFA-3190-4A28-A185-4774B684F6D8.html#display-related-properties\' title=\'\'>Viewport_related_node_properties</a></p>\n\
<div class=\'codeBlock\'><pre>b.name = uniquename &quot;VoxelBox&quot;\n\
</pre></div><p>We also set its box&#39;s name to a unique name with the base &quot;VoxelBox&quot;</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>uniquename</a></p>\n\
<div class=\'codeBlock\'><pre>)--end x loop\n\
)--end y loop\n\
progressend()\n\
</pre></div><p>After the loops are over, we can end the progress display.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\' title=\'\'>Progress Bar Display</a></p>\n\
<div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>To run the script, simply press <strong>Ctrl+E</strong> or select <strong>Tools &gt; Evaluate All</strong> in the MAXScript Editor&#39;s menu. Make sure the current viewport shows the desired view to be rendered. The progress bar will let you know that the script is working. The result will be a group of boxes representing both color and depth of the rendered bitmap with the upper left corner at the world origin.</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>Using this script as starting point, you could play with the creation of different object types like Spheres, Cylinders etc. A more advanced version could alter the Z position of vertices in a mesh grid based on the camera Z depth for a real heightmap elevation.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";