var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Create Scripted Geometry Plug-in</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Create Scripted Geometry Plug-in</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-create-scripted-geometry-plug-in\"></a></div>\n\
<p>MAXScript lets you create scripted geometry plug-ins that can generate procedural mesh objects on the fly just like regular C++plug-ins.</p>\n\
<p>We are going to use the simple mesh code from the <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Create-Custom-Mesh-Object.html\' title=\'\'>How To ... Create Custom Mesh Object</a> topic and extend it to a scripted plug-in.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\' title=\'\'>Defining SimpleObject plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools.html\' title=\'\'>Scripted mouse tools</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\' title=\'\'>Mouse tool clauses</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Define a simpleObject scripted plug-in.</p>\n\
<p>Convert the basic parameters of the mesh object created in the first tutorial to parameter block parameters.</p>\n\
<p>Define a UI and link to the parameter block values.</p>\n\
<p>Paste the original mesh code into the buildMesh handler of the plug-in.</p>\n\
<p>Create a mouse tool to place the object and define the parameters.</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7AAADF6F-E1A4-45DC-8C8A-323F56F97879-low.gif\' title=\'\'></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-575B4BA5-0141-4123-AC9B-41D809647902-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` plugin simpleObject AntiStar name:&quot;AntiStar&quot; category:&quot;HowTo&quot; classID:#(0xe855567c, 0xbcd73b8b) ( parameters main rollout:params ( num_faces type:#integer ui:num_faces default:10 radius1 type:#float ui:radius1 default:0 radius2 type:#float ui:radius2 default:0 width type:#float ui:width default:1 ) rollout params &quot;AntiStar&quot; ( spinner num_faces &quot;# Faces&quot;range:[2,100,10] type:#integer spinner radius1 &quot;Radius 1 &quot;range:[0,10000,0] spinner radius2 &quot;Radius 2 &quot;range:[0,10000,0] spinner width &quot;Width &quot;range:[0,90,1] )</p>\n\
<p>on buildMesh do ( --Note: The code below has been taken from the --How To – Create Custom Mesh Object --topic and is identical.</p>\n\
<p>vert_array = #() face_array = #() vert_count = 0 for a = 0 to 360 by 360.0/num_faces do ( v1 = [radius1<em>cos(a+width), radius1</em>sin(a+width), 0] v2 = [radius1<em>cos(a-width), radius1</em>sin(a-width), 0] v3 = [radius2<em>cos(a),radius2</em>sin(a),0] append vert_array v1 append vert_array v2 append vert_array v3</p>\n\
<p>append face_array [vert_count+1,vert_count+3,vert_count+2] vert_count += 3 ) setMesh mesh verts:vert_array faces:face_array )--end buildMesh tool create ( on mousePoint click do ( case click of ( 1: coordsys grid (nodeTM.translation = gridPoint) ) ) on mouseMove click do ( case click of ( 2: (radius1 = abs(gridDist.y)) 3: (radius2 = abs(gridDist.y)) 4: (width = abs(gridDist.x)) 5: (#stop) ) ) )--end create )--end plugin</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>plugin simpleObject AntiStar\n\
name:&quot;AntiStar&quot;\n\
category:&quot;HowTo&quot;\n\
classID:#(0xe855567c, 0xbcd73b8b)\n\
(\n\
</pre></div><p>A scripted plug-in starts with the constructor <span class=\'code\'>plugin</span> followed by the superclass of the scripted plug-in ( <span class=\'code\'>simpleObject</span> ) and the new class name of the plug-in ( <span class=\'code\'>AntiStar</span> ). In addition, you have to provide the <span class=\'code\'>name</span> that appears in the effects list and a unique <span class=\'code\'>classID</span> .</p>\n\
<p>The <span class=\'code\'>classID</span> is used by <strong>3ds Max</strong> to recognize the plug-in class when loading the scene. To generate a new unique ID, you can use the <span class=\'code\'>GenclassID</span> () method in the Listener and copy the result into the script.</p>\n\
<p>To keep all versions of this plug-in compatible around the world, it is recommended to copy the above <span class=\'code\'>classID</span> .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-SimpleObject-Plug-ins.html\' title=\'\'>Scripted SimpleObject Plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>classID</a></p>\n\
<div class=\'codeBlock\'><pre>parameters main rollout:params\n\
(\n\
</pre></div><p>The scripted plug-in stores its parameters in a so-called Parameter Block. The ParamBlock2 format has been introduced in <strong>3ds Max 3</strong> and allows for easy properties and tracks management, automatic animation brackets in the UI, and more. In this case, we will store the same values used in the first mesh script (number of faces, the two radii and the width (offset) value) in the ParamBlock.</p>\n\
<p>All parameters in the block have their counterparts in the plug-ins rollout in the UI. By providing the rollout name, you allow the ParamBlock to establish an automatic connection between the internal values and the UI elements.</p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/GUID-461915FA-31A2-49CE-84AF-2544B782ACA3.html#parameters\' title=\'\'>Mid Topic ID: Parameter_block2</a></p>\n\
<div class=\'codeBlock\'><pre>num_faces type:#integer ui:num_faces default:10\n\
</pre></div><p>The <span class=\'code\'>num_faces</span> object property controls the number of &quot;rays&quot; in the object, actually the number of faces. It is an integer and corresponds to a spinner in the UI with the same name. The default number of faces are 10.</p>\n\
<div class=\'codeBlock\'><pre>radius1 type:#float ui:radius1 default:10\n\
</pre></div><p>The <span class=\'code\'>radius1</span> object property controls the outer radius of the object. It is a floating point value and corresponds to a spinner in the UI with the same name. The default radius on creation is 10. If you create an object using MAXScript by calling the constructor <span class=\'code\'>antiStar(),</span> the object uses this value as the default outer radius.</p>\n\
<div class=\'codeBlock\'><pre>radius2 type:#float ui:radius2 default:0\n\
</pre></div><p>The <span class=\'code\'>radius2</span> object property controls the inner radius of the object. It is a floating point value and corresponds to a spinner in the UI with the same name. The default radius on creation is 0.</p>\n\
<div class=\'codeBlock\'><pre>width type:#float ui:width default:1\n\
</pre></div><p>The <span class=\'code\'>width</span> object property controls the offset of the outer vertices and defines the width of the rays. It is a floating point value and corresponds to a spinner in the UI with the same name. The default width on creation is 1.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
rollout params &quot;AntiStar&quot;\n\
(\n\
spinner num_faces &quot;# Faces&quot; range:[2,100,10] type:#integer\n\
spinner radius1 &quot;Radius 1&quot; range:[0,10000,0]\n\
spinner radius2 &quot;Radius 2&quot; range:[0,10000,0]\n\
spinner width &quot;Width&quot; range:[0,90,1]\n\
)\n\
</pre></div><p>Now, you can provide the rollout with UI elements referenced by the Parameter Block. The UI elements can limit the input values using the optional <span class=\'code\'>range:</span> parameter, but the default value is taken from the ParamBlock2.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\' title=\'\'>Rollout Clauses</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\' title=\'\'>Spinner</a></p>\n\
<div class=\'codeBlock\'><pre>on buildMesh do (\n\
</pre></div><p>The <span class=\'code\'>buildMesh</span> is the main handler of scripted simpleObject plug-ins. It is called each time the geometry needs to be updated. Inside the handler, you can use our existing mesh generation code from the other tutorial to generate the vertices and faces of the mesh.</p>\n\
<div class=\'codeBlock\'><pre>vert_array = #()\n\
face_array = #()\n\
vert_count = 0\n\
for a = 0 to 360 by 360.0/num_faces do\n\
(\n\
v1 = [radius1*cos(a+width),radius1*sin(a+width),0]\n\
v2 = [radius1*cos(a-width),radius1*sin(a-width),0]\n\
v3 = [radius2*cos(a),radius2*sin(a),0]\n\
append vert_array v1\n\
append vert_array v2\n\
append vert_array v3\n\
append face_array [vert_count+1,vert_count+3,vert_count+2]\n\
vert_count += 3\n\
)\n\
setMesh mesh verts:vert_array faces:face_array\n\
</pre></div><p>The <span class=\'code\'>buildMesh</span> handler accepts the <span class=\'code\'>setMesh</span> method that feeds the mesh generation data into a fast routine, which regenerates the object on the fly.</p>\n\
<div class=\'codeBlock\'><pre>)--end buildMesh\n\
tool create\n\
(\n\
</pre></div><p>The <span class=\'code\'>tool create</span> handles the mouse controls on object creation.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools.html\' title=\'\'>Scripted Mouse Tools</a></p>\n\
<div class=\'codeBlock\'><pre>on mousePoint click do\n\
(\n\
</pre></div><p>The <span class=\'code\'>on mousePoint</span> handler is executed each time the user clicks with the mouse in the viewport. The variable <span class=\'code\'>click</span> counts the number of clicks.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\' title=\'\'>Mouse_Tools_Event_Handlers</a></p>\n\
<div class=\'codeBlock\'><pre>case click of\n\
(\n\
1: coordsys grid (nodeTM.translation = gridPoint)\n\
</pre></div><p>In case the user has clicked for the first time, you can set the translation part of the Node Transformation Matrix of the object to the grid point the user specified. This repositions the center of the object to the clicked point in the active grid.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\' title=\'\'>Mouse_Tools_nodeTM</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\' title=\'\'>Mouse_Tools_gridPoint</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
)\n\
on mouseMove click do\n\
(\n\
</pre></div><p>The <span class=\'code\'>on mouseMove</span> handler is executed each time the user moves the mouse in the viewport. The variable <span class=\'code\'>click</span> counts the number of clicks.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\' title=\'\'>Mouse_Tools_Event_Handlers</a></p>\n\
<div class=\'codeBlock\'><pre>Case click of\n\
(\n\
</pre></div><p>The case expression allows the selection of options based on the value of the supplied variable. It is similar to using multiple if statements to compare the same variable with multiple values.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Case-Expression.html\' title=\'\'>Case Expression</a></p>\n\
<div class=\'codeBlock\'><pre>2: (radius1 = abs(gridDist.y))\n\
</pre></div><p>If the user has clicked twice so far, set the outer radius to the Y distance from the center of the object to the current mouse position.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools/Mouse-Tool-Clauses.html\' title=\'\'>Mouse_Tools_gridDist</a></p>\n\
<div class=\'codeBlock\'><pre>3: (radius2 = abs(gridDist.y))\n\
</pre></div><p>If the user has clicked tree times, set the inner radius to the Y distance from the center of the object to the current mouse position.</p>\n\
<div class=\'codeBlock\'><pre>4: (width = abs(gridDist.x))\n\
</pre></div><p>If the user has clicked four times, set the offset to the outer vertices by measuring the X distance from the center of the object to the current mouse position.</p>\n\
<div class=\'codeBlock\'><pre>5: (#stop)\n\
</pre></div><p>Finally, finish the creation. A new object is created.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
)\n\
)--end create\n\
)--end plugin\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>This is a scripted plug-in and it is handled by <strong>3ds Max</strong> as a real C++ plug-in.</p>\n\
<p>To install it permanently on your system, copy the file to the \\plugins folder or to any other folder listed in the plug-in paths.</p>\n\
<p>To try the plug-in without installing it permanently, evaluate the code and look under Create panel&gt;Geometry&gt;HowTo category in the drop-down list. The plug-in is only available for the single session and will not be there after restarting <strong>3ds Max</strong>.</p>\n\
<p>Any MAX files saved with the plug-in in the scene will require the script to be installed and evaluated in order to load correctly.</p>\n\
<p>To use the plug-in, click the AntiStar button in the Create panel &gt; Geometry &gt; HowTo. Click in the viewport to define the center, drag to define the outer radius, click and drag again to define the inner radius, and click and drag again to define the width. Click to finish or right-click to cancel.</p>\n\
<p>Play with the controls in the UI under the Modify panel and note how quickly the mesh is updated by the script.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";