var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Create a Dalmatian TextureMap Plug-in</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Create a Dalmatian TextureMap Plug-in</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-create-a-dalmatian-texturemap-plug-in\"></a></div>\n\
<p>The following example shows how to extend an existing texture map plug-in. You can reduce the number of exposed UI elements and link some of them together in a logical way to achieve a new look.</p>\n\
<p>The same effect can be easily achieved using a normal Cellular procedural map with the right settings, but a new interface greatly simplifies the task for the end user.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>Scripted Plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-TextureMap-Plug-ins.html\' title=\'\'>Scripted TextureMap Plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/GUID-461915FA-31A2-49CE-84AF-2544B782ACA3.html#event-handlers\' title=\'\'>Scripted_Plugin_Event_Handlers</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Extend the existing Cellular map</p>\n\
<p>Replace the existing UI with a simplified one</p>\n\
<p>Create a parameter block to hold the new UI values</p>\n\
<p>Create Handlers to logically link values together</p>\n\
<p>Create a new rollout linked to the parameter block with two colors and three spinners</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-428C296D-4DDD-4EE1-A6BB-4F4BD46A9794-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` plugin textureMap Dalmatian name:&quot;Dalmatian&quot; classID:#(0x7f14579d, 0x5caf6eb8) extends:Cellular replaceUI:true ( parameters main rollout:params ( DColor1 type:#color default:(color 255 255 255) ui:color1 DColor2 type:#color default:(color 0 0 0) ui:color2 Dsize type:#float default:30.0 ui:dot_size Dspread type:#float default:10.0 ui:dot_spread Dsmooth type:#float default:20.0 ui:dot_smooth on DColor1 set val do delegate.divColor1 = delegate.divColor2 = val on DColor2 set val do delegate.cellColor = val on DSize set val do delegate.size = val on DSpread set val do delegate.spread = val/100.0 on DSmooth set val do ( delegate.lowthresh = 1.0-(val/50.0) delegate.midthresh = 1.0-(val/100.0) delegate.highthresh = 1.0 ) )--end params rollout params &quot;Dalmatian Map Parameters&quot; ( colorpicker color1 &quot;Base Color&quot; align:#right fieldwidth:48 colorpicker color2 &quot;Dots Color&quot; align:#right fieldwidth:48 spinner dot_smooth &quot;Smoothing&quot; range:[0,100,20]<br> align:#left fieldwidth:40 across:3 spinner dot_spread &quot;Spread&quot; range:[0,100,10] align:#center fieldwidth:40 spinner dot_size &quot;Dot Size&quot; range:[0,100,30] align:#right fieldwidth:40 )--end rollout )--end plugin</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>plugin textureMap Dalmatian\n\
name:&quot;Dalmatian&quot;\n\
</pre></div><p>A scripted plug-in starts with the constructor <span class=\'code\'>plugin</span> followed by the superclass of the scripted plug-in ( <span class=\'code\'>textureMap</span> ) and the new class name of the plug-in ( <span class=\'code\'>Dalmatian</span> ). In addition, you need to provide the <span class=\'code\'>name</span> that appears in the Map Browser.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>Scripted Plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-TextureMap-Plug-ins.html\' title=\'\'>Scripted TextureMap Plug-ins</a></p>\n\
<div class=\'codeBlock\'><pre>classID:#(0x7f14579d, 0x5caf6eb8)\n\
</pre></div><p>The <span class=\'code\'>classID</span> is used by <strong>3ds Max</strong> to recognize the plug-in class when loading the scene. To generate a new unique ID, you can use the <span class=\'code\'>GenclassID</span> () method in the Listener and copy the result into the script.</p>\n\
<p>To keep all versions of this plug-in compatible around the world, it is recommended to copy the above <span class=\'code\'>classID</span> .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>classID</a></p>\n\
<div class=\'codeBlock\'><pre>extends:Cellular\n\
</pre></div><p>As you are extending an existing texture map, you have to supply the class of the original plug-in, in this case Cellular.</p>\n\
<div class=\'codeBlock\'><pre>replaceUI:true\n\
(\n\
</pre></div><p>Finally, request a UI replacement – the original UI of the Cellular map is not displayed. Instead, you can create your own UI rollout showing just the controls needed to control the new texture.</p>\n\
<div class=\'codeBlock\'><pre>parameters main rollout:params\n\
(\n\
</pre></div><p>The scripted plug-in stores its parameters in a so-called Parameter Block. The ParamBlock2 format has been introduced in <strong>3ds Max 3</strong> and allows for easy properties and tracks management, automatic animation brackets in the UI, and more. In this case, you can store some user parameters (dot and background color, dot size, and so on).</p>\n\
<p>All parameters in the block will have their counterparts in the plug-ins rollout in the UI. By providing the rollout name, you allow the ParamBlock to establish an automatic connection between the internal values and the UI elements.</p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/GUID-461915FA-31A2-49CE-84AF-2544B782ACA3.html#parameters\' title=\'\'>Parameter_block2</a></p>\n\
<div class=\'codeBlock\'><pre>DColor1 type:#color default:(color 255 255 255) ui:color1\n\
</pre></div><p>This parameter controls the base (background) color. It is of type #color and the default value is white. This parameter is linked to the UI spinner color1. Later, you can control the two Division colors of the host Cellular map with this value.</p>\n\
<div class=\'codeBlock\'><pre>DColor2 type:#color default:(color 0 0 0) ui:color2\n\
</pre></div><p>This parameter controls the dot color. It is of type #color and the default value is black. This parameter is linked to the UI spinner color2. Later, you can control the Cell colors of the host Cellular map with this value.</p>\n\
<div class=\'codeBlock\'><pre>Dsize type:#float default:30.0 ui:dot_size\n\
</pre></div><p>This parameter controls the size of the dots. It is of type #float (a floating point value) and the default value is 30.0. This parameter is linked to the UI spinner dot_size and controls the Size property of the host Cellular map.</p>\n\
<div class=\'codeBlock\'><pre>Dspread type:#float default:10.0 ui:dot_spread\n\
</pre></div><p>This parameter controls the spreading of the dots. It is of type #float (a floating point value) and the default value is 10.0. This parameter is linked to the UI spinner dot_spread. Later, you can control the host Cellular map’s own Spread property with it.</p>\n\
<div class=\'codeBlock\'><pre>Dsmooth type:#float default:20.0 ui:dot_smooth\n\
</pre></div><p>This parameter controls the smoothing of the dots. It is of type #float (a floating point value) and the default value is 20.0. This parameter is linked to the UI spinner dot_smooth. Later, you can control the Low, Mid and High Thresholds of the Cellular map with it.</p>\n\
<div class=\'codeBlock\'><pre>on DColor1 set val do delegate.divColor1 = delegate.divColor2 = val\n\
</pre></div><p>This is a change handler that is executed each time the value of the parameter DColor1 is changed (usually because the user has changed the value of the UI element linked to it). The variable val contains the new value. When the value changes, you can assign it to the divcolor1 and divcolor2 parameters of the Cellular map. Delegate stands for the host map. You can see all available parameters of the Cellular map by using:</p>\n\
<blockquote>\n\
<p>``` showProperties (cellular()) .cellColor (Cell_Color) : RGB color .divColor1 (Division_Color1) : RGB color .divColor2 (Division_Color2) : RGB color .cellMap : texmap .divMap1 (DivisionMap1) : texmap .divMap2 (DivisionMap2) : texmap .map1Enabled (Map1_On) : boolean .map2Enabled (Map2_On) : boolean .map3Enabled (Map3_On) : boolean .variation : float .size : float .spread : float .lowThresh (Low) : float .midThresh (Mid) : float .highThresh (High) : float .type : integer .fractal : boolean .iteration (Iterations) : float .roughness : float .smooth (Bump_smoothing) : float .adaptive : boolean .coords : max object .output : max object</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on DColor2 set val do delegate.cellColor = val\n\
</pre></div><p>This is a change handler that is executed each time the value of the parameter <span class=\'code\'>Dcolor2</span> is changed. The variable <span class=\'code\'>val</span> contains the new value. When the value changes, you can assign it to the <span class=\'code\'>.cellColor</span> parameter of the Cellular map.</p>\n\
<div class=\'codeBlock\'><pre>on DSize set val do delegate.size = val\n\
</pre></div><p>This is a change handler that is executed each time the value of the parameter <span class=\'code\'>Dsize</span> is changed. The variable <span class=\'code\'>val</span> contains the new value. When the value changes, you can assign it to the <span class=\'code\'>.Size</span> parameter of the Cellular map.</p>\n\
<div class=\'codeBlock\'><pre>on DSpread set val do delegate.spread = val/100.0\n\
</pre></div><p>This is a change handler that is executed each time the value of the parameter <span class=\'code\'>DSpread</span> is changed. The variable <span class=\'code\'>val</span> contains the new value. When the value changes, you can assign the value divided by 100.0 to the <span class=\'code\'>.Spread</span> parameter of the Cellular map. This way, you can have a Spread value of 100.0 percent in the UI while using it in the range from 0.0 to 1.0 in the host Cellular map. This makes manipulating values easier for the end user.</p>\n\
<div class=\'codeBlock\'><pre>on DSmooth set val do\n\
(\n\
delegate.lowthresh = 1.0-(val/50.0)\n\
delegate.midthresh = 1.0-(val/100.0)\n\
delegate.highthresh = 1.0\n\
)\n\
</pre></div><p>Lastly, you can define the change handler of the parameter <span class=\'code\'>Dsmooth</span> . The variable <span class=\'code\'>val</span> contains the new value. When the value changes, you can assign the value in different proportions to the Low and Mid Threshold, and 1.0 to the High Threshold.</p>\n\
<div class=\'codeBlock\'><pre>)--end params\n\
rollout params &quot;Dalmatian Map Parameters&quot;\n\
(\n\
</pre></div><p>This is the new UI rollout to replace the original Cellular map UI.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\' title=\'\'>Rollout Clauses</a></p>\n\
<div class=\'codeBlock\'><pre>colorpicker color1 &quot;Base Color&quot; align:#right fieldwidth:48\n\
colorpicker color2 &quot;Dots Color&quot; align:#right fieldwidth:48\n\
</pre></div><p>These two color pickers are linked to the respective color parameters in the ParameterBlock2. You do not have to assign a default color here – the default value stored in the ParameterBlock2 is displayed automatically because of the internal two-directional connection between parameters and UI elements.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Colorpicker-UI-Control.html\' title=\'\'>Colorpicker</a></p>\n\
<div class=\'codeBlock\'><pre>spinner dot_smooth &quot;Smoothing&quot; range:[0,100,20] \\\n\
align:#left fieldwidth:40 across:3\n\
spinner dot_spread &quot;Spread&quot; range:[0,100,10] align:#center fieldwidth:40\n\
spinner dot_size &quot;Dot Size&quot; range:[0,100,30] align:#right fieldwidth:40\n\
</pre></div><p>These three spinners are also linked to the respective Floating Point parameters in the ParameterBlock2. You do not have to assign a default value here, but you need to specify the range of the value allowed by the UI – the ParameterBlock2 parameters like most internal values in <strong>3ds Max</strong> do not have any range limitations.</p>\n\
<p>Using the across:3 keyword, you can force the UI to place the three spinners in a single horizontal row.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\' title=\'\'>Spinner</a></p>\n\
<div class=\'codeBlock\'><pre>)--end rollout\n\
)--end plugin\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>Evaluate the script. A new Dalmatian map appears in the Material/Map browser. You can use it anywhere a regular texture map is used. The default look is like of a typical Dalmatian dog’s skin.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";