var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Create a MonoChrome RenderEffect</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Create a MonoChrome RenderEffect</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-create-a-monochrome-rendereffect\"></a></div>\n\
<p>MAXScript lets you create scripted plug-ins which function similar to plug-ins written in MSVC++ using the Max SDK. One of the scriptable plug-in classes is the RenderEffect class. We will write a very simple plug-in which will simply remove the color from the rendering.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>Scripted Plug-ins</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\' title=\'\'>RenderEffects</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Getting and Setting Pixel values</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\' title=\'\'>RenderEffect Progress Callback Mechanism</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Create a scripted RenderEffect to change the rendered image after rendering.</p>\n\
<p>Go through all lines in the image and through all pixels in each line</p>\n\
<p>Replace the color information in each pixel with the monochrome value, keep alpha</p>\n\
<p>Update the renderer progress bar based on the current line and total number of lines</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-30243C03-E118-4E03-B096-D44DAFDF1CB4-low.gif\' title=\'\'></div>\n\
<p><img src=\'developer/images/GUID-6E2356E0-8F2A-4443-B734-B215D2C8BB3E-low.gif\' title=\'\'> <img src=\'developer/images/GUID-87EBDA27-CC7D-4706-B34C-7FF237D0D036-low.gif\' title=\'\'></p>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` plugin RenderEffect MonoChrome name:&quot;MonoChrome&quot; classID:#(0x9e6e9e77, 0xbe815df4) ( rollout about_rollout &quot;About...&quot; ( label about_label &quot;MonoChrome Filter&quot; ) on apply r_image progressCB: do ( progressCB.setTitle &quot;MonoChrome Effect&quot; local oldEscapeEnable = escapeEnable escapeEnable = false bmp_w = r_image.width bmp_h = r_image.height for y = 0 to bmp_h-1 do ( if progressCB.progress y (bmp_h-1) then exit pixel_line = getPixels r_image [0,y] bmp_w for x = 1 to bmp_w do ( p_v = pixel_line[x].value pixel_line[x] = color p_v p_v p_v pixel_line[x].alpha )--end x loop setPixels r_image [0,y] pixel_line )--end y loop escapeEnable = oldEscapeEnable )--end on apply )--end plugin</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step:</h2></div>\n\
<div class=\'codeBlock\'><pre>plugin RenderEffect MonoChrome\n\
name:&quot;MonoChrome&quot;\n\
classID:#(0x9e6e9e77, 0xbe815df4)\n\
(\n\
</pre></div><p>A scripted plug-in starts with the constructor <span class=\'code\'>plugin</span> followed by the superclass of the scripted plug-in ( <span class=\'code\'>renderEffect</span> ) and the class name of the plug-in ( <span class=\'code\'>MonoChrome</span> ). In addition, we have to provide the <span class=\'code\'>name</span> which will appear in the effects list, and a unique <span class=\'code\'>classID</span> .</p>\n\
<p>The <span class=\'code\'>classID</span> is used by <strong>3ds Max</strong> to recognize the plug-in class when loading the scene. To generate a new unique ID, you can use the <span class=\'code\'>GenclassID()</span> method in the Listener and copy the result into the script.</p>\n\
<p>To keep all versions of this plug-in compatible around the world, it is recommended to copy the above classID though.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>Scripted Plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\' title=\'\'>Scripted RenderEffect Plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>classID</a></p>\n\
<div class=\'codeBlock\'><pre>rollout about_rollout &quot;About...&quot;\n\
(\n\
label about_label &quot;MonoChrome Filter&quot;\n\
)\n\
</pre></div><p>The plug-in will have no controls. We will create a very simple rollout containing a single line of text just to show the user he has loaded something.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\' title=\'\'>Rollout Clauses</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Label-UI-Control.html\' title=\'\'>Label</a></p>\n\
<div class=\'codeBlock\'><pre>on apply r_image progressCB: do\n\
(\n\
</pre></div><p>A renderEffect plug-in has a main handler which will be executed each time the effect is applied to the image. The image buffer of the renderer will be passed as the only parameter to the handler - we use a user variable named <span class=\'code\'>r_image</span> which will contain the image we will work on. Also, we define a progress callback object in order to update the main renderer progress bar while processing the image.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-RenderEffect-Plug-ins.html\' title=\'\'>Scripted RenderEffect Plug-ins</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\' title=\'\'>RenderEffect Progress Callback Mechanism</a></p>\n\
<div class=\'codeBlock\'><pre>progressCB.setTitle &quot;MonoChrome Effect&quot;\n\
</pre></div><p>Using the <span class=\'code\'>setTitle</span> method in the <span class=\'code\'>progressCB</span> object, we define the name to be displayed in the Rendering Effect progress window resp. the Renderer Progress window during processing. In the former case, the line will read &quot;Currently Updating: MonoChrome Effect&quot;. In the latter case, the line will read &quot;Current Task: MonoChrome Effect&quot;.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\' title=\'\'>RenderEffect Progress Callback Mechanism</a></p>\n\
<div class=\'codeBlock\'><pre>local oldEscapeEnable = escapeEnable\n\
escapeEnable = false\n\
</pre></div><p>In order to be able to capture and process the pressing of the Escape key during the main loop of the effect without actually breaking the script execution, we will have to disable the MAXScript Escape key handling. For this purpose we will store the current state of the Escape handling ( <span class=\'code\'>true</span> or <span class=\'code\'>false</span> ) in a temporary user variable and then assign <span class=\'code\'>false</span> to the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\' title=\'\'>MAXScript System Global variable controlling the Escape handling</a>. Later on, after the main loop, we will set it back to its original state stored in the <span class=\'code\'>oldEscapeEnable</span> user variable.</p>\n\
<div class=\'codeBlock\'><pre>bmp_w = r_image.width\n\
</pre></div><p>We will need the <span class=\'code\'>width</span> of the rendered image. We store the <span class=\'code\'>.width</span> property of the image in the user variable <span class=\'code\'>bmp_w</span> .</p>\n\
<div class=\'codeBlock\'><pre>bmp_h = r_image.height\n\
</pre></div><p>We will also need the <span class=\'code\'>height</span> of the rendered image. We store the <span class=\'code\'>.height</span> property of the image in the user variable <span class=\'code\'>bmp_h</span> .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>bitmap.height</a></p>\n\
<div class=\'codeBlock\'><pre>for y = 0 to bmp_h-1 do\n\
(\n\
</pre></div><p>We will loop through all lines in the image. Image pixel access requires 0-based indexing, this means the upper left pixel of a 640x480 image has coordinates [0,0] and the bottom right pixel has coordinates [639,479]. The variable <span class=\'code\'>y</span> will be assigned the values from 0 to the height of the image minus 1 each time the for loop repeats itself.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<div class=\'codeBlock\'><pre>if progressCB.progress y (bmp_h-1) then exit\n\
</pre></div><p>This line does two things:</p>\n\
<p>Since the <span class=\'code\'>.progress</span> method of the progress callback object returns <span class=\'code\'>true</span> when the user has pressed Escape and <span class=\'code\'>false</span> otherwise, we check the return value and exit the loop when <span class=\'code\'>true</span> is returned. This will bring us to the line after the end of the <span class=\'code\'>y</span> loop.</p>\n\
<p>The same method also accepts two arguments – the current value and the max. value needed to calculate the progress percentage. In our case, we supply the current line and the total number of lines. For example, if we are on line 300 and the bitmap has 600 lines, the progress bar will show 50% done...</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/RenderEffect-Progress-Callback.html\' title=\'\'>RenderEffect Progress Callback Mechanism</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Loop-Exit.html\' title=\'\'>Loop Exit</a></p>\n\
<div class=\'codeBlock\'><pre>pixel_line = getPixels r_image [0,y] bmp_w\n\
</pre></div><p>The <span class=\'code\'>getpixels</span> function reads pixels from the specified file starting at the position supplied by the Point2 value and reads the number of pixels specified by the last value. The result will be assigned as array to the user variable <span class=\'code\'>pixel_line</span> . We start reading at the first pixel to the left and read all <span class=\'code\'>bmp_w</span> pixels - a whole scanline contains as many pixels as the width of the image.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>getPixels</a></p>\n\
<div class=\'codeBlock\'><pre>for x = 1 to bmp_w do\n\
(\n\
</pre></div><p>Now we can loop through all values in the array of pixel values. Because arrays in MAXScript are 1-Based, we count from 1 to the width of the image.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<div class=\'codeBlock\'><pre>p_v = pixel_line[x].value\n\
pixel_line[x] = color p_v p_v p_v pixel_line[x].alpha\n\
</pre></div><p>This is the actual core of the code - we get the .Value property of the color (its greyscale intensity) and generate a new color value with Red, Green and Blue values equal to the .Value of the original pixel. To keep the alpha channel untouched, we just add the original alpha value to the RGBA color. We store the result at the same position in the array and thus overwrite the color information with a grayscale version!</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Color-Values.html\' title=\'\'>Color Values</a></p>\n\
<div class=\'codeBlock\'><pre>)--end x loop\n\
setPixels r_image [0,y] pixel_line\n\
</pre></div><p>After processing all pixels of a scanline, the <span class=\'code\'>setpixels</span> function writes the array <span class=\'code\'>pixel_line</span> containing the new grayscale values back into the image starting at the same position. This overwrites the colors in the current line <span class=\'code\'>y</span> .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>setPixels</a></p>\n\
<div class=\'codeBlock\'><pre>)--end y loop\n\
</pre></div><p>We are ready with the loops and the whole bitmap has been changed. The <span class=\'code\'>on apply</span> handler will return the resulting bitmap to the system and it will be shown in the Virtual Frame Buffer.</p>\n\
<div class=\'codeBlock\'><pre>escapeEnable = oldEscapeEnable\n\
</pre></div><p>As mentioned before, we will have to set the MAXScript Escape key handling to its original state before the render effect loop.</p>\n\
<div class=\'codeBlock\'><pre>)--end on apply\n\
)--end plugin\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>After evaluating the script, a new plug-in effect called &quot;MonoChrome&quot; will appear on the Renderer &gt; Effects... &gt; Add... list. Add it to the effects queue and render the scene. The result will be a monochrome version of the rendering. Note that scripted renderEffects are relatively slow compared to &quot;real&quot; plug-ins written with the SDK, but are very flexible and fast to prototype.</p>\n\
<p>In the Virtual Frame Buffer, you can take a look at the Alpha and Monochrome version of the image - the Alpha should be unchanged, and the Monochrome version should be identical to the RGB image generated by the renderEffect.</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>A relatively easy change to this basic script would be the change of only every Nth line of the bitmap. By just adding a <span class=\'code\'>by 2</span> option to the for y loop you will affect only every second line!</p>\n\
<div class=\'codeBlock\'><pre>for y = 0 to bmp_h-1 by 2 do\n\
</pre></div><p>Adding <span class=\'code\'>by 2</span> to the x loop too will affect only a grid of pixels! You could play with values higher than 2, or even add UI controls for user-defined line and pixel steps.</p>\n\
<p>A more complex change to the script would be the tinting of the monochrome image by using different proportions of the monochrome value in the R, G and B channels. To do this, you could add a rollout and a paramBlock defining 3 Float values and let the user specify how much of each channel to be used. Then multiply the p_v value by the 3 values while assigning them to the R, G and B values of the image.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";