var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Create a Quick Preview</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Create a Quick Preview</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-create-a-quick-preview\"></a></div>\n\
<p>The following macroScript will implement a highly simplified version of the Preview Animation feature of <strong>3ds Max</strong>. We will access the content of the viewport directly and build an AVI file which will be then automatically loaded in the RAM player.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining MacroScripts</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Accessing Active Viewport Info, Type, and Transforms</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Bitmap Values</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/GUID-1B088FF0-6A36-420E-9F37-F0DBE9FB2676.html#dib--device-independent-bitmap--methods\' title=\'\'>Device_Independent_Bitmap_access</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/RAMPlayer/ramplayer.html\' title=\'\'>RAMPlayer</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>Define an AVI output path name in the Previews system directory.</p>\n\
<p>Get the size of the current viewport.</p>\n\
<p>Create a bitmap with the size of the viewport and set the file name to the output path .</p>\n\
<p>Loop through all animation frames in the current segment.</p>\n\
<p>Set the slider to the time from the loop.</p>\n\
<p>Capture the viewport Device Independent Bitmap.</p>\n\
<p>Copy the DIB to the pre-defined bitmap.</p>\n\
<p>Save the current frame to disk.</p>\n\
<p>When ready with all frames, close the bitmap.</p>\n\
<p>Force garbage collection manually to clear any used memory.</p>\n\
<p>Load the ready animation in the RAM player.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` macroScript QuickPreview category: &quot;HowTo&quot; ( preview_name = (getDir #preview)+&quot;/quickpreview.avi&quot; view_size = getViewSize() anim_bmp = bitmap view_size.x view_size.y filename:preview_name for t = animationrange.start to animationrange.end do ( sliderTime = t dib = gw.getViewportDib() copy dib anim_bmp save anim_bmp ) close anim_bmp gc() ramplayer preview_name &quot;&quot; )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript QuickPreview category:&quot;HowTo&quot;\n\
(\n\
</pre></div><p>The macroScript will be called <span class=\'code\'>QuickPreview</span> . To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a></p>\n\
<div class=\'codeBlock\'><pre>preview_name = (getDir #preview)+&quot;/quickpreview.avi&quot;\n\
</pre></div><p>Now we define the output path for the preview AVI file. Using the <span class=\'code\'>getDir</span> function we access the current preview path specified in <strong>3ds Max</strong>’ Customize&gt;Configure Paths. We add the file name to the path separated with a slash. (we could also use double-backslash &quot;\\&quot; as directory delimiter). The resulting path will be stored in a user variable called preview_name.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\' title=\'\'>3ds MaxSystem Directories</a></p>\n\
<div class=\'codeBlock\'><pre>view_size = getViewSize()\n\
</pre></div><p>Next we check the size of the currently active viewport. The result of the <span class=\'code\'>getViewSize</span> function is a Point2 value containing the width and height of the viewport in pixels. We will store this value in another user variable called <span class=\'code\'>view_size</span> .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Accessing Active Viewport Info, Type, and Transforms</a></p>\n\
<div class=\'codeBlock\'><pre>anim_bmp = bitmap view_size.x view_size.y filename:preview_name\n\
</pre></div><p>Using these two user variables, we can define a bitmap to store the preview. We supply the x and y component of the viewport size as the width and height parameters of the bitmap constructor, and set the filename to the already defined preview path.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Bitmap Values</a></p>\n\
<div class=\'codeBlock\'><pre>for t = animationrange.start to animationrange.end do\n\
(\n\
</pre></div><p>A for loop will iterate through all frames in the current animation segment. The variable t will contain the frame number of each frame, starting with the start value of the animation range interval and ending with the end value.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>animationRange_System_Global</a></p>\n\
<div class=\'codeBlock\'><pre>sliderTime = t\n\
</pre></div><p>Using the t variable, we move the time slider from frame to frame.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>3ds MaxSystem Globals</a></p>\n\
<div class=\'codeBlock\'><pre>dib = gw.getViewportDib()\n\
</pre></div><p>On each frame, we capture the viewport bitmap (Device Independent Bitmap, DIB) in a temporary variable.</p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/GUID-1B088FF0-6A36-420E-9F37-F0DBE9FB2676.html#dib--device-independent-bitmap--methods\' title=\'\'>Device_Independent_Bitmap_access</a></p>\n\
<div class=\'codeBlock\'><pre>copy dib anim_bmp\n\
</pre></div><p>Then we copy the content of the dib variable (which is the bitmap showing the viewport’s content) into the preview bitmap we created. This adds a new frame to the AVI preview animation.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Bitmap Values</a></p>\n\
<div class=\'codeBlock\'><pre>save anim_bmp\n\
</pre></div><p>Before repeating the same on the next frame, we save the current content of the bitmap to disk.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Bitmap Values</a></p>\n\
<div class=\'codeBlock\'><pre>)--end t loop\n\
close anim_bmp\n\
</pre></div><p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Bitmap Values</a></p>\n\
<div class=\'codeBlock\'><pre>gc()\n\
</pre></div><p>When all frames have been stored, we can close the animation file and manually force garbage collection to ensure the memory used while copying bitmaps around has been released.</p>\n\
<p>In <strong>3ds Max 5</strong>, you can use <span class=\'code\'>gc light:true</span> to free up memory.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage/Manual-Garbage-Collection.html\' title=\'\'>Manual Garbage Collection</a></p>\n\
<div class=\'codeBlock\'><pre>ramplayer preview_name &quot;&quot;\n\
</pre></div><p>Finally, we call the RAM Player and provide the path of the preview animation as first parameter, and an empty string as the second. The two parameters tell the RAM player which two files to load. The empty string is a place holder for a non-existing animation – we want to preview just one file.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/RAMPlayer/ramplayer.html\' title=\'\'>RAMPlayer</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>Evaluate the script. To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p>Select the viewport you want to preview (you can drag the viewport division to make it smaller for faster results) and start the script. The animation will be played once, then the RAM Player should open and load the preview animation.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";