var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Develop A Transform Lock Script</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Develop A Transform Lock Script</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-transform-lock-script\"></a></div>\n\
<p>This simple tutorial is based on an actual real-world case – a <strong>3ds Max</strong> user wanted to create a button to check all 9 checkboxes in the Hierarchy Panel&gt;Link Info &gt; Locks. Unfortunately, he discovered that the MacroRecorder does not output any code for this operation.</p>\n\
<p>Below are the steps required to solve this case including searching the index of this Online Help...</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macroscripts</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\' title=\'\'>General Node Properties</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Open a new Script Editor by going to MAXScript&gt;New Script in the Main menu.</p>\n\
<p>Search the Online Help and locate a method that affects the Transformation locks.</p>\n\
<ul>\n\
<li><p>Open the Online Help</p></li>\n\
<li><p>Go to the &quot;Search&quot; tab of the Help System</p></li>\n\
<li><p>Enter in the search field: &quot;lock all transform&quot; and press Enter</p></li>\n\
<li><p>The first result (Rank 1) returned is &quot;Node Common Properties, Operators and Methods&quot;.</p></li>\n\
<li><p>Note that all occurrences of the search words will be highlighted in the help page.</p></li>\n\
<li><p>Scroll down until you see the &quot;setTransformLockFlags&quot;.</p></li>\n\
<li><p>Copy the line and paste it into a new script editor.</p></li>\n\
<li><p>Keep the Help file open for further reference.</p></li>\n\
</ul>\n\
<p>Create a macroScript to be able to use the script as a button, menu item or shortcut.</p>\n\
<p>Call the method for the current scene selection.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` macroScript LockAllTransforms category: &quot;HowTo&quot; ( setTransformLockFlags selection #all )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step:</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript LockAllTransforms category:&quot;HowTo&quot; (\n\
</pre></div><p>The macroScript will be called <span class=\'code\'>LockAllTransforms</span>. To use the script, you can go toMain Menu &gt; Customize &gt; Customize User Interface..., locate the category &quot;HowTo&quot;and drag the script to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a></p>\n\
<div class=\'codeBlock\'><pre>setTransformLockFlags selection #all\n\
</pre></div><p>The Help definition of this method lists it as --mapped. This means that it can be applied directly to a collection of objects without an additional MAXScript <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>for</a> loop. In our case we will use the current scene selection – the method will be called for each object in the selection.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\' title=\'\'>General Node Properties</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>Evaluate the script. To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut. Select some objects and launch the script – all checkboxes under Hierarchy Panel&gt;Link Info &gt; Locks will be checked.</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>As already mentioned, by just replacing the <strong>#all</strong> keyword with <strong>#none</strong>, the script can be altered to uncheck all boxes instead. Feel free to write a second macroScript (probably called UnlockAllTransforms) for this operation...</p>\n\
<p>Also note that in <strong>3ds Max 4</strong>, the <span class=\'code\'>setTransformLockFlags</span> method wasn’t mappable. In case you want your script to be backwards compatible with that version, you could use a for loop to change each object separately. The code would look like</p>\n\
<div class=\'codeBlock\'><pre>for i in selection do setTransformLockFlags i #all\n\
</pre></div><div class=\'section\'><a id=\"update\"></a><h2 id=\"update\">Update</h2></div>\n\
<p>Some users who did this tutorial in <strong>3ds Max 5</strong> actually went even further and tried to use the general BitArray access to the Lock Flags. Here are some details about the usage of <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/BitArray-Values.html\' title=\'\'>BitArrays</a> in this case.</p>\n\
<p>The <span class=\'code\'>setTransformLockFlags</span> method description under <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\' title=\'\'>General Node Properties</a> explains that there are 9 bits in the BitArray corresponding to the position, rotation and scale locks.</p>\n\
<p>A BitArray is a list of binary values (bits) which can be either True or False. A BitArray is defined by # followed by curly braces {} containing the indices of the True bits separated by commas. For example, #{1,4,7} will set only the X-axis locks of all 3 categories to True.</p>\n\
<p>When multiple bits are set to True, they can be written as the first and last index separated by .., for example #{1..9} defines a BitArray of 9 elements all of which are set to True. It would be equivalent to the <span class=\'code\'>#all</span> flag when using with the <span class=\'code\'>setTransformLockFlags</span> method. #{} would be equivalent to the <span class=\'code\'>#none</span> flag. #{1..3} would only check the first 3 Locks while turning the other 6 off and so on.</p>\n\
<p>Feel free to experiment with the BitArray values and define further macroScripts to set only the Position, the Rotation or the Scale locks.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";