var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Call a MAXScript Function Periodically using DotNet</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Call a MAXScript Function Periodically using DotNet</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-call-a-maxscript-function-periodically-using-dotnet\"></a></div>\n\
<p>The following tutorials demonstrate the use of the System.Windows.Forms.Timer dotNetObject as alternative to the MAXScript Timer UI Control. Other than the latter, the DotNet object version does not require a MAXScript User Interface to be created and opened to run a MAXScript function at given time intervals.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet In MAXScript</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotnetobject.html\' title=\'\'>dotNetObject</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Selected-DotNet-Classes-and/dotNetObject-System-Windows.html\' title=\'\'>dotNetObject:System.Windows.Forms.Timer</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Create a DotNet Timer Object.</p>\n\
<p>Define a MAXScript function to be called periodically by the timer.</p>\n\
<p>Register an Event Handler to call the function</p>\n\
<p>Start the Timer.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` theTimer = dotNetObject &quot;System.Windows.Forms.Timer&quot; fn printTime = (print localTime) dotnet.addEventHandler theTimer &quot;tick&quot; printTime theTimer.interval = 1000 theTimer.start() --theTimer.stop()</p>\n\
<p>```</p>\n\
<p><strong>SAMPLE LISTENER OUTPUT:</strong></p>\n\
<p>``` dotNetObject:System.Windows.Forms.Timer printTime() OK 1000 undefined &quot;10/20/2007 1:11:28 PM&quot; &quot;10/20/2007 1:11:29 PM&quot; &quot;10/20/2007 1:11:30 PM&quot; &quot;10/20/2007 1:11:31 PM&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>theTimer = dotNetObject &quot;System.Windows.Forms.Timer&quot;\n\
</pre></div><p>Create a Timer.</p>\n\
<div class=\'codeBlock\'><pre>fn printTime = (print localTime)\n\
</pre></div><p>Define a MAXScript function to be called by the Timer.</p>\n\
<div class=\'codeBlock\'><pre>dotnet.addEventHandler theTimer &quot;tick&quot; printTime\n\
</pre></div><p>Add ON TICK event handler to call the function.</p>\n\
<div class=\'codeBlock\'><pre>theTimer.interval = 1000\n\
</pre></div><p>Set the tick interval to 1 second (1000 milliseconds).</p>\n\
<div class=\'codeBlock\'><pre>theTimer.start()\n\
</pre></div><p>Start the Timer.</p>\n\
<div class=\'codeBlock\'><pre>--theTimer.stop()\n\
</pre></div><p>Remove the remark and call this method to stop the Timer.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";