var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Print Using DotNet</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Print Using DotNet</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-print-using-dotnet\"></a></div>\n\
<p>The following tutorials shows the basics of displaying and printing a text file using DotNet.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet In MAXScript</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotnetobject.html\' title=\'\'>dotNetObject</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly.html\' title=\'\'>MaxCustomControls Assembly</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Define a MaxForm using the MaxCustomControls assembly containing a text box and two buttons.</p>\n\
<p>Implement a function to print a text file to be called by the Print button&#39;s event handler.</p>\n\
<p>Implement a function to open a text file when the event handler of the Open File button is called.</p>\n\
<p>Register the event handlers.</p>\n\
<p>Ensure the event handlers will not be garbage collected.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Example code provided by Artur Leão ( dotNet.loadAssembly &quot;MaxCustomControls.dll&quot; local filetoprint = &quot;&quot; local printFont = dotnetobject &quot;System.Drawing.Font&quot; &quot;Arial&quot; 10 local streamReader</p>\n\
<p>hForm = dotNetObject &quot;MaxCustomControls.MaxForm&quot; hForm.Size = dotNetObject &quot;System.Drawing.Size&quot; 640 480 hForm.FormBorderStyle = (dotnetclass &quot;System.Windows.Forms.FormBorderStyle&quot;).FixedToolWindow hForm.Text = &quot;Printing with dotNet&quot; hForm.ShowInTaskbar = False</p>\n\
<p>txtTextBox = dotNetObject &quot;System.Windows.Forms.TextBox&quot; txtTextBox.MultiLine = True txtTextBox.WordWrap = False txtTextBox.Size = dotNetObject &quot;System.Drawing.Size&quot; 500 430 txtTextBox.Location = dotNetObject &quot;System.Drawing.Point&quot; 10 10 txtTextBox.ScrollBars = txtTextBox.ScrollBars.Both</p>\n\
<p>btnOpenFile = dotNetObject &quot;System.Windows.Forms.Button&quot; btnOpenFile.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 10 btnOpenFile.Text = &quot;Open File&quot;</p>\n\
<p>btnPrint = dotNetObject &quot;System.Windows.Forms.Button&quot; btnPrint.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 40 btnPrint.Text = &quot;Print&quot;</p>\n\
<p>frmOpenFileDialog = dotNetObject &quot;System.Windows.Forms.OpenFileDialog&quot; frmOpenFileDialog.Filter = &quot;txt files (<em>.txt)|</em>.txt|Script Files (<em>.ms)|</em>.ms|ini files (<em>.ini)|</em>.ini|XML files (<em>.xml)|</em>.xml|All files (<em>.</em>)|<em>.</em>&quot;</p>\n\
<p>fn btnOpenFile_Click = ( dlgResult = dotNetClass &quot;System.Windows.Forms.DialogResult&quot; if frmOpenFileDialog.ShowDialog() == dlgResult.OK do ( IOFile = dotNetClass &quot;System.IO.File&quot; txtTextBox.Text = IOFile.ReadAllText frmOpenFileDialog.Filename filetoprint = frmOpenFileDialog.Filename )--end if )--end fn</p>\n\
<p>fn pd_PrintPage sender ev = ( count = 0 linesperpage = ev.MarginBounds.Height / printFont.GetHeight(ev.Graphics) yPos = 0 leftMargin = ev.MarginBounds.Left topMargin = ev.MarginBounds.Top currentline = &quot;&quot; brush = dotnetobject &quot;System.Drawing.Solidbrush&quot; (dotnetclass &quot;System.Drawing.Color&quot;).black stringformat = dotnetobject &quot;System.Drawing.StringFormat&quot; while count &lt; linesperpage do( currentline = streamReader.ReadLine() if currentline == undefined do exit yPos = topMargin + count * printFont.GetHeight(ev.Graphics) ev.Graphics.DrawString currentline printFont brush leftMargin yPos stringformat count += 1 )--end while loop if currentline != undefined then ev.HasMorePages = true else ev.HasMorePages = false )--end fn</p>\n\
<p>fn btnPrint_Click = ( if filetoprint != &quot;&quot; then ( try ( streamReader = dotnetobject &quot;System.IO.Streamreader&quot; filetoprint pd = dotnetobject &quot;System.Drawing.Printing.PrintDocument&quot; dotnet.addeventhandler pd &quot;PrintPage&quot; pd_PrintPage pd.Print() streamReader.Close() )catch print (getCurrentException()) )--end if )--end fn</p>\n\
<p>dotNet.AddEventHandler btnOpenFile &quot;Click&quot; btnOpenFile_Click dotNet.AddEventHandler btnPrint &quot;Click&quot; btnPrint_Click</p>\n\
<p>hForm.Controls.Add(txtTextBox) hForm.Controls.Add(btnOpenFile) hForm.Controls.Add(btnPrint)</p>\n\
<p>dotnet.setLifetimeControl btnOpenFile #dotnet dotnet.setLifetimeControl btnPrint #dotnet</p>\n\
<p>hForm.ShowModeless() )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>(\n\
dotNet.loadAssembly &quot;MaxCustomControls.dll&quot;\n\
</pre></div><p>We load a custom assembly containing <strong>3ds Max</strong> specific controls.</p>\n\
<div class=\'codeBlock\'><pre>local filetoprint = &quot;&quot;\n\
</pre></div><p>This variable will store the name of the file to print.</p>\n\
<div class=\'codeBlock\'><pre>local printFont = dotnetobject &quot;System.Drawing.Font&quot; &quot;Arial&quot; 10\n\
</pre></div><p>We create an object instance of the System.Drawing.Font class with font name Arial and size of 10 and store the object in the user variable for later use.</p>\n\
<div class=\'codeBlock\'><pre>local streamReader\n\
</pre></div><p>This user variable will hold the stream reader.</p>\n\
<div class=\'codeBlock\'><pre>hForm = dotNetObject &quot;MaxCustomControls.MaxForm&quot;\n\
</pre></div><p>Let&#39;s create our main form.</p>\n\
<div class=\'codeBlock\'><pre>hForm.Size = dotNetObject &quot;System.Drawing.Size&quot; 640 480\n\
</pre></div><p>We set the size of the form to 640 x 480 using the System.Drawing.Size object.</p>\n\
<div class=\'codeBlock\'><pre>hForm.FormBorderStyle = (dotnetclass &quot;System.Windows.Forms.FormBorderStyle&quot;).FixedToolWindow\n\
</pre></div><p>We also set the border style of the form to the predefined value FixedToolWindow which is exposed by the System.Windows.Forms.FormBorderStyle class.</p>\n\
<p>Alternatively, we could use the fact that the left-hand-side hForm.FormBorderStyle value is the same class we are assigning from at the right-hand-size, so we could say</p>\n\
<div class=\'codeBlock\'><pre>hForm.FormBorderStyle = hForm.FormBorderStyle.FixedToolWindow\n\
hForm.Text = &quot;Printing with dotNet&quot;\n\
</pre></div><p>We set the title of the form to the string...</p>\n\
<div class=\'codeBlock\'><pre>hForm.ShowInTaskbar = False\n\
</pre></div><p>...and we make sure the new form does not appear in the Windows Taskbar.</p>\n\
<div class=\'codeBlock\'><pre>txtTextBox = dotNetObject &quot;System.Windows.Forms.TextBox&quot;\n\
</pre></div><p>Now we need a textbox to display the content of the file to print.</p>\n\
<div class=\'codeBlock\'><pre>txtTextBox.MultiLine = True\n\
txtTextBox.WordWrap = False\n\
</pre></div><p>The textbox will allow multiple lines of text and no word wrapping.</p>\n\
<div class=\'codeBlock\'><pre>txtTextBox.Size = dotNetObject &quot;System.Drawing.Size&quot; 500 430\n\
txtTextBox.Location = dotNetObject &quot;System.Drawing.Point&quot; 10 10\n\
</pre></div><p>The textbox will have a size of 500x430 pixels and its upper left corner will be placed at coordinates 10,10 relatively to the upper left corner of the form.</p>\n\
<div class=\'codeBlock\'><pre>txtTextBox.ScrollBars = txtTextBox.ScrollBars.Both\n\
</pre></div><p>We will allow both horizontal and vertical scrollbars.</p>\n\
<div class=\'codeBlock\'><pre>btnOpenFile = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
btnOpenFile.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 10\n\
btnOpenFile.Text = &quot;Open File&quot;\n\
</pre></div><p>We will need a button to open a file to print.</p>\n\
<p>We create a new button object and set its position to coordinates 520,10 inside the form. Its caption will read &quot;Open File&quot;.</p>\n\
<div class=\'codeBlock\'><pre>btnPrint = dotNetObject &quot;System.Windows.Forms.Button&quot;\n\
btnPrint.Location = dotNetObject &quot;System.Drawing.Point&quot; 520 40\n\
btnPrint.Text = &quot;Print&quot;\n\
</pre></div><p>We will need another button to start printing.</p>\n\
<p>We create a new button object and set its position to coordinates 520,40 inside the form. Its caption will read &quot;Print&quot;.</p>\n\
<div class=\'codeBlock\'><pre>frmOpenFileDialog = dotNetObject &quot;System.Windows.Forms.OpenFileDialog&quot;\n\
frmOpenFileDialog.Filter = &quot;txt files (*.txt)|*.txt|Script Files (*.ms)|*.ms|ini files (*.ini)|*.ini|XML files (*.xml)|*.xml|All files (*.*)|*.*&quot;\n\
</pre></div><p>In order to select a file for printing, we will need an OpenFileDialog object set to filter the typical file types.</p>\n\
<div class=\'codeBlock\'><pre>fn btnOpenFile_Click = (\n\
</pre></div><p>We will need an even handler function to be called when the Open File button is pressed.</p>\n\
<div class=\'codeBlock\'><pre>dlgResult = dotNetClass &quot;System.Windows.Forms.DialogResult&quot;\n\
</pre></div><p>We will be using the OpenFileDialog we pre-defined earlier, so we need a user variable containing the class DialogResult to compare the result of the dialog with the predefined results.</p>\n\
<div class=\'codeBlock\'><pre>if frmOpenFileDialog.ShowDialog() == dlgResult.OK do (\n\
</pre></div><p>We call the ShowDialog() method of the OpenFileDialog object which displays the dialog and lets the user pick a file. Once it returns, we compare the return value of the dialog with the OK value of the DialogResult class to see if the operation finished successfully (as opposed to being canceled by the user).</p>\n\
<div class=\'codeBlock\'><pre>IOFile = dotNetClass &quot;System.IO.File&quot;\n\
txtTextBox.Text = IOFile.ReadAllText frmOpenFileDialog.Filename\n\
</pre></div><p>If a valid file was picked, we will use the System.IO.File class to read the file and assign its content to the textbox in the form. We simply call the method ReadAllText in the System.IO.File class and pass the filename returned by the OpenFileDialog as argument. The result from this method gets assigned to the text of the textBox.</p>\n\
<div class=\'codeBlock\'><pre>filetoprint = frmOpenFileDialog.Filename\n\
</pre></div><p>At this point, we can store the selected filename in the local variable filetoprint so we can use it when printing the file.</p>\n\
<div class=\'codeBlock\'><pre>)--end if\n\
)--end fn\n\
\n\
fn pd_PrintPage sender ev = (\n\
</pre></div><p>Before we define an even handler function for the Print button, will will need a function to perform the whole printing operation. It gets two arguments - the sender and the event.</p>\n\
<div class=\'codeBlock\'><pre>local count = 0\n\
</pre></div><p>We will need a count variable to increment the line count as we process the text.</p>\n\
<div class=\'codeBlock\'><pre>linesperpage = ev.MarginBounds.Height / printFont.GetHeight(ev.Graphics) \n\
</pre></div><p>To calculate the number of lines per page, we have to divide the height of the printed document page between the margins by the height of the printing font.</p>\n\
<div class=\'codeBlock\'><pre>yPos = 0\n\
</pre></div><p>This variable will be used to calculate and store the vertical position to print at.</p>\n\
<div class=\'codeBlock\'><pre>leftMargin = ev.MarginBounds.Left\n\
topMargin = ev.MarginBounds.Top\n\
</pre></div><p>We grab the left and top margins into user variables, too.</p>\n\
<div class=\'codeBlock\'><pre>currentline = &quot;&quot;\n\
</pre></div><p>This variable will hold the current line.</p>\n\
<div class=\'codeBlock\'><pre>brush = dotnetobject &quot;System.Drawing.Solidbrush&quot; (dotnetclass &quot;System.Drawing.Color&quot;).black\n\
</pre></div><p>We create a solid brush object with black color.</p>\n\
<div class=\'codeBlock\'><pre>stringformat = dotnetobject &quot;System.Drawing.StringFormat&quot;\n\
</pre></div><p>This variable will contain an object required by the DrawString method later on.</p>\n\
<div class=\'codeBlock\'><pre>while count &lt; linesperpage do (\n\
</pre></div><p>While the counter is less than the number of lines per page, we repeat the following</p>\n\
<div class=\'codeBlock\'><pre>currentline = streamReader.ReadLine()\n\
</pre></div><p>We read a line from the streamreader - the variable was initialized in the beginning and will be assigned in the event handler of the Print button.</p>\n\
<div class=\'codeBlock\'><pre>if currentline == undefined do exit\n\
</pre></div><p>If the currentline variable contains undefined (which means we read past the end of the file), we exit the loop.</p>\n\
<div class=\'codeBlock\'><pre>yPos = topMargin + count * printFont.GetHeight(ev.Graphics)\n\
</pre></div><p>We now calculate the vertical position to print at by adding the height of the font multiplier by the current line counter to the top margin.</p>\n\
<div class=\'codeBlock\'><pre>ev.Graphics.DrawString currentline printFont brush leftMargin yPos stringformat\n\
</pre></div><p>Finally, we can draw the string of the current line using the current font and brush at horizontal position equal to the left margin, vertical position according to the yPos value calculated in the previous step and format based on the string format object.</p>\n\
<div class=\'codeBlock\'><pre>count += 1\n\
</pre></div><p>We increment the counter by one and the loop repeats unless we have reached the end of the page or the end of the file.</p>\n\
<div class=\'codeBlock\'><pre>)--end while loop\n\
if currentline != undefined then ev.HasMorePages = true else ev.HasMorePages = false \n\
</pre></div><p>We check to see why the loop exited - if the current line is not undefined, then there are more pages to print and we set the corresponding property of the PrintDocument object to notify it whether it should keep on printing or not.</p>\n\
<p>Note that the same can be written shorter as</p>\n\
<div class=\'codeBlock\'><pre>ev.HasMorePages = currentline != undefined\n\
)--end fn\n\
\n\
fn btnPrint_Click = (\n\
</pre></div><p>Now we can define the event handler of the Print button.</p>\n\
<div class=\'codeBlock\'><pre>if filetoprint != &quot;&quot; do (\n\
try (\n\
</pre></div><p>If the file name selected to print is not an empty string, we try to perform the following:</p>\n\
<div class=\'codeBlock\'><pre>streamReader = dotnetobject &quot;System.IO.Streamreader&quot; filetoprint\n\
</pre></div><p>We set the streamReader variable initialized in the beginning of the script to a dotNetObject instance of the class System.IO.Streamreader. It is similar to the fileStream values of MAXScript and provides file IO access to files on disk.</p>\n\
<div class=\'codeBlock\'><pre>pd = dotnetobject &quot;System.Drawing.Printing.PrintDocument&quot;\n\
</pre></div><p>We also create a PrintDocument object which will handle the actual printing.</p>\n\
<div class=\'codeBlock\'><pre>dotnet.addeventhandler pd &quot;PrintPage&quot; pd_PrintPage\n\
</pre></div><p>We add an event handler to the PrintDocument object which will call the MAXScript function we defined previously.</p>\n\
<div class=\'codeBlock\'><pre>pd.Print()\n\
</pre></div><p>Now we can call the Print() method in the PrintDocument object to start printing. This will call out print event handler function once for each page until the hasMorePages property of the PrintDocument is set to false at which point it will return here.</p>\n\
<div class=\'codeBlock\'><pre>streamReader.Close()\n\
</pre></div><p>Once we are back, we close the stream.</p>\n\
<div class=\'codeBlock\'><pre>) catch print (getCurrentException())\n\
</pre></div><p>If there was any problem within the printing code, we catch the error and print the last exception.</p>\n\
<div class=\'codeBlock\'><pre>)--end if\n\
)--end fn\n\
\n\
dotNet.AddEventHandler btnOpenFile &quot;Click&quot; btnOpenFile_Click\n\
dotNet.AddEventHandler btnPrint &quot;Click&quot; btnPrint_Click\n\
</pre></div><p>Now we can add the two event handler functions we defined previously to the two buttons.</p>\n\
<div class=\'codeBlock\'><pre>hForm.Controls.Add(txtTextBox)\n\
hForm.Controls.Add(btnOpenFile)\n\
hForm.Controls.Add(btnPrint)\n\
</pre></div><p>We can also add the textbox and the two buttons to the form.</p>\n\
<div class=\'codeBlock\'><pre>dotnet.setLifetimeControl btnOpenFile #dotnet\n\
dotnet.setLifetimeControl btnPrint #dotnet\n\
</pre></div><p>Since we are adding scripted event handlers to the DotNet controls and placing those controls in a form whose lifetime is longer than the MAXScript values wrapping the controls, we set the lifetime control of the buttons to be controlled by DotNet</p>\n\
<p>You might ask:</p>\n\
<p>Is there any reason this isn’t the default behavior when creating event handlers?</p>\n\
<p>Yes, the above approach is only applicable to DotNet objects that are placed in other DotNet objects.</p>\n\
<p>An example of when you have an event handler and you do not want the object’s lifetime control to change is a timer object. You want the timer object to be deleted when the MAXScript value wrapping the object is deleted. If you set the timer object’s lifetime control to #dotnet, then at some random point in the future the timer object will be deleted by the DotNet garbage collector since no DotNet object holds a reference to the timer object.</p>\n\
<div class=\'codeBlock\'><pre>hForm.ShowModeless()\n\
</pre></div><p>Finally, we show the form.</p>\n\
<div class=\'codeBlock\'><pre>)--end script\n\
</pre></div><div class=\'section\'><a id=\"result\"></a><h2 id=\"result\">Result</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8722123C-7F7E-432F-87C0-90CD03D49D48-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";