var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Develop a Bitmap Painting Tool - Load and Save</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Develop a Bitmap Painting Tool - Load and Save</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---load-and-save\"></a></div>\n\
<p>In this step of the Bitmap Painting tool development, we will add a main menu bar with New, Open, and Save options.</p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>We will define a new right-click menu with some menu items and corresponding event handlers.</p>\n\
<p>We will assign the right-click menu as menu bar to the dialog.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` macroScript MicroPaint category: &quot;HowTo&quot; ( global MicroPaint_CanvasRollout try(destroyDialog MicroPaint_CanvasRollout) catch() local isDrawing = false local bitmapX = bitmapY = 512 local theCanvasBitmap = bitmap bitmapX bitmapY color:white local theBackgroundBitmap = bitmap bitmapX bitmapY color:white local currentPos = lastPos = [0,0]</p>\n\
<p>--NEW MENU CODE STARTS HERE rcMenu CanvasMenu ( subMenu&quot;File&quot; ( menuItem new_menu &quot;New&quot; menuItem open_menu &quot;Open...&quot; menuItem save_as &quot;Save As...&quot; separator file_menu_1 menuItem quit_tool &quot;Quit&quot;<br> ) subMenu &quot;Edit&quot;( ) subMenu &quot;Help&quot; ( menuItem about_tool &quot;About MicroPaint...&quot; )</p>\n\
<div class=\'codeBlock\'><pre>on new_menu picked do\n\
(\n\
  theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color\n\
  MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
) \n\
\n\
on open_menu picked do\n\
(\n\
  theOpenBitmap= selectBitmap()\n\
  if theOpenBitmap != undefined do\n\
  (\n\
    copy theOpenBitmap theCanvasBitmap\n\
    copy theOpenBitmap theBackgroundBitmap\n\
    close theOpenBitmap\n\
    MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
  )\n\
)\n\
\n\
on save_as picked do\n\
(\n\
  theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (rotation*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
  if theSaveName != undefined do\n\
  (\n\
    theCanvasBitmap.filename = theSaveName\n\
    save theCanvasBitmap\n\
  )\n\
)\n\
on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
</pre></div><p>) --NEW MENU CODEENDHERE</p>\n\
<p>rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot; ( bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap colorpicker inkColor height:16 modal:false color:black across:5 colorpicker paperColor height:16 modal:false color:white checkbutton airBrush &quot;AirBrush&quot; width:50 spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30 spinner BrushSize &quot;Size&quot;range:[1,50,10] type:#integer fieldwidth:40 listbox BrushShape items:#(&quot;Circle&quot;,&quot;Box&quot;,&quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90</p>\n\
<div class=\'codeBlock\'><pre>fn paintBrush pos =\n\
(\n\
  case BrushShape.selection of\n\
  (\n\
    1: (\n\
      if distance pos currentPos &lt;= BrushSize.value/2 do\n\
        setPixels theCanvasBitmap pos #(inkColor.color)\n\
    )\n\
    2: setPixels theCanvasBitmap pos #(inkColor.color)\n\
    3: (\n\
      theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
      if theFactor &lt;= 1.0 do\n\
      (\n\
        theFactor = sin ( 90.0 * theFactor)\n\
        thePixels = getPixels theCanvasBitmap pos 1\n\
        if thePixels[1] != undefined do\n\
        (\n\
          thePixels[1] = (thePixels[1] * theFactor) + (inkColor.color * (1.0 - theFactor))\n\
          setPixels theCanvasBitmap pos thePixels\n\
        )\n\
      )\n\
    )--end case 3\n\
  )--end case\n\
)--end fn\n\
\n\
fn drawStroke lastPos pos =\n\
(\n\
  currentPos = lastPos\n\
  deltaX = pos.x - lastPos.x\n\
  deltaY = pos.y - lastPos.y\n\
  maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
  deltaStepX = deltaX / maxSteps\n\
  deltaStepY = deltaY / maxSteps\n\
  for i = 0 to maxSteps do\n\
  (\n\
    if airBrush.checked then\n\
    (\n\
      for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
        paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
    )\n\
    else\n\
      for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
        for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
          paintBrush (currentPos + [c,b])\n\
    currentPos += [deltaStepX, deltaStepY]\n\
  )\n\
  theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
  lastPos = pos\n\
  isDrawing = true\n\
  drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
  if isDrawing do drawStroke lastPos pos\n\
  lastPos = pos\n\
)\n\
</pre></div><p>) createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>--Code in italic has no changes since the previous version.\n\
\n\
macroScript MicroPaint category:&quot;HowTo&quot;\n\
(\n\
global MicroPaint_CanvasRollout\n\
try(destroyDialog MicroPaint_CanvasRollout)catch()\n\
local isDrawing = false\n\
local bitmapX = bitmapY = 512\n\
local theCanvasBitmap = bitmap bitmapX bitmapY color:white\n\
\n\
local theBackgroundBitmap = bitmap bitmapX bitmapY color:white \n\
</pre></div><p>We will define a second bitmap called background. It will not be used now, but will be needed in the next tutorial to allow for an eraser function.</p>\n\
<div class=\'codeBlock\'><pre>local currentPos = lastPos = [0,0]\n\
\n\
rcMenu CanvasMenu (\n\
</pre></div><p>This is a right-click menu definition.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/RCMenu-User-Interface-Items.html\' title=\'\'>RCMenu User-Interface Items</a></p>\n\
<div class=\'codeBlock\'><pre>subMenu &quot;File&quot; (\n\
</pre></div><p>The first item in the menu will be called File. A typical program implements File, Edit, and Help items in its main menu, so we will define these too.</p>\n\
<div class=\'codeBlock\'><pre>menuItem new_menu &quot;New&quot;\n\
menuItem open_menu &quot;Open...&quot;\n\
menuItem save_as &quot;Save As...&quot;\n\
</pre></div><p>Inside the File menu, we will add some menu items to start a new drawing, open an existing one, and save the results to a file on disk.</p>\n\
<div class=\'codeBlock\'><pre>separator file_menu_1\n\
</pre></div><p>This is a separator that draws a horizontal line between the menu items.</p>\n\
<div class=\'codeBlock\'><pre>menuItem quit_tool &quot;Quit&quot;  \n\
</pre></div><p>This menu item will be used to quit the tool.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
subMenu &quot;Edit&quot; ( )\n\
</pre></div><p>We will leave the Edit menu empty for now.</p>\n\
<div class=\'codeBlock\'><pre>subMenu &quot;Help&quot;\n\
(\n\
menuItem about_tool &quot;About MicroPaint...&quot; \n\
)\n\
</pre></div><p>The Help menu will contain only the about item.</p>\n\
<div class=\'codeBlock\'><pre>on new_menu picked do\n\
(\n\
</pre></div><p>This is the event handler of the File &gt; New menu item. If the user selected it from the menu,</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/RCMenu-Clauses.html\' title=\'\'>RCMenu Clauses</a></p>\n\
<div class=\'codeBlock\'><pre>theBackgroundBitmap = theCanvasBitmap = bitmap bitmapX bitmapY color:MicroPaint_CanvasRollout.paperColor.color\n\
</pre></div><p>we will define a new bitmap using the new paper color (background color) added to the User Interface, and will assign to the painting canvas and the new background bitmap.</p>\n\
<div class=\'codeBlock\'><pre>MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
</pre></div><p>Then, we assign the result to the User Interface bitmap.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
on open_menu picked do\n\
(\n\
</pre></div><p>This is the event handler of the File &gt; Open menu item. If the user selected it from the menu,</p>\n\
<div class=\'codeBlock\'><pre>theOpenBitmap= selectBitmap()\n\
</pre></div><p>we open the standard Bitmap picker dialog of 3dsmax. It provides options to preview all supported file formats.</p>\n\
<div class=\'codeBlock\'><pre>if theOpenBitmap != undefined do\n\
(\n\
</pre></div><p>If the user picked a valid bitmap and did not cancel out,</p>\n\
<div class=\'codeBlock\'><pre>copy theOpenBitmap theCanvasBitmap\n\
</pre></div><p>we copy the bitmap that was opened into the painting canvas,</p>\n\
<div class=\'codeBlock\'><pre>copy theOpenBitmap theBackgroundBitmap\n\
</pre></div><p>and into the background bitmap. The copy method resizes the original to fit the size of the canvas.</p>\n\
<div class=\'codeBlock\'><pre>close theOpenBitmap\n\
</pre></div><p>Finally, we close the opened bitmap,</p>\n\
<div class=\'codeBlock\'><pre>MicroPaint_CanvasRollout.theCanvas.bitmap = theCanvasBitmap\n\
</pre></div><p>and assign the painting canvas to the User Interface bitmap.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
)\n\
\n\
on save_as picked do\n\
(\n\
</pre></div><p>This is the event handler of the File &gt; Save As menu item. If the user selected it from the menu,</p>\n\
<div class=\'codeBlock\'><pre>theSaveName = getSaveFileName types:&quot;BMP (*.bmp)|*.bmp|Targa (*.tga)|*.tga|JPEG (*.jpg)|*.jpg&quot;\n\
</pre></div><p>we open the standard file saving dialog of 3ds Max and provide a list of some file extensions. You can add any supported file formats such as, RLA, RPF, and so on to this list.</p>\n\
<div class=\'codeBlock\'><pre>if theSaveName != undefined do\n\
(\n\
</pre></div><p>If the user specified a valid name and did not cancel out,</p>\n\
<div class=\'codeBlock\'><pre>theCanvasBitmap.filename = theSaveName\n\
</pre></div><p>we set the file name of the painting canvas to the selected name,</p>\n\
<div class=\'codeBlock\'><pre>save theCanvasBitmap\n\
</pre></div><p>and save the bitmap to disk.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
)\n\
on about_tool picked do messagebox &quot;MicroPaint\\nMAXScript Tutorial&quot; title:&quot;About...&quot;\n\
</pre></div><p>If the user picked the Help &gt; About menu item, we open a message box with some text. You can add your own text to this dialog with version number and others.</p>\n\
<div class=\'codeBlock\'><pre>on quit_tool picked do destroyDialog MicroPaint_CanvasRollout\n\
</pre></div><p>If the user picked the File &gt; Quit menu item, we destroy the dialog. Later, we can add a prompt whether the current painting can be saved to disk.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
 \n\
\n\
rollout MicroPaint_CanvasRollout &quot;MicroPaint&quot;\n\
(\n\
bitmap theCanvas pos:[0,0] width:bitmapX height:bitmapY bitmap:theCanvasBitmap\n\
 colorpicker inkColor height:16modal:false color:black across:5 \n\
</pre></div><p>To add the paper color (background color of new images), we have to increase the across: parameter to 5.</p>\n\
<div class=\'codeBlock\'><pre>colorpicker paperColor height:16 modal:false color:white\n\
</pre></div><p>This colorpicker adds the paper color (background color of new images). Note that the color pickers are modeless and can be kept open all the time. You can also drag and drop colors to copy colors between the Ink and Paper color pickers, or drag and drop from other areas of <strong>3ds Max</strong>.</p>\n\
<div class=\'codeBlock\'><pre>checkbutton airBrush &quot;AirBrush&quot; width:50\n\
spinner AirBrushSpeed &quot;Speed&quot; range:[0.1,50,10] fieldwidth:30\n\
spinner BrushSize &quot;Size&quot; range:[1,50,10] type:#integer fieldwidth:40\n\
listbox BrushShape items:#(&quot;Circle&quot;, &quot;Box&quot;, &quot;Circle Smooth&quot;) pos:[bitmapX+5,0] width:90\n\
\n\
fn paintBrush pos =\n\
(\n\
case BrushShape.selection of\n\
(\n\
1: (\n\
if distance pos currentPos &lt;= BrushSize.value/2 do\n\
setPixels theCanvasBitmap pos #(inkColor.color)\n\
)\n\
2: setPixels theCanvasBitmap pos #(inkColor.color)\n\
3: (\n\
theFactor = (distance pos currentPos) / (BrushSize.value/2.0)\n\
if theFactor &lt;= 1.0 do\n\
(\n\
theFactor = sin ( 90.0 * theFactor)\n\
thePixels = getPixels theCanvasBitmap pos 1\n\
if thePixels[1] != undefined do\n\
(\n\
thePixels[1] = (thePixels[1] * theFactor) + (inkColor.color * (1.0 - theFactor))\n\
setPixels theCanvasBitmap pos thePixels\n\
)\n\
)\n\
)--end case 3\n\
)--end case\n\
)--end fn\n\
\n\
fn drawStroke lastPos pos =\n\
(\n\
currentPos = lastPos\n\
deltaX = pos.x - lastPos.x\n\
deltaY = pos.y - lastPos.y\n\
maxSteps = amax #(abs(deltaX),abs(deltaY))\n\
deltaStepX = deltaX / maxSteps\n\
deltaStepY = deltaY / maxSteps\n\
for i = 0 to maxSteps do\n\
(\n\
if airBrush.checked then\n\
(\n\
for b = 1 to (BrushSize.value / AirBrushSpeed.value) do\n\
paintBrush (currentPos + (random [-BrushSize.value/2,-BrushSize.value/2] [BrushSize.value/2,BrushSize.value/2] ))\n\
)\n\
else\n\
for b = -BrushSize.value/2 to BrushSize.value/2 do\n\
for c = -BrushSize.value/2 to BrushSize.value/2 do\n\
paintBrush (currentPos + [c,b])\n\
currentPos += [deltaStepX, deltaStepY]\n\
)\n\
theCanvas.bitmap = theCanvasBitmap\n\
)\n\
\n\
on MicroPaint_CanvasRollout lbuttondown pos do\n\
(\n\
lastPos = pos\n\
isDrawing = true\n\
drawStroke lastPos pos\n\
)\n\
on MicroPaint_CanvasRollout lbuttonup pos do isDrawing = false\n\
on MicroPaint_CanvasRollout mousemove pos do\n\
(\n\
if isDrawing do drawStroke lastPos pos\n\
lastPos = pos\n\
)\n\
) createDialog MicroPaint_CanvasRollout (bitmapx+100) (bitmapy+30) menu:CanvasMenu \n\
</pre></div><p>We add the RightClick menu defined in the beginning of the script to the dialog.</p>\n\
<div class=\'codeBlock\'><pre>MicroPaint_CanvasRollout.theCanvas.bitmap = theBackgroundBitmap\n\
</pre></div><p>After starting the tool, it is a good idea to clear the display, as the bitmap might be still displaying an older version from a previous painting session.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>RESULT:</strong></p>\n\
\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7AD51929-F892-4247-A360-6BFF5B891A4A-low.gif\' title=\'\'></div>\n\
<p><strong>Previous Tutorial:</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-5.html\' title=\'\'>How To ... Develop a Bitmap Painting Tool - Smooth Brushes</a></p>\n\
<p><strong>Next Tutorial:</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Bitmap-Painting/How-To-Develop-a-Bitmap-Painting-7.html\' title=\'\'>How To ... Develop a Bitmap Painting Tool - Erase Changes</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";