var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-scene-browser-using-treeview-activex-control---part-two\"></a></div>\n\
<p>The second part of the tutorial will demonstrate how to customize the TreeView ActiveX Control defined in <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-1.html\' title=\'\'>Part One</a> to include icons by object class, display wireframe colors and control the hidden state of scene nodes.</p>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Please see the topic <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\' title=\'\'>Converting ActiveX TreeView Control to DotNet TreeView Control</a></p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\' title=\'\'>ActiveX Controls in MAXScript Rollouts</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/TreeView-ActiveX-Control.html\' title=\'\'>TreeView ActiveX Control</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Extend the existing macroScript.</p>\n\
<p>Define a function to grab a single icon from the shipping icon files of <strong>3ds Max</strong></p>\n\
<p>Extend the initTreeView function to generate icons for most object types</p>\n\
<p>Assign an icon to each node created for each scene node</p>\n\
<p>Set the color of each node to the wireframe color of the scene node</p>\n\
<p>Set the checked state of each node to the opposite of the hidden state of the scene node</p>\n\
<p>Enable checkboxes in the TreeView</p>\n\
<p>Define another ActiveX control to hold and manage the icons to be displayed</p>\n\
<p>Add an event handler to hide/unhide objects when the corresponding checkboxes are unchecked/checked</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` macroScript SceneTreeView category: &quot;HowTo&quot; ( rollout treeview_rollout &quot;TreeView Scene Browser&quot; ( fn getIconFromBitmap thePath number = ( tempBmp = openBitmap thePath iconBmp = bitmap 16 15 for v = 0 to 14 do setPixels iconBmp [0,v] (getPixels tempBmp [(number-1)*16, v] 16) iconBmp.filename = getDir #image +&quot;/_temp.bmp&quot; save iconBmp close iconBmp close tempBmp getDir #image +&quot;/_temp.bmp&quot; )</p>\n\
<p>fn initTreeView tv ilTv = ( tv.Indentation = 28*15 tv.LineStyle = #tvwRootLines tv.checkboxes = true tv.sorted = true ilTv.imagewidth = 16 ilTv.imageheight = 15 iconDir = (getDir #ui) +&quot;\\icons&quot; ilTv.listImages.add 1 #root (loadPicture (getIconFromBitmap (iconDir +&quot;\\Standard_16i.bmp&quot;) 2)) ilTv.listImages.add 2 #geomnode (loadPicture (getIconFromBitmap (iconDir +&quot;\\Standard_16i.bmp&quot;) 1)) ilTv.listImages.add 3 #light (loadPicture (getIconFromBitmap (iconDir +&quot;\\Lights_16i.bmp&quot;) 3)) ilTv.listImages.add 4 #camera (loadPicture (getIconFromBitmap (iconDir +&quot;\\Cameras_16i.bmp&quot;) 2)) ilTv.listImages.add 5 #helper (loadPicture (getIconFromBitmap (iconDir +&quot;\\Helpers_16i.bmp&quot;) 1)) tv.imageList = ilTv )</p>\n\
<p>fn addChildren tv theNode theChildren = ( for c in theChildren do ( theIcon =case superclassof c of ( GeometryClass: 2 Light: 3 Camera: 4 Helper: 5 Default:2 ) newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name theIcon theNode.sorted = true newNode.checked = not c.isHidden newNode.forecolor = color c.wirecolor.b c.wirecolor.g c.wirecolor.r addChildren tv newNode c.children ) )</p>\n\
<p>fn fillInTreeView tv = ( theRoot = tv.Nodes.add() theRoot.image = 1 theRoot.text =&quot;WORLD ROOT&quot; rootNodes = for o in objects where o.parent == undefined collect o addChildren tv theRoot rootNodes )</p>\n\
<p>activeXControl tv &quot;MSComctlLib.TreeCtrl&quot;width:290 height:490 align:#center activeXControl ilTv &quot;MSComctlLib.ImageListCtrl&quot; height:0 width:0 on tv NodeCheck theNode do ( theSceneNode = (getNodeByName theNode.text) if theSceneNode != undefined do theSceneNode.isHidden = not theNode.checked )</p>\n\
<p>on tv nodeClick theNode do try(select (getNodeByName theNode.text))catch() on treeview_rollout open do ( initTreeView tv ilTv fillInTreeView tv ) ) try(destroyDialog treeview_rollout)catch() createDialog treeview_rollout 300 500 )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>RESULT:</strong></p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-335B9519-B339-43EC-8D3C-6E31B2BEF2E1-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript SceneTreeView category:&quot;HowTo&quot;\n\
(\n\
rollout treeview_rollout &quot;TreeView Scene Browser&quot;\n\
( fn getIconFromBitmap thePath number = (\n\
</pre></div><p>This new function will let us grab and reuse the icons shipping with <strong>3ds Max</strong>. The arguments passed to the function are the path of the icons bitmap file and the icon number to get. We assume that we will use the 16x15 small icons only. The function could be changed to support the 24x24 version of the icons, but the TreeView wouldn&#39;t look very nice with icons of that size!</p>\n\
<div class=\'codeBlock\'><pre>tempBmp = openBitmap thePath\n\
</pre></div><p>First, we open the bitmap containing the path to the icons file. Icon files can contain an arbitrary number of icons. The small, 16x15 pixels icon files have a height of 15 pixels and width equal to the number of icons multiplied by 16.</p>\n\
<div class=\'codeBlock\'><pre>iconBmp = bitmap 16 15\n\
</pre></div><p>Next, we create an empty bitmap with the size of a single 16x15 pixels icon</p>\n\
<div class=\'codeBlock\'><pre>for v = 0 to 14 do\n\
</pre></div><p>The loop will go from 0 to 14 since pixel access in bitmaps is 0-based, and we have to go from 0 to 15 minus one.</p>\n\
<div class=\'codeBlock\'><pre>setPixels iconBmp [0,v] (getPixels tempBmp [(number-1)*16, v] 16)\n\
</pre></div><p>For each row in the icon, we use getPixels to grab the 16 pixels starting at the beginning of the icon.(Number-1)*16 returns 0 for the first icon, 16 for the second icon, 32 for the third and so on. Then we assign the whole row of 16 pixels to the iconBmp bitmap defined before, starting at the left-most pixel (0) and going through the same number of lines (v). The result is the icon with the requested number being copied into the new empty bitmap!</p>\n\
<div class=\'codeBlock\'><pre>iconBmp.filename =GetDir #image +&quot;/_temp.bmp&quot;\n\
</pre></div><p>Now we set the name of the new single icon bitmap to a remporary bitmap file in the \\Images sub-directory of <strong>3ds Max</strong>. This is necessary because the loadPicture method converting a bitmap to an OLE-capable icon requires a saved .BMP or .ICO file, and only bitmaps with the .filename property set can be saved to disk.</p>\n\
<div class=\'codeBlock\'><pre>save iconBmp\n\
</pre></div><p>Since we have the file name defined, we can save the single icon to disk.</p>\n\
<div class=\'codeBlock\'><pre>close iconBmp close tempBmp\n\
</pre></div><p>Then we close both the original multi-icon file and the temporary single icon file.</p>\n\
<div class=\'codeBlock\'><pre>GetDir #image +&quot;/_temp.bmp&quot;\n\
</pre></div><p>As a result of the function, we return the filename of the new single icon.</p>\n\
<div class=\'codeBlock\'><pre> )\n\
 \n\
fn initTreeView tv ilTv = (\n\
</pre></div><p>This is the existing TreeView initialization function, but this time it gets a second argument, which will be the ImageListCtrl ActiveX control responsible for the icon management.</p>\n\
<div class=\'codeBlock\'><pre>tv.Indentation = 28*15\n\
tv.LineStyle = #tvwRootLines\n\
 \n\
tv.checkboxes = true\n\
</pre></div><p>This time, we will want to have checkboxes in front of every node. They will be used to display and control the Hidden state of the scene nodes.</p>\n\
<div class=\'codeBlock\'><pre>tv.sorted = true\n\
</pre></div><p>We also want the tree to be alphabetically sorted.</p>\n\
<div class=\'codeBlock\'><pre>ilTv.imagewidth = 16 ilTv.imageheight = 15\n\
</pre></div><p>We define the size of the icon image to be the same as the icon we are going to grab from the icons file.</p>\n\
<div class=\'codeBlock\'><pre>iconDir = (getDir #ui) + &quot;\\\\icons&quot;\n\
</pre></div><p>This is the default location of the shipping icon files.</p>\n\
<div class=\'codeBlock\'><pre>ilTv.listImages.add 1 #root (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Standard_16i.bmp&quot;) 2))\n\
</pre></div><p>We call the <span class=\'code\'>.add()</span> method of the .listImages property of the <span class=\'code\'>ImageListCtrl</span> which is used to manage the icons. The first image we add will be used for the root node only. We call the <span class=\'code\'>getIconFromBitmap</span> function we defined earlier and pass the icon file containing Standard geometry primitives and the icon number 2 (Sphere). The resulting path is passed to the <span class=\'code\'>loadPicture</span> method which opens the temporary icon .bmp file and assigns the resulting OLE-capable icon image to the ImageListCtrl.</p>\n\
<div class=\'codeBlock\'><pre>ilTv.listImages.add 2 #geomnode (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Standard_16i.bmp&quot;) 1))\n\
</pre></div><p>We repeat the whole again, but this time we create the image number 2 which will be used for geometry nodes. We grab icon number 1 (Box).</p>\n\
<div class=\'codeBlock\'><pre>ilTv.listImages.add 3 #light (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Lights_16i.bmp&quot;) 3))\n\
</pre></div><p>Same for the third image which will be used for light, but we ask for the third icon of the Lights icons file (Omni).</p>\n\
<div class=\'codeBlock\'><pre>ilTv.listImages.add 4 #camera (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Cameras_16i.bmp&quot;) 2))\n\
</pre></div><p>The camera will be image number 4. We grab the second icon from the Cameras icons library.</p>\n\
<div class=\'codeBlock\'><pre>ilTv.listImages.add 5 #helper (loadPicture (getIconFromBitmap (iconDir + &quot;\\\\Helpers_16i.bmp&quot;) 1))\n\
</pre></div><p>Finally, we define a fifth image which grabs the first icon from the Helpers icons file (Dummy).</p>\n\
<p>There are some more classes that were not defined yet (Shapes, Space Warps), you can try to implement your own icons in the same way by extending the above code!</p>\n\
<div class=\'codeBlock\'><pre>tv.imageList = ilTv \n\
</pre></div><p>At the end, we assign the ImageListCtrl Control to the <span class=\'code\'>.imageList</span> property of the TreeView. This makes all the above images available as icons in the TreeView control!</p>\n\
<div class=\'codeBlock\'><pre>) \n\
\n\
fn addChildren tv theNode theChildren =\n\
(\n\
for c in theChildren do\n\
( theIcon = case superclassof c of \n\
</pre></div><p>Now that we have icons in the control, we can check the superclass of the <strong>3ds Max</strong> scene node being processed by the function and define the right icon based on the type. The variable theIcon will contain an integer corresponding to the icon to be used.</p>\n\
<div class=\'codeBlock\'><pre> ( GeometryClass: 2\n\
</pre></div><p>Geometry objects will use image 2 as icon,</p>\n\
<div class=\'codeBlock\'><pre>Light: 3\n\
</pre></div><p>Lights will use image 3,</p>\n\
<div class=\'codeBlock\'><pre>Camera: 4\n\
</pre></div><p>Cameras will use image 4,</p>\n\
<div class=\'codeBlock\'><pre>Helper: 5\n\
</pre></div><p>Helpers will use image 6,</p>\n\
<div class=\'codeBlock\'><pre>Default:2\n\
</pre></div><p>All others will use the Geometry icon until they get their own icons.</p>\n\
<div class=\'codeBlock\'><pre>) newNode = tv.Nodes.add theNode.index 4 &quot;&quot; c.name theIcon\n\
</pre></div><p>Instead of setting the icon index to 0 as we did in Part One, we set the icon to the value defined above...</p>\n\
<div class=\'codeBlock\'><pre>theNode.sorted = true\n\
</pre></div><p>We wanted all levels of the hierarchy to be sorted alphabetically.</p>\n\
<div class=\'codeBlock\'><pre>newNode.checked = not c.isHidden\n\
</pre></div><p>The checked state of the node will be the inverse of the <span class=\'code\'>.isHidden</span> property (which is true when the node is hidden). Since we want to check the box when the node is NOT hidden, we tell exactly this...</p>\n\
<div class=\'codeBlock\'><pre>newNode.forecolor = color c.wirecolor.b c.wirecolor.g c.wirecolor.r\n\
</pre></div><p>Since we have complete control over the color of each node in the TreeView, why not grab the color of the wireframe display and assign to the .forecolor property? This gives us a colorful reference to the color of the scene objects!</p>\n\
<p>You could enhance this to grab the diffuse color of the material in the cases where the object has a Standard material assigned, or use the color to represent some other property... In addition, you could also set the <span class=\'code\'>.bold</span> property of the TreeView node to true to represent some other property of the <strong>3ds Max</strong> objects...</p>\n\
<div class=\'codeBlock\'><pre>addChildren tv newNode c.children\n\
)\n\
)\n\
 \n\
fn fillInTreeView tv =\n\
(\n\
theRoot = tv.Nodes.add()\n\
 \n\
theRoot.image = 1\n\
</pre></div><p>We already defined the first image of the ImageListCtrl to show a sphere icon. We will use it to represent the root node.</p>\n\
<div class=\'codeBlock\'><pre>theRoot.text = &quot;WORLD ROOT&quot;\n\
rootNodes = for o in objects where o.parent == undefined collect o\n\
addChildren tv theRoot rootNodes\n\
) \n\
\n\
activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; width:290 height:490 align:#center activeXControl ilTv &quot;MSComctlLib.ImageListCtrl &quot;height:0 width:0\n\
</pre></div><p>This is the ImageList ActiveX Control used by the TreeView to manage its icons. It needs no rollout representation - we set the height and width to 0.</p>\n\
<div class=\'codeBlock\'><pre>on tv NodeCheck theNode do (\n\
</pre></div><p>If the user changed the state of the checkbox of a node...</p>\n\
<div class=\'codeBlock\'><pre>theSceneNode = (getNodeByName theNode.text)\n\
</pre></div><p>...we try to figure out which scene node it represents by converting the text label to the actual object name...</p>\n\
<div class=\'codeBlock\'><pre>if theSceneNode != undefined do\n\
</pre></div><p>...and if the attempt was successful,</p>\n\
<div class=\'codeBlock\'><pre>theSceneNode.isHidden = not theNode.checked\n\
</pre></div><p>...we set the <span class=\'code\'>.isHidden</span> property of the scene node to the inverted value of checked state of the TreeView node. If the user unchecked the checkbox, <span class=\'code\'>theNode.checked</span> will return false, which will be converted to true by not and assigned to the hidden property, effectively hiding the node!</p>\n\
<div class=\'codeBlock\'><pre>) \n\
 \n\
on tv nodeClick theNode do try(select (getNodeByName theNode.text))catch()\n\
on treeview_rollout open do\n\
(\n\
initTreeView tv ilTv\n\
fillInTreeView tv\n\
)\n\
)\n\
try(destroyDialog treeview_rollout)catch()\n\
createDialog treeview_rollout 300 500\n\
)\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";