var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-selected-objects-inspector-using-listview-activex-control---part-two\"></a></div>\n\
<p>This second tutorial will demonstrate how to customize the Listview ActiveX Control defined in <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-1.html\' title=\'\'>Part One</a> and update the display automatically when the selection set changes.</p>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>Please see the topic <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\' title=\'\'>Converting ActiveX ListView Control to DotNet ListView Control</a></p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/ActiveX-Controls-in-MAXScript-1.html\' title=\'\'>ActiveX Controls in MAXScript Rollouts</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control.html\' title=\'\'>ListView ActiveX Control</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control/Listview-ActiveX-functions.html\' title=\'\'>Listview ActiveX functions</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control/ListView-ActiveX-Control-Example.html\' title=\'\'>ListView ActiveX Control Example</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callback Mechanism</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>Callbacks.removeScripts</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Expand the existing macroScript.</p>\n\
<p>Define the rollout as a global variable to be accessible to outside code.</p>\n\
<p>Set the background color of the Listview to a nice pale cyan color.</p>\n\
<p>Enable the checkboxes in the first column of the Listview and use them to represent the renderable state of the selected objects.</p>\n\
<p>Control the width of each column using a second value per column in the layout_def array.</p>\n\
<p>Clear the items from the list before filling it up with new data</p>\n\
<p>Register a callback to update the list (which is now visible as a user interface element of a globally accessible rollout) whenever the scene selection set changes.</p>\n\
<p>Unregister the callback whenever the rollout is closed to avoid errors.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` macroScript SceneListView category: &quot;HowTo&quot; ( global listview_rollout try(destroyDialog listview_rollout)catch() rollou tlistview_rollout &quot;ListView Selected&quot; ( fn initListView lv = ( lv.gridLines = true<br> lv.View = #lvwReport<br> lv.fullRowSelect = true</p>\n\
<p>lv.backColor = color 225 215 210 lv.checkboxes = true</p>\n\
<p>layout_def = #(#(&quot;On&quot;,28), #(&quot;Object Name&quot;,120), #(&quot;Object Class&quot;,80), #(&quot;Verts&quot;,45), #(&quot;Faces&quot;,45), #(&quot;Material&quot;,120))</p>\n\
<p>for i inlayout_def do ( column = lv.ColumnHeaders.add() column.text = i[1] )</p>\n\
<p>LV_FIRST = 0x1000 LV_SETCOLUMNWIDTH = (LV_FIRST + 30) for i = 0 to layout_def.count-1 do windows.sendMessage lv.hwnd LV_SETCOLUMNWIDTH i layout_def[1+i][2] )</p>\n\
<p>fn fillInSpreadSheet lv = ( lv.ListItems.clear() for o in selection do ( li = lv.ListItems.add() li.checked = o.Renderable sub_li = li.ListSubItems.add() sub_li.text = o.name sub_li = li.ListSubItems.add() sub_li.text = (classof o) as string sub_li = li.ListSubItems.add() sub_li.text =try((o.mesh.numverts) as string)catch(&quot;--&quot;) sub_li = li.ListSubItems.add() sub_li.text =try((o.mesh.numfaces) as string)catch(&quot;--&quot;) sub_li = li.ListSubItems.add() sub_li.text = (o.material) as string ) )</p>\n\
<p>activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center on listview_rollout open do ( initListView lv_objects fillInSpreadSheet lv_objects ) on listview_rollout close do callbacks.removeScripts #selectionSetChanged id:#SceneListView ) createDialog listview_rollout500 200 callbacks.addScript #selectionSetChanged &quot;listview_rollout.fillInSpreadSheet listview_rollout.lv_objects&quot; id:#SceneListView )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>RESULT:</strong></p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7A4A6E60-1E34-47D4-9536-CC01450F4A67-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript SceneListView category:&quot;HowTo&quot;\n\
( global listview_rollout\n\
</pre></div><p>In order to be able to access the rollout from outside of the macroScript scope (in our case a callback script), we have to define the rollout variable as global.</p>\n\
<div class=\'codeBlock\'><pre>rollout listview_rollout &quot;ListView Selected&quot;\n\
(\n\
fn initListView lv =\n\
(\n\
lv.gridLines = true  \n\
lv.View = #lvwReport  \n\
lv.fullRowSelect = true \n\
 \n\
lv.backColor = color 225 215 210 \n\
</pre></div><p>We assign a new color to the backColor property of the Listview.</p>\n\
<p>Note:</p>\n\
<p>Microsoft color values are expected as BGR (Blue/Green/Red) and NOT RGB as <strong>3ds Max</strong> and MAXScript provide them. In MAXScript, the above color would appear as pale pink. You can visualize these colors by using something like</p>\n\
<div class=\'codeBlock\'><pre> display ( bitmap 128 128 color:(color 225 215 210) )--pale pink\n\
display ( bitmap 128 128 color:(color 215 210 225) )--pale blue\n\
 \n\
lv.checkboxes = true\n\
</pre></div><p>We will also enable the built-in checkboxes of the Listview control and use them to represent the renderable node-level property.</p>\n\
<div class=\'codeBlock\'><pre>layout_def = #(#(&quot;On&quot;,28), #(&quot;Object Name&quot;,120), #(&quot;Object Class&quot;,80), #(&quot;Verts&quot;,45), #(&quot;Faces&quot;,45), #(&quot;Material&quot;,120))\n\
</pre></div><p>We will extend the existing version of the layout definition array. Instead of storing only the names of the colums, we will store sub-arrays containing both the name and the width of the column. In the future, you could store any additional per-column data like bold text Boolean flag, foreground color of the text etc.)</p>\n\
<div class=\'codeBlock\'><pre>for i in layout_def do\n\
(\n\
column = lv.ColumnHeaders.add()\n\
column.text = i[1]\n\
)\n\
LV_FIRST = 0x1000\n\
LV_SETCOLUMNWIDTH = (LV_FIRST + 30)\n\
</pre></div><p>We define two user variables which will contain the first column&#39;s address and the message id to be sent to the windows handle of the Listview control responsible for setting the column width.This is &quot;esoteric knowledge&quot; available from literature on general Microsoft Windows and ActiveX Controls programming. Just use it the way it is provided here.</p>\n\
<div class=\'codeBlock\'><pre>for i = 0 to layout_def.count-1 do\n\
windows.sendMessage lv.hwnd LV_SETCOLUMNWIDTH i layout_def[1+i][2]\n\
</pre></div><p>Now we loop from 0 to the number of columns minus one. This is because the <span class=\'code\'>windows.sendMessage</span> method expects the index of the column to be set as a 0-based index, but MAXScript array indices are 1-based.</p>\n\
<p>The <span class=\'code\'>windows.sendMessage</span> method expects the windows handle of the ActiveX control (lv.hwnd), the message to be sent, the index of the column to set the width and the width value (which is stored in the 1-based array at index (i+1), in the second item of the sub-array)</p>\n\
<div class=\'codeBlock\'><pre>) \n\
fn fillInSpreadSheet lv =\n\
( lv.ListItems.clear()\n\
</pre></div><p>Before we fill in the data into the Listview, we should make sure the list is emptied first. This is because this time around, the list will be updated on the fly without closing and reopening the dialog!</p>\n\
<div class=\'codeBlock\'><pre>for o in selection do\n\
(\n\
li = lv.ListItems.add() li.checked = o.Renderable\n\
</pre></div><p>The first column will contain only the checkbox. We set the .checked property to the boolean value returned by the node-level <span class=\'code\'>.renderable</span> property of the current object.</p>\n\
<div class=\'codeBlock\'><pre>sub_li = li.ListSubItems.add()\n\
</pre></div><p>The former first column with the name of the object is now the second column, so we have to create a sub list item for it.</p>\n\
<div class=\'codeBlock\'><pre>sub_li.text = o.name\n\
</pre></div><p>We set the .text property of the sub list item to the name of the object just like before.</p>\n\
<div class=\'codeBlock\'><pre>sub_li = li.ListSubItems.add()\n\
sub_li.text = (classof o) as string\n\
sub_li = li.ListSubItems.add()\n\
sub_li.text = try((o.mesh.numverts) as string)catch(&quot;--&quot;)\n\
sub_li = li.ListSubItems.add()\n\
sub_li.text = try((o.mesh.numfaces) as string)catch(&quot;--&quot;)\n\
sub_li = li.ListSubItems.add()\n\
sub_li.text = (o.material) as string\n\
)\n\
) \n\
activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center\n\
on listview_rollout open do\n\
(\n\
initListView lv_objects\n\
fillInSpreadSheet lv_objects\n\
) \n\
\n\
on listview_rollout close do callbacks.removeScripts #selectionSetChanged id:#SceneListView \n\
</pre></div><p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>Callbacks.removeScripts</a></p>\n\
<p>Whenever the user closes the dialog by either pressing the [X] button in the upper right corner of the titlebar or by calling the MacroScript again, we will have to make sure that the callback we will register to update the display when the selection set changes is removed. Otherwise, selecting objects in the scene would cause the callback to try to access an already closed rollout and throw an error!</p>\n\
<div class=\'codeBlock\'><pre>)\n\
try(destroyDialog listview_rollout)catch()\n\
createDialoglistview_rollout 500 200 callbacks.addScript #selectionSetChanged &quot;listview_rollout.fillInSpreadSheet listview_rollout.lv_objects&quot; id:#SceneListView\n\
</pre></div><p>Finally, we register the callback to update the Listview whenever the user changes the selection set in the scene.</p>\n\
<p>The <span class=\'code\'>callbacks.addScript</span> function tells MAXScript that we are registering a new callback.</p>\n\
<p><span class=\'code\'>#selectionSetChanged</span> is the name of the notification message broadcast by <strong>3ds Max</strong> whenever the selection changes.</p>\n\
<p>The string contains the actual script executed when the callback is activated, it accesses the Listview as a property of the now global rollout definition and calls the <span class=\'code\'>fillInSpreadSheet</span> function we defined.</p>\n\
<p>The <span class=\'code\'>id:#SceneListView</span> is a user-defined name to be able to affect only this special callback (for example in the <strong><span class=\'code\'>callbacks.removeScripts</span></strong> call above) without affecting other callbacks defined by other developers or the shipping <strong>3ds Max</strong> version itself.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>After evaluating the script, the SceneListView ActionItem in the &quot;HowTo&quot; category defined by the first part of the tutorial will be updated.</p>\n\
<p>Press the button/select the menu item or press the keyboard shortcut corresponding to the SceneListView script - the dialog with the listView ActiveX control should appear. If there are no objects selected, the list will be empty.</p>\n\
<p>Now select some object and watch the list updating automatically.Change the selection set again and the list will update dynamically! Select an object, right-click, go to Properties... and uncheck the Renderable checkbox. Note that the checkbox in the Listview will be unchecked, too!</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here?</h2></div>\n\
<p>The next logical step would be to add an even handler to link the checkbox in the Listview bi-directionally to the <span class=\'code\'>.Renderable</span> property, so changing the state in the Listview would affect the node property, too!</p>\n\
<p>Other things to try include adding more column definitions to the layout array to show other object properties you might be interested in.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";