var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Develop A Face Area XView Checker - Part 4</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Develop A Face Area XView Checker - Part 4</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-area-xview-checker---part-4\"></a></div>\n\
<p>The following tutorial extends the scripted xView Check created in <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\' title=\'\'>Part 1</a>, <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\' title=\'\'>Part 2</a>, and <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\' title=\'\'>Part 3</a> with a <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Macro-Scripts/Macro-Scripts-1.html\' title=\'\'>MacroScript</a> that can be added to the Viewport Menus for easier access.</p>\n\
<p>The xView Checker is available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<p><strong>Related topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\' title=\'\'>xViewChecker Access</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\' title=\'\'>Interface:xViewChecker</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Create a MacroScript to toggle the Face Area Checker on and off.</p>\n\
<p>Create an &#39;on Checked do()&#39; handler to show when the Checker is enabled.</p>\n\
<p>Create an &#39;on Execute do()&#39; handler to turn the Checker on and off depending on the current state of the system.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` MacroScript xView_Face_Area_Checker enabledIn:#(&quot;max&quot;) buttonText:&quot;Face Area&quot; category:&quot;xView&quot; internalCategory:&quot;xView&quot; tooltip:&quot;Face Area Checker Display Mode&quot; ( on isChecked return xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on == true on execute do if (xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on == true) then xViewChecker.on = false else ( local theIndex = 0 for i = 1 to xViewChecker.getNumCheckers() do if xViewChecker.getCheckerName i == &quot;Face Area Checker&quot; do theIndex = i if theIndex &gt; 0 do<br> ( xViewChecker.setActiveCheckerID(xViewChecker.getCheckerID theIndex) xViewChecker.on =true ) ) )--end MacroScript</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>MacroScript xView_Face_Area_Checker\n\
enabledIn:#(&quot;max&quot;)\n\
buttonText:&quot;Face Area&quot;\n\
category:&quot;xView&quot;\n\
internalCategory:&quot;xView&quot;\n\
tooltip:&quot;Face Area Checker Display Mode&quot;\n\
(\n\
</pre></div><p>Based on the existing xView MacroScripts already shipping with <strong>3ds Max 2010 and higher</strong>, we can create a new MacroScript header for our Face Area Checker.</p>\n\
<div class=\'codeBlock\'><pre>on isChecked return\n\
xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on\n\
</pre></div><p>When <strong>3ds Max</strong> wants to see whether an ActionItem in the UI has to be checked (when displayed as a button, a menu item, or a Quad menu item), it calls the isChecked handler. Here, we return true if the name of the currently active checker matches our checker&#39;s name and checking is generally enabled.</p>\n\
<div class=\'codeBlock\'><pre>on execute do\n\
(\n\
</pre></div><p>When the MacroScript is actually invoked, the execute handler will be called.</p>\n\
<div class=\'codeBlock\'><pre>if (xViewChecker.getCheckerName xViewChecker.activeIndex == &quot;Face Area Checker&quot; and xViewChecker.on) then\n\
</pre></div><p>We perform the same check as in the isChecked handler.</p>\n\
<div class=\'codeBlock\'><pre>xViewChecker.on = false\n\
</pre></div><p>If our checker is the active one and checking is enabled, we simply disable the xView checking.</p>\n\
<div class=\'codeBlock\'><pre>else\n\
( \n\
</pre></div><p>Otherwise, we will have to enable the checking, but first we have to find out the ID of our checker to set it as the active one.</p>\n\
<div class=\'codeBlock\'><pre>local theIndex = 0\n\
</pre></div><p>We initialize a user variable to zero,</p>\n\
<div class=\'codeBlock\'><pre>for i = 1 to xViewChecker.getNumCheckers() do\n\
if xViewChecker.getCheckerName i == &quot;Face Area Checker&quot; do theIndex = i\n\
</pre></div><p>and loop from one to the number of existing checkers, comparing their names with our checker&#39;s name. If we find a match, we record its index in the variable theIndex.</p>\n\
<div class=\'codeBlock\'><pre>if theIndex &gt; 0 do   \n\
(\n\
xViewChecker.setActiveCheckerID(xViewChecker.getCheckerIDtheIndex)\n\
xViewChecker.on = true\n\
</pre></div><p>If after looping through all checkers registered with the xView system, the variable theIndex contains a value higher than zero, our checker is actually available and we can access it.</p>\n\
<p>We set theactive checker ID to the ID of the checker with the index we detected.</p>\n\
<p>Then, we enable the xView system.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
)\n\
)\n\
)--end MacroScript\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>Now, that we have an xView checked and a MacroScript to control it, we can customize the Viewport Menus to add our checker to the list of available xView Checkers.</p>\n\
<p>Evaluate the script by pressing <strong>Ctrl+E</strong> to create an ActionItem. A copy of the MacroScript code will be saved automatically in the \\usermacros folder of <strong>3ds Max</strong> and will be available in future <strong>3ds Max</strong> sessions. It is <strong>NOT</strong> necessary to put the MacroScript source code in a \\Startup or \\Plugins folder.</p>\n\
<p>At this point you can go to Main Menu &gt; Customize &gt; Customize User Interface and select the Menus tab in the <strong>Customize User Interface</strong> dialog.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Color</th>\n\
<th align=\"left\">Action</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Red</td>\n\
<td align=\"left\">Select the <strong>xView Category</strong> in the left drop-down list.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Green</td>\n\
<td align=\"left\">Select <strong>Views - xView</strong> Menu in the right drop-down list.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Purple</td>\n\
<td align=\"left\">Drag two <strong>Separator</strong> lines to the menu.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">Yellow</td>\n\
<td align=\"left\">Drag the <strong>Face Area Checker Display Mode</strong> ActionItem between the two lines.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">Blue</td>\n\
<td align=\"left\"><strong>Save</strong> the Custom Interface to disk to make the changes permanent. Confirm the overwriting of the CUI file.</td>\n\
</tr>\n\
</table>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FDE4446-078E-42E8-AC24-AEF7CAF1FFB5-low.gif\' title=\'\'></div>\n\
<p><strong>Previous</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\' title=\'\'>How To ... Develop A Face Area XView Checker - Part3</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";