var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To - Introduction to the Tutorials</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To - Introduction to the Tutorials</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to---introduction-to-the-tutorials\"></a></div>\n\
<p>The &quot;How To&quot; topics present some simple programming tasks as extended MAXScript examples. All of them are based on actual real-world cases, include detailed explanations and tips and tricks from the scripting practice. In addition, most of the scripts are not longer than 30 lines so they are perfectly suited for beginners.</p>\n\
<div class=\'section\'><a id=\"objectives\"></a><h2 id=\"objectives\">Objectives:</h2></div>\n\
<p>The main objective of these tutorials is to teach the MAXScript user some possible approaches for developing scripted solutions to practical problems - from the original idea through a concept expressed in a natural language (English) down to the actual MAXScript code and ideas for potential future enhancements.</p>\n\
<div class=\'section\'><a id=\"structure\"></a><h2 id=\"structure\">Structure:</h2></div>\n\
<p>The &quot;How To&quot; tutorials provide</p>\n\
<p>A <strong>list of related topics</strong> the user might want to read before trying the actual tutorial;</p>\n\
<p>The <strong>complete uncommented code</strong> – the user can cut &amp; paste it and use immediately;</p>\n\
<p>The same <strong>code with detailed explanations;</strong></p>\n\
<p><strong>Links to definitions</strong> of the used functions and methods;</p>\n\
<p>Some info about the <strong>usage of the script</strong> in the practice;</p>\n\
<p>Things to try – <strong>ideas for improvements</strong> that the user could try alone.</p>\n\
<div class=\'section\'><a id=\"topics\"></a><h2 id=\"topics\">Topics:</h2></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-transform-lock-script\"></a><h4 id=\"how-to-...-develop-a-transform-lock-script\">How To ... Develop A Transform Lock Script</h4></div>\n\
<p>Developing a simple script for checking all Transformation locks.</p>\n\
<div class=\'section\'><a id=\"how-to-...-remove-all-materials\"></a><h4 id=\"how-to-...-remove-all-materials\">How To ... Remove All Materials</h4></div>\n\
<p>Creating a very simple script removing all materials from the scene.</p>\n\
<div class=\'section\'><a id=\"how-to-...-quickly-rename-selected-objects\"></a><h4 id=\"how-to-...-quickly-rename-selected-objects\">How To ... Quickly Rename Selected Objects</h4></div>\n\
<p>Developing a simple renaming utility to change the names of selected objects</p>\n\
<div class=\'section\'><a id=\"how-to-...-select-non-quad-polygons\"></a><h4 id=\"how-to-...-select-non-quad-polygons\">How To ... Select Non-Quad Polygons</h4></div>\n\
<p>Example of accessing and selecting Polygons in an EditablePoly object.</p>\n\
<div class=\'section\'><a id=\"how-to-...-assign-materials-automatically\"></a><h4 id=\"how-to-...-assign-materials-automatically\">How To ... Assign Materials Automatically</h4></div>\n\
<p>Shows how to use MAXScript callbacks to automate material assignment.</p>\n\
<div class=\'section\'><a id=\"how-to-...-move-objects-to-a-surface\"></a><h4 id=\"how-to-...-move-objects-to-a-surface\">How To ... Move Objects to a Surface</h4></div>\n\
<p>Shows how to use the intersectRay function to find surface points on objects.</p>\n\
<div class=\'section\'><a id=\"how-to-...-output-object-data-to-file\"></a><h4 id=\"how-to-...-output-object-data-to-file\">How To ... Output Object Data To File</h4></div>\n\
<p>Shows the basic of writing object data to an external text file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-output-geometry-data-to-text-file---part-one\"></a><h4 id=\"how-to-...-output-geometry-data-to-text-file---part-one\">How To ... Output Geometry Data To Text File - Part One</h4></div>\n\
<p>Shows the basic of writing mesh geometry data to an external text file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-read-geometry-data-from-text-file---part-one\"></a><h4 id=\"how-to-...-read-geometry-data-from-text-file---part-one\">How To ... Read Geometry Data From Text File - Part One</h4></div>\n\
<p>Shows the basic of reading object data from an external text file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-output-geometry-data-to-text-file---part-two\"></a><h4 id=\"how-to-...-output-geometry-data-to-text-file---part-two\">How To ... Output Geometry Data To Text File - Part Two</h4></div>\n\
<p>Enhances the mesh geometry output script with support of smoothing groups, material ids and edge visibility.</p>\n\
<div class=\'section\'><a id=\"how-to-...-read-geometry-data-from-text-file---part-two\"></a><h4 id=\"how-to-...-read-geometry-data-from-text-file---part-two\">How To ... Read Geometry Data From Text File - Part Two</h4></div>\n\
<p>Enhances the input script developed in Part One to support the new data added by the preceding tutorial.</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-a-quick-preview\"></a><h4 id=\"how-to-...-create-a-quick-preview\">How To ... Create a Quick Preview</h4></div>\n\
<p>Implements a simple viewport preview and automatic RAMplayer loading</p>\n\
<div class=\'section\'><a id=\"how-to-...-access-the-z-depth-channel\"></a><h4 id=\"how-to-...-access-the-z-depth-channel\">How To ... Access the Z-Depth channel</h4></div>\n\
<p>A small experiment creating objects based on the Z-Depth of the camera.</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-a-monochrome-rendereffect\"></a><h4 id=\"how-to-...-create-a-monochrome-rendereffect\">How To ... Create a MonoChrome RenderEffect</h4></div>\n\
<p>A simple example of a scripted RenderEffect plug-in.</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-custom-mesh-object\"></a><h4 id=\"how-to-...-create-custom-mesh-object\">How To ... Create Custom Mesh Object</h4></div>\n\
<p>Shows how to create a custom mesh object.</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-scripted-geometry-plug-in\"></a><h4 id=\"how-to-...-create-scripted-geometry-plug-in\">How To ... Create Scripted Geometry Plug-in</h4></div>\n\
<p>An example of a scripted geometry plug-in.</p>\n\
<div class=\'section\'><a id=\"how-to-...-create-a-dalmatian-texturemap-plug-in\"></a><h4 id=\"how-to-...-create-a-dalmatian-texturemap-plug-in\">How To ... Create a Dalmatian TextureMap Plug-in</h4></div>\n\
<p>An example of a scripted texture map plug-in in the famous polka-dot dog look.</p>\n\
<div class=\'section\'><a id=\"how-to-...-access-windows-system-data\"></a><h4 id=\"how-to-...-access-windows-system-data\">How To ... Access Windows System Data</h4></div>\n\
<p>Shows an approach to access system data that is not directly exposed to MAXScript.</p>\n\
<div class=\'section\'><a id=\"how-to-...-sort-trackview-alphabetically\"></a><h4 id=\"how-to-...-sort-trackview-alphabetically\">How To ... Sort TrackView Alphabetically</h4></div>\n\
<p>Shows an approach to sort the objects in the TrackView.</p>\n\
<div class=\'section\'><a id=\"how-to-...-flatten-a-splineshape\"></a><h4 id=\"how-to-...-flatten-a-splineshape\">How To ... Flatten a SplineShape</h4></div>\n\
<p>Example of modifying a slineShape by moving knots and bezier vectors.</p>\n\
<div class=\'section\'><a id=\"how-to-...-draw-a-freehand-spline\"></a><h4 id=\"how-to-...-draw-a-freehand-spline\">How To ... Draw a Freehand Spline</h4></div>\n\
<p>Example of drawing a spline with the mouse in the ground plane.</p>\n\
<div class=\'section\'><a id=\"how-to-...-enhance-the-morpher-modifier-with-floating-controls\"></a><h4 id=\"how-to-...-enhance-the-morpher-modifier-with-floating-controls\">How To ... Enhance the Morpher Modifier With Floating Controls</h4></div>\n\
<p>Example of dynamic UI creation, time and change callbacks usage to create a floater with controls linked interactively to a Morpher modifier.</p>\n\
<div class=\'section\'><a id=\"how-to-...-change-objects-at-render-time\"></a><h4 id=\"how-to-...-change-objects-at-render-time\">How To ... Change Objects At Render Time</h4></div>\n\
<p>An example of changing object properties at render time using callback scripts.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-vertex-renderer\"></a><h4 id=\"how-to-...-develop-a-vertex-renderer\">How To ... Develop a Vertex Renderer</h4></div>\n\
<p>An example of a scripted vertex realtime renderer.</p>\n\
<div class=\'section\'><a id=\"how-to-...-script-particle-flow\"></a><h3 id=\"how-to-...-script-particle-flow\">How To ... Script Particle Flow</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-transfer-particleflow-particle-motion-to-scene-objects\"></a><h4 id=\"how-to-...-transfer-particleflow-particle-motion-to-scene-objects\">How To ... Transfer ParticleFlow Particle Motion To Scene Objects</h4></div>\n\
<p>An example of moving scene objects using Particle Flow particles.</p>\n\
<div class=\'section\'><a id=\"how-to-...-affect-particle-flow-particles-by-mass\"></a><h4 id=\"how-to-...-affect-particle-flow-particles-by-mass\">How To ... Affect Particle Flow Particles by Mass</h4></div>\n\
<p>An example of applying a Force to particles based on their mass.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool-in-nine-easy-steps\"></a><h3 id=\"how-to-...-develop-a-bitmap-painting-tool-in-nine-easy-steps\">How To ... Develop a Bitmap Painting Tool In Nine Easy Steps</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---basic-utility\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---basic-utility\">How To ... Develop a Bitmap Painting Tool - Basic Utility</h4></div>\n\
<p>The first step of the tool creation - The basic tool with a single point brush without strokes support.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---strokes-support\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---strokes-support\">How To ... Develop a Bitmap Painting Tool - Strokes Support</h4></div>\n\
<p>The second iteration of the tool adds continuous stroke drawing.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---brush-size-and-color\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---brush-size-and-color\">How To ... Develop a Bitmap Painting Tool - Brush Size and Color</h4></div>\n\
<p>The third iteration of the tool adds control over the size and color of the brush.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---airbrush-and-shapes\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---airbrush-and-shapes\">How To ... Develop a Bitmap Painting Tool - Airbrush and Shapes</h4></div>\n\
<p>The fourth iteration of the tool adds circular brush shape support and an Airbrush option with variable strength.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---smooth-brushes\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---smooth-brushes\">How To ... Develop a Bitmap Painting Tool - Smooth Brushes</h4></div>\n\
<p>The fifth iteration of the tool adds a brush with smooth falloff</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---load-and-save\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---load-and-save\">How To ... Develop a Bitmap Painting Tool - Load and Save</h4></div>\n\
<p>The sixth iteration of the tool adds bitmap file loading and saving. Finally, you can store your work of art to disk and continue on painting later in a new session...</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---erase-changes\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---erase-changes\">How To ... Develop a Bitmap Painting Tool - Erase Changes</h4></div>\n\
<p>The seventh iteration of the tool adds an eraser option to the right mouse button and a Commit Changes menu option to permanently bake the changes to the image.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---unwrap-uv-coordinates\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---unwrap-uv-coordinates\">How To ... Develop a Bitmap Painting Tool - Unwrap UV Coordinates</h4></div>\n\
<p>The eight iteration of the tool adds UV texture coordinates unwrapping and realtime updates of the bitmap as diffusemap on a selected object.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-bitmap-painting-tool---3d-painting\"></a><h4 id=\"how-to-...-develop-a-bitmap-painting-tool---3d-painting\">How To ... Develop a Bitmap Painting Tool - 3D Painting</h4></div>\n\
<p>The ninth iteration of the tool adds 3D Painting on a selected object in the viewport.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-selected-objects-inspector-using-listview-activex-control\"></a><h3 id=\"how-to-...-develop-a-selected-objects-inspector-using-listview-activex-control\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-selected-objects-inspector-using-listview-activex-control---part-one\"></a><h4 id=\"how-to-...-develop-a-selected-objects-inspector-using-listview-activex-control---part-one\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</h4></div>\n\
<p>This tutorial will demonstrate how to set up an ActiveX Control in a MAXScript rollout to display details about selected scene objects</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-selected-objects-inspector-using-listview-activex-control---part-two\"></a><h4 id=\"how-to-...-develop-a-selected-objects-inspector-using-listview-activex-control---part-two\">How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part Two</h4></div>\n\
<p>This second tutorial will demonstrate how to customize the ListView ActiveX Control defined in Part One and update the display automatically when the selection set changes</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-scene-browser-using-treeview-activex-control\"></a><h3 id=\"how-to-...-develop-a-scene-browser-using-treeview-activex-control\">How To ... Develop a Scene Browser using TreeView ActiveX Control</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-scene-browser-using-treeview-activex-control---part-one\"></a><h4 id=\"how-to-...-develop-a-scene-browser-using-treeview-activex-control---part-one\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</h4></div>\n\
<p>This tutorial will demonstrate how to set up an ActiveX Control in a MAXScript rollout to display the hierarchy of the <em>3ds Max</em> scene nodes.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-scene-browser-using-treeview-activex-control---part-two\"></a><h4 id=\"how-to-...-develop-a-scene-browser-using-treeview-activex-control---part-two\">How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</h4></div>\n\
<p>The second tutorial will demonstrate how to customize the TreeView ActiveX Control defined in Part One by adding icons, colors and checkboxes to display and control the hidden state of scene nodes.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-tools-using-dotnet\"></a><h3 id=\"how-to-...-develop-tools-using-dotnet\">How To ... Develop Tools Using DotNet</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-copy-the-last-rendered-image-to-the-windows-clipboard\"></a><h4 id=\"how-to-...-copy-the-last-rendered-image-to-the-windows-clipboard\">How To ... Copy The Last Rendered Image To The Windows Clipboard</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet class to put the last rendered image into the Windows Clipboard.</p>\n\
<div class=\'section\'><a id=\"how-to-...-call-a-maxscript-function-periodically-using-dotnet\"></a><h4 id=\"how-to-...-call-a-maxscript-function-periodically-using-dotnet\">How To ... Call a MAXScript Function Periodically using DotNet</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<div class=\'section\'><a id=\"how-to-...-generate-hash-checksums-using-dotnet\"></a><h4 id=\"how-to-...-generate-hash-checksums-using-dotnet\">How To ... Generate Hash Checksums using DotNet</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet Timer object to call a MAXScript function at given intervals without the need for a rollout.</p>\n\
<div class=\'section\'><a id=\"how-to-...-print-using-dotnet\"></a><h4 id=\"how-to-...-print-using-dotnet\">How To ... Print Using DotNet</h4></div>\n\
<p>This tutorial demonstrates how to use a DotNet form to display a file from disk and then print it as multiple pages to the printer.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-an-xview-geometry-checker\"></a><h3 id=\"how-to-...-develop-an-xview-geometry-checker\">How To ... Develop An XView Geometry Checker</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part-1\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part-1\">How To ... Develop A Face AreaXViewChecker - Part 1</h4></div>\n\
<p>This tutorial demonstrates how to define and register MAXScript functions with the XView Checker interface introduced in <em>3ds Max 2010</em> to perform a Face Area test on geometry objects.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part2\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part2\">How To ... Develop A Face AreaXViewChecker - Part2</h4></div>\n\
<p>This tutorial expands on the previous example by adding multiple checker modes and custom text and display override functions.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part3\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part3\">How To ... Develop A Face AreaXViewChecker - Part3</h4></div>\n\
<p>This tutorial continues the development of the Face Area Geometry Checker by implementing sticky settings via an INI file.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-a-face-areaxviewchecker---part4\"></a><h4 id=\"how-to-...-develop-a-face-areaxviewchecker---part4\">How To ... Develop A Face AreaXViewChecker - Part4</h4></div>\n\
<p>This tutorial finishes the development of the Face Area Geometry Checker by implementing a MacroScript to place in the Viewport Menus.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-an-svg-polygon-renderer\"></a><h3 id=\"how-to-...-develop-an-svg-polygon-renderer\">How To ... Develop An SVG Polygon Renderer</h3></div>\n\
<div class=\'section\'><a id=\"how-to-...-develop-an-svg-polygon-renderer---part-1\"></a><h4 id=\"how-to-...-develop-an-svg-polygon-renderer---part-1\">How To ... Develop An SVG Polygon Renderer - Part 1</h4></div>\n\
<p>This tutorial demonstrates how to use the Vector_Map TextureMap introduced in <em>3ds Max 2014</em> to render polygons of scene geometry objects.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-an-svg-polygon-renderer---part2\"></a><h4 id=\"how-to-...-develop-an-svg-polygon-renderer---part2\">How To ... Develop An SVG Polygon Renderer - Part2</h4></div>\n\
<p>The second part of this tutorial expands on the previous example by adding depth sorting to avoid incorrectly overlapping polygons.</p>\n\
<div class=\'section\'><a id=\"how-to-...-develop-an-svg-polygon-renderer---part3\"></a><h4 id=\"how-to-...-develop-an-svg-polygon-renderer---part3\">How To ... Develop An SVG Polygon Renderer - Part3</h4></div>\n\
<p>The third part of the tutorial implements material color and lighting support using Facets Shading with Blinn Specular Highlights.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";