var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Quickly Rename Selected Objects</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Quickly Rename Selected Objects</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-quickly-rename-selected-objects\"></a></div>\n\
<p>A very often required task in the daily <strong>3ds Max</strong> practice is the mass-changing of object properties. Here is a very simple renaming script that shows how easy and powerful MAXScript can be when working with multiple objects. Using this example as a starting point, you could develop scripts that change other object properties with a single click...</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macroscripts</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Package the code as macroScript to be used as button, menu or shortcut.</p>\n\
<p>Define a rollout to create a dialog</p>\n\
<p>Define an edit text box in the rollout to enter the new base name</p>\n\
<p>Define a button to initiate the renaming</p>\n\
<p>Define a pressed handler for the button</p>\n\
<p>Check whether the entered name is valid</p>\n\
<p>If yes, go through all selected objects and assign unique names using the base name string.</p>\n\
<p>When started, create the dialog using the above definitions.</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-274BE6CD-C7E8-4559-A4B7-16001E164BBA-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` macroScript RenameThem category: &quot;HowTo&quot; ( rollout rename_rollout &quot;Enter New Base Name&quot; ( edittext base_name &quot;&quot; button rename_them &quot;RENAME SELECTED OBJECTS...&quot; on rename_them pressed do ( if base_name.text != &quot;&quot; do for i in selection do i.name = uniquename base_name.text )--end on )--end rollout createDialog rename_rollout 250 50 )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step:</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript RenameThem category:&quot;HowTo&quot;\n\
(\n\
</pre></div><p>The macroScript will be called <strong>RenameThem</strong>. To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a></p>\n\
<div class=\'codeBlock\'><pre>rollout rename_rollout &quot;Enter New Base Name&quot;\n\
(\n\
</pre></div><p>The macroScript will present the user with a dialog to enter a new base name. A dialog requires a rollout. We define a new rollout stored in the variable rename_rollout and titled &quot;Enter New Base Name&quot;. The rollout will contain two UI elements.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\' title=\'\'>Rollout Clauses</a></p>\n\
<div class=\'codeBlock\'><pre>edittext base_name\n\
</pre></div><p>The first UI element is a text box called base_name. It will have no default text when created.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Edittext-UI-Control.html\' title=\'\'>Edittext</a></p>\n\
<div class=\'codeBlock\'><pre>button rename_them &quot;RENAME SELECTED OBJECTS...&quot;\n\
</pre></div><p>The second UI element is a button called rename_them. It will display the text &quot;RENAME SELECTED OBJECTS... &quot;.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\' title=\'\'>Button</a></p>\n\
<div class=\'codeBlock\'><pre>on rename_them pressed do\n\
(\n\
</pre></div><p>This is the button’s event handler. It will be executed each time the button is pressed.</p>\n\
<div class=\'codeBlock\'><pre>if base_name.text != &quot;&quot; do\n\
for i in selection do i.name = uniquename base_name.text\n\
</pre></div><p>When the button is pressed, we check the base name first. The edittext box has a property called .text which gives access to the currently entered text. If the text is not the empty string, we can go on with the renaming – this means the user has entered a meaningful base name.</p>\n\
<p>The i loop will iterate through all selected objects. For each object, a new unique name will be generated using the base name entered in the edittext box. The resulting name will be assigned to the .name property of the current object.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\' title=\'\'>If Expression</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>uniquename</a></p>\n\
<div class=\'codeBlock\'><pre>)--end on\n\
)--end rollout\n\
createDialog rename_rollout 250 50\n\
</pre></div><p>When the script is executed, the createDialog function will take the rollout defined above and display it in a floating dialog with the width of 250 pixels and height of 50.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\' title=\'\'>CreateDialog</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>Evaluate the script. To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p>Start the script – the dialog will open in the center of the desktop. Select any number of objects to be renamed and enter a new base name. Press the button and check the names of the selected objects – they must have the same base name with unique sequential numbers now. You can repeat this as often as you want or close the dialog by pressing the X button of the dialog.</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>As already mentioned, you could modify the script to mass-change other object properties.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";