var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Output Geometry Data To Text File - Part Two</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Output Geometry Data To Text File - Part Two</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-output-geometry-data-to-text-file---part-two\"></a></div>\n\
<p>This is the second part of the Output Geometry Data tutorial. We will enhance the script developed in Part One to support smoothing groups, material ids, and edge visibility.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining MacroScripts</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\' title=\'\'>Picking Scene Nodes By Hit</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Load the script from Part One.</p>\n\
<p>Create a filter function for geometry objects.</p>\n\
<p>Let the user pick a scene object and apply the filter function.</p>\n\
<p>If the user picked a valid object, get a save file dialog, and ask for a target name.</p>\n\
<p>If the file name is valid, export the vertices.</p>\n\
<p>In the face export code, collect the smoothing groups values, material ids, and edge visibility.</p>\n\
<p>Output the collected values as a single line.</p>\n\
<p>Close the file.</p>\n\
<p>Open for review.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` macroScript ExportMesh category: &quot;HowTo&quot; ( fn GetGeometry o = ( Superclassof o == Geometryclass and classof o != TargetObject ) obj = pickobject filter:GetGeometry if isValidNode obj then ( tmesh =snapshotAsMesh obj out_name = GetSaveFileName() if out_name != undefined then ( out_file = createfile out_name num_verts = tmesh.numverts num_faces = tmesh.numfaces format &quot;%,%\\n&quot; num_verts num_faces to:out_file for v = 1 to num_verts do format &quot;%,&quot; (getVert tmesh v) to:out_file format &quot;\\n&quot; to:out_file for f = 1 to num_faces do ( face = getFace tmesh f sgroup = getFaceSmoothGroup tmesh f matid = getFaceMatId tmesh f edge1 = getEdgeVis tmesh f 1 edge2 = getEdgeVis tmesh f 2 edge3 = getEdgeVis tmesh f 3 format &quot;%,%,%,%,%,%\\n&quot; face sgroup matid edge1 edge2 edge3 to:out_file ) close out_file edit out_name )--end if )--end if )--end macroscript</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>MacroScript ExportMesh category:&quot;HowTo&quot;\n\
(\n\
</pre></div><p>We define a macroScript that will be called <span class=\'code\'>ExportMesh</span> . To use the script, you can go to Customize and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu, or assign to a keyboard shortcut.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a></p>\n\
<div class=\'codeBlock\'><pre>fn GetGeometry o = (\n\
Superclassof o == Geometryclass and classof o != TargetObject )\n\
</pre></div><p>We will need a filter function to allow the picking of only specific object types. In this case, the function will return true only when the superclass of the object passed as parameter is GeometryClass and the class of the passed object is not TargetObject (TargetObject is the only Geometry object without a mesh).</p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Defining-Custom-Functions.html\' title=\'\'>Defining Custom Functions</a></p>\n\
<div class=\'codeBlock\'><pre>obj = pickobject filter:GetGeometry\n\
</pre></div><p>Now, we can let the user pick a scene object and apply the filter to all objects below the mouse pointer. As you will note, the mouse pointer will allow scene objects to be picked only when their class matches the classes defined in the filter function.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-By-Hit.html\' title=\'\'>Picking Scene Nodes By Hit</a></p>\n\
<div class=\'codeBlock\'><pre>if isValidNode obj then\n\
(\n\
</pre></div><p>If the user picked a valid object (in other words he did not right-click to cancel and did not press <strong>Esc</strong> ), we will execute the rest of the script. Otherwise, we will skip the following lines.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>isValidNode</a></p>\n\
<div class=\'codeBlock\'><pre>tmesh = snapshotAsMesh obj\n\
</pre></div><p>This is the same as the Part One code. We get the mesh from the picked object.</p>\n\
<div class=\'codeBlock\'><pre>out_name = GetSaveFileName()\n\
</pre></div><p>Instead of providing a hard-coded path, we let the user type in any file name.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\' title=\'\'>Standard Open and Save File Dialogs</a></p>\n\
<div class=\'codeBlock\'><pre>if out_name != undefined then\n\
(\n\
</pre></div><p>If the user specified a valid name (in other words he did not press Cancel), we continue with the execution.</p>\n\
<div class=\'codeBlock\'><pre>out_file = createfileout_name\n\
num_verts = tmesh.numverts\n\
num_faces = tmesh.numfaces\n\
format &quot;%,%\\n&quot; num_verts num_faces to:out_file\n\
</pre></div><p>Just like in Part One, we create a new file and output the vertex and face count</p>\n\
<div class=\'codeBlock\'><pre>for v = 1 to num_verts do\n\
format &quot;%,&quot; (getVert tmesh v) to:out_file\n\
format &quot;\\n&quot; to:out_file\n\
</pre></div><p>Then we export the vertices just like in the compact version of the Part One script.</p>\n\
<div class=\'codeBlock\'><pre>for f = 1 to num_faces do\n\
(\n\
</pre></div><p>In the face loop, we will export some more data this time. Each face has a smoothing group value, a material id value, and three edge visibility values. We will export all of them in a single pass.</p>\n\
<div class=\'codeBlock\'><pre>face = getFace tmesh f\n\
</pre></div><p>First, we get the face.</p>\n\
<div class=\'codeBlock\'><pre>sgroup = getFaceSmoothGroup tmesh f\n\
</pre></div><p>Then, we get the smoothing group value from the same face,</p>\n\
<div class=\'codeBlock\'><pre>matid = getFaceMatId tmesh f\n\
</pre></div><p>then the material id value,</p>\n\
<div class=\'codeBlock\'><pre>edge1 = getEdgeVis tmesh f 1\n\
edge2 = getEdgeVis tmesh f 2\n\
edge3 = getEdgeVis tmesh f 3\n\
</pre></div><p>and the edge visibility for each of the three face edges.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<div class=\'codeBlock\'><pre>format &quot;%,%,%,%,%,%\\n&quot; face sgroup matid edge1 edge2 edge3 to:out_file\n\
</pre></div><p>Now, that we have all the values, we output all of them in a single line. We add a new line character to the end of the line – this will give us a single line for each face.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>FileStream Values</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
close out_file\n\
</pre></div><p>When the face loop is ready, we close the output file,</p>\n\
<div class=\'codeBlock\'><pre>edit out_name\n\
</pre></div><p>and open the new file to check the result.</p>\n\
<div class=\'codeBlock\'><pre>)--end if\n\
)--end if\n\
)--end macroscript\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>To test the script, select <strong>Tools &gt; Evaluate</strong> from the MAXScript Editor’s menu or alternatively, press <strong>Ctrl+E</strong>. Then, customize a toolbar and drag the script from the &quot;HowTo&quot; category. Press the button and pick a geometry object from the scene. You can pick any geometry object like Patch, NURBS, procedural object, and others.</p>\n\
<blockquote>\n\
<p><strong>SAMPLE OUTPUT OF A CUBE:</strong></p>\n\
<p>``` 8,12 [-50,-50,0],[50,-50,0],[-50,50,0],[50,50,0],[-50,-50,100],[50,-50,100],[-50,50,100],[50,50,100], [1,3,4],2,2,true,true,false [4,2,1],2,2,true,true,false [5,6,8],4,1,true,true,false [8,7,5],4,1,true,true,false [1,2,6],8,5,true,true,false [6,5,1],8,5,true,true,false [2,4,8],16,4,true,true,false [8,6,2],16,4,true,true,false [4,3,7],32,6,true,true,false [7,8,4],32,6,true,true,false [3,1,5],64,3,true,true,false [5,7,3],64,3,true,true,false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>Now, that we have the enhanced output, we can go on and enhance the corresponding input script to read back the new data format and create a new scene object with all the face properties.</p>\n\
<p>Later, you can try to extend the script yourself by adding, for example, texture coordinates support.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From.html\' title=\'\'>How To ... Read Geometry Data From Text File - Part One</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To.html\' title=\'\'>How To ... Output Geometry Data To Text File - Part One</a></p>\n\
<p><strong>Next</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From-1.html\' title=\'\'>How To ... Read Geometry Data From Text File - Part Two</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";