var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Read Geometry Data From Text File - Part Two</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Read Geometry Data From Text File - Part Two</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-read-geometry-data-from-text-file---part-two\"></a></div>\n\
<p>This is Part Two of the Geometry Import tutorial. It will be able to read the extended data written by the output script developed in <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To-1.html\' title=\'\'>How To ... Output Geometry Data To Text File - Part Two</a>.</p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Package as macroScript to let the user place the script on a toolbar, QuadMenu, keyboard shortcut, or Menu.</p>\n\
<p>Create three more arrays to store smoothing groups, material ids, and edge visibility.</p>\n\
<p>Let the user select a file to open.</p>\n\
<p>If the user selected a valid file name, go on with the script.</p>\n\
<p>After reading the vertices and faces as in Part One, also read the smoothing groups, material ids, and edge visibility.</p>\n\
<p>Close the file.</p>\n\
<p>Create a new mesh out of the collected vertices and faces.</p>\n\
<p>Apply the smoothing groups, material ids, and edge visibility values to all faces.</p>\n\
<p>Update the mesh to reflect the changes.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` macroScript ImportMesh category: &quot;HowTo&quot; ( vert_array = #() face_array = #() sgroup_array = #() matid_array = #() edge_array = #() in_name = getOpenFileName() if in_name != undefined then ( in_file = openFile in_name if in_file != undefined then ( num_verts = readValue in_file num_faces = readValue in_file for v = 1 to num_verts do append vert_array (readValue in_file) for f = 1 to num_faces do ( append face_array (readValue in_file) append sgroup_array (readValue in_file) append matid_array (readValue in_file) edge1 = readValue in_file edge2 = readValue in_file edge3 = readValue in_file append edge_array #(edge1, edge2, edge3) ) close in_file new_mesh = mesh vertices:vert_array faces:face_array for f = 1 to num_faces do ( setFaceSmoothGroup new_mesh f sgroup_array[f] setFaceMatID new_mesh f matid_array[f] setEdgeVis new_mesh f 1 edge_array[f][1] setEdgeVis new_mesh f 2 edge_array[f][2] setEdgeVis new_mesh f 3 edge_array[f][3] ) update new_mesh )--end if )--end if )--end macroscript</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript ImportMesh category: &quot;HowTo&quot;\n\
(\n\
</pre></div><p>We define a macroScript that will be called <span class=\'code\'>ImportMesh</span> . To use the script, you can go to Customize and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu, or assign to a keyboard shortcut.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a></p>\n\
<div class=\'codeBlock\'><pre>vert_array = #()\n\
face_array = #()\n\
\n\
</pre></div><p>We define the arrays to hold the vertex and face arrays like in Part One,</p>\n\
<div class=\'codeBlock\'><pre>sgroup_array = #()\n\
matid_array = #()\n\
edge_array = #()\n\
</pre></div><p>but we also define three more arrays to store smoothing groups, material ids, and edge visibility.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array Values</a></p>\n\
<div class=\'codeBlock\'><pre>in_name = getOpenFileName()\n\
</pre></div><p>Instead of reading a fixed name, we will let the user pick a file name.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/Standard-Open-and-Save-File.html\' title=\'\'>Standard Open and Save File Dialogs</a></p>\n\
<div class=\'codeBlock\'><pre>if in_name != undefined then\n\
(\n\
</pre></div><p>As long as the file name picked is not undefined (the user did not press Cancel), we can continue.</p>\n\
<div class=\'codeBlock\'><pre>in_file = openFile in_name\n\
if in_file != undefined then\n\
(\n\
num_verts = readValue in_file\n\
num_faces = readValue in_file\n\
for v = 1 to num_verts do\n\
append vert_array (readValue in_file)\n\
for f = 1 to num_faces do\n\
(\n\
append face_array (readValue in_file)\n\
\n\
</pre></div><p>This part of the reading code is identical to Part One, but we also have to read the additional data:</p>\n\
<div class=\'codeBlock\'><pre>append sgroup_array (readValue in_file)\n\
append matid_array (readValue in_file)\n\
</pre></div><p>We read the smoothing group value and the material id value from the file and append to the arrays.</p>\n\
<div class=\'codeBlock\'><pre>edge1 = readValue in_file\n\
edge2 = readValue in_file\n\
edge3 = readValue in_file\n\
</pre></div><p>Also, we read the three edge visibility values.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<div class=\'codeBlock\'><pre>append edge_array #(edge1, edge2, edge3)\n\
</pre></div><p>To store the edge visibility for later application, we create a new array and append it to our edge array.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
close in_file\n\
new_mesh = mesh vertices:vert_array faces:face_array\n\
\n\
</pre></div><p>At this point, we have the mesh just like in Part One. Now, we have to apply the additional data to the resulting mesh.</p>\n\
<div class=\'codeBlock\'><pre>for f = 1 to num_faces do\n\
(\n\
</pre></div><p>To do so, we start a new loop,</p>\n\
<div class=\'codeBlock\'><pre>setFaceSmoothGroup new_mesh f sgroup_array[f]\n\
</pre></div><p>Then, we set the smoothing group of the f-th face of the new_mesh object to the value stored in the sgroup_array at the f-th position.</p>\n\
<div class=\'codeBlock\'><pre>setFaceMatID new_mesh f matid_array[f]\n\
</pre></div><p>We set the material id of the f-th face of the new_mesh object to the value stored in the matid_array at the f-th position.</p>\n\
<div class=\'codeBlock\'><pre>setEdgeVis new_mesh f 1 edge_array[f][1]\n\
setEdgeVis new_mesh f 2 edge_array[f][2]\n\
setEdgeVis new_mesh f 3 edge_array[f][3]\n\
</pre></div><p>And, we set the edge visibility of each of the three edges in the f-th face of the new_mesh object to the values stored in the sub-array at f-th position in the edge_array</p>\n\
<div class=\'codeBlock\'><pre>)\n\
update new_mesh\n\
</pre></div><p>Finally, we have to update the internal mesh caches to get the changes reflected in the scene. This is a very important step.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
)\n\
)\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>To test the script, use the Output script first to create a file. Then open this script, select <strong>Tools &gt; Evaluate</strong> from the MAXScript Editor’s menu or alternatively, press <strong>Ctrl+E</strong>. The object exported to the file by the other script must appear in the scene. Note that it will have to correct position, but its pivot point will be at the world origin as we did not export local coordinates and object transformations.</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>If you have implemented texture coordinates export in your Geometry Output script as suggested in the Part Two tutorial, you might also want to alter this script to read the additional data.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To-1.html\' title=\'\'>How To ... Output Geometry Data To Text File - Part Two</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From.html\' title=\'\'>How To ... Read Geometry Data From Text File - Part One</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To.html\' title=\'\'>How To ... Output Geometry Data To Text File - Part One</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";