var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Read Geometry Data From Text File - Part One</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Read Geometry Data From Text File - Part One</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-read-geometry-data-from-text-file---part-one\"></a></div>\n\
<p>This is a very basic example of importing mesh geometry data from an external text file created in the Output Geometry Data – Part One tutorial. The file contains only vertex and face lists.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>FileStream Values</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Create two empty arrays to hold the vertex and face lists.</p>\n\
<p>Define an input file name.</p>\n\
<p>Open the file for reading.</p>\n\
<p>In the file exists, read the vertex and face number values from the file.</p>\n\
<p>Step through all vertex values and read them into a variable, then append the value of the variable to the vertex array.</p>\n\
<p>Step through all face values and read them into a variable, then append the value of the variable to the vertex array.</p>\n\
<p>Close the file.</p>\n\
<p>Create a new mesh using the vertex and face arrays.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` vert_array = #() face_array = #() in_name = ((GetDir #export)+&quot;/testmesh.dat&quot;) in_file = openFile in_name if in_file != undefined then ( num_verts = readValue in_file num_faces = readValue in_file vert_array.count = num_verts face_array.count = num_faces for v = 1 to num_verts do ( vert = readValue in_file vert_array[v] = vert ) for f = 1 to num_faces do ( face = readValue in_file face_array[f] = face ) close in_file new_mesh = mesh vertices:vert_array faces:face_array )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>vert_array = #() face_array = #()\n\
</pre></div><p>In the beginning, we define two empty arrays to collect the vertex and face data into.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array Values</a></p>\n\
<div class=\'codeBlock\'><pre>in_name = ((GetDir #export)+&quot;/testmesh.dat&quot;)\n\
</pre></div><p>Then we define the imput file name just like in the Output Geometry – Part One tutorial. This is currently a hard-coded name in both the output and input script. We will let the user pick a file from an open file dialog in Part Two of this tutorial.</p>\n\
<div class=\'codeBlock\'><pre>in_file = openFile in_name\n\
</pre></div><p>Using the file name, we try to open the file for input. If the specified path exists, a fileStream value will be stored in the in_file variable. If the path does not exist, the value undefined will be stored instead.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>FileStream Values</a></p>\n\
<div class=\'codeBlock\'><pre>if in_file != undefined then (\n\
</pre></div><p>Knowing the above, we check to see if the file is valid or not. If the value isn’t undefined, the file has been opened successfully. If not, all of the next lines enclosed in the brackets will be ignored.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\' title=\'\'>If Expression</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\' title=\'\'>Undefined Value</a></p>\n\
<div class=\'codeBlock\'><pre>num_verts = readValue in_file\n\
</pre></div><p>The file will contain the number of vertices and faces separated by a comma in the first line. Using the readValue method, we read the first value from the file. The value will be stored in the num_verts variable.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>FileStream Values</a></p>\n\
<div class=\'codeBlock\'><pre>num_faces = readValue in_file\n\
</pre></div><p>Using the same readValue method, we read the next value from the file. The value will be stored in the num_faces variable.</p>\n\
<div class=\'codeBlock\'><pre>vert_array.count = num_verts face_array.count = num_faces\n\
</pre></div><p>Now that we know the number of vertices and faces stored in the file, we initialize both arrays to those numbers. This will reserve enough memory for both arrays.</p>\n\
<div class=\'codeBlock\'><pre>for v = 1 to num_verts do (\n\
</pre></div><p>Then we can read the vertex positions. We start a new loop that will change the variable v from 1 to the number of vertices stored in the file.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<div class=\'codeBlock\'><pre>vert = readValue in_file\n\
</pre></div><p>Using the readValue method, we read Point3 values from the file. We store them in a user variable vert...</p>\n\
<div class=\'codeBlock\'><pre>vert_array[v] = vert\n\
</pre></div><p>...and then assign the value to the v-th position of the vert_array array.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><p>At this point, we have all vertex positions read and put into the array.</p>\n\
<div class=\'codeBlock\'><pre>for f = 1 to num_faces do (\n\
</pre></div><p>Using the num_faces variable, we can also read as many face definitions. We start another loop that will change the variable f from 1 to the number of faces stored in the file.</p>\n\
<div class=\'codeBlock\'><pre>face = readValue in_file\n\
</pre></div><p>Using the readValue method, we read Point3 values from the file specifying the vertex indices defining the face. We store them in a user variable face...</p>\n\
<div class=\'codeBlock\'><pre>face_array[f] = face\n\
</pre></div><p>...and then assign the value to the f-th position of the face_array array.</p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><p>At this point, we have all face definitions read and put into the array.</p>\n\
<div class=\'codeBlock\'><pre>close in_file\n\
</pre></div><p>We can close the file...</p>\n\
<div class=\'codeBlock\'><pre>new_mesh = mesh vertices:vert_array faces:face_array\n\
</pre></div><p>...and finally construct a new mesh by providing the vertex and face arrays collected from the file.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Editable-Meshes-Splines-Patches/Editable_Mesh-and-TriMesh/Editable_Mesh-GeometryClass-and.html\' title=\'\'>Editable_Mesh : GeometryClass and TriMesh : Value</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>To test the script, use the Output script first to create a file. Then open this script, select <strong>Tools &gt; Evaluate</strong> from the MAXScript Editor’s menu or alternatively, press <strong>Ctrl+E</strong>. The object exported to the file by the other script should appear in the scene. Note that it will have to correct position, but its pivot point will be at the world origin as we did not export local coordinates and object transformations.</p>\n\
<div class=\'section\'><a id=\"optimizing-the-code\"></a><h2 id=\"optimizing-the-code\">Optimizing the code</h2></div>\n\
<p>As already mentioned, this is the basic code for geometry input. Still it can be made even more compact. Below is a shorter version of the same code. Please compare the two scripts and see why both of them do the same thing although expressed slightly differently.</p>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` vert_array = #() face_array = #() in_file = openFile ((GetDir #export)+&quot;/testmesh.dat&quot;) if in_file != undefined then ( num_verts = readValue in_file num_faces = readValue in_file vert_array.count = num_verts face_array.count = num_faces for v = 1 to num_verts do vert_array[v] = (readValue in_file) for f = 1 to num_faces do face_array[f] = (readValue in_file) close in_file new_mesh = mesh vertices:vert_array faces:face_array )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>In Part Two of the Geometry Input tutorial, we will make the code more robust and add some more features to reflect the changes made to the Geometry Output Part Two tutorial.</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To.html\' title=\'\'>How To ... Output Geometry Data To Text File - Part One</a></p>\n\
<p><strong>Next</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Output-Geometry-Data-To-1.html\' title=\'\'>How To ... Output Geometry Data To Text File - Part Two</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Read-Write-Geometry-Data/How-To-Read-Geometry-Data-From-1.html\' title=\'\'>How To ... Read Geometry Data From Text File - Part Two</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";