var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Remove All Materials</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Remove All Materials</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-remove-all-materials\"></a></div>\n\
<p>This is one of the shortest scripts one could imagine, and yet very powerful and useful. It will let the user remove all materials from the scene objects.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macroscripts</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\' title=\'\'>General Node Properties</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Package the code as macroScript to be used as button, menu or shortcut.</p>\n\
<p>Set the material property of all objects to undefined to remove any material assignments.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` macroScript NoMaterials category: &quot;HowTo&quot; ( $*.material = undefined )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step:</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript NoMaterials category:&quot;HowTo&quot; (\n\
</pre></div><p>The macroScript will be called <span class=\'code\'>NoMaterials</span>.</p>\n\
<p>To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p>A good place to put it into would be the new menu of the Material Editor in <strong>3ds Max 5</strong>.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a></p>\n\
<div class=\'codeBlock\'><pre>$*.material = undefined\n\
</pre></div><p>MAXScript will iterate through all scene objects because $* is a wildcard for any object name found in the scene.</p>\n\
<p>The material object property assignment is mappable, which means that MAXScript will take the collection of objects on the left side of the assignment operator &quot;=&quot;, loop internally through all objects in the collection and assign the right-hand expression (in this case the value <span class=\'code\'>undefined</span>) to them.</p>\n\
<p>When an object is first created, its <span class=\'code\'>.material</span> property is by default set to <span class=\'code\'>undefined</span>.</p>\n\
<p>When a material is assigned to an object, the <span class=\'code\'>.material</span> property would return the Material object.</p>\n\
<p>Setting the material property to <span class=\'code\'>undefined</span> will effectively remove the assignment of the material to the object and thus restore the object’s default state.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\' title=\'\'>General Node Properties</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\' title=\'\'>Undefined Value</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>Evaluate the script.</p>\n\
<p>To use it, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut.</p>\n\
<p><strong>In 3ds Max 5 and higher</strong>, you could customize the Material Editor’s menu to place the new Item for cleaning the scene materials there!</p>\n\
<p>Start the script – all materials will be removed.</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>This operation is very destructive – you might want to add a Yes/No query to make sure your user knows what he is doing. Take a look at</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/MAXScript-Message-and-Query/MAXScript-Message-and-Query-1.html\' title=\'\'>MAXScript Message and Query Dialogs</a></p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";