var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>How To ... Sort TrackView Alphabetically</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>How To ... Sort TrackView Alphabetically</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"how-to-...-sort-trackview-alphabetically\"></a></div>\n\
<p>In general, <strong>3ds Max</strong> shows the scene hierarchy in TrackView in the order of object creation. While there are some keyboard shortcuts for moving single objects up and down, there is no built-in function to reorder the TrackView.</p>\n\
<p>Using the fact that unlinking a parented object moves it to the end of the hierarchy, we can write a short script to sort the TrackView display anyway we want.</p>\n\
<p>The following script will sort the objects in TrackView in alphabetical order.</p>\n\
<p><strong>Related Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining MacroScripts</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\' title=\'\'>Parent_Node_Property</a></p>\n\
<blockquote>\n\
<p><strong>NATURAL LANGUAGE</strong></p>\n\
<p>Package the code as macroScript to be able to use as a button, menu item or shortcut.</p>\n\
<p>Collect the names of all objects in the scene.</p>\n\
<p>Sort the names alphabetically.</p>\n\
<p>Create a temporary helper for linking.</p>\n\
<p>Resolve each object’s path by using its name.</p>\n\
<p>If the object has no parent, link to the temporary helper and unlink again to move the object to the end of the database.</p>\n\
<p>Delete the temporary object.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>MAXSCRIPT</strong></p>\n\
<p>``` macroScript AlphaSortTracks category:&quot;HowTo&quot; ( names_array = for i in $* collect i.name sort names_array d = dummy() for i = 1 to names_array.count by 1 do ( node_by_name = getNodeByName names_array[i] if node_by_name.parent == undefined then ( node_by_name.parent = d node_by_name.parent = undefined ) )--end i loop delete d )--end macroScript</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"step-by-step\"></a><h2 id=\"step-by-step\">Step-By-Step</h2></div>\n\
<div class=\'codeBlock\'><pre>macroScript AlphaSortTracks category:&quot;HowTo&quot;\n\
(\n\
</pre></div><p>The macroScript will be called <span class=\'code\'>AlphaSortTracks</span> . To use the script, you can go to Customize... and drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or assign to a keyboard shortcut.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a></p>\n\
<div class=\'codeBlock\'><pre>names_array = for i in $* collect i.name\n\
</pre></div><p>Using a <span class=\'code\'>for</span> loop, we will collect the names of all objects found in the scene in an array called <span class=\'code\'>names_array</span> .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<div class=\'codeBlock\'><pre>Sort names_array\n\
</pre></div><p>The <span class=\'code\'>sort</span> method will sort all names in the array in alphabetical order. Now that we have the names in the right order, we will have to retrieve the objects using the names and put them in the same order.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Sort_Array</a></p>\n\
<div class=\'codeBlock\'><pre>d = dummy()\n\
</pre></div><p>To simulate linking and unlinking and thus reorder the nodes, we will create a temporary dummy object to be used as parent.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Dummy-Helper.html\' title=\'\'>Dummy, Helper</a></p>\n\
<div class=\'codeBlock\'><pre>for i = 1 to names_array.count by 1 do\n\
(\n\
</pre></div><p>The for loop will assign the index of each name from the array to the value of variable <span class=\'code\'>i.</span> The <span class=\'code\'>by 1</span> option does not do anything in this case, but if we would change it to <span class=\'code\'>–1</span> , and switch places of the start and end value, we would invert the sorting from ascending (A-Z) to descending (Z-A) order!</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<div class=\'codeBlock\'><pre>node_by_name = getNodeByName names_array[i]\n\
</pre></div><p>Using the <span class=\'code\'>getNodeByName</span> function, we convert the object names to nodePath values. This way we get the objects in the right order. The variable <span class=\'code\'>i</span> is used as an index to get the i-th element of the array of names.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods.html\' title=\'\'>getNodeByName</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array Values</a></p>\n\
<div class=\'codeBlock\'><pre>if node_by_name.parent == undefined then\n\
(\n\
</pre></div><p>We are going to sort only objects that are &quot;children of the world&quot;, in other words the top-level nodes that are not linked to parents. That’s why we have to check whether the object has a parent. Of there is none (the <span class=\'code\'>parent</span> property returns <span class=\'code\'>undefined</span> ), we can proceed.</p>\n\
<div class=\'codeBlock\'><pre>node_by_name.parent = d\n\
node_by_name.parent = undefined\n\
</pre></div><p>By assigning the dummy object to the <span class=\'code\'>.parent</span> property, we link the node to the temporary dummy we created after sorting the names. By assigning <span class=\'code\'>undefined</span> to the same property we unlink it again and send it to the end of the scene node database.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/General-Node-Properties.html\' title=\'\'>Parent_Node_Property</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Special-Data-Values/Undefined-Value.html\' title=\'\'>Undefined Value</a></p>\n\
<div class=\'codeBlock\'><pre>)\n\
)--end i loop\n\
delete d\n\
</pre></div><p>Now that the loop has finished its work, we can delete the temporary dummy.</p>\n\
<div class=\'codeBlock\'><pre>)--end macroScript\n\
</pre></div><div class=\'section\'><a id=\"using-the-script\"></a><h2 id=\"using-the-script\">Using the Script</h2></div>\n\
<p>Evaluate the script. To use the script, you can use Customize... to drag the script from the category &quot;HowTo&quot; to a toolbar, a menu, a quad menu or to assign to a keyboard shortcut. Create some objects and open TrackView to take a look at their current order. Execute the macroScript and compare the order in TrackView – the nodes should be listed in Alphabetical order now.</p>\n\
<div class=\'section\'><a id=\"where-to-go-from-here\"></a><h2 id=\"where-to-go-from-here\">Where to go from here</h2></div>\n\
<p>As already mentioned in the Step-By-Step description, simply changing the <span class=\'code\'>for</span> loop to</p>\n\
<div class=\'codeBlock\'><pre>for i = names_array.count to 1 by -1 do\n\
</pre></div><p>will give you sorting in reverse order. You will probably want to give your second version of the script a new name like</p>\n\
<div class=\'codeBlock\'><pre>macroScript RevSortTracks category:&quot;HowTo&quot;\n\
</pre></div><p>or you could even add a prompt asking the user about the desired order mode in the same script.</p>\n\
<p>Another idea for improvements would be to change the script to sort the objects based on some additional property, for example by class (Geometry, Lights, Helpers etc. in blocks by class, then sorted alphabetically within the class blocks)...</p>\n\
<p><strong>Back to</strong></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; Tutorials Index Page</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";