var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Copy To and From Clipboard</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Copy To and From Clipboard</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"copy-to-and-from-clipboard\"></a></div>\n\
<p>The following methods allow the copying of text and bitmap values to and from the Windows Clipboard.</p>\n\
<p>These methods are available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>They were previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>getclipboardText()\n\
setclipboardText &lt;string&gt;\n\
</pre></div><p>Get/Set the text string in Window&#39;s clipboard. <strong><span class=\'code\'>getclipboardText()</span> returns a string value, or undefined if the clipboard does not contain a string. <span class=\'code\'>setclipboardText()</span></strong> returns true if the string was successfully placed in the clipboard, an integer error code if failed. Error code meanings are:</p>\n\
<p><strong>-1:</strong>memory could not be allocated</p>\n\
<p><strong>-2:</strong>clipboard could not be opened</p>\n\
<p><strong>-3:</strong>clipboard could not be cleared</p>\n\
<p><strong>-4:</strong>clipboard could not be set</p>\n\
<div class=\'codeBlock\'><pre>setclipboardBitmap &lt;bitmap&gt;\n\
getclipboardBitmap()\n\
</pre></div><p>Get/Set the bitmap in Window&#39;s clipboard. <strong><span class=\'code\'>getclipboardBitmap()</span> returns a bitmap value, or undefined if the clipboard does not contain a bitmap. <span class=\'code\'>setclipboardBitmap()</span></strong> returns true if the bitmap was successfully placed in the clipboard, an integer error code if failed. Error code meanings are:</p>\n\
<p><strong>-1:</strong>memory could not be allocated</p>\n\
<p><strong>-2:</strong>clipboard could not be opened</p>\n\
<p><strong>-3:</strong>clipboard could not be cleared</p>\n\
<p><strong>-4:</strong>clipboard could not be set</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ( local str = &quot;Sorry For The Inconveniences!&quot; retCode = setclipboardText str format &quot;Return Code: %\\n&quot; retCode local result = getclipboardText() if (result != str) then throw &quot;Clipboard functions didn&#39;t work&quot; else format &quot;%\\n&quot; result</p>\n\
<p>local bm1 = bitmap 100 100 color:red retCode = setclipboardBitmap bm1 format &quot;Return Code: %\\n&quot; retCode local bm2 = getclipboardBitmap() display bm2 OK )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";