var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Local and Universal Time</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Local and Universal Time</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"local-and-universal-time\"></a></div>\n\
<p>The following methods and system global variables provide access to the system&#39;s time.</p>\n\
<p>These methods are available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>They were previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>getLocalTime()\n\
getUniversalTime()\n\
</pre></div><p>Return the Local respectively the Coordinated Universal Time (UTC) as an 8 element array.</p>\n\
<p>Array elements are:</p>\n\
<ol>\n\
<li><strong>Year</strong> - Specifies the current year.</li>\n\
<li><strong>Month</strong> - Specifies the current month; January = 1, February = 2, and so on.</li>\n\
<li><strong>DayOfWeek</strong> - Specifies the current day of the week; Sunday = 0, Monday = 1, and so on.</li>\n\
<li><strong>Day</strong> - Specifies the current day of the month.</li>\n\
<li><strong>Hour</strong> - Specifies the current hour.</li>\n\
<li><strong>Minute</strong> - Specifies the current minute.</li>\n\
<li><strong>Second</strong> - Specifies the current second.</li>\n\
<li><strong>Milliseconds</strong> - Specifies the current millisecond.</li>\n\
</ol>\n\
<div class=\'codeBlock\'><pre>localTime\n\
</pre></div><p>This system global variable contains a String value that defines the current local date and time. This variable is read-only. An example of the value stored in localtime is:</p>\n\
<div class=\'codeBlock\'><pre>s = localTime\n\
--&gt; &quot;4/14/97 10:24:57 AM&quot;\n\
\n\
</pre></div><p>The format of this string is controlled by the date format selected in the main Windows Regional Settings control panel.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";