var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>HKey Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>HKey Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hkey-values\"></a></div>\n\
<p><strong>HKey</strong> class instances are used to access registry keys.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a> .</p>\n\
<div class=\'section\'><a id=\"constructors\"></a><h2 id=\"constructors\">Constructors</h2></div>\n\
<div class=\'codeBlock\'><pre>HKey &lt;HKey parentKey&gt; &lt;string keyName&gt; &lt;int writeAccess&gt;     \n\
</pre></div><p>Opens existing subkey of parentKey.</p>\n\
<p>This constructor is not typically used, instead the method <span class=\'code\'>registry.openKey()</span> is used.</p>\n\
<div class=\'section\'><a id=\"properties\"></a><h2 id=\"properties\">Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;HKey&gt;.parentKey : HKey - read-only - parent HKey   \n\
</pre></div><p>Contains the parent HKey of the sub key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HKey&gt;.name  : String - read-only - subKey name \n\
</pre></div><p>Contains the name of the sub key.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HKey&gt;.accessRights : Integer - read-only - access rights flags \n\
</pre></div><p>Contains the access rights of the sub key (see tables below)</p>\n\
<p><strong>writeAccess values are as follows (see platform SDK help file for more info):</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>STANDARD_RIGHTS_READ</span></td>\n\
<td align=\"left\">0x00020000</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>STANDARD_RIGHTS_WRITE </span></td>\n\
<td align=\"left\">0x00020000</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>STANDARD_RIGHTS_ALL</span></td>\n\
<td align=\"left\">0x001F0000</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>KEY_QUERY_VALUE</span></td>\n\
<td align=\"left\">0x00000001</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>KEY_SET_VALUE </span></td>\n\
<td align=\"left\">0x00000002</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>KEY_CREATE_SUB_KEY</span></td>\n\
<td align=\"left\">0x00000004</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>KEY_ENUMERATE_SUB_KEYS</span></td>\n\
<td align=\"left\">0x00000008</td>\n\
</tr>\n\
</table>\n\
<p><strong>writeAccess values for common access types are:</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#readOnly</span></td>\n\
<td align=\"left\">0x00020019</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#writeOnly </span></td>\n\
<td align=\"left\">0x00020006</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#all </span></td>\n\
<td align=\"left\">0x000f003f</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";