var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DotNet In MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DotNet In MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dotnet-in-maxscript\"></a></div>\n\
<p>MAXScript provides access to parts of the .NET framework for use in scripts and MAXScript Rollouts. MAXScript provides access to .NET classes via <span class=\'code\'>dotNetClass</span>, Objects via <span class=\'code\'>dotNetObject</span>, UI controls via <span class=\'code\'>dotNetControl</span>, methods via <span class=\'code\'>dotNetMethod</span> and conversion between .NET values and native MAXScript values via <span class=\'code\'>dotNetMXSValue</span>..</p>\n\
<blockquote>\n\
<p>Note: Since DotNet uses a Just in Time compiler (JIT), the first time you load or execute any managed code, the Common Language Runtime (CLR) will compile the Intermediate code into machine language code, causing a significant performance hit. The second time the code is executed in the same session, the JIT compiler will use cached binaries instead of compiling the code again and the code will execute much faster.</p>\n\
<p>So for instance, the first time the Named Selection Sets tool is opened, it can take several seconds for the dialog to open. The second time it would open instantly.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"dotnet-topics-index\"></a><h3 id=\"dotnet-topics-index\">DotNet Topics Index:</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotnetclass.html\' title=\'\'>dotNetClass</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotnetobject.html\' title=\'\'>dotNetObject</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotnetcontrol.html\' title=\'\'>dotNetControl</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotNetMethod.html\' title=\'\'>dotNetMethod</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotnetcontrol/dotnetmxsvalue.html\' title=\'\'>dotNetMXSValue</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MAXScript-DotNet-Value.html\' title=\'\'>MAXScript / DotNet Value Conversions</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/DotNet-Objects-and-Classes-Life.html\' title=\'\'>DotNet Objects and Classes Life Time Control</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/dotNet-Struct-Methods.html\' title=\'\'>dotNet Struct Methods</a></p>\n\
<div class=\'section\'><a id=\"dotnet-examples-index\"></a><h3 id=\"dotnet-examples-index\">DotNet Examples Index:</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/DotNet-Examples/Creating-A-Simple-DotNet.html\' title=\'\'>Creating A Simple DotNet MonthCalendar And Changing Its Colors</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/DotNet-Examples/Creating-A-Simple-Web-Browser.html\' title=\'\'>Creating A Simple Web Browser Using DotNet</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/DotNet-Examples/Using-DotNet-Forms-To-Create.html\' title=\'\'>Using DotNet Forms To Create MAXScript User Interfaces</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/DotNet-Examples/Registering-Windows-SystemEvents.html\' title=\'\'>Registering Windows SystemEvents Callbacks Using DotNet</a></p>\n\
<div class=\'section\'><a id=\"maxcustomcontrols-assembly\"></a><h3 id=\"maxcustomcontrols-assembly\">MaxCustomControls Assembly:</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MaxCustomControls-Assembly.html\' title=\'\'>MaxCustomControls Assembly</a></p>\n\
<div class=\'section\'><a id=\"converting-scripts-from-using-activex-controls-to-dotnet-controls\"></a><h3 id=\"converting-scripts-from-using-activex-controls-to-dotnet-controls\">Converting Scripts From Using ActiveX Controls to DotNet Controls:</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-Scripts-From-Using.html\' title=\'\'>Converting Scripts From Using ActiveX Controls to DotNet Controls</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\' title=\'\'>Converting ActiveX ListView Control to DotNet ListView Control</a></p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\' title=\'\'>Converting ActiveX TreeView Control to DotNet TreeView Control</a></p>\n\
<div class=\'section\'><a id=\"external-files-containing-dotnet-examples-and-related-functionality\"></a><h3 id=\"external-files-containing-dotnet-examples-and-related-functionality\">External Files Containing DotNet Examples and Related Functionality:</h3></div>\n\
<p><strong>[3dsMax Path]\\stdplugs\\stdscripts\\NET_ListViewWrapper.ms</strong></p>\n\
<p>This script contains useful functions for creating and managing ListView DotNet controls.</p>\n\
<p><strong>[3dsMax Path]\\stdplugs\\stdscripts\\NET_TreeViewWrapper.ms</strong></p>\n\
<p>This script contains useful functions for creating and managing TreeView DotNet controls.</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_BakeTextures.mcr</strong></p>\n\
<p>The Render To Texture dialog has been updated to use DotNet ListView controls instead of ActiveX controls.</p>\n\
<p><strong>[3dsMax Path]\\ui\\macroscripts\\Macro_NamedSelSets.mcr</strong></p>\n\
<p>The Named Selection Sets editor dialog has been updated to use a DotNet TreeView control instead of an ActiveX control. It is a good example of using <strong>Drag And Drop</strong> in DotNet TreeView controls.</p>\n\
<div class=\'section\'><a id=\"external-resources\"></a><h3 id=\"external-resources\">External Resources:</h3></div>\n\
<p>Microsoft Developers Network Library - System.Windows.Forms documentation:</p>\n\
<p><a href=\'https://docs.microsoft.com/en-us/dotnet/api/system.windows.forms?view=netframework-4.8\' title=\'\' target=\'_blank\'>system.windows.forms</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";