var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Converting ActiveX ListView Control to DotNet ListView Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Converting ActiveX ListView Control to DotNet ListView Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"converting-activex-listview-control-to-dotnet-listview-control\"></a></div>\n\
<p>ListView Controls are probably the most widely used ActiveX controls in scripted 3ds Max tools. Converting such scripts to use DotNet ListView controls is a relatively straightforward process.</p>\n\
<p>Let&#39;s take as the base for our conversion example the simple script available in the topic <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Selected/How-To-Develop-a-Selected-1.html\' title=\'\'>How To ... Develop a Selected Objects Inspector using ListView ActiveX Control - Part One</a></p>\n\
<p>In the following script, you can compare the original ActiveX code which is now remarked and in green to the new commented DotNet code.</p>\n\
<blockquote>\n\
<p><strong>CONVERSION OF THE SCRIPT</strong></p>\n\
<p>``` macroScript SceneListView category:&quot;DotNet&quot; ( rollout listview_rollout &quot;ListView Selected&quot; ( /* ActiveX Version: fn initListView lv = ( lv.gridLines = true lv.View = #lvwReport lv.fullRowSelect = true layout_def = #(&quot;Object Name&quot;, &quot;Object Class&quot;, &quot;Verts&quot;, &quot;Faces&quot;, &quot;Material&quot;) for i in layout_def do ( column = lv.ColumnHeaders.add() column.text = I ) ) */</p>\n\
<p>fn initListView lv = ( lv.gridLines = true --same as in ActiveX --The following controls the display of details. We use defaults: lv.View = (dotNetClass &quot;System.Windows.Forms.View&quot;).Details lv.fullRowSelect = true --same as in ActiveX layout_def = #(&quot;Object Name&quot;, &quot;Object Class&quot;, &quot;Verts&quot;, &quot;Faces&quot;, &quot;Material&quot;) for i in layout_def do lv.Columns.add i 96 --add column with name and optional width ) /* ActiveX Version: fn fillInSpreadSheet lv = ( for o in selection do ( li = lv.ListItems.add() li.text = o.name sub_li = li.ListSubItems.add() sub_li.text = (classof o) as string sub_li = li.ListSubItems.add() sub_li.text = try((o.mesh.numverts) as string)catch(&quot;--&quot;) sub_li = li.ListSubItems.add() sub_li.text = try((o.mesh.numfaces) as string)catch(&quot;--&quot;) sub_li = li.ListSubItems.add() sub_li.text = (o.material) as string ) ) */</p>\n\
<p>fn fillInSpreadSheet lv = ( theRange = #() --array to collect the list items for o in selection do ( --First we create a ListViewItem objectwith the object&#39;s name: li = dotNetObject &quot;System.Windows.Forms.ListViewItem&quot; o.name --Then we add all the sub-itemswith the desired string values: sub_li = li.SubItems.add ((classof o) as string) sub_li = li.SubItems.add (try((o.mesh.numverts) as string)catch(&quot;--&quot;)) sub_li = li.SubItems.add (try((o.mesh.numfaces) as string)catch(&quot;--&quot;)) sub_li = li.SubItems.add ((o.material) as string) append theRange li--we add the list item to the array ) lv.Items.AddRange theRange--when done, we populate the ListView ) /* ActiveX Version: activeXControl lv_objects &quot;MSComctlLib.ListViewCtrl&quot; width:490 height:190 align:#center */</p>\n\
<p>dotNetControl lv_objects &quot;System.Windows.Forms.ListView&quot; width:490 height:190 align:#center on listview_rollout open do ( initListView lv_objects fillInSpreadSheet lv_objects ) ) try(destroyDialog listview_rollout)catch() createDialog listview_rollout 500 200 )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";