var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Creating A Simple Web Browser Using DotNet</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Creating A Simple Web Browser Using DotNet</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"creating-a-simple-web-browser-using-dotnet\"></a></div>\n\
<p>In the following example, you will create a simple Web Browser using the WebBrowser DotNet control provided by System.Windows.Forms</p>\n\
<p>First, create a simple MAXScript rollout and add a dotNetControl called wb that uses the System.Windows.Forms.WebBrowser control.</p>\n\
<p>Then, open the rollout as a dialog - the WebBrowser will be empty.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout webbrowser_rollout &quot;Web Test&quot; width:600 height:600 ( dotNetControl wb &quot;System.Windows.Forms.WebBrowser&quot; pos:[10,10] width:580 height:580 ) createdialog webbrowser_rollout</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Now, set a default URL for the browser to open at. To see what properties are available in the WebBrowser control, you can call show Properties() on the control:</p>\n\
<blockquote>\n\
<p><strong>CODE</strong></p>\n\
<p>``` showPropertieswebbrowser_rollout.wb</p>\n\
<p>```</p>\n\
<p><strong>RESULT</strong></p>\n\
<p><span class=\'code\'>.AccessibilityObject : &lt;System.Windows.Forms.AccessibleObject&gt;, read-only   .AccessibleDefaultActionDescription : &lt;System.String&gt;   .AccessibleDescription : &lt;System.String&gt;   .AccessibleName : &lt;System.String&gt;   .AccessibleRole : &lt;System.Windows.Forms.AccessibleRole&gt;   .ActiveXInstance : &lt;System.Object&gt;, read-only   .AllowDrop : &lt;System.Boolean&gt;   .AllowNavigation : &lt;System.Boolean&gt;   .AllowWebBrowserDrop : &lt;System.Boolean&gt;   .Anchor : &lt;System.Windows.Forms.AnchorStyles&gt;   .AutoScrollOffset : &lt;System.Drawing.Point&gt;   .AutoSize : &lt;System.Boolean&gt;   .BackColor : &lt;System.Drawing.Color&gt;   .BackgroundImage : &lt;System.Drawing.Image&gt;   .BackgroundImageLayout : &lt;System.Windows.Forms.ImageLayout&gt;   .BindingContext : &lt;System.Windows.Forms.BindingContext&gt;   .Bottom : &lt;System.Int32&gt;, read-only   .Bounds : &lt;System.Drawing.Rectangle&gt;   .CanFocus : &lt;System.Boolean&gt;, read-only   .CanGoBack : &lt;System.Boolean&gt;, read-only   .CanGoForward : &lt;System.Boolean&gt;, read-only   .CanSelect : &lt;System.Boolean&gt;, read-only   .Capture : &lt;System.Boolean&gt;   .CausesValidation : &lt;System.Boolean&gt;   .CheckForIllegalCrossThreadCalls : &lt;System.Boolean&gt;, static   .ClientRectangle : &lt;System.Drawing.Rectangle&gt;, read-only   .ClientSize : &lt;System.Drawing.Size&gt;   .CompanyName : &lt;System.String&gt;, read-only   .Container : &lt;System.ComponentModel.IContainer&gt;, read-only   .ContainsFocus : &lt;System.Boolean&gt;, read-only   .ContextMenu : &lt;System.Windows.Forms.ContextMenu&gt;   .ContextMenuStrip : &lt;System.Windows.Forms.ContextMenuStrip&gt;   .Controls : &lt;System.Windows.Forms.Control+ControlCollection&gt;, read-only   .Created : &lt;System.Boolean&gt;, read-only   .Cursor : &lt;System.Windows.Forms.Cursor&gt;   .DataBindings : &lt;System.Windows.Forms.ControlBindingsCollection&gt;, read-only   .DefaultBackColor : &lt;System.Drawing.Color&gt;, read-only, static   .DefaultFont : &lt;System.Drawing.Font&gt;, read-only, static   .DefaultForeColor : &lt;System.Drawing.Color&gt;, read-only, static   .DisplayRectangle : &lt;System.Drawing.Rectangle&gt;, read-only   .Disposing : &lt;System.Boolean&gt;, read-only   .Dock : &lt;System.Windows.Forms.DockStyle&gt;   .Document : &lt;System.Windows.Forms.HtmlDocument&gt;, read-only   .DocumentStream : &lt;System.IO.Stream&gt;   .DocumentText : &lt;System.String&gt;   .DocumentTitle : &lt;System.String&gt;, read-only   .DocumentType : &lt;System.String&gt;, read-only   .Enabled : &lt;System.Boolean&gt;   .EncryptionLevel : &lt;System.Windows.Forms.WebBrowserEncryptionLevel&gt;, read-only   .Focused : &lt;System.Boolean&gt;, read-only   .Font : &lt;System.Drawing.Font&gt;   .ForeColor : &lt;System.Drawing.Color&gt;   .Handle : &lt;System.IntPtr&gt;, read-only   .HasChildren : &lt;System.Boolean&gt;, read-only   .Height : &lt;System.Int32&gt;   .ImeMode : &lt;System.Windows.Forms.ImeMode&gt;   .InvokeRequired : &lt;System.Boolean&gt;, read-only   .IsAccessible : &lt;System.Boolean&gt;   .IsBusy : &lt;System.Boolean&gt;, read-only   .IsDisposed : &lt;System.Boolean&gt;, read-only   .IsHandleCreated : &lt;System.Boolean&gt;, read-only   .IsMirrored : &lt;System.Boolean&gt;, read-only   .IsOffline : &lt;System.Boolean&gt;, read-only   .IsWebBrowserContextMenuEnabled : &lt;System.Boolean&gt;   .LayoutEngine : &lt;System.Windows.Forms.Layout.LayoutEngine&gt;, read-only   .Left : &lt;System.Int32&gt;   .Location : &lt;System.Drawing.Point&gt;   .Margin : &lt;System.Windows.Forms.Padding&gt;   .MaximumSize : &lt;System.Drawing.Size&gt;   .MinimumSize : &lt;System.Drawing.Size&gt;   .ModifierKeys : &lt;System.Windows.Forms.Keys&gt;, read-only, static   .MouseButtons : &lt;System.Windows.Forms.MouseButtons&gt;, read-only, static   .MousePosition : &lt;System.Drawing.Point&gt;, read-only, static   .Name : &lt;System.String&gt;   .ObjectForScripting : &lt;System.Object&gt;   .Padding : &lt;System.Windows.Forms.Padding&gt;   .Parent : &lt;System.Windows.Forms.Control&gt;   .PreferredSize : &lt;System.Drawing.Size&gt;, read-only   .ProductName : &lt;System.String&gt;, read-only   .ProductVersion : &lt;System.String&gt;, read-only   .ReadyState : &lt;System.Windows.Forms.WebBrowserReadyState&gt;, read-only   .RecreatingHandle : &lt;System.Boolean&gt;, read-only   .Region : &lt;System.Drawing.Region&gt;   .Right : &lt;System.Int32&gt;, read-only   .RightToLeft : &lt;System.Windows.Forms.RightToLeft&gt;   .ScriptErrorsSuppressed : &lt;System.Boolean&gt;   .ScrollBarsEnabled : &lt;System.Boolean&gt;   .Site : &lt;System.ComponentModel.ISite&gt;, write-only   .Size : &lt;System.Drawing.Size&gt;   .StatusText : &lt;System.String&gt;, read-only   .TabIndex : &lt;System.Int32&gt;   .TabStop : &lt;System.Boolean&gt;   .Tag : &lt;System.Object&gt;   .Text : &lt;System.String&gt;   .Top : &lt;System.Int32&gt;   .TopLevelControl : &lt;System.Windows.Forms.Control&gt;, read-only    .UseWaitCursor : &lt;System.Boolean&gt; .Version : &lt;System.Version&gt;, read-only .Visible                                 : &lt;System.Boolean&gt; .WebBrowserShortcutsEnabled : &lt;System.Boolean&gt; .Width : &lt;System.Int32&gt;                                 .WindowTarget : &lt;System.Windows.Forms.IWindowTarget&gt;                                                   .Url : &lt;System.Uri&gt;</span></p>\n\
</blockquote>\n\
<p>You can see that there is a property URL exposed by the control. Assume that this is the property to set for accessing a web page.</p>\n\
<p>The type of the value expected by the DotNet control is System.Uri. This means that you will have to convert the URL MAXScript String value to a dotNetObject value of the expected type:</p>\n\
<blockquote>\n\
<p><strong>CODE</strong></p>\n\
<p>``` webbrowser_rollout.wb.url = dotNetObject &quot;System.Uri&quot; &quot;http://www.autodesk.com&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Now, if your computer has Internet access, the Web Browser displays the Autodesk homepage:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4131E282-C3ED-4DC2-AFEC-6F9416F3FB61-low.gif\' title=\'\'></div>\n\
<p>A Web Browser requires at least an address text field so that the user can enter other URLs. You can easily transform our first script into a more advanced Web Browser by adding a MAXScriptedittext control and some event handlers:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` rollout webbrowser_rollout &quot;Web Test&quot; width:600 height:600 ( edittext edt_url &quot;URL:&quot; text:&quot;http://www.autodesk.com&quot; dotNetControl wb &quot;System.Windows.forms.WebBrowser&quot; pos:[10,22] width:580 height:570 fn openURL urlString = ( wb.url = dotNetObject &quot;System.Uri&quot; urlString ) on edt_url entered txt do openURL txt on webbrowser_rollout open do openURL edt_url.text ) createdialog webbrowser_rollout</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Try typing in other URLs in the text field and see your Web Browser opening them.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";