var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>dotnetmxsvalue</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>dotnetmxsvalue</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dotnetmxsvalue\"></a></div>\n\
<p>The <strong>dotNetMXSValue value class</strong> holds another value. The dotNetMXSValue can be assigned to .net objects. A &quot;proxy&quot;DotNet value is actually stored to theDotNet object, and that proxy points back to the dotNetMXSValue.</p>\n\
<p>As long as the DotNet object holds the proxy value, the dotNetMXSValue and the value it holds are protected from garbage collection.</p>\n\
<p>The value held by a dotNetMXSValue object can be read from its read-only <span class=\'code\'>.value</span> property.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` a = color 10 20 30 --MAXScript color value b = dotNetMXSValue a --DotNet value holding the MAXScript value tv = dotnetobject &quot;treeview&quot; --DotNet TreeView control tv.tag = b --The tag is set to the color tv.tag a=b=undefined --Both a and b are set to undefined gc() --and manual garbage collection is requested --BUT the color value and dotNetMXSValue protected are from --collection because the treeview instance holds --the dotNetMXSValue proxy! tv = undefined --assign undefined to the treeview variable gc() --and request garbage collection again --This time both the color value and the dotNetMXSValue are not --protected from collection</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note that the above garbage collection may not delete the color value and the dotNetMXSValue because the DotNet garbage collector has not deleted the treeview and freed its values yet. One can force manual garbage collection of DotNet:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` dgc = dotnetclass &quot;system.gc&quot; dgc.collect() gc() -- color value and dotNetMXSValue collected</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";