var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Learning MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Learning MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"learning-maxscript\"></a></div>\n\
<p>Welcome to the &quot;Learning MAXScript&quot; section.</p>\n\
<p>This introductory reference should help you getting started using MAXScript, the scripting language of <strong>3ds Max</strong>.</p>\n\
<p>&quot;Learning MAXScript&quot; can be used as an introductory reference. However, it is most useful if read straight through as a tutorial. You can follow the examples in this reference by using copy-and-paste to bring the code from this document into the MAXScript Listener. You can also type in your own text and start experimenting with MAXScript as you learn it.</p>\n\
<p>In addition, the <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>&quot;How To&quot; tutorials chapter</a> will introduce you to some simple real-world examples with detailed comments and links to the definitions of used methods and functions.</p>\n\
<div class=\'section\'><a id=\"getting-started\"></a><h2 id=\"getting-started\">Getting Started</h2></div>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Accessing-MAXScript-1.html\' title=\'\'>Accessing MAXScript</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Source-Code-Layout.html\' title=\'\'>Source Code Layout</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Entering-Information-into.html\' title=\'\'>Entering Information into MAXScript</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Assigning-Variables.html\' title=\'\'>Assigning Variables</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Mathematical-Operations-in.html\' title=\'\'>Mathematical Operations in MAXScript</a></p>\n\
<div class=\'section\'><a id=\"manipulating-the-box---first-steps-in-maxscript\"></a><h2 id=\"manipulating-the-box---first-steps-in-maxscript\">Manipulating The Box - First Steps in MAXScript</h2></div>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\' title=\'\'>Drawing a Box with MAXScript</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Modifying-the-Box.html\' title=\'\'>Modifying the Box</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Applying-Standard.html\' title=\'\'>Applying Standard Transformations</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/More-Box-Transformations.html\' title=\'\'>More Box Transformations</a></p>\n\
<div class=\'section\'><a id=\"creating-your-own-scripts\"></a><h2 id=\"creating-your-own-scripts\">Creating Your Own Scripts</h2></div>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/The-Script-Editor.html\' title=\'\'>The Script Editor</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Controlling-Program-Flow-in.html\' title=\'\'>Controlling Program Flow in Scripts</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Defining-Custom-Functions.html\' title=\'\'>Defining Custom Functions</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Structure-Definitions.html\' title=\'\'>Structure Definitions</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/MAX-Commands-in-MAXScript.html\' title=\'\'>max Commands in MAXScript</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Saving-Your-Commands-in-a-Script.html\' title=\'\'>Saving your Commands in a Script File</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/Loading-and-Running-Your-Script.html\' title=\'\'>Loading and Running Your Script File</a></p>\n\
<div class=\'section\'><a id=\"learning-from-other-scripts\"></a><h2 id=\"learning-from-other-scripts\">Learning From Other Scripts</h2></div>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Learning-From-Other-Scripts/Loading-Other-Scripts.html\' title=\'\'>Loading Other Scripts</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Learning-From-Other-Scripts/Learning-MAXScript-by-Walking.html\' title=\'\'>Learning MAXScript by Walking Through a Script</a></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Learning-From-Other-Scripts/Learning-MAXScript-with-the.html\' title=\'\'>Learning MAXScript with the Macro Recorder</a></p>\n\
<div class=\'section\'><a id=\"maxscript-for-new-and-casual-users\"></a><h2 id=\"maxscript-for-new-and-casual-users\">MAXScript for New and Casual Users</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Utilities-for-New-Users.html\' title=\'\'>Scripted Utilities for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\' title=\'\'>MacroScripts for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Plug-ins-for-New-Users.html\' title=\'\'>Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Functions-for-New-Users.html\' title=\'\'>Scripted Functions for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-DLX-Extensions-for-New.html\' title=\'\'>MAXScript DLX Extensions for New Users</a></p>\n\
<div class=\'section\'><a id=\"faq\"></a><h2 id=\"faq\">FAQ:</h2></div>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\' title=\'\'>Frequently Asked Questions</a></p>\n\
<div class=\'section\'><a id=\"how-to-tutorials\"></a><h2 id=\"how-to-tutorials\">&#39;How To&#39; Tutorials:</h2></div>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>How To - Introduction to the Tutorials</a></p>\n\
<div class=\'section\'><a id=\"sample-scripts\"></a><h2 id=\"sample-scripts\">Sample Scripts:</h2></div>\n\
<p><a href=\'#!/url=./developer/Script-Examples-In-This-Help.html\' title=\'\'>Online Help Script Examples</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";