var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Loading and Running Your Script File</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Loading and Running Your Script File</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"loading-and-running-your-script-file\"></a></div>\n\
<p>You can open a script file for editing, or you can include it in another script to run automatically when that script runs.</p>\n\
<div class=\'section\'><a id=\"to-run-the-script-you-just-saved\"></a><h2 id=\"to-run-the-script-you-just-saved\">To run the script you just saved:</h2></div>\n\
<ol>\n\
<li><p>Reset <strong>3ds Max</strong>.</p></li>\n\
<li><p>In the <strong>3ds Max</strong> Main Menu, click MAXScript and click the Run Script menu item.</p>\n\
<p>The Choose Editor File dialog appears.</p></li>\n\
<li><p>Select the <em>box_draw.ms</em> file, and click Open.</p>\n\
<p>MAXScript immediately carries out the command that is contained in the script file and places a box in the scene.</p></li>\n\
</ol>\n\
<div class=\'section\'><a id=\"to-open-a-script-file-for-editing\"></a><h2 id=\"to-open-a-script-file-for-editing\">To open a script file for editing:</h2></div>\n\
<p>If you want to edit your script later to add more commands to it, you need to open it:</p>\n\
<ol>\n\
<li><p>In the MAXScript menu, click the Open Script menu item.</p></li>\n\
<li><p>Select the script you want to edit and click Open.</p>\n\
<p>The Script Editor window opens, showing the text of your script. You can now edit your commands or add new ones, as you would edit any other text file. Save the script file to keep your changes.</p></li>\n\
</ol>\n\
<div class=\'section\'><a id=\"to-evaluate-the-commands-in-your-script\"></a><h2 id=\"to-evaluate-the-commands-in-your-script\">To evaluate the commands in your script:</h2></div>\n\
<p>If you enter any commands in the Script Editor window manually (not by copying and pasting from the Listener window), you can test the validity of all commands:</p>\n\
<ol>\n\
<li><p>If your Listener window isn&#39;t open, click the Open Listener menu item in the MAXScript menu.</p></li>\n\
<li><p>In the Script Editor window, choose Tools &gt; Evaluate All.</p>\n\
<p>MAXScript evaluates the commands in your script file. It sends any feedback to the Listener window. It also sends each valid command to the user interface as if you had run the script. If your script contains any syntax errors, MAXScript reports those in the Listener window in red.</p></li>\n\
</ol>\n\
<div class=\'section\'><a id=\"to-include-your-script-in-another-script\"></a><h2 id=\"to-include-your-script-in-another-script\">To include your script in another script:</h2></div>\n\
<p>If you want to write a script for each tutorial (for example one for drawing a box, one for modifying the box, and another one for transforming it), you could then use those three scripts in another one that contains all the box operations. Assuming you had created the scripts <em>box_draw.ms</em>, <em>box_mod.ms</em>, and <em>box_trans.ms</em>, you could then include them in a new script, <em>box_all.ms</em>. The text for <em>box_all.ms</em> would be as follows:</p>\n\
<div class=\'codeBlock\'><pre>include &quot;box_draw.ms&quot;\n\
include &quot;box_mod.ms&quot;\n\
include &quot;box_trans.ms&quot;\n\
\n\
</pre></div><div class=\'section\'><a id=\"to-reset-3ds-max-before-running-scripts\"></a><h2 id=\"to-reset-3ds-max-before-running-scripts\">To reset 3ds Max before running scripts:</h2></div>\n\
<p>If you want to start with a new scene before running any scripts, you need to reset the software:</p>\n\
<ol>\n\
<li><p>Choose File &gt; Reset.</p></li>\n\
<li><p>Answer the Yes-No prompt to either save or discard the changes to your scene.</p></li>\n\
<li><p>Open and run the script you want.</p></li>\n\
</ol>\n\
<div class=\'section\'><a id=\"to-copy-commands-from-the-help-file\"></a><h2 id=\"to-copy-commands-from-the-help-file\">To copy commands from the help file:</h2></div>\n\
<p>You can copy commands from the tutorial help file:</p>\n\
<ol>\n\
<li><p>In the Help window, highlight the command you want to copy.</p></li>\n\
<li><p>Right-click the highlighted text and select Copy from the pop-up menu.</p></li>\n\
<li><p>In the Script Editor window, choose the Edit &gt; Paste menu to paste the command into the current script file, or press <strong>Ctrl+V</strong> on your keyboard.</p></li>\n\
</ol>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Learning-From-Other-Scripts/Loading-Other-Scripts.html\' title=\'\'>Loading Other Scripts</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";