var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Structure Definitions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Structure Definitions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"structure-definitions\"></a></div>\n\
<p>In addition to custom functions, you can also create custom compound values in MAXScript using &quot;structure definitions&quot;. Structure definitions are a flexible data type, built of simpler data types. They let you define the layout of a new structured type of value that you can then create and work with in your code.</p>\n\
<p>The syntax for a structure definition is:</p>\n\
<div class=\'codeBlock\'><pre>struct &lt;struct_name&gt; ( &lt;member&gt; , &lt;member&gt; )\n\
</pre></div><p>where each <span class=\'code\'>&lt;member&gt;</span> can be one of:</p>\n\
<div class=\'codeBlock\'><pre>&lt;name&gt; [ = &lt;expr&gt; ]  --name and optional initial value\n\
&lt;function_definition&gt;\n\
\n\
</pre></div><p>Create a new structure, called person:</p>\n\
<div class=\'codeBlock\'><pre>Struct person (name, height, age, sex)\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6699AC72-91A6-44E1-B2D6-063851912A98-low.gif\' title=\'\'></div>\n\
</pre></div><p>Now create an instance of this structure using the ‘person’ constructor:</p>\n\
<div class=\'codeBlock\'><pre>Bill = person name:&quot;Bill&quot; height:72 age:34 sex:#male\n\
</pre></div><p>This stores an instance of the person structure in the variable Bill. Member <span class=\'code\'>name</span> is initialized to the string value &quot;Bill&quot;, <span class=\'code\'>height</span> to the integer value 72, <span class=\'code\'>age</span> to the integer value 34, and <span class=\'code\'>sex</span> to the name value <span class=\'code\'>#male</span>. Create another instance:</p>\n\
<div class=\'codeBlock\'><pre>Joe = person name:&quot;Joseph&quot; sex:#male\n\
</pre></div><p>In this example, another ‘person’ is created. However, this person does not have initialized values for the <span class=\'code\'>height</span> and <span class=\'code\'>age</span> members. Since you did not provide these members with an optional default value in our structure definition, they will default to a value of <span class=\'code\'>undefined</span>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FAB7C955-F221-475C-946A-3185A8C08C38-low.gif\' title=\'\'></div>\n\
<p>Structure definitions are a good alternative to arrays when you have a fixed, small number of components. The code for these types of values is easier to work with since you can reference property names rather than index numbers in arrays.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/MAX-Commands-in-MAXScript.html\' title=\'\'>3ds Max Commands in MAXScript</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";