var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Assigning Variables</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Assigning Variables</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"assigning-variables\"></a></div>\n\
<p>In the <a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Entering-Information-into.html\' title=\'\'>previous lesson</a>, you entered the string &quot;Hello&quot; in MAXScript, and MAXScript displayed the same string as its command output. When you enter other strings, MAXScript displays them and forgets about the previous ones.</p>\n\
<p>To make MAXScript <strong>remember the value</strong> of a string, you can <strong>assign it to a variable</strong>.</p>\n\
<p>The general syntax for assigning a variable in MAXScript is:</p>\n\
<div class=\'codeBlock\'><pre>variable_name=variable_value\n\
</pre></div><p>A <span class=\'code\'>variable_name</span> starts with an alphabetic character or &quot;_&quot; (underscore), followed by any number of alphanumeric characters.</p>\n\
<p>The <span class=\'code\'>variable_value</span> can be a string, a number, or any other expression.</p>\n\
<div class=\'section\'><a id=\"to-assign-a-string-to-a-variable\"></a><h2 id=\"to-assign-a-string-to-a-variable\">To assign a string to a variable:</h2></div>\n\
<ul>\n\
<li><p>At the Listener prompt, enter the following command:</p>\n\
<div class=\'codeBlock\'><pre>mystring = &quot;This is my string.&quot;\n\
</pre></div><p>MAXScript returns the value of the string variable:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-714E597F-E871-42E7-AFB9-2782376BE72C-low.gif\' title=\'\'></div></li>\n\
<li><p>You can now refer to this string variable by entering the variable’s name. Enter <span class=\'code\'>mystring</span>.</p>\n\
<p>MAXScript again returns the value of the string variable:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-32F21C3E-4142-460A-A93B-A5A57E098140-low.gif\' title=\'\'></div>\n\
<p>This is faster than entering the string again. MAXScript remembers this string for as long as your <strong>3ds Max</strong> session is open, or until you change the variable’s value.</p></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"to-assign-a-new-value-to-an-existing-variable\"></a><h2 id=\"to-assign-a-new-value-to-an-existing-variable\">To assign a new value to an existing variable:</h2></div>\n\
<ul>\n\
<li><p>Enter <span class=\'code\'>mystring = &quot;This is not your string.&quot;</span></p>\n\
<p>MAXScript now displays the new value of <span class=\'code\'>mystring</span>:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8061AB68-B776-4ED8-8E78-B71C1EDE1A8C-low.gif\' title=\'\'></div></li>\n\
<li><p>When you refer to <span class=\'code\'>mystring</span> now, MAXScript uses the new value. Enter <span class=\'code\'>mystring</span>.</p>\n\
<p>MAXScript now displays the new variable value:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7B56BA92-FC24-4B11-B084-D1397FC99D57-low.gif\' title=\'\'></div>\n\
<p>Notice that MAXScript doesn’t distinguish between lowercase and uppercase variable names because MAXScript names are not case-sensitive. Thus, entering myString is the same as entering mystring or MYSTRING or MyStRiNg.</p></li>\n\
</ul>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Mathematical-Operations-in.html\' title=\'\'>Mathematical Operations in MAXScript</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";