var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Entering Information into MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Entering Information into MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"entering-information-into-maxscript\"></a></div>\n\
<p>There are several different types of information that you will typically want to enter into the MAXScript Listener window. These include numeric values, strings, and arrays.</p>\n\
<p>Information is generally entered into MAXScript by typing a value or expression and pressing the <strong>numeric ENTER</strong> key, or the alternative key combination <strong>SHIFT+RETURN</strong>. (The <strong>RETURN</strong> key is often labeled as &quot;Enter&quot; on some keyboards. It is the large key at the right side of the main keyboard area).</p>\n\
<p>However, each type of information must be entered in a slightly different way.</p>\n\
<div class=\'section\'><a id=\"entering-numbers-in-maxscript\"></a><h2 id=\"entering-numbers-in-maxscript\">Entering Numbers in MAXScript</h2></div>\n\
<p>MAXScript distinguishes between two types of numbers: <em>integers</em> and <em>floats</em>.</p>\n\
<ul>\n\
<li><p>An Integer is a whole number, such as 0, 1, 2, 10, 527.</p></li>\n\
<li><p>A Float is floating-point number and contains a decimal point, such as 2.5, 72.0, and 0.33.</p></li>\n\
</ul>\n\
<p>When MAXScript performs numerical operations, the result is generally the same number-type as the arguments in the operation.</p>\n\
<p>For example: <span class=\'code\'>3 + 4</span> will return <span class=\'code\'>7</span>, while <span class=\'code\'>3.0 + 4.0</span> will return <span class=\'code\'>7.0</span>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-865920A3-582C-4C43-90CA-C929067522BA-low.gif\' title=\'\'></div>\n\
<p>When MAXScript performs operations involving both float and integer-type numbers however, it treats the integer as a float number.</p>\n\
<p>For example: <span class=\'code\'>3 + 4.0</span> will return <span class=\'code\'>7.0</span>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B3C594FC-8CA8-4FBA-9261-8686EF8E1F42-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"entering-strings-in-maxscript\"></a><h2 id=\"entering-strings-in-maxscript\">Entering Strings in MAXScript</h2></div>\n\
<p>MAXScript is an expression-based language. All of its constructs yield a value. Strings are MAXScript constructs, and they are entered inside quotation marks. The command output for a string, meaning the value a string yields in MAXScript, is the string itself.</p>\n\
<p>With the MAXScript Listener window open, say hello to MAXScript:</p>\n\
<ul>\n\
<li><p>At the prompt, type <strong>Hello</strong> and press ENTER on the numeric keypad.</p>\n\
<p>MAXScript answers with <span class=\'code\'>undefined</span>. This is called command output, which always appears in blue. The reason for this specific output is that MAXScript doesn’t know the word Hello. It is not defined in the language and therefore MAXScript cannot determine what to do with it.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-513379D5-1394-4C90-ABB7-11BC507786CC-low.gif\' title=\'\'></div></li>\n\
<li><p>Write the word &quot;<strong>Hello</strong>&quot; again, this time with quotation marks, and press ENTER.</p>\n\
<p>The command output is now &quot;<span class=\'code\'>Hello</span>&quot;.</p>\n\
<p>It seems that MAXScript knows the string &quot;Hello&quot; because it answers with a friendly &quot;Hello&quot; Actually, it merely knows that you entered a string, and the command output for strings is always the value of the string you entered.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-48E6B39C-AEC1-46D6-9E83-4B705EA3C261-low.gif\' title=\'\'></div></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"entering-arrays-in-maxscript\"></a><h2 id=\"entering-arrays-in-maxscript\">Entering Arrays in MAXScript</h2></div>\n\
<p>You can use an array to group several elements into one collection.</p>\n\
<p>An array is an ordered collection of values.</p>\n\
<p>In MAXScript, each element in the array can contain any type of value, and all of the elements can be accessed individually.</p>\n\
<p>An array can be expressed in <strong>two forms</strong>.</p>\n\
<p>The first is:</p>\n\
<div class=\'codeBlock\'><pre>#()\n\
</pre></div><p>This is the most basic type of array: an empty one.</p>\n\
<p>It is important to note that all arrays must be defined with the number character (#) and a pair of parentheses.</p>\n\
<div class=\'codeBlock\'><pre>#(&lt;expr&gt; , &lt;expr&gt;)\n\
</pre></div><p>This form of the array is appropriate when you would like to define one or more of the initial elements within the array.</p>\n\
<p>Each value of <span class=\'code\'>&lt;expr&gt;</span> can be a number, an expression (e.g., sin pi, 6.2^3), or a string (e.g., &quot;hello&quot;).</p>\n\
<p>Elements do not have to be the same type of information, and there is no limit on the number of elements you can have in an array.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BF619B74-2D51-4034-B910-9546AB0F4779-low.gif\' title=\'\'></div>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Assigning-Variables.html\' title=\'\'>Assigning Variables</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";