var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mathematical Operations in MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mathematical Operations in MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mathematical-operations-in-maxscript\"></a></div>\n\
<p>Besides strings which we looked at in the <a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Assigning-Variables.html\' title=\'\'>previous lesson</a>, you can enter other types of data into MAXScript.</p>\n\
<p>MAXScript not only recognizes numeric characters as numbers, it can also perform mathematical operations with them.</p>\n\
<p>As with strings, if you just enter a number by itself, MAXScript echoes it back to you; it evaluates the number and displays its value.</p>\n\
<p>Mathematical operations are more interesting.</p>\n\
<div class=\'section\'><a id=\"basic-mathematical-operations\"></a><h2 id=\"basic-mathematical-operations\">Basic Mathematical Operations</h2></div>\n\
<p>MAXScript has many built-in functions that let you use MAXScript as a calculator.</p>\n\
<p>Enter <span class=\'code\'>36.5 * 2</span>, for example, to see what a certain dimension needs to be if you want to double it.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6D35D90C-F807-4049-85BA-6DE498F47E57-low.gif\' title=\'\'></div>\n\
<p>MAXScript returns the result of the calculation. This is useful for quick calculations where loading an external calculator program doesn’t seem worth the trouble.</p>\n\
<p>MAXScript also recognizes several mathematical constants. Enter <span class=\'code\'>pi</span>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-433C403F-D81F-48F3-B3E3-B624A024459F-low.gif\' title=\'\'></div>\n\
<p>MAXScript knows the value of <span class=\'code\'>pi</span> and returns it.</p>\n\
<p>You can use this value in more complex operations. For example, if you want to know the volume of a sphere with a 2.5-inch radius, multiply the cube of the radius by <span class=\'code\'>pi</span>, then multiply by 4.0 and divide by 3.0. Enter <span class=\'code\'>4.0/3.0 * pi * 2.5^3</span>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-15B339BF-01E4-4D66-BCED-A48AA065ED12-low.png\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"operations-with-strings\"></a><h3 id=\"operations-with-strings\">Operations with Strings</h3></div>\n\
<p>You can also perform some simple mathematical operations with strings. For example, if you have defined <span class=\'code\'>a=&quot;MAXScript&quot;</span> and <span class=\'code\'>b=&quot; is fun!&quot;</span>, entering <span class=\'code\'>a+b</span> returns <span class=\'code\'>&quot;MAXScript is fun!&quot;</span></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-52CE0B66-6EDC-4AC7-B22B-83F4DAE52F2B-low.gif\' title=\'\'></div>\n\
<p>For more string operations, see the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/String-Values.html\' title=\'\'>String Values</a> topic in the MAXScript reference.</p>\n\
<div class=\'section\'><a id=\"additional-mathematical-operations\"></a><h3 id=\"additional-mathematical-operations\">Additional Mathematical Operations</h3></div>\n\
<p>MAXScript is able to perform many mathematical operations, including most trigonometric functions (sin, cosh, atan) and transcendental functions (exp, log, sqrt). This topic introduces two of the most useful operations: random numbers and incrementing. For a complete list of the operations supported by MAXScript, see the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\' title=\'\'>Number Values</a> topic in the MAXScript reference.</p>\n\
<div class=\'section\'><a id=\"creating-random-numbers\"></a><h4 id=\"creating-random-numbers\">Creating Random Numbers</h4></div>\n\
<p>One very useful mathematical operation in MAXScript is the random number function. It returns a pseudo-random number selected inclusively between two user-specified arguments.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>random 1 100</span></p>\n\
<p>returns a random integer between 1 and 100.</p>\n\
<p>The return value type (Float or Integer) is the same as the type of the first argument in the function, therefore if you enter</p>\n\
<p><span class=\'code\'>random 1.0 100</span></p>\n\
<p>MAXScript returns a random float between 1.0 and 100.0</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FE754FB5-474D-4A72-A45D-F9AC6010A29D-low.gif\' title=\'\'></div>\n\
<p>Note:</p>\n\
<p>For reasons beyond the scope of this tutorial, the <span class=\'code\'>random</span> command will generate the same &quot;random&quot; numbers each time a script is run. This happens if you restart the software and run the script, but not if you run the script over and over. If you want the values created by the <span class=\'code\'>random</span> function to change each time you start the software, you can use the <span class=\'code\'>seed</span> command:</p>\n\
<div class=\'codeBlock\'><pre>seed &lt;number&gt;\n\
</pre></div><p>where <span class=\'code\'>&lt;number&gt;</span> is any float or integer. Each time you change the <span class=\'code\'>seed</span> value, MAXScript generates a new set of &quot;random&quot; numbers.</p>\n\
<div class=\'section\'><a id=\"incrementing\"></a><h4 id=\"incrementing\">Incrementing</h4></div>\n\
<p>Another useful mathematical operation that MAXScript provides is <strong>incrementing</strong>. This is a shorthand form of assignment that can be used to modify a value in place, as shown in the following long form examples:</p>\n\
<div class=\'codeBlock\'><pre>x = x + 1\n\
</pre></div><p>There are assignment operators corresponding to the four math operations (+,-,*, and /) that apply the operation to the assignment’s destination with the result. Their syntax is:</p>\n\
<div class=\'codeBlock\'><pre>&lt;destination&gt; += &lt;expr&gt; -- add &lt;expr&gt; to destination\n\
&lt;destination&gt; -= &lt;expr&gt; -- subtract &lt;expr&gt; from destination\n\
&lt;destination&gt; *= &lt;expr&gt; -- multiply destination by &lt;expr&gt;\n\
&lt;destination&gt; /= &lt;expr&gt; -- divide destination by &lt;expr&gt;\n\
\n\
</pre></div><p>Using this shorthand form of assignment, the previous example can be written as:</p>\n\
<div class=\'codeBlock\'><pre>x += 1\n\
</pre></div><p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\' title=\'\'>Drawing a Box with MAXScript</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";