var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Source Code Layout</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Source Code Layout</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"source-code-layout\"></a></div>\n\
<p>The layout rules for MAXScript code are unlike those of most programming languages. MAXScript gives you the advantage of freeform languages, such as C and C++, without the need for extensive punctuation.</p>\n\
<p>MAXScript lets you break statements and expressions across lines wherever you want. The line break can be in the middle of an expression. MAXScript reads your code until the end of each line and determines whether it has a complete expression. If it does not, it continues to read subsequent lines until it finds the rest of the expression.</p>\n\
<blockquote>\n\
<p><strong>Take as an example the following line:</strong></p>\n\
<p>``` a + b * c / d - e + f * g / h</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This line can be broken after any of the operators. MAXScript continues to read the next line, because an operator needs another argument.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` a + b * c / d - e + f * g / h</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>You cannot break the example line as shown next and get the same result, because the expression on the first line is a complete expression. MAXScript considers the two lines as separate expressions, and the second line is now syntactically wrong, because it starts with an operator:</p>\n\
<blockquote>\n\
<p><strong>WRONG SYNTAX:</strong></p>\n\
<p>``` a + b * c / d - e + f * g / h</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>If you do want to break a line at the end of a sub-expression, you can use the backslash line continuation character: ’\\’. The previous example of an invalid break can be made valid using the line continuation character after the ’r;e’:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` a + b * c / d - e<br> + f * g / h</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Whenever MAXScript encounters a ’\\’ as the last character on a line (except for spaces, tabs, or comments), it continues to read the next line as though the break were not present. Line continuations can be useful for breaking up long or complex lines of code, making them easier to read.</p>\n\
<p>MAXScript also lets you combine multiple statements and expressions in a single line. The statements or expressions are separated with a ’;’</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-41EBE44D-D7C3-4687-9D80-EC0749802472-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p>Sometimes it is useful to enter comments within your script to provide guidance or context. You can enter comments in MAXScript by preceding your comment with a double-hyphen --. As soon as MAXScript reaches the double-hyphen, it stops evaluating the rest of that line.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2D96B3CB-4356-410E-896A-2B8A8F57CF69-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Entering-Information-into.html\' title=\'\'>Entering Information into MAXScript</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";