var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Drawing a Box with MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Drawing a Box with MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"drawing-a-box-with-maxscript\"></a></div>\n\
<p>In the <a href=\'#!/url=./developer/Learning-MAXScript/Getting-Started/Mathematical-Operations-in.html\' title=\'\'>previous lessons</a> you have seen some of MAXScript’s useful capabilities; however, nothing that is visible in the interface. MAXScript is also useful for working with regular objects, such as boxes or cylinders. You can draw a box in MAXScript just by entering the <span class=\'code\'>box()</span> command:</p>\n\
<div class=\'codeBlock\'><pre>box()\n\
</pre></div><p>This creates a box with the default parameters. It is generally better practice to assign an object to a variable, so you can later refer to it by name and manipulate it using that name:</p>\n\
<div class=\'codeBlock\'><pre>mybox = box()\n\
</pre></div><p>When you use MAXScript to create an object without specifying any parameters, it is important to use empty parentheses, &quot;<span class=\'code\'>()</span>&quot;. This tells MAXScript to use the default parameters for the object. If you want to specify any of the parameters during creation, such as the size or location of the object, you do not need parentheses.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>mybox = box length:20 width:20 height:20</span></p>\n\
</blockquote>\n\
<p>MAXScript returns the box object name and the position of the box:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5FDDA070-6661-4F33-B6CD-D742197F4814-low.gif\' title=\'\'></div>\n\
<p>This example creates a box, and supplies three <span class=\'code\'>parameters</span>: the length, width, and height of the box. The parameter names are followed by a colon and then by the value for that parameter. You can enter all parameters, without any punctuation between them.</p>\n\
<p>MAXScript returns the following statement:</p>\n\
<div class=\'codeBlock\'><pre>$Box:Box001 @ [0.000000,0.000000,0.000000].\n\
<ul>\n\
<li></li></ul></pre></div><p>The first part of the statement is called a pathname.</p>\n\
<ul>\n\
<li>A pathname in MAXScript is similar to a pathname in Windows, such as <span class=\'code\'>c:\\\\3dsmax\\\\examples\\\\file.max</span>, which represents a path through a hierarchy of directories pointing to a particular file. In MAXScript, a similar path concept is used. However paths in MAXScript end up pointing to objects, not files. Pathnames in MAXScript always begin with the &quot;$&quot; character. For more information on Pathnames, see the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Pathname-Literals.html\' title=\'\'>Pathname Literals</a> topic in the MAXScript reference.</li>\n\
</ul>\n\
<li><p>The second part of the statement is the object name:<span class=\'code\'>Box01</span>, in this case.</p>\n\
<ul>\n\
<li>This name appears in the Select Object dialog when you use the<img src=\'developer/images/GUID-E5AF59C7-4FE3-40E8-B95F-7F4C150D5226-low.gif\' title=\'\'> Select by Name toolbar button in <strong>3ds Max</strong>. It is <em>not</em> the name of your box variable, which is <span class=\'code\'>mybox</span>. This variable is merely a placeholder that points to the object, <span class=\'code\'>Box01</span>.</li>\n\
</ul></li>\n\
\n\
<p>The values inside the brackets represent the x, y, and z coordinates of the center of the box.</p>\n\
<p>MAXScript also draws the box in the viewports, as shown in this perspective viewport:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C5612F82-AC96-4F00-9C00-DA20EA95FCD2-low.gif\' title=\'\'></div>\n\
<p>Notice that you can use<img src=\'developer/images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\' title=\'\'> Undo (as you can with most MAXScript creation and modification commands) to remove the box from the scene.</p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Modifying-the-Box.html\' title=\'\'>Modifying the Box</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";