var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>More Box Transformations</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>More Box Transformations</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"more-box-transformations\"></a></div>\n\
<p>Note: This is a continuation of the <a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps.html\' title=\'\'>&quot;Manipulating The Box - First Steps in MAXScript&quot;</a> tutorial&#39;s previous lesson <a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Drawing-a-Box-with-MAXScript.html\' title=\'\'>&quot;Drawing a Box with MAXScript&quot;</a>, <a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Modifying-the-Box.html\' title=\'\'>&quot;Modifying the Box&quot;</a>, and <a href=\'#!/url=./developer/Learning-MAXScript/Manipulating-The-Box-First-Steps/Applying-Standard.html\' title=\'\'>&quot;Applying Standard Transformations&quot;</a>. It requires the variable <span class=\'code\'>mybox</span> to be already defined with an instance of a Box primitive. If you are <strong>not</strong> continuing directly from these previous lessons, you must at least evaluate the line</p>\n\
<div class=\'codeBlock\'><pre>mybox = box()\n\
</pre></div><p>to apply the following examples to the <strong>3ds Max</strong> scene.</p>\n\
<p>The following lines prepare our box for more complex transformations. They change the number of box segments on all sides, and put a check mark into the Generate Mapping Coords. box in the Parameters rollout:</p>\n\
<blockquote>\n\
<p><strong>ENTER THE FOLLOWING FOUR LINES OF CODE:</strong></p>\n\
<p><span class=\'code\'>mybox.lengthsegs = 10   mybox.widthsegs = 10   mybox.heightsegs = 10   mybox.mapCoords = true</span></p>\n\
</blockquote>\n\
<p>MAXScript has changed the appropriate settings in the Parameters rollout:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3F997663-F8AE-49B0-8738-6F1EF9DD14BE-low.gif\' title=\'\'></div>\n\
<p>Any time you change a property of a <strong>3ds Max</strong> object, MAXScript immediately reflects the change in the scene and in the user interface.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E64E1B7B-57FC-4A00-8AAC-3E6D1D141F36-low.gif\' title=\'\'></div>\n\
<p>You can also create modifiers and add them to an object.</p>\n\
<div class=\'section\'><a id=\"creating-and-assigning-modifiers\"></a><h2 id=\"creating-and-assigning-modifiers\">Creating and Assigning Modifiers</h2></div>\n\
<div class=\'section\'><a id=\"creating-a-modifier\"></a><h2 id=\"creating-a-modifier\">Creating a Modifier</h2></div>\n\
<p>Creating a modifier is pretty simple. You use the <span class=\'code\'>addModifier</span> command and specify the name of the modifier you want to use and its appropriate parameters.</p>\n\
<p>To create a Twist modifier set to 30 degrees and apply it to your box,</p>\n\
<blockquote>\n\
<p><strong>ENTER</strong></p>\n\
<p><span class=\'code\'>addModifier mybox (twist angle:30)</span></p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9CEA05A7-1098-442E-A7A6-FE862CB0BD91-low.gif\' title=\'\'></div>\n\
<p>The box in your Perspective viewport is now twisted and the interface shows the new Twist modifier in the modifier stack display, together with its parameters:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-8A833A77-FD4B-40F5-9991-02EDA62350A9-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"changing-a-modifier\"></a><h2 id=\"changing-a-modifier\">Changing a Modifier</h2></div>\n\
<p>Changing a modifier is similar to changing a creation parameter. Again, because you used a variable name for your object, and you added a modifier to that object variable, you now have easy access to the new modifier properties of your object.</p>\n\
<p>To change the angle of the twist modifier to 60 degrees,</p>\n\
<blockquote>\n\
<p><strong>ENTER</strong></p>\n\
<p><span class=\'code\'>mybox.twist.angle = 60</span></p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A8CF0897-0F2C-4EC7-A4FE-89CB97E61E16-low.gif\' title=\'\'></div>\n\
<p>The twist of your box is now more pronounced and the Angle parameter of the Twist modifier displays the new value:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-521BCD82-318E-4A55-A30C-28C9C97FCD36-low.gif\' title=\'\'></div>\n\
<p>Now, you can add and change other modifiers as you like. The syntax is the same for all modifiers. To find out the names of other modifiers, search for the &quot;Modifier : MAXWrapper&quot; topic in the MAXScript Reference.</p>\n\
<p>If you entered the above commands, click <img src=\'developer/images/GUID-062EDDCE-D844-4382-A665-C8A36D8FFCDB-low.gif\' title=\'\'>Undo twice to bring the box back to its original state.</p>\n\
<div class=\'section\'><a id=\"animating-the-box\"></a><h2 id=\"animating-the-box\">Animating the Box</h2></div>\n\
<p>MAXScript has several syntax forms that mirror the main UI tools such as, the Auto Key button, the time slider, and the active coordinate system.</p>\n\
<p>In the following example, you turn on the Auto Key button, set the slider to several different values, and adjust the properties of your box, just as you would do using the software’s UI:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` animate on ( at time 0 (mybox.pos = [-100, 0, 0]; mybox.scale = [1, 1, 0.25]) at time 100 (mybox.pos = [100, 0, 0]; mybox.scale = [1, 1, 3]) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Drag the slider around, and you will see that MAXScript has animated the box, and placed keyframes at 0 and 100.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A415CD53-3D19-438D-9AE9-681C81D21546-low.gif\' title=\'\'></div>\n\
<p>When you use MAXScript to animate objects, the actual Auto Key button in the UI does not come on, nor does the time slider move; these things happen within MAXScript.</p>\n\
<p>In this example, the time was given as a simple number. If no unit is specified, MAXScript interprets this as a frame number. You can also use one of the various time literals in the following manner:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` 2.5s-- 2.5 seconds 20f-- 20 frames 4800t-- 4800 ticks = 1 sec 1m3s5f-- 1 min, 3 seconds, 5 frames 1:15.5-- SMPTE: 1 min, 15 seconds, 5 frames</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>All times are automatically converted to frames.</p>\n\
<blockquote>\n\
<p><strong>HISTORY:</strong></p>\n\
<p>In the early versions of<strong>3ds Max</strong>, the User Interface featured a button called <strong>Animate</strong>, which performed the same function as the current <strong>Auto Key</strong> button. For this reason, the MAXScript context for creating animations is called <strong>Animate</strong> and not Autokey.</p>\n\
</blockquote>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/Learning-MAXScript/Creating-Your-Own-Scripts/The-Script-Editor.html\' title=\'\'>The Script Editor</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";