var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Trigonometric Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Trigonometric Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"trigonometric-functions\"></a></div>\n\
<p>This topic is a quick review for readers who need a reminder about this area of mathematics. If you’re familiar with trigonometry, you can skip this topic. If you find this topic difficult to follow, you might consult a more basic reference on mathematics.</p>\n\
<p>Trigonometric functions are principally used to model or describe:</p>\n\
<ul>\n\
<li><p>The relation between angles in a triangle (hence the name).</p></li>\n\
<li><p>Rotations about a circle, including locations given in polar coordinates.</p></li>\n\
<li><p>Cyclical or periodic values, such as sound waves.</p></li>\n\
</ul>\n\
<p>The three basic trigonometric functions are derived from an angle rotating about a unit circle.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-AC6792B8-7D79-4850-BD89-E64280A0B1A2-low.gif\' title=\'\'></div>\n\
<p>Trigonometric functions based on the unit circle</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3727A2D1-816F-47CD-96FC-77C598B42B78-low.gif\' title=\'\'></div>\n\
<p>The tangent function is undefined for x = 0. Another way to define the target is:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-43C75AC0-CDCF-46DD-A222-07E30483A566-low.gif\' title=\'\'></div>\n\
<p>Because <em>XY R</em> defines a right-angled triangle, the relation between the sine and cosine is:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0959AA12-8A11-4F5B-A57F-CD2F32A3B7BC-low.gif\' title=\'\'></div>\n\
<p>The graphs of the basic trigonometric functions illustrate their cyclical nature.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1B9B81A2-255D-4BA5-B04D-B042BF9EA022-low.gif\' title=\'\'></div>\n\
<p>Graphs of basic trigonometric functions</p>\n\
<p>The sine and cosine functions yield the same values, but the phase differs along the X-axis by /2: in other words, 90 degrees.</p>\n\
<p>The inverse functions for the trigonometric functions are the arc functions—the inverse only applies to values of x restricted by -/2 ≤ X ≤ /2. The graphs for these functions appear like the basic trigonometric function graphs, but turned on their sides.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-ABF4269D-D5C1-4F0C-8041-7772AC921BD6-low.gif\' title=\'\'></div>\n\
<p><strong>Graphs of basic arc functions</strong></p>\n\
<p>The hyperbolic functions are based on the exponential constant <em>e</em> instead of on circular measurement. However, they behave similarly to the trigonometric functions and are named for them. The basic hyperbolic functions are:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-86F381E1-4DC6-426B-97D0-D91896320E04-low.gif\' title=\'\'></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A9C7C2AC-0E02-49E7-9527-453807AE8D53-low.gif\' title=\'\'></div>\n\
<p>Graphs of basic hyperbolic functions</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";