var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Customizing MacroScript Buttons</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Customizing MacroScript Buttons</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"customizing-macroscript-buttons\"></a></div>\n\
<p>Since the introduction of the MacroRecorder and MacroScripts in <strong>3ds Max 3</strong>, a fair amount of User Interface elements have been implemented using MAXScript.</p>\n\
<p>In <strong>3ds Max 4</strong>, a unified ActionItems system was introduced which allows MacroScripts to appear in all four major areas of the customization dialog - Keyboard Shortcuts, Toolbars, Menus and QuadMenus.</p>\n\
<p>In the case of Toolbar buttons, MacroScripts provide a context-sensitive right-click menu with the following options:</p>\n\
<ul>\n\
<li><p>Edit Button Appearance...</p></li>\n\
<li><p>Delete Button</p></li>\n\
<li><p>Edit Macro Script</p></li>\n\
<li><p>Customize...</p></li>\n\
</ul>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D280F4C6-7DA5-4DF4-A54C-0F921E731D87-low.gif\' title=\'\'></div>\n\
<p>In this example, the user right-clicked the second icon of the Render Shortcuts toolbar which contains the Render Presets Slot B used to quickly assign Render Presets to the current Production renderer.</p>\n\
<div class=\'section\'><a id=\"edit-button-appearance...\"></a><h2 id=\"edit-button-appearance...\">Edit Button Appearance...</h2></div>\n\
<p>The <strong>Edit Button Appearance...</strong> option opens a new dialog whitewalls the user to control the appearance of the button including:</p>\n\
<ul>\n\
<li><p>The Tooltip to be displayed when the mouse rolls over the button,</p></li>\n\
<li><p>The Text Label when a Text Button is requested, and</p></li>\n\
<li><p>The image file and the icon number to be used when an Image Button is desired.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-464FC2BF-18B4-4E8B-AB1B-A8C45F3D5EF7-low.gif\' title=\'\'></div></li>\n\
</ul>\n\
<p>This is the default appearance of the dialog. Eventhough the button is currently showing an icon (specified in the source code of the script), the dialog will provide the Text Button settings as the default state.</p>\n\
<p>The user can switch the button mode to Image Button, select an icon library from the drop-down list (for example, &quot;Render&quot;), and select a new icon from the list:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4C8CF39D-36B3-46CA-B2FE-5DD8FF549C52-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"delete-button\"></a><h2 id=\"delete-button\">Delete Button</h2></div>\n\
<p>The <strong>Delete Button</strong> option lets the user remove the button from the toolbar. Since this is a destructive operation, a prompt will be issued:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9D5EED2E-8E6B-488A-A6C9-437437499014-low.gif\' title=\'\'></div>\n\
<p>Even after answering with Yes, the original Toolbar definition could be restored from a CUI file, or the deleted button could be re-created by using the Customize User Interface dialog.</p>\n\
<div class=\'section\'><a id=\"edit-macro-script\"></a><h2 id=\"edit-macro-script\">Edit Macro Script</h2></div>\n\
<p>The <strong>Edit Macro Script</strong> option lets the user navigate directly to the source code of the MacroScript used for the button&#39;s definition. This can be very useful for quickly changing small errors in the functionality and for learning how certain features developed by Autodesk or 3 rd parties work.</p>\n\
<p>Note that opening a &quot;factory&quot; MacroScript that ships with 3ds Max will copy the file from the \\macroscripts folder to the \\usermacros folder in the current user&#39;s Local AppData folder to allow custom changes to the code. Scripts placed in the \\usermacros folder will be evaluated after the factory scripts and will thus override them. The following warning will be shown by default (unless disabled via the checkbox option in the lower left corner):</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-61DFE8A9-D686-420A-B4E3-E4164A133631-low.bmp\' title=\'\'></div>\n\
<p>For example, this is the MAXScript Editor showing the source code of the Render Presets Slot B button - note the first line of the MacroScript is automatically highlighted:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-737CAF64-B8CD-4DCF-9EE8-A818280166E5-low.bmp\' title=\'\'></div>\n\
<p>If the button is NOT implemented using MAXScript, the Edit Macro Script option will be grayed out. See for example the Manipulate button in the Main Toolbar.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E7C68EBB-A32A-43F4-ABDE-6B5C7F28CE82-low.gif\' title=\'\'></div>\n\
<p>Some buttons implemented in the core of 3ds Max will not allow the user to change their appearance (see most of the buttons on the Main Toolbar like Material Editor, Render etc.). These buttons will not provide a right-click context menu at all.</p>\n\
<div class=\'section\'><a id=\"customize...\"></a><h2 id=\"customize...\">Customize...</h2></div>\n\
<p>The <strong>Customize...</strong> option opens the standard Customize User Interface dialog and lets the user create new buttons, assign ActionItems to shortcuts, place them on Menus and QuadMenus, and tweak the colors of the User Interface. It also provides the option to locate and edit MacroScripts for those items that have been created using MAXScript:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-738B5F21-C243-4C25-B15E-984130BEDA64-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";