var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Listener Commands</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Listener Commands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"listener-commands\"></a></div>\n\
<p><strong>Menu Bar Commands and Keyboard Shortcuts</strong></p>\n\
<p>The following menu bar commands and keyboard shortcuts are available in Listener. The edit commands listed are also available in the Listener right-click menu. The menu bar commands for Macro Recorder are described in <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\' title=\'\'>The Macro Recorder</a>.</p>\n\
<div class=\'section\'><a id=\"file-save-as-ctrls\"></a><h4 id=\"file-save-as-ctrls\"><em>File &gt; Save As, CTRL+S</em></h4></div>\n\
<p>Opens a common File Save dialog for choosing a file name to which the current contents of the active Listener pane is stored. All text in the active pane is saved to the specified file.</p>\n\
<div class=\'section\'><a id=\"file-new-script-ctrln\"></a><h4 id=\"file-new-script-ctrln\"><em>File &gt; New Script, CTRL+N</em></h4></div>\n\
<p>Opens a new MAXScript Editor window used for writing a new script.</p>\n\
<div class=\'section\'><a id=\"file-open-script-ctrlo\"></a><h4 id=\"file-open-script-ctrlo\"><em>File &gt; Open Script, CTRL+O</em></h4></div>\n\
<p>Opens a common File Open dialog for choosing an existing script file. A new MAXScript Editor window displays the contents of the selected script file.</p>\n\
<div class=\'section\'><a id=\"file-run-script-ctrlr\"></a><h4 id=\"file-run-script-ctrlr\"><em>File &gt; Run Script, CTRL+R</em></h4></div>\n\
<p>Opens a common File Open dialog for choosing an existing script file. The selected script file contents are executed.</p>\n\
<div class=\'section\'><a id=\"edit-undo-ctrlz\"></a><h4 id=\"edit-undo-ctrlz\"><em>Edit &gt; Undo, CTRL+Z</em></h4></div>\n\
<p>If the last change made to the Listener’s content was an edit, undoes that edit. Only one level of undo is supported. If the last change was a command evaluation, removes all the text printed in Listener by that command, making it easy to remove large print-outs. Pressing <em>Ctrl+Z</em> a second time restores the removed text and also selects it. This feature can be used as a quick way to cut or copy a command&#39;s output.</p>\n\
<div class=\'section\'><a id=\"edit-cut-ctrlx\"></a><h4 id=\"edit-cut-ctrlx\"><em>Edit &gt; Cut, CTRL+X</em></h4></div>\n\
<p>Copies the selected text to the cut/paste buffer and deletes the text.</p>\n\
<div class=\'section\'><a id=\"edit-copy-ctrlc\"></a><h4 id=\"edit-copy-ctrlc\"><em>Edit &gt; Copy, CTRL+C</em></h4></div>\n\
<p>Copies the selected text to the cut/paste buffer.</p>\n\
<div class=\'section\'><a id=\"edit-paste-ctrlv\"></a><h4 id=\"edit-paste-ctrlv\"><em>Edit &gt; Paste, CTRL+V</em></h4></div>\n\
<p>Places the text in the cut/paste buffer at the cursor. If text is selected when executing this command, the selected text is replaced with the cut/paste buffer contents.</p>\n\
<div class=\'section\'><a id=\"edit-delete-del\"></a><h4 id=\"edit-delete-del\"><em>Edit &gt; Delete, DEL</em></h4></div>\n\
<p>Deletes the selected text.</p>\n\
<div class=\'section\'><a id=\"edit-clear-all\"></a><h4 id=\"edit-clear-all\"><em>Edit &gt; Clear All</em></h4></div>\n\
<p>Deletes all text in the active Listener pane.</p>\n\
<div class=\'section\'><a id=\"edit-select-all-ctrla\"></a><h4 id=\"edit-select-all-ctrla\"><em>Edit &gt; Select All, CTRL+A</em></h4></div>\n\
<p>Selects all text in the active Listener pane.</p>\n\
<div class=\'section\'><a id=\"search-find-ctrlf\"></a><h4 id=\"search-find-ctrlf\"><em>Search &gt; Find, CTRL+F</em></h4></div>\n\
<p>Displays Find dialog. Performs search in the active Listener pane for the Find What text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters as the Find What text. If matching text is found, the text is selected.</p>\n\
<div class=\'section\'><a id=\"search-find-next-ctrlg\"></a><h4 id=\"search-find-next-ctrlg\"><em>Search &gt; Find Next, CTRL+G</em></h4></div>\n\
<p>Repeats the last Search &gt; Find by finding and selecting the next occurrence of the Find What text in the active Listener pane.</p>\n\
<div class=\'section\'><a id=\"search-replace-ctrlh\"></a><h4 id=\"search-replace-ctrlh\"><em>Search &gt; Replace, CTRL+H</em></h4></div>\n\
<p>Displays Replace dialog. Performs search in the active Listener pane for the Find What text, and replaces the matching text with the Replace With text. Search can be restricted to occurrences that are not part of a larger word, or are the exact combination of uppercase and lowercase letters is the specified text.</p>\n\
<div class=\'section\'><a id=\"help-help\"></a><h4 id=\"help-help\"><em>Help &gt; Help</em></h4></div>\n\
<p>Displays the MAXScript Online Reference.</p>\n\
<div class=\'section\'><a id=\"help-about-maxscript\"></a><h4 id=\"help-about-maxscript\"><em>Help &gt; About MAXScript</em></h4></div>\n\
<p>Displays About MAXScript dialog.</p>\n\
<div class=\'section\'><a id=\"ctrlb\"></a><h4 id=\"ctrlb\"><em>CTRL+B</em></h4></div>\n\
<p>Selects the text in the current brackets. Bracket balancer lets you check bracket balancing in long pieces of code. The balancer works with any of the following: (), [], and {}. To use it, place the cursor anywhere in the script text and press CTRL+B. If the cursor is next to a bracket, the code bracketed by it and its matching bracket will be selected and highlighted. If the cursor is not next to a bracket, the closest bracketed code containing the cursor will be selected. If you press <em>Ctrl+B</em> again, the next outer bracketed fragment is selected, and so on. You can keep pressing <em>Ctrl+B</em> to move out through bracket nestings. If at any point there is a bracket mismatch, the balancer will beep and not select any text.</p>\n\
<div class=\'section\'><a id=\"end-of-text-commands\"></a><h4 id=\"end-of-text-commands\"><em>End-Of-Text Commands</em></h4></div>\n\
<p>The simplest way to use the MAXScript Listener is to enter commands at the end of the existing text and press <em>ENTER</em> . This is called the <em>end-of-text compilation</em>. After each command is executed and any results are printed to the output pane, you can enter another command and press <em>ENTER</em> , and so on. When you write new commands at the end of the text in Listener, pressing <em>ENTER</em> executes the last line and inserts a new line.</p>\n\
<div class=\'section\'><a id=\"editing-and-executing-mid-text-commands\"></a><h4 id=\"editing-and-executing-mid-text-commands\"><em>Editing and Executing Mid-Text Commands</em></h4></div>\n\
<p>When you want to use or edit existing text in Listener, you can differentiate between inserting new lines and executing the current line as follows:</p>\n\
<ul>\n\
<li><p>Press <em>ENTER</em> to insert a new line at the current cursor position.</p></li>\n\
<li><p>Press Number-Pad <em>ENTER</em> to execute the line that contains the cursor. When you re-execute an existing line, its output and any Error Messages are inserted after the current line if the output pane is active, or at the current edit cursor location in the output pane if the Macro Recorder pane is active.</p></li>\n\
</ul>\n\
<p>If you do not have a number pad on your keyboard, <em>SHIFT+ENTER</em> is an alternative to the Number-Pad <em>ENTER</em> key.</p>\n\
<div class=\'section\'><a id=\"selecting-and-executing-commands\"></a><h4 id=\"selecting-and-executing-commands\"><em>Selecting and Executing Commands</em></h4></div>\n\
<p>You can select multiple text lines and press <em>SHIFT+ENTER</em> to execute all of the selected lines. Each command in the selection is executed in the order it appears in the selection and any output is inserted after the entire selection. You can also select a portion of text within a line and press <em>SHIFT+ENTER</em> to evaluate it, as long as it constitutes a valid MAXScript expression. For example, you can display the value of a sub-expression in a long equation by selecting and executing only that sub-expression within a line. The output is inserted after the current line if the output pane is active, or at the current edit cursor location in the output pane if the Macro Recorder pane is active.</p>\n\
<div class=\'section\'><a id=\"executing-code-blocks\"></a><h4 id=\"executing-code-blocks\"><em>Executing Code Blocks</em></h4></div>\n\
<p>MAXScript commands may be single or multiline commands, or Block Expressions. If you want to enter a block expression or a multiline command within existing text in the MAXScript Listener window, press <em>ENTER</em> to insert each line. Then drag-select all the lines in the command or block and press <em>SHIFT+ENTER</em> to execute the lines.</p>\n\
<p>If you enter multiline commands or a block expression at the end of the text in the MAXScript Listener window, remember that each line is compiled when you press <em>ENTER</em> . The multiline command is not executed until the end of the command is entered, nor are block expressions executed until the block is closed. While you cannot edit a faulty previous line within the multiline commands or block expression that has already been compiled but not yet executed, you can edit any text within the current line before you press <em>ENTER</em> . You can abort the current end-of-text compilation by pressing the <em>ESC</em> key to start over if necessary.</p>\n\
<div class=\'section\'><a id=\"installing-code-blocks-as-macro-scripts\"></a><h4 id=\"installing-code-blocks-as-macro-scripts\"><em>Installing Code Blocks as Macro Scripts</em></h4></div>\n\
<p>You can select one or more text lines and drag them to a <em>3ds Max</em> toolbar to create a Macro Script containing the selected lines. For more information, see Defining Macro Scripts.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";