var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Running Scripts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Running Scripts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"running-scripts\"></a></div>\n\
<p>To run an existing script file, press the &quot;Run Script&quot; button on the MAXScript utility rollout, <strong>File &gt; Run Script</strong> in the Listener menu bar, or <strong>MAXScript &gt; Run Script</strong> in the <strong>3ds Max</strong> menu bar. This opens a common File Open dialog for choosing the script. MAXScript then reads and executes the selected script. Any output is printed to the Listener output pane.</p>\n\
<p>You can also run a script from Listener or from within other scripts using <span class=\'code\'>fileIn()</span> or <a href=\'Running-Scripts.html#executescriptfile\' title=\'\'><span class=\'code\'>executeScriptFile()</span></a>.</p>\n\
<div class=\'section\'><a id=\"filein\"></a><h2 id=\"filein\">fileIn</h2></div>\n\
<div class=\'codeBlock\'><pre>fileIn &lt;filename_string&gt; [ quiet:&lt;boolean&gt; ]\n\
</pre></div><p>where <span class=\'code\'>&lt;filename_string&gt;</span> is a string literal or an expression that evaluates to a string, and specifies the name of the script file whose content is executed. The script file content is executed one expression at a time, and halts processing if an error is encountered at any point. By default, the file is not listed as it is loaded; use <span class=\'code\'>quiet:false</span> to have the file contents printed to the Listener.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USAGES ARE:</strong></p>\n\
<p>``` fileIn &quot;my_script.ms&quot;</p>\n\
<p>```</p>\n\
<p>or</p>\n\
<p>``` scriptfile=&quot;my_script.ms&quot; fileIn scriptfile</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The script file content is compiled in a global scope context, as opposed to the scope in effect when the <span class=\'code\'>filein()</span> method is executed. For more information, see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\' title=\'\'>Scope_of_Variables</a>.</p>\n\
<p>The <span class=\'code\'>fileIn()</span> method looks for scripts in the specified directory if <span class=\'code\'>&lt;filename_string&gt;</span> contains a path as part of the file name, or in the current working directory if only the file name is supplied. If no matching file is found, it then looks in the following locations, in order:</p>\n\
<ul>\n\
<li>The user scripts directory</li>\n\
<li>The 3ds Max system scripts directory</li>\n\
<li>The 3ds Max main directory</li>\n\
<li>The Windows system32 directory</li>\n\
<li>The Windows system directory</li>\n\
<li>The Windows directory</li>\n\
<li>Directories in the PATH environment variable.</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"executescriptfile\"></a><h2 id=\"executescriptfile\">executeScriptFile</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;executeScriptFile &lt;filename_string&gt; [errormessage:&lt;&amp;variable&gt;]\n\
</pre></div><p>The <span class=\'code\'>executeScriptFile()</span> function is similar to <span class=\'code\'>fileIn()</span>, and takes the following parameters: <strong>Available in 3ds Max 2021.1 Update and higher.</strong> - <em>filename_string</em>: a fully qualified file path and filename. This function does not search in 3ds Max and system directories for a file, the filename cannot be relative. - <em>errormessage</em>: specifies an optional by-reference parameter that will contain any errors generated by the script, or undefined if there are none.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";