var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The MAXScript Listener Window</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The MAXScript Listener Window</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-maxscript-listener-window\"></a></div>\n\
<div class=\'section\'><a id=\"the-listener\"></a><h2 id=\"the-listener\">The Listener</h2></div>\n\
<p>The MAXScript Listener window is an interactive interpreter for the MAXScript language. MAXScript commands entered in this window are executed immediately when you press the ENTER key.</p>\n\
<p>Note: The MAXScript Listener also supports Python commands. You can switch to Python mode by selecting the Python radio button. The Python mode is indicated by a <span class=\'code\'>&gt;&gt;&gt;</span> prompt. For more information, see the 3ds Max Python Help.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-59938436-AA1F-4C05-85A0-48B700F2B93F-low.gif\' title=\'\'></div>\n\
<p>The Listener window is appropriate for performing interactive work and developing small code fragments. Extended blocks of code should be developed in a <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Editor-Windows.html\' title=\'\'>Script Editor Window</a>.</p>\n\
<p>Each command you execute in Listener is actually an expression with a result which the Listener prints out after each execution.</p>\n\
<p>All commands in MAXScript are expressions or function calls that can look like commands in other languages. The terms <em>command</em> and <em>expression</em> are synonymous in MAXScript.</p>\n\
<p>You can enter any MAXScript expression or sub-expression in Listener for evaluation, and Listener prints out its result.</p>\n\
<p>You can open only one instance of the MAXScript Listener window at a time.</p>\n\
<p>You can open the MAXScript Listener in one of the following ways:</p>\n\
<ul>\n\
<li><p>Choose the MAXScript utility on the Utilities panel and click Open Listener;</p></li>\n\
<li><p>Choose the Scripting menu item in the Main Menu and select &#39;MAXScript Listener...&#39; in the pull-down menu.</p></li>\n\
<li><p>Right-click the Mini Listener and select &#39;Open Listener Window&#39; from the context menu.</p></li>\n\
<li><p>Press the F11 key.</p></li>\n\
</ul>\n\
<p>The Listener window is a resizable, modeless window. You can switch between it and <strong>3ds Max</strong> as you work. The Listener retains any text it contains when it is closed and opened again.</p>\n\
<p>If Auto Open Listener on Output is checked in <strong>Customize &gt; Preferences &gt; MAXScript</strong>, the Listener window opens automatically when a script outputs to it.</p>\n\
<p>The Listener is divided into two panes: the top (pink) pane is the <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-Macro-Recorder.html\' title=\'\'>Macro Recorder</a> pane, and the bottom (white) pane is the output pane.</p>\n\
<p>When the Macro Recorder is enabled, everything recorded is displayed in the Macro Recorder pane.</p>\n\
<p>The output of results from scripts are displayed in the output pane.</p>\n\
<p>The output of code executed in the Macro Recorder pane is always directed to the output pane so as not to clutter the recordings.</p>\n\
<p>Both panes allow you to cut-and-paste, drag-and-drop, edit, select, and execute code.</p>\n\
<p>You can resize the panes by dragging on the split bar between them.</p>\n\
<p><strong>To install the Listener into a viewport:</strong></p>\n\
<p>1. Click or Right-Click the viewport type label.</p>\n\
<p>2. Choose Extended Viewports.</p>\n\
<p>3. Choose MAXScript Listener.</p>\n\
<p><strong>To remove the Listener from the viewport:</strong></p>\n\
<p>1. Right-click the menu bar on top of the viewport.</p>\n\
<p>2. Choose any Viewport View mode like Front, Top, Perspective etc.</p>\n\
<div class=\'section\'><a id=\"listener-color-and-font-customization\"></a><h3 id=\"listener-color-and-font-customization\">Listener Color And Font Customization</h3></div>\n\
<p>The following <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\' title=\'\'>MAXScript System Globals</a> can be used to customize the colors and fonts used by the MAXScript Listener.</p>\n\
<div class=\'codeBlock\'><pre>editorFont editorFontSize inputTextColor messageTextColor outputTextColor listenerBackgroundColor macroRecorderBackgroundColor macroRecorderTextColor pythonPromptColor \n\
</pre></div><p>See the examples in the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\' title=\'\'>MAXScript System Globals</a> topic.</p>\n\
<div class=\'section\'><a id=\"the-mini-listener\"></a><h2 id=\"the-mini-listener\">The Mini-Listener</h2></div>\n\
<p>A resizable Mini Listener is located on the left side of the <strong>3ds Max</strong> status panel.</p>\n\
<p>If the Mini Listener is not visible, drag on the vertical split bar at the left edge of the status panel to reveal the Mini Listener.</p>\n\
<p>The Mini Listener panes act as single-line sliding windows for the current line in the corresponding Listener panes.</p>\n\
<p>The Mini Listener panes always show what you are typing or where the edit cursor is placed in the Listener panes.</p>\n\
<p>Conversely, anything you type into a Mini Listener pane is entered into the corresponding Listener pane at the current edit cursor position.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2085E253-0B6E-49C6-84F6-B2478802EA18-low.gif\' title=\'\'></div>\n\
<p>You can right-click the Mini-Listener window to access a context menu which provides you with the option to open the MAXScript Listener window and the Editor window.</p>\n\
<p>In addition, if there are existing commands already present in the respective pane of the Listener, the menu will also contain a list of these commands. You can select a command from the menu to reevaluate it in the Listener. The command will be evaluated immediately.</p>\n\
<p>The color and font customizations applied to the MAXScript Listener also affect the Mini Listener.</p>\n\
<p>See the topic <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\' title=\'\'>MAXScript System Globals</a> for examples.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";