var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The Macro Recorder</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The Macro Recorder</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-macro-recorder\"></a></div>\n\
<p>The MAXScript Macro Recorder captures many of the actions performed by the user, and generates the MAXScript commands that correspond to those actions.</p>\n\
<p>Output from Macro Recorder is displayed in the pink Macro Recorder pane of the MAXScript Listener window:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E9C2339F-9DAF-402A-80A0-B8B76CE4C2A9-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"macrorecorder-listener-menu\"></a><h2 id=\"macrorecorder-listener-menu\">MacroRecorder Listener Menu</h2></div>\n\
<p>Several filtering options are available that control what types of user actions are recorded, whether the generated MAXScript commands contain explicit object references or are selection-relative, and whether the generated MAXScript commands contain explicit or relative transforms and coordinates.</p>\n\
<p>These options are set using the MacroRecorder menu in the Listener window:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4417F7B9-AB23-4F15-A02F-0755455ECF78-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"macro-recorder-preferences\"></a><h2 id=\"macro-recorder-preferences\">Macro Recorder Preferences</h2></div>\n\
<p>The default option settings are specified in the MAXScript page of the <strong>3ds Max</strong> Preferences dialog, as described in the MAXScript Preferences Settings topic in the <strong>3ds Max</strong> User Reference.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2FA71B2C-07D3-4457-BD9D-A00FB84FF8C0-low.gif\' title=\'\'></div>\n\
<p>These settings can also be changed or set by editing the [MAXScript] section of the <em>3dsmax.ini</em> file.</p>\n\
<div class=\'section\'><a id=\"macro-recorder-limitations\"></a><h2 id=\"macro-recorder-limitations\">Macro Recorder Limitations</h2></div>\n\
<p>While many areas in <strong>3ds Max</strong> generate Macro Recorder output, there are also many areas that do not.</p>\n\
<p>In general, most of the buttons on the <strong>3ds Max</strong> menu bar, toolbars, status bar, Create panel, and Modify panel will generate Macro Recorder output.</p>\n\
<p>If the button invokes a secondary dialog, changing setting or performing actions in the secondary dialog typically will not generate Macro Recorder output.</p>\n\
<p>In the Create and Modify panels, Macro Recorder output will be generated if the object or modifier can be created by MAXScript.</p>\n\
<p>In some cases, the plug-in implementing an object or modifier has not been updated to support Macro Recorder, so that object or modifier will not generate Macro Recorder output.</p>\n\
<div class=\'section\'><a id=\"macro-recorder-drag-and-drop-onto-toolbars\"></a><h2 id=\"macro-recorder-drag-and-drop-onto-toolbars\">Macro Recorder Drag And Drop Onto Toolbars</h2></div>\n\
<p>MAXScript supports text drag-and-drop onto toolbars to create Macro Script buttons.</p>\n\
<p>You can select and drag text from any text window, such as Listener window panes or Editor windows, onto any visible toolbar.</p>\n\
<p>The cursor changes to an arrow with a + sign when it is OK to drop the text.</p>\n\
<p>If you drop it, a Macro Script button is added to the toolbar with the dropped text as the body of the Macro Script.</p>\n\
<p>The classic case here would be to drag text from the Macro Recorder pane onto a toolbar to make a button that does the sequence of events just recorded. For more information, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a>.</p>\n\
<div class=\'section\'><a id=\"macro-recorder-options\"></a><h2 id=\"macro-recorder-options\">Macro Recorder Options</h2></div>\n\
<p>The following Macro Recorder menu commands are available in the Listener:</p>\n\
<div class=\'section\'><a id=\"enable\"></a><h4 id=\"enable\">Enable</h4></div>\n\
<p>When <em>Enable</em> is selected the Macro Recorder will generate MAXScript commands.</p>\n\
<div class=\'section\'><a id=\"explicit-scene-object-namesselection-relative-scene-object-names\"></a><h4 id=\"explicit-scene-object-namesselection-relative-scene-object-names\">Explicit Scene Object Names/Selection-Relative Scene Object Names</h4></div>\n\
<p>Specifies whether to use explicit scene object names or the selection set token in the generated commands if only one object is selected.</p>\n\
<p>If more than one object is selected, the selection set token is always used.</p>\n\
<blockquote>\n\
<p><em>FOR EXAMPLE,</em></p>\n\
<p>if <em>Explicit Scene Object Names</em> is enabled, a typical generated command would be:</p>\n\
<div class=\'codeBlock\'><pre>move $Sphere03 [55.6739,23.5,0]\n\
</pre></div><p>If <em>Selection-Relative Scene Object Names</em> is enabled, a typical generated command would be:</p>\n\
<div class=\'codeBlock\'><pre>move $ [0,-47.8044,0]\n\
</pre></div></blockquote>\n\
<p>By using Selection-Relative Scene Object Names, you can apply the recorded script to a different selection, thereby making it somewhat general.</p>\n\
<p>Use Explicit Scene Object Names if you want the script to always work on the same objects regardless of the current scene selection.</p>\n\
<blockquote>\n\
<p><em>PERFORMANCE Note:</em></p>\n\
<p>In releases prior to <em>3ds Max 2009</em>, selecting many nodes with Macro Recorder enabled resulted in a significant slowdown. This slowdown has been removed in <em>3ds Max 2009 and higher</em>- selection times for 10000 objects with and without Macro Recorder are now practically identical.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"absolute-transform-assignmentsrelative-transform-operations\"></a><h4 id=\"absolute-transform-assignmentsrelative-transform-operations\">Absolute Transform Assignments/Relative Transform Operations</h4></div>\n\
<p>Specifies whether to use absolute or relative transform commands in the generated commands.</p>\n\
<blockquote>\n\
<p><em>FOR EXAMPLE,</em></p>\n\
<p>if <em>Absolute Transform Assignments</em> is enabled, a typical generated command when you move a selection in a viewport would be:</p>\n\
<div class=\'codeBlock\'><pre>$.position = [55.6739,23.5,0]\n\
</pre></div><p>If <em>Relative Transform Operations</em> is enabled, a typical generated command would be:</p>\n\
<div class=\'codeBlock\'><pre>move $ [0,-47.8044,0]\n\
</pre></div></blockquote>\n\
<p>When the Absolute Transform Assignments option is selected, absolute transform assignments are output only if a single object is transformed.</p>\n\
<p>If multiple objects are selected, relative transform operations are output.</p>\n\
<div class=\'section\'><a id=\"explicit-sub-object-setsselection-relative-sub-object-sets\"></a><h4 id=\"explicit-sub-object-setsselection-relative-sub-object-sets\">Explicit Sub-object Sets/Selection-Relative Sub-object Sets</h4></div>\n\
<p>Specifies whether to use explicit sub-object identifiers or the sub-object selection set property in the generated commands.</p>\n\
<blockquote>\n\
<p><em>FOR EXAMPLE,</em></p>\n\
<p>if <em>Explicit Sub-object Sets</em> is enabled, a typical generated command would be:</p>\n\
<div class=\'codeBlock\'><pre>move $Sphere02.verts[#{20..32, 51..65}] [40.0986,10.3648,0]\n\
</pre></div><p>If <em>Selection-Relative Sub-object Sets</em> is enabled, a typical generated command would be:</p>\n\
<div class=\'codeBlock\'><pre>move $Sphere02.selectedVerts [40.0986,10.3648,0]\n\
</pre></div></blockquote>\n\
<p>By using Selection-Relative Sub-object Sets, you can apply the recorded script to a different selection, thereby making it somewhat general. Use Explicit Sub-object Sets if you want the script to always work on the same sub-objects regardless of the current sub-object selection.</p>\n\
<div class=\'section\'><a id=\"command-panel-switching\"></a><h4 id=\"command-panel-switching\">Command Panel Switching</h4></div>\n\
<p>When Command Panel Switching is selected, the Macro Recorder will generate MAXScript commands for command panel switches.</p>\n\
<p>In most cases, recording command panel switches is superfluous as most scripts are not dependent on the user interface mode to work.</p>\n\
<div class=\'section\'><a id=\"tool-selections\"></a><h4 id=\"tool-selections\">Tool Selections</h4></div>\n\
<p>When Tool Selections is selected, the Macro Recorder will generate MAXScript commands for the selection of tools in the <em>3ds Max</em> toolbar.</p>\n\
<p>In most cases, recording the selection of tools is superfluous as most scripts are not dependent on the tool selection to work.</p>\n\
<div class=\'section\'><a id=\"menu-item-selections\"></a><h4 id=\"menu-item-selections\">Menu Item Selections</h4></div>\n\
<p>When Menu Item Selections is selected, the Macro Recorder will generate MAXScript commands for the selection of menu items from the <em>3ds Max</em> menu bar.</p>\n\
<div class=\'section\'><a id=\"macro-recorder-and-scripted-rollouts\"></a><h2 id=\"macro-recorder-and-scripted-rollouts\">Macro Recorder and Scripted Rollouts</h2></div>\n\
<p>When a scripted rollout performs parameter block value changes from its event handlers, the Macro Recorder is disabled automatically.</p>\n\
<p>A <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Macro-Recorder-Emission-From.html\' title=\'\'>special MAXScript context</a> was introduced in <strong>3ds Max 2013</strong> to re-enable the Macro Recorder output explicitly in scripted rollouts&#39; event handlers.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";