var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Turning On the Listener Log</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Turning On the Listener Log</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"turning-on-the-listener-log\"></a></div>\n\
<p>While you work in Listener, you can use the Listener logging feature to capture your entered text and all printed output into a text file.</p>\n\
<p>Only text entered in either pane and printed output to the output pane is captured.</p>\n\
<p>Macro Recorder output is <strong>not</strong> captured.</p>\n\
<p>You turn on logging with the <span class=\'code\'>openLog()</span> method.</p>\n\
<div class=\'codeBlock\'><pre>openLog &lt;filename_string&gt; [ mode: &quot;w&quot; | &quot;a&quot; ] [ outputOnly:&lt;boolean&gt; ] [bufferedWrite:&lt;boolean&gt;]\n\
</pre></div><p>where <span class=\'code\'>&lt;filename_string&gt;</span> is a string literal or an expression that evaluates to a string, and specifies the name of the log file to be created.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` openLog &quot;my_log.txt&quot;</p>\n\
<p>```</p>\n\
<p>or</p>\n\
<p>``` logfile=&quot;my_log.txt&quot; openLog logfile</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The default mode ( <span class=\'code\'>mode:&quot;w&quot;</span> ) creates a new file or overwrites an existing file.</p>\n\
<p>To append the log results to an existing file; specify <span class=\'code\'>mode:&quot;a&quot;</span> .</p>\n\
<p>If the specified file does not exist, an error message will be generated.</p>\n\
<p>Both input and output are logged by default; specify <span class=\'code\'>outputOnly:true</span> to log only MAXScript output.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` openLog &quot;my_log.txt&quot; mode:&quot;a&quot; outputOnly:true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>would append only the MAXScript output to file <span class=\'code\'>*my_log.txt*</span> .</p>\n\
<p>Available in <strong>3ds Max 2017.1 Update and higher</strong>: By default, the log is written to an intermediate cache. If <strong>bufferedWrite</strong> is false, the log is written directly to disk. This may be useful when a crash is possible, for example when testing a new plug-in.</p>\n\
<p>If a log file is already open, the <span class=\'code\'>openlog()</span> method will close that log file.</p>\n\
<p>MAXScript echoes Listener activity as it occurs to the log file until you stop logging.</p>\n\
<p>The log file data is not continuously written to the file, rather the log data is written to a buffer in memory, and when the buffer is full the data in the buffer is written to the file.</p>\n\
<p>You can use the <span class=\'code\'>flushLog()</span> method to ensure the log&#39;s buffer is flushed so that all output is written to the file:</p>\n\
<div class=\'codeBlock\'><pre>flushLog()\n\
</pre></div><p>You can stop logging, flush the log’s buffer, and close the log file using the <span class=\'code\'>closeLog()</span> method:</p>\n\
<div class=\'codeBlock\'><pre>closeLog()\n\
</pre></div><p>No error message is generated if the <span class=\'code\'>flushLog()</span> or <span class=\'code\'>closeLog()</span> methods are called and no log file is open.</p>\n\
<p>Use the <span class=\'code\'>getLog()</span> function to get the log file name, if it has been created by <span class=\'code\'>openLog()</span>:</p>\n\
<div class=\'codeBlock\'><pre>{&lt;string&gt;|&lt;undefined&gt;} getLog()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";