var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Encrypting Script Files</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Encrypting Script Files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"encrypting-script-files\"></a></div>\n\
<p>MAXScript lets you create an encrypted copy of a specified script file with the same name prefix, but with the suffix .mse, in the same directory as the source script file. The encryption uses a fixed hidden key that lets it run on any <strong>3ds Max</strong> system, but effectively hides the source of the script. Encrypted script files have the suffix .mse.</p>\n\
<p>To encrypt a script, use the following MAXScript method:</p>\n\
<div class=\'codeBlock\'><pre>encryptScript &lt;filename_string&gt; [version:&lt;int&gt;]\n\
</pre></div><p>where <span class=\'code\'>&lt;filename_string&gt;</span> is a string literal or an expression that evaluates to a string specifying the name of the script file whose contents are encrypted.</p>\n\
<p>The optional <span class=\'code\'>version:</span> keyword can be either 0 or 1.</p>\n\
<ul>\n\
<li><p>When set to 0, the method uses the old encryption scheme of <strong>3ds Max 2 to 9</strong>.</p></li>\n\
<li><p>When set to 1 or not specified, the method uses the new encryption scheme introduced in <strong>3ds Max 9 SP 1</strong>. Note that files encrypted with the new scheme cannot be run in previous versions of <strong>3ds Max</strong>. If an encrypted script has to be used in an older version of <strong>3ds Max</strong>, use the <strong>version:0</strong> option.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USES ARE</strong></p>\n\
<p>``` encryptScript &quot;my_script.ms&quot;</p>\n\
<p>```</p>\n\
<p>``` --create file compatible with old versions: encryptScript &quot;my_script.ms&quot; version:0</p>\n\
<p>```</p>\n\
<p>or</p>\n\
<p>``` scriptfile= &quot;my_script.ms&quot; encryptScript scriptfile</p>\n\
<p>```</p>\n\
</blockquote></li>\n\
<li><p>The encrypted script file from the previous examples would be named <em>my_script.mse</em>.</p>\n\
<p>The Run Script button in the MAXScript rollout and the <span class=\'code\'>fileIn()</span> method described in <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\' title=\'\'>Running Scripts</a> automatically support .mse encrypted scripts.</p>\n\
<p>You can couple this script source code encryption with the <span class=\'code\'>hardwareLockID</span> variable and the encrypted file I/O functions to provide authorization-based protection for your scripts.</p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";