var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Including Scripts Within Scripts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Including Scripts Within Scripts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"including-scripts-within-scripts\"></a></div>\n\
<p>MAXScript provides a compile-time source-file include mechanism, allowing you to break up large scripts into smaller files that can be included at nearly any point in a script. You can use the <span class=\'code\'>include &lt;file&gt;</span> construct at any point in your code to effectively insert the contents of a file at that point in your code.</p>\n\
<p>By convention, scripts that are only included in other scripts, and not intended to run on their own, use the .mxs extension. This extension an extension that is supported by the MAXScript editor&#39;s file open/save dialog, but not the <strong>Scripting &gt; Run Script</strong> dialog. Colorization and autocomplete are supported in the MAXScript editor for .mxs files.</p>\n\
<p>The form is:</p>\n\
<div class=\'codeBlock\'><pre>include &quot;filename_string&quot;\n\
</pre></div><p>If <span class=\'code\'>filename_string</span> contains a path, the file is looked for in that path. If not, the file is searched for in the following places:</p>\n\
<ul>\n\
<li>The current working directory</li>\n\
<li>The user scripts directory</li>\n\
<li>The 3ds Max system scripts directory</li>\n\
<li>The 3ds Max main directory</li>\n\
<li>The Windows system32 directory</li>\n\
<li>The Windows system directory</li>\n\
<li>The Windows directory</li>\n\
<li>Directories in the <span class=\'code\'>PATH</span> environment variable.</li>\n\
</ul>\n\
<p>This is a compile-time construct, therefore the file name specification must be a string literal, and not a variable or an expression.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` utility foo &quot;Baz&quot; ( local a, b, c include &quot;foo-ui.ms&quot; rollout bar &quot;Bar&quot; ( include &quot;bar-rollout.ms&quot; ) include &quot;foo-handlers.ms&quot; )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>include &lt;file&gt;</span> construct is effectively replaced in the source code at that point with the contents of the named file.</p>\n\
<p>You can nest included files as deeply as needed (included files can include other files, and so on).</p>\n\
<p>Because <span class=\'code\'>include</span> is a compile-time construct, the current MAXScript scope is maintained within the included file. This is opposed to the <span class=\'code\'>fileIn()</span> method described in <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\' title=\'\'>Running Scripts</a>, whose script file content is compiled in a global scope context. For more information, see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\' title=\'\'>Scope_of_Variables</a>.</p>\n\
<p>The <span class=\'code\'>include &lt;file&gt;</span> can appear at any point a new token is expected such as a name, literal, or punctuation. This means that you can complete a partial expression with an included file.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p><span class=\'code\'>include &quot;op1.ms&quot;+ include &quot;op2.ms&quot;   if include &quot;test2.ms&quot; then print a else print b</span></p>\n\
</blockquote>\n\
<p>You cannot place an <span class=\'code\'>include &lt;file&gt;</span> within a token. For example, the following is not valid:</p>\n\
<blockquote>\n\
<p><strong>NOT VALID:</strong></p>\n\
<p><span class=\'code\'>timeval = 2:include &quot;framenum.ms&quot;.0</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";