var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Running Scripts from the Command Line</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Running Scripts from the Command Line</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"running-scripts-from-the-command-line\"></a></div>\n\
<p>You can launch <strong>3ds Max</strong> from a DOS command line and have it run a specified launch script, which is useful for tasks such as unattended batch-rendering. This capability uses the existing <span class=\'code\'>-U</span> command line switch that names a utility to be run when <strong>3ds Max</strong> is started. The <span class=\'code\'>-U</span> switch allows an optional extra argument which, for MAXScript, is taken to be the name of the launch script to run. The case of MAXScript must be as shown in the following example:</p>\n\
<blockquote>\n\
<p>``` c:\\3dsmax\\3dsmax -U MAXScript rendercams.ms</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This example command line would launch the <strong>3ds Max</strong> executable in <em>c:\\3dsmax</em>, start MAXScript, and then have it run the launch script <em>rendercams.ms</em>.</p>\n\
<p>The following example launch script loads two scenes, renders frames from each of the cameras in them, and then quits <strong>3ds Max</strong>:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>loadMaxFile &quot;foo.max&quot;   for c in cameras do render camera:c outputfile:(&quot;foo_&quot;+c.name+&quot;.bmp&quot;)   loadMaxFile &quot;baz.max&quot;   for c in cameras do render camera:c outputfile:(&quot;baz_&quot;+c.name+&quot;.bmp&quot;)   quitMax #noPrompt</span></p>\n\
</blockquote>\n\
<p>This example makes use of the <span class=\'code\'>quitMax()</span> method to exit <strong>3ds Max</strong> (see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Exiting-and-Resetting-3ds-Max.html\' title=\'\'>Exiting and Resetting3ds Max</a>) when the script is finished. Launch scripts need not be batch scripts as in this example, but may be used to condition <strong>3ds Max</strong> for interactive use, for example by loading a scene file and setting some user-interface options.</p>\n\
<p>The normal startup scripts, <em>startup.ms</em> and those in the Startup Scripts directory, are run before the launch script.</p>\n\
<p>It is also possible to install scripts into individual scene files that run automatically when that scene is open or closed or at certain other events (see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callback Mechanism</a>).</p>\n\
<p>Note: Command line -U MAXScript startup scripts are run *after* <strong>3ds Max</strong> has completely booted and the standard MAXScript stdscripts and scripts\\startup scripts have been run.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";