var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Source Code Layout and Continuation Lines</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Source Code Layout and Continuation Lines</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"source-code-layout-and-continuation-lines\"></a></div>\n\
<p>The layout rules for MAXScript code are unlike those of most programming languages and give you the advantages of freeform languages, such as C and C++, but without the need for extensive punctuation, like semicolons and parenthesized parameter lists.</p>\n\
<p>MAXScript lets you break statements and expressions across lines wherever you want, providing the line break is in the middle of an expression. MAXScript reads your code until the end of each line and determines whether it has a complete expression. If it does not, it continues to read subsequent lines until it finds the rest of the expression.</p>\n\
<blockquote>\n\
<p><strong>TAKE AS AN EXAMPLE THE FOLLOWING LINE:</strong></p>\n\
<p><span class=\'code\'>a + b * c / d - e + f * g / h</span></p>\n\
</blockquote>\n\
<p>This line can be broken after any of the operators. MAXScript continues to read the next line, because an operator needs another argument.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>a + b * c / d - e +   f * g / h</span></p>\n\
</blockquote>\n\
<p>You cannot break the example line as shown next and get the same result, because the expression on the first line is a complete expression. MAXScript considers the two lines as separate expressions, and the <strong>second line</strong> is now <strong>syntactically wrong</strong>, because it <strong>starts with an operator</strong>.</p>\n\
<blockquote>\n\
<p><strong>NOT POSSIBLE:</strong></p>\n\
<p><span class=\'code\'>a + b * c / d - e   + f * g / h</span></p>\n\
</blockquote>\n\
<p>If you do want to break a line at the end of a sub-expression, you can use the backslash line continuation character: <span class=\'code\'>\\</span>. The previous example above of an invalid break can be made valid using the line continuation character after the &#39;e&#39;:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>a + b * c / d - e \\   + f * g / h</span></p>\n\
</blockquote>\n\
<p>Whenever MAXScript encounters a <span class=\'code\'>\\</span> as the last character on a line, except for spaces, tabs, or comments, it continues to read the next line as though the line break were not present.</p>\n\
<p>Line continuations are often used to break up function calls with many arguments, as shown in many of the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Expressions.html\' title=\'\'>Expressions</a> topics.</p>\n\
<p>This scheme allows you to write the following forms of the same statement without using periods or semicolons, as you might in other freeform languages.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>An <strong>if/then/else</strong> construct could be written as:</p>\n\
<p><span class=\'code\'>if a &lt; b then print c else print d</span></p>\n\
<p>or</p>\n\
<p><span class=\'code\'>if a &lt; b then print c   else print d</span></p>\n\
<p>or</p>\n\
<p><span class=\'code\'>if   a &lt; b   then   print c   else   print d</span></p>\n\
</blockquote>\n\
<p>MAXScript also lets you combine multiple statements and expressions in a single line. The statements or expressions are separated with a &#39;<strong>;</strong>&#39;.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>print &quot;End of input data reached&quot; to:f ; close f ; f = undefined   if a &lt; 0 do (print &quot;value out of range&quot;;a=0)</span></p>\n\
</blockquote>\n\
<p>Comments in MAXScript begin with a double-hyphen (&#39;<strong>--</strong>&#39;) and extend to the end of the current line. Many code examples in this help file use comments in this style.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>-- special cases...   if first do   subanims[6]=undefined-- subanims[6] is #Image_Motion_Blur_Multiplier</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";