var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Overview</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Overview</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-overview\"></a></div>\n\
<div class=\'section\'><a id=\"the-maxscript-language-is-specifically-designed-to-complement-3ds-max.\"></a><h2 id=\"the-maxscript-language-is-specifically-designed-to-complement-3ds-max.\">The MAXScript language is specifically designed to complement 3ds Max.</h2></div>\n\
<p>It has many special features and constructs such as coordinate system contexts, object primitives and materials that mirror high-level concepts in the <strong>3ds Max</strong> user-interface.</p>\n\
<p>It has an animation mode with automatic keyframing and access to scene objects using hierarchical path names that match the <strong>3ds Max</strong> object hierarchy.</p>\n\
<div class=\'section\'><a id=\"the-maxscript-language-syntax-is-simple-enough-for-non-programmers.\"></a><h2 id=\"the-maxscript-language-syntax-is-simple-enough-for-non-programmers.\">The MAXScript language syntax is simple enough for non-programmers.</h2></div>\n\
<p>MAXScript includes minimal punctuation and formatting rules.</p>\n\
<p>Coupled with the use of the command-line Listener window, the ability to install scripts as toolbar buttons, and the recording of user actions as MAXScript commands, MAXScript can be employed casually by the user while working in the <strong>3ds Max</strong> point-and-click user interface.</p>\n\
<div class=\'section\'><a id=\"maxscript-is-rich-enough-to-enable-sophisticated-programming-tasks.\"></a><h2 id=\"maxscript-is-rich-enough-to-enable-sophisticated-programming-tasks.\">MAXScript is rich enough to enable sophisticated programming tasks.</h2></div>\n\
<p>Due to its capabilities in areas such as 3D vector, matrix, and quaternion algebra, MAXScript can be used for complex programming tasks in real world production situations.</p>\n\
<p>MAXScript is well suited to working with large collections of objects; for example, making complex procedural selections, constructing random star fields, or placing objects in numerically precise patterns.</p>\n\
<div class=\'section\'><a id=\"maxscript-integrates-well-into-the-3ds-max-user-interface.\"></a><h2 id=\"maxscript-integrates-well-into-the-3ds-max-user-interface.\">MAXScript integrates well into the 3ds Max user interface.</h2></div>\n\
<p>MAXScript allows scripts to be packaged as Utility panel rollouts, as modeless windows, and as <strong>3ds Max</strong> Action Items that can be used as toolbar buttons, menu and QuadMenu items, or as keyboard shortcuts.</p>\n\
<p>MAXScript can also be used to extend or replace the user interface for objects, modifiers, materials, textures, render effects, and atmospheric effects; or to create custom mesh objects, modifiers, and render effects.</p>\n\
<p>This allows job-specific tools to be scripted by the technical department and made available to artists and animators through standard <strong>3ds Max</strong> point-and-click user interfaces.</p>\n\
<div class=\'section\'><a id=\"maxscript-supports-formatted-text-as-well-as-binary-data-input-and-output.\"></a><h2 id=\"maxscript-supports-formatted-text-as-well-as-binary-data-input-and-output.\">MAXScript supports formatted text as well as binary data input and output.</h2></div>\n\
<p>Thus it is possible to produce asset reports directly from <strong>3ds Max</strong> scene files and read files containing scene layout, naming, texture details, and so on, exported from other project management software.</p>\n\
<p>The built-in access to external files and directories makes MAXScript perfectly well suited to perform general data collection and analysis and generate reports about data assets, rendered files etc. and interact with other applications or scripting languages via its built-in command line and shell support.</p>\n\
<div class=\'section\'><a id=\"maxscript-can-also-be-used-as-a-high-level-scene-import-utility.\"></a><h2 id=\"maxscript-can-also-be-used-as-a-high-level-scene-import-utility.\">MAXScript can also be used as a high-level scene import utility.</h2></div>\n\
<p>By outputting MAXScript scripts containing object creation commands, it is possible for other programs and packages to export directly using any of the high-level <strong>3ds Max</strong> constructs.</p>\n\
<p>Taking it even further, MAXScript could be even used to bridge the gap between newer and older <strong>3ds Max</strong> versions without resorting to third party data formats.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";