var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MacroScripts for New Users</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MacroScripts for New Users</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"macroscripts-for-new-users\"></a></div>\n\
<p>A MacroScript is generated automatically when scripting code (from the MacroRecorder output, from the MAXScript Listener or from a MAXScript editor) is dragged and dropped onto a toolbar. The new scripts have the extension .mcr and are written by default to the <em>#userMacros</em> folder (see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\' title=\'\'>3ds Max System Directories</a>).</p>\n\
<p>The location of the #userMacros folder is configured via <strong>Main Menu &gt; Customize &gt; Configure System Paths &gt; Additional Macros</strong>. It can be revealed by typing in the MAXScript Listener</p>\n\
<blockquote>\n\
<p>``` getDir #userMacros</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>To create a MacroScript using Drag And Drop:</strong></p>\n\
<ol>\n\
<li>Select some code in the MacroRecorder output, the MAXScript Listener or in a MAXScript editor.</li>\n\
<li><strong>Click and Drag</strong> the selection to a toolbar while holding the left mouse button pressed.</li>\n\
<li><p><strong>Drop</strong> the selection on the toolbar by releasing the left mouse button.</p>\n\
<p><strong>Result:</strong> A new button will be created, showing a generic MacroScript icon. The new script will be named &quot;MacroN&quot; where N is a unique number incremented after each drag and drop operation. The category of the new script will be &quot;DragAndDrop&quot;.</p></li>\n\
</ol>\n\
<p>You can also use MacroScripts as ActionItems in Menus, QuadMenus, Toolbars and Keyboard Shortcuts.</p>\n\
<p>Of course, a script developer can write the same form of scripts manually or use automatically generated MacroRecorder code as template for manual enhancements. The developer’s source code might also be contained in an .ms file.</p>\n\
<p>A typical MacroScript will usually start like this:</p>\n\
<blockquote>\n\
<p>``` macroScript scriptName category:&quot;CategoryName&quot; ( ... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Note</strong> the <strong>category</strong>: name. You will need this name in order to be able to quickly locate the script in the Customize dialog.</p>\n\
<p><strong>To install a MacroScript:</strong></p>\n\
<ol>\n\
<li><p>Click the MAXScript item in the Main Menu, select <strong>Open Script</strong>...</p>\n\
<p>Alternatively, go to the Utilities panel, open the MAXScript Utility, press <strong>Open Script...</strong></p></li>\n\
<li>Locate and select the script and press <strong>Open</strong>.</li>\n\
<li>Note the name of the MacroScript and the Category name.</li>\n\
<li>In the MAXScript Editor, click <strong>Tools</strong> menu and select <strong>Evaluate All</strong> or press <strong>Ctrl+E</strong>. This will evaluate the script.</li>\n\
<li>Go to Customize &gt; Customize User Interface and select the desired Tab (Keyboard, Toolbars, Quads or Menus)</li>\n\
<li>Locate the Category you noted in 3.</li>\n\
<li>Search in the Category for the name you noted in 3.</li>\n\
<li><p>Drag the script to the toolbar, Menu or QuadMenu or assign to a Shortcut.</p></li>\n\
</ol>\n\
<p>An evaluated MacroScript appears in the Customize... dialog’s categories list of Action Items. The evaluated version of the script remembers its source’s location. As soon as a MacroScript definition is evaluated, a copy of the source is automatically saved in the <em>#userMacros</em> folder with a new name comprised of the Category Name, the MacroScript’s name and the .mcr extension.</p>\n\
<p>If you change or update the script by evaluating a newer / different version with the same name and category, the copy of the script in the <em>#userMacros</em> folder will be overwritten with the actualized version.</p>\n\
<p>All scripts in <em>#macroScripts</em> which contains the factory-defined MacroScripts and <em>#userMacros</em> containing the user-defined ones will be automatically evaluated on startup and will be available to the user in future sessions. To remove a MacroScript permanently, you should remove the respective .mcr file from the <em>#userMacros</em> folder.</p>\n\
<p>It is not advisable to have any MacroScript sources in auto start folders like the <em>#startupScripts</em> or the plug-in paths as this would mean a double evaluation of the same source code from two different locations. Store sources of MacroScripts (your own creations, free downloads from the web or commercial scripts) at paths that are not listed in your Configure Paths dialog. This way only the automatically managed content of the <em>#macroScripts</em> and <em>#userMacros</em> folders will be used by <strong>3ds Max</strong>.</p>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Utilities-for-New-Users.html\' title=\'\'>Scripted Utilities for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Plug-ins-for-New-Users.html\' title=\'\'>Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Functions-for-New-Users.html\' title=\'\'>Scripted Functions for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-DLX-Extensions-for-New.html\' title=\'\'>MAXScript DLX Extensions for New Users</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";