var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Plug-ins for New Users</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Plug-ins for New Users</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-plug-ins-for-new-users\"></a></div>\n\
<p>Scripted plug-ins appear and behave inside of <strong>3ds Max</strong> like regular plug-ins written using the SDK. Often the user will have a hard time telling whether a plug-in is actually a script or not (with the exception of scripted RenderEffects that are usually slower than their C++ counterparts).</p>\n\
<p>Before installing a scripted plug-in, you can open the source file and note the plug-in’s name. This will make it easier for you to locate the actual UI entry as described below. Typically, a scripted plug-in has the following form:</p>\n\
<blockquote>\n\
<p>``` plugin superClass ClassName name: &quot;PluginName&quot; classID:#(....)... ( ... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Remember the <span class=\'code\'>name:</span> string and look for it in the respective area of the UI.</p>\n\
<p><strong>To install a scripted plug-in (multiple 3ds Max sessions)</strong></p>\n\
<ol>\n\
<li>Copy the script file to any folder listed in your Plug-ins Paths configuration ( Main Menu &gt; Customize &gt; Configure System Paths &gt; 3rd Party Plug-Ins tab).</li>\n\
<li>Start <strong>3ds Max</strong>. The script will be evaluated on startup and the new plug-in will appear in the respective area of the UI. See below for details regarding different plug-in classes. This will happen each time you start <strong>3ds Max</strong>.</li>\n\
</ol>\n\
<p><strong>To test a scripted plug-in (single 3ds Max session):</strong></p>\n\
<ol>\n\
<li><p>From the Main Menu, select MAXScript and <strong>Run Script</strong>.</p>\n\
<p>Alternatively, go to the Utilities panel, open MAXScript Utility, and press <strong>Run Script</strong>.</p></li>\n\
<li><p>Locate and select the script source file and press <strong>Open</strong>. The script will be evaluated and will create a new plug-in class. It will appear in the respective area of the UI. See below for details regarding the different plug-in classes.</p>\n\
<p>Note: Next time you start <strong>3ds Max</strong>, the scripted plug-in will <strong>not</strong> be available. The plug-in will be available only until the end of the current session and will be reported later as missing when loading files saved in the test session. To load .MAX files containing scripted plug-ins, you have to make sure the plug-in is loaded prior to opening the scene.</p></li>\n\
</ol>\n\
<p>Scripted plug-ins can be used to extend <strong>3ds Max</strong> with:</p>\n\
<div class=\'section\'><a id=\"scripted-geometry\"></a><h4 id=\"scripted-geometry\"><em>Scripted Geometry</em></h4></div>\n\
<p>Will appear in the Create panel &gt; Geometry in a category defined by the developer. These plug-ins can create and manipulate only instances of existing classes and are similar to System plug-ins, but living in the Create panel. They do not have their own object and sub-object levels.</p>\n\
<div class=\'section\'><a id=\"scripted-meshobjects-simpleobject-class\"></a><h4 id=\"scripted-meshobjects-simpleobject-class\"><em>Scripted MeshObjects (SimpleObject Class)</em></h4></div>\n\
<p>Will appear in the Create panel &gt; Geometry in a category defined by the developer. They can generate an Editable Mesh object on the fly just like the basic and extended primitives.</p>\n\
<div class=\'section\'><a id=\"scripted-modifiers\"></a><h4 id=\"scripted-modifiers\"><em>Scripted Modifiers</em></h4></div>\n\
<p>Will appear in the Modify panel on the Modifiers list. There are two classes of modifiers. The one will extend existing modifiers (for example, by replacing the UI). The other will modify the object in local space based on a Gizmo (like Bend and Twist).</p>\n\
<div class=\'section\'><a id=\"scripted-lights\"></a><h4 id=\"scripted-lights\"><em>Scripted Lights</em></h4></div>\n\
<p>Will appear in the Create panel &gt; Lights in a category defined by the developer. They can only extend existing lights.</p>\n\
<div class=\'section\'><a id=\"scripted-cameras\"></a><h4 id=\"scripted-cameras\"><em>Scripted Cameras</em></h4></div>\n\
<p>Will appear in the Create panel &gt; Cameras in a category defined by the developer. They can only extend existing cameras.</p>\n\
<div class=\'section\'><a id=\"scripted-helpers\"></a><h4 id=\"scripted-helpers\"><em>Scripted Helpers</em></h4></div>\n\
<p>Will appear in the Create panel &gt; Helpers in a category defined by the developer. They can only extend existing helpers.</p>\n\
<div class=\'section\'><a id=\"scripted-materials\"></a><h4 id=\"scripted-materials\"><em>Scripted Materials</em></h4></div>\n\
<p>Will appear in the Material/Map in a category defined by the developer. They can only extend existing materials.</p>\n\
<div class=\'section\'><a id=\"scripted-texturemaps\"></a><h4 id=\"scripted-texturemaps\"><em>Scripted TextureMaps</em></h4></div>\n\
<p>Will appear in the Material/Map in a category defined by the developer. They can only extend existing maps.</p>\n\
<div class=\'section\'><a id=\"scripted-rendereffects\"></a><h4 id=\"scripted-rendereffects\"><em>Scripted RenderEffects</em></h4></div>\n\
<p>Will appear in the Rendering &gt; Effects &gt; Add Effect list.</p>\n\
<div class=\'section\'><a id=\"scripted-atmospheric-plug-ins\"></a><h4 id=\"scripted-atmospheric-plug-ins\"><em>Scripted Atmospheric Plug-ins</em></h4></div>\n\
<p>Will appear in the Rendering &gt; Environment &gt; Atmosphere &gt; Add list.</p>\n\
<div class=\'section\'><a id=\"scripted-manipulators\"></a><h4 id=\"scripted-manipulators\"><em>Scripted Manipulators</em></h4></div>\n\
<p>Scripted Manipulators can appear under Create &gt; Helpers &gt; Manipulators or can be hidden to the user and only appear in the viewport when Manipulate mode is on and an object with a supported property is selected. They behave exactly as Manipulator plug-ins. In fact, several shipping manipulators like the Slider Manipulator, the Radius manipulator, and the UV Manipulator are implemented as Scripted Manipulator plug-ins. You can find their sources under <em>Stdplugs\\StdScripts</em>.</p>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Utilities-for-New-Users.html\' title=\'\'>Scripted Utilities for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\' title=\'\'>MacroScripts for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Functions-for-New-Users.html\' title=\'\'>Scripted Functions for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-DLX-Extensions-for-New.html\' title=\'\'>MAXScript DLX Extensions for New Users</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";