var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Utilities for New Users</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Utilities for New Users</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-utilities-for-new-users\"></a></div>\n\
<p><strong>Scripted Utilities</strong> appear in the Utilities Panel &gt; MAXScript Utility. This used to be the main script type in the early <strong>3ds Max</strong> versions (R2.x). Many older scripts are still available as scripted utilities. In addition, scripted utilities are probably the easiest to write script form since they are a special case of rollouts and can save the developer some UI management work.</p>\n\
<p>Scripted utilities have the extension .ms and contain the constructor &quot;utility&quot; in the source code, something in the form of:</p>\n\
<blockquote>\n\
<p>``` utility someName &quot;Some Name&quot; ( ... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>To run a scripted utility (single3ds Max session):</strong></p>\n\
<ol>\n\
<li>Go to the Utilities panel, open MAXScript Utility, press <strong>Run Script...</strong> (Alternatively, go to main menu, MAXScript, Run Script...)</li>\n\
<li>Locate and select the .ms script source file and press <strong>Open</strong>. The name of the utility will appear in the &quot;Utilities&quot; drop-down list.</li>\n\
<li><p>Select the name of the Utility from the list - the scripted utility will open in the Utilities panel.</p>\n\
<p>Note: Next time you start <strong>3ds Max</strong>, the Utility will <strong>NOT</strong> be loaded. You will have to repeat the above steps or use the method below:</p></li>\n\
</ol>\n\
<p><strong>To install a scripted utility (multiple3ds Max sessions)</strong></p>\n\
<ol>\n\
<li>Copy the script file to the <em>\\Scripts\\Startup</em> folder.</li>\n\
<li>Start <strong>3ds Max</strong> - the script will be evaluated on startup and will appear in the Utilities Panel &gt; MAXScript &gt; Utilities drop-down list automatically. This will happen each time you start <strong>3ds Max</strong>.</li>\n\
<li>To start, select the name of the Utility from the drop-down list - the scripted utility will open in the Utilities panel.</li>\n\
</ol>\n\
<p><strong>Topics:</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MacroScripts-for-New-Users.html\' title=\'\'>MacroScripts for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Plug-ins-for-New-Users.html\' title=\'\'>Scripted Plug-ins for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Scripted-Functions-for-New-Users.html\' title=\'\'>Scripted Functions for New Users</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-DLX-Extensions-for-New.html\' title=\'\'>MAXScript DLX Extensions for New Users</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";