var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Objects and Classes in Object-Oriented Programming</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Objects and Classes in Object-Oriented Programming</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"objects-and-classes-in-object-oriented-programming\"></a></div>\n\
<p>To understand the terminology associated with MAXScript, a basic understanding of object-oriented programming is required.</p>\n\
<p>All of the values you work with in MAXScript have a well-defined type, such as <em>integer</em>, <em>matrix3</em>, or <em>twist</em>. The type of a value is also known as its <em>class</em>, following the convention of modern object-oriented languages. We&#39;ve been using a somewhat neutral convention so far of calling the things you compute with <em>values</em>. The term for these things in object-oriented languages is, not surprisingly, <em>object</em>. The terms <em>object</em> and <em>value</em> are synonymous in this document. An <em>object</em> is a particular instance of a <em>class</em>.</p>\n\
<p>For example, in MAXScript <em>Box</em> is a class. It is not a box as shown in <strong>3ds Max</strong>, but rather defines the characteristics such a box has. These characteristics include the ways to create an instance of the Box class (a box object); the properties of a box object (such as Height, Width, and Length); and operations you can perform on a box object (such as move, copy, and delete).</p>\n\
<p>To create a box object, you would say:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>b=box()</span></p>\n\
</blockquote>\n\
<p>In this line <span class=\'code\'>box()</span> is a constructor - it causes a box object to be created, and returns a reference to the box object. This reference is then stored in variable <span class=\'code\'>b</span> . No parameters (such as Height, Width, and Length) were supplied for the constructor, so the default values specified by the Box class are used. In the <strong>3ds Max</strong> viewports, the box object is displayed, and can be manipulated like any other object you create in <strong>3ds Max</strong>.</p>\n\
<p>If parameters are supplied for the constructor, these parameters replace the &quot; <span class=\'code\'>()</span> &quot;.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p><span class=\'code\'>b=box width:10 length:100</span></p>\n\
</blockquote>\n\
<p>creates a box object with the supplied parameters. All unsupplied parameters will use their default values.</p>\n\
<p>MAXScript is internally object-oriented. All the built-in classes are arranged in an <em>inheritance hierarchy</em> and most of the built-in functions are <em>polymorphic</em>, terms we&#39;ll explore below. You cannot, however, create new classes in MAXScript and the functions you can script are not polymorphic. This may change in later versions of MAXScript, but it is an advanced refinement that is not really necessary in an application scripting language, where the most important abstractions are the features of the host application and are already built-in.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";