var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Properties, Methods, Operators, and Literals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Properties, Methods, Operators, and Literals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"properties-methods-operators-and-literals\"></a></div>\n\
<p>One principle of object-oriented programming is that how a class operates internally is hidden. All interactions with a class are defined by the external interfaces for the class. These external interfaces are broken up into several categories.</p>\n\
<p><strong>Properties:</strong> Accessible parameters for objects of the class. Examples of properties are height, width, and length for boxes, and radius for spheres.</p>\n\
<p><strong>Methods:</strong> Defines all the functions you can call for objects of the class. Examples of methods are moving or rotating a <strong>3ds Max</strong> object, adding a modifier to a <strong>3ds Max</strong> object, and accessing the position of vertices in a <strong>3ds Max</strong> object. The terms <em>method</em> and <em>function</em> are synonymous in this document.</p>\n\
<p><strong>Operators:</strong> Defines the math and other symbolic operators that are defined on values in the class. An example of an operator is the &#39;-&#39; operator, which will perform a mathematical operation on numbers, colors, vectors, and matrices, but will perform a Boolean subtraction when used with <strong>3ds Max</strong> objects.</p>\n\
<p><strong>Constructors:</strong> The various ways you can create objects of the class. For example <span class=\'code\'>Point3 0 0 0</span> and <span class=\'code\'>&lt;color&gt; as Point3</span> are constructors for the Point3 class. Executing either of these constructors will create a new Point3 object.</p>\n\
<p><strong>Literals:</strong> Any literal form for objects of the class. For example [0,0,0] is a literal form for the Point3 class, and &quot;Hello world&quot; is a literal form for the String class.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";