var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Accessing the Debugger Dialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Accessing the Debugger Dialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"accessing-the-debugger-dialog\"></a></div>\n\
<p>The MAXScript Debugger Dialog can be opened using</p>\n\
<ul>\n\
<li>The <strong>3ds Max</strong> Main menu &gt; <strong>MAXScript</strong> &gt; <strong>Debugger Dialog...</strong> item</li>\n\
</ul>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C17C2ED-8B86-41D2-BBB4-B03FDCF8EB9E-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li>The MAXScript Listener menu &gt;<strong>Debugger</strong>&gt;<strong>Debugger Dialog...</strong> item</li>\n\
</ul>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5C8F5A5D-329E-4E28-9518-592BE0C8CAD3-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"the-debugger-dialog\"></a><h2 id=\"the-debugger-dialog\">The Debugger Dialog</h2></div>\n\
<p>The <strong>MAXScript Debugger Dialog</strong> runs in a separate thread and is thus independent of <strong>3ds Max</strong>.</p>\n\
<p>The Debugger has its own icon and will be represented as a separate application in the Windows Taskbar. This allows it to break the execution of <strong>3ds Max</strong> threads while remaining interactive.</p>\n\
<p>The Debugger Dialog is resizable - you can drag the bottom right corner or the borders of the dialog to resize. You can also minimize, maximize and close the dialog as any other window.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-50579F77-3D2B-4414-A2D9-1B97A4BB64D8-low.gif\' title=\'\'></div>\n\
<p>The Debugger dialog provides the following controls:</p>\n\
<div class=\'section\'><a id=\"command\"></a><h2 id=\"command\">Command</h2></div>\n\
<p>This is a command line where you can input Debugger commands to navigate the code frames, query variables, change variable values and execute MAXScript commands in Break mode.</p>\n\
<p><strong>Available commands are:</strong></p>\n\
<ul>\n\
<li><p><span class=\'code\'>threads</span> - list all threads</p></li>\n\
<li><p><span class=\'code\'>setThread&lt;integer literal&gt;</span> - set specified thread as active thread stack - dump stack for active thread</p></li>\n\
<li><p><span class=\'code\'>setFrame&lt;integer literal&gt;</span> - set specified frame as active frame locals {<string literal=\"\">} - dump variables for current active thread and frame, or specified variable<p></string></li>\n\
<li><p><span class=\'code\'>getVar&lt;string literal&gt;</span> - get value for specified variable in active frame or global</p></li>\n\
<li><p><span class=\'code\'>setVar&lt;string literal&gt; &lt;expr&gt;</span> - set value for specified variable in active frame or global, expression is evaluated in active frame&#39;s scope</p></li>\n\
<li><p><span class=\'code\'>eval&lt;expr&gt;</span> - evaluate expression, expression is evaluated in active frame&#39;s scope</p></li>\n\
<li><p><span class=\'code\'>?</span> - display list of debugger commands</p></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"output\"></a><h2 id=\"output\">Output</h2></div>\n\
<p>This is the output window where the code trace-back is output, as well as the results of commands input in the Command line.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DE46CEEF-EBE0-430D-981F-D03BD174BF30-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"break\"></a><h2 id=\"break\">Break</h2></div>\n\
<p>This is the button which breaks the execution of the main <strong>3ds Max</strong> thread and allows the Debugger to &quot;peek&quot; into the current state of any MAXScript code that was running in that thread. When pressed, the button will be disabled until the Run or Stop buttons have been pressed to continue the execution of the <strong>3ds Max</strong> thread. During a break state, the <strong>3ds Max</strong> UI will be completely unavailable.</p>\n\
<p>Note:</p>\n\
<p>Functions, mouse tools, plugins, and rollouts that are defined in <strong>encrypted scripts</strong> will NOT have their local variable values dumped during error traceback, or shown in the debugger frames after a break.This is to prevent low-level access to encrypted commercial code.</p>\n\
<div class=\'section\'><a id=\"run\"></a><h2 id=\"run\">Run</h2></div>\n\
<p>Resumes the execution of the main <strong>3ds Max</strong> thread after a break. The button is disabled by default and becomes available after a break has been performed.</p>\n\
<p>Note: If you hold down the Escape key when you click on the <strong>Run</strong> button, MAXScript will typically immediately throw an exception. However, if <strong>Break on Error</strong> is turned on in the Debugger, this exception will cause a break back into the Debugger.</p>\n\
<div class=\'section\'><a id=\"evaluate\"></a><h2 id=\"evaluate\">Evaluate</h2></div>\n\
<p>This button causes the command line to be evaluated.</p>\n\
<div class=\'section\'><a id=\"watch...\"></a><h2 id=\"watch...\">Watch...</h2></div>\n\
<p>This checkbutton opens the Watch Manager dialog which can be used to monitor the values of global and local variables of interest. When checked, the Watch Manager will be opened. When unchecked, the Watch Manager will be closed.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C3222D49-6634-4C51-8657-5647585A057E-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"stop\"></a><h2 id=\"stop\">Stop</h2></div>\n\
<p>This button can be used to stop the execution of the code after a break instead of continuing the execution with <strong>Run</strong>.The <strong>Stop</strong>button resumes <strong>3ds Max</strong> execution, but causes an exception to be thrown by the calling script. This exception will not be caught by the Debugger, allowing the running script to terminate.</p>\n\
<p>Note: The <strong>Stop</strong> button is enabled only when execution is broken by a script, not when execution is broken by the Break button.</p>\n\
<div class=\'section\'><a id=\"clear\"></a><h2 id=\"clear\">Clear</h2></div>\n\
<p>This button clears the content of the Output window.</p>\n\
<div class=\'section\'><a id=\"the-debugger-parameters-dialog\"></a><h2 id=\"the-debugger-parameters-dialog\">The Debugger Parameters Dialog</h2></div>\n\
<p>The <strong>Config</strong> button opens the modal <strong>MAXScript Debugger Parameters</strong> dialog which can be used to customize the Debugger settings and toggle certain features on and off.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5D9DED78-8CE8-4950-9F5F-A4AEF47C282F-low.gif\' title=\'\'></div>\n\
<p>The <strong>MAXScript Debugger Parameters</strong> dialog provides the following options:</p>\n\
<ul>\n\
<li><p><strong>Allow Break On Throw</strong> - When checked, if a throw has been detected, the Debugger will break the code execution. <strong>Default is on</strong>.</p></li>\n\
<li><p><strong>Break On Error</strong> - When checked, if an error has been detected, the Debugger will break the code execution. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Break On Exception</strong> - When checked, if an exception has been detected, the Debugger will break the code execution. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Ignore Caught Throws</strong> - When checked, if a throw has been caught, the Debugger will ignore that throw and will not break the code execution. When unchecked, caught throws will still cause the Debugger to break. <strong>Default is on</strong>.</p></li>\n\
<li><p><strong>Ignore Caught Errors</strong> - When checked, if an error has been caught, the Debugger will ignore that error and will not break the code execution. When unchecked, caught errors will still cause the Debugger to break. <strong>Default is on</strong>.</p></li>\n\
<li><p><strong>Ignore Caught Exceptions</strong>-When checked, if an exception has been caught, theDebugger will ignore that exception and will not break the code execution. When unchecked, caught exceptions will still cause the Debugger to break. <strong>Default is on</strong>.</p></li>\n\
<li><p><strong>Default Throw debugBreak:on</strong> - this checkbox controls the default behavior of the Throw() method in MAXScript code. When checked, the optional debugBreak: argument will be assumed true, causing a break in the Debugger from any Throw() method call in your code that does not supply the optional argument. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Enabled In Quiet Mode</strong> - when checked, the Debugger will be enabled in Quiet Mode. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Enabled in Net Render</strong> - when checked, the Debugger will be enabled during net rendering. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Allow Unsafe Method Calls</strong> - normally, the Debugger will only allow &quot;safe&quot; methods to be executed from the Command line and will ignore attempts to execute calls that could potentially hang the main <strong>3ds Max</strong> thread.When this checkbox is on, the Debugger will allow such calls. <strong>Default is off</strong>. In many cases, if a hang occurs, the hang will last only as long as the <strong>Command Timeout</strong> period. In some cases though, the hang will be complete and the <strong>3ds Max</strong> session will need to be manually terminated.</p></li>\n\
<li><p><strong>Show Global Constants</strong> - when checked, global constants like <strong>pi</strong>, <strong>e</strong> etc. will also be shown. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Show First Frame Only</strong> - when checked, only the information of the first frame will be shown. This is useful when you are only interested in the first frame, but there are multiple sub-frames which would be printed to the Output window. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Stay On Top</strong> - when checked, the Debugger dialog will always stay on top. <strong>Default is off</strong>.</p></li>\n\
<li><p><strong>Clear Output on Open</strong> - when checked, the output window is cleared when you break into the Debugger. <strong>Default is on</strong></p></li>\n\
<li><p><strong>Command Timeout (secs.)</strong> - this value specifies how long the Debugger should wait for a command to be executed. After this number of seconds, the execution of the command will be stopped. This means that if for some reason the command causes <strong>3ds Max</strong> to hang, control will be safely returned to the Debugger after a specified period of time. <strong>Default is 15 seconds</strong>.</p></li>\n\
<li><p><strong>GC Timeout(secs.)</strong> - this value specifies how long the Debugger should wait for a garbage collection. After this number of seconds, the execution of the garbage collector will be stopped. <strong>Default is 5 seconds</strong>.</p></li>\n\
<li><p><strong>Break Timeout (msecs.)</strong> - this value specifies how long the Debugger should try to break the <strong>3ds Max</strong> thread. <strong>Default is 5 milliseconds</strong>.</p></li>\n\
<li><p><strong>Break Cycle (msecs.)</strong> - this value specifies the time period between break attempts. <strong>Default is 1 millisecond</strong>.</p></li>\n\
<li><p><strong>Reset</strong> - resets all settings to the factory defaults.</p></li>\n\
<li><p><strong>OK</strong> - confirms the changes and saves them for future usage.</p></li>\n\
<li><p><strong>Cancel</strong> - discards all changes and returns to the Debugger.</p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";