var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CRT Debug Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CRT Debug Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"crt-debug-functions\"></a></div>\n\
<p>A few diagnostic tools were added to MAXScript in <strong>3ds Max 2012</strong>.</p>\n\
<p>They are located in the SDK samples in the maxscript subdirectory <em><maxsdk>\\samples\\maxscript\\Diagnostics\\MxsDebugCRT.cpp</maxsdk></em></p>\n\
<p>This file contains some powerful maxscript methods for diagnosing and testing using MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>CRTCorruptHeap &lt;int&gt;offset\n\
</pre></div><p>This method will corrupt the Heap! Dangerous! Used for testing only!</p>\n\
<p>The offset parameter defines how far past the end of the pointer you want to do a wild write. Large numbers tend to not crash randomly later. This simply serves to corrupt memory in random places, that may or may not crash the application.</p>\n\
<div class=\'codeBlock\'><pre>CRTCheckMemory()\n\
</pre></div><p>A MAXScript wrapper around the CRT (C Run-Time) Debug function _CrtCheckMemory</p>\n\
<p><strong>From MSDN:</strong></p>\n\
<p>Confirms the integrity of the memory blocks allocated in the debug heap (debug version only).</p>\n\
<p>The _CrtCheckMemory function validates memory allocated by the debug heap manager by verifying</p>\n\
<p>the underlying base heap and inspecting every memory block. If an error or memory inconsistency</p>\n\
<p>is encountered in the underlying base heap, the debug header information, or the overwrite buffers,</p>\n\
<p>_CrtCheckMemory generates a debug report with information describing the error condition.</p>\n\
<p>When _DEBUG is not defined, calls to _CrtCheckMemory are removed during preprocessing.</p>\n\
<p>This function is used to detect heap corruptions created by the previous MAXScript method. In practice this detects only small heap corruptions, of only a few bytes (i.e. 1-6).</p>\n\
<p>This is because with every debug heap allocation is a small region of guard bytes (about 4 bytes) that wraps each heap allocation. Anything larger than a few bytes will corrupt some other pointers bytes, and thus this method doesn&#39;t work very well.</p>\n\
<div class=\'codeBlock\'><pre>CRTCheckAssert &lt;int&gt;choice\n\
</pre></div><p>This simply fires one of two asserts.</p>\n\
<p>Passing 1 as the argument fires an assert implemented in the max source code, Maxutil.dll. This corresponds to a DbgAsset macro found in the maxsdk: (assert1.h)</p>\n\
<p>Passing 2 as the argument fires an assert implemented in the C runtime (i.e. Microsofts version).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";