var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Manual Break Points using the Break() Function</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Manual Break Points using the Break() Function</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"manual-break-points-using-the-break-function\"></a></div>\n\
<p>You can add manual break points to your code by using the <span class=\'code\'>break()</span> function to invoke the Debugger.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<div class=\'codeBlock\'><pre>   break()\n\
</pre></div><p>This function breaks the execution of the code and invokes the Debugger allowing you to see the state of your variables at that point.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` for i = 1 to 10000 do ( theRandom = random 1 100 if theRandom == 50 do break() )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In this simple example, the Debugger will be called if the random value generated within the loop generates the integer 50.</p>\n\
<blockquote>\n\
<p>Warning:</p>\n\
<p>Some parts of the code are &quot;locked&quot; and cannot be stopped from executing.</p>\n\
<p>One of the &quot;locks&quot; that prevents breaking into the debugger is one associated with arrays. When you are iterating across an array using the FOR statement, the lock is set.</p>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` for i in #(1,2) do break()</p>\n\
<p>```</p>\n\
<p>The result will be <span class=\'code\'>Break attempt timed out</span> printed to the Debugger Output without a successful break.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";