var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Manual Stack Dump using the Stack() Function</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Manual Stack Dump using the Stack() Function</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"manual-stack-dump-using-the-stack-function\"></a></div>\n\
<p><strong>Syntax:</strong></p>\n\
<div class=\'codeBlock\'><pre>stack threadID:&lt;int&gt; showLocals:&lt;boolean&gt; firstFrameOnly:&lt;boolean&gt; excludeOwner:&lt;boolean&gt; to:&lt;stream&gt; asString:&lt;boolean&gt;\n\
</pre></div><p>This function dumps the call stack showing the nesting of function calls at the current execution point.</p>\n\
<p>If <span class=\'code\'>threadID:</span> is not specified, the current thread is dumped. If a thread ID is supplied, the specified thread is dumped. See the <span class=\'code\'>threads()</span> method.</p>\n\
<p>If <span class=\'code\'>showLocals:</span> is not specified or supplied as true, the local variables in each stack frame are dumped.</p>\n\
<p>If <span class=\'code\'>firstFrameOnly:</span> is not specified or supplied as false, all stack frames are displayed. If supplied as true, only the current stack frame is displayed.</p>\n\
<p>If <span class=\'code\'>to:</span> is not specified, output is sent to the MAXScript Listener, otherwise to the supplied stream.</p>\n\
<p>Available <strong>in 3ds Max 2017 and higher</strong>: If <span class=\'code\'>excludeOwner:</span> is true, the dumping of the owner (if any) is not performed at each stack level. If <span class=\'code\'>excludeOwner:</span> if false, a dump of the owner of the frame is included. &quot;Owners&quot; include rollouts, scripted plugins, and structure instances. See the second example below.</p>\n\
<p>If <span class=\'code\'>asString:</span> is true, the method does not write to a stream (either the listener or the stream specified by to), rather the stack capture is returned from the function as a string.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` fn test somevalue = (ss=stringstream&quot;&quot;;stack to:ss;ss) fn test2 = (xx = pi; test xx)</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` test() test2() StringStream:&quot;** thread data: threadID:1184 ** ------------------------------------------------------ ** [stack level: 0] ** In test(); filename: ; position: 52; line: 1 -- Parameters: -- somevalue: 3.14159 -- Locals: -- somevalue: 3.14159 -- ss: StringStream:&quot;&quot; -- Externals: -- owner: undefined ** ------------------------------------------------------ ** [stack level: 1] ** called from test2(); filename: ; position: 88; line: 2 -- Locals: -- xx: 3.14159 -- Externals: -- owner: undefined -- test: Global:test : test() ** ------------------------------------------------------ ** [stack level: 2] ** called from top-level &quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXCLUDEOWNER EXAMPLE:</strong></p>\n\
<p>``` rollout test &quot;test&quot; ( button b &quot;Press Me&quot; on b pressed do ( print &quot;stack with owner&quot; stack excludeOwner:false print &quot;\\n\\nstack w/o owner&quot; stack excludeOwner:true ) ) createDialog test</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` &quot;stack with owner&quot; ** thread data: threadID:7228 ** ------------------------------------------------------ ** [stack level: 0] ** In b.pressed(); filename: ; position: 125; line: 7 ** member of: Rollout:test -- Locals: -- Externals: -- test: Rollout:test -- owner: Rollout:test -- Owner: -- Locals: -- b: RolloutControl:b in rollout:test : ButtonControl:b -- Externals: ** ------------------------------------------------------ ** [stack level: 1] ** called from top-level &quot;</p>\n\
<p>stack w/o owner&quot; ** thread data: threadID:7228 ** ------------------------------------------------------ ** [stack level: 0] ** In b.pressed(); filename: ; position: 183; line: 9 ** member of: Rollout:test -- Locals: -- Externals: -- test: Rollout:test -- owner: Rollout:test ** ------------------------------------------------------ ** [stack level: 1] ** called from top-level</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";