var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Customizing Syntax Color Schemes</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Customizing Syntax Color Schemes</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---customizing-syntax-color-schemes\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define your own custom color schemes to highlight lexical components of the MAXScript language.</p>\n\
<div class=\'section\'><a id=\"global-definition\"></a><h2 id=\"global-definition\">Global Definition:</h2></div>\n\
<p>Custom colors can be defined in the file <strong>MAXScript.properties</strong> , which is easily accessible through the <strong>Tools &gt; Open MAXScript. properties</strong> menu item. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a> for Lexer options.</p>\n\
<blockquote>\n\
<p><strong>A COLOR SCHEME SIMILAR TO 3DS MAX 9 COLORS:</strong></p>\n\
<p>``` # MAXScript styles</p>\n\
<p>```</p>\n\
<p>``` # Default style.MAXScript.32=\\((font.base)  # White space  style.MAXScript.0=fore:#808080  # Comment: /* */.  style.MAXScript.1=fore:#009900  # Line Comment: --.  style.MAXScript.2=fore:#009900,eolfilled  # Number  style.MAXScript.3=fore:#000000  # String  style.MAXScript.4=fore:#800000  # Verbatim strings  style.MAXScript.5=fore:#FF0000,\\)(font.monospace),eolfilled # End of line where string is not closed style.MAXScript.6=fore:#000000,$(font.monospace),back:#E0C0E0,eolfilled # Identifiers style.MAXScript.7= # Operators style.MAXScript.8=fore:#406060 # Keyword arg name style.MAXScript.9=fore:#000080 # Name value style.MAXScript.10=fore:#600080 # Pathname style.MAXScript.11=fore:#005000 # Keywords1 - Keywords style.MAXScript.12=fore:#0000C0 # Keywords2 - Rollout controls style.MAXScript.13=fore:#202080 # Keywords3 - Functions style.MAXScript.14=fore:#3060A0 # Keywords4 - MXS Classes style.MAXScript.15=fore:#6030A0 # Keywords5 - MAXClasses style.MAXScript.16=fore:#60A030 # Keywords6 - MAXSuperClasses style.MAXScript.17=fore:#0040B0 # Keywords7 - Core interfaces style.MAXScript.18=fore:#00B040 # Keywords8 - Object sets style.MAXScript.19=fore:#D0B080 # Keywords9 - StructDefs style.MAXScript.20=fore:#804020 # Keywords10 - Const reserved globals style.MAXScript.21=fore:#3060A0 # Keywords11 - Reserved globals style.MAXScript.22=fore:#B00040 # Keywords12 - User defined style.MAXScript.23=fore:#FF0000</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>See bottom of this page for the result.</p>\n\
<div class=\'section\'><a id=\"local-directory-overrides\"></a><h2 id=\"local-directory-overrides\">Local Directory Overrides:</h2></div>\n\
<p>If you have set the property,</p>\n\
<blockquote>\n\
<p>``` properties.directory.enable=1</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>in the Global Options File <strong>&quot;MXS_Editor.properties&quot;</strong>, you can create local property files called <strong>&quot;SciTEDirectory.properties&quot;</strong> in any directories containing MAXScript files. If you open a MAXScript file from a directory containing such a local property file, the lexer settings in it will override the global properties.</p>\n\
<p>This allows for project-specific color configurations.</p>\n\
<p>Here is the shipping <span class=\'code\'>\\\\Ui\\\\MacroScripts\\\\Macro_BakeTextures.mcr</span> file using the default color scheme:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9AF651D1-85E0-4B0E-8BC9-4839164982F2-low.gif\' title=\'\'></div>\n\
<p>After saving a new <strong>&quot;SciTEDirectory.properties&quot;</strong> file containing the color definitions listed in the beginning of this topic to <strong>\\Ui\\MacroScripts** and setting </strong>properties.directory.enable=1** in the file <strong>&quot;MXS_Editor.properties&quot;</strong>, the same script looks like this:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B2C801FD-ED28-4CF9-8718-DEC87CE377E8-low.gif\' title=\'\'></div>\n\
<p>Changing the property <strong>properties.directory.enable=0</strong> and saving the <strong>&quot;MXS_Editor.property&quot;</strong> file to disk will <em>instantly</em> change the color coding back to the default color scheme in all currently opened tabs showing MAXScript files located in the <strong>\\Ui\\MacroScripts</strong> folder.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";