var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Defining And Using Abbreviations</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Defining And Using Abbreviations</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---defining-and-using-abbreviations\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define and use abbreviations of common used words to speed up the typing of scripting code.</p>\n\
<div class=\'section\'><a id=\"defining-abbreviations\"></a><h2 id=\"defining-abbreviations\">Defining Abbreviations</h2></div>\n\
<p>The abbreviations are defined in a file called <strong>MXS_Editor_Abbrev.properties</strong> which is empty by default after a fresh installation of <strong>3ds Max</strong> and is located in the <strong>3ds Max</strong> root directory, but can be easily accessed and edited using the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\' title=\'\'>Tools</a> &gt;<strong>Open Abbreviations.properties</strong> Editor Menu option.</p>\n\
<p><strong>An abbreviation is defined in the form</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;AbbrevName&gt;=&lt;Expanded Form&gt;\n\
</pre></div><p>The abbreviation names can contain any characters (except control chars lile \\r or \\n), including high ASCII characters (accented characters). Abbreviation names cannot start with #, space or tab (but can contain spaces inside the name) and cannot contain the &#39;=&#39; character inside. Abbreviations names are limited to 32 characters.</p>\n\
<p>The expanded form may contain new line characters indicated by &#39;\\n&#39; and a caret position indicated by the &#39;|&#39; character. To include a literal &#39;|&#39; character, use &#39;| |&#39;. When expanding, the names don&#39;t need to be separated from the previous text. For example, if you define &#39;é&#39; as &#39;é&#39;, you can expand it inside a word. If a name is the ending of another one, only the shorter will ever be expanded. For example if you define &#39;ring&#39; and &#39;gathering&#39;, the later will see only the &#39;ring&#39; part expanded.</p>\n\
<p>You can define abbreviation definitions for any word, special character or expression that you find yourself typing in too often or is too long to remember.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>The following are some possible abbreviations for accelerating GUI creation:</p>\n\
<p><span class=\'code\'>cd=CreateDialog   nf=newRolloutFloater   rof=rendOutputFilename</span></p>\n\
<p>After defining the abbreviations, press <strong>Ctrl+S</strong> to save the <strong>MXS_Editor_Abbrev.properties</strong> file to disk.</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"using-the-expand-abbreviation-feature\"></a><h2 id=\"using-the-expand-abbreviation-feature\">Using the Expand Abbreviation Feature</h2></div>\n\
<p>Press <strong>Ctrl+N</strong>to open a new Untitled script in a new tab.In the new script, enter</p>\n\
<blockquote>\n\
<p><span class=\'code\'>nf</span></p>\n\
<p>While the cursor is still at the end of the abbreviation, press <strong>Ctrl+SHIFT+A</strong>. The abbreviation will immediately turn into</p>\n\
<p><span class=\'code\'>new Rollout Floater</span></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"using-the-insert-abbreviation-feature\"></a><h2 id=\"using-the-insert-abbreviation-feature\">Using the Insert Abbreviation Feature</h2></div>\n\
<p>Alternatively, position the cursor at the desired location in the editor and press <strong>Ctrl+SHIFT+R</strong> to open a small dialog listing all defined abbreviations.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-173264A2-BDE2-47DF-9F32-8A247EABE5FD-low.gif\' title=\'\'></div>\n\
<p>Either select an entry from the list or type in an existing abbreviation and press the Insert button to add the expanded word to your code.</p>\n\
<div class=\'section\'><a id=\"using-the-abbreviation-feature-to-write-code-fragments\"></a><h2 id=\"using-the-abbreviation-feature-to-write-code-fragments\">Using the Abbreviation Feature To Write Code Fragments</h2></div>\n\
<p>Since the expanded version can contain new line characters, it is possible to define abbreviations that contain prototype code and even full functions you need often to be inserted into your code.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>You can define the following for loop prototype code as abbreviation in the file <strong>MXS_Editor_Abbrev.properties</strong></p>\n\
<p>``` for do =for i = 1 to 100 where true do\\n(\\n)\\n </p>\n\
<p>```</p>\n\
<p>After defining the abbreviations, press <strong>Ctrl+S</strong> to save the <strong>MXS_Editor_Abbrev.properties</strong> file to disk.</p>\n\
<p>If can now type in a script file</p>\n\
<p>``` fordo</p>\n\
<p>```</p>\n\
<p>and after pressing <strong>Ctrl+SHIFT+A</strong>, the following code would appear:</p>\n\
<p><span class=\'code\'>for i=1 to 100 where true do ( )</span></p>\n\
<p>Now you could customize this prototype code by modifying the <strong>from</strong> and <strong>to</strong> values, entering a valid <strong>while</strong> condition in place of true and writing some code into the body of the for loop, but it would have saved you some typing.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";