var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Defining Custom Keyboard Shortcuts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Defining Custom Keyboard Shortcuts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---defining-custom-keyboard-shortcuts\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define your own custom keyboard shortcuts in addition to the hard-coded shortcuts listed in the topic <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Keyboard.html\' title=\'\'>MAXScript Editor - Keyboard Shortcuts</a></p>\n\
<div class=\'section\'><a id=\"definition\"></a><h2 id=\"definition\">Definition:</h2></div>\n\
<p>Custom keyboard shortcuts can be defined in the file <strong>MXS_Editor.properties</strong> which is easily accessible via the <strong>Tools &gt; Open Global Options File</strong> menu item. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a> for all options.</p>\n\
<p>Scroll down and locate the section remarked as</p>\n\
<div class=\'codeBlock\'><pre># User defined key commands\n\
</pre></div><p>This section contains some existing keyboard shortcut definitions.</p>\n\
<p><strong>The definition starts with</strong></p>\n\
<div class=\'codeBlock\'><pre>user.shortcuts=\\\n\
</pre></div><p>and is a &#39;|&#39; delimited list of keys and the commands they produce.</p>\n\
<p>To place each command on a new line, add a backslash  at the end of each line.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p><span class=\'code\'>user.shortcuts=\\   Ctrl+Shift+V|IDM_PASTEANDDOWN|\\   Ctrl+PageUp|IDM_PREVFILE|\\   Ctrl+PageDown|IDM_NEXTFILE|</span></p>\n\
</blockquote>\n\
<p>The commands are either strings or numeric IDs - see <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Key-Commands.html\' title=\'\'>List of Editor Key Commands</a> and <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Menu-Commands.html\' title=\'\'>List of Editor Menu Commands</a>.</p>\n\
<ul>\n\
<li><p>Numeric IDs above 2000 are Scintilla commands and are sent to the focussed pane.</p></li>\n\
<li><p>Named IDs and numeric IDs below 2000 are SciTE menu commands.</p></li>\n\
<li><p>The modifier keys are Ctrl, Shift, and Alt</p></li>\n\
<li><p>The named keys are <strong>Left</strong>, <strong>Right</strong>, <strong>Up</strong>, <strong>Down</strong>, <strong>Insert</strong>, <strong>End</strong>, <strong>Home</strong>, <strong>Enter</strong>, <strong>Space</strong>, <strong>Tab</strong>, <strong>KeypadPlus</strong>, <strong>KeypadMinus</strong>, <strong>KeypadMultiply</strong>, <strong>KeypadDivide</strong>, <strong>Escape</strong>, <strong>Delete</strong>, <strong>PageUp</strong>, <strong>PageDown</strong>, <strong>Slash</strong>, <strong>Question</strong>, <strong>Equal</strong>, <strong>Win</strong>.</p></li>\n\
</ul>\n\
<p>Note: Changes to user-defined keyboard shortcut definitions will become active <strong>only</strong> after a restart of <strong>3ds Max</strong>!</p>\n\
<div class=\'section\'><a id=\"adding-a-new-user-defined-keyboard-shortcut\"></a><h2 id=\"adding-a-new-user-defined-keyboard-shortcut\">Adding a new user-defined keyboard shortcut</h2></div>\n\
<p>Let’s assume you want to add a keyboard shortcut for the editor feature &quot;Clear All Bookmarks&quot;. This feature is listed in the Search menu but does not have a keyboard shortcut assigned.</p>\n\
<ul>\n\
<li><p>Locate in the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Menu-Commands.html\' title=\'\'>List of Named IDs</a> the one called &quot;<strong>IDM_BOOKMARK_CLEARALL</strong>&quot;. Since all existing Bookmark-related shortcuts use the Function Key <strong>F2</strong> , let&#39;s assign the keyboard shortcut <strong>Ctrl+SHIFT+F2</strong> to the Clear All Bookmarks feature by adding to the user.shortcuts definition in the <strong>MXS_Editor.properties</strong> file:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>user.shortcuts=\\   Ctrl+Shift+V|IDM_PASTEANDDOWN|\\   Ctrl+PageUp|IDM_PREVFILE|\\   Ctrl+PageDown|IDM_NEXTFILE|\\ Ctrl+Shift+F2|IDM_BOOKMARK_CLEARALL|</span></p>\n\
</blockquote></li>\n\
<li><p>Press <strong>CTRL+S</strong> to save the <strong>MXS_Editor.properties</strong> file.</p></li>\n\
<li><p>Restart <strong>3ds Max</strong>.</p></li>\n\
<li><p>Open the Editor, load a script file and set several bookmarks using <strong>Ctrl+F2</strong>.</p></li>\n\
<li><p>Hold down <strong>Ctrl</strong> and <strong>SHIFT</strong> and press <strong>F2</strong> - all bookmarks will be cleared!</p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";