var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Defining Custom Context Menu Items</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Defining Custom Context Menu Items</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---defining-custom-context-menu-items\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> lets you define your own custom Context (Right-Click) Menu Items in addition to the hard-coded items like Undo, Redo, Copy and Paste.</p>\n\
<p>This is the default context menu which appears when you right-click in the Editor window:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-02CFEF47-D27C-45B6-9987-453DE84CEB9A-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"definition\"></a><h2 id=\"definition\">Definition:</h2></div>\n\
<p>Custom context menu items can be defined in the file <strong>MXS_Editor.properties</strong> which is easily accessible via the <strong>Tools &gt; Open Global Options File</strong> menu item.See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a> for all options.</p>\n\
<p><strong>The definition starts with</strong></p>\n\
<div class=\'codeBlock\'><pre>user.context.menu=\\\n\
</pre></div><p>and is a &#39;|&#39; delimited list of menu item names and the commands they produce.</p>\n\
<p>To place each command on a new line, add a backslash  at the end of each line.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p><span class=\'code\'>user.context.menu=\\   Next File |IDM_PREVFILE|\\   Prev File|IDM_NEXTFILE|</span></p>\n\
</blockquote>\n\
<p>Note that the above definition is available by default in the Global Options file but is remarked and thus disabled by default. You can remove the # remark symbold from all lines to enable it.</p>\n\
<p>The commands are either strings or numeric IDs -see <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Key-Commands.html\' title=\'\'>List of Editor Key Commands</a> and <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Menu-Commands.html\' title=\'\'>List of Editor Menu Commands</a>.</p>\n\
<ul>\n\
<li><p>Numeric IDs above 2000 are Scintilla commands and are sent to the focussed pane.</p></li>\n\
<li><p>Named IDs and numeric IDs below 2000 are SciTE menu commands.</p></li>\n\
<li><p>An Empty entry | | defins a separator.</p></li>\n\
</ul>\n\
<p>Other than <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\' title=\'\'>keyboard shortcuts</a>, changes to user-defined context menu definitions become active <strong>immediately</strong> and do <strong>not</strong> require a restart!</p>\n\
<div class=\'section\'><a id=\"adding-a-new-user-defined-keyboard-shortcut\"></a><h2 id=\"adding-a-new-user-defined-keyboard-shortcut\">Adding a new user-defined keyboard shortcut</h2></div>\n\
<p>Let’s assume you want to add a menu item for the editor feature &quot;Copy As RTF&quot;. This feature is already listed in the Edit menu but could be placed closer to the mouse for easier copying of formatted colored text between the Editor and external word processing applications.</p>\n\
<ul>\n\
<li><p>Let&#39;s first add a separator by placing two | delimiters and end the line with  at the end of the <strong>user.context.menu</strong> definition in the <strong>MXS_Editor.properties</strong> file.</p></li>\n\
<li><p>Then we locate in the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/List-of-Editor-Menu-Commands.html\' title=\'\'>List of Named IDs</a> the ID called &quot;<strong>IDM_COPYASRTF</strong>&quot;.</p></li>\n\
<li><p>Let&#39;s add this command with label &quot;Copy As RTF&quot; to the context menu by adding to the user.context.menudefinition in the <strong>MXS_Editor.properties</strong> file. The final definition looks like this:</p></li>\n\
</ul>\n\
<blockquote>\n\
<p><span class=\'code\'>user.context.menu=\\   Next File |IDM_PREVFILE|\\   Prev File|IDM_NEXTFILE|\\ | |\\ Copy As RTF|IDM_COPYASRTF|</span></p>\n\
</blockquote>\n\
<ul>\n\
<li><p>Press <strong>CTRL+S</strong> to save the <strong>MXS_Editor.properties</strong> file.</p></li>\n\
<li><p>Open a MAXScript file and select some lines.</p></li>\n\
<li><p>Right-click in the Editor- the new separator and new menu item should appear!</p></li>\n\
<li><p>Select the item <strong>&quot;Copy As RTF&quot;</strong> to copy the selected text to the clipboard including all formatting.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A41BE71A-B09D-4E7B-8A6B-F28C6FCC7CAA-low.gif\' title=\'\'></div></li>\n\
<li><p>Now you can switch to an application like MS World and paste the text - it should appear in the same style!</p></li>\n\
</ul>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";