var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - MAXScript-Specific Language Settings</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - MAXScript-Specific Language Settings</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---maxscript-specific-language-settings\"></a></div>\n\
<p>The MAXScript-specific language settings of the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> can be customized by editing the file <strong>MAXScript.properties</strong> located in the <strong>3ds Max</strong> root folder.</p>\n\
<p>Note:</p>\n\
<p>On modern Windows OS such as, Vista and Windows 7 with User Account Control (UAC) enabled, modifying the factory defaults stored in files located in the 3ds Max root folder is not allowed. In this case, you can provide your custom overrides by copying the relevant settings into the User Options file also available through the Tools menu of the Editor.</p>\n\
<p>Note: There is also language-specific settings for Python in the <strong>python.properties</strong> file.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"lexer-settings\"></a><h2 id=\"lexer-settings\">Lexer Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>lexer.&lt;filepattern&gt; (MAXScript default: see below)\n\
</pre></div><p>A lexer splits a file up into syntactic pieces. The Editor can then display these pieces in different visual styles.</p>\n\
<p>Several lexers are available.</p>\n\
<p>Often several file extensions (.ms, .mcr) can map to one language (MAXScript) and can use one lexer.</p>\n\
<p>These settings associate a file name with a lexer.</p>\n\
<blockquote>\n\
<p><strong>The MAXScript shipping default setting in the fileMAXScript.propertiesfile is:</strong></p>\n\
<p><span class=\'code\'>lexer.$(file.patterns.MAXScript)=MAXScript</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>lexerpath.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>This property specifies the path to an external lexer module that will be loaded into the Editor.</p>\n\
<div class=\'section\'><a id=\"keyword-settings\"></a><h2 id=\"keyword-settings\">Keyword Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>keywords.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords is for <strong>keywords</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>and animate attributes by collect else exit for from function rollout struct set then</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords2.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords2 is for <strong>rollout controls</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><strong>label button edittext combobox</strong></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords3.&lt;filepattern&gt; (MAXScript default: set internally)\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>displaycontroldialog skipspace readfloat</em></p>\n\
\n\
<div class=\'codeBlock\'><pre>keywords4.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords4 is for <strong>MAXScript Classes</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>maxtvutility moflow trackviewpick array matrix3 integer</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords5.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords5 is for <strong>MAX Classes</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>box ffd_2x2x2 cameramap spacewarp</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords6.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords6 is for <strong>MAX Super Classes</strong>,</p>\n\
<div class=\'codeBlock\'><pre>keywords10.&lt;filepattern&gt; (MAXScript default: set internally)\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>camera shape colorpicker soundclass texturemap</em></p>\n\
\n\
<div class=\'codeBlock\'><pre>keywords7.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords7 is for <strong>Core Interfaces</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>assemblymgr channelinfo iparserloader trackselectionsets pluginmanager</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords8.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords8 is for <strong>Object Sets</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>objects geometry lights cameras helpers shapes systems spacewarps selection</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords9.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords9 is for internal MAXScript Structure Defs,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>meshops mouse dof cui camerafov xrefs</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords10.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords10 is for <strong>const reserved globals</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>red pi true undefined meditmaterials x_axis</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords11.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords11 is for <strong>reserved globals</strong>,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>animationrange slidertime backgroundcolor rootnode</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywords12.&lt;filepattern&gt; (MAXScript default: empty)\n\
</pre></div><p>keywords12 is for <strong>user defined words</strong> to be colorized. Keywords are checked for in this list first.</p>\n\
<p>See the topic <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\' title=\'\'>MAXScript Editor - Defining Custom Keywords</a> for an example of generating user-defined keywords and styles.</p>\n\
<div class=\'codeBlock\'><pre>keywords13.&lt;filepattern&gt; (MAXScript default: set internally)\n\
</pre></div><p>keywords13 is for <strong>internal MAXScript Structure Defs and FPS properties</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><em>IsolateSelection.zoomExtents TCBDefaultParams.easeFrom</em></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>keywordclass.&lt;lexer&gt; (MAXScript default: not set)\n\
</pre></div><p>Most of the lexers differentiate between names and keywords and use the keyword variables to do so.</p>\n\
<p>To avoid repeating the keyword list for each file extension, where several file extensions are used for one language, a keyword class variable is defined in the distributed properties file although this is just a convention.</p>\n\
<p>Some lexers define a second set of keywords that will be displayed in a different style to the first set of keywords. This is used in the HTML lexer to display JavaScript keywords in a different style to HTML tags and attributes.</p>\n\
<p>Keywords can be prefix based so ^GTK_ will treat all words that start with GTK_ as keywords.</p>\n\
<div class=\'section\'><a id=\"file-extension-settings\"></a><h2 id=\"file-extension-settings\">File Extension Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>default.file.ext (MAXScript default: .ms)\n\
</pre></div><p>Defines the language mode used before the file. For example, if <span class=\'code\'>default.file.ext=.ms</span>, then when the New command is used to create a new file, the MAXScript syntax styling is used.</p>\n\
<div class=\'section\'><a id=\"character-settings\"></a><h2 id=\"character-settings\">Character Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>word.characters.&lt;filepattern&gt; (MAXScript default: see below)\n\
</pre></div><p>Defines which characters can be parts of words.</p>\n\
<p>The default value here is all the alphabetic and numeric characters, and the underscore which is a reasonable value for most languages.</p>\n\
<p><strong>The shipping default definition in the file MAXScript.properties is:</strong></p>\n\
<div class=\'codeBlock\'><pre>word.characters.$(file.patterns.text)=$(chars.alpha)$(chars.numeric)$(chars.accented)-&#39;\n\
whitespace.characters.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>Defines which characters are considered whitespace.</p>\n\
<p>The default value is space and all chars less than 0x20.</p>\n\
<p>Setting this property allows you to force the Editor to consider other characters as whitespace (for example, punctuation) during such activities as cursor navigation (ctrl+left/right).</p>\n\
<div class=\'section\'><a id=\"style-settings\"></a><h2 id=\"style-settings\">Style Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>style.*.&lt;stylenumber&gt; (MAXScript default: not set)\n\
style.&lt;lexer&gt;.&lt;stylenumber&gt; (MAXScript default: see below)\n\
</pre></div><p>The lexers determine a style number for each lexical type such as, keyword, comment, or number. These settings determine the visual style to be used for each style number of each lexer.</p>\n\
<p>The value of each setting is a set of &#39;,&#39; separated fields, some of which have a sub-value after a &#39;:&#39;.</p>\n\
<p>The fields are font, size, fore, back, italics, notitalics, bold, notbold, eolfilled, noteolfilled, underlined, notunderlined, and case.</p>\n\
<p>The font field has a sub-value that is the name of the font, the fore and back have color sub-values, the size field has a numeric size sub-value, the case field has a sub-value of &#39;m&#39;, &#39;u&#39;, or &#39;l&#39; for mixed, upper, or lower case, and the bold, italics, and eolfilled fields have no sub-value.</p>\n\
<p>The value &quot;fore:#FF0000,font:Courier,size:14&quot; represents 14 point, red Courier text.</p>\n\
<p>A global style can be set up using style.*. <span class=\'code\'>stylenumber</span> .</p>\n\
<p>Any style options set in the global style will be inherited by each lexer style unless overridden.</p>\n\
<blockquote>\n\
<p><strong>The shipping properties and values set in the file MAXScript.properties are:</strong></p>\n\
<p>``` # Default style.MAXScript.32=\\((font.base)  # White space  style.MAXScript.0=fore:#808080  # Comment: /* */.  style.MAXScript.1=\\)(colour.code.comment.box),\\((font.code.comment.box)  # Line Comment: --.  style.MAXScript.2=\\)(colour.code.comment.line),\\((font.code.comment.line),eolfilled  # Number  style.MAXScript.3=\\)(colour.number) # String style.MAXScript.4=\\((colour.string)  # Verbatim strings  style.MAXScript.5=fore:#007F00,\\)(font.monospace),back:#E0FFE0,eolfilled # End of line where string is not closed style.MAXScript.6=fore:#000000,\\((font.monospace),back:#E0C0E0,eolfilled  # Identifiers  style.MAXScript.7=  # Operators  style.MAXScript.8=\\)(colour.operator),bold # Keyword arg name style.MAXScript.9=fore:#804080 # Name value style.MAXScript.10=\\((colour.char)  # Pathname  style.MAXScript.11=fore:#3F7F3F,\\)(font.monospace),back:#E0F0FF # Keywords1 - Keywords style.MAXScript.12=\\((colour.keyword),bold  # Keywords2 - Rollout controls  style.MAXScript.13=\\)(colour.preproc),bold # Keywords3 - Functions style.MAXScript.14=fore:#3060A0 # Keywords4 - MXS Classes style.MAXScript.15=fore:#6030A0 # Keywords5 - MAXClasses style.MAXScript.16=fore:#60A030 # Keywords6 - MAXSuperClasses style.MAXScript.17=fore:#0040B0 # Keywords7 - Core interfaces style.MAXScript.18=fore:#00B040,italics # Keywords8 - Object sets style.MAXScript.19=fore:#D0B080,italics # Keywords9 - StructDefs style.MAXScript.20=fore:#804020,italics # Keywords10 - Const reserved globals style.MAXScript.21=fore:#3060A0,italics # Keywords11 - Reserved globals style.MAXScript.22=fore:#B00040 # Keywords12 - User defined style.MAXScript.23=fore:#FF0000,bold,italics # Keywords13 - structure and FPS properties style.MAXScript.24=fore:#000080,italics</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>style.&lt;lexer&gt;.32 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.33 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.34 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.35 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.36 (MAXScript default:see below)\n\
style.&lt;lexer&gt;.37 (MAXScript default:see below)\n\
</pre></div><p>In addition to the styles generated by the lexer, these numbered styles are used:</p>\n\
<p><strong>32</strong> - default style and its features will be inherited by all other styles unless overridden.</p>\n\
<p><strong>33</strong> -- display line numbers in the margin.</p>\n\
<p><strong>34</strong> and <strong>35</strong> - used to display matching and non-matching braces respectively.</p>\n\
<p><strong>36</strong> - used for displaying control characters. This is not a full style as the foreground and background colors for control characters are determined by their lexical state rather than this style.</p>\n\
<p><strong>37</strong> - used for displaying indentation guides. Only the fore and back fields are used.</p>\n\
<p>A * can be used instead of a lexer to indicate a global style setting.</p>\n\
<blockquote>\n\
<p><strong>The shipping properties and values set in the file MXS_Editor.properties are:</strong></p>\n\
<p>``` # Global default styles for all languages # Default style.<em>.32=\\((font.base)  # Line number  style.*.33=back:#C0C0C0,\\)(font.small) # Brace highlight style.</em>.34=fore:#0000FF,bold # Brace incomplete highlight style.<em>.35=fore:#FF0000,bold # Control characters style.</em>.36= # Indentation guides style.*.37=fore:#C0C0C0,back:#FFFFFF</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>See the topic <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\' title=\'\'>MAXScript Editor - Customizing Syntax Color Schemes</a> for an example of a custom color scheme.</p>\n\
<p>See the topic <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\' title=\'\'>MAXScript Editor - Defining Custom Keywords</a> for an example of generating user-defined keywords and styles using Keywords12 / style.MAXScript.23.</p>\n\
<div class=\'section\'><a id=\"autocomplete-settings\"></a><h2 id=\"autocomplete-settings\">Autocomplete Settings</h2></div>\n\
<div class=\'codeBlock\'><pre>autocomplete.MAXScript.ignorecase (MAXScript default: 1)\n\
</pre></div><p>When set to 1 the API file is searched in a case insensitive way to find elements for auto-completion lists.</p>\n\
<p>Otherwise, matches only occur if case also matches.</p>\n\
<div class=\'codeBlock\'><pre>autocomplete.MAXScript.start.characters (MAXScript default: $(chars.alpha)$(chars.numeric)_#. )\n\
</pre></div><p>If this setting is not empty, typing any of the characters will cause auto completion to start.</p>\n\
<p>The default setting is to trigger auto complete for any alpha-numeric character, as well as the special characters _, #, and .</p>\n\
<div class=\'codeBlock\'><pre>autocomplete.MAXScript.useautogeneratedapi (MAXScript default: 1)\n\
</pre></div><p>Indicates whether for MAXScript, the editor should use the API keyword file automatically generated on 3ds Max startup. This setting is used in addition to any API file specified in MAXScript_Editor.properties.</p>\n\
<p>Set this setting to 0 to disable autocomplete for MAXScript.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";