var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Properties File Settings</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Properties File Settings</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---properties-file-settings\"></a></div>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> can be customized by editing the <strong>MXS_Editor.properties</strong>, <strong>MAXScript.properties</strong> , and <strong>python.properties</strong> files located in the <strong>3ds Max</strong> root folder.</p>\n\
<p>To quickly access these files, use the <strong>Tools &gt; Open Global Options File</strong>, <strong>Tools &gt; Open MAXScript.properties</strong>, and <strong>Tools &gt; Open python.properties</strong> menu items in the Editor&#39;s menu bar.</p>\n\
<p>The following is a sub-set of all properties supported by the Scintilla control on which the MAXScript Editor is based. These settings can be customized in the global properties file <strong>MXS_Editor.properties</strong> or the user-generated <strong>MXS_EditorUser.properties</strong>. Both files are located in the <strong>3ds Max</strong> root folder.</p>\n\
<p>For details on the MAXScript-specific settings such as, file formats and color coding, see the topics <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-MAXScript.html\' title=\'\'>MAXScript-Specific Language Settings</a>, <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom.html\' title=\'\'>Defining Custom Keywords</a>, and <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\' title=\'\'>Customizing Syntax Color Schemes</a>.</p>\n\
<p>Note:</p>\n\
<p>The Scintilla control and the MAXScript SciTE Editor use UK English spelling. Thus, color-related properties contain the keyword &quot;colour&quot; instead of &quot;color&quot;.</p>\n\
<p>The following documentation is based on the document found at <em>http://scintilla.sourceforge.net/SciTEDoc.html</em></p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"directory-property-files\"></a><h2 id=\"directory-property-files\">Directory Property Files</h2></div>\n\
<div class=\'codeBlock\'><pre>properties.directory.enable (MAXScript default: not set)\n\
</pre></div><p>When set to 1, enables the evaluation of the directory properties file.</p>\n\
<p>The Directory Properties file must be called <em>&quot;SciTEDirectory.properties&quot;</em> and can contain local properties overriding the global properties.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Customizing.html\' title=\'\'>MAXScript Editor - Customizing Syntax Color Schemes</a> for details.</p>\n\
<p>The default is 0, which disables the evaluation of directory property files.</p>\n\
<div class=\'section\'><a id=\"editor-position\"></a><h2 id=\"editor-position\">Editor Position</h2></div>\n\
<div class=\'codeBlock\'><pre>position.left (MAXScript default:0)\n\
position.top (MAXScript default:0)\n\
position.width (MAXScript default:576)\n\
position.height (MAXScript default:740)\n\
</pre></div><p>These properties set the initial window size and position.</p>\n\
<p>If these are omitted then the environment&#39;s defaults are used.</p>\n\
<p>If the <span class=\'code\'>width</span> or <span class=\'code\'>height</span> properties are set to -1, the window is maximized.</p>\n\
<div class=\'section\'><a id=\"windows-buffers-properties\"></a><h2 id=\"windows-buffers-properties\">Windows (Buffers) Properties</h2></div>\n\
<p>Note:</p>\n\
<p>The multiple windows represented by tabs in the Editor&#39;s user interface are called &quot;buffers&quot; in Scintilla lingo, thus the property names.</p>\n\
<div class=\'codeBlock\'><pre>buffers (MAXScript default:10)\n\
</pre></div><p>Set this property to a number between 1 and 100 to enable that many buffers.</p>\n\
<p>Values outside this range are clamped to be within the range.</p>\n\
<p>The default is 1 which turns off UI features concerned with buffers.</p>\n\
<p>This value is read only once, early in the startup process and only from the global properties files.</p>\n\
<p>Note: After changing this property, <strong>3ds Max</strong> has to be <strong>restarted</strong> to see the effect.</p>\n\
<div class=\'codeBlock\'><pre>buffers.zorder.switching (MAXScript default: not set)\n\
</pre></div><p>This setting chooses the ordering of windows switching when <strong>Ctrl+Tab</strong> is pressed.</p>\n\
<p>If set to 1, the windows are switched in the order of their previous selection.</p>\n\
<p>If set to 0 (default) the windows are switched based on the buffer number.</p>\n\
<div class=\'codeBlock\'><pre>tabbar.visible (MAXScript default:1)\n\
tabbar.hide.one (MAXScript default :not set)\n\
</pre></div><p>Setting <span class=\'code\'>tabbar.visible</span> to 1 makes the tab bar visible at start up.</p>\n\
<p>The <span class=\'code\'>buffers</span> property must be set to a value greater than 1 for this option to work.</p>\n\
<p>Setting <span class=\'code\'>tabbar.hide.one</span> to 1 hides the tab bar until there is more than one tab.</p>\n\
<div class=\'codeBlock\'><pre>tabbar.multiline (MAXScript default: not set)\n\
</pre></div><p>Setting <span class=\'code\'>tabbar.multiline</span> uses multiple lines for the tab bar, thus fitting more tabs on screen at the same time.</p>\n\
<p>Note: After changing this property, <strong>3ds Max</strong> has to be <strong>restarted</strong> to see the effect.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0EC3FF91-9D7B-439F-AF71-2405F3E8284D-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"file-loading-properties\"></a><h2 id=\"file-loading-properties\">File Loading Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>read.only (MAXScript default :not set)\n\
</pre></div><p>When this option is set to 1, opened documents will be initially read only.</p>\n\
<p>New files will not be affected by this setting.</p>\n\
<div class=\'codeBlock\'><pre>openpath.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>Defines a path for the <strong>File &gt; Open Selected Filename</strong> command.</p>\n\
<p>The path is searched if the selected filename does not contain an absolute path or the file is not found in the current directory.</p>\n\
<p>The directories in <span class=\'code\'>openpath</span> are separated by a semi-colon &#39;;&#39;.</p>\n\
<p>An <span class=\'code\'>openpath</span> setting might look like:</p>\n\
<blockquote>\n\
<p>``` openpath.*.txt=c:\\dos;f:;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>open.suffix.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>Defines a suffix to add to the selected file name for the Open Selected Filename command in the File menu.</p>\n\
<p>An <span class=\'code\'>open.suffix</span> setting might look like:</p>\n\
<blockquote>\n\
<p>``` open.suffix.*.ms=.ms</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>open.filter (MAXScript default: see below)\n\
</pre></div><p>This is a complex expression used for determining the file types that will be available in the open file dialog.</p>\n\
<p>For each type of file, there is some explanatory text, a &#39;|&#39; character, some file patterns, and another &#39;|&#39; character.</p>\n\
<p>The line continuation character &#39;\\&#39; can be used to spread these items out, one per line.</p>\n\
<p>These file types appear in the &quot;Files of type:&quot; drop-down list. The first item is the default, so you might want to change the first item to include the file types you commonly open.</p>\n\
<p><strong>MAXScript Shipping Defaults:</strong></p>\n\
<blockquote>\n\
<p>``` open.filter=<br> $(filter.MAXScript)<br> $(filter.text)<br> $(filter.data)<br> $(filter.properties)<br> $(filter.web)<br> $(all.files)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>max.file.size (MAXScript default: not set)\n\
</pre></div><p>To avoid loading huge files from slow media by accident, or just to ensure the Editor is used to edit human readable code only, you can set the <span class=\'code\'>max.file.size</span> property to specify a load file size limit in bytes.</p>\n\
<p>If not set or set to 0, there is no limit.</p>\n\
<p>If set to a given byte size and a file to be loaded exceeds this limit, the user will be asked if the file has to be loaded.</p>\n\
<p>If accepted, the file will be loaded as usual.</p>\n\
<p>If rejected, the file will not be loaded.</p>\n\
<div class=\'codeBlock\'><pre>open.dialog.in.file.directory (MAXScript default: not set)\n\
</pre></div><p>Setting <span class=\'code\'>open.dialog.in.file.directory</span> to 1 causes the open dialog to initially display the same directory as the current file.</p>\n\
<p>If it is 0 or not set, the last directory visited by the open dialog of the Editor will be used.</p>\n\
<div class=\'section\'><a id=\"file-saving-properties\"></a><h2 id=\"file-saving-properties\">File Saving Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>strip.trailing.spaces (MAXScript default: not set)\n\
</pre></div><p>When set to 1, trailing white spaces will be stripped from the file while saving.</p>\n\
<div class=\'codeBlock\'><pre>ensure.final.line.end (MAXScript default: not set)\n\
</pre></div><p>Ensures the file ends with a line end when saved.</p>\n\
<div class=\'codeBlock\'><pre>ensure.consistent.line.ends (MAXScript default:1)\n\
</pre></div><p>When set to 1, ensures that all lines end with the current Line End Characters setting when saved.</p>\n\
<div class=\'codeBlock\'><pre>save.deletes.first (MAXScript default: not set)\n\
</pre></div><p>When set to 1, causes files to be deleted before being opened for saving.</p>\n\
<p>Can be used to ensure saving under a different capitalization rather than silently using the old capitalization.</p>\n\
<div class=\'codeBlock\'><pre>quit.on.close.last (MAXScript default: not set)\n\
</pre></div><p>If this option is set to 1, the Editor will close when the last edited file has been closed. For example, with File/Close or <strong>Ctrl+W</strong>.</p>\n\
<p>By default, if this option is not set, the Editor will remain open and will create a new blank document when its last buffer is closed.</p>\n\
<div class=\'codeBlock\'><pre>save.recent (MAXScript default:1)\n\
</pre></div><p>Setting <span class=\'code\'>save.recent</span> to 1 causes the most recently used files list to be saved on exit in a file and reloaded at start up.</p>\n\
<p>The file is called <strong>MXS_SciTE.recent</strong> and is located in the <strong>3ds Max</strong> root directory.</p>\n\
<div class=\'codeBlock\'><pre>save.session (MAXScript default :not set)\n\
</pre></div><p>If you set <span class=\'code\'>save.session=1</span> , the current session will be automatically saved to a file <strong>MXS_SciTE.ses</strong> in the <strong>3ds Max</strong> root directory.</p>\n\
<p>When you start <strong>3ds Max</strong> next time, the last session will be automatically loaded.</p>\n\
<div class=\'section\'><a id=\"reload-properties\"></a><h2 id=\"reload-properties\">Reload Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>load.on.activate (MAXScript default: not set)\n\
save.on.deactivate (MAXScript default: not set)\n\
</pre></div><p>When set to 1, the <span class=\'code\'>load.on.activate</span> property causes the Editor to check whether the current file has been updated by another process whenever it is activated. This is useful when another editor such as a WYSIWYG HTML editor, is being used in conjunction with the Editor.</p>\n\
<p>When set to 1, the <span class=\'code\'>save.on.deactivate</span> property causes the Editor to save the file whenever it loses focus. This is useful when developing web pages and you want to often check the appearance of the page in a browser.</p>\n\
<div class=\'codeBlock\'><pre>reload.preserves.undo (MAXScript default: not set)\n\
</pre></div><p>When set to 1, reloading a file does not delete all the undo history.</p>\n\
<p>This is useful when <span class=\'code\'>load.on.activate</span> is used in conjunction with filter commands.</p>\n\
<div class=\'section\'><a id=\"prompts\"></a><h2 id=\"prompts\">Prompts</h2></div>\n\
<div class=\'codeBlock\'><pre>are.you.sure (MAXScript default:1)\n\
</pre></div><p>Normally, when the Editor is about to close a file that has unsaved edits it asks this question.</p>\n\
<p>To turn off the question, set <span class=\'code\'>are.you.sure</span> to 0 and files will be automatically saved without bothering the user. To abandon edits to a file use the New command. It always asks &quot;Are you sure?&quot; giving an opportunity to not save the file.</p>\n\
<div class=\'codeBlock\'><pre>are.you.sure.on.reload (MAXScript default: not set)\n\
</pre></div><p>When both this and <span class=\'code\'>load.on.activate</span> are set to 1, the Editor will ask if you really want to reload the modified file, giving you the chance to keep the file as it is.</p>\n\
<p>By default this property is disabled, causing the Editor to reload the file without bothering you if <span class=\'code\'>load.on.activate</span> is set to 1.</p>\n\
<div class=\'section\'><a id=\"view-properties\"></a><h2 id=\"view-properties\">View Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>view.whitespace (MAXScript default:0)\n\
view.indentation.whitespace (MAXScript default:1)\n\
</pre></div><p>Setting <span class=\'code\'>view.whitespace</span> to 1 makes the Editor start up with whitespace visible.</p>\n\
<p>Setting <span class=\'code\'>view.indentation.whitespace</span> to 0 hides visible whitespace inside indentation.</p>\n\
<div class=\'codeBlock\'><pre>view.indentation.guides (MAXScript default:1)\n\
highlight.indentation.guides (MAXScript default:1)\n\
</pre></div><p>Setting <span class=\'code\'>view.indentation.guides</span> to 1 displays dotted vertical lines within indentation white space every <span class=\'code\'>indent.size columns</span> .</p>\n\
<p>Setting <span class=\'code\'>highlight.indentation.guides</span> to 1 highlights the indentation guide associated with a brace when that brace is highlighted.</p>\n\
<div class=\'codeBlock\'><pre>whitespace.fore (MAXScript default: not set)\n\
whitespace.back (MAXScript default: not set)\n\
</pre></div><p>Sets the colors used for displaying all visible whitespace, overriding any styling applied by the current <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a>.</p>\n\
<div class=\'codeBlock\'><pre>view.eol (MAXScript default: not set)\n\
</pre></div><p>Setting this to 1 makes the Editor display the characters that make up line ends. This looks similar to <span class=\'code\'>[CR]</span> , <span class=\'code\'>[LF]</span> , or <span class=\'code\'>[CR] [LF]</span> .</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FA2B7784-2AD9-4D56-BCFC-6F660F74E21E-low.gif\' title=\'\'></div>\n\
<p>This is useful when using files created on another operating system with software that is picky about line ends.</p>\n\
<div class=\'codeBlock\'><pre>eol.mode (MAXScript default: not set)\n\
</pre></div><p>The default EOL mode (characters that make up line ends) depends on the platform the file was created on.</p>\n\
<p>You can overwrite this behavior by setting the property to:</p>\n\
<p>CRLF-for DOS/Windows format</p>\n\
<p>LF-for UNIX format</p>\n\
<p>CR-for Macintosh format</p>\n\
<div class=\'codeBlock\'><pre>eol.auto (MAXScript default:1)\n\
</pre></div><p>This setting overrides the <span class=\'code\'>eol.mode</span> value and chooses the end of line character sequence based on the current contents of the file when it is opened. The line ending used the most in the file is chosen.</p>\n\
<div class=\'codeBlock\'><pre>magnification (MAXScript default: not set)\n\
output.magnification (MAXScript default: not set)\n\
</pre></div><p>This property sets the initial magnification factor. It is useful when you want to change the size of text globally such as, after changing the screen resolution without having to touch each style setting.</p>\n\
<p>0 is default, negative values make the size smaller and positive values make it larger.</p>\n\
<div class=\'section\'><a id=\"code-page-properties\"></a><h2 id=\"code-page-properties\">Code Page Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>code.page (MAXScript default:-1)\n\
output.code.page (MAXScript default: not set)\n\
</pre></div><p>To support a DBCS language such as, Japanese, a code page can be set here. This ensures that double byte characters are always treated as a unit, so the caret is never located between the two bytes of a double byte character. On Windows, 0 (single byte character set) and 65001 (UTF-8) will work and settings that might work depending on how Windows is set up include 932 (Japanese Shift-JIS), 936 (Simplified Chinese GBK), 949 (Korean), 950 (Traditional Chinese Big5), and 1361(Korean Johab).</p>\n\
<p>Setting code.page to 65001 starts Unicode mode and the document is treated as a sequence of characters expressed as UTF-8. Display is performed by converting to the platform&#39;s normal Unicode encoding first, so characters from any language will be displayed. Correct glyphs will only be displayed if fonts are chosen that contain the appropriate glyphs. Tahoma is a good choice on Windows 2000.</p>\n\
<p>This property <em>cannot</em> set a single byte character set.</p>\n\
<p>Fonts with an &quot;iso10646&quot; registry must be used in a font set. Font sets are a &#39;|&#39; separated list of partial font specifications where each partial font specification can be in the form of foundry-fontface-charsetregistry-encoding *OR* fontface-charsetregistry-encoding *OR* foundry-fontface *OR* fontface. An example is &quot;misc-fixed-iso10646-1|*&quot;.</p>\n\
<p>If output.code.page is set then it is used for the output pane which otherwise matches the edit pane.</p>\n\
<div class=\'codeBlock\'><pre>character.set (MAXScript default: not set)\n\
</pre></div><p>This setting allows changing the character set that is asked for when setting up fonts.</p>\n\
<p>To use Japanese characters, set character.set to 128.</p>\n\
<p>Other values that might work include:</p>\n\
<p>Chinese (GB2312=134 or BIG5=136)</p>\n\
<p>Korean (129)</p>\n\
<p>Greek (161)</p>\n\
<p>Eastern European (238)</p>\n\
<p>Baltic (186)</p>\n\
<p>Turkish (162)</p>\n\
<p>Hebrew (177)</p>\n\
<p>Arabic (178)</p>\n\
<p>Thai (222)</p>\n\
<p>To use Cyrillic characters, set character.set=204 (CP1251 encoding).</p>\n\
<div class=\'section\'><a id=\"font-properties\"></a><h2 id=\"font-properties\">Font Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>font.monospace (MAXScript default: font: Courier New,size:10)\n\
</pre></div><p>Defines the font name and size to be used when the Use Monospaced Font command is performed using the same syntax as the style properties described in the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-MAXScript.html\' title=\'\'>MAXScript-Specific Language Settings</a> topic.</p>\n\
<div class=\'section\'><a id=\"margin-properties\"></a><h2 id=\"margin-properties\">Margin Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>blank.margin.left (MAXScript default: 4)\n\
blank.margin.right (MAXScript default: 4)\n\
</pre></div><p>There is a blank margin on both sides of the text. It is drawn in the background color of default text.</p>\n\
<p>This defaults to one pixel for both left and right sides, but may be altered with these settings.</p>\n\
<div class=\'codeBlock\'><pre>margin.width (MAXScript default:16)\n\
</pre></div><p>Setting this to a number makes the Editor display a selection margin to the left of the text.</p>\n\
<p>The value is the selection margin in pixels.</p>\n\
<p>Line markers are displayed in the selection margin area.</p>\n\
<div class=\'codeBlock\'><pre>fold.margin.colour (MAXScript default: not set)\n\
fold.margin.highlight.colour (MAXScript default: not set)\n\
</pre></div><p>These two properties define the fold margin color and fold margin highlight color.</p>\n\
<p>If they are not defined, the colors for the fold margin will default to a reasonable pair of colors - the system colors are used to make the fold margin appear like the background of scroll bars.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` fold.margin.colour=#FF0000 fold.margin.highlight.colour=#0000FF</p>\n\
<p>```</p>\n\
<p>makes the fold margin to appear as a mixture of red and blue:</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7F19F1E1-0976-4893-BD2B-355B671CB6AD-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>full.screen.hides.menu (MAXScript default: not set)\n\
</pre></div><p>Setting this property to 1 hides the menu bar when the Editor is switched to Full Screen mode. Default is 0.</p>\n\
<div class=\'codeBlock\'><pre>minimize.to.tray (MAXScript default: not set)\n\
</pre></div><p>Setting this property to 1 minimizes the Editor to the system tray rather than to the task bar.</p>\n\
<p>Default is 0.</p>\n\
<div class=\'codeBlock\'><pre>line.margin.visible (MAXScript default: 1)\n\
line.margin.width (MAXScript default: 3+)\n\
</pre></div><p>The Editor is able to display a column of line numbers to the left of the selection margin.</p>\n\
<p>Setting <span class=\'code\'>line.margin.visible</span> to 1 makes this column visible at startup.</p>\n\
<p>The <span class=\'code\'>line.margin.width</span> property controls how much space is reserved for the line numbers, in terms of the number of digits that can be displayed.</p>\n\
<p>To specify that the margin must expand if needed to accommodate larger line numbers, add a &#39;+&#39; after the number of digits,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` line.margin.width=3+</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"selection-properties\"></a><h2 id=\"selection-properties\">Selection Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>selection.fore (MAXScript default: not set)\n\
selection.back (MAXScript default:#000000)\n\
selection.alpha (MAXScript default:30)\n\
</pre></div><p>Sets the colors used for displaying the selected text.</p>\n\
<p>If one of these is not set then that attribute is not changed for the selection.</p>\n\
<p>The default is to show the selection by changing the background to light gray and leaving the foreground the same as when it was not selected.</p>\n\
<p>The translucency of the selection is set with <span class=\'code\'>selection.alpha</span>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p><span class=\'code\'>line.margin.width=3+</span></p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-2C0AD909-F3FF-4895-8BBB-B987B4A73A64-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"caret-cursor-properties\"></a><h2 id=\"caret-cursor-properties\">Caret (Cursor) Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>caret.fore\n\
</pre></div><p>Sets the color used for the caret (cursor).</p>\n\
<div class=\'codeBlock\'><pre>caret.line.back (MAXScript default: not set)\n\
caret.line.back.alpha (MAXScript default: not set)\n\
</pre></div><p>The <span class=\'code\'>caret.line.back</span> property sets the background color used for the line containing the caret.</p>\n\
<p>The <span class=\'code\'>caret.line.back.alpha</span> property sets the translucency used for the line containing the caret.</p>\n\
<p>Translucency ranges from 0 for completely transparent to 255 for opaque.</p>\n\
<p>256 means opaque and not using translucent drawing code that might be slower.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A578FA47-8AF2-42F5-88C3-9ECD65D4E04A-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>caret.period (MAXScript default:)\n\
</pre></div><p>Sets the rate at which the caret blinks.</p>\n\
<p>The value is the time in milliseconds that the caret is visible before it is switched to invisible. It then stays invisible for the same period before appearing again.</p>\n\
<p>A value of 0 stops the caret from blinking.</p>\n\
<div class=\'codeBlock\'><pre>caret.width (MAXScript default:)\n\
</pre></div><p>Sets the width of the caret in pixels.</p>\n\
<p>Valid values are 1, 2, or 3.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-159D8C75-8E8F-46AB-A36F-01943BBDAECD-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>caret.policy.xslop (MAXScript default:)\n\
caret.policy.width (MAXScript default:)\n\
caret.policy.xstrict (MAXScript default:)\n\
caret.policy.xeven (MAXScript default:)\n\
caret.policy.xjumps (MAXScript default:)\n\
caret.policy.yslop (MAXScript default:)\n\
caret.policy.lines (MAXScript default:)\n\
caret.policy.ystrict (MAXScript default:)\n\
caret.policy.yeven (MAXScript default:)\n\
caret.policy.yjumps (MAXScript default:)\n\
</pre></div><p>If slop is set, we can define a slop value: width for xslop, lines for yslop. This value defines an <strong>unwanted zone (UZ)</strong> where the caret is unwanted. This zone is defined as a number of pixels near the vertical margins, and as a number of lines near the horizontal margins. By keeping the caret away from the edges, it is seen within its context, so it is likely that the identifier that the caret is on can be completely seen, and that the current line is seen with some of the lines following it, which are often dependent on that line.</p>\n\
<p>If strict is set, the policy is enforced strictly. The caret is centered on the display if slop is not set, and cannot go in the UZ if slop is set.</p>\n\
<p>If jumps is set, the display is moved more energetically, so the caret can move in the same direction longer before the policy is applied again. &#39;3UZ&#39; notation is used to indicate three time the size of the UZ as a distance to the margin.</p>\n\
<p>If even is not set, instead of having symmetrical UZs, the left and bottom UZs are extended up to right and top UZs respectively. This way, we favor the displaying of useful information: the beginning of lines, where most code resides, and the lines after the caret, for example, the body of a function.</p>\n\
<p>See the table below to see how these settings interact. Default: xslop, yslop, xeven, yeven=1, width=50, all others = 0.</p>\n\
<div class=\'codeBlock\'><pre>caret.sticky (MAXScript default:)\n\
</pre></div><p>Controls when the last position of the caret on the line is modified.</p>\n\
<p>When set to 1, the position is not modified when you type a character, a tab, paste the clipboard content, or press backspace.</p>\n\
<p>The default is 0, which turns off this feature.</p>\n\
<div class=\'section\'><a id=\"visible-policy-properties\"></a><h2 id=\"visible-policy-properties\">Visible Policy Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>visible.policy.strict (MAXScript default:)\n\
visible.policy.slop (MAXScript default:)\n\
visible.policy.lines (MAXScript default:)\n\
</pre></div><p>Determines how the display area is determined after a Go to command or equivalent such as, a Find or Next Message. Options are similar to <span class=\'code\'>caret.policy</span> .</p>\n\
<div class=\'section\'><a id=\"edge-mode-properties\"></a><h2 id=\"edge-mode-properties\">Edge Mode Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>edge.mode (MAXScript default:0)\n\
edge.column (MAXScript default:200)\n\
edge.colour (MAXScript default: #CODCCO)\n\
</pre></div><p>Indicates long lines.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - default, does not indicate long lines</p>\n\
<p>1 - uses a vertical line to indicate the specified column</p>\n\
<p>2 - changes the background color of characters beyond that column</p>\n\
<p>Note:</p>\n\
<p>For proportional fonts, an edge.mode of 2 is more useful than 1.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-58C70429-5648-4012-8EAC-C095727F1841-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"control-character-symbol-properties\"></a><h2 id=\"control-character-symbol-properties\">Control Character Symbol Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>control.char.symbol (MAXScript default: not set)\n\
</pre></div><p>Sets the character to indicate control characters.</p>\n\
<p>If not set, control characters are shown as mnemonics.</p>\n\
<div class=\'section\'><a id=\"error-marker-properties\"></a><h2 id=\"error-marker-properties\">Error Marker Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>error.marker.fore (MAXScript default: not used)\n\
error.marker.back (MAXScript default: not used)\n\
</pre></div><p>The colors used to indicate error and warning lines are set with these two values.</p>\n\
<p>If there is a margin on a pane then a symbol is displayed in the margin to indicate the line causing the error message for the edit pane.</p>\n\
<p>The <span class=\'code\'>error.marker.back</span> is used as the fill color of the symbol and the <span class=\'code\'>error.marker.fore</span> as the outline color.</p>\n\
<p>If there is no margin then the background to the line is set to the <span class=\'code\'>error.marker.back</span> color.</p>\n\
<div class=\'section\'><a id=\"bookmark-properties\"></a><h2 id=\"bookmark-properties\">Bookmark Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>bookmark.fore (MAXScript default: not set)\n\
bookmark.back (MAXScript default: not set)\n\
bookmark.alpha (MAXScript default: not set)\n\
</pre></div><p>The colors used to display bookmarks in the margin.</p>\n\
<p>If <span class=\'code\'>bookmark.fore</span> is not set then a blue sphere is used.</p>\n\
<p>When the margin is turned off, bookmarks are shown by a change in the background color of the line with the translucency set with bookmark.alpha.</p>\n\
<div class=\'section\'><a id=\"fold-properties\"></a><h2 id=\"fold-properties\">Fold Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>fold (MAXScript default: 1)\n\
fold.margin.width (MAXScript default: 12)\n\
fold.symbols (MAXScript default: 3)\n\
fold.on.open (MAXScript default: not set)\n\
</pre></div><p>Options to control folding.</p>\n\
<p>Folding is turned on by setting fold to 1.</p>\n\
<p>The fold.symbols setting chooses between four ways of showing folding:</p>\n\
<p>Set to 0 (the default) for MacOS style arrows to indicate contracted (facing right) and expanded (facing down);</p>\n\
<p>1 to display contracted folds with &quot;+&quot; and expanded with &quot;-&quot;;</p>\n\
<p>2 for a flattened tree control with round headers and rounded joins;</p>\n\
<p>3 for a flattened tree control with square headers.</p>\n\
<p>To automatically fold files as much as possible when loaded, set fold.on.open to 1.</p>\n\
<div class=\'codeBlock\'><pre>fold.compact (MAXScript default: 0)\n\
</pre></div><p>For HTML, XML, Lua, C++, and similar files, turning this option on leads to blank lines following the end of an element folding with that element. Defaults to on.</p>\n\
<div class=\'codeBlock\'><pre>fold.html (MAXScript default: not set)\n\
</pre></div><p>Folding is turned on or off for HTML and XML files with this option. The fold option must also be on for folding to occur.</p>\n\
<div class=\'section\'><a id=\"title-properties\"></a><h2 id=\"title-properties\">Title Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>title.full.path (MAXScript default: 1)\n\
</pre></div><p>Chooses how the file name is displayed in the title bar.</p>\n\
<p>When 0 (default), the file name is displayed.</p>\n\
<p>When 1, the full path is displayed.</p>\n\
<p>When 2, the window title displays &quot;file name in directory&quot;.</p>\n\
<div class=\'codeBlock\'><pre>title.show.buffers (MAXScript default: not set)\n\
</pre></div><p>When set to 1, shows the current buffer number in the title bar.</p>\n\
<div class=\'section\'><a id=\"indentation-and-tabs-properties\"></a><h2 id=\"indentation-and-tabs-properties\">Indentation and Tabs Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>tabsize (MAXScript default: 8 Python default: 4)\n\
tab.size.&lt;filepattern&gt; (MAXScript default: not set)\n\
indent.size (MAXScript default: 8 Python default: 4)\n\
indent.size.&lt;filepattern&gt; (MAXScript default: not set)\n\
use.tabs (MAXScript default: 1 Python default: 0)\n\
use.tabs.&lt;filepattern&gt; (MAXScript default: not set)\n\
indent.auto (MAXScript default: not set)\n\
tab.indents (MAXScript default: not set)\n\
backspace.unindents (MAXScript default: not set)\n\
</pre></div><p>Sets the size of a tab as a multiple of the size of a space character in the style of the default style definition.</p>\n\
<p>Note: The Python-specific settings are specified in the <strong>python.properties</strong> file.</p>\n\
<p>The indent size is the size to use when performing automatic indentation and might be different from the tab size. Mostly, a tab size of 8 but 4 character indentation is used.</p>\n\
<p>When creating indentation, <span class=\'code\'>use.tabs</span> determines whether the indentation is made up purely from space characters or from a mix of tabs and spaces using as many tabs as possible.</p>\n\
<p>The global tab size, <span class=\'code\'>indent.size</span>, and <span class=\'code\'>use.tabs</span> properties can be overridden for files that match a pattern by using the file pattern forms:</p>\n\
<div class=\'codeBlock\'><pre>indent.size.*.pas=3\n\
</pre></div><p>If <strong>indent.auto</strong> is set then <strong>indent.size</strong> and <strong>use.tabs</strong> are set according to the contents of the opened document.</p>\n\
<p>If <strong>tab.indents</strong> is set then pressing <strong>Tab</strong> within indentation whitespace indents by <strong>indent.size</strong> rather than inserting a tab character.</p>\n\
<p>If <strong>backspace.unindents</strong> is set to 1 then pressing <strong>Backspace</strong> within indentation whitespace unindents by <strong>indent.size</strong> rather than deleting the character before the caret.</p>\n\
<div class=\'codeBlock\'><pre>indent.automatic (MAXScript default: 1)\n\
indent.opening (MAXScript default: 0)\n\
indent.closing (MAXScript default: 0)\n\
indent.maintain.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>Determines the look of automatic indentation.</p>\n\
<p>Automatic indentation is turned on with <span class=\'code\'>indent.automatic=1</span> .</p>\n\
<p>To indent a brace line after a compound statement start, set <span class=\'code\'>indent.opening=1</span> , likewise for the terminating brace.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` indent.automatic=0 indent.opening=0</p>\n\
<p>```</p>\n\
<p>With both set to 0, the result look like this:</p>\n\
<p>``` if i == 10 do ( print &quot;Yes!&quot; )</p>\n\
<p>```</p>\n\
<p>``` indent.automatic=1 indent.opening=1</p>\n\
<p>```</p>\n\
<p>With both set to 1, the result look like this:</p>\n\
<p>``` if i == 10 do ( print &quot;Yes!&quot; )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Automatic indentation might be changed to simply repeat the indentation of the previous line for some files with <span class=\'code\'>indent.maintain.&lt;filepattern&gt;=1</span> , which overrides the other language specific settings.</p>\n\
<div class=\'codeBlock\'><pre>statement.indent.&lt;filepattern&gt; (MAXScript default: set internally)\n\
statement.end.&lt;filepattern&gt; (MAXScript default: not set)\n\
statement.lookback.&lt;filepattern&gt; (MAXScript default: not set)\n\
block.start.&lt;filepattern&gt; (MAXScript default: not set)\n\
block.end.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>Each of these settings starts with a style number and then a set of words or characters that define how to recognize that feature. If there is a second space in the setting then it is a set of words, otherwise a set of characters. The set of keywords used to indicate the start of a compound statement is defined in <span class=\'code\'>statement.indent</span> .</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` statement.indent.$(file.patterns.cpp)=5 if else while</p>\n\
<p>```</p>\n\
<p>says that for C++ the words &quot;if&quot;, &quot;else&quot;, and &quot;while&quot; in keyword style, 5, start compound statements which leads to the next line being indented if no other factors affect it. However, if a statement end is found on the same line then the next line is not indented. For C++ the statement end is the semicolon in the operator style, so this is defined:</p>\n\
<p>``` statement.end.$(file.patterns.cpp)=10 ;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The number of lines looked at to determine indentation can be set with <span class=\'code\'>statement.lookback</span> . This can be used either to bound the amount of time spent on this task or to specify that only the last line be examined for indentation. The <span class=\'code\'>block.start</span> and <span class=\'code\'>block.end</span> properties define the language elements used to bracket groups of statements. In C++ these are &#39;{&#39; and &#39;}&#39;.</p>\n\
<div class=\'codeBlock\'><pre>vc.home.key (MAXScript default: 1)\n\
</pre></div><p>Chooses the behavior of the Home and Shift+Home keys.</p>\n\
<p>1(default)is like Visual C++ moving the caret to the end of the line indentation unless already there, in which case it moves to the start of the line.</p>\n\
<p>0 moves to the start of the line.</p>\n\
<div class=\'section\'><a id=\"find-replace-properties\"></a><h2 id=\"find-replace-properties\">Find / Replace Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>find.mark (MAXScript default: not set)\n\
</pre></div><p>If set, the Mark All command in the Find dialog will draw translucent boxes over each string that is found.</p>\n\
<div class=\'codeBlock\'><pre>find.replace.matchcase (MAXScript default: not set)\n\
find.replace.regexp (MAXScript default: not set)\n\
find.replace.wrap (MAXScript default: not set)\n\
find.replace.escapes (MAXScript default: not set)\n\
find.replacewith.focus (MAXScript default: not set)\n\
</pre></div><p>These properties define the initial conditions for find and replace commands.</p>\n\
<p>The <span class=\'code\'>find.replace.matchcase</span> property turns on the &quot;Match case&quot; option, <span class=\'code\'>find.replace.regexp</span> the &quot;Regular expression&quot; option, <span class=\'code\'>find.replace.wrap</span> the &quot;Wrap around&quot; option, and <span class=\'code\'>find.replace.escapes</span> the &quot;Transform backslash expressions&quot; option.</p>\n\
<p>If the <span class=\'code\'>find.replacewith.focus</span> property is set, the &quot;Replace With&quot; input box is focused in Replace dialog if &quot;Find What&quot; is non-empty.</p>\n\
<div class=\'codeBlock\'><pre>find.replace.regexp.posix (MAXScript default: not set)\n\
</pre></div><p>Change the behavior of the Regular Expression search.</p>\n\
<p>If set to 0 (the default), the characters &#39;(&#39; and &#39;)&#39; must be escaped by &#39;\\&#39; to behave as RegEx meta characters.</p>\n\
<p>If set to 1, these characters are meta characters themselves.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/Regular-Expressions-Find-and.html\' title=\'\'>Regular Expressions Find and Replace in the MAXScript Editor</a></p>\n\
<div class=\'codeBlock\'><pre>find.replace.advanced (MAXScript default: not set)\n\
</pre></div><p>Enables the Replace in Buffers command and Search only in this style checkbox.</p>\n\
<p>If enabled, searches can be restricted to a particular style (for example, strings).</p>\n\
<div class=\'codeBlock\'><pre>find.files (MAXScript default: *.ms *.mcr)\n\
</pre></div><p>This is the default set of files to search through using the Find in Files command.</p>\n\
<p>The <span class=\'code\'>find.files</span> property can contain a list of sets of files separated by &#39;|&#39; like &quot;<em>.cxx </em>.h|<em>.py </em>.pyw|*.html&quot; that adds three entries to the history and uses the first as the default value.</p>\n\
<p>The evaluation of this setting is a little unusual in that each entry in the value from the property files is appended to the end of the history if that entry is not already present. This means that opening files from different directories will result in any local setting of find.files being added to the list.</p>\n\
<div class=\'codeBlock\'><pre>find.in.dot (MAXScript default: not set)\n\
</pre></div><p>If <span class=\'code\'>find.in.dot</span> is 1 then Find in Files searches in directories that start with &#39;.&#39;. The default behavior is to prevent the Editor from finding matches in the unmodified versions of files kept by Subversion in .svn subdirectories.</p>\n\
<div class=\'codeBlock\'><pre>find.in.binary (MAXScript default: not set)\n\
</pre></div><p>If <span class=\'code\'>find.in.binary</span> is 1 then Find in Files displays matches in binary files.</p>\n\
<p>For Find in Files, a binary file is a file that contains a NUL byte in the first 64K block read from the file.</p>\n\
<div class=\'codeBlock\'><pre>find.in.files.close.on.find (MAXScript default: not set)\n\
</pre></div><p>Set to 0 to prevent the Find in Files dialog from closing when &quot;Find&quot; is pressed.</p>\n\
<div class=\'section\'><a id=\"comment-properties\"></a><h2 id=\"comment-properties\">Comment Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>comment.block.&lt;lexer&gt; (MAXScript default: set internally)\n\
comment.block.at.line.start.&lt;lexer&gt; (MAXScript default: set internally)\n\
comment.stream.start.&lt;lexer&gt; (MAXScript default: set internally)\n\
comment.stream.end.&lt;lexer&gt; (MAXScript default: set internally)\n\
comment.box.start.&lt;lexer&gt; (MAXScript default: set internally)\n\
comment.box.middle.&lt;lexer&gt; (MAXScript default: set internally)\n\
comment.box.end.&lt;lexer&gt; (MAXScript default: set internally)\n\
</pre></div><p>These settings are for the comment commands in the Edit menu and are defined separately for each lexer. Not all languages support both stream and block comments.</p>\n\
<p>Block comments are comments that start with a particular string and continue until the end of line. The <span class=\'code\'>comment.block</span> property sets the string to be inserted or deleted at the start of the selected lines when the Block Comment or Uncomment command is performed. To make this command perform sensibly over a range of text that already contains comments and other code, the string can be defined to contain a character such as, &#39;~&#39; that is not used in real comments.</p>\n\
<p>Set <span class=\'code\'>comment.block.at.line.start</span> to &quot;1&quot; to place block comment symbols at the start of the lines, instead of just before the first non-blank character of the lines.</p>\n\
<p>Stream comments start with a particular string and end with another particular string and might continue over line ends. These are defined with <span class=\'code\'>comment.stream.start</span> and <span class=\'code\'>comment.stream.end</span> .</p>\n\
<p>Box comments are a form of stream comment that takes several lines and uses different strings for the start, end, and other lines in the range. These are defined with <span class=\'code\'>comment.box.start</span> , <span class=\'code\'>comment.box.middle</span> , and <span class=\'code\'>comment.stream.end</span> .</p>\n\
<div class=\'section\'><a id=\"scrollbars-properties\"></a><h2 id=\"scrollbars-properties\">Scrollbars Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>horizontal.scrollbar (MAXScript default: not set)\n\
horizontal.scroll.width (MAXScript default: not set)\n\
end.at.last.line (MAXScript default:)\n\
</pre></div><p>If <span class=\'code\'>horizontal.scrollbar</span> set to 0 then the edit pane&#39;s horizontal scrollbar is not displayed.</p>\n\
<p><span class=\'code\'>horizontal.scroll.width</span> is the document width assumed for scrolling.</p>\n\
<p>The vertical scroll range is normally set so that maximum scroll position has the last line at the bottom of the view. Set <span class=\'code\'>end.at.last.line</span> to 0 to allow scrolling one page below the last line.</p>\n\
<div class=\'section\'><a id=\"output-pane\"></a><h2 id=\"output-pane\">Output Pane</h2></div>\n\
<div class=\'codeBlock\'><pre>split.vertical (MAXScript default: 1)\n\
output.horizontal.size (MAXScript default: 200)\n\
output.vertical.size (MAXScript default: 60)\n\
output.initial.hide (MAXScript default: 1)\n\
</pre></div><p>If <span class=\'code\'>split.vertical</span> is set to 1, the output pane is to the right of the editing pane. If set to 0, the output pane is below the editing pane.</p>\n\
<p>The <span class=\'code\'>output.*.size</span> settings determine the initial size of the output pane.</p>\n\
<p>If <span class=\'code\'>output.initial.hide</span> is 1, then the output pane is hidden when SciTE first starts up even when <span class=\'code\'>output.*.size</span> is set; otherwise the output pane is shown at startup.</p>\n\
<div class=\'codeBlock\'><pre>output.horizontal.scrollbar (MAXScript default: 0)\n\
output.horizontal.scroll.width (MAXScript default: 10000)\n\
</pre></div><p>If output.horizontal.scrollbar is set to 0, the Output pane&#39;s horizontal scrollbar is not displayed.</p>\n\
<p>The <span class=\'code\'>output.horizontal.scroll.width</span> is the Output width assumed for scrolling.</p>\n\
<div class=\'codeBlock\'><pre>output.scroll (MAXScript default: 0)\n\
</pre></div><p>To stop the output pane from automatically scrolling, set <span class=\'code\'>output.scroll</span> to 0.</p>\n\
<p>To have the output pane scroll and return back to the line of the executed command, set <span class=\'code\'>output.scroll</span> to 1.</p>\n\
<p>If you want the output pane to scroll and remain at the bottom after execution, set <span class=\'code\'>output.scroll</span> to 2.</p>\n\
<div class=\'section\'><a id=\"status-bar-properties\"></a><h2 id=\"status-bar-properties\">Status Bar Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>statusbar.visible (MAXScript default: 1)\n\
</pre></div><p>Setting this to 1 makes the status bar visible at start up.</p>\n\
<div class=\'codeBlock\'><pre>statusbar.number (MAXScript default: 4)\n\
statusbar.text.&lt;number&gt; (MAXScript default: see link below)\n\
</pre></div><p>The <span class=\'code\'>statusbar.text.1</span> option defines the information displayed in the status bar by default on all platforms.</p>\n\
<p>Property values might be used in this text using the $() syntax.</p>\n\
<p>Commonly used properties are: <span class=\'code\'>ReadOnly</span> , <span class=\'code\'>EOLMode</span> , <span class=\'code\'>BufferLength</span> , <span class=\'code\'>NbOfLines</span> (in buffer), <span class=\'code\'>SelLength</span> (chars), and <span class=\'code\'>SelHeight</span> (lines).</p>\n\
<p>Extra properties defined for the status bar are <span class=\'code\'>LineNumber</span> , <span class=\'code\'>ColumnNumber</span> , and <span class=\'code\'>OverType</span> , which is either &quot;OVR&quot; or &quot;INS&quot; depending on the overtype status.</p>\n\
<p>You can also use file properties, which unlike those above are not updated on each keystroke: <span class=\'code\'>FileName</span> or <span class=\'code\'>FileNameExt</span> , <span class=\'code\'>FileDate</span> and <span class=\'code\'>FileTime</span> , and <span class=\'code\'>FileAttr</span> .</p>\n\
<p>You can also use <span class=\'code\'>CurrentDate</span> and <span class=\'code\'>CurrentTime</span> to display the system date and time.</p>\n\
<p>Further status bars might be set as <span class=\'code\'>statusbar.text.2</span> and so on. You can cycle between them by clicking the status bar.</p>\n\
<p>The <span class=\'code\'>statusbar.number</span> option defines how many texts are to be cycled through.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\' title=\'\'>MAXScript Editor - Defining Custom Status Bars</a> for more details.</p>\n\
<div class=\'section\'><a id=\"auto-complete-and-abbreviations-properties\"></a><h2 id=\"auto-complete-and-abbreviations-properties\">Auto-Complete and Abbreviations Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>abbreviations.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>Loads an abbreviations file for a particular language, overriding the default abbreviations file.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` abbreviations.*.MAXScript=$(SciteUserHome)/my_mxs_abbrev.properties</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>api.&lt;filepattern&gt; (MAXScript default: not set)\n\
</pre></div><p>Loads a set of API files for a particular language.</p>\n\
<p>If there is more than one API file then the file names are separated by &#39;;&#39;.</p>\n\
<p>API files contain a sorted list of identifiers and function prototypes, one per line.</p>\n\
<p>The &quot;Complete Symbol&quot; command looks at the characters before the caret and displays the subset of the API file starting with that string.</p>\n\
<p>When an opening brace is typed, the file is searched for the text preceding the caret and if a function prototype is found then it is displayed as a calltip.</p>\n\
<p>Note: As of <strong>3ds Max 2020.1 Update</strong>, when <span class=\'code\'>autocomplete.MAXScript.useautogeneratedapi=1</span> is set in the MAXScript.properties file, the API keyword list generated by 3ds Max on startup is also used along with any API files specified by this setting.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` api.*.c=w.api</p>\n\
<p>```</p>\n\
<p>can be used with a w.api file containing</p>\n\
<p>``` fclose (FILE* fileClose) FILE fopen (const char* szFileName, const char* szMode) fpos_t fread (void* buf, size_t size, size_t count, FILE* file) fseek (FILE* file, long lnOffset, int nOrigin)</p>\n\
<p>```</p>\n\
<p>to provide auto-completion and calltips for some of the C file functions.</p>\n\
<p>It is best to use the full path to the API file as otherwise the current directory is used.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>autocomplete.choose.single (MAXScript default: 0)\n\
</pre></div><p>When set to 1 and an auto-completion list is invoked and there is only one element in that list then that element is automatically chosen.</p>\n\
<p>This means that the matched element is inserted and the list is not displayed.</p>\n\
<div class=\'codeBlock\'><pre>autocompleteword.automatic (MAXScript default: 1)\n\
</pre></div><p>If this setting is 1 when typing a word and if only one word in the document starts with that string, an auto completion list is displayed with that word, so it can be chosen by pressing Tab.</p>\n\
<div class=\'codeBlock\'><pre>autocomplete.&lt;lexer&gt;.ignorecase (MAXScript default: 1)\n\
autocomplete.*.ignorecase (MAXScript default: not set)\n\
</pre></div><p>When set to 1 the API file is searched in a case insensitive way to find elements for auto-completion lists.</p>\n\
<p>Otherwise, matches only occur if case also matches.</p>\n\
<p>The * form is used if there is no <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a> specific setting.</p>\n\
<div class=\'codeBlock\'><pre>autocomplete.&lt;lexer&gt;.start.characters (MAXScript default: $(chars.alpha)$(chars.numeric)_#.)\n\
autocomplete.*.start.characters (MAXScript default: not set)\n\
</pre></div><p>If this setting is not empty, typing any of the characters will cause auto completion to start.</p>\n\
<p>For example, if <span class=\'code\'>autocomplete.MAXScript.start.characters</span> =. and the API file for MAXScript contains &quot;meshop.getVert&quot; and &quot;meshop.getFace&quot;, then typing &quot;meshop.&quot; will cause the auto-completion to display both identifiers.</p>\n\
<p>The * form is used if there is no <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a> specific setting.</p>\n\
<div class=\'codeBlock\'><pre>autocomplete.&lt;lexer&gt;.fillups (MAXScript default: not set)\n\
autocomplete.*.fillups (MAXScript default: not set)\n\
</pre></div><p>If this setting is not empty, typing any of the characters will cause auto-completion to complete.</p>\n\
<p>For example, if <span class=\'code\'>autocomplete.MAXScript.fillups=Space</span> and the API file for MAXScript contains &quot;meshop.getVert&quot;, then typing &quot;meshop.g&quot; will cause &quot;meshop.getVert&quot; to be inserted.</p>\n\
<p>The * form is used if there is no <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a> specific setting.</p>\n\
<div class=\'codeBlock\'><pre>calltip.&lt;lexer&gt;.ignorecase (MAXScript default: not set)\n\
calltip.*.ignorecase (MAXScript default: not set)\n\
</pre></div><p>When set to 1 the API file is searched in a case insensitive way to find the function that will have its signature displayed as a calltip.</p>\n\
<p>The * form is used if there is no <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a> specific setting.</p>\n\
<div class=\'codeBlock\'><pre>calltip.&lt;lexer&gt;.word.characters (MAXScript default: not set)\n\
calltip.*.word.characters (MAXScript default: not set)\n\
</pre></div><p>To determine the identifier to look up for calltips, a search is performed allowing the characters in this set to be included in the identifier. While the same setting can be used as for <span class=\'code\'>word.characters</span> , sometimes additional characters might be allowed.</p>\n\
<p>For example, in Python, &#39;.&#39; is not normally considered part of a word when selecting text, but it is good to allow &quot;string.replace&quot; to show a calltip, so <span class=\'code\'>calltip.python.word.characters=._$(chars.alpha)</span> will be a reasonable setting.</p>\n\
<p>The * form is used if there is no <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a> specific setting.</p>\n\
<div class=\'codeBlock\'><pre>calltip.&lt;lexer&gt;.parameters.start (MAXScript default: not set)\n\
calltip.&lt;lexer&gt;.parameters.end (MAXScript default: not set)\n\
calltip.&lt;lexer&gt;.parameters.separators (MAXScript default: not set)\n\
calltip.*.parameters.start (MAXScript default: not set)\n\
calltip.*.parameters.end (MAXScript default :not set)\n\
calltip.*.parameters.separators (MAXScript default :not set)\n\
</pre></div><p>Allows you to specify characters which start, end, and separate parameters.</p>\n\
<p>For most common languages, it is usually left brace for start, right brace for end, and comma or semicolon for separator.</p>\n\
<p>For example, CSS has colon for start, space for separator, and nothing for end. You can specify more characters for each property.</p>\n\
<p>The * form is used if there is no <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a> specific setting.</p>\n\
<div class=\'codeBlock\'><pre>calltip.&lt;lexer&gt;.end.definition (MAXScript default: not set)\n\
calltip.*.end.definition (MAXScript default :not set)\n\
</pre></div><p>API files might contain explanatory text after each function definition.</p>\n\
<p>To display the explanation on a second line, set this property to the character used at the end of the definition part.</p>\n\
<p>For most languages, this is &#39;)&#39;.</p>\n\
<p>The * form is used if there is no <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Lexer.html\' title=\'\'>lexer</a> specific setting.</p>\n\
<div class=\'codeBlock\'><pre>xml.auto.close.tags (MAXScript default: not set)\n\
</pre></div><p>For XML and HTML, setting this property to 1 will automatically insert the corresponding end tag when &#39;&gt;&#39; is typed to end a start tag.</p>\n\
<p>Type &quot;<span class=\'code\'>&lt;td&gt;</span>&quot; and the result will be &quot;<span class=\'code\'>&lt;td&gt;&lt;/td&gt;</span>&quot; with the caret placed between the tags.</p>\n\
<div class=\'codeBlock\'><pre>html.tags.case.sensitive (MAXScript default: not set)\n\
</pre></div><p>For XML and HTML, setting this property to 1 will make tags match in a case sensitive way, which is the expected behavior for XML and XHTML.</p>\n\
<div class=\'section\'><a id=\"user-shortcuts-properties\"></a><h2 id=\"user-shortcuts-properties\">User Shortcuts Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>user.shortcuts (MAXScript default: see link below)\n\
</pre></div><p>Defines keyboard shortcuts to perform custom commands. This is a &#39;|&#39; delimited list of keys and the commands they produce.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-1.html\' title=\'\'>MAXScript Editor - Defining Custom Keyboard Shortcuts</a> for details.</p>\n\
<div class=\'section\'><a id=\"user-context-menu-properties\"></a><h2 id=\"user-context-menu-properties\">User Context Menu Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>user.context.menu (MAXScript default: not set)\n\
</pre></div><p>Defines additional commands for the context menu.</p>\n\
<p>This is a &#39;|&#39; delimited list of menu items and the commands they produce with commands defined as in <span class=\'code\'>user.shortcuts</span> .</p>\n\
<p>An empty item produces a separator.</p>\n\
<div class=\'codeBlock\'><pre>user.context.menu=\\ | |\\ Next File|IDM_NEXTFILE|\\ Prev File|IDM_PREVFILE|\n\
</pre></div><div class=\'section\'><a id=\"wrap-properties\"></a><h2 id=\"wrap-properties\">Wrap Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>wrap (MAXScript default: not set)\n\
</pre></div><p>If wrap is set to 1, the edit pane is dynamically line wrapped.</p>\n\
<p>This option has a high performance cost that is proportional to the amount of text, so it must be turned off for large documents on slow machines.</p>\n\
<div class=\'codeBlock\'><pre>wrap.style (MAXScript default: not set)\n\
</pre></div><p>Chooses between word wrapping (1, the default) and character wrapping (2).</p>\n\
<p>Character wrapping is a better choice for Asian languages with no spaces between words.</p>\n\
<div class=\'codeBlock\'><pre>wrap.visual.flags (MAXScript default: not set)\n\
</pre></div><p>Flags to display markers at end and start of wrapped lines to visual identify them.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - do not display markers (default)</p>\n\
<p>1 - display markers at end of wrapped lines</p>\n\
<p>2 - display markers at start of wrapped lines</p>\n\
<p>3 - display markers at start and end.</p>\n\
<div class=\'codeBlock\'><pre>wrap.visual.flags.location (MAXScript default: not set)\n\
</pre></div><p>Flags to set the location of the display markers (if enabled) near to text or near to border.</p>\n\
<p>0 - display begin and end markers near to border (default)</p>\n\
<p>1 - display end markers near text,</p>\n\
<p>2 - display begin markers near text</p>\n\
<p>3 - display all markers near text.</p>\n\
<div class=\'codeBlock\'><pre>wrap.visual.startindent (MAXScript default: not set)\n\
</pre></div><p>Sets the indentation of continued wrapped lines to visually identify the wrapping.</p>\n\
<p>Default is 0 (no indentation).</p>\n\
<p>Note: If <span class=\'code\'>wrap.visual.flags</span> is 2 or 3 (begin marker displayed), the line is indented at least 1, even if <span class=\'code\'>wrap.visual.startindent</span> is still 0.</p>\n\
<div class=\'codeBlock\'><pre>wrap.aware.home.end.keys (MAXScript default: not set)\n\
</pre></div><p>This property changes the behavior of the home and end keys when dynamic line wrapping is turned on. When set to 0 (the default), the Home and End keys will move the caret to the very beginning/end of the &#39;logical&#39; line, whether or not the line is wrapped over multiple lines in the display.</p>\n\
<p>When this property is set to 1, the caret moves to the end of the current &#39;display&#39; line if you press End once, or to the very end of the &#39;logical&#39; line if you press End again.</p>\n\
<p>Likewise, the Home key moves first to the beginning of the &#39;display&#39; line, then on to the very beginning of the line.</p>\n\
<p>In a window where dynamic line-wrapping is not enabled, this setting has no effect.</p>\n\
<div class=\'section\'><a id=\"editor-performance-related-properties\"></a><h2 id=\"editor-performance-related-properties\">Editor Performance-Related Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>cache.layout (MAXScript default: not set)\n\
output.cache.layout (MAXScript default: not set)\n\
</pre></div><p>A large proportion of the time spent in the editor is used to lay out text prior to drawing it. This information often stays static between repaints, so can be cached with these settings.</p>\n\
<p>There are four levels of caching:</p>\n\
<p>0 - no caching</p>\n\
<p>1 - caches the line that the caret is on</p>\n\
<p>2 - caches the visible page as well as the caret</p>\n\
<p>3 - caches the whole document</p>\n\
<p>The more that is cached, the greater the amount of memory used, with 3 using large amounts of memory, 7 times the size of the text in the document.</p>\n\
<p>However, level 3 dramatically speeds up dynamic wrapping by around 25 times on large source files, so is a very good option to use when wrapping is turned on and memory is plentiful.</p>\n\
<div class=\'codeBlock\'><pre>use.palette (MAXScript default: 0)\n\
</pre></div><p>Setting this to 1 makes the Editor use a palette to enable it to display more colors on 8 bit displays.</p>\n\
<p>Without this option the Editor will only display with colors already available, which is normally the 20 color Windows system palette.</p>\n\
<p>The downside of turning on this option is that there will be some flashing as windows are activated.</p>\n\
<div class=\'section\'><a id=\"brace-bracket-properties\"></a><h2 id=\"brace-bracket-properties\">Brace / Bracket Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>braces.check (MAXScript default: 1)\n\
braces.sloppy (MAXScript default: 1)\n\
style.&lt;lexer&gt;.34 (MAXScript default: not set, using global def. above)\n\
style.&lt;lexer&gt;.35 (MAXScript default: not set, using global def. above)\n\
braces.&lt;lexer&gt;.style (MAXScript default: not set)\n\
</pre></div><p>Brace (Bracket) highlighting is a feature that shows the range of a brace when the caret is positioned immediately after it. It is especially useful when complex nested braces are used.</p>\n\
<p>The characters &#39;(&#39;, &#39;)&#39;, &#39;[&#39;, &#39;]&#39;, &#39;{&#39;, and &#39;}&#39; are considered braces.</p>\n\
<p>The feature defaults to off unless braces.check is set to 1.</p>\n\
<p>If braces.sloppy is set to 1 and there is no brace before the caret, then the character after the caret is checked.</p>\n\
<p>The highlighting is performed by displaying the braces in style number 34 or in style number 35 if there is no matching brace.</p>\n\
<p>While this is a full style, to avoid partial display of the braces, it is best to make this style differ from the standard style of braces only in foreground and background color.</p>\n\
<p>Only braces with style set to braces.<lexer>.style (which defaults to 0) are candidates for brace match highlighting.<p>\n\
<div class=\'section\'><a id=\"print-properties\"></a><h2 id=\"print-properties\">Print Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>print.magnification (MAXScript default: -1)\n\
</pre></div><p>Printing is normally done with the same settings as screen display.</p>\n\
<p>To make the printing larger or smaller, the print.magnification setting is added to the size of every font when printed.</p>\n\
<p>To get a good miniaturization of text, set print.magnification to -4.</p>\n\
<div class=\'codeBlock\'><pre>print.colour.mode (MAXScript default: not set)\n\
</pre></div><p>Some people prefer light colored text on a black background on screen, but dark text on white on paper.</p>\n\
<p>Possible values are:</p>\n\
<p>0 (default) - print as is</p>\n\
<p>1 - each color is inverted for printing</p>\n\
<p>2 - printing produces black text on white background</p>\n\
<p>3 - forces the background to white</p>\n\
<p>4 - forces the default background to white</p>\n\
<div class=\'codeBlock\'><pre>print.margins (MAXScript default:1500,1000,1000,1500)\n\
</pre></div><p>Specify the default margins on the printer on Windows in left right top bottom order. Units depends on your locale, either hundredths of millimeters or thousandths of inches. You can see which units by the units used in the page setup dialog.</p>\n\
<p>This property is only read at start up.</p>\n\
<div class=\'codeBlock\'><pre>print.header.format (MAXScript default: see below)\n\
print.footer.format (MAXScript default: see below)\n\
</pre></div><p>These settings determine what will be printed if anything as headers and footers. Property settings can be substituted into the values using the $(property) syntax. There are some extra properties set up while printing: CurrentPage, FileTime, FileDate, CurrentDate, and CurrentTime (at start of printing). Common properties to use in headers and footers are FileNameExt and FilePath.</p>\n\
<p>A header setting might look like:</p>\n\
<p><span class=\'code\'>print.header.format=$(FileNameExt) - Printed on $(CurrentDate),$(CurrentTime) - Page $(CurrentPage)</span></p>\n\
<div class=\'section\'><a id=\"shipping-defaults-set-in-the-filemxs_editor.properties\"></a><h3 id=\"shipping-defaults-set-in-the-filemxs_editor.properties\">Shipping defaults set in the fileMXS_Editor.properties:</h3></div>\n\
<p><span class=\'code\'>print.header.format=$(FileNameExt) &amp;emdash; Printed on $(CurrentDate), $(CurrentTime) &amp;emdash; Page $(CurrentPage)</span> <span class=\'code\'>print.footer.format=$(FilePath) &amp;emdash; File date: $(FileDate) &amp;emdash; File time: $(FileTime)</span></p>\n\
<div class=\'codeBlock\'><pre>print.header.style (MAXScript default:)\n\
print.footer.style (MAXScript default:)\n\
</pre></div><p>These settings determine the style of the header and footer using the same format as other styles in the Editor. Only the fore, back, font, size, bold, italics, and underlined attributes are supported.</p>\n\
<div class=\'section\'><a id=\"shipping-defaults-set-in-the-filemxs_editor.properties-1\"></a><h2 id=\"shipping-defaults-set-in-the-filemxs_editor.properties-1\">Shipping defaults set in the fileMXS_Editor.properties:</h2></div>\n\
<div class=\'codeBlock\'><pre>print.header.style=font:Arial,size:12,bold\n\
print.footer.style=font:Arial Narrow,size:10,italics\n\
</pre></div><div class=\'section\'><a id=\"export-properties\"></a><h2 id=\"export-properties\">Export Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>export.keep.ext (MAXScript default: not set)\n\
</pre></div><p>This property determines how the file name is transformed when exporting to include the appropriate export format extension - .html for HTML and .rtf for RTF.</p>\n\
<p>If export.keep.ext is the default, 0, the current extension is replaced (LineMarker.html).</p>\n\
<p>If it is 1, the export format extension is added (LineMarker.ms.rtf).</p>\n\
<p>If it is 2, the final &#39;.&#39; is replaced by &#39;_&#39; and the export format extension is added (LineMarker_ms.rtf).</p>\n\
<div class=\'codeBlock\'><pre>export.html.wysiwyg (MAXScript default: 1)\n\
export.html.tabs (MAXScript default: not set)\n\
export.html.folding (MAXScript default: not set)\n\
export.html.styleused (MAXScript default: 1)\n\
export.html.title.fullpath (MAXScript default: not set)\n\
</pre></div><p>When export.html.wysiwyg is set to 0, then exporting to a HTML file produces a smaller file, but which is less completely specified, so may look more different to the on screen display. When export.html.tabs is set to 1 and export.html.wysiwyg is set to 0, then tab characters in the file are exported as tab characters rather than a sequence of space characters. The exported file can be made to fold in browsers that support CSS well (Mozilla and Internet Explorer) by setting export.html.folding to 1. Only export styles actually used when export.html.styleused set to 1. The full path name of the file is put in the title, instead of just the file name when export.html.title.fullpath set to 1.</p>\n\
<div class=\'codeBlock\'><pre>export.rtf.wysiwyg (MAXScript default: not set)\n\
export.rtf.tabs (MAXScript default: not set)\n\
export.rtf.font.face (MAXScript default: not set)\n\
export.rtf.font.size (MAXScript default: not set)\n\
export.rtf.tabsize (MAXScript default: not set)\n\
</pre></div><p>When export.rtf.wysiwyg is set to 0, then exporting to a RTF file produces a smaller file, but which is less completely specified, so may look more different to the on screen display. When export.rtf.tabs is set to 1 and export.rtf.wysiwyg is set to 0, then tab characters in the file are exported as tab characters rather than a sequence of space characters. export.rtf.font.face and export.rtf.font.size can be used to select a particular font and size for the exported RTF file. export.rtf.tabsize can be set to use a different tab size than that defined by the tab size setting.</p>\n\
<div class=\'codeBlock\'><pre>export.pdf.magnification (MAXScript default: 0)\n\
export.pdf.font (MAXScript default:Helvetica)\n\
export.pdf.pagesize (MAXScript default:595,842)\n\
export.pdf.margins (MAXScript default:72,72,72,72)\n\
</pre></div><p><span class=\'code\'>export.pdf.magnification</span> is a value that is added to the font size of the default screen style in use. A positive value increases the PDF document&#39;s font size, and vice versa.</p>\n\
<p><span class=\'code\'>export.pdf.font</span> accepts a one-word parameter that selects one of the default PDF fonts: Courier, Helvetica, or Times. Helvetica is the default. Helvetica and Times do not line wrap, Courier line wraps.</p>\n\
<p><span class=\'code\'>export.pdf.pagesize</span> is used to set the document&#39;s page size, using points (1/72th of an inch) as the unit. For example, Letter paper (8.5 inch x 11 inch) is specified using the values 612,792.</p>\n\
<p><span class=\'code\'>export.pdf.margins</span> sets the widths of the page margins. Margins defaults to 72 points or 1 inch. The PDF exporter is necessarily feature-limited because PDF is a document archival format. Supporting a full set of features will bloat SciTE. Wrapping Helvetica or Times adequately is not possible without the complexities of font metrics and kerning. The PDF produced uses WinAnsiEncoding, so pre-encoding has to be done before exporting to PDF, if you want to use extended characters.</p>\n\
<div class=\'codeBlock\'><pre>export.xml.collapse.spaces (MAXScript default: 1)\n\
export.xml.collapse.lines (MAXScript default: 1)\n\
</pre></div><p>These flags control how empty lines and runs of space characters are converted into XML. The flags are enabled if set to 1. Tab characters are always converted by the XML exporter into spaces according to the tab size property.</p>\n\
<div class=\'section\'><a id=\"language-properties\"></a><h2 id=\"language-properties\">Language Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>translation.missing (MAXScript default: not set)\n\
</pre></div><p>When using a localized version, if a term is not found in the locale.properties translation file, then use the value of translation.missing instead. By setting this to a marker such as, &quot;***&quot; it is easier to check where terms have not been provided with translations.</p>\n\
<div class=\'codeBlock\'><pre>menu.language (MAXScript default: see below)\n\
</pre></div><p>Defines the entries in the Language menu and the file extensions they map to.</p>\n\
<p>Each menu item is defined by 3 elements, language name, extension, and an optional keyboard equivalent.</p>\n\
<p>Each element is terminated by &#39;|&#39;.</p>\n\
<p>For example:</p>\n\
<p>H&amp;ypertext|html|F12|</p>\n\
<p>Menu items might be commented out by prefixing the name with &#39;#&#39;.</p>\n\
<div class=\'section\'><a id=\"shipping-defaults-set-in-the-filemxs_editor.properties-2\"></a><h4 id=\"shipping-defaults-set-in-the-filemxs_editor.properties-2\">Shipping defaults set in the fileMXS_Editor.properties:</h4></div>\n\
<div class=\'codeBlock\'><pre>menu.language=\\\n\
Text|txt|Shift+F11|\\\n\
MAXScript|ms| |\\\n\
Properties|properties| |\\\n\
Hypertext|html| |\\\n\
XML|xml| |\n\
\n\
</pre></div><div class=\'section\'><a id=\"warning-sounds-properties\"></a><h2 id=\"warning-sounds-properties\">Warning Sounds Properties</h2></div>\n\
<div class=\'codeBlock\'><pre>warning.findwrapped (MAXScript default: not set)\n\
warning.notfound (MAXScript default: not set)\n\
warning.wrongfile (MAXScript default: not set)\n\
warning.executeok (MAXScript default: not set)\n\
warning.executeko (MAXScript default: not set)\n\
warning.nootherbookmark (MAXScript default: not set)\n\
</pre></div><p>Allows for sounds to be played and the window to be flashed when particular events occur.</p>\n\
<p>The values consist of three items separated by &#39;,&#39;:</p>\n\
<p>flash duration, sound, and sound duration.</p>\n\
<p>If sound is a number, then it is treated as a pitch and played for the duration in milliseconds.</p>\n\
<p>Otherwise, it is treated as a path to a sound file that is played.</p>\n\
<p>If you do not want a flash, specify 0 for flash duration.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` warning.wrongfile=0,C:\\Windows\\Media\\SFX\\Glass.wav</p>\n\
<p>```</p>\n\
<p>will play the glass sound if open selected is given a bad file name.</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>warning.findwrapped</span> warning occurs when a find operation wraps past either end of the file.</p>\n\
<p>The <span class=\'code\'>warning.notfound</span> warning occurs when the find fails to find a match.</p>\n\
<p>The <span class=\'code\'>warning.executeok</span> warning occurs when a command executes successfully.</p>\n\
<p>The <span class=\'code\'>warning.executeko</span> warning occurs when a command fails.</p>\n\
<p>The <span class=\'code\'>warning.nootherbookmark</span> warning occurs when there is no bookmark to find.</p>\n\
<div class=\'section\'><a id=\"source-control-integration\"></a><h2 id=\"source-control-integration\">Source Control Integration</h2></div>\n\
<div class=\'codeBlock\'><pre>sourcecontrol.command (MAXScript default: not set)\n\
</pre></div><p>Defines the location of the external source control program, for example, Perforce, TortoiseSVN/Subversion, and so on.</p>\n\
<div class=\'codeBlock\'><pre>sourcecontrol.add.command (MAXScript default: not set)\n\
</pre></div><p>Defines the command to add a file to the external version control system.</p>\n\
<div class=\'codeBlock\'><pre>sourcecontrol.remove.command (MAXScript default: not set)\n\
</pre></div><p>Defines the command to remove a file from the external version control system.</p>\n\
<div class=\'codeBlock\'><pre>sourcecontrol.checkin.command (MAXScript default: not set)\n\
</pre></div><p>Defines the command to check in a file into the external version control system.</p>\n\
<div class=\'codeBlock\'><pre>sourcecontrol.checkout.command (MAXScript default: not set)\n\
</pre></div><p>Defines the command to check out a file from the external version control system.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>The following is the default (but remarked) setup for Perforce as the external source control application:</p>\n\
<p>``` # Source Control sourcecontrol.command=&quot;C:\\Program Files\\Perforce\\p4.exe&quot; sourcecontrol.add.command=\\((sourcecontrol.command) add &quot;\\)(FilePath)&quot; sourcecontrol.remove.command=\\((sourcecontrol.command) delete &quot;\\)(FilePath)&quot; sourcecontrol.checkin.command=\\((sourcecontrol.command) submit &quot;\\)(FilePath)&quot; sourcecontrol.checkout.command=\\((sourcecontrol.command) edit &quot;\\)(FilePath)&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
</lexer>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";