var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Edit Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Edit Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---edit-menu\"></a></div>\n\
<p>The <strong>Edit menu</strong> of the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> contains commands for undoing/redoing changes, copying, deleting and selecting text, as well as tools for bracket-matching, auto-completing words, commenting and case-changing.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-BB8C1C9C-F058-4D4D-8D33-6F72A83B79CF-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p><strong>Undo (CTRL+Z)</strong> - undoes the last change to the current Window. Each Editor Window has its own independent Undo buffer. Default number of Undo operations is 500.</p></li>\n\
<li><p><strong>Redo (CTRL+Y)</strong> - takes back the latest undo operations.</p></li>\n\
<li><p><strong>Cut (CTRL+X)</strong> - cuts the currently selected text, removing it from the Editor and placing it into the Windows Clipboard.</p></li>\n\
<li><p><strong>Copy (CTRL+C)</strong> - copies the currently selected text, leaving it in the Editor and placing a copy into the Windows Clipboard.</p></li>\n\
<li><p><strong>Copy as RTF</strong> - copies the currently selected text to the Windows Clipboard using Rich Text Formatting to preserve syntax coloring and fonts.</p></li>\n\
<li><p><strong>Paste (CTRL+V)</strong> inserts the content of the Windows Clipboard at the current cursor position.</p></li>\n\
<li><p><strong>Select All (CTRL+A)</strong> - selects all text in the current Editor Window.</p></li>\n\
<li><p><strong>Duplicate (CTRL+SHIFT+D)</strong> - duplicates the current selection, placing the copy directly after the source.</p></li>\n\
<li><p><strong>Delete (Del)</strong> - deletes the currently selected text.</p></li>\n\
<li><p><strong>Delete All (CTRL+Alt+D-</strong> - deletes all text from the current Editor Window.</p></li>\n\
<li><p><strong>Match Brace (CTRL+B)</strong>-jumps to the corresponding second parenthesis, bracket or brace.</p></li>\n\
<li><p><strong>Select to Brace (CTRL+SHIFT+B)</strong> - selects the text from the current opening or closing parenthesis, bracket or brace to the second one in the pair.</p></li>\n\
<li><p><strong>Complete Word (CTRL+ENTER)</strong> - provides auto-completion hints by popping up a window with possible words.</p>\n\
<ul>\n\
<li><p>This feature uses the currently edited file as the source of suggestions, in other words once you have used a keyword in your code, you can use auto-complete to type it faster a second time. It does <strong>not</strong> use the internal list of MAXScript keywords.</p></li>\n\
<li><p>The word should be partially written.For example, typing in &quot;format&quot; and &quot;for&quot; and then entering &quot;fo&quot; would provide both &quot;for&quot; and &quot;format&quot; as suggestions, while entering &quot;for&quot; will suggest only &quot;format&quot; because &quot;for&quot; is already completed.Similartly, having just &quot;for&quot; in the document and typing in &quot;for&quot; a second time will provide no suggestion because &quot;for&quot; IS the complete word. Having only &quot;format&quot; but not &quot;for&quot; in the document and asking for suggestions after typing in &quot;for&quot; will provide &quot;format&quot; as possible complete word.</p></li>\n\
</ul></li>\n\
<li><p><strong>Expand Abbreviation (CTRL+SHIFT+A)</strong> - expands a pre-defined abbreviation. Abbreviations can be defined in the file <strong>MXS_Editor_Abbrev.properties</strong> which is quickly accessible via the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\' title=\'\'>Tools</a> &gt; <strong>Open Abbreviations File</strong> Editor Menu option. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-And.html\' title=\'\'>MAXScript Editor - Defining And Using Abbreviations</a> for details.</p></li>\n\
<li><p><strong>Insert Abbreviation (CTL+SHIFT+R)</strong> - inserts a pre-defined abbreviation using a dialog listing all abbreviations in a list box which also allows the typing of an abbreviation.</p></li>\n\
<li><p><strong>Block Comment or Uncomment (CTRL+Q)</strong> - adds AND removes -- comment characters in front of all selected lines.</p></li>\n\
<li><p><strong>Box Comment (CTRL+SHIFT+C)</strong> - adds /* <em>/ comment characters in the beginning and end of the currently selected text and </em> in front of every line.Other than Block Comments, it cannot be removed using the same command, the operation can either be undone or the comment characters have to be deleted manually. It can be used to create comment boxes, for example for script headers, like</p>\n\
<blockquote>\n\
<p><span class=\'code\'>/*   * THIS IS AN EXAMPLE OF BOX COMMENT   * And this is the end   * Version 2008   */</span></p>\n\
</blockquote></li>\n\
<li><p><strong>Stream Comment (CTRL+SHIFT+Q)</strong> - adds /* */ comment characters in the beginning and end of the currently selected text. Other than Block Comments, it cannot be removed using the same command, the operation can either be undone or the comment characters have to be deleted manually.</p></li>\n\
<li><p><strong>Make Selection Uppercase (CTRL+SHIFT+U)</strong> - capitalizes the currently selected text, for example &quot;This is a MAXScript example&quot; will be changed to &quot;THIS IS A MAXSCRIPT EXAMPLE&quot;.</p></li>\n\
<li><p><strong>Make Selection Lowercase (CTRL+U)</strong> - changes the currently selected text to lower case, for example &quot;This is a MAXScript example&quot; will be changed to &quot;this is a maxscript example&quot;</p></li>\n\
</ul>\n\
<p><strong>Previous Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-File-Menu.html\' title=\'\'>MAXScript Editor - File Menu</a></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\' title=\'\'>MAXScript Editor - Search Menu</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";