var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - File Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - File Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---file-menu\"></a></div>\n\
<p>The <strong>File menu</strong> of the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> contains all file-related commands for creating, opening, closing, exporting and printing files.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-08CA2DC4-2156-4DB8-B6E7-E2BCD59542D2-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p><strong>New (CTRL+N)</strong> - creates a new script in a new tab. This is equivalent to selecting<strong>Main Menu &gt; MAXScript &gt; New Script</strong>.If the maximum number of windows has been reached and no more tabs can be opened, you will have to save / close some script to make space for new ones. The default tab limit is set to 10 and can be customized in the range from 1 to 100 via the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>Properties file</a>.</p></li>\n\
<li><p><strong>Open... (CTRL+O)</strong> - open one or more existing files.</p>\n\
<ul>\n\
<li><p>While the main function of the MAXScript Editor is to edit MAXScript files (.ms, .mcr), it can be used to edit any text files.</p></li>\n\
<li><p>The File Open dialog is a multi-file dialog and lets you select and load multiple files into multiple tabs at once.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A38E2607-5322-47B2-8AEE-EE6BE01EB9AE-low.gif\' title=\'\'></div></li>\n\
</ul></li>\n\
<li><p><strong>Open Selected Filename (CTRL+SHIFT+O)</strong> - opens the file name selected in the current Editor Window.</p>\n\
<ul>\n\
<li><p>If the file name is inside a pair of quotation marks, the quotes should <strong>not</strong> be selected.</p></li>\n\
<li><p>Both forward slashes /, backslashes  and double-backslashes \\ are supported, as well as spaces inside the file name.</p></li>\n\
<li><p>Only one file name can be opened at a time - selecting two lines containing two file names would <strong>not</strong> open both.</p></li>\n\
</ul></li>\n\
<li><p><strong>Close (CTRL+W)</strong> - as in most Windows applications, this option closes the current Editor Window (tab). The Editor itself will not be closed - it will stay open with at least one tab showing an Untitled script you can edit.</p></li>\n\
<li><p><strong>Save (CTRL+S)</strong> - saves the current script to disk or, if it is still untitled, opens the Save As dialog to specify a file name first.</p></li>\n\
<li><p><strong>Save As... (CTRL+SHIFT+S)</strong> - forces the Save As dialog to open to enter a new name even if the script already has a name. This dialog also lets you specify the file type, as determined by its extension.</p></li>\n\
<li><p><strong>Save a Copy... (CTRL+SHIFT+P)</strong> - opens a Save As dialog and saves a copy of the current script to the specified name without changing the file name of the script loaded in the Editor.</p></li>\n\
<li><p><strong>Revert (CTRL+R)</strong> - if the current file has been edited but not saved yet (has a * symbol next to its name), this option lets you revert to the last saved version of the file. You will be prompted about saving the changes to a new file first.</p></li>\n\
<li><p><strong>Export</strong> - shows a sub-menu with multiple export options. Each option opens an Export File As... dialog and exports to one of the following formats:</p>\n\
<ul>\n\
<li><p><strong>As HTML...</strong></p></li>\n\
<li><p><strong>As RTF...</strong></p></li>\n\
<li><p><strong>As PDF...</strong></p></li>\n\
<li><p><strong>As LaTeX...</strong></p></li>\n\
<li><p><strong>As XML...</strong></p></li>\n\
</ul></li>\n\
<li><p><strong>Source Control</strong> - shows a sub-menu with source control options which can be used in conjunction with a source control software like Perforce or Subversion (if installed). See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/GUID-9014954D-C25C-45B5-BD9C-19260B852185.html#source-control-integration\' title=\'\'>MAXScript Editor Properties-Source Control</a> for details on customizing the Editor to use external source control applications.</p>\n\
<ul>\n\
<li><p><strong>Add File</strong></p></li>\n\
<li><p><strong>Remove File</strong></p></li>\n\
<li><p><strong>Check In</strong></p></li>\n\
<li><p><strong>Check Out</strong></p></li>\n\
</ul></li>\n\
<li><p><strong>Page Setup...</strong> - opens the Page Setup dialog for printing preparations.</p></li>\n\
<li><p><strong>Print</strong> - opens the Windows printer selection dialog and prints the current file.</p></li>\n\
<li><p><strong>List Of Recent Files</strong> - the MAXScript Editor will keep a list of recently edited files for easier access. The list of recent editor files is stored in the file <strong>MXS_SciTE.recent</strong> in the 3ds Max root directory. You can edit this list manually or even using MAXScript to add files to the recent files menu.</p></li>\n\
<li><p><strong>Close Editor</strong> - closes the Editor window. <strong>NOTE</strong> that this only HIDES the Editor but does not remove any opened files currently loaded in it. The Editor can be opened again for further editing of the opened or new files via the Main Menu &gt; MAXScript &gt; MAXScript Editor... menu option or any of the other options for creating new or editing existing files described in <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>MAXScript Tabbed Editor Window</a>. The same menu option can be used to toggle the editor on and off.</p></li>\n\
</ul>\n\
<p><strong>Previous Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>MAXScript Tabbed Editor Window</a></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Edit-Menu.html\' title=\'\'>MAXScript Editor - Edit Menu</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";