var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - Search Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - Search Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---search-menu\"></a></div>\n\
<p>The <strong>Search menu</strong> o f the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> contains commands for searching and replacing text, jumping to line, offset or bookmark and managing bookmarks.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7FB41464-C96E-44F3-B95C-DFF8B1DAAE1B-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p><strong>Find (CTRL+F)</strong> -opens the Find dialog.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DBB77F65-C49D-4486-93FF-476D3AB505BF-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p>If a string is selected in the Editor, it is placed in the <strong>&quot;Find what:&quot;</strong> field automatically.Note that you can search for the currently selected string directly using <strong>Ctrl+F3</strong> and <strong>Ctrl+SHIFT+F3</strong> without opening the Find dialog.</p></li>\n\
<li><p>Previously used search strings can be accessed via the drop-down list.</p></li>\n\
<li><p>The default search direction is Down, but can be switched to Up using the <strong>&quot;Direction&quot;</strong> radio buttons.</p></li>\n\
<li><p>By default, the string will be searched for as part of words. Check <strong>&quot;Match whole word only&quot;</strong> to search for exactly that word.</p></li>\n\
<li><p>By default, the search is case-insensitive. Check <strong>&quot;Match case&quot;</strong> to search for exact match including case.</p></li>\n\
<li><p>Check the <strong>&quot;Regular expression&quot;</strong> option to search using a RegEx. See <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/Regular-Expressions-Find-and.html\' title=\'\'>Regular Expressions Find and Replace in the MAXScript Editor</a> or details on using Regular expressions.</p></li>\n\
<li><p>By default, <strong>&quot;Wrap around&quot;</strong> is checked, meaning that the search will continue from the beginning of the file once the end is reached. To stop at the end (or beginning when searching Up), uncheck this option.</p></li>\n\
<li><p>Check the <strong>&quot;Transform backslash expressions&quot;</strong> to convert special characters prefixed by a backslash like \\t, \\n etc. into their corresponding characters like <span class=\'code\'>&lt;tab&gt;</span>, <span class=\'code\'>&lt;newline&gt;</span> etc. For example, entering <strong>\\n</strong> in the &quot;Find what&quot; field and checking this option will find all new line characters in the document. If the option is unchecked, it would only find &quot;\\n&quot; verbatim occurrences, for example inside of formatting strings. The escape characters are:</p>\n\
<ul>\n\
<li><p>\\  backslash</p></li>\n\
<li><p>\\n new line</p></li>\n\
<li><p>\\r carriage return</p></li>\n\
<li><p>\\t tab</p></li>\n\
</ul></li>\n\
</ul>\n\
<p>This option is incompatible with Regular Expressions and is disabled when the &quot;Regular Expression&quot; option is selected.</p>\n\
<ul>\n\
<li><p>Press the <strong>&quot;Find Next&quot;</strong> button to find the next occurrence of the search string in the specified direction.</p></li>\n\
<li><p>Press the <strong>&quot;Mark All&quot;</strong> button to add a Bookmark in front of each line with an occurrence of the search string and close the dialog.</p></li>\n\
<li><p>Press the <strong>&quot;Close&quot;</strong> button to close the Find dialog.</p></li>\n\
<li><p><strong>Find Next (F3)</strong> - press multiple times to use the last entered search string according to the latest settings in the dialog. Note that the settings are persistent between sessions, so the last string you entered would still be there next time you launch <strong>3ds Max</strong> and press <strong>F3</strong> or <strong>Ctrl+F</strong>.</p></li>\n\
<li><p><strong>Find Previous (SHIFT+F3)</strong> -searches in the opposite direction to the one specified in the Find dialog via the Direction radio buttons.</p></li>\n\
<li><p><strong>Replace (CTRL+H)</strong> - searches for occurrences of a given string and replaces it with another string.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6370C8F1-865B-4D78-9742-380EC83EDA20-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p>The <strong>Replace</strong> dialog provides controls similar to those in the Find dialog. The main difference is the <strong>&quot;Replace with:&quot;</strong> field which can be used just like the <strong>&quot;Find what:&quot;</strong> field to either enter a replacement string or select one of the latest replacement strings via the drop-down list.</p></li>\n\
<li><p>The <strong>&quot;Find Next&quot;</strong> button finds the next occurrence of the search string without replacing it.</p></li>\n\
<li><p>The <strong>&quot;Replace&quot;</strong> button replaces the currently selected occurrence of the find string, for example the one found using the &quot;Find Next&quot; button, with the replace string.</p></li>\n\
<li><p>The <strong>&quot;Replace All&quot;</strong> button replaces all occurrences of the find string in the whole document with the replace string.</p></li>\n\
<li><p>The <strong>&quot;Replace in Selection&quot;</strong> button replaces all occurrences of the search string with the replacement string within the currently selected text only. For example, if you want to replace a keyword within a single function only, you could select the function&#39;s body and use the &quot;Replace In Selection&quot; button.</p></li>\n\
</ul></li>\n\
<li><p><strong>Find in Files (CTRL+SHIFT+F)</strong> - open the Find in Files dialog.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1FBED8DC-EC0A-4F62-84E9-9F32EEEDCEF7-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p>The <strong>Find in Files</strong> dialog provides a <strong>&quot;Find what:&quot;</strong> field to enter the string to search for in specified files.The field is also a drop-down list containing the latest search strings.</p></li>\n\
<li><p>The <strong>Files</strong> field contains by default the typical MAXScript file extensions, but can be used to specify arbitrary file name patterns using wildcards. The field is also a drop-down list containing the latest search patterns.</p></li>\n\
<li><p>The <strong>Directory</strong> field can be used to specify the root directory for the search. The specified directory and all its subdirectories will be searched recursively for files of the given file name pattern containing the search string. The field is a drop-down list containing the latest search paths.</p></li>\n\
<li><p>The button to the right of the Directory field can be used to remove one folder name at a time from the path, effectively moving one directory up.</p></li>\n\
<li><p>The <strong>Browse...</strong> button can be used to select a search path via a Get Directory dialog.</p></li>\n\
<li><p>The <strong>Match whole word only</strong> checkbox lets you search for complete words. When unchecked (default), a sub-string search will be performed.</p></li>\n\
<li><p>The <strong>Match Case</strong> checkbox lets you search for the exact word including case. By default, a non-case-sensitive search will be performed.</p></li>\n\
<li><p>To search using the specified settings, press the <strong>Find</strong> button. To cancel, press the <strong>Cancel</strong> button.</p></li>\n\
<li><p>The results of the search will be displayed in the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Output-Pane.html\' title=\'\'>Output pane</a> of the Editor which is hidden either at the bottom or at the right side of the Editing pane.</p></li>\n\
<li><p>Double-clicking a search result file name in the Output pane will open that file in a new tab in the Editing pane and will select the line the search string appears on, marking the match with a yellow dot.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4EDE6D25-6506-4DA7-BBBF-B126BD99EF43-low.gif\' title=\'\'></div></li>\n\
</ul></li>\n\
</ul></li>\n\
<li><p><strong>Go To (CTRL+G)</strong> - opens a Go To dialog which can be used to jump to a specific line number or character offset. The numbers could be copied from error messages in the MAXScript Listener or Debugger. The dialog also shows the current and last line and offset.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-75FDEEF2-9F2D-45D2-8BB2-4EBF961F1249-low.gif\' title=\'\'></div></li>\n\
<li><p><strong>Next Bookmark (F2)</strong> - jumps to the next Bookmark.</p></li>\n\
<li><p><strong>Previous Bookmark (SHIFT+F2)</strong> - jumps to the previous Bookmark.</p></li>\n\
<li><p><strong>Toggle Bookmarks (CTRL+F2)</strong> - toggles a Bookmark on / off for the current line.</p></li>\n\
<li><p><strong>Clear All Bookmarks</strong> - toggles off all Bookmarks in the current document.</p></li>\n\
</ul>\n\
<p><strong>Previous Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Edit-Menu.html\' title=\'\'>MAXScript Editor - Edit Menu</a></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-View-Menu.html\' title=\'\'>MAXScript Editor - View Menu</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";