var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Editor - View Menu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Editor - View Menu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-editor---view-menu\"></a></div>\n\
<p>The <strong>View menu</strong> of the <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Tabbed-Editor-Window.html\' title=\'\'>Tabbed MAXScript Editor</a> introduced in <strong>3ds Max 2008</strong> contains commands for folding/unfolding code blocks, toggling various editor elements and displaying additional editing helps like whites paces, end of line symbols, indentation guides, line numbers and margins.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-34409DFB-4D73-4494-A51E-938E2CA0FB45-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p><strong>Toggle current fold</strong> - folds/unfolds the code block the cursor currently resides in.</p></li>\n\
<li><p><strong>Toggle all folds</strong> - folds/unfolds all code blocks in the document, regardless of their current state. In other words, if a script contains 10 possible folds and 5 of them are folded and 5 are not, this command will not invert their current folding but either fold all or unfold all.</p></li>\n\
<li><p><strong>Full Screen (F11)</strong> - opens the Editor on the whole screen, removing the title bar to provide even more editing space. Press again to toggle back to normal window.</p></li>\n\
<li><p><strong>Toolbar</strong>-unchecked by default. When checked, a toolbar with the most important commands represented in icon form will be displayed - New, Open, Save, Close, Print, Cut, Copy, Paste, Delete, Undo, Redo, Find and Replace.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FF682773-090C-4D87-8A60-D3C68110A020-low.gif\' title=\'\'></div></li>\n\
<li><p><strong>Tab Bar</strong>-checked by default, the tab bar displays all currently opened files as tabs. Even when the tab bar is not displayed, you can use the shortcuts or the Windows menu to switch between tabs.</p></li>\n\
<li><p><strong>Status Bar</strong>-checked by default.</p>\n\
<ul>\n\
<li><p>The default status bar displays the line (li), column (co), offset, insert/overwrite mode and end of line characters mode.</p></li>\n\
<li><p>Multiple status bars can be defined and display different information. By default, there are 4 pre-defined status bars which can be switched by clicking on the status bar.</p></li>\n\
<li><p>All status bars can be customized and new status bars can be defined - see <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Defining-Custom-3.html\' title=\'\'>MAXScript Editor - Defining Custom Status Bars</a> for details.</p></li>\n\
</ul></li>\n\
<li><p><strong>Whitespace (CTRL+SHIFT+8)</strong>-unchecked by default. When checked, white spaces like tabs and spaces will be displayed as symbols.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-29A9EC51-A56F-4A7B-A826-A7EF952B463A-low.gif\' title=\'\'></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-85A7ACEC-17FD-4823-AE51-BE1A8613DAB7-low.gif\' title=\'\'></div></li>\n\
<li><p><strong>End Of Line (CTRL+SHIFT+9)</strong>-unchecked by default. When checked, end of line characters will be displayed:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FA2B7784-2AD9-4D56-BCFC-6F660F74E21E-low.gif\' title=\'\'></div></li>\n\
<li><p><strong>Indentation Guides</strong>-checked by default. When unchecked, the vertical guides helping align brackets and indentation will not be drawn:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3AA0EC60-B1B2-4E5A-B9F0-5E16EB3F023B-low.gif\' title=\'\'></div></li>\n\
<li><p><strong>Line Numbers</strong> - checked by default. When unchecked, no line numbers will be displayed in front of each line. The status bar could be used to read the current position.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9919EA6A-7CFC-4D63-B7F8-4137D79C3725-low.gif\' title=\'\'></div></li>\n\
<li><p><strong>Margin</strong> - checked by default. The margin is used to display the Bookmarks.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-5FC847C6-7A84-4FD7-A5D2-93AC2EB32DD9-low.gif\' title=\'\'></div>\n\
<ul>\n\
<li><p>When unchecked, the margin will be disabled. To keep Bookmarks visible, the Editor will color the Bookmarked lines&#39; background - you can still use <strong>F2</strong>/<strong>SHIFT+F2</strong> to jump to the next / previous Bookmark and so on.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-65A82DA6-FDED-4035-8ECC-0B6C6B3C8576-low.gif\' title=\'\'></div></li>\n\
</ul></li>\n\
<li><p><strong>Fold Margin</strong> - checked by default. When unchecked, the fold margin will not be displayed. You can still fold the current code block or all code blocks using the menu commands or keyboard shortcuts, but you cannot click with the mouse on the fold +/- symbols anymore.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6804508C-49F8-44B5-BCB0-B87457CC117D-low.gif\' title=\'\'></div></li>\n\
</ul>\n\
<p><strong>Previous Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Search-Menu.html\' title=\'\'>MAXScript Editor - Search Menu</a></p>\n\
<p><strong>Next Topic</strong></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Menu-Options/MAXScript-Editor-Tools-Menu.html\' title=\'\'>MAXScript Editor - Tools Menu</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";