var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Tabbed Editor Window</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Tabbed Editor Window</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-tabbed-editor-window\"></a></div>\n\
<p>The MAXScript Editor is a built-in editor you can open within <strong>3ds Max</strong> and use to create or edit text files, notably MAXScript and Python script files. Scripts can be executed from the editor. The editor also provides syntax highlighting for other common text formats, like HTML and XML.</p>\n\
<p><strong>To open the Editor,</strong></p>\n\
<ul>\n\
<li><p>Click <strong>MAXScript &gt; MAXScript Editor...</strong> in the <strong>3ds Max</strong> Main Menu to toggle the new Editor window. Any scripts that have been open for editing will be kept in the Editor, even between <strong>3ds Max</strong> sessions.</p></li>\n\
<li><p>Click <strong>MAXScript &gt; New Script</strong> in the <strong>3ds Max</strong> Main Menu to start a new script, or</p></li>\n\
<li><p>Click <strong>MAXScript &gt; Open Script</strong> in the <strong>3ds Max</strong> Main Menu and select an existing script from disk to load in the Editor, or</p></li>\n\
<li><p>Press the <strong>New Script</strong> or <strong>Open Script</strong> buttons in the <strong>MAXScript Utility</strong> rollout, or</p></li>\n\
<li><p>Select <strong>File &gt; New Script</strong> or <strong>File &gt; Open Script</strong> in the <strong>MAXScript Listener&#39;s menu bar</strong> or</p></li>\n\
<li><p>Right-click the <strong>Mini-Listener</strong> and select <strong>Open Editor Window</strong>.</p></li>\n\
</ul>\n\
<p>MAXScript opens the selected script in a tab inside the modeless MAXScript Editor window:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C31A7862-398F-450E-B406-8A9874CEFD65-low.gif\' title=\'\'></div>\n\
<p>The MAXScript Editor is suited for developing longer scripts or code fragments you want to keep. You can edit and test parts of them until they are complete, then save your code in a script file for later use. This is a common method for developing large scripts, utilities, and function libraries.</p>\n\
<p>You can select one or more text lines and drag them to a <strong>3ds Max</strong> toolbar to create a Macro Script containing the selected lines. For more information, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a>.</p>\n\
<p>You can open a MAXScript Editor tab from within the Listener or from other running scripts by calling the <span class=\'code\'>edit()</span> method. The syntax for the <span class=\'code\'>edit()</span> method is:</p>\n\
<div class=\'codeBlock\'><pre>edit &lt;filename_string&gt;\n\
</pre></div><p>where <span class=\'code\'>&lt;filename_string&gt;</span> is a string literal or an expression that evaluates to a string, and specifies the name of the file whose contents are to be loaded into the new MAXScript Editor window.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>edit &quot;my_script.ms&quot;</span></p>\n\
<p>or</p>\n\
<p><span class=\'code\'>scriptfile=&quot;my_script.ms&quot;   edit scriptfile</span></p>\n\
</blockquote>\n\
<p><strong>The file will be searched for in the following directories, in the order listed:</strong></p>\n\
<ul>\n\
<li><p>The current MAXScript directory</p></li>\n\
<li><p>The <strong>3ds Max</strong> executable main directory</p></li>\n\
<li><p>The Windows NT 32-bit system directory (system32)</p></li>\n\
<li><p>The Windows 16-bit system directory (system)</p></li>\n\
<li><p>The Windows directory</p></li>\n\
<li><p>The directories that are listed in the PATH environment variable</p></li>\n\
</ul>\n\
<p>The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\' title=\'\'>MAXScript System Global Variable</a> <span class=\'code\'>editorShowPath</span> controls whether the MAXScript Editor will display the full path of the edited script (true) or only the file name in the title bar (false).</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";