var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The SDK and MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The SDK and MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-sdk-and-maxscript\"></a></div>\n\
<p><strong>3ds Max</strong> gives you two ways to write plug-in applications: the SDK, which uses C++, and MAXScript, the program&#39;s native scripting language.</p>\n\
<p>Which language you choose depends partly on how you want to work, and partly on what you want your plug-in to accomplish. Both languages have their strengths and limitations, but you can develop complex applications with either of them.</p>\n\
<div class=\'section\'><a id=\"maxscript\"></a><h2 id=\"maxscript\">MAXScript</h2></div>\n\
<p>In general, MAXScript plug-ins run more slowly than comparable plug-ins written in C++, so if performance is an issue, using the SDK is probably preferable.</p>\n\
<p>On the other hand, MAXScript provides some methods that are higher level than those to be found in the C++ SDK, and supports a few <strong>3ds Max</strong> features and capabilities that are not exposed to the SDK. If your feature needs functionality supported by MAXScript but not the SDK, then MAXScript is your only choice. In particular, exposing <strong>3ds Max</strong> features via OLE/ActiveX/DotNet controls is easier to code in MAXScript than it is with the SDK.</p>\n\
<p>MAXScript can be useful for prototyping plug-ins, developing comparatively small features, and writing test suites.</p>\n\
<div class=\'section\'><a id=\"the-sdk\"></a><h2 id=\"the-sdk\">The SDK</h2></div>\n\
<p>The SDK is preferable when performance is important; in general, this is when computation rather than interactivity is the main purpose of the plug-in.</p>\n\
<p>Performance is most often an issue when the plug-in handles large sets of entities such as objects, sub-objects, files, notification messages, and so on.</p>\n\
<p>On the flip side, developing and especially debugging a C++ plug-in can be orders of magnitude slower as it requires often recompiling, restarting of <strong>3ds Max</strong> and tweaking of GUI resources.</p>\n\
<div class=\'section\'><a id=\"the-middle-way\"></a><h2 id=\"the-middle-way\">The Middle Way</h2></div>\n\
<p>In some cases, combining the positive sides of the two approaches while negating their shortcoming can be a good idea.</p>\n\
<p>Implementing a hybrid system where the time-critical functionality is written using the SDK and exposed to MAXScript as Function Publishing Interfaces while the User Interface is taken care of by MAXScript can shorten the development time and even allow certain flexibility in updating features or letting the end user reconfigure the UI while using the same underlying C++ code.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";