var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Using the MAXScript Documentation</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Using the MAXScript Documentation</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"using-the-maxscript-documentation\"></a></div>\n\
<p>This reference is written primarily for artists learning MAXScript.</p>\n\
<p>The topics are organized with the introductory material presented first, then descriptions of the MAXScript syntax and grammar, followed by a description of creating, accessing, and modifying the various <strong>3ds Max</strong> objects. These <strong>3ds Max</strong> objects include geometry objects, modifiers, controllers, materials, textures, and render effects.</p>\n\
<p>The MAXScript tools are then described, followed by descriptions of the methods for interacting with the <strong>3ds Max</strong> user interface, accessing external files, and establishing notifications to a script when an object or <strong>3ds Max</strong> state changes. Throughout these topics, the purpose and syntax of the commands in the MAXScript language are described.</p>\n\
<div class=\'section\'><a id=\"for-new-users\"></a><h2 id=\"for-new-users\">For New Users</h2></div>\n\
<p>Although it’s helpful to have programming experience, the basic aspects of MAXScript do not require this or an in-depth understanding of the structure underlying <strong>3ds Max</strong>. Concepts presented in one topic do assume a basic understanding of the concepts presented in earlier topics.</p>\n\
<p>At the very least, the topics in the &quot;Learning MAXScript&quot; chapter and the topics up to and including <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Controlling-Program-Flow-1.html\' title=\'\'>Controlling Program Flow</a> in the &quot;MAXScript Language Reference&quot; chapter should be read in order. By reading the topics in order, you will learn the MAXScript language starting with the basics, and work your way toward writing full-featured MAXScript utilities.</p>\n\
<p>In the later sections, features and techniques are presented for programmers with more advanced programming experience.</p>\n\
<p>For those new to MAXScript, <a href=\'#!/url=./developer/Learning-MAXScript.html\' title=\'\'>Learning MAXScript</a> provides an introduction to the features, syntax, and practical applications of MAXScript.</p>\n\
<p>Users who only intend to use MAXScript tools written by 3rd parties without learning the language itself will find the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/MAXScript-for-New-and-Casual-1.html\' title=\'\'>MAXScript for New and Casual Users</a> topics useful.</p>\n\
<div class=\'section\'><a id=\"for-existing-users\"></a><h2 id=\"for-existing-users\">For Existing Users</h2></div>\n\
<p>The index topic <a href=\'#!/url=./developer/What-is-New-in-MAXScript.html\' title=\'\'>New in MAXScript</a> provides links to topics documenting the changes to MAXScript in the current and previous releases.</p>\n\
<div class=\'section\'><a id=\"tutorials-examples-faqs\"></a><h2 id=\"tutorials-examples-faqs\">Tutorials, Examples, FAQs</h2></div>\n\
<p>This document also features a set of <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Introduction-to-the.html\' title=\'\'>How To - Practical Examples</a> which can be used as tutorials or as starting point for own script development, and an index of <a href=\'#!/url=./developer/Script-Examples-In-This-Help.html\' title=\'\'>Online Help Script Examples</a> listing useful scripts located inside of various topics.</p>\n\
<p>The <a href=\'#!/url=./developer/Frequently-Asked-Questions/Frequently-Asked-Questions-1.html\' title=\'\'>Frequently Asked Questions</a> chapter provides links to relevant topics and solutions to real-world problems based on questions by users.</p>\n\
<div class=\'section\'><a id=\"maxscript-extensions\"></a><h2 id=\"maxscript-extensions\">MAXScript Extensions</h2></div>\n\
<p>Several chapters have been dedicated to MAXScript Extensions incl. <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-in.html\' title=\'\'>character studio</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-and-MAXScript.html\' title=\'\'>Particle Flow</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth.html\' title=\'\'>Cloth</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Hair.html\' title=\'\'>Hair&amp;Fur</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-1/ProBoolean-Extension.html\' title=\'\'>ProBoolean</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\' title=\'\'>ProSound</a> etc.</p>\n\
<p>Although these plugins are now part of the shipping version of <strong>3ds Max</strong>, they all started as add-ons and were often developed by external teams, leading to some individual flavors of the MAXScript exposure and own internal logic and structure of classes and interfaces.</p>\n\
<p>For that reason, their documentation is provided in separate chapters under &quot;MAXScript Extensions&quot; that are mostly self-contained and can be seen as mini-help files within the large one.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";