var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>NodeChildrenArray Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>NodeChildrenArray Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"nodechildrenarray-values\"></a></div>\n\
<p>A <strong>NodeChildrenArray</strong> represents the direct children of a scene node as a virtual array. As such, you can iterate over the children, apply mapped functions to them and obtain certain properties such as count and bounding box info.</p>\n\
<p>Also see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/GUID-00AB0CFA-3190-4A28-A185-4774B684F6D8.html#object-information-properties\' title=\'\'>General Node Properties</a>.</p>\n\
<p>NodeChildrenArray values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt;.children\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nodechildrenarray&gt;.center : Point3, read-only\n\
</pre></div><p>Returns center of bounding box of children.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nodechildrenarray&gt;.max : Point3, read-only\n\
</pre></div><p>Returns maximum corner of bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nodechildrenarray&gt;.min : Point3, read-only\n\
</pre></div><p>Returns minimum corner of bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nodechildrenarray&gt;.count : Integer, read-only\n\
</pre></div><p>Returns number of objects in set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;nodechildrenarray&gt;.boundingBox\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong>: Read-only. Returns a Box3 value representing the bounding box of the node children in the virtual array.</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;nodechildrenarray&gt;[&lt;integer&gt;] -- retrieve nth child\n\
\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>append &lt;nodechildrenarray&gt; &lt;node&gt;\n\
</pre></div><p>Makes the specified node a child of the node NodeChildrenArray was constructed from.</p>\n\
<div class=\'codeBlock\'><pre>deleteItem &lt;nodechildrenarray&gt; &lt;node&gt;\n\
</pre></div><p>Removes the specified node from the NodeChildrenArray.</p>\n\
<p>Note:</p>\n\
<p>Unlike ObjectSets, you cannot use NodeChildrenArray as the root of a pathname!</p>\n\
<p>The order of sequencing is consistent in a stable scene but somewhat arbitrary - it depends on how <strong>3ds Max</strong> stores its object hierarchy internally which is affected mostly by order of creation and deletion to and from the scene, as well as the order of parenting (linking). See <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Sort-TrackView.html\' title=\'\'>How To ... Sort TrackView Alphabetically</a> for an example of how the order of linking and unlinking can affect the scene order.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";