var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SelectionSet Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SelectionSet Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"selectionset-values\"></a></div>\n\
<p>A <strong>SelectionSet</strong> represents the named scene node selection sets in the Named Selection Sets drop-down list in the <strong>3ds Max</strong> toolbar.</p>\n\
<p>Also see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\' title=\'\'>SelectionSetArray Values</a>.</p>\n\
<p>SelectionSet values are mappable.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>selectionSets[&lt;set_name&gt;]\n\
</pre></div><p>Set by string or name value</p>\n\
<div class=\'codeBlock\'><pre>selectionSets[&lt;index&gt;]\n\
</pre></div><p>Set by order in drop-down list</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;selectionset&gt;[&lt;integer&gt;]\n\
</pre></div><p>Retrieve the n-th object in set.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;selectionset&gt;.center : Point3, read-only\n\
</pre></div><p>Returns center of bounding box of all objects in set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;selectionset&gt;.max : Point3, read-only\n\
</pre></div><p>Returns maximum corner of bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;selectionset&gt;.min : Point3, read-only\n\
</pre></div><p>Returns minimum corner of bounding box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;selectionset&gt;.count : Integer, read-only\n\
</pre></div><p>Returns number of objects in set.</p>\n\
<div class=\'codeBlock\'><pre>&lt;selectionset&gt;.name : String\n\
</pre></div><p>Get/Set the name of the selection set. This means that you can now rename an existing named selection set instead of destroying it and creating it again.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>isDeleted &lt;selectionset&gt;\n\
</pre></div><p>Returns true if the selection set is deleted, false of it exists.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` b = box() --&gt; $Box:Box01 @ [0.000000,0.000000,0.000000]</p>\n\
<p>selectionSets[&quot;boxes&quot;] = #(b) --&gt; #($Box:Box01 @ [0.000000,0.000000,0.000000])</p>\n\
<p>nss = selectionSets[&quot;boxes&quot;] --&gt; SelectionSet:boxes</p>\n\
<p>nss.name --&gt; &quot;boxes&quot; isdeleted nss --&gt; false nss.name = &quot;one box&quot; --&gt; &quot;one box&quot; nss.name --&gt; &quot;one box&quot; deleteItem selectionsets nss --&gt; OK isDeleted nss --&gt; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>Unlike ObjectSet, you cannot use SelectionSet as the root of a pathname!</p>\n\
<p>The order of sequencing is consistent in a stable scene but somewhat arbitrary - it depends on how <strong>3ds Max</strong> stores its object hierarchy internally which is effected mostly by order of additions and deletions to and from the scene.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";