var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Definitions for MAXScript internal organization</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Definitions for MAXScript internal organization</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"definitions-for-maxscript-internal-organization\"></a></div>\n\
<div class=\'codeBlock\'><pre>MAXScriptFunction Const Generic Const MappedGeneric Const NodeGeneric Const Primitives Const StructDef Const Class\n\
</pre></div><p>When you use something like &#39;fn test val = ...&quot;, a <span class=\'code\'>MAXScriptFunction</span> value is created and stored in variable <strong>test</strong>. If variable <strong>test</strong> was passed into another method, for example as a filter function, that method would test the class of the value to make sure it&#39;s a MAXScriptFunction and then call it using apply().</p>\n\
<p>The <span class=\'code\'>&#39;Const&#39;</span> preceding the following simply says that it is a value that is created during MAXScript initialization.</p>\n\
<p>A <span class=\'code\'>Generic</span> is one or more methods with the same name, but defined for different classes. Which method is called depends on the class of the first argument to the method. For example, &#39;random&#39; is declared as a Generic, and there are methods implementing &#39;random&#39; in several classes - Integer, Float, Point3, Color, Quat, etc. When MAXScript sees &#39;random v1 v2&#39; in a script, it looks at the class of v1, and then calls the &#39;random&#39; method for that class. So if v1 were a float, MAXScript would call the Float::random() method.</p>\n\
<p>A <span class=\'code\'>MappedGeneric</span> is the same as a Generic, but the first argument can be a collection. If it is a collection, the the method is called individually on each member of the collection. For example, &#39;deleteTime $box* 10f 10f&#39; deletes 10f at frame 10 in all keys in all objects named $box*. deleteTime can also be used on controllers, that&#39;s why it is a Generic</p>\n\
<p>A <span class=\'code\'>NodeGeneric</span> is the same as a MappedGeneric, but its first argument has to be a node or a collection of nodes. But given the definition of Generic, that doesn&#39;t make much sense. If the first argument is a collection, and the method is applied to each member of the collection.</p>\n\
<p><span class=\'code\'>Primitives</span> are methods that aren&#39;t class specific. The method is responsible for checking the types of its arguments (if any) and throwing an error if one isn&#39;t correct. There is only one definition of the Primitive.</p>\n\
<p>A <span class=\'code\'>StructDef</span> is a structure value. If the structure value is created by a script, its class is StructDef. If MAXScript creates the structure during initialization, its class is Const StructDef. So, for example, my meshop methods are defined to exist in a structure called meshop. Since this structure is created during initialization, the class of meshop is Const StructDef.</p>\n\
<p><span class=\'code\'>Const Class</span> is just a class that is defined in MAXScript itself. So, for example, BitArray is a Const Class. MAXScript also scans the classes registered with <strong>3ds Max</strong> - these classes will be created in MAXScript as Const MAXClass.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";