var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controlling Program Flow</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controlling Program Flow</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controlling-program-flow\"></a></div>\n\
<p>MAXScript has several <span class=\'code\'>&lt;expr&gt;</span> expression forms used for explicitly controlling the flow of execution. They are:</p>\n\
<div class=\'codeBlock\'><pre>&lt;if_expr&gt;\n\
&lt;case_expr&gt;\n\
&lt;do_loop&gt;\n\
&lt;while_loop&gt;\n\
&lt;for_loop&gt;\n\
&lt;loop_exit&gt;\n\
&lt;try_expr&gt;\n\
\n\
</pre></div><p>These expression forms correspond to the standard control constructs found in many programming languages. Each is described in its own topic:</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\' title=\'\'>If Expression</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Case-Expression.html\' title=\'\'>Case Expression</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/While-and-Do-Loops.html\' title=\'\'>While and Do Loops</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Loop-Exit.html\' title=\'\'>Loop Exit</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\' title=\'\'>Try Expression</a></p>\n\
<p>Additionally, there are several constructs for implicitly controlling the program flow.</p>\n\
<p>The <span class=\'code\'>when</span> construct is used for scripting general change handlers, so you can write scripts that respond to user operations such as, object moves, vertex edits, object deletions, name changes, and so on. Callback mechanisms are used to have a function called when certain specific events occur. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\' title=\'\'>Change Handlers and When Constructs</a> for more information.</p>\n\
<p>The <span class=\'code\'>on</span> construct is used when scripting rollouts, tools, or plugins, so the script can respond to events that are often user-generated in those constructs. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\' title=\'\'>Utility and Rollout Properties, Methods, and Event Handlers</a> for more information.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";