var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>If Expression</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>If Expression</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"if-expression\"></a></div>\n\
<p>The <span class=\'code\'>if</span> expression is used to conditionally execute an expression based on the result of a boolean test expression.</p>\n\
<p>The syntax for an <span class=\'code\'>&lt;if_expr&gt;</span> is one of:</p>\n\
<div class=\'codeBlock\'><pre>if &lt;expr&gt; then &lt;expr&gt; [else &lt;expr&gt; ]\n\
\n\
if &lt;expr&gt; do &lt;expr&gt;\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>if a &gt; b do (print d; print e)   a = (if d = = 0 then 0 else a / d)</span></p>\n\
\n\
<p>The first <span class=\'code\'>&lt;expr&gt;</span> is a test expression that must evaluate to <span class=\'code\'>true</span> or <span class=\'code\'>false</span> , such as a comparison or logical expression. If the result is <span class=\'code\'>true</span> , the <span class=\'code\'>then</span> or <span class=\'code\'>do &lt;expr&gt;</span> is evaluated and its value is returned as the result of the <span class=\'code\'>&lt;if_expr&gt;</span>. If the result is <span class=\'code\'>false</span> , the optional <span class=\'code\'>else &lt;expr&gt;</span> is evaluated and its value is returned as the result of the <span class=\'code\'>&lt;if_expr&gt;</span>. If there is no <span class=\'code\'>else</span> or the <span class=\'code\'>do</span> form is used, the <span class=\'code\'>&lt;if_expr&gt;</span> returns the value <span class=\'code\'>undefined</span> .</p>\n\
<p>The <span class=\'code\'>do</span> form is provided particularly for use during interactive sessions in the MAXScript Listener. When you enter expressions for immediate evaluation into the Listener, MAXScript determines if your expression is complete and then evaluates it. If you use the optional <span class=\'code\'>else</span> form in the Listener and you want to omit the <span class=\'code\'>else &lt;expr&gt;</span>, MAXScript continues to &quot;wait and see&quot; if you enter an <span class=\'code\'>else &lt;expr&gt;</span>. The line break after the <span class=\'code\'>then &lt;expr&gt;</span> is legal and does not cause MAXScript to evaluate the current line right away.</p>\n\
<blockquote>\n\
<p><strong>AS AN EXAMPLE,</strong></p>\n\
<p>As an example, if the following script is entered in Listener, the first line will not evaluate until you enter the second line:</p>\n\
<p><span class=\'code\'>if match x y then print x   print &quot;hello&quot;</span></p>\n\
</blockquote>\n\
<p>When you use the optional <span class=\'code\'>else</span> form inside a block or another expression, MAXScript can determine from the code that follows it if you omitted the optional <span class=\'code\'>else</span> . Use the <span class=\'code\'>do</span> form for <span class=\'code\'>if</span> statements without an <span class=\'code\'>else</span> as top-level commands in the Listener:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p><span class=\'code\'>if match x y do print x</span></p>\n\
</blockquote>\n\
<p>You can nest <span class=\'code\'>if...then...else</span> clauses, however in this situation consider using a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Case-Expression.html\' title=\'\'>Case expression</a> for better code clarity:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p><span class=\'code\'>if a &gt; b then print a   else if b &gt; c then print b   else if c &gt; d then print c   else print d</span></p>\n\
</blockquote>\n\
<p>As described in <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Expressions.html\' title=\'\'>Expressions</a>, anywhere you can write an <span class=\'code\'>&lt;expr&gt;</span> expression, you can write <strong>any</strong> construct in MAXScript. In statement-based languages, there is usually one syntax for <span class=\'code\'>if</span> statements and a separate one for conditional expressions. In MAXScript, a single syntax is used for both cases.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>the following two lines of code are both valid, and their meaning should be obvious:</p>\n\
<p><span class=\'code\'>if a &gt; b then print c else print d   x = if a &gt; b then c else d</span></p>\n\
<p>You can also write the following line, containing a nested <span class=\'code\'>if</span> expression and a nested assignment, which is itself an expression:</p>\n\
<p><span class=\'code\'>x = if (if a &gt; b then c else d) &lt; e then f else (g = 23)</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";