var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Loop Exit</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Loop Exit</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"loop-exit\"></a></div>\n\
<p>MAXScript provides an <span class=\'code\'>exit</span> construct for breaking out of <span class=\'code\'>for</span> , <span class=\'code\'>do</span> , and <span class=\'code\'>while</span> loops prematurely, even though the loop test expression is still <span class=\'code\'>true</span> .</p>\n\
<p>This is often useful to simplify the loop test expression, and still use error or other complex termination tests in the body <span class=\'code\'>&lt;expr&gt;</span> of the loop.</p>\n\
<p>Its <strong>syntax</strong> is:</p>\n\
<div class=\'codeBlock\'><pre>exit [ with &lt;expr&gt; ] \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>``` while x &lt; y do ( local delta = x - y if delta &lt;= 0 then exit -- time to bail $foo.pos.x = compute_x (foo / delta) x += 0.1 )</p>\n\
<p>```</p>\n\
\n\
<p>The optional <span class=\'code\'>with &lt;expr&gt;</span> lets you specify what the overall value of the loop expression should be if the loop exits prematurely.</p>\n\
<p>If you don&#39;t specify an exit value, the loop returns the value <span class=\'code\'>undefined</span> upon exit.</p>\n\
<p>Exiting a <span class=\'code\'>for ... do</span> loop using a <span class=\'code\'>with &lt;expr&gt;</span> returns the expression value as the result of the loop.</p>\n\
<p><strong>Note</strong> that in releases prior <strong>3ds Max 6</strong>, <span class=\'code\'>OK</span> was returned.</p>\n\
<p>Exiting a <span class=\'code\'>for ... collect</span> loop using a <span class=\'code\'>with &lt;expr&gt;</span> results in the array of body values collected up to the point of exit.</p>\n\
<blockquote>\n\
<p><strong>PERFORMANCE WARNING!</strong></p>\n\
<p>Breaking out of a loop using an <span class=\'code\'>exit</span> construct is implemented internally using try/catch, which is <strong>extremely slow!</strong></p>\n\
<p>It is recommended to use the optional <span class=\'code\'>while</span> test added to <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>for loops</a> in <strong>3ds Max 6</strong> for performance reasons.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";