var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>While and Do Loops</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>While and Do Loops</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"while-and-do-loops\"></a></div>\n\
<p><span class=\'code\'>while</span> and <span class=\'code\'>do</span> loops are used to repeatedly execute an expression until a test expression evaluates as <span class=\'code\'>false</span> . The <span class=\'code\'>while</span> loop and <span class=\'code\'>do</span> loop are simple variants of one another.</p>\n\
<p>The syntax is:</p>\n\
<div class=\'codeBlock\'><pre>do &lt;expr&gt; while &lt;expr&gt;\n\
\n\
while &lt;expr&gt; do &lt;expr&gt;\n\
</pre></div><p>Both loops repeat the <span class=\'code\'>do &lt;expr&gt;</span> as long as the <span class=\'code\'>while &lt;expr&gt;</span> evaluates to the value <span class=\'code\'>true</span> . The <span class=\'code\'>do</span> form evaluates the <span class=\'code\'>do &lt;expr&gt;</span> at least once, evaluating the test expression at the end of each loop. The <span class=\'code\'>while</span> form evaluates the test expression at the start of each loop and may not loop at all.</p>\n\
<p>Both forms return as their value the result of the <span class=\'code\'>do &lt;expr&gt;</span> from the last successful loop iteration. The <span class=\'code\'>while</span> form will return the value <span class=\'code\'>undefined</span> if the test expression immediately returns <span class=\'code\'>false</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>while x &gt; 0 do   ( print x   x -= 1   )</span></p>\n\
<p><span class=\'code\'>while not eof f do print (read_value f)</span></p>\n\
<p>``` do ( exchanged=false for i=1 to imax do ( j=i+gap if (compare array[j] array[i]) do (swap array[j] array[i]; exchanged=true) ) ) while exchanged</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";