var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Dereferencing Operator</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Dereferencing Operator</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dereferencing-operator\"></a></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Creating-Functions/Visible-Class-For-Reference.html\' title=\'\'>Visible Class For &#39;&amp;&#39; Reference Values</a></p>\n\
<p>A Function Published <strong>dereferencing prefix operator</strong>, <strong>*</strong>, is available in MAXScript since <strong>3ds Max 4</strong>.</p>\n\
<p>It can be used in conjunction with the &#39;<strong>&amp;</strong>&#39; reference operator that was added to support pass-by-reference arguments to functions and interface methods.</p>\n\
<p>The &#39;<strong>&amp;</strong>&#39; operator is used to get a &#39;reference&#39; to a variable or property or array element slot in MAXScript. You can pass this reference in to a function that accepts by-reference arguments, allowing its code to directly assign values to the referenced variable or property or array element, thus supporting a kind of multiple-value return.</p>\n\
<p>The &#39;<strong>*</strong>&#39; operator allows you to work with &#39;<strong>&amp;</strong>&#39; reference values anywhere in MAXScript code. Therefore &#39;dereference&#39; the reference and get the value in the slot or variable it is referring to and to assign it to the referenced slot.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>The following puts a value into ref which is a reference to the .pos property in the scene object $foo.</p>\n\
<p><span class=\'code\'>ref = &amp;$foo.pos</span></p>\n\
<p>Elsewhere in the code, you could use the * dereferencing operator to say:</p>\n\
<p><span class=\'code\'>$baz.pos = *ref</span></p>\n\
<p>The * above dereferences the reference value in ref, essentially making the expression equivalent to:</p>\n\
<p><span class=\'code\'>$baz.pos = $foo.pos</span></p>\n\
<p>You can also use this construct as a destination for an assignment:</p>\n\
<p><span class=\'code\'>*ref = [10,0,0]</span></p>\n\
<p>The above first dereferences the reference in ref to $foo.pos and then assigns to that, effectively setting $foo&#39;s position.</p>\n\
</blockquote>\n\
<p>In order to <strong>avoid ambiguity</strong> with the &#39;<strong>*</strong>&#39; multiply operator, the precedence of the &#39;<strong>*</strong>&#39; dereferencing operator is set at just lower than the function call and just higher than the <strong>&#39;as&#39; coercion operator</strong>. This means that if you want to send a dereferenced value into a function as an argument, you must surround the dereferencing with parentheses,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p><span class=\'code\'>foo (*ref) x y z</span></p>\n\
</blockquote>\n\
<p>Remember that reference values can be generated for variables, properties and array elements,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` &amp;foo &amp;$box.position.x &amp;valArray[23]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The &#39;*&#39; dereferencing operator is a moderately advanced feature in MAXScript that is often used to allow very general purpose code to be written that uses references instead of actual objects so that it can be applied to different kinds of objects and properties at different times.</p>\n\
<p><strong>Nested property access is allowed</strong> in &amp; reference values in MAXScript.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>This allows a construct like</p>\n\
<p>``` ref = &amp;$foo.pos</p>\n\
<p>```</p>\n\
<p>and later in the code</p>\n\
<p>``` *r.controller</p>\n\
<p>```</p>\n\
<p>to mean the same as</p>\n\
<p>``` $foo.pos.controller</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";