var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The Return Expression</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The Return Expression</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-return-expression\"></a></div>\n\
<p>As with the loop constructs, you can break out of a function body block-expression prematurely in MAXScript and return a result without evaluating the remaining portion of the block.</p>\n\
<p>For this purpose, you can use the <span class=\'code\'>return</span> expression:</p>\n\
<div class=\'codeBlock\'><pre>return &lt;expr&gt;    \n\
</pre></div><p>If a <span class=\'code\'>return</span> expression is evaluated in the course of running a function body, the function exits immediately and yields the value given in the <span class=\'code\'>return &lt;expr&gt;</span> .</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` fn find_root twod_fn = ( local root, last_root while true do ( --... if abs(root - last_root) &lt; epsilon then return root --... ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note: It is unnecessary to place a <span class=\'code\'>return</span> expression at the end of a function body to return an expression value. Instead, simply place the result expression at the end of a function body.</p>\n\
<p>If a <span class=\'code\'>return &lt;expr&gt;</span> is used in a mapped function and a collection is passed as the first argument to the function, the value returned will be <span class=\'code\'>OK</span> rather than <span class=\'code\'>&lt;expr&gt;</span> .</p>\n\
<p>As a special case, you can exit a script controller’s script using a <span class=\'code\'>return &lt;expr&gt;</span> .</p>\n\
<p><strong>In 3ds Max 6 and higher</strong></p>\n\
<p>You can call <span class=\'code\'>return()</span> in macroScripts whose body is a single expression (old style MacroScripts that do not implement &#39;on execute do ...&#39; handler) to exit the MacroScript.</p>\n\
<blockquote>\n\
<p>Warning: The <span class=\'code\'>return</span> expression is <strong>very slow</strong>. If your function will be called very often, try to avoid using it. See <a href=\'#!/url=./developer/Frequently-Asked-Questions/Writing-Better-and-Faster/How-To-Make-It-Faster-/Do-not-use-return-break-exit-or.html\' title=\'\'>Do not use return, break, exit or continue</a> for details.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";