var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MXSCallstackCaptureEnabled</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MXSCallstackCaptureEnabled</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mxscallstackcaptureenabled\"></a></div>\n\
<p>The <span class=\'code\'>MXSCallstackCaptureEnabled</span> context allows you to better control how the MAXScript call stack is captured, which can aid in debugging. With deep stacks and/or lots of arrays, big structures, etc present in the call stack, doing a stack capture can be an expensive operation. When this context is set, the mxs call stack is not captured if a mxs runtime exception is thrown. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>For example:</p>\n\
<p>Instead of:</p>\n\
<div class=\'codeBlock\'><pre>try (setproperty obj #prop val)\n\
        catch() -- just eat any errors\n\
\n\
</pre></div><p>You can use:</p>\n\
<div class=\'codeBlock\'><pre>try with MXSCallstackCaptureEnabled off (setproperty obj #prop val)\n\
        catch() -- just eat any errors\n\
\n\
</pre></div><p>or</p>\n\
<div class=\'codeBlock\'><pre>with MXSCallstackCaptureEnabled off try (setproperty obj #prop val)\n\
        catch() -- just eat any errors\n\
\n\
</pre></div><p>or</p>\n\
<div class=\'codeBlock\'><pre>with MXSCallstackCaptureEnabled off \n\
        (\n\
            try (setproperty obj #prop val)\n\
                catch() -- just eat any errors\n\
        )\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";