var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Sticky Contexts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Sticky Contexts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sticky-contexts\"></a></div>\n\
<p>You can force the settings of contexts such as, <span class=\'code\'>coordsys</span> , <span class=\'code\'>animate</span> , <span class=\'code\'>time</span> , and so on to be &quot;sticky.&quot;</p>\n\
<p>The settings will stay active for any code execution that follows until the point you change them or override them with a context prefix for an expression.</p>\n\
<p>This is particularly useful when working in the Listener, allowing you to set a context and then perform several interactive operations in that context without prefixing each with the desired context construct.</p>\n\
<p>Establishing a sticky context is accomplished with the <span class=\'code\'>set</span> construct:</p>\n\
<div class=\'codeBlock\'><pre>set &lt;context&gt;    \n\
</pre></div><p>Where, <span class=\'code\'>&lt;context&gt;</span> is one of the MAXScript context prefixes: <span class=\'code\'>animate</span> , <span class=\'code\'>time</span> , <span class=\'code\'>in</span> , <span class=\'code\'>coordsys</span> , <span class=\'code\'>about</span> , <span class=\'code\'>level</span> , or <span class=\'code\'>undo</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` b=box() s=sphere() c=cylinder() addModifier c (bend angle:30) set animate on set time 30f move b [80,0,0] scale s [1,1,3] c.bend.angle += 23 --... set animate off set time off</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This turns animate on and sets the current time to frame 30 after which any number of interactive operations can be performed that will generate animation at frame 30.</p>\n\
<p>The modes are then returned to default.</p>\n\
<p>As shown in this example, certain MAXScript contexts permit syntactic variants to make the set construct read clearly.</p>\n\
<p><strong>In particular, these are:</strong></p>\n\
<div class=\'codeBlock\'><pre>set time &lt;value&gt; | off -- variant of at time &lt;time&gt;   \n\
set level &lt;node&gt; -- variant of at level &lt;node&gt; \n\
</pre></div><p>The time context can be set to <span class=\'code\'>off</span> , signifying the current value of the <strong>3ds Max</strong> time slider is to be used.</p>\n\
<p>All the <span class=\'code\'>set</span> constructs are expressions that yield the context setting that <strong>was in force</strong> at the time the new context was set.</p>\n\
<p>This allows you to simulate the standard nested forms of these constructs by storing the old context in a variable and using that to restore the context later.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` oc = set coordsys parent -- remember old coordsys rotate $foo (quat 30 z_axis) ... set coordsys oc -- restore it</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>You can also force several of the contexts back to their default states by specifying <span class=\'code\'>#default</span> as their parameter.</p>\n\
<p>The <span class=\'code\'>set</span> constructs for which you can specify <span class=\'code\'>#default</span> are: <span class=\'code\'>animate</span> , <span class=\'code\'>in</span> , <span class=\'code\'>coordsys</span> , and <span class=\'code\'>level</span> .</p>\n\
<p>When using the <span class=\'code\'>set undo on</span> construct to enable the undoing of scripted changes in the Listener, undo granularity is a top-level expression.</p>\n\
<p>Each time you evaluate an expression or sequence of selected expressions with the <span class=\'code\'>ENTER</span> or <span class=\'code\'>Number-Pad ENTER</span> key, a single entry is added to the Undo stack.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";