var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>animate</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>animate</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"animate\"></a></div>\n\
<p>The <span class=\'code\'>\\[ with \\] animate` &lt;boolean_expr&gt;` context corresponds to setting the Auto Keybutton in the **3ds Max** user interface. Placing an expression, operation, or block-expression within an</span>animate on<span class=\'code\'>context causes keyframes to be generated whenever an animatable property of a **3ds Max** object is changed, regardless of the actual state of the **Auto Key** button. Likewise, placing an expression within an</span>animate off`<span class=\'code\'>context prevents keyframes from being generated whenever an animatable property of a **3ds Max** object is changed. Expressions that change an animatable property of a **3ds Max** object, and are not within an</span>animate` context, will generate keyframes only if the <strong>Auto Key</strong> button is on.</p>\n\
<p>Setting the <span class=\'code\'>animate</span> context on or off does not affect the state of the <strong>Auto Key</strong> button. The state of the <strong>Auto Key</strong> button can be queried and set using the <span class=\'code\'>animButtonState</span> global variable. The user can be prevented from changing the state of the <strong>Auto Key</strong> button using the <span class=\'code\'>animButtonEnabled</span> global variable.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` obj=box() liftHeight=50 tStart=0 tEnd=60 loadheight=obj.pos.z -- lift object, no key generated animate off obj.pos.z=loadheight+liftHeight -- Create key at time tStart to keep object lifted until that time. -- If tStart != 0, a key will also automatically be created at frame 0. -- Then create a key at time tEnd to drop the object with animate on ( at time tStart obj.pos.z=loadheight+liftHeight at time tEnd obj.pos.z=loadheight )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>HISTORICAL NOTE FOR NEW USERS:</strong></p>\n\
<p>In <strong>3ds Max</strong> prior to versions 5, the <strong>Auto Key</strong> button was called <strong>Animate</strong>. Since MAXScript has been first introduced back in <strong>3ds Max 2</strong> when there were no Auto Key and Set Key buttons, the MAXScript terminology remains the same for compatibility reasons, including the name of the <span class=\'code\'>animate</span> context and the name of the global variable <span class=\'code\'>animButtonEnabled</span> . Changing their names to reflect the new <strong>3ds Max</strong> UI would break old scripts and is thus not a good idea.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";