var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>at level; in</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>at level; in</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"at-level-in\"></a></div>\n\
<p>The <span class=\'code\'>at level &lt;node&gt;</span> and <span class=\'code\'>in &lt;node&gt;</span> contexts set the specified node to be the effective root for any specified pathnames or scene objects created in the context. These contexts automatically prefix the specified node to any pathnames in the context. They also set the specified node to be the parent for any scene objects created in the context.</p>\n\
<p>To be able to use pathnames within level contexts to name objects anywhere in the scene, you can override the current working level by using a <em>rooted pathname</em>. A rooted pathname has an extra &quot;/&quot; before the first-level name and indicates &quot;start at the actual root of the object tree&quot;.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` scale $/baz/* [1,1,2]</p>\n\
<p>```</p>\n\
<p>operates on the object <span class=\'code\'>baz</span> in the actual top level, not just as a child of the current working level.</p>\n\
</blockquote>\n\
<p>You can also use this rooted pathname form to force a pathname to only consider top-level objects when you name a single object.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` $foo</p>\n\
<p>```</p>\n\
<p>looks throughout the whole scene at all levels for an object named <span class=\'code\'>foo</span> ,</p>\n\
<p><strong>BUT</strong></p>\n\
<p>``` $/foo</p>\n\
<p>```</p>\n\
<p>will only look for a top-level object named <span class=\'code\'>foo</span> .</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` in $mannequin01...LClav...hand --set context to hand $mannequin01.spine.LClav.arm.hand ( rotate $thumb1 15 y_axis --rotate hand&#39;s child thumb rotate \\(finger11 10 y_axis --rotate hand&#39;s child first finger  PalmCenter=\\)finger21.parent.pos --get hand&#39;s position PalmCenter+=(LHandPos-$finger21.pos)/2.--calculate center of palm --create a dummy there, dummy is a child of the hand: dummy name:&quot;palmLink&quot; pos:PalmCenter )</p>\n\
<p>```</p>\n\
<p>``` in $dummy ( -- create automatically as children of $dummy: sphere name:&quot;ear1&quot; pos:[10,10,10] sphere name:&quot;ear2&quot; pos:[-10,10,10] scale $foo/* [1,1,2] --look for &#39;foo&#39; as a child of $dummy )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";