var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>coordsys</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>coordsys</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"coordsys\"></a></div>\n\
<p>The <span class=\'code\'>[ in ] coordsys &lt;coordsys_spec&gt;</span> context corresponds to the current reference coordinate system list in the main <strong>3ds Max</strong> toolbar.</p>\n\
<p>Prefixing an expression, operation, or block-expression with a <span class=\'code\'>coordsys</span> context causes 3D coordinate operations to be interpreted in the specified coordinate system.</p>\n\
<p>Moving, scaling, or rotating objects, or setting transform-related properties within a <span class=\'code\'>coordsys</span> context operate in relation to the given <span class=\'code\'>coordsys</span> .</p>\n\
<p>Accessing coordinate properties such as position, center, rotation axis, and so on, within a <span class=\'code\'>coordsys</span> context causes those values to be delivered relative to the given <span class=\'code\'>coordsys</span> .</p>\n\
<p><strong>The following forms are supported:</strong></p>\n\
<div class=\'codeBlock\'><pre>[in] coordsys world \n\
</pre></div><p>Use the world space coordinate system</p>\n\
<div class=\'codeBlock\'><pre>[in] coordsys local \n\
</pre></div><p>Use the object&#39;s local coordinate system</p>\n\
<div class=\'codeBlock\'><pre>[in] coordsys parent \n\
</pre></div><p>Use the object&#39;s parent&#39;s coordinate system</p>\n\
<div class=\'codeBlock\'><pre>[in] coordsys grid \n\
</pre></div><p>Use the active grid’s coordinate system</p>\n\
<div class=\'codeBlock\'><pre>[in] coordsys screen \n\
</pre></div><p>Use the currently active viewport’s coordinate system</p>\n\
<div class=\'codeBlock\'><pre>[in] coordsys &lt;node&gt; \n\
</pre></div><p>Use the specified node&#39;s local coordinate system - this is equivalent to the &quot;pick&quot; coordinate system capability in the <strong>3ds Max</strong> user interface</p>\n\
<div class=\'codeBlock\'><pre>[in] coordsys &lt;matrix3&gt; \n\
</pre></div><p>Use the coordinate system specified by the given 3D matrix</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` -- randomly jiggle each object in the selection around +/- 20 units in coordsys local selection.pos = random [-20,20,20] [20,20,20] -- rotate objects in parent’s coordinate system in coordsys parent rotate selection (EulerAngles 0 0 90)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";