var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>dontRepeatMessages Context</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>dontRepeatMessages Context</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dontrepeatmessages-context\"></a></div>\n\
<p>The <span class=\'code\'>dontrepeatmessages</span> context does an exception safe extending of the optimization of the removal of duplicate reference change messages across multiple notifications.</p>\n\
<div class=\'codeBlock\'><pre>with dontRepeatMessages &lt;boolean&gt; &lt;expression&gt;\n\
</pre></div><p>When the &#39;removal of duplicate reference change messages&#39; optimization is enabled (see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/GUID-141213A1-B5A8-457B-8838-E602022C8798.html\' title=\'\'>preferences.dontRepeatRefMsg</a> ), during a single reference change notification duplicate messages sent to the same objects are removed. Within a <span class=\'code\'>dontrepeatmessages</span> context, that optimization applies across all reference change notifications within that context. So, for example:</p>\n\
<div class=\'codeBlock\'><pre>with dontrepeatmessages on with animate on for t = 1 to 100 do at time t $.radius = t/2\n\
</pre></div><p>The notifications that are sent to the dependents of the selected node $ when the first value is set are not sent for the remainder of the value set operations. This can result in significant performance benefits in some cases. For example running:</p>\n\
<div class=\'codeBlock\'><pre>s = sphere isSelected:true\n\
(t1=timestamp();with dontrepeatmessages off with animate on for t = 1 to 10000 do at time t s.radius = t/2;timestamp()-t1)\n\
</pre></div><p>shows that setting all of the values with the context off took 226 milliseconds, while running:</p>\n\
<div class=\'codeBlock\'><pre>s = sphere isSelected:true\n\
(t1=timestamp();with dontrepeatmessages on with animate on for t = 1 to 10000 do at time t s.radius = t/2;timestamp()-t1)\n\
</pre></div><p>shows that setting all of the values with the context on took 175 milliseconds.</p>\n\
<p>See the related setting</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/GUID-141213A1-B5A8-457B-8838-E602022C8798.html\' title=\'\'>preferences.dontRepeatRefMsg</a></p>\n\
<p>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";