var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>2D and 3D Point Literals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>2D and 3D Point Literals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"d-and-3d-point-literals\"></a></div>\n\
<p>Coordinates are used extensively in MAXScript programming. They support a large range of operations as described in <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Point2-Values.html\' title=\'\'>Point2 Values</a> and <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Point3-Values.html\' title=\'\'>Point3 Values</a>. You can write point literals using the following forms:</p>\n\
<p><strong>2D</strong></p>\n\
<div class=\'codeBlock\'><pre>[ &lt;expr&gt;, &lt;expr&gt; ]\n\
</pre></div><p><strong>3D</strong></p>\n\
<div class=\'codeBlock\'><pre>[ &lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt; ]\n\
</pre></div><p>where <span class=\'code\'>&lt;expr&gt;</span> evaluates to an Integer or Float value.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` [320, 240] -- 2D point [10, 20, 30] -- 3D point</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Expressions in a literal are evaluated when the literal is built. The following script and results show the value stored in a Point3 when expressions are used in the literal:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` a=10 b=45 [10, 20, 30][sin a, 2 * b, a^2 + b^2] -- can contain expressions</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` 10.0 -- result of line 1 45 -- result of line 2 [10,20,30] -- result of line 3 [0.173648,90,2125] -- result of line 4</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";