var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Array Literals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Array Literals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"array-literals\"></a></div>\n\
<p>An array in MAXScript is an ordered collection of values. Each element in the array can contain any type of value, and you can index and iterate an array. You can write array literals directly in a program or build the collection with the array functions provided in MAXScript. For details, see<a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array Values</a> . Array literals can be expressed in two forms:</p>\n\
<div class=\'codeBlock\'><pre>#( &lt;expr&gt; { , &lt;expr&gt; } )\n\
#() -- empty array\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>#(1, 2, 3)   #()   #(1,&quot;foo&quot;,#(1.2, -4,#fred),[1,2,3]) -- this one has a nested array</span></p>\n\
\n\
<p>Expressions in an array literal are evaluated when the literal is built. The following script and results show the values stored in an array when expressions are used in the literal:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p><span class=\'code\'>a=10   x=45   #(1, sin x, a * 2.3) -- can contain expressions</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>10.0   45   #(1, 0.707107, 23.0)</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";