var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>String Literals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>String Literals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"string-literals\"></a></div>\n\
<p>String literals in MAXScript are one or more characters enclosed in double quotes:</p>\n\
<blockquote>\n\
<p>``` &quot;3ds Max&quot; &quot;August 4th, 1997&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>String literals can contain any character except another plain double quote. You can include a double quote in a string literal, as well as some useful control characters, by using a &quot;\\&quot; (backslash) escape character sequence.</p>\n\
<p><strong>The valid escape sequences are:</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">ESCAPE SEQUENCE</th>\n\
<th align=\"left\">MEANING</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>\\&quot;</span></td>\n\
<td align=\"left\">a double quote character</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>\\n</span></td>\n\
<td align=\"left\">a newline character</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>\\r</span></td>\n\
<td align=\"left\">a carriage return character</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>\\t</span></td>\n\
<td align=\"left\">a TAB character</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>\\*</span></td>\n\
<td align=\"left\">an asterisk character</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>\\?</span></td>\n\
<td align=\"left\">a question mark character</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>\\\\</span></td>\n\
<td align=\"left\">a single &quot;&quot; character</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>\\%</span></td>\n\
<td align=\"left\">a percent character</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>\\x{d}</span></td>\n\
<td align=\"left\">a hexadecimal character</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` print &quot;foo should be quoted like this: &quot;foo&quot; and a new line: \\n&quot;</p>\n\
<p>```</p>\n\
<p>would output:</p>\n\
<p>``` &quot;foo should be quoted like this: &quot;foo&quot; and a new line: &quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>A &quot;\\&quot; character that does not preface one of the specified characters is left as a single backslash.</p>\n\
<p>You can break a string literal into several lines and the line breaks will stay in the string.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` &quot;Twas brillig and the slithy tobes did gyre and gimbol in the wabe or something like that...&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Non-Printing Characters in Strings</strong></p>\n\
<p>You can specify non-printing characters in string literals using the \\x hexadecimal escape sequence convention from C/C++. The form is:</p>\n\
<div class=\'codeBlock\'><pre>\\x{&lt;hex_digit&gt;}+ -- &lt;hex_digit&gt; is a hexadecimal digit (0-9,a-f)\n\
\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>``` str = &quot;Copyright \\xa9 1997, FrabWorks, Inc&quot;</p>\n\
<p>```</p>\n\
<p>would insert a copyright sign ©. Hexadecimal <span class=\'code\'>a9</span> is the code for that symbol.</p>\n\
\n\
<p>Running the following script displays in Listener the characters associated with each hexadecimal code:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` char= &quot;0123456789abcdef&quot; for i=1 to char.count do for j=1 to char.count do ( s=execute(&quot;&quot;\\x&quot;+char[i]+char[j]+&quot;&quot;&quot;) format &quot;%% %\\n&quot; char[i] char[j] s )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>File Path Name Strings</strong></p>\n\
<p>File path name strings use the backslash character to separate a parent directory from its sub-directory. The backslash is used as an escape character, therefore file path names specified in a string should use the escape character sequence for a single &quot;\\&quot; character, i.e., &quot;\\&quot;, or specify the string as verbatim using the @ character introduced in <strong>3ds Max 2008</strong> (see further on this page)</p>\n\
<blockquote>\n\
<p><strong>AN EXAMPLE IS:</strong></p>\n\
<p>``` scene_path = &quot;g:\\3dsmax25\\scenes&quot; -- specifies file path g:\\3dsmax25\\scenes</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>For strings that are used as file names or paths, the &quot;/&quot; character can be used instead of the &quot;\\&quot;. MAXScript internally interprets the &quot;/&quot; character as a &quot;\\&quot; character when used in a file path name string.</p>\n\
<blockquote>\n\
<p><strong>AN EXAMPLE IS:</strong></p>\n\
<p>``` scene_path = &quot;g:/3dsmax25/scenes&quot; -- specifies file path g:\\3dsmax25\\scenes</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Verbatim String Literals</strong></p>\n\
<p>Verbatim string literals added to MAXScript in <strong>3ds Max 2008</strong> are prefixed by the &#39;@&#39; character and are NOT expanded even if containing backslash escape character sequences like &#39;\\t&#39;, &#39;\\n&#39; or &#39;\\r&#39;.</p>\n\
<p><strong>The syntax is</strong></p>\n\
<div class=\'codeBlock\'><pre>@&quot;{&lt;character&gt;}+&quot;\n\
\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` --the following verbatim string remains unchanged after evaluation: thePath = @&quot;g:\\temp\\newfolder\\render&quot;</p>\n\
<p>```</p>\n\
<p>``` &quot;g:\\temp\\newfolder\\render&quot;</p>\n\
<p>```</p>\n\
<p>``` --while the following results in a --scrambled string with tabs and new lines: thePath = &quot;g:\\temp\\newfolder\\render&quot;</p>\n\
<p>```</p>\n\
<p>``` &quot;g: emp ewfolder ender&quot;</p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";