var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Time Literals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Time Literals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"time-literals\"></a></div>\n\
<p>Time is a basic data type in MAXScript. Its semantics are based on animation time in <strong>3ds Max</strong>, where you can express time in frames, <a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Ticks.html\' title=\'\'>ticks</a> or normalized time. In <strong>3ds Max</strong>, time is stored with a resolution of 4800 ticks per second.</p>\n\
<p>The format for a time literal is one of:</p>\n\
<div class=\'codeBlock\'><pre>[-]{&lt;decimal_number&gt;[m | s | f | t]}+ -- minutes/sec/frames/ticks\n\
[-]{&lt;digit&gt;}:{&lt;digit&gt;}[.{&lt;digit&gt;}] -- SMPTE mins:secs.frame\n\
</pre></div><p>In the first form, the <span class=\'code\'>{...}+</span> indicates one or more repetitions, so you can string together minutes/seconds/frames/ticks. If you do this, they must be in the specific minutes/seconds/frames/ticks order.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">EXAMPLE</th>\n\
<th align=\"left\">MEANING</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2.5s</span></td>\n\
<td align=\"left\">2.5 seconds</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>1m15s</span></td>\n\
<td align=\"left\">1 minute 15 seconds</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2m30s5f2t</span></td>\n\
<td align=\"left\">2 minutes 30 seconds 5 frames 2 ticks</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>125f</span></td>\n\
<td align=\"left\">125 frames</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>18.25f</span></td>\n\
<td align=\"left\">18.25 frames</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>1f20t</span></td>\n\
<td align=\"left\">1 frame 20 ticks</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2:10.0</span></td>\n\
<td align=\"left\">2 minutes 10 seconds 0 frames (SMPTE)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>0:0.29</span></td>\n\
<td align=\"left\">29 frames (SMPTE)</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";