var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Function Calls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Function Calls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"function-calls\"></a></div>\n\
<p>A function call expression passes an optional list of arguments to a MAXScript or user-defined function, and the value returned by the function is the function call expression’s result. A <span class=\'code\'>&lt;function_call&gt;</span> has one of the following forms:</p>\n\
<div class=\'codeBlock\'><pre>&lt;operand&gt; { &lt;argument&gt; }+ -- one or more arguments\n\
&lt;operand&gt; () -- no arguments     \n\
</pre></div><p>in which, <span class=\'code\'>&lt;argument&gt;</span> is one of the following:</p>\n\
<div class=\'codeBlock\'><pre>&lt;operand&gt;&lt;name&gt;: &lt;operand&gt; -- keyword argument\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES:</strong></p>\n\
<p>``` sin a tan2 x y print (n + 1) to:debug fns[i] $box01 -- get function out of array fns move object1 [10,20,x * 3]</p>\n\
<p>```</p>\n\
\n\
<p>This syntax is unlike most programming languages that typically use parenthesized lists of comma-separated arguments. This syntax was chosen for MAXScript for the following reasons:</p>\n\
<ul>\n\
<li><p>It is simpler and easier to use, particularly if a function has many optional keyword arguments.</p></li>\n\
<li><p>The language is used in a command-line window within <strong>3ds Max</strong>. Therefore, this form is similar to other command or shell languages that users might already know.</p></li>\n\
</ul>\n\
<p>All <strong>3ds Max</strong> objects including geometric objects, splines, materials, and so on are created using function calls. The name of the object creation function is the object’s class name.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` standard() -- create a standard material bend angle:45 -- create a bend modifier box height:20 width:40 -- create a box</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";