var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Positional and Keyword Arguments</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Positional and Keyword Arguments</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"positional-and-keyword-arguments\"></a></div>\n\
<p>A function can take two kinds of arguments:</p>\n\
<ul>\n\
<li><p><strong>Positional Arguments</strong>. If you call a function that takes positional arguments, you must specify those arguments first and in the correct order. Positional arguments correspond to the function arguments in most programming languages - they are required and have a fixed number and order.</p></li>\n\
<li><p><strong>Keyword Arguments</strong>. You write keyword arguments as a <span class=\'code\'>keyword:&lt;value&gt;</span> pair, and they can appear in any order after the positional arguments. Functions can use some or all of their keyword arguments as optional arguments. If you call a function and don&#39;t supply optional keyword arguments, they will have either the default value supplied by the called function, or the special value <span class=\'code\'>unsupplied</span> when first referenced in the called function.</p></li>\n\
</ul>\n\
<p>Optional keyword arguments are useful in command languages where commands can have many options. They are particularly useful within <strong>3ds Max</strong> where most functions have numerous optional keyword arguments. For example, all scene object creation functions take optional keyword arguments for their creation parameters. As there are sometimes more than 100 arguments to these functions, using positional arguments would simply be unworkable.</p>\n\
<p>As an example of positional arguments, the syntax for the print function is:</p>\n\
<div class=\'codeBlock\'><pre>print &lt;value&gt; [to:&lt;file&gt;]    \n\
</pre></div><p><span class=\'code\'>&lt;value&gt;</span> is a positional argument, and is required. <span class=\'code\'>to: &lt;file&gt;</span> is an optional keyword argument, where <span class=\'code\'>to</span> is the argument keyword and <span class=\'code\'>&lt;file&gt;</span> is the argument value. If the <span class=\'code\'>to</span> argument value is <span class=\'code\'>unsupplied</span>, MAXScript outputs <span class=\'code\'>&lt;value&gt;</span> to Listener. Otherwise, MAXScript outputs <span class=\'code\'>&lt;value&gt;</span> to the file specified by <span class=\'code\'>&lt;file&gt;</span>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>As another example, you can create a sphere object in the <strong>3ds Max</strong> scene with no arguments:</p>\n\
<p><span class=\'code\'>sphere()</span></p>\n\
<p>Or, you could specify just one argument:</p>\n\
<p><span class=\'code\'>sphere radius:23</span></p>\n\
<p>Or, you can specify more optional arguments:</p>\n\
<p><span class=\'code\'>sphere segs:20 smooth:on radius:15 hemisphere:0.5 mapcoords:on</span></p>\n\
</blockquote>\n\
<p>For those keyword arguments not specified when creating <strong>3ds Max</strong> objects, default values are used. The default value used for each keyword argument is shown in the descriptions of the object classes.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";