var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Special Notes About Function Calls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Special Notes About Function Calls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"special-notes-about-function-calls\"></a></div>\n\
<p>Functions in MAXScript are just another value that can be stored in variables and arrays, and passed to other functions as arguments. Such functions are sometimes called higher-order functions. All built-in functions, and functions that MAXScript defines based on the <strong>3ds Max</strong> object classes, are values stored in system global variables of the same name as the function. When you define a scripted function, the function value is placed in a variable with the same name as the function. You can use the value in these variables and work with them as you would with other values, such as storing them in an array or passing them as arguments.</p>\n\
<p>Because the function name is a variable that simply yields the function itself, functions that take no arguments need to be called in a special way.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>if you want to call a function <span class=\'code\'>get_current_target</span> that takes no arguments, you can not simply write:</p>\n\
<p>``` t = get_current_target</p>\n\
<p>```</p>\n\
<p>This stores the <span class=\'code\'>get_current_target</span> function value in variable <span class=\'code\'>t</span> , rather than storing the result of executing function <span class=\'code\'>get_current_target</span> . Instead, you must use the &quot;()&quot; <em>nullary call operator</em>:</p>\n\
<p>``` t = get_current_target()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The function to be called is defined as an <span class=\'code\'>&lt;operand&gt;</span> in the syntax for function calls. This means that it can bean expression that is evaluated to get the function to call.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` (if a &gt; b then sin else cos) x --conditional function choice</p>\n\
<p>```</p>\n\
<p>``` handlers= #(move, scale) x = 2 handlers[x] $box01 [1,1,1] --get the function out of an array</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";