var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Logical Expressions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Logical Expressions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"logical-expressions\"></a></div>\n\
<p><strong>Logical expressions</strong> combine the results of Boolean expressions, such as comparisons, to construct complex conditional expressions.</p>\n\
<p>The forms of a <span class=\'code\'>&lt;logical_expr&gt;</span> are as follows:</p>\n\
<div class=\'codeBlock\'><pre>&lt;logical_operand&gt; or &lt;logical_operand&gt; -- true if either operandis true\n\
&lt;logical_operand&gt; and &lt;logical_operand&gt; -- true if both operands are true\n\
[ not ] &lt;logical_operand&gt;-- true if operand is false\n\
</pre></div><p>where <span class=\'code\'>&lt;logical_operand&gt;</span> is one of the following:</p>\n\
<div class=\'codeBlock\'><pre>&lt;operand&gt;\n\
&lt;compare_expr&gt;\n\
&lt;function_call&gt;\n\
&lt;logical_expr&gt;\n\
</pre></div><p>Logical operators only operate on Boolean values, so each <span class=\'code\'>&lt;logical_operand&gt;</span> must evaluate to <span class=\'code\'>true</span> or <span class=\'code\'>false</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` a &gt; 0 and a &lt; n + 1 not x and y a and b or c and d and not e</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>As with math expressions, <span class=\'code\'>&lt;logical_expr&gt;</span> is a recursive definition, meaning a logical operand can be another logical expression.</p>\n\
<p>You can have arbitrary sequences containing <span class=\'code\'>and</span> , <span class=\'code\'>or</span> , and <span class=\'code\'>not</span> , and the order of evaluation is defined by the following precedence ordering (in decreasing order of precedence):</p>\n\
<blockquote>\n\
<p><span class=\'code\'>not -- right associative</span></p>\n\
<p><span class=\'code\'>and -- left associative</span></p>\n\
<p><span class=\'code\'>or -- left associative</span></p>\n\
</blockquote>\n\
<p>This means that in an unparenthesised logical expression, <span class=\'code\'>not</span> is evaluated before <span class=\'code\'>and</span> which is evaluated before <span class=\'code\'>or</span> .</p>\n\
<p>Logical operators have a lower precedence than comparison operators, math, and function calls. Therefore, these operations are always evaluated before logical operators, which follows convention.</p>\n\
<p>The previous examples would be evaluated in the following order:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>(a &gt; 0) and (a &lt; (n + 1))   (not x) and y   (a and b) or ((c and d) and (not e))</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";