var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Short-Circuiting Logical Expressions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Short-Circuiting Logical Expressions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"short-circuiting-logical-expressions\"></a></div>\n\
<p>Following the convention in most other programming languages, logical expressions in MAXScript are short-circuiting or non-strict. This means only enough of the sub-expression is evaluated to determine the overall result:</p>\n\
<ul>\n\
<li><p>If the first operand is <span class=\'code\'>false</span> in an <span class=\'code\'>and</span> expression, the result must be <span class=\'code\'>false</span> , therefore, the second operand is not evaluated.</p></li>\n\
<li><p>If the first operand is <span class=\'code\'>true</span> in an <span class=\'code\'>or</span> expression, the result must be <span class=\'code\'>true</span> , therefore, the second operand is not evaluated.</p></li>\n\
</ul>\n\
<p>This saves execution time and enables <strong>useful shorthand notation</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>if you want to calculate <span class=\'code\'>&quot;sin a&quot;</span> if the value of variable <span class=\'code\'>a</span> isn’t <span class=\'code\'>undefined</span> , you can use the following</p>\n\
<p>``` if a != undefined and sin a &gt; 0 then...</p>\n\
<p>```</p>\n\
<p>In a strict language, the <span class=\'code\'>&quot;sin a&quot;</span> evaluation of an <span class=\'code\'>undefined</span> operand results in an error, and you would need to break up the expression into two <span class=\'code\'>if</span> statements:</p>\n\
<p>``` if a != undefined then if sin a &gt; 0 then ...</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";