var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Math Expressions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Math Expressions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"math-expressions\"></a></div>\n\
<p>The math expressions in MAXScript correspond to the common operator expressions in mathematics, such as add, subtract, multiply, divide, and so on. The <span class=\'code\'>&lt;math_expr&gt;</span> constructs in MAXScript are:</p>\n\
<div class=\'codeBlock\'><pre>&lt;math_operand&gt; + &lt;math_operand&gt; -- standard arithmetic addition \n\
&lt;math_operand&gt; - &lt;math_operand&gt; -- standard arithmetic subtraction\n\
&lt;math_operand&gt; * &lt;math_operand&gt; -- standard arithmetic multiplication\n\
&lt;math_operand&gt; / &lt;math_operand&gt; -- standard arithmetic division\n\
&lt;math_operand&gt; ^ &lt;math_operand&gt; -- exponential, raise to the power\n\
&lt;math_operand&gt; as &lt;class&gt; -- conversion between types\n\
</pre></div><p>where <span class=\'code\'>&lt;math_operand&gt;</span> can be one of:</p>\n\
<div class=\'codeBlock\'><pre>&lt;operand&gt;\n\
&lt;function_call&gt;\n\
&lt;math_expr&gt;\n\
</pre></div><p>Note: A math operand can be another nested math expression. This is another instance of a recursive syntax definition which lets you create arbitrary sequences of operands and operators. Note also that the math unary minus is not defined here, it is one of the <span class=\'code\'>&lt;operand&gt;</span> types described in <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Operands.html\' title=\'\'>Operands</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>42   2 + 2   2 * a - sin x / b -- using a function call   (a + b) * -c   2 ^ n   (n + 1) as string -- converts result to a string value</span></p>\n\
</blockquote>\n\
<p>The conversion operator, <strong>as</strong>, works between selected sets of source and destination value types. Only certain kinds of values can be converted into certain other kinds of values. These allowed conversions are defined for each type of value, and are documented with the value type descriptions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";