var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Precedence and Association Rules</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Precedence and Association Rules</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"precedence-and-association-rules\"></a></div>\n\
<p>As in mathematics, a sequence of operands and operators is evaluated according to a set of precedence and association rules.</p>\n\
<p>The following table shows sample expressions and their order of evaluation:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Expression</th>\n\
<th align=\"left\">Order of evaluation</th>\n\
<th align=\"left\">Note</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>a + b * c</span></td>\n\
<td align=\"left\"><span class=\'code\'>a + (b * c)</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>a + b - c</span></td>\n\
<td align=\"left\"><span class=\'code\'>(a + b) - c</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>a ^ b ^ c</span></td>\n\
<td align=\"left\"><span class=\'code\'>a ^ (b ^ c)</span></td>\n\
<td align=\"left\">exponentiation, raise to the power</td>\n\
</tr>\n\
</table>\n\
<p>The evaluation order in the previous table follows standard precedence rules, where <span class=\'code\'>*</span> and <span class=\'code\'>/</span> operations are evaluated before <span class=\'code\'>+</span> and <span class=\'code\'>-</span> operations, and where <span class=\'code\'>+</span> and <span class=\'code\'>-</span> operations associate to the left (that is, operands on the left are evaluated before operands on the right) and exponentiation operations associate to the right (that is, operands on the right are evaluated before operands on the left).</p>\n\
<p>These precedence rules define the ordering of evaluation in all expressions in MAXScript, unless parenthesizing is used to force a different order. Expressions in parenthesis are evaluated before the surrounding operands are applied.</p>\n\
<p>The following list shows the <strong>precedence order</strong> for <strong>math expressions</strong> starting with the highest precedence:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>&lt;operand&gt;</span></p>\n\
<p><span class=\'code\'>&lt;function_call&gt;</span></p>\n\
<p><span class=\'code\'>as</span></p>\n\
<p><span class=\'code\'>^ -- right associative</span></p>\n\
<p><span class=\'code\'>* and / -- left associative</span></p>\n\
<p><span class=\'code\'>+ and - -- left associative</span></p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";