var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Operands</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Operands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"operands\"></a></div>\n\
<p><strong>Operands</strong>, denoted as <span class=\'code\'>&lt;operand&gt;</span> in the syntax definitions, are the references to values that surround operators or are passed as parameters to a function. Prime examples are <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Literal-Constants-1.html\' title=\'\'>Literal Constants</a> and variable names. Operands are divided into two groups, <strong>Factors</strong> and <strong>Accessors</strong>.</p>\n\
<div class=\'section\'><a id=\"factors\"></a><h2 id=\"factors\">Factors</h2></div>\n\
<p><strong>Factors</strong>, denoted as <span class=\'code\'>&lt;factor&gt;</span> in the syntax definitions, are references to values, where the entire value is acted on. A factor can be a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Literal-Constants-1.html\' title=\'\'>Literal Constants</a>, a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/Reserved-Global-Variables.html\' title=\'\'>Reserved Global Variable</a>, a variable name, or an expression.</p>\n\
<p>The unary minus applies the math negate operator to its operand.</p>\n\
<div class=\'codeBlock\'><pre>-&lt;operand&gt; -- unary minus\n\
</pre></div><p>The unary minus is only applicable to factors that evaluate to a number.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>-0.75   sin (-a*pi)</span></p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"accessors\"></a><h2 id=\"accessors\">Accessors</h2></div>\n\
<p><strong>Accessors</strong> are constructs that let you access the components in compound values, such as arrays and 3D points. There are two kinds of accessors corresponding to the two kinds of compound values in MAXScript:</p>\n\
<ul>\n\
<li><p>The component values are arranged in an indexable sequence, as in arrays or strings.</p></li>\n\
<li><p>The compound value contains a fixed set of named components, as with 3D points and time intervals.</p></li>\n\
</ul>\n\
<p>All <strong>3ds Max</strong> objects, such as boxes, spheres, bend modifiers, or bitmap textures are treated as compound values in this sense. All of their parameters, such as height and angle, or map file name, are accessed as named components. In MAXScript, these named components are referred to as properties.</p>\n\
<p>Accessors have one of two forms, an <span class=\'code\'>&lt;array_index&gt;</span> :</p>\n\
<div class=\'codeBlock\'><pre>&lt;operand&gt; [ &lt;expr&gt; ] -- an indexed element\n\
</pre></div><p>or a <span class=\'code\'>&lt;property&gt;</span>:</p>\n\
<div class=\'codeBlock\'><pre>&lt;operand&gt;.&lt;var_name&gt; -- a named property\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES:</strong></p>\n\
<p><span class=\'code\'>maps[i]   selection[n+1]   position.x   bend.angle</span></p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";