var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>3ds Max System Globals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>3ds Max System Globals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ds-max-system-globals\"></a></div>\n\
<p>The <strong>3ds Max</strong> system global variables give you access to state information in the <strong>3ds Max</strong> system.</p>\n\
<p>Except where noted as read-only, you can both access and assign to the global variables.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"a\"></a><h2 id=\"a\">A</h2></div>\n\
<div class=\'codeBlock\'><pre>activeGrid \n\
</pre></div><p>Contains the currently active grid. If the home grid is active, returns the value <span class=\'code\'>undefined</span> .</p>\n\
<p>You can assign a grid node object to this variable to make it the currently active grid.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Grids.html\' title=\'\'>Viewport Grids</a>.</p>\n\
<p>You can also return to the home grid by setting <span class=\'code\'>activegrid = undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>ambientColor \n\
</pre></div><p>Lets you get and set a Color value that defines the global rendering environment (Rendering &gt; Environment) ambient lighting color.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>ambientColorController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) ambient lighting color controller.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>animateMode\n\
</pre></div><p>Gets or sets the current Auto Key Animation Mode.</p>\n\
<div class=\'codeBlock\'><pre>animationRange \n\
</pre></div><p>Lets you get and set an Interval value that defines the start and end of the current active animation range.</p>\n\
<p>This variable contains the corresponding values set in the Time Configuration dialog.</p>\n\
<p>See<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>animButtonEnabled \n\
</pre></div><p>A Boolean value that specifies whether the user can change the state of the Animate button.</p>\n\
<p>If set to <span class=\'code\'>false</span> , the user can not change the Animate button state.</p>\n\
<p>If set to <span class=\'code\'>true</span> , the user can change the Animate button state.</p>\n\
<p>A script can change the state of the Animate button using animButtonState regardless of the animButtonEnabled value.</p>\n\
<p>See<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\' title=\'\'>Time Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>animButtonState \n\
</pre></div><p>Lets you to get and set the state of the Animate button.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Animate is on, <span class=\'code\'>false</span> if Animate is off.</p>\n\
<p>See<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\' title=\'\'>Time Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>autoBackup.enabled \n\
</pre></div><p>Get/set whether auto backup is enabled as a <span class=\'code\'>&lt;boolean&gt;</span>.</p>\n\
<div class=\'codeBlock\'><pre>autoBackup.time \n\
</pre></div><p>Get/set the time in minutes between auto backup as a <span class=\'code\'>&lt;float&gt;</span>.</p>\n\
<p>If the specified value is &lt; 0.01 (the UI limit), the time is set to 0.01.</p>\n\
<div class=\'section\'><a id=\"b\"></a><h2 id=\"b\">B</h2></div>\n\
<div class=\'codeBlock\'><pre>backgroundColor \n\
</pre></div><p>Lets you get and set a Color value that defines the global rendering environment (Rendering &gt; Environment) background color.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>backgroundColorController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) background color controller.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>backgroundImageFileName \n\
</pre></div><p>Lets you get and set a String value that defines the viewport background image bitmap file name.</p>\n\
<p>This variable contains the corresponding bitmap file name set in the Viewport Background dialog.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Background-Images.html\' title=\'\'>Viewport Background Images</a>.</p>\n\
<div class=\'section\'><a id=\"c\"></a><h2 id=\"c\">C</h2></div>\n\
<div class=\'codeBlock\'><pre>cui.commandPanelOpen \n\
</pre></div><p>Lets you get and set whether the command panel is displayed.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if the command panel is displayed, <span class=\'code\'>false</span> if not displayed.</p>\n\
<p>See<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Command-Panels-1.html\' title=\'\'>Command Panels</a>.</p>\n\
<div class=\'codeBlock\'><pre>currentMaterialLibrary \n\
</pre></div><p>Contains a virtual array of materials and root level maps corresponding to the currently opened material library.</p>\n\
<p>You can get library materials via array indexing and iterate over them in a <span class=\'code\'>for</span> loop.</p>\n\
<p>The array can be indexed by number, or by name or string to select by material name.</p>\n\
<p>This variable is read-only. See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a>.</p>\n\
<div class=\'section\'><a id=\"d\"></a><h2 id=\"d\">D</h2></div>\n\
<div class=\'codeBlock\'><pre>displayGamma \n\
</pre></div><p>Lets you view Float values that define the gamma preference settings.</p>\n\
<p>They contain the corresponding values set in the Gamma tab of the Preferences dialog.</p>\n\
<p>You could use this global variable to establish gamma for a MAXScript-created bitmap.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` b = bitmap 320 240 gamma:displayGamma render camera:c to:b</p>\n\
<p>```</p>\n\
<p>This would cause the rendered bitmap to display using the current displays gamma setting if used as a rollout bitmap or button image.</p>\n\
</blockquote>\n\
<p>See also <strong>fileInGamma</strong>, <strong>fileOutGamma</strong>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\' title=\'\'>Interface: IDisplayGamma</a> for Gamma-related properties and methods.</p>\n\
<div class=\'codeBlock\'><pre>displaySafeFrames \n\
</pre></div><p>Lets you get and set whether Show Safe Frames is on for the active viewport.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Show Safe Frames is on, <span class=\'code\'>false</span> if off.</p>\n\
<div class=\'section\'><a id=\"e\"></a><h2 id=\"e\">E</h2></div>\n\
<div class=\'codeBlock\'><pre>environmentMap \n\
</pre></div><p>Lets you get and set a TextureMap value that defines the global rendering environment (Rendering &gt; Environment) environment map.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<p>Also see the System Global Variable <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>useEnvironmentMap</a> for control over the on/off state of the environment map.</p>\n\
<div class=\'section\'><a id=\"f\"></a><h2 id=\"f\">F</h2></div>\n\
<div class=\'codeBlock\'><pre>flyOffTime \n\
</pre></div><p>Lets you get and set an Integer value that defines the time in milliseconds the user must hold down on a flyout before the flyout is activated.</p>\n\
<p>This variable contains the corresponding value set in the General tab of the Preferences dialog.</p>\n\
<p>Same as the System Global Variable <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>preferences.flyOffTime</a>.</p>\n\
<div class=\'codeBlock\'><pre> fileInGamma fileOutGamma \n\
</pre></div><p>Lets you get and set Float values that define the gamma preference settings.</p>\n\
<p>They contain the corresponding values set in the Gamma tab of the Preferences dialog.</p>\n\
<p>You could use these global variables to establish gamma for a MAXScript-created bitmap.</p>\n\
<p>See also <strong>displayGamma</strong>.</p>\n\
<div class=\'codeBlock\'><pre>frameRate \n\
</pre></div><p>Lets you get and set an Integer value that defines the current scene frame rate in frames-per-second.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<div class=\'section\'><a id=\"g\"></a><h2 id=\"g\">G</h2></div>\n\
<div class=\'codeBlock\'><pre>globalTracks \n\
</pre></div><p>Contains a MAXTVNode value that defines the top-level Global Tracks node in Track View.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\' title=\'\'>Track View Nodes</a>.</p>\n\
<div class=\'section\'><a id=\"h\"></a><h2 id=\"h\">H</h2></div>\n\
<div class=\'codeBlock\'><pre>hardwareLockID \n\
</pre></div><p>Contains an Integer value that defines the <strong>3ds Max</strong> hardware lock ID.</p>\n\
<p>This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>hotspotAngleSeparation \n\
</pre></div><p>Contains a Float value that defines the Hot Spot/FallOff Angle Separation value.</p>\n\
<p>This variable contains the corresponding value set in the Rendering tab of the Preferences dialog.</p>\n\
<p>This variable is read-only.</p>\n\
<div class=\'section\'><a id=\"k\"></a><h2 id=\"k\">K</h2></div>\n\
<div class=\'codeBlock\'><pre>keyboard.shiftPressed keyboard.controlPressed keyboard.altPressed keyboard.escPressed \n\
</pre></div><p>These read-only variables access the current state of the keyboard Shift, Control, Alt and Escape keys.</p>\n\
<p>They return <span class=\'code\'>true</span> or <span class=\'code\'>false</span> depending on the pressed state of the key at the time the variable is read.</p>\n\
<div class=\'section\'><a id=\"l\"></a><h2 id=\"l\">L</h2></div>\n\
<div class=\'codeBlock\'><pre>lightLevel \n\
</pre></div><p>Lets you get and set a Float value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint Level.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>lightLevelController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint Level controller.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>lightTintColor \n\
</pre></div><p>Lets you get and set a Color value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint color.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>lightTintColorController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering &gt; Environment) Global Lighting Tint color controller.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>listener \n\
</pre></div><p>Read only system global - listener edit window <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/WindowStream-Values.html\' title=\'\'>WindowStream</a> value.</p>\n\
<div class=\'codeBlock\'><pre>localTime \n\
</pre></div><p>Contains a String value that defines the current local date and time.</p>\n\
<p>This variable is read-only.</p>\n\
<p>An example of the value stored in localtime is:</p>\n\
<blockquote>\n\
<p>``` s = localTime &quot;4/14/97 10:24:57 AM&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The format of this string is controlled by the date format selected in the main Windows Regional Settings control panel.</p>\n\
<p>See also <a href=\'#!/url=./developer/Interaction-With-The-Operating/Local-and-Universal-Time.html\' title=\'\'>Local and Universal Time</a>.</p>\n\
<div class=\'codeBlock\'><pre>logsystem.quietmode \n\
</pre></div><p>Lets you get and set whether error logging quiet mode is enabled.</p>\n\
<p>A Boolean value set to <span class=\'code\'>true</span> when you do not want error messages from the renderer to bring up dialog boxes.</p>\n\
<p>If set to <span class=\'code\'>false</span> , error messages from the renderer will bring up dialog boxes.</p>\n\
<p><strong>3ds Max</strong> sets the corresponding internal variable to <span class=\'code\'>true</span> during network rendering to suppress error messages such as the &quot;Missing Maps&quot; and &quot;Missing Map Coordinates&quot; dialogs.</p>\n\
<p>If this variable is set to <span class=\'code\'>true</span> and the renderer generates an error message, the renderer will exit.</p>\n\
<p>After setting quiet mode, do not forget to clear it when you are done, since the user will not see any error messages from the renderer while quiet mode is enabled.</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Log-System.html\' title=\'\'>logsystem_struct</a> for log system related methods.</p>\n\
<div class=\'section\'><a id=\"m\"></a><h2 id=\"m\">M</h2></div>\n\
<div class=\'codeBlock\'><pre>macroRecorder \n\
</pre></div><p>Read-only system global - represents the Macro Recorder edit window <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/WindowStream-Values.html\' title=\'\'>WindowStream</a> value.</p>\n\
<div class=\'codeBlock\'><pre>manipulateMode \n\
</pre></div><p>Get/set the <strong>3ds Max</strong> manipulate mode.</p>\n\
<p>When <span class=\'code\'>true</span> , manipulate mode is active.</p>\n\
<p>See also the topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Manipulators.html\' title=\'\'>Scripted Manipulators</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>maxFileName \n\
</pre></div><p>Contains a String value that defines the file name for the currently open scene.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\'#!/url=./developer/Frequently-Asked-Questions/MAXScript-Syntax-and-Terminology/How-do-I-get-the-file-name-of.html\' title=\'\'>How do I get the file name of the current scene?</a> FAQ entry as well as <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\' title=\'\'>3ds Max File Loading and Saving</a>.</p>\n\
<div class=\'codeBlock\'><pre>maxFilePath \n\
</pre></div><p>Contains a String value that defines the directory path for the currently open scene.</p>\n\
<p>This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>maxOps.productAppID : enum : Read productAppID enums: {#none|#max|#viz|#gmax} \n\
</pre></div><p>The enum values returned are as follows:</p>\n\
<p><span class=\'code\'>#none</span> -no ID</p>\n\
<p><span class=\'code\'>#max</span> -3ds Max</p>\n\
<p><span class=\'code\'>#viz</span> - Autodesk VIZ</p>\n\
<p><span class=\'code\'>#gmax</span> -gmax</p>\n\
<div class=\'codeBlock\'><pre>meditMaterials \n\
</pre></div><p>Contains a virtual array of materials and root level maps corresponding to the slots in the material editor.</p>\n\
<p>You can access material editor materials and root level maps via array indexing and iterate over them in a <span class=\'code\'>for</span> loop.</p>\n\
<p>The array can be indexed by number to specify slot number or name or string to select by material and root level map name.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b=box() b.material = meditMaterials[1] meditMaterials[&quot;01 - Default&quot;].diffuse = red for m in meditMaterials do print m.diffuseMap meditMaterials[1]=standard() print meditMaterials.count-- number of slots</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This variable is read-only, but the elements (the materials in the slots) are assignable.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a>.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/Material-Editor-1.html\' title=\'\'>Material Editor</a> for methods for assigning materials and maps to the material editor slots.</p>\n\
<div class=\'section\'><a id=\"n\"></a><h2 id=\"n\">N</h2></div>\n\
<div class=\'codeBlock\'><pre>numEffects\n\
</pre></div><p>Contains an Integer value that defines the number of current render effects defined in the Rendering &gt; Effects dialog list.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See<a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/RenderEffect-MAXWrapper/RenderEffect-MAXWrapper-1.html\' title=\'\'>RenderEffect</a>.</p>\n\
<div class=\'codeBlock\'><pre>numAtmospherics \n\
</pre></div><p>Contains an Integer value that defines the number of atmospheric events, as shown in Rendering &gt; Environment.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>numSubObjectLevels \n\
</pre></div><p>Lets you get the number of sub-object levels supported by the object or modifier currently selected in the modifier stack.</p>\n\
<p>If the Modify panel is not open or no objects are selected, the global contains the value <span class=\'code\'>undefined</span> . See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\' title=\'\'>Modify Panel</a>.</p>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>subObjectLevel</span> and <span class=\'code\'>numSubObjectLevels</span> system global variables return values other than &#39;undefined&#39; if you are in the Motion panel.</p>\n\
<p>At the top of the Motion panel there is a Selection Level/Sub-Object drop-down list. This is for Trajectory mode, and switches you in and out of Keys SO mode.</p>\n\
<p>Because of this, the test (subobjectlevel != undefined) is not a valid test of whether you are in the Modify panel.</p>\n\
<p>Instead, use the <span class=\'code\'>test (getCommandPanelTaskMode() == #modify)</span> .</p>\n\
<div class=\'section\'><a id=\"p\"></a><h2 id=\"p\">P</h2></div>\n\
<div class=\'codeBlock\'><pre>playActiveOnly \n\
</pre></div><p>Lets you get and set whether to playback the active viewport only.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Active Viewport Only is on, <span class=\'code\'>false</span> if off. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>preferences.autoKeyDefaultKeyOn \n\
</pre></div><p>This System Global variable controls whether a default key with the current value will be created when a controller with no keys is animated in Auto Key mode at a time different from the value set by <span class=\'code\'>preferences.autoKeyDefaultKeyTime</span>. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Corresponds to the checkbox exposed in the Main Menu &gt; Customize &gt; Preferences &gt; Animation &gt; Auto Key Default Frame group of controls.</p>\n\
<p>Default is True.</p>\n\
<p>When set to False, a new key will be created only at the current time, and the original value of the controller will be lost.</p>\n\
<p>Note: The <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90.html#autokey-default-key\' title=\'\'>maxOps</a> interface has an option by the same name that has the same functionality.</p>\n\
<div class=\'codeBlock\'><pre>preferences.autoKeyDefaultKeyTime \n\
</pre></div><p>This System Global variable controls the frame on which a default key with the current value will be created when a controller with no keys is animated in Auto Key mode at a different time. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Corresponds to the value spinner exposed in the Main Menu &gt; Customize &gt; Preferences &gt; Animation &gt; Auto Key Default Frame group of controls.</p>\n\
<p>Default is 0.</p>\n\
<p>The value can be set to any valid frame number.</p>\n\
<p>Note that in versions prior to 3ds Max 2017, the default key time could only be set to 0 or 1.</p>\n\
<p>Note: The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>maxOps</a> interface has an option by the same name that has the same functionality.</p>\n\
<div class=\'codeBlock\'><pre>preferences.constantReferenceSystem \n\
</pre></div><p>Lets you get and set whether to use the same coordinate system for the Move, Rotate, and Scale tools in the <strong>3ds Max</strong> toolbar.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Constant is on, <span class=\'code\'>false</span> if off.</p>\n\
<p>This variable matches the Constant check box in the General page of Customize &gt; Preferences.</p>\n\
<div class=\'codeBlock\'><pre>preferences.dontRepeatRefMsg \n\
</pre></div><p>A message notification system optimization related to reference message propagation was introduced in 3ds Max 6 and was enabled by default. The optimization consists of preventing the same reference change message from being sent repeatedly to the same object. This optimization speeds up complex rigs using multiple animation controllers, and other cases where a single change can cause a large number of reference change messages to be sent.</p>\n\
<p>When set to true, the optimization is enabled and no redundant notifications are sent.</p>\n\
<p>When set to false, the system behaves as in 3ds Max 5 and earlier.</p>\n\
<div class=\'codeBlock\'><pre>preferences.EnableOptimizeDependentNotifications \n\
</pre></div><p>For internal use only.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;array&gt;GetOptimizeDependentNotificationsStatistics() \n\
</pre></div><p>Returns the optimized dependent notification statistics as an array of two Integer64 values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;ResetOptimizeDependentNotificationsStatistics()\n\
</pre></div><p>Resets the statistics counters to zero.</p>\n\
<div class=\'codeBlock\'><pre>preferences.flyOffTime \n\
</pre></div><p>Lets you get and set an Integer value that defines the time in milliseconds the user must hold down on a flyout before the flyout is activated.</p>\n\
<p>This variable contains the corresponding value set in the General page of Customize &gt; Preferences.</p>\n\
<p>Same as the System Global Variable <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>flyOffTime</a>.</p>\n\
<div class=\'codeBlock\'><pre>preferences.InvalidateTMOpt \n\
</pre></div><p>An optimization was introduced in <strong>3ds Max 7</strong> that checks to see if a node has already been invalidated before sending out notifications to it&#39;s dependents that it has been changed. It speeds up complex rigs, especially those that involve the new expose transform helper.</p>\n\
<p>When set to true, the optimization is enabled and multiple notifications will not be sent out.</p>\n\
<p>When set to false, the animation system behaves as in <strong>3ds Max 6</strong> and earlier.</p>\n\
<p>It is true by default.</p>\n\
<div class=\'codeBlock\'><pre>preferences.maximumGBufferLayers \n\
</pre></div><p>Lets you get and set an Integer value that specifies the maximum number of g-buffer layers generated during a render.</p>\n\
<div class=\'codeBlock\'><pre>preferences.playPreviewWhenDone \n\
</pre></div><p>Specifies whether to automatically play or display the preview created by <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\' title=\'\'>createPreview()</a> or using the <strong>Make Preview</strong> dialog.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>preferences.spinnerWrap \n\
</pre></div><p>Lets you get and set a Boolean value that defines whether cursor wrapping is limited to an area close to the spinner when you drag to adjust spinner value.</p>\n\
<p>This variable contains the corresponding value set in the General page of Customize &gt; Preferences.</p>\n\
<div class=\'codeBlock\'><pre>preferences.spinnerPrecision \n\
</pre></div><p>This integer value defines the number of decimal digits displayed by spinners.</p>\n\
<p>Corresponds to the Precision value in the Spinners group in Customize &gt; Preferences &gt; General.</p>\n\
<div class=\'codeBlock\'><pre>preferences.spinnerSnap \n\
</pre></div><p>This float value defines the spinner snap value.</p>\n\
<p>Corresponds to the Snap value in the Spinners group in Customize &gt; Preferences &gt; General.</p>\n\
<div class=\'codeBlock\'><pre>preferences.useSpinnerSnap \n\
</pre></div><p>This Boolean value defines whether to use the spinner snap.</p>\n\
<p>Corresponds to the Use Snap checkbox in the Spinners group in Customize &gt; Preferences &gt; General.</p>\n\
<div class=\'codeBlock\'><pre>preferences.useLargeVertexDots \n\
</pre></div><p>Lets you get and set whether to use small or large dots when representing vertices as dots.</p>\n\
<p>A Boolean value set to <span class=\'code\'>true</span> if you when using dots to represent vertices and a large size is desired.</p>\n\
<p>The value of this variable only has effect when <span class=\'code\'>UseVertexDots</span> is set to <span class=\'code\'>true</span> .</p>\n\
<p>This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<div class=\'codeBlock\'><pre>preferences.useTransformGizmos \n\
</pre></div><p>Lets you get and set whether to use the Transform Gizmos.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if on, <span class=\'code\'>false</span> if off.</p>\n\
<p>This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<div class=\'codeBlock\'><pre>preferences.useVertexDots \n\
</pre></div><p>Lets you get and set whether to represent vertices as dots.</p>\n\
<p>A Boolean value set to <span class=\'code\'>true</span> when you want to use dots as the representation of the vertices in a mesh. If set to <span class=\'code\'>false</span> , ticks will be used.</p>\n\
<p>This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<div class=\'section\'><a id=\"r\"></a><h2 id=\"r\">R</h2></div>\n\
<div class=\'codeBlock\'><pre>realTimePlayback \n\
</pre></div><p>Lets you get and set whether to playback in real time mode. This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Real Time is on, <span class=\'code\'>false</span> if off.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>renderer \n\
</pre></div><p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>In versions prior <strong>3ds Max 6</strong>, this global variable was used to get and set the renderer type (#production or #draft).</p>\n\
<p>The #draft renderer option has been removed from 3ds Max 6, making this variable obsolete.</p>\n\
<p>It only accepts and returns #production now and is kept for backwards compatibility of scripts from earlier versions that might be checking this value.</p>\n\
<div class=\'codeBlock\'><pre>renderDisplacements \n\
</pre></div><p>Lets you get and set whether to perform displacement mapping during a render.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if displacement mapping is to be performed, <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>renderEffects \n\
</pre></div><p>Lets you get and set whether to perform Render Effects after a scene render.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Render Effects are to be performed, <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>renderHeight \n\
</pre></div><p>Lets you get and set an Integer value that defines the output size height for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\' title=\'\'>Render Scene Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>renderPixelAspect \n\
</pre></div><p>Lets you get and set an Integer value that defines the output pixel aspect for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<div class=\'codeBlock\'><pre>renderWidth \n\
</pre></div><p>Lets you get and set an Integer value that defines the output size width for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\' title=\'\'>Render Scene Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>rendOutputFilename \n\
</pre></div><p>Lets you get and set a String value that defines the output file name for the active renderer.</p>\n\
<p>This variable contains the corresponding value set in the Render Scene dialog.</p>\n\
<p>If this global variable is set to &quot;&quot; the Save File check box in the Render Scene dialog is unchecked.</p>\n\
<div class=\'codeBlock\'><pre>rendSimplifyAreaLights \n\
</pre></div><p>When set to <span class=\'code\'>*true*</span> , area lights will be examined and converted to point light sources when appropriate.</p>\n\
<p>Note: There is also an equally named parameter to the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\' title=\'\'>render()</a> command to achieve this behavior.</p>\n\
<div class=\'codeBlock\'><pre>rootNode \n\
</pre></div><p>Contains a Node value that defines the root node of the scene.</p>\n\
<p>The root node does not physically exist in the scene, rather it is a special node that is the parent node of all nodes that are not linked to another node.</p>\n\
<p>The scene objects can be enumerated by accessing the <span class=\'code\'>children</span> property of the root node.</p>\n\
<p>A run-time error is generated if you try to perform other node operations on the root node.</p>\n\
<div class=\'codeBlock\'><pre>rootScene \n\
</pre></div><p>Represents the scene root in scripts and Macro Recorder output.</p>\n\
<p>The subAnims of rootScene include the node hierarchy, the Material Editor, Track View, Scene Material Library etc.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/rootScene-System-Global-Variable.html\' title=\'\'>rootScene System Global Variable</a>.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"s\"></a><h2 id=\"s\">S</h2></div>\n\
<div class=\'codeBlock\'><pre>sceneMaterials \n\
</pre></div><p>Contains a virtual array of materials and root level maps corresponding to the materials and root level maps present in the scene.</p>\n\
<p>You can get scene materials and root level maps via array indexing and iterate over them in a <span class=\'code\'>for</span> loop.</p>\n\
<p>The array can be indexed by number, or by name or string to select by material or root level map name.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a>.</p>\n\
<div class=\'codeBlock\'><pre>scriptsPath \n\
</pre></div><p>Contains a String value that defines the full directory path to the current Scripts directory.</p>\n\
<p>This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>selectionSets \n\
</pre></div><p>Contains a virtual array of all the current named node selection sets in the Named Selection Set drop-down list on the <strong>3ds Max</strong> toolbar.</p>\n\
<p>You can get named selection sets via array indexing and iterate over them in a <span class=\'code\'>for</span> loop.</p>\n\
<p>The array can be indexed by number, or by name or string to select by named selection sets.</p>\n\
<p>You can change, add and delete Named Selection Sets by using the standard array methods on the <span class=\'code\'>selectionSets</span> array.</p>\n\
<p>See<a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/SelectionSetArray-Values.html\' title=\'\'>SelectionSetArray Values</a>.</p>\n\
<div class=\'codeBlock\'><pre>showEndResult \n\
</pre></div><p>Lets you get and set the state of the Show End Result Toggle icon in the Modify panel.</p>\n\
<p>A Boolean Value - <span class=\'code\'>true</span> if Show End Result is on, <span class=\'code\'>false</span> if off. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\' title=\'\'>Modify Panel</a>.</p>\n\
<div class=\'codeBlock\'><pre>skipRenderedFrames \n\
</pre></div><p>Lets you get and set whether to skip rendered frames during a render.</p>\n\
<p>A Boolean Value - <span class=\'code\'>true</span> if rendered frames are to be skipped, <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>sliderTime \n\
</pre></div><p>Lets you get and set a Time value that defines the time associated with the <strong>3ds Max</strong> time slider.</p>\n\
<p>See<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Control-1.html\' title=\'\'>Time Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.active \n\
</pre></div><p>Lets you get and set a Boolean value defining the Snap toggle state - on ( <span class=\'code\'>true</span> ) or off ( <span class=\'code\'>false</span> ).</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Status-Bar-Buttons.html\' title=\'\'>Status Bar Buttons</a> as well as the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\' title=\'\'>SnapMode struct</a> topic.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.type \n\
</pre></div><p>Lets you get and set a Name value defining whether 2D ( <span class=\'code\'>#2D</span> ), 2.5D ( <span class=\'code\'>#2_5D</span> ), or 3D ( <span class=\'code\'>#3D</span> ) is the current snap type.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Status-Bar-Buttons.html\' title=\'\'>Status Bar Buttons</a> as well as the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\' title=\'\'>SnapMode struct</a> topic.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.snapPreviewRadius \n\
</pre></div><p>A System Global variable which lets you get and set the Snap Preview Radius value.</p>\n\
<p>Default value is 30.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>Also see the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\' title=\'\'>SnapMode struct</a> topic.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.snapRadius \n\
</pre></div><p>A System Global variable which lets you get and set the Snap Radius value.</p>\n\
<p>Default value is 20.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>Also see the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/snapMode-Struct.html\' title=\'\'>SnapMode struct</a> topic.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.hilite \n\
</pre></div><p>A System Global which lets you get and set the color value of the Snap Marker.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.markSize \n\
</pre></div><p>A System Global which lets you get and set the Snap Marker Size.</p>\n\
<p>An integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.toFrozen \n\
</pre></div><p>A System Global which lets you get and set whether to snap to frozen objects.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.axisConstraint \n\
</pre></div><p>A System Global which lets you get and set whether the snap should use axis constraints as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.displayRubberBand \n\
</pre></div><p>A System Global which lets you get and set whether to display rubber band as a Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.useAxisCenterAsStartSnapPoint \n\
</pre></div><p>A System Global which lets you get and set the state of the &quot;Use Axis Center As Start Snap Point&quot; option as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher up to3ds Max 2010</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> <strong>Deprecated</strong> in <strong>3ds Max 2011</strong>.</p>\n\
<p>Attempting to access this property will result in:</p>\n\
<p>-- Runtime error: Cannot set this snap option. It has been deprecated as of <strong>3ds Max 2011</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.display \n\
</pre></div><p>A System Global which lets you get and set whether the Snap Marker is displayed.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.strength \n\
</pre></div><p>A System Global which lets you get and set the Snap Strength as an integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.hit \n\
</pre></div><p>A System Global which contains true if the Marker is currently snapped to something, false if not snapped.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.node \n\
</pre></div><p>A System Global which contains the node currently being snapped to.</p>\n\
<p>Contains undefined if not snapped to a node or if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.flags \n\
</pre></div><p>A System Global which contains the Snap System Flags as an integer.</p>\n\
<p>Contains undefined if Snaps not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.hitPoint \n\
</pre></div><p>A System Global which contains the last Snap Point as Point3 coordinate in local coordinates of the node snapped to.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in<strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.worldHitpoint \n\
</pre></div><p>A System Global which contains the last Snap Point as Point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.screenHitPoint \n\
</pre></div><p>A System Global which contains the last Snap Point as a Point3 screen coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.OKForRelativeSnap \n\
</pre></div><p>A System Global which contains true if at least one Snap Point has been recorded.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.refPoint \n\
</pre></div><p>A System Global which contains the last Snap Point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.topRefPoint \n\
</pre></div><p>A System Global which contains the first snap point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.numOSnaps \n\
</pre></div><p>A System Global which contains the number of OSnaps as an integer.</p>\n\
<p>Read only.</p>\n\
<p>Currently there are 6 sets of OSnaps - see below of details.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>subObjectLevel \n\
</pre></div><p>Lets you get and set the sub-object level in the Modify panel if it is open. An Integer value of zero or greater up to the number of sub-object levels supported by the currently open modifier, typically in the order shown in the Sub-Object drop-down list.</p>\n\
<p>A <span class=\'code\'>subObjectLevel</span> of 0 means sub-object mode is off.</p>\n\
<p>If the Modify panel is not open or sub-object level setting not permitted in the current modifier, the global contains the value <span class=\'code\'>undefined</span> .</p>\n\
<p>Use the <span class=\'code\'>numSubObjectLevels</span> global variable to access the maximum valid <span class=\'code\'>subObjectlevel</span> value.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\' title=\'\'>Modify Panel</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>b=box()-- create a box   em=edit_mesh()-- create an Edit Mesh modifier   addModifier b em-- add edit mesh mod   max modify mode-- open mod panel   select b-- select object Box001   print subObjectLevel-- print the current subobject level   subObjectLevel = 2-- set sub-object level to Edge</span></p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>subObjectLevel</span> and <span class=\'code\'>numSubObjectLevels</span> system global variables return values other than &#39;undefined&#39; if you are in the Motion panel.</p>\n\
<p>At the top of the Motion panel, there is a Selection Level/Sub-Object drop-down. This is for Trajectory mode, and switches you in and out of Keys SO mode.</p>\n\
<p>Because of this, the test <span class=\'code\'>(subobjectlevel != undefined)</span> is not a valid test of whether you are in the Modify panel. Instead, use the test <span class=\'code\'>(getCommandPanelTaskMode() == #modify).</span></p>\n\
<div class=\'codeBlock\'><pre>sysInfo.DesktopSize \n\
</pre></div><p>A read only variable to get the desktop size in pixels as a <span class=\'code\'>&lt;point2&gt;</span> value.</p>\n\
<p>See also <a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Information.html\' title=\'\'>System Information</a> and getMAXWindowSize() under <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions.html\' title=\'\'>Miscellaneous Functions</a></p>\n\
<div class=\'codeBlock\'><pre>sysInfo.DesktopBPP \n\
</pre></div><p>A read only variable to get the desktop color depth in bits per pixel as an <span class=\'code\'>&lt;integer&gt;</span> value.</p>\n\
<p>See also <a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Information.html\' title=\'\'>System Information</a>.</p>\n\
<div class=\'codeBlock\'><pre>sysInfo.MAXPriority \n\
</pre></div><p>Get/set the <strong>3ds Max</strong> process priority as a <span class=\'code\'>&lt;name&gt;</span> value. Valid priority values are <span class=\'code\'>#high</span> , <span class=\'code\'>#normal</span> , and <span class=\'code\'>#low</span> .</p>\n\
<p>See also <a href=\'#!/url=./developer/Interaction-With-The-Operating/System-Information.html\' title=\'\'>System Information</a>.</p>\n\
<div class=\'section\'><a id=\"t\"></a><h2 id=\"t\">T</h2></div>\n\
<div class=\'codeBlock\'><pre>ticksPerFrame \n\
</pre></div><p>Lets you get and set an Integer value defining the system time resolution.</p>\n\
<p>There are always 4800 ticks per second, this means that ticksPerFrame is dependent on the frames per second rate (ticksPerFrame * frameRate == 4800)</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.playActiveOnly \n\
</pre></div><p>Lets you get and set whether to playback the active viewport only.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Active Viewport Only is on, <span class=\'code\'>false</span> if off.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<p>Same as <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>playActiveOnly System Global</a>.</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.realTimePlayback \n\
</pre></div><p>Lets you get and set whether to playback in real time mode.</p>\n\
<p>This variable contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Real Time is on, <span class=\'code\'>false</span> if off.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<p>Same as <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>realTimePlayback System Global</a>.</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.PlaybackSpeed \n\
</pre></div><p>Lets you get and set the viewport playback speed mode.</p>\n\
<p>See<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.PlaybackLoop \n\
</pre></div><p>Get/set whether to loop the viewport playback. Only used when timeConfiguration <span class=\'code\'>. realTimePlayback</span> is set to <span class=\'code\'>true.</span></p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.useTrackBar \n\
</pre></div><p>Lets you get and set the state of the Time Configuration dialog &#39;Key Steps / Use TrackBar&#39; check box.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if checked, <span class=\'code\'>false</span> if not.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>timeDisplayMode \n\
</pre></div><p>Lets you get and set whether to playback the Time Display mode. It contains the corresponding value set in the Time Configuration dialog as a Name value.</p>\n\
<p>Available in 3ds Max 2008 and higher. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard DLX Extension</a></p>\n\
<p>Possible values are <span class=\'code\'>#frames, #smpte, #frameTicks, #timeTicks.</span></p>\n\
<div class=\'codeBlock\'><pre>toolmode.axisConstraints \n\
</pre></div><p>Get/set the <strong>3ds Max</strong> axis constraints.</p>\n\
<p>The axis constraints values are:</p>\n\
<div class=\'codeBlock\'><pre>#X #Y #Z #XY #YZ #ZX \n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Main-Toolbar/Main-Toolbar-1.html\' title=\'\'>Main Toolbar</a>.</p>\n\
<div class=\'codeBlock\'><pre>toolmode.commandmode \n\
</pre></div><p>Get/set the <strong>3ds Max</strong> command mode.</p>\n\
<p>The value of the command mode is a <span class=\'code\'>&lt;name&gt;</span> value if the command mode is a recognized command mode, otherwise the return value is an integer value.</p>\n\
<p>The recognized command modes are:</p>\n\
<div class=\'codeBlock\'><pre>#SELECT #MOVE #ROTATE #NUSCALE #USCALE #SQUASH #VIEWPORT #HIERARCHY #CREATE #MODIFY #MOTION #ANIMATION #CAMERA #NULL #DISPLAY #SPOTLIGHT #PICK \n\
</pre></div><p>When setting the <strong>3ds Max</strong> command mode, only the following command modes are valid:</p>\n\
<div class=\'codeBlock\'><pre>#SELECT #MOVE #ROTATE #NUSCALE #USCALE #SQUASH \n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>Main Toolbar</a>.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.coordSysNode \n\
</pre></div><p>A read/write variable containing a node value or undefined.</p>\n\
<p>This variable reflects which node, if any, is the current reference coordinate system node.</p>\n\
<p>Assignment to this variable must be a node value.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>Main Toolbar</a>.</p>\n\
<div class=\'codeBlock\'><pre>toolmode.commandmodeID \n\
</pre></div><p>Get the <strong>3ds Max</strong> command mode as Integer ID.</p>\n\
<p>Read-only.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Move</p>\n\
<p>2 - Rotate</p>\n\
<p>3 - Non-Uniform Scale</p>\n\
<p>4 - Uniform Scale</p>\n\
<p>5 - Squash Scale</p>\n\
<p>6 - Select</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Main-Toolbar/Main-Toolbar-1.html\' title=\'\'>Main Toolbar</a>.</p>\n\
<div class=\'codeBlock\'><pre>trackbar.filter \n\
</pre></div><p>Lets you get and set the filter specifying which types of keys to show in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Trackbar/trackbar.html\' title=\'\'>Trackbar</a>.</p>\n\
<p>A Name value - the valid values are: <span class=\'code\'>#all</span> , <span class=\'code\'>#TMOnly</span> , <span class=\'code\'>#currentTM</span> , <span class=\'code\'>#object</span> , and <span class=\'code\'>#mat</span> .</p>\n\
<div class=\'codeBlock\'><pre>trackbar.visible \n\
</pre></div><p>Lets you get and set whether the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Trackbar/trackbar.html\' title=\'\'>Trackbar</a> is visible.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if the Trackbar is visible, <span class=\'code\'>false</span> if invisible.</p>\n\
<div class=\'codeBlock\'><pre>trackViewNodes \n\
</pre></div><p>Contains a MAXTVNode value that defines top-level World node in Track View.</p>\n\
<p>This variable is read-only. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\' title=\'\'>Track View Nodes</a>.</p>\n\
<div class=\'section\'><a id=\"u\"></a><h2 id=\"u\">U</h2></div>\n\
<div class=\'codeBlock\'><pre>units.DisplayType \n\
</pre></div><p>Get/set the current unit display type as a <span class=\'code\'>&lt;name&gt;</span>.</p>\n\
<p>Valid unit display types are:</p>\n\
<div class=\'codeBlock\'><pre>#Generic #Metric #US #custom \n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.MetricType \n\
</pre></div><p>Get/set the current metric unit display type as a <span class=\'code\'>&lt;name&gt;</span>.</p>\n\
<p>Valid metric unit display types are:</p>\n\
<div class=\'codeBlock\'><pre>#Millimeters #Centimeters #Meters #Kilometers \n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.USType \n\
</pre></div><p>Get/set the current US standard unit display type as a <span class=\'code\'>&lt;name&gt;</span>.</p>\n\
<p>Valid US standard unit display types are:</p>\n\
<div class=\'codeBlock\'><pre>#Frac_In #Dec_In #Frac_Ft #Dec_Ft #Ft_Frac_In #Ft_Dec_In \n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.USFrac \n\
</pre></div><p>Get/set the current US fraction display type as a <span class=\'code\'>&lt;name&gt;</span>.</p>\n\
<p>Valid US fraction display types are:</p>\n\
<div class=\'codeBlock\'><pre>#Frac_1_1 #Frac_1_2 #Frac_1_4 #Frac_1_8 #Frac_1_10 #Frac_1_16 #Frac_1_32 #Frac_1_64 #Frac_1_100 \n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.CustomName \n\
</pre></div><p>Get/set the current custom unit name as a <span class=\'code\'>&lt;string&gt;</span></p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.CustomValue \n\
</pre></div><p>Get/set the current custom unit value as a <span class=\'code\'>&lt;float&gt;</span></p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.CustomUnit \n\
</pre></div><p>Get/set the current custom unit type as a <span class=\'code\'>&lt;name&gt;</span>.</p>\n\
<p>Valid custom unit display types are:</p>\n\
<div class=\'codeBlock\'><pre>#Inches #Feet #Miles #Millimeters #Centimeters #Meters #Kilometers \n\
</pre></div><p><strong>See</strong> <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.SystemScale \n\
</pre></div><p>Get/set the current system unit scale value as a <span class=\'code\'>&lt;float&gt;</span>.</p>\n\
<p>This is the value shown in Customize Units Setup... &gt; System Units Setup &gt; System Units Scale group.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>units.SystemType \n\
</pre></div><p>Get/set the current system unit scale type as a <span class=\'code\'>&lt;name&gt;</span>. This is the unit shown in Customize &gt; Units Setup... &gt; System Units Setup &gt; System Units Scale group.</p>\n\
<p>Valid system unit scale types are:</p>\n\
<div class=\'codeBlock\'><pre>#Inches #Feet #Miles #Millimeters #Centimeters #Meters #Kilometers \n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Units/Units-Struct-Accessing-System.html\' title=\'\'>Units Struct - Accessing System and Display Units</a>.</p>\n\
<div class=\'codeBlock\'><pre>useEnvironmentMap \n\
</pre></div><p>Lets you get and set the global rendering environment (Rendering &gt; Environment) Use Map value. A Boolean value - <span class=\'code\'>true</span> if Use Map is on, <span class=\'code\'>false</span> if off. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Environment-And-Effects-Dialog/Environment-And-Effects-Dialog-1.html\' title=\'\'>Environment And Effects Dialog</a>.</p>\n\
<div class=\'section\'><a id=\"v\"></a><h2 id=\"v\">V</h2></div>\n\
<div class=\'codeBlock\'><pre>videoPostTracks \n\
</pre></div><p>Contains a MAXTVNode value that defines the top-level Video Post Track View node.</p>\n\
<p>This variable is read-only. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\' title=\'\'>Track View Nodes</a>.</p>\n\
<div class=\'codeBlock\'><pre>viewport.activeViewport \n\
</pre></div><p>Lets you get and set the index of the active viewport.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Accessing Active Viewport Info, Type, and Transforms</a>.</p>\n\
<div class=\'codeBlock\'><pre>viewport.numViews \n\
</pre></div><p>Contains the number of viewports in the current viewport layout.</p>\n\
<p>This variable is read-only. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Accessing-Active-Viewport-Info.html\' title=\'\'>Accessing Active Viewport Info, Type, and Transforms</a>.</p>\n\
<div class=\'section\'><a id=\"scanline-renderer-specific-system-global-variables\"></a><h2 id=\"scanline-renderer-specific-system-global-variables\">Scanline Renderer Specific System Global Variables</h2></div>\n\
<p>The following <strong>3ds Max</strong> system global variables are specific to <strong>3ds Max</strong>’s default scanline A-Buffer renderer.</p>\n\
<p>These variables return <span class=\'code\'>undefined</span> if the current renderer is not <strong>3ds Max</strong>’s default scanline A-Buffer renderer.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.antiAliasFilter \n\
</pre></div><p>Lets you get and set the anti-aliasing filter.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` scanlineRender.antiAliasFilter = quadratic()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>For a list of all of the anti-aliasing filters you can say:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` showClass &quot;<em>:filter</em>&quot; --&gt;Area : filter {77912301,0} --&gt;Quadratic : filter {77912304,0} --&gt;cubic : filter {77912305,0} --&gt;Catmull_Rom : filter {77912306,0} --&gt;Blackman : filter {77912313,0} --&gt;Sharp_Quadratic : filter {77912314,0} --&gt;Video : filter {77912319,0} --&gt;Plate_Match_MAX_R2 : filter {7791231b,0} --&gt;Cook_Variable : filter {77912330,0} --&gt;Soften : filter {77912331,0} --&gt;Mitchell_Netravali : filter {77912350,0} --&gt;Blendfilter : filter {77912352,0} --&gt;Filter_kernel_plug_in_not_found : filter {ffffffff,0} --&gt;OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The anti-aliasing filters and their parameters are described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/3ds-Max-Scanline-A-Buffer.html\' title=\'\'>3ds Max Scanline A-Buffer Renderer Anti-Aliasing Filters</a>.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.antiAliasFilterSize \n\
</pre></div><p>Contains a float value that defines the anti-aliasing filtersize.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.enablePixelSampler \n\
</pre></div><p>Lets you enables and disables global super sampling.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Disable all Samplers is off , <span class=\'code\'>false</span> if on.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";