var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Language Reserved Keywords</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Language Reserved Keywords</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"language-reserved-keywords\"></a></div>\n\
<p>Keywords begin or separate portions of MAXScript commands.</p>\n\
<p>For example, one form of the <span class=\'code\'>if</span> expression is:</p>\n\
<div class=\'codeBlock\'><pre>if &lt;expr&gt; then &lt;expr&gt; [else&lt;expr&gt;]\n\
</pre></div><p>In order for MAXScript to easily identify the various portions of the <span class=\'code\'>if</span> expression, the words <span class=\'code\'>if</span> , <span class=\'code\'>then</span> and <span class=\'code\'>else</span> are reserved keywords and can not be used as variable names or identifiers. So, for example, you cannot declare a variable or function called <span class=\'code\'>if</span> .</p>\n\
<p>The following table lists all MAXScript reserved keywords. Click a reserved keyword to go to a description of its usage. In some cases, a keyword may have more additional meanings, depending on its context. This information is also summarized in <a href=\'#!/url=./developer/MAXScript-Language-Reference/MAXScript-Grammar.html\' title=\'\'>MAXScript Grammar</a>.</p>\n\
<div class=\'section\'><a id=\"reserved-keywords\"></a><h3 id=\"reserved-keywords\">Reserved Keywords</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/about.html\' title=\'\'>about</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>and</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/animate.html\' title=\'\'>animate</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Value-Common-Properties.html\' title=\'\'>as</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/at-time.html\' title=\'\'>at</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Custom-Attributes/Scripted-Custom-Attributes.html\' title=\'\'>attributes</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>by</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Case-Expression.html\' title=\'\'>case</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\' title=\'\'>catch</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>collect</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Skipping-Loop-Iterations.html\' title=\'\'>continue</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/coordsys.html\' title=\'\'>coordsys</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/While-and-Do-Loops.html\' title=\'\'>do</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\' title=\'\'>else</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Loop-Exit.html\' title=\'\'>exit</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Creating-Functions/Creating-Functions-1.html\' title=\'\'>fn</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>for</a></p>\n\
<p><span class=\'code\'>from</span></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Creating-Functions/Creating-Functions-1.html\' title=\'\'>function</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\' title=\'\'>global</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\' title=\'\'>if</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>in</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\' title=\'\'>local</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>macroscript</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Creating-Functions/Creating-Functions-1.html\' title=\'\'>mapped</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\' title=\'\'>max</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>not</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Case-Expression.html\' title=\'\'>of</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/Predefined-Globals.html\' title=\'\'>off</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\' title=\'\'>on</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Logical-Expressions.html\' title=\'\'>or</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\' title=\'\'>parameters</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Persistent-Global-Variables.html\' title=\'\'>persistent</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-ins-1.html\' title=\'\'>plugin</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus.html\' title=\'\'>rcmenu</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Creating-Functions/The-Return-Expression.html\' title=\'\'>return</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-Clauses.html\' title=\'\'>rollout</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/Sticky-Contexts.html\' title=\'\'>set</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Structure-Definition/Structure-Definition-1.html\' title=\'\'>struct</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/If-Expression.html\' title=\'\'>then</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\' title=\'\'>throw</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>to</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Mouse-Tools.html\' title=\'\'>tool</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Try-Expression.html\' title=\'\'>try</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/undo.html\' title=\'\'>undo</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts.html\' title=\'\'>utility</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\' title=\'\'>when</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>where</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/While-and-Do-Loops.html\' title=\'\'>while</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/Loop-Exit.html\' title=\'\'>with</a></p>\n\
<p>Note: The <span class=\'code\'>from</span> keyword is reserved, but not currently used.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";