var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript System Globals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript System Globals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-system-globals\"></a></div>\n\
<p>These globals give access to the MAXScript system state. You can access and assign to them as noted.</p>\n\
<div class=\'codeBlock\'><pre>currentTime\n\
</pre></div><p>Contains a Time value that defines the current evaluation time in frames as set by the <span class=\'code\'>at time</span> context expression currently in force.</p>\n\
<p>This is useful in functions that need to do time-relative computations that may be called from code that sets working animation time.</p>\n\
<p>If there is no <span class=\'code\'>at time</span> context in force, <strong><span class=\'code\'>currentTime</span></strong> contains the current user interface slider time, unless a render is in progress.</p>\n\
<p>If a render is being performed, <span class=\'code\'>currentTime</span> contains the frame being rendered.</p>\n\
<p>This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>editorFont\n\
</pre></div><p>Lets you get and set a String value that defines the font name for <strong>Legacy Script Editor</strong> windows and the MAXScript Listener.</p>\n\
<p>Setting this variable effects all currently open and future Legacy Script Editor and MAXScript Listener windows.</p>\n\
<p>This variable contains the corresponding value set in the MAXScript page of Customize &gt; Preferences.</p>\n\
<p>The <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong> has its own extensive formatting controls documented in the topic <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a> and is not affected by this value.</p>\n\
<div class=\'codeBlock\'><pre>editorFontSize\n\
</pre></div><p>Lets you get and set an Integer value defining the font point size for <strong>Legacy Script Editor</strong> windows and the MAXScript Listener.</p>\n\
<p>Setting this variable effects all currently open and future script Editor and MAXScript Listener windows.</p>\n\
<p>This variable contains the corresponding value set in the MAXScript page of Customize &gt; Preferences.</p>\n\
<p>The <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong> has its own extensive formatting controls documented in the topic <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a> and is not affected by this value.</p>\n\
<div class=\'codeBlock\'><pre>inputTextColor\n\
</pre></div><p>Lets you get and set a Color value defining the color of typed input text in the MAXScript Listener.</p>\n\
<div class=\'codeBlock\'><pre>messageTextColor\n\
</pre></div><p>Lets you get and set a Color value defining the color of error message text in the MAXScript Listener.</p>\n\
<div class=\'codeBlock\'><pre>listenerBackgroundColor\n\
</pre></div><p>Gets or sets the background color of the MAXScript Listener. When this value is changed, the caret color changes between black and white as necessary to remain visible. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>macroRecorderBackgroundColor\n\
</pre></div><p>Gets or sets the background color of the macro recorder pane. When this value is changed, the caret color changes between black and white as necessary to remain visible. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>macroRecorderTextColor\n\
</pre></div><p>Gets or sets the color of text in the macro recorder pane. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>pythonPromptColor\n\
</pre></div><p>Gets or sets the color of the prompt in the MAXScript Listener when it is in Python language mode. Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>macroRecorderSelectionForegroundColor\n\
</pre></div><p>Gets or sets an override color value for selected text in the macro recorder. A value of &#39;undefined&#39; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>macroRecorderSelectionBackgroundColor\n\
</pre></div><p>Gets or sets an override background color value for selected text in the macro record. A value of &#39;undefined&#39; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>macroRecorderSelectionAlpha\n\
</pre></div><p>Gets or sets an override alpha channel (translucency) for selected text (foreground and background) in the macro recorder. This value is in the range of 0 to 255. A value of &#39;undefined&#39; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>listenerSelectionForegroundColor \n\
</pre></div><p>Gets or sets an override color value for selected text in the MAXScript listener window. A value of &#39;undefined&#39; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>listenerSelectionBackgroundColor \n\
</pre></div><p>Gets or sets an override background color value for selected text in the MAXScript listener window. A value of &#39;undefined&#39; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>listenerSelectionAlpha \n\
</pre></div><p>Gets or sets an override alpha channel (translucency) for selected text (foreground and background) in the MAXScript listener window. This value is in the range of 0 to 255. A value of &#39;undefined&#39; means the default setting is used. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>outputTextColor\n\
</pre></div><p>Lets you get and set a Color value defining the color of output text in the MAXScript Listener.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-05B81103-167C-4FE3-8814-3B716E23559B-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>editorShowPath\n\
</pre></div><p>This system global variable controls whether the MAXScript Editor will display the full path of the edited script (true, default in <strong>3ds Max 9 and higher</strong>), or only the file name (false, the only mode prior to <strong>3ds Max 9</strong>).</p>\n\
<p>This property affects <strong>both</strong> the <strong>Legacy Script Editor</strong> windows and the <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong>.</p>\n\
<div class=\'codeBlock\'><pre>editorTabWidth\n\
</pre></div><p>Lets you get and set an Integer value defining the tab width (in characters) for <strong>Legacy Script Editor</strong> windows.</p>\n\
<p>Setting this variableaffects all currently open and future script Editor windows.</p>\n\
<p>The <strong>Tabbed Script Editor</strong> introduced in <strong>3ds Max 2008</strong> has its own extensive formatting controls documented in the topic <a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Editor/MAXScript-Editor-Configuration/MAXScript-Editor-Properties-File.html\' title=\'\'>MAXScript Editor - Properties File Settings</a> and is not affected by this value.</p>\n\
<div class=\'codeBlock\'><pre>escapeEnable\n\
</pre></div><p>Lets you get and set a Boolean value defining whether <span class=\'code\'>ESC</span> key interrupt detection is on or off. Setting <span class=\'code\'>enableEscape</span> to <span class=\'code\'>false</span> turns <span class=\'code\'>ESC</span> key interrupt detection off, setting it to <span class=\'code\'>true</span> turns it on again.</p>\n\
<p>This variable is useful when used in conjunction with a Progress Bar.</p>\n\
<p>You can set <span class=\'code\'>enableEscape</span> to <span class=\'code\'>false</span> when you don&#39;t want the user to be able to interrupt a script running a long computation and you have set up a progress bar with its own Cancel button. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Status-Bar/Progress-Bar-Display.html\' title=\'\'>Progress Bar Display</a>.</p>\n\
<p>In <strong>3ds Max 9</strong> and higher, the default value of this variableis <span class=\'code\'>false</span> . It used to be <span class=\'code\'>true</span> in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<div class=\'codeBlock\'><pre>heapFree\n\
</pre></div><p>Contains an <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\' title=\'\'>Integer64 value</a> defining the current amount of free memory in the MAXScript heap.</p>\n\
<p>This value will vary constantly depending on where MAXScript is in its collection regime. This variable is read-only.</p>\n\
<p>The value type of this variable has been changed from Integer to Integer64 to accommodate the increased memory space of 64 bit systems in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>heapSize\n\
</pre></div><p>Lets you get and set an <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\' title=\'\'>Integer64 value</a> defining the size of the heap currently allocated to MAXScript.</p>\n\
<p>MAXScript carves its own working memory (called a heap) out of the memory that <strong>3ds Max</strong> has allocated.</p>\n\
<p>You can add to this heap at any time by assigning the new size to this system variable,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` heapSize += 1000000-- another meg please</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\' title=\'\'>Memory Allocation and Garbage Collection</a>.</p>\n\
<p>The value type of this variable has been changed from Integer to Integer64 to accommodate the increased memory space of 64 bit systems in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>options.oldPrintStyles\n\
</pre></div><p>The printed form of all basic data value types, except for BigArray, are directly readable by the <span class=\'code\'>readValue()</span> and <span class=\'code\'>readExpr()</span> functions, making it simpler to read back in values printed to a file by MAXScript.</p>\n\
<p>If the pre- <strong>3ds Max4</strong> print forms are required for compatibility with existing scripts, you can set this variable to <span class=\'code\'>true</span> .</p>\n\
<div class=\'codeBlock\'><pre>options.showGCStatus\n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the message &quot;MXS GC&quot; will be displayed in the status bar during MAXScript <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\' title=\'\'>Garbage Collection</a>.</p>\n\
<p>When set to <span class=\'code\'>false</span> , no message will be displayed.</p>\n\
<p>The setting is stored in the <em>3dsmax.ini</em> file in the [MAXScript] section.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>stackLimit\n\
</pre></div><p>The stack is region of reserved memory in which MAXScript temporarily stores status data such as procedure and function call return addresses, passed parameters, and local variables.</p>\n\
<p>In versions prior to <strong>3ds Max 9</strong>, this defaulted to 1024000 bytes. Certain scripts that contain recursive algorithms could exceed this limit and generate a runtime error. You could assign to the <span class=\'code\'>stackLimit</span> variable to increase the stack size available.</p>\n\
<p>In <strong>3ds Max 9 and higher</strong>, the stack limit is <strong>2048000</strong> bytes but <strong>you cannot effectively change the size anymore</strong>. Assigning to the <span class=\'code\'>stackLimit</span> variable will not change the stack size.</p>\n\
<div class=\'codeBlock\'><pre>?\n\
</pre></div><p>A special variable that is used only in the context of the MAXScript Listener.</p>\n\
<p>This variable contains the result of the last expression evaluated in the Listener.</p>\n\
<p>For more details, see <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Using-the-Symbol.html\' title=\'\'>Using the &#39;?&#39; Symbol</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";