var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Predefined Globals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Predefined Globals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"predefined-globals\"></a></div>\n\
<p>The predefined global variables contain special values that are frequently used in scripts. These variables are read-only.</p>\n\
<div class=\'codeBlock\'><pre>true, false\n\
</pre></div><p>Boolean values. Can be used for testing the results of comparisons and for state tests.</p>\n\
<div class=\'codeBlock\'><pre>on, off\n\
</pre></div><p>Synonyms for <span class=\'code\'>true</span> and <span class=\'code\'>false</span> , sometimes easier to read in state accesses.</p>\n\
<div class=\'codeBlock\'><pre>pi, e\n\
</pre></div><p>Float values that contain the standard mathematical constants&#39; values. They are equivalent to 3.1415926535 and 2.718281828, respectively.</p>\n\
<div class=\'codeBlock\'><pre>red, green, blue, white, black, orange, yellow, brown, gray \n\
</pre></div><p>A predefined set of useful Color values.</p>\n\
<div class=\'codeBlock\'><pre>x_axis, y_axis, z_axis\n\
</pre></div><p>Point3 values that define normal vectors for the 3 major axes. They are equivalent to [1, 0, 0], [0, 1, 0], and [0, 0, 1], respectively.</p>\n\
<div class=\'codeBlock\'><pre>ok\n\
</pre></div><p>A void value returned by some functions or expressions that don’t have a meaningful value to return.</p>\n\
<div class=\'codeBlock\'><pre>undefined\n\
</pre></div><p>The initial value of all variables and array elements. MAXScript generates an error if you try to perform any operation on the <span class=\'code\'>undefined</span> value, except for checking to see if some value is equal to it or not:</p>\n\
<div class=\'codeBlock\'><pre>if a == undefined then print &quot;oh, oh&quot;\n\
if b != undefined then print &quot;whew!&quot;\n\
unsupplied\n\
</pre></div><p>The initial value of all function keyword arguments. Keyword arguments are optional arguments to functions. If a keyword argument is not supplied by the function caller and the function definition does not specify a default value, MAXScript initializes the keyword argument to <span class=\'code\'>*unsupplied*</span> . You can test for this value to see whether a caller has supplied a particular keyword. For more details, see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Simple-Expressions/Function-Calls.html\' title=\'\'>Function Calls</a>.</p>\n\
<div class=\'codeBlock\'><pre>dontcollect\n\
</pre></div><p>This value is used in <span class=\'code\'>for</span> loops to signal that the value is not to be collected. See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\' title=\'\'>For Loop</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>silentValue\n\
</pre></div><p>Holds a void value that is not printed to the Listener. Available in <strong>3ds Max 2019.2 Update and higher</strong>. Previously, this global was called <span class=\'code\'>noValue</span>. This global variable holds an instance of <span class=\'code\'>noValueClass</span>. This variable supports the <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Controlling-the-Listener.html\' title=\'\'>setListenerSel()</a> method, which does not output the return value to the Listener to avoid replacing the text just selected by the method.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";