var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Duplicated Members And Functions in Structure Definitions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Duplicated Members And Functions in Structure Definitions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"duplicated-members-and-functions-in-structure-definitions\"></a></div>\n\
<p>In versions prior to <strong>3ds Max 2014</strong>, both duplicated Members and Function definitions were allowed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE PRIOR TO 3DS MAX 2014:</strong></p>\n\
<p><span class=\'code\'>struct test    (   test = 1,   test = 2   )   a = test()   a.test</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>2</span></p>\n\
</blockquote>\n\
<p>Starting with <strong>3ds Max 2014</strong>, duplicated Member definitions are disallowed and a Compile-time error is generated:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE IN 3DS MAX 2014:</strong></p>\n\
<p><span class=\'code\'>struct test    (   test = 1,   test = 2   )   a = test()   a.test</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` -- Error occurred in anonymous codeblock; filename: ; position: 32; line: 4 -- Compile error: Duplicate struct member name: test -- In line: test=</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The same applies to duplicated names in Members and Functions.</p>\n\
<p>Prior to <strong>3ds Max 2014</strong>, an error is caused by the member <span class=\'code\'>test</span> being <span class=\'code\'>undefined</span> and the function call <span class=\'code\'>test()</span> attempting to access the member <span class=\'code\'>test</span> due to the duplicated name:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE PRIOR TO 3DS MAX 2014:</strong></p>\n\
<p><span class=\'code\'>struct test    (   test,   fn test2 = test(),   fn test = print &quot;hello!&quot;   )   a = test()   a.test2()</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>#Struct:Test(     Test:&lt;fn&gt;; Public,     test2:&lt;fn&gt;; Public)   (Test)   -- Error occurred in test2(); filename: C:\\Program Files\\Autodesk\\3ds Max 2013\\scripts\\; position: 40; line: 4   --  Frame:   -- Type error: Call needs function or class, got: undefined</span></p>\n\
</blockquote>\n\
<p>Starting with <strong>3ds Max 2014</strong>, a Compile-time error is caused by the name duplication of Member <span class=\'code\'>test</span> and the Function <span class=\'code\'>test</span>:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE IN 3DS MAX 2014:</strong></p>\n\
<p><span class=\'code\'>struct test    (   test,   fn test2 = test(),   fn test = print &quot;hello!&quot;   )   a = test()   a.test2()</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>-- Error occurred in anonymous codeblock; filename: ; position: 52; line: 5   -- Compile error: Duplicate struct member name:  test   --  In line: fn test =</span></p>\n\
</blockquote>\n\
<p>Duplicated Function definitions are allowed both prior and after <strong>3ds Max 2014</strong> - the last defined function will be used.</p>\n\
<p>This provides a way to perform forward declarations of Functions.</p>\n\
<blockquote>\n\
<p><strong>TEST WITHOUT FORWARD DECLARATION:</strong></p>\n\
<p>``` struct test ( fn test2 = test(), fn test = print &quot;hello!&quot; ) a = test() a.test2()</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>#Struct:test(     test2:&lt;fn&gt;; Public,     test:&lt;fn&gt;; Public)   (test)   (test)</span></p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>TEST WITH FORWARD DECLARATION:</strong></p>\n\
<p>``` struct test ( fn test = (), -- Pre-declare test to allow test2 to &quot;see&quot; it fn test2 = test(), -- Point at the pre-declared function fn test = print &quot;hello!&quot; -- Replace existing test definition, test2 now sees the new definition ) a = test() a.test2()</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>#Struct:test(     test2:&lt;fn&gt;; Public,     test:&lt;fn&gt;; Public)   (test)   &quot;hello!&quot;   &quot;hello!&quot;</span></p>\n\
</blockquote>\n\
<p>In this case, the Function <span class=\'code\'>test2</span> first points at the first occurrence of <span class=\'code\'>test</span>, then as <span class=\'code\'>test</span> is redefined, <span class=\'code\'>test2</span> starts pointing at the latest definition of <span class=\'code\'>test</span>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";