var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Private and Public Members in Structure Definitions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Private and Public Members in Structure Definitions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"private-and-public-members-in-structure-definitions\"></a></div>\n\
<p>When defining members (variables and functions) in a struct, the qualifiers <span class=\'code\'>public</span> and <span class=\'code\'>private</span> can be used to control the member&#39;s visibility to users and the Debugger.</p>\n\
<p><span class=\'code\'>Public</span> members can be accessed by outside code. If no qualifier is specified, members are considered public by default. In releases prior to <strong>3ds Max 2010</strong>, all members were always public.</p>\n\
<p><span class=\'code\'>Private</span> members are accessible only from within the structure instance. Attempting to access a private member will result in a Runtime error. If the struct is defined in an encrypted script, the member values will not be shown in the Debugger or in error dumps.</p>\n\
<p>The two supported event handlers <span class=\'code\'>on create do</span> and <span class=\'code\'>on clone do</span> are always implicitly private, even if defined in the public section of the struct definition.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` struct foo2 ( public A = 1, B = 3, fn error = throw &quot;ZZZ&quot;, private C = 77, fn errorPrivate = throw &quot;ZZZ&quot;, on create do format &quot;in create: %\\n&quot; this, on clone do format &quot;in clone: %\\n&quot; this )</p>\n\
<p>f = foo2() --creating calls the &#39;on create do()&#39; handler: ```</p>\n\
<p>``` --&gt; #Struct:foo2( --&gt; error:<fn>; Public, --&gt; c:<data>; Private, --&gt; b:<data>; Public, --&gt; errorPrivate:<fn>; Private, --&gt; a:<data>; Public) --&gt; undefined --&gt; in create: (foo2 a:1 b:3) --&gt; (foo2 a:1 b:3) --&gt; OK<p>\n\
<p>```</p>\n\
<p><span class=\'code\'>f = foo2 a:1 b:3 c:4 --passing three parameters fails:</span></p>\n\
<p>``` -- Runtime error: Attempting to access private member: &quot;c&quot; in: #Struct:foo2( -- b:<data>; Public, -- errorPrivate:<fn>; Private, -- c:<data>; Private, -- error:<fn>; Public, -- a:<data>; Public)<p>\n\
<p>```</p>\n\
<p><span class=\'code\'>f = foo2 a:10 b:30 --passing two parameters works:</span></p>\n\
<p>``` in create: (foo2 a:10 b:30) (foo2 a:10 b:30)</p>\n\
<p>```</p>\n\
<p><span class=\'code\'>f = foo2 10 30 --passing two arguments works:</span></p>\n\
<p>``` in create: (foo2 a:10 b:30) (foo2 a:10 b:30)</p>\n\
<p>```</p>\n\
<p><span class=\'code\'>f = foo2 1 3 4 --trying to pass three arguments fails:</span></p>\n\
<p>``` -- Runtime error: Attempting to access private member: &quot;c&quot; in: #Struct:foo2( -- b:<data>; Public, -- errorPrivate:<fn>; Private, -- c:<data>; Private, -- error:<fn>; Public, -- a:<data>; Public)<p>\n\
<p>```</p>\n\
<p><span class=\'code\'>f.errorPrivate() --calling the private error() function fails:</span></p>\n\
<p>``` -- Runtime error: Attempting to access private member: &quot;errorPrivate&quot; in: (foo2 a:10 b:30)</p>\n\
<p>```</p>\n\
<p><span class=\'code\'>f.error() --calling the public error() function works:</span></p>\n\
<p>``` -- Frame: -- Runtime error: ZZZ</p>\n\
<p>```</p>\n\
<p><span class=\'code\'>f2 = copy f --creating a copy of the existing struct</span></p>\n\
<p>``` in clone: (foo2 a:10 b:30) (foo2 a:10 b:30)</p>\n\
<p>```</p>\n\
<p><span class=\'code\'>showProperties f --the method prints the type of the members</span></p>\n\
<p>``` a:<data>; Public b:<data>; Public error:<fn>; Public errorPrivate:<fn>; Private c:<data>; Private true<p>\n\
<p>```</p>\n\
</data></fn></fn></data></data></data></fn></data></fn></data></data></fn></data></fn></data></data></fn></data></data></fn></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";