var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Structure Creation and Cloning Event Handlers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Structure Creation and Cloning Event Handlers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"structure-creation-and-cloning-event-handlers\"></a></div>\n\
<p>In <strong>3ds Max 2010 and higher</strong>, two <strong>event handlers</strong> can be implemented in struct definitions to be called on <strong>struct creation</strong> and <strong>struct cloning</strong>.</p>\n\
<p>The struct event handlers are always <a href=\'#!/url=./developer/MAXScript-Language-Reference/Structure-Definition/Private-and-Public-Members-in.html\' title=\'\'>private</a>.</p>\n\
<p>These event handlers can be used to perform additional initialization tasks, print out the initial values of variables for debugging purposes, and so on.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<div class=\'codeBlock\'><pre>on create do &lt;expression&gt;\n\
</pre></div><p>This handler is called when an instance of the struct is created.</p>\n\
<div class=\'codeBlock\'><pre>on clone do &lt;expression&gt;\n\
</pre></div><p>This handler is called when a copy of a struct instance is created.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE- DEFINITION AND CREATION:</strong></p>\n\
<p>``` struct foo2 ( A = 1, B = 3, fn error = throw &quot;ZZZ&quot;, on create do format &quot;Struct Created: %\\n&quot; this, on clone do format &quot;Struct Cloned: %\\n&quot; this )</p>\n\
<p>f = foo2 ()</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` #Struct:foo2( a:<data>; Public, b:<data>; Public, error:<fn>; Public) Struct Created: (foo2 a:1 b:3) (foo2 a:1 b:3)<p>\n\
<p>```</p>\n\
<p><strong>CONTINUED EXAMPLE - CLONING:</strong></p>\n\
<p>``` f2 = copy f</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` Struct Cloned: (foo2 a:1 b:3) (foo2 a:1 b:3)</p>\n\
<p>```</p>\n\
</fn></data></data></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";