var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>64 Bit Values - Double, Integer64, IntegerPtr</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>64 Bit Values - Double, Integer64, IntegerPtr</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bit-values---double-integer64-integerptr\"></a></div>\n\
<div class=\'codeBlock\'><pre>Double : Number\n\
Integer64 : Number\n\
IntegerPtr : Number\n\
</pre></div><p>Three Number value classes have been added to MAXScript in <strong>3ds Max 9</strong>: Double, Integer64 and IntegerPtr.</p>\n\
<ul>\n\
<li><p>The widest float value in the .NET Common Type System (CTS) is the System::Double, which corresponds to the C++ double value (real*8). The Double value class in MAXScript wraps the double value class.</p></li>\n\
<li><p>All <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\' title=\'\'>generic mathematical methods and operations</a> (sin, cos, random, +, -, etc.) that operate on the Float value class in MAXScript are also implemented on the Double class.</p></li>\n\
<li><p>The Double class supports the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/GUID-B57EA575-DCDE-42F5-9D30-88E3EB41F350.html#bit-operation-methods\' title=\'\'>&#39;bit&#39; structure methods</a> in a manner similar to the Float class.</p></li>\n\
<li><p>The Double class is a MAXScript <strong>saveable</strong> class - in other words, it can be used in persistent globals.</p></li>\n\
<li><p>The data type convertors for ActiveX, OLE, and fileProperties.getPropertyValue / setPropertyValue will convert variant VT_R8 to Doubles, and vice versa.</p></li>\n\
<li><p>For methods that expect a Float as an argument, the Double value will be cast to a Float value and used.</p></li>\n\
<li><p>Double literals are indicated by &#39;d&#39; exponential qualifier.</p></li>\n\
</ul>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` 1.0d0 --returns 1.0d0 0.5 as Double --returns0.5d0 2.0d5--returns 2000000.0d0 1.2d-3 --returns 0.0012d0</p>\n\
<p>```</p>\n\
</blockquote>\n\
<ul>\n\
<li><p>&#39;bit&#39; structure methods that operate on an Integer can also operate on Integer64 and IntegerPtr. For methods that take 2 integer arguments, the first argument determines the output value type.</p></li>\n\
<li><p><span class=\'code\'>bit.intAsHex</span> will append an &quot;L&quot; to the output string for Integer64 inputs, and a &quot;P&quot; for IntegerPtr inputs.</p></li>\n\
<li><p><span class=\'code\'>bit.hexAsInt</span> will output an Integer64 if the input string contains an &quot;L&quot;, an IntegerPtr if it contains a &quot;P&quot;.</p></li>\n\
<li><p>String and Stringstream values can be coerced to Double, Integer64 and IntegerPtr.</p></li>\n\
<li><p>All number data types (Integer, Float, Integer64, IntegerPtr, Double) and Time can be coerced from one to the other.</p></li>\n\
<li><p>For loop variables are either Integer, Float, Integer64, IntegerPtr, or Double based on the widest value type for the to, from, and step values</p></li>\n\
</ul>\n\
<p>The printing of very small Double values has been improved in <strong>3ds Max 2011 and higher</strong>:</p>\n\
<p>When a Float value is printed, if its value is less than 1.192092896e-07 (the smallest float f such that 1.0+f != 1.0), the Float is printed as 0.0.</p>\n\
<p>When a Double value is printed, if its value is less than 2.2204460492503131e-016 (the smallest double d such that 1.0+d != 1.0), the Double is printed as 0.0. In versions prior to <strong>3ds Max 2011</strong>, the float value of 1.192092896e-07 was being used for Doubles too.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>is64bitApplication()\n\
</pre></div><p>In <strong>3ds Max 9</strong> and higher, returns true if running in a 64 bit build of <strong>3ds Max</strong>, false otherwise.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";