var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>AngleAxis Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>AngleAxis Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"angleaxis-values\"></a></div>\n\
<p>The <strong>AngleAxis</strong> class provides a representation for orientation in 3D space using an angle in degrees and a rotation axis. T</p>\n\
<p>his class is similar to a quaternion, except that a normalized quaternion only represents -PI to +PI rotation.</p>\n\
<p>AngleAxis angles can be greater than 360 and so specify multiple revolutions, unlike quaternions.</p>\n\
<p>Rotations follow the right-hand-rule.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>angleaxis &lt;degrees_float&gt; &lt;axis_point3&gt; \n\
&lt;quat&gt; as angleaxis\n\
&lt;eulerangle&gt; as angleaxis\n\
&lt;matrix3&gt; as angleaxis\n\
</pre></div><p>extracts the rotation component as an angleaxis</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;angleaxis&gt; == &lt;angleaxis&gt;\n\
&lt;angleaxis&gt; != &lt;angleaxis&gt;\n\
&lt;angleaxis&gt; as &lt;class&gt;\n\
</pre></div><p>AngleAxis can convert to Matrix3&#39;s, Quat&#39;s, Eulerangle&#39;s</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;angleaxis&gt;.angle: Float\n\
&lt;angleaxis&gt;.axis: Point3\n\
&lt;angleaxis&gt;.numrevs: Integer\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>copy&lt;angleaxis&gt;\n\
</pre></div><p>Creates a new copy of the angleaxis value.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>newAngleAxis = copy oldAngleAxis</span></p>\n\
</blockquote>\n\
<p>The new value contains a copy of the input angleaxis value, and is independent of the input angleaxis value.</p>\n\
<div class=\'codeBlock\'><pre>random &lt;angleaxis&gt; &lt;angleaxis&gt;\n\
</pre></div><p>Random rotation in degrees, but uses quat Slerp, so loses multiple revolution angles.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";