var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BooleanClass Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BooleanClass Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"booleanclass-values\"></a></div>\n\
<p>The <strong>BooleanClass</strong> class defines the characteristics of values that can only have one of two states.</p>\n\
<p><strong>Literals</strong></p>\n\
<div class=\'codeBlock\'><pre>true false on --equivalent to true\n\
off --equivalent to false\n\
&quot;true&quot; as booleanClass\n\
&quot;false&quot; as booleanClass\n\
&quot;on&quot; as booleanClass\n\
&quot;off&quot; as booleanClass\n\
</pre></div><p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>not &lt;boolean&gt;\n\
</pre></div><p><span class=\'code\'>true</span> if boolean= <span class=\'code\'>false</span> , <span class=\'code\'>false</span> if boolean= <span class=\'code\'>true</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; and &lt;boolean&gt;\n\
</pre></div><p><span class=\'code\'>true</span> if both boolean values are <span class=\'code\'>true</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; or &lt;boolean&gt;\n\
</pre></div><p><span class=\'code\'>true</span> if either boolean value is <span class=\'code\'>true</span></p>\n\
<p>Note:</p>\n\
<p>The boolean <span class=\'code\'>and</span> and <span class=\'code\'>or</span> evaluations are non-strict. This means that only the first boolean might be evaluated to determine the overall result:</p>\n\
<ul>\n\
<li><p>If the first operand is <span class=\'code\'>false</span> in an <span class=\'code\'>and</span> expression, the result <span class=\'code\'>must</span> be false, so the second operand is not evaluated.</p></li>\n\
<li><p>If the first operand is <span class=\'code\'>true</span> in an <span class=\'code\'>or</span> expression, the result <strong>must</strong> be <span class=\'code\'>true</span> , so the second operand is not evaluated.</p></li>\n\
</ul>\n\
<p>This saves execution time and enables useful shorthand notation. For example, if you want to calculate <span class=\'code\'>&#39;sin a&#39;</span> and if the value of variable <span class=\'code\'>&#39;a&#39;</span> is not <span class=\'code\'>undefined</span> , you can use the example below:</p>\n\
<div class=\'codeBlock\'><pre>if a != undefined and sin a &gt; 0 then...\n\
\n\
</pre></div><p>The following script shows the use of various literals and operators of the BooleanClass class.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` -- boolean test bed bool1=true-- set variables to boolean literals bool2=on if bool1 and bool2 do print &quot;booleans are equal&quot;-- compare the booleans -- define an &quot;exclusive or&quot; function -- returns true if only one of the -- inputs is true fn xor b1 b2 = (not (b1 and b2)) and (b1 or b2) xor false false-- evaluate 4 combinations of inputs to xor xor false true xor true false xor true true</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` true-- result of line 2 true-- result of line 3 &quot;booleans are equal&quot;-- output from line 4 &quot;booleans are equal&quot;-- result of line 4 xor()-- function definition false-- result of line 8 true-- result of line 9 true-- result of line 10</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Comparing / Coercing to Integers</strong></p>\n\
<p>Available in <strong>3ds Max 2018 and higher:</strong><span class=\'code\'>BooleanClass</span> values can be compared to <span class=\'code\'>Integer</span> values, where 0 is equivalent to false, and all other values are true.</p>\n\
<blockquote>\n\
<p><strong>Example:</strong></p>\n\
<p>``` 0 as BooleanClass --&gt; false 1 as BooleanClass --&gt; true true as Integer --&gt; 1 false as Integer --&gt; 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";