var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Box3 Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Box3 Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"box3-values\"></a></div>\n\
<p>The Box3 class describes a 3D box volume described by two 3d corner coordinates. The Box3 class provides methods that return individual coordinates of the box, scale and translate it, retrieve its center, modify its size, expand it to include points or other boxes, and determine if points are inside the box.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>Box3() \n\
</pre></div><p>Creates a new, empty Box3 object.</p>\n\
<div class=\'codeBlock\'><pre>Box3 &lt;min_Point3&gt; &lt;max_Point3&gt;\n\
</pre></div><p>Creates a new Box3 object defined by the min and max Point3 corners.</p>\n\
<p><strong>Properties</strong></p>\n\
<p><box3>.min: Point3<p>\n\
<p>The “minimum” corner of the Box3 value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box3&gt;.max: Point3\n\
</pre></div><p>The “maximum” corner of the Box3 value</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box3&gt;.center: Point3 \n\
</pre></div><p>The center of the Box3 volume; read-only.</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Box3&gt; == &lt;Box3&gt;\n\
&lt;Box3&gt; != &lt;Box3&gt;\n\
</pre></div><p>Standard comparison operators. Two Box3 values are equal if all of their component values are equal.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Box3&gt; + (&lt;Box3&gt; | &lt;point3&gt; | &lt;point3 array&gt;)\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2022:</strong>: Expands the Box3 value to include the argument value.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>contains &lt;Box3&gt; &lt;Point3&gt;\n\
</pre></div><p>Returns true if the Point3 value is within the bounds of the Box3 volume.</p>\n\
<div class=\'codeBlock\'><pre>empty &lt;Box3&gt;\n\
</pre></div><p>Resets the Box3 value to an “empty” state with meaningless min and max values.</p>\n\
<div class=\'codeBlock\'><pre>enlargeBy &lt;Box3&gt; &lt;float&gt;\n\
</pre></div><p>Enlarges the Box3. A Point3 is created from the float f as Point3(f,f,f) and added to min and subtracted from max. If the box is &#39;empty&#39;, the Box3 is centered at (0,0,0) and then enlarged.</p>\n\
<div class=\'codeBlock\'><pre>expandToInclude &lt;Box3&gt; (&lt;Box3&gt; | &lt;point3&gt; | &lt;point3 array&gt;) transform:&lt;matrix3&gt;\n\
</pre></div><p>Enlarges the Box3 to include the specified argument value. The <span class=\'code\'>transform</span> argument only applies if the value passed is a point3 array, and is applied to the elements of the array.</p>\n\
<div class=\'codeBlock\'><pre>makeCube &lt;Box3&gt; &lt;Point3&gt; &lt;float&gt;\n\
</pre></div><p>Modifies the specified Box3 such that its center is located at the specified <span class=\'code\'>&lt;Point3&gt;</span> with equal sides with the specified <span class=\'code\'>&lt;float&gt;</span> length.</p>\n\
<div class=\'codeBlock\'><pre>Intersects &lt;Box3&gt; &lt;Box3&gt;\n\
</pre></div><p>Returns true if the two Box3 values intersect.</p>\n\
<div class=\'codeBlock\'><pre>isEmpty &lt;Box3&gt;\n\
</pre></div><p>Returns true if the specified Box3 value is empty.</p>\n\
<div class=\'codeBlock\'><pre>Scale &lt;Box3&gt; &lt;float&gt;\n\
</pre></div><p>Scales the Box3 value about its center by the specified value.</p>\n\
<div class=\'codeBlock\'><pre>Translate &lt;Box3&gt; &lt;point3&gt;\n\
</pre></div><p>Translates the Box3 value by the specified distance. The point is added to each corner.</p>\n\
<p>``` <box3> copy <box3><p>\n\
</box3></box3></box3>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";