var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Name Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Name Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"name-values\"></a></div>\n\
<p>The <strong>Name</strong> class defines the characteristics of names. Names are primarily used as parameters in function calls to signify one of a set of options.</p>\n\
<p><strong>Literal</strong></p>\n\
<div class=\'codeBlock\'><pre>#&lt;var_name&gt;\n\
</pre></div><p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Names.html\' title=\'\'>Names</a> for a description of Name literals.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; as name\n\
</pre></div><p>Converts a String value into a name.</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;name&gt; == &lt;name&gt;\n\
&lt;name&gt; != &lt;name&gt;\n\
&lt;name&gt; &lt; &lt;name&gt;\n\
&lt;name&gt; &gt; &lt;name&gt;\n\
&lt;name&gt; &lt;= &lt;name&gt;\n\
&lt;name&gt; &gt;= &lt;name&gt;\n\
\n\
</pre></div><p>Comparison of names is alphabetic (caseless). Among other things, this allows arrays of names to be sorted using the array sort function.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>copy &lt;name&gt;\n\
</pre></div><p>Creates a new copy of the name value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;name&gt; makeValidName &lt;string&gt;\n\
</pre></div><p>Returns a valid name value name from the specified string, where all spaces and punctuation are replaced with the underscore &#39;_&#39; character. This can be useful for safely creating rollout controls or scripted Paramblock2 parameters from strings.</p>\n\
<p>Available in <strong>3ds Max 2018 or higher</strong>.</p>\n\
<p>The following script shows the use of various literals, constructors, and operators of the Name class.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` -- name test bed name1=#Hello-- set variable to name literal name2=&quot;HELLO&quot;as name-- convert string to name if name1 == name2 do print&quot;names are equal&quot;-- compare the names box_props=getpropnames box-- get the properties of box class sort box_props-- sort the property names</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` #Hello-- result of line 2 #Hello-- result of line 3 &quot;names are equal&quot;-- output from line 4 &quot;names are equal&quot;-- result of line 4 -- following are the results of lines 5 and 6 #(#height, #length, #lengthsegs, #width, #widthsegs, #mapCoords, #heightsegs) #(#height, #heightsegs, #length, #lengthsegs, #mapCoords, #width, #widthsegs)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";