var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Number Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Number Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"number-values\"></a></div>\n\
<div class=\'codeBlock\'><pre>Integer : Number Float : Number Double : Number Integer64 : Number IntegerPtr : Number\n\
</pre></div><p>The last three Number value classes are available in <strong>3ds Max 9</strong> and higher. See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\' title=\'\'>64 Bit Values - Double, Integer64, IntegerPtr</a> for details.</p>\n\
<p>The <strong>Number</strong> class provides standard arithmetic capabilities to MAXScript. The Number types can be freely intermixed and MAXScript will convert as necessary.</p>\n\
<p>Also see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Number-Literals.html\' title=\'\'>Number Literals</a>.</p>\n\
<p><strong>Literals</strong></p>\n\
<div class=\'codeBlock\'><pre>[-]{&lt;digit&gt;}[(.{&lt;digit&gt;}[(e | E | d | D)[+ | -]{&lt;digit&gt;}+) | L | P]  --decimal number\n\
0x{&lt;hex_digit&gt;}+  --hexadecimal number\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES</strong></p>\n\
<p>``` 123 123.45 -0.00345 1.0e-6 0x0E 0xFFE0 .1</p>\n\
<p>```</p>\n\
\n\
<p>The number classes support the following operators and methods.</p>\n\
<p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;number&gt; + &lt;number&gt;\n\
&lt;number&gt; - &lt;number&gt;\n\
&lt;number&gt; * &lt;number&gt;\n\
&lt;number&gt; / &lt;number&gt;\n\
</pre></div><p>Standard arithmetic operations. If both numbers are integers, the result is a non-rounded integer. If one or both numbers are floats, both arguments are widened to floats and the result is a float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;number&gt; ^ &lt;number&gt;\n\
</pre></div><p>Raise the first number to the power given by the second number. If the first number is an integer, the result is a rounded integer.</p>\n\
<div class=\'codeBlock\'><pre>- &lt;number&gt;\n\
</pre></div><p>Unary minus.</p>\n\
<div class=\'codeBlock\'><pre>&lt;number&gt; == &lt;number&gt;\n\
&lt;number&gt; != &lt;number&gt;\n\
&lt;number&gt; &gt; &lt;number&gt;\n\
&lt;number&gt; &lt; &lt;number&gt;\n\
&lt;number&gt; &gt;= &lt;number&gt;\n\
&lt;number&gt; &lt;= &lt;number&gt;\n\
</pre></div><p>Standard number comparison operations.</p>\n\
<div class=\'codeBlock\'><pre>&lt;number&gt; as &lt;class&gt;\n\
</pre></div><p>Converts the number to an instance of the given class. Allowed classes are:</p>\n\
<div class=\'codeBlock\'><pre>Float \n\
Integer \n\
String\n\
Time --number taken as frames \n\
Double \n\
Integer64\n\
IntegerPtr\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>copy &lt;number&gt;\n\
</pre></div><p>Creates a new copy of the number value. This method exists primarily to support copying arrays.</p>\n\
<div class=\'codeBlock\'><pre>abs &lt;number&gt;\n\
</pre></div><p>Returns the absolute value of the number. The result is the same type as the argument.</p>\n\
<div class=\'codeBlock\'><pre>mod &lt;number1&gt; &lt;number2&gt;\n\
</pre></div><p>Modulo arithmetic (the remainder when <span class=\'code\'>number1</span> is divided by <span class=\'code\'>number2</span> ). The result is always a float. Note: Prior to <strong>3ds Max 2021.1 Update</strong>, this method only supported integers of up to 8 digits. It now supports integers of any size.</p>\n\
<div class=\'codeBlock\'><pre>ceil &lt;number&gt;\n\
</pre></div><p>Returns the nearest whole number greater than or equal to <span class=\'code\'>number</span> . The result is always a float.</p>\n\
<div class=\'codeBlock\'><pre>floor &lt;number&gt;\n\
</pre></div><p>Returns the nearest whole number less than or equal to <span class=\'code\'>number</span> . The result is always a float.</p>\n\
<div class=\'section\'><a id=\"trigonometric-functions\"></a><h2 id=\"trigonometric-functions\">Trigonometric Functions</h2></div>\n\
<p>MAXScript supports the following standard trigonometric functions. Angles are represented in degrees. The result is always a float.</p>\n\
<div class=\'codeBlock\'><pre>acos &lt;number&gt;\n\
asin &lt;number&gt;\n\
atan &lt;number&gt;\n\
atan2 &lt;number&gt; &lt;number&gt;\n\
cos &lt;number&gt;\n\
cosh &lt;number&gt;\n\
sin &lt;number&gt;\n\
sinh &lt;number&gt;\n\
tan &lt;number&gt;\n\
tanh &lt;number&gt;\n\
</pre></div><div class=\'section\'><a id=\"transcendental-functions\"></a><h2 id=\"transcendental-functions\">Transcendental Functions</h2></div>\n\
<p>MAXScript supports the following standard transcendental functions. The result is always a float.</p>\n\
<div class=\'codeBlock\'><pre>exp &lt;number&gt;\n\
</pre></div><p>Exponential function.</p>\n\
<div class=\'codeBlock\'><pre>log &lt;number&gt;\n\
</pre></div><p>Natural logarithm of the argument.</p>\n\
<div class=\'codeBlock\'><pre>log10 &lt;number&gt;\n\
</pre></div><p>Logarithm with base 10.</p>\n\
<div class=\'codeBlock\'><pre>pow &lt;number&gt; &lt;number&gt;\n\
</pre></div><p>First argument to the power of the second argument.</p>\n\
<div class=\'codeBlock\'><pre>sqrt &lt;number&gt;\n\
</pre></div><p>Square root of the argument.</p>\n\
<div class=\'section\'><a id=\"random-value-methods\"></a><h2 id=\"random-value-methods\">Random Value Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>random &lt;number&gt; &lt;number&gt;\n\
</pre></div><p>Returns a pseudo random number inclusively between the two arguments. Return value type is the type of the <strong>first</strong> argument.</p>\n\
<div class=\'codeBlock\'><pre>seed &lt;number&gt;\n\
</pre></div><p>Reseeds the random number generator using the specified value.</p>\n\
<div class=\'section\'><a id=\"angle-conversion-methods\"></a><h2 id=\"angle-conversion-methods\">Angle Conversion Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>degToRad &lt;number&gt;\n\
</pre></div><p>Returns the conversion of the number from degrees to radians. The result is always a float.</p>\n\
<div class=\'codeBlock\'><pre>radToDeg &lt;number&gt;\n\
</pre></div><p>Returns the conversion of the number from radians to degrees. The result is always a float.</p>\n\
<div class=\'section\'><a id=\"float-close-enough-method\"></a><h2 id=\"float-close-enough-method\">Float Close Enough Method</h2></div>\n\
<div class=\'codeBlock\'><pre>close_enough &lt;float&gt; &lt;float&gt; &lt;int&gt;\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the two <span class=\'code\'>&lt;float&gt;</span> values are approximately equal, where increasing values of <span class=\'code\'>&lt;int&gt;</span> increase the range defined as approximately equal. Available in <strong>3ds Max 2008 and higher</strong>. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>A good value of <span class=\'code\'>&lt;int&gt;</span> in most cases is 10.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` for d1 in#(1., 10., 100., 1000.) do ( print d1 for i = 0 to 8 do ( d2 = d1+(d1*10.^(-i)) format &quot;% : % : % : % : %\\n&quot; i d1 d2 (d1==d2) (close_enough d1 d2 10) ) )</p>\n\
<p>```</p>\n\
<p><strong>RESULTS:</strong></p>\n\
<p>``` 1.0 0 : 1.0 : 2 : false : false 1 : 1.0 : 1.100000024 : false : false 2 : 1.0 : 1.00999999 : false : false 3 : 1.0 : 1.001000047 : false : false 4 : 1.0 : 1.000100017 : false : false 5 : 1.0 : 1.000010014 : false : false 6 : 1.0 : 1.000000954 : false : true 7 : 1.0 : 1.000000119 : false : true 8 : 1.0 : 1 : true : true 10.0 0 : 10.0 : 20 : false : false 1 : 10.0 : 11 : false : false 2 : 10.0 : 10.10000038 : false : false 3 : 10.0 : 10.01000023 : false : false 4 : 10.0 : 10.0010004 : false : false 5 : 10.0 : 10.00010014 : false : false 6 : 10.0 : 10.00000954 : false : true 7 : 10.0 : 10.00000095 : false : true 8 : 10.0 : 10 : true : true 100.0 0 : 100.0 : 200 : false : false 1 : 100.0 : 110 : false : false 2 : 100.0 : 101 : false : false 3 : 100.0 : 100.0999985 : false : false 4 : 100.0 : 100.0100021 : false : false 5 : 100.0 : 100.0009995 : false : false 6 : 100.0 : 100.0000992 : false : true 7 : 100.0 : 100.0000076 : false : true 8 : 100.0 : 100 : true : true 1000.0 0 : 1000.0 : 2000 : false : false 1 : 1000.0 : 1100 : false : false 2 : 1000.0 : 1010 : false : false 3 : 1000.0 : 1001 : false : false 4 : 1000.0 : 1000.099976 : false : false 5 : 1000.0 : 1000.01001 : false : false 6 : 1000.0 : 1000.000977 : false : true 7 : 1000.0 : 1000.000122 : false : true 8 : 1000.0 : 1000 : true : true OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"bit-operation-methods\"></a><h2 id=\"bit-operation-methods\">Bit Operation Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>bit.and &lt;integer1&gt; &lt;integer2&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>&lt;integer&gt;</span> result of AND-ing the bits in integer1 and integer2.</p>\n\
<div class=\'codeBlock\'><pre>bit.or &lt;integer1&gt; &lt;integer2&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>&lt;integer&gt;</span> result of OR-ing the bits in integer1 and integer2.</p>\n\
<div class=\'codeBlock\'><pre>bit.xor &lt;integer1&gt; &lt;integer2&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>&lt;integer&gt;</span> result of XOR-ing the bits in integer1 and integer2.</p>\n\
<div class=\'codeBlock\'><pre>bit.not &lt;integer1&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>&lt;integer&gt;</span> result of flipping the bits in integer1.</p>\n\
<div class=\'codeBlock\'><pre>bit.shift &lt;integer1&gt; &lt;integer2&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>&lt;integer&gt;</span> result of shifting the bits in integer1 by integer2 places. If integer2 is positive, the bits are shifted to the left. If negative, to the right. The highest order bit is not carried when shifting to the left (unsigned shift operation).</p>\n\
<div class=\'codeBlock\'><pre>bit.set &lt;integer1&gt; &lt;integer2&gt; &lt;boolean&gt;\n\
</pre></div><p>Returns an <span class=\'code\'>&lt;integer&gt;</span> result where bit integer2 of integer1 is set to the specified boolean value. Bit 1 is the lowest order (least significant) bit.</p>\n\
<div class=\'codeBlock\'><pre>bit.flip &lt;integer1&gt; &lt;integer2&gt;\n\
</pre></div><p>Returns an <span class=\'code\'>&lt;integer&gt;</span> result where bit integer2 of integer1 is flipped. Bit 1 is the lowest order (least significant) bit.</p>\n\
<div class=\'codeBlock\'><pre>bit.get &lt;integer1&gt; &lt;integer2&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>&lt;boolean&gt;</span> state of the integer2 bit of integer1. Bit 1 is the lowest order (least significant) bit.</p>\n\
<div class=\'codeBlock\'><pre>bit.intAsChar &lt;integer&gt;\n\
</pre></div><p>Returns a <span class=\'code\'>&lt;string&gt;</span> result of length 1 containing the character corresponding to the integer value.</p>\n\
<p>Only the lowest order 8-bits (16-bits for localized versions of <strong>3ds Max</strong>) of the integer are used.</p>\n\
<div class=\'codeBlock\'><pre>bit.charAsInt &lt;string&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>&lt;integer&gt;</span> value corresponding to the first character of the string.</p>\n\
<div class=\'codeBlock\'><pre>bit.intAsHex &lt;integer&gt;\n\
</pre></div><p>Returns a <span class=\'code\'>&lt;string&gt;</span> value containing the hex representation of the integer.</p>\n\
<div class=\'codeBlock\'><pre>bit.intAsFloat &lt;integer&gt;\n\
</pre></div><p>Returns the integer value cast to a float value. Typically used for converting between integer and float values so that the remaining bit methods can be used on a float.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>bit.floatAsInt &lt;float&gt;\n\
</pre></div><p>Returns the float value cast to a integer value. Typically used for converting between integer and float values so that the remaining bit methods can be used on a float.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>bit.swapBytes &lt;integer&gt; &lt;integer byte1&gt; &lt;integer byte2&gt;         \n\
</pre></div><p>Returns an integer with byte1 and byte2 of value int swapped. Byte 1 is the lowest order byte.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>bit.isNAN &lt;float&gt;    \n\
</pre></div><p>Returns true if the float is the reserved float value NAN (Not A Number). A NAN is generated when the result of a floating-point operation cannot be represented as a floating point number.</p>\n\
<p>An example of NAN is f = (1.0/0.0).</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>bit.isFinite &lt;float&gt;   \n\
</pre></div><p>Returns true if the float is any value other than NaN, negative infinity, or positive infinity. In those three cases, it returns false.</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"bit-operation-methods-in-3ds-max-9-and-higher\"></a><h2 id=\"bit-operation-methods-in-3ds-max-9-and-higher\">64 Bit Operation Methods in 3ds Max 9 and higher</h2></div>\n\
<div class=\'codeBlock\'><pre>bit.doubleAsInt64 &lt;double&gt; \n\
</pre></div><p>Converts a Double value into an Integer64 value.</p>\n\
<div class=\'codeBlock\'><pre>bit.int64AsDouble &lt;integer64&gt; \n\
</pre></div><p>Converts an Integer64 value into a Double value.</p>\n\
<p>Note:</p>\n\
<p>The range of valid <strong>Integers</strong> in MAXScript is -2,147,483,648 to 2,147,483,647. If you perform calculations that result in integers outside of this range, you will get integer overflow errors that <strong>are not</strong> detected by MAXScript. You must take care in designing your code to prevent or detect this overflow yourself. The result of an overflow is typically a large number of the wrong sign. Dividing an integer by 0 will result in a MAXScript system exception.</p>\n\
<p>A <strong>Float</strong> in MAXScript has an absolute value range of 1.18E-38 to 3.40E38 with a precision of one part in 1.0E7. If you perform calculations that result in floats with an absolute value less than this range, the result will be stored as 0.0. If you perform calculations that result in floats with an absolute value larger than this range, the result will be stored as a special value that represents infinity, <span class=\'code\'>1.#INF</span> . Adding, subtracting, or multiplying a number by <span class=\'code\'>1.#INF</span> results in a value of <span class=\'code\'>1.#INF</span> . Dividing a number by <span class=\'code\'>1.#INF</span> results in a value of 0.0. Dividing 0.0 by 0.0 or <span class=\'code\'>1.#INF</span> by <span class=\'code\'>1.#INF</span> , multiplying <span class=\'code\'>1.#INF</span> by 0, or <span class=\'code\'>1.#INF</span> from <span class=\'code\'>1.#INF</span> results in a special value that represents an indeterminate number, - <span class=\'code\'>1.#IND</span> . Adding, subtracting, multiplying, or dividing a number by - <span class=\'code\'>1.#IND</span> results in a value of - <span class=\'code\'>1.#IND</span> .</p>\n\
<p>When you display or print a Float, MAXScript prints the value to the 6th significant digit. The following table shows examples of values stored to a MAXScript variable, the value as stored, and the value as displayed.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Input Value</th>\n\
<th align=\"left\">Stored Value</th>\n\
<th align=\"left\">Displayed Value</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1.23456789</td>\n\
<td align=\"left\">1.23456788</td>\n\
<td align=\"left\">1.23457</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">1.1</td>\n\
<td align=\"left\">1.10000002</td>\n\
<td align=\"left\">1.1</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1.01</td>\n\
<td align=\"left\">1.00999999</td>\n\
<td align=\"left\">1.01</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">1.001</td>\n\
<td align=\"left\">1.00100004</td>\n\
<td align=\"left\">1.001</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1.0001</td>\n\
<td align=\"left\">1.00010001</td>\n\
<td align=\"left\">1.0001</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">1.00001</td>\n\
<td align=\"left\">1.00001001</td>\n\
<td align=\"left\">1.00001</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1.000001</td>\n\
<td align=\"left\">1.00000095</td>\n\
<td align=\"left\">1.0</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">1.0000001</td>\n\
<td align=\"left\">1.00000011</td>\n\
<td align=\"left\">1.0</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1.00000001</td>\n\
<td align=\"left\">1.00000000</td>\n\
<td align=\"left\">1.0</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">100017.911</td>\n\
<td align=\"left\">100017.914</td>\n\
<td align=\"left\">100018.0</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>The following script shows the use of various literals, constructors, properties, operators, and methods of the Number class.</p>\n\
<p>``` -- numbers test bed i=10-- assign integers to variables j=20 i/j-- integer divide, result is integer i=i as float-- convert i to a float i/j-- float divide, result is float i += 1-- increment i by 1 if i &lt; j do i=2.^3-- if i is less than j, set i to 2 to the 3rdpower mod j i-- return remainder of j divided by i cos 30.0-- return cosine of 30 degrees sqrt j-- return square root of j seed 12345-- seed the random number generator for k=1 to 5 do print (random i j)-- print out 3 random numbers</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` 10-- result of line 2 20-- result of line 3 0-- result of line 4 (10/20) 10.0-- result of line 5 0.5-- result of line 6 (10./20) 11.0-- result of line 7 8.0-- result of line 8 (2.^3) 4.0-- result of line 9 0.866025-- result of line 10 4.47214-- result of line 11 (sqrt 20) OK-- result of line 12 10.7775-- output from line 13 (random 8. 20) 15.0183 17.4467 16.1027 10.1344 OK-- result of line 13</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";