var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point2 Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point2 Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point2-values\"></a></div>\n\
<p>The <strong>point2</strong> class defines the characteristics of points in 2D space.</p>\n\
<p>This class is a 2D version of Point3 and is used in utility rollout positioning parameters and for accessing Bitmap values, etc.</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/2D-and-3D-Point-Literals.html\' title=\'\'>2D and 3D Point Literals</a>.</p>\n\
<p><strong>Literals</strong></p>\n\
<div class=\'codeBlock\'><pre>[&lt;expr&gt;, &lt;expr&gt;] \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLES</strong></p>\n\
<p>``` [x, y][10, 20] [sin x, cos x]</p>\n\
<p>```</p>\n\
\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>point2 &lt;x&gt; &lt;y&gt;-- x and y are numbers \n\
&lt;point3&gt; as point2-- created from the x and y components of the point3   \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;.x: Float \n\
&lt;point2&gt;.y: Float \n\
</pre></div><p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt; == &lt;point2&gt; \n\
&lt;point2&gt; != &lt;point2&gt;   \n\
&lt;point2&gt; + &lt;point2_or_number&gt; \n\
&lt;point2&gt; - &lt;point2_or_number&gt; \n\
&lt;point2&gt; * &lt;point2_or_number&gt; \n\
&lt;point2&gt; / &lt;point2_or_number&gt; \n\
</pre></div><p>Standard vector arithmetic. If the second operand is a number it does scalar arithmetic on vector.</p>\n\
<div class=\'codeBlock\'><pre>-&lt;point2&gt; \n\
</pre></div><p>unary minus</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;[&lt;integer&gt;]\n\
</pre></div><p>Returns a component of the Point2 as a float. Valid range on the index is 1 to 2.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point2&gt;[&lt;integer&gt;]=&lt;float&gt; \n\
</pre></div><p>Sets a component of the Point2 to the float. Valid range on the index is 1 to 2.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>copy &lt;point2&gt; \n\
</pre></div><p>Creates a new copy of the point2 value.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` newPoint = copy oldPoint</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The new value contains a copy of the input point2 value, and is independent of the input point2 value.</p>\n\
<div class=\'codeBlock\'><pre>random &lt;point2&gt; &lt;point2&gt; \n\
</pre></div><p>Generates a pseudo-random point between the given points.</p>\n\
<p><strong>length</strong><point2><p>\n\
<p>Returns the length of the vector.</p>\n\
<div class=\'codeBlock\'><pre>distance &lt;point2&gt; &lt;point2&gt; \n\
</pre></div><p>Returns the distance between the points - length of (point 2 - point 1).</p>\n\
<div class=\'codeBlock\'><pre>normalize &lt;point2&gt; \n\
</pre></div><p>Returns the <span class=\'code\'>point2</span> value normalized such that the vector length equals 1.</p>\n\
</point2>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";