var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Point4 Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Point4 Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"point4-values\"></a></div>\n\
<p>The <strong>Point4</strong> class defines the characteristics of points in 4D space (for example RGBA color space).</p>\n\
<p>These values contain 4 component floating point numbers and can be used to express floating point color values where the components are the Red, Green, Blue and Alpha values.</p>\n\
<p>Several Point4 controllers were also introduced to store animation of parameters containing Point4 values.</p>\n\
<p><strong>Literals</strong></p>\n\
<div class=\'codeBlock\'><pre>[&lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt;, &lt;expr&gt;]\n\
</pre></div><p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>point4 &lt;x&gt; &lt;y&gt; &lt;z&gt; &lt;w&gt;\n\
&lt;color&gt; as point4\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;point4&gt;.x: Float --the x component\n\
&lt;point4&gt;.y: Float --the y component\n\
&lt;point4&gt;.z: Float --the z component\n\
&lt;point4&gt;.w: Float --the w component\n\
</pre></div><p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;point4&gt; == &lt;point4&gt;\n\
&lt;point4&gt; != &lt;point4&gt;\n\
 \n\
&lt;point4&gt; + &lt;point4_or_number&gt;\n\
&lt;point4&gt; - &lt;point4_or_number&gt;\n\
&lt;point4&gt; * &lt;point4_or_number&gt;\n\
&lt;point4&gt; / &lt;point4_or_number&gt;\n\
</pre></div><p>Standard vector arithmetic.</p>\n\
<p>If the second operand is a number, the operation is performed on each component of the value.</p>\n\
<div class=\'codeBlock\'><pre>- &lt;point4&gt;\n\
</pre></div><p>Unary minus</p>\n\
<div class=\'codeBlock\'><pre>&lt;point4&gt;[&lt;integer&gt;]\n\
</pre></div><p>Returns a component of the Point4 as a float.</p>\n\
<p>Valid range on the index is 1 to 4.</p>\n\
<div class=\'codeBlock\'><pre>&lt;point4&gt;[&lt;integer&gt;] = &lt;float&gt;\n\
</pre></div><p>Sets a component of the Point4 to the float.</p>\n\
<p>Valid range on the index is 1 to4.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>copy &lt;point4&gt;\n\
</pre></div><p>Creates a new copy of the Point4 value.</p>\n\
<p>The new value contains a copy of the input Point4 value, and is independent of the input Point4 value.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` oldValue = Point4 1.0 2.0 3.0 4.0--define a Point4 value [1,2,3,4] newValue1 = copy oldValue--create a copy of the value [1,2,3,4] newValue2 = oldValue--variable newValue2 points at the same value! [1,2,3,4] newValue2.x = 10.0--set the x component of the instance to 10 10.0 newValue2--see the result [10,2,3,4] oldValue--note that the original value was also changed! [10,2,3,4] newValue1--but the copy was independent and did not change! [1,2,3,4]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>random &lt;point4&gt; &lt;point4&gt;\n\
</pre></div><p>Generates a pseudo-random point between the given points.</p>\n\
<div class=\'codeBlock\'><pre>length &lt;point4&gt;\n\
</pre></div><p>Returns the length of the 4D vector.</p>\n\
<div class=\'codeBlock\'><pre>distance &lt;point4&gt; &lt;point4&gt;\n\
</pre></div><p>Returns the distance between the points in 4D space.</p>\n\
<div class=\'codeBlock\'><pre>normalize &lt;point4&gt;\n\
</pre></div><p>Returns the <span class=\'code\'>point4</span> value normalized such that the 4D vector length equals 1.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";