var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Ray Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Ray Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ray-values\"></a></div>\n\
<p>The <strong>Ray</strong> class defines the characteristics of a ray in 3D space.</p>\n\
<p>A ray has two Point3 components, one defining a start position and the other a direction vector for the ray.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>ray &lt;pos_point3&gt; &lt;dir_point3&gt;\n\
</pre></div><p>Returns a new ray with given position and direction vector.</p>\n\
<div class=\'codeBlock\'><pre>&lt;node&gt; as ray\n\
</pre></div><p>Takes a scene object that has a target, such as a Tape Helper, a Target Camera or Target Light and returns a ray from the object to the target.</p>\n\
<p>Returns <span class=\'code\'>undefined</span> if the object has no target.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ray&gt;.pos: Float\n\
&lt;ray&gt;.position: Float --pos and position are synonyms\n\
&lt;ray&gt;.dir: Point3 --unit normalized direction vector\n\
</pre></div><p><strong>Operators</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ray&gt; == &lt;ray&gt;\n\
&lt;ray&gt; != &lt;ray&gt;\n\
</pre></div><p>Available in <strong>3ds Max 2018 and higher</strong>: Standard comparisons.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>copy &lt;ray&gt;\n\
</pre></div><p>Creates a new copy of the ray value.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` newRay = copy oldRay</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The new value contains a copy of the input ray value, and is independent of the input ray value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";