var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>DataPair Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>DataPair Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"datapair-values\"></a></div>\n\
<p>The <strong>DataPair</strong> class is simply a wrapper around two values.</p>\n\
<p>The values can be of any value type.</p>\n\
<p>The class is available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<p>It was previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>Available in <strong>3ds Max 2017.1 Update and higher</strong>: DataPair values can be specified in a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Persistent-Global-Variables.html\' title=\'\'>persistent global variable</a>. Both values in the DataPair must be specifiable as a persistent global variable in order for the DataPair to be fully restored on scene file load.</p>\n\
<p><strong>Constructors</strong></p>\n\
<div class=\'codeBlock\'><pre>DataPair ()\n\
DataPair &lt;value1&gt; &lt;value2&gt;\n\
DataPair &lt;value1_name&gt;:&lt;value1&gt; &lt;value2_name&gt;:&lt;value2&gt;\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;dataPair&gt;.v1 : Value\n\
</pre></div><p>Get/set the first value in the DataPair.</p>\n\
<div class=\'codeBlock\'><pre>&lt;dataPair&gt;.v2 : Value\n\
</pre></div><p>Get/set the second value in the DataPair.</p>\n\
<div class=\'codeBlock\'><pre>&lt;dataPair&gt;.&lt;value1_name&gt; : Value\n\
</pre></div><p>Get/set the first value in the DataPair by name.</p>\n\
<div class=\'codeBlock\'><pre>&lt;dataPair&gt;.&lt;value2_name&gt; : Value\n\
</pre></div><p>Get/set the second value in the DataPair by name.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getPropNames &lt;dataPair&gt;\n\
</pre></div><p>Returns array of names values where first two values are #v1 and #v2, remaining 2 values are <span class=\'code\'>&lt;value1_name&gt;</span> and <span class=\'code\'>&lt;value2_name&gt;</span> if that form of the constructor is used.</p>\n\
<div class=\'codeBlock\'><pre>deepCopy &lt;dataPair&gt;\n\
</pre></div><p>Creates a deep copy of the dataPair. Available in <strong>3ds Max 2019 and higher</strong>. The dataPair is recursively traversed, and new copies are generated of all items it contains. Note that if the dataPair contains multiple references to a single value, the deep copy will contain multiple references to a single, new value.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` --Define a new value consisting of a Point3 value and an Integer theVal = DataPair [10,20,30] 40 --&gt; (DataPair [10,20,30] 40) theVal.v1 --get the first value in the pair --&gt; [10,20,30] theVal.v2 --get the second value in the pair --&gt; 40</p>\n\
<p>--Define a new DataPair value with names values theVal2 = DataPair question:&quot;Life,Universe,And Everything&quot; answer:42 --&gt;(DataPair question:&quot;Life,Universe,And Everything&quot; answer:42) theVal2.question --&gt; &quot;Life,Universe,And Everything&quot; theVal2.answer --&gt; 42 --You can use the properties too: theVal2.v1 --&gt; &quot;Life,Universe,And Everything&quot; theVal2.v2 --&gt; 42</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";