var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXKey Common Properties, Operators, and Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXKey Common Properties, Operators, and Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxkey-common-properties-operators-and-methods\"></a></div>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>addNewKey &lt;controller&gt; &lt;time&gt; [#select] [#interpolate]\n\
</pre></div><p>Adds a new key to the controller track at the time specified. The new key is also selected in the track view if the <span class=\'code\'>#select</span> optional argument is specified. The value for the new key is taken from the previous key, unless the <span class=\'code\'>#interpolate</span> argument is specified in which case the value is the interpolated controller value at that time.</p>\n\
<div class=\'codeBlock\'><pre>getKey &lt;controller&gt; &lt;index_integer&gt;\n\
</pre></div><p>Returns the indexed key as a MAXKey instance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;key_array&gt;[&lt;index_integer&gt;]\n\
</pre></div><p>where <span class=\'code\'>&lt;key_array&gt;</span> is:</p>\n\
<div class=\'codeBlock\'><pre>&lt;controller&gt;.keys\n\
&lt;node&gt;.&lt;animatable_property&gt;.keys\n\
</pre></div><p><strong>Properties</strong></p>\n\
<p>For keys associated with all keyframeable controller types, the following properties are accessible:</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.time Time\n\
</pre></div><p>time value or number (interpreted as frames)</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.selected Boolean\n\
</pre></div><p>specifies whether the key is selected. Read/write access.</p>\n\
<p>The <span class=\'code\'>.time</span> property is read-only for the keys for some controllers, and read/write for the keys of other controllers. The controller type description specifies whether the <span class=\'code\'>.time</span> property is read-only or read/write.</p>\n\
<p>For controllers where the key <span class=\'code\'>.time</span> property is read/write, the following properties are also available:</p>\n\
<div class=\'codeBlock\'><pre>&lt;key&gt;.value varies --class determined by its containing controller\n\
\n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>copy &lt;key&gt;\n\
</pre></div><p>Creates a copy of the key value. This copy is not independent of the original key, as a key value always references a key in a controller. This method exists primarily to support copying of arrays.</p>\n\
<p>The keys on Bézier, TCB, and Barycentric Morph controllers have additional properties and methods. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Bezier-Controllers/Bezier-Controller-Keys.html\' title=\'\'>Bezier Controller Keys</a>, <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/TCB-Controllers/TCB-Controller-Keys.html\' title=\'\'>TCB Controller Keys</a>, and <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Animation-Controllers/Controller-Types/Morph-Controllers/Barycentric_Morph_Controller-1.html\' title=\'\'>Barycentric Morph Controller Keys</a> for details.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";