var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PrintAllElements Variable and Context</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PrintAllElements Variable and Context</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"printallelements-variable-and-context\"></a></div>\n\
<p>In versions prior to <strong>3ds Max 7</strong>, printing or coercing <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/VertexSelection-Values.html\' title=\'\'>VertexSelection</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/FaceSelection-Values.html\' title=\'\'>FaceSelection</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/EdgeSelection-Values.html\' title=\'\'>EdgeSelection</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/BigMatrix-Values.html\' title=\'\'>BigMatrix</a>, and BigMatrixRowArray values to string converts only the first 20 elements.</p>\n\
<p>In <strong>3ds Max 7 and higher</strong>, a MAXScript variable and a new context are available. They control whether the above mentioned value types are fully printed/coerced to string, or just their first 20 elements.</p>\n\
<p>The <strong>variable</strong> is:</p>\n\
<div class=\'codeBlock\'><pre>options.printAllElements\n\
</pre></div><p>When set to true, all elements of Array, MeshSelection, BigMatrix, and BigMatrixRowArray values are printed or coerced to string. If false, only the first 20 elements of these value types are printed.</p>\n\
<p>The <strong>context</strong> is:</p>\n\
<div class=\'codeBlock\'><pre>with printAllElements &lt;boolean&gt; &lt;expr&gt;\n\
</pre></div><p>If <span class=\'code\'>&lt;boolean&gt;</span> is true, <span class=\'code\'>&lt;expr&gt;</span> is run with printAllElements true. This is exception safe. If an exception occurs in <span class=\'code\'>&lt;expr&gt;</span>, printAllElements is returned to its initial value.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` a = for i = 1 to 30 collect i --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, ...)</p>\n\
<p>with printAllElements off (print a #nomap;ok) --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, ...) --&gt; OK</p>\n\
<p>with printAllElements on (print a #nomap;ok) --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30) --&gt; OK</p>\n\
<p>with printAllElements off a as string --&gt; &quot;#(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, ...)&quot;</p>\n\
<p>with printAllElements on a as string --&gt; &quot;#(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30)&quot;</p>\n\
<p>( -- note that the following is not exception safe! local oldPrintAllElements = options.printAllElements options.PrintAllElements = true print a #nomap options.printAllElements = oldPrintAllElements ok ) --&gt; #(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30) --&gt; OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";