var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>BinStream Value for Binary Reading and Writing</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>BinStream Value for Binary Reading and Writing</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"binstream-value-for-binary-reading-and-writing\"></a></div>\n\
<p>The BinStream methods can be used to read and write binary files. The methods are very similar to the ones provided by the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>FileStream Values</a></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;BinStream&gt;fopen &lt;String fileName&gt; &lt;String mode&gt;\n\
</pre></div><p>Opens a file for reading or writing based on the mode parameter. The function will return a BinStream value.</p>\n\
<p>The <span class=\'code\'>fopen</span> method parses the mode string looking for exactly one of {rwa}, at most one &#39;+&#39;, at most one of {tb}, at most one of {SR}, at most one &#39;T&#39;, and at most one &#39;D&#39;.</p>\n\
<p><strong>In other words, a mode string is valid if</strong></p>\n\
<ul>\n\
<li><p>First mode character is &#39;r&#39;, &#39;w&#39;, or &#39;a&#39;</p></li>\n\
<li><p>There can be up to six more optional mode characters:</p>\n\
<ul>\n\
<li><p>One &#39;+&#39; character,</p></li>\n\
<li><p>One of &#39;t&#39; and &#39;b&#39;, and</p></li>\n\
<li><p>One of &#39;c&#39; and &#39;n&#39;, and</p></li>\n\
<li><p>One of &#39;S&#39; and &#39;R&#39;, and</p></li>\n\
<li><p>One of &#39;T&#39;,</p></li>\n\
<li><p>One of &#39;D&#39;.</p></li>\n\
</ul></li>\n\
</ul>\n\
<p><span class=\'code\'>r</span> - read-only text - file must exist</p>\n\
<p><span class=\'code\'>rt</span> - read-only text - file must exist</p>\n\
<p><span class=\'code\'>rb</span> - read-only binary - file must exist</p>\n\
<p><span class=\'code\'>r+</span> - read/write text - file must exist</p>\n\
<p><span class=\'code\'>a</span> - write-only text, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><span class=\'code\'>at</span> - write-only text, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><span class=\'code\'>ab</span> - write-only binary, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><span class=\'code\'>a+</span> - read/write text, append writes - <strong>in 3ds Max 2013</strong> the file will be created if it does not exist (in <strong>3ds Max 2012 and earlier</strong>, file must exist)</p>\n\
<p><span class=\'code\'>w</span> - write-only text - deletes file contents if it exists</p>\n\
<p><span class=\'code\'>wt</span> - write-only text - deletes file contents if it exists</p>\n\
<p><span class=\'code\'>wb</span> - write-only binary - deletes file contents if it exists</p>\n\
<p><span class=\'code\'>w+</span> - read/write text - deletes file contents if it exists</p>\n\
<p><span class=\'code\'>S</span> - access is primarily sequential</p>\n\
<p><span class=\'code\'>R</span> - access is primarily random</p>\n\
<p><span class=\'code\'>T</span> - temporary storage file, try not to flush</p>\n\
<p><span class=\'code\'>D</span> - file is deleted when last handle is closed</p>\n\
<p><span class=\'code\'>c</span> - enable the commit flag for the associated filename so that the contents of the file buffer are written directly to disk if flush or fflush is called.</p>\n\
<p><span class=\'code\'>n</span> - reset the commit flag for the associated filename to &quot;no-commit&quot; - contents of the file buffer are written to operating system buffers.</p>\n\
<p>Note:</p>\n\
<p>These modes are actual string and should always be written in quotation marks!</p>\n\
<p>They are also CASE SENSITIVE!</p>\n\
<p>When a file is opened with one of the <span class=\'code\'>&quot;a&quot;</span> access types, all write operations occur at the end of the file. The file pointer can be repositioned using seek, but is always moved back to the end of the file before any write operation is carried out. Thus, existing data cannot be overwritten.</p>\n\
<p>The <span class=\'code\'>&quot;a&quot;</span> mode does not remove the EOF marker before appending to the file. After appending has occurred, the MS-DOS TYPE command only shows data up to the original EOF marker and not any data appended to the file.</p>\n\
<p>The <span class=\'code\'>&quot;a+&quot;</span> mode does remove the EOF marker before appending to the file. After appending, the MS-DOS TYPE command shows all data in the file. The <span class=\'code\'>&quot;a+&quot;</span> mode is required for appending to a stream file that is terminated with the <strong>CTRL+Z</strong> EOF marker.</p>\n\
<p>When the <span class=\'code\'>&quot;r+&quot;</span> , <span class=\'code\'>&quot;w+&quot;</span> , or <span class=\'code\'>&quot;a+&quot;</span> access type is specified, both reading and writing are allowed (the file is said to be open for &quot;update&quot;). However, when you switch between reading and writing, there must be an intervening <span class=\'code\'>fflush</span> or <span class=\'code\'>fseek</span> operation. The current position can be specified for the <span class=\'code\'>fseek</span> operation, if desired.</p>\n\
<p>Having any character not listed above, having any repeats of characters listed above, or having both of a &#39;one of&#39; pair will result in a runtime error being thrown.</p>\n\
<p>If the mode string does not include &#39;t&#39; or &#39;b&#39;, &#39;b&#39; is automatically appended to the mode string so that the file is opened in binary mode. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>fflush &lt;binStream&gt;\n\
</pre></div><p>Ensure all output to file is on disk, flushes the memory buffers.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;FClose &lt;BinStream&gt;\n\
</pre></div><p>Close a BinStream value. Returns True if it successfully closed the BinStream.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;fseek &lt;BinStream&gt; &lt;Integer&gt; &lt;#seek_set | #seek_cur | #seek_end&gt;\n\
</pre></div><p>Move the file pointer to the specified location based off the seek parameter.</p>\n\
<div class=\'codeBlock\'><pre>#seek_set -- base off start of file.\n\
#seek_cur  -- base off current position.\n\
#seek_end  -- base off end of file.\n\
&lt;Integer&gt;ftell &lt;BinStream&gt;\n\
</pre></div><p>Returns the current file pointer position.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteByte &lt;BinStream&gt; &lt;Integer&gt; [#signed | #unsigned]\n\
</pre></div><p>Writes a Integer to the file as one byte. Returns True if write was successful.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteShort &lt;BinStream&gt; &lt;Integer&gt; [#signed | #unsigned]\n\
</pre></div><p>Writes a Integer to the file as two bytes. Returns True if write was successful.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteLong &lt;BinStream&gt; &lt;Integer&gt; [#signed | #unsigned]\n\
</pre></div><p>Writes a Integer to the file as four bytes. Returns True if write was successful.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteFloat &lt;BinStream&gt; &lt;Float&gt;\n\
</pre></div><p>Writes a Float to the file as four bytes. Returns True if write was successful.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteString &lt;BinStream&gt; &lt;String&gt;\n\
</pre></div><p>Writes a string to the file. Returns True if write was successful.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteLongLong &lt;BinStream&gt; &lt;Integer64&gt; [#signed | #unsigned]\n\
</pre></div><p>Writes an Integer64 to the file as eight bytes. Returns True if write was successful.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions.</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteDouble &lt;BinStream&gt; &lt;Double&gt;\n\
</pre></div><p>Writes a Double to the file as eight bytes. Returns True if write was successful.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions.</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;WriteFloatAsDouble &lt;BinStream&gt; &lt;float&gt;\n\
</pre></div><p>Writes a float value as a double precision (eight bytes) float to the BinStream. Returns True if write was successful.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions.</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;Integer&gt;ReadByte &lt;BinStream&gt; [#signed | #unsigned]\n\
</pre></div><p>Read a one byte value and return as an Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Integer&gt;ReadShort &lt;BinStream&gt; [#signed | #unsigned]\n\
</pre></div><p>Read a two byte value and return as an Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Integer&gt;ReadLong &lt;BinStream&gt; [#signed | #unsigned]\n\
</pre></div><p>Read a four byte value and return as an Integer.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Float&gt;ReadFloat &lt;BinStream&gt;\n\
</pre></div><p>Read a four byte value and return as an Float.</p>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;ReadString &lt;BinStream&gt;\n\
</pre></div><p>Read a string from the file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Float&gt;ReadDoubleAsFloat &lt;BinStream&gt;\n\
</pre></div><p>Reads a double precision (eight byte) float from the BinStream and returns as a float.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions.</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;Integer64&gt;ReadLongLong &lt;BinStream&gt; [#signed | #unsigned]\n\
</pre></div><p>Read an eight byte value and return as an Integer64. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions.</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;Double&gt;ReadDouble &lt;BinStream&gt;\n\
</pre></div><p>Read an eight byte value and return as a Double. Available in <strong>3ds Max 2008 and higher</strong>.</p>\n\
<p>Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions.</a></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` f=fopen &quot;c:\\test.bin&quot; &quot;wb&quot; WriteString f &quot;String&quot; WriteByte f 64 WriteShort f 128 WriteLong f 256 WriteFloat f 512.0 WriteString f &quot;gnirtS&quot; WriteLong f (ftell f) fclose f f=fopen &quot;c:\\test.bin&quot; &quot;rb&quot; ReadString f ReadByte f ReadShort f ReadLong f ReadFloat f ReadString f ftell f ReadLong f fclose f</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";