var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interval Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interval Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interval-values\"></a></div>\n\
<p>An <strong>Interval</strong> class represents an interval of time.</p>\n\
<p>It has two time value components: start and end.</p>\n\
<p>The start and end values can be numbers or <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Time-Data-Values/Time-Values.html\' title=\'\'>Time values</a> (numbers are interpreted as frame counts).</p>\n\
<p><strong>Constructor</strong></p>\n\
<div class=\'codeBlock\'><pre>interval &lt;start_time&gt; &lt;end_time&gt;\n\
</pre></div><p>Construct a new interval value from start and end values.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;interval&gt;.start : Time\n\
</pre></div><p>Gets/sets the start value of the interval.</p>\n\
<div class=\'codeBlock\'><pre>&lt;interval&gt;.end : Time\n\
</pre></div><p>Gets/sets the end value of the interval.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` t = animationRange.start + 5 orig_anim_range=animationRange -- store original animation range animationRange=interval 0 100000 -- set real long animation range -- assign script controller, controllers range is the current -- animation range ControlObj.scale.controller=scale_script() -- assign a script to the controller ControlObj.scale.controller.script = controlscript -- reset animationRange back to original value animationRange=orig_anim_range</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Some of the examples above refer to system global variables.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>3ds MaxSystem Globals</a> for more details.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";