var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"values\"></a></div>\n\
<blockquote>\n\
<p>Value</p>\n\
</blockquote>\n\
<p>The <strong>Value</strong> class is the root class for all MAXScript classes. It supplies methods and operators that <strong>any</strong> class can use.</p>\n\
<p>As described in <a href=\'#!/url=./developer/MAXScript-Introduction/Objects-and-Classes-in-Object/Properties-Methods-Operators-and.html\' title=\'\'>Properties, Methods, Operators, and Literals</a>, each class can specify external interfaces for the class. These external interfaces are broken up into the following categories:</p>\n\
<ul>\n\
<li><p><strong>Literals:</strong> Any literal form for objects of the class.</p></li>\n\
<li><p><strong>Constructors:</strong> The various ways you can create objects of the class.</p></li>\n\
<li><p><strong>Properties:</strong> Accessible parameters for objects of the class.</p></li>\n\
<li><p><strong>Operators:</strong> Defines the math and other symbolic operators that are defined on values in the class.</p></li>\n\
<li><p><strong>Methods:</strong> Defines all the functions you can call for objects of the class.</p></li>\n\
</ul>\n\
<p>In the description of each class in MAXScript, each of these external interfaces are documented.</p>\n\
<p>In the syntax forms given for methods, operators, and properties, the types of argument or property values are specified using the <span class=\'code\'>&lt;type_name&gt;</span> convention, in which <span class=\'code\'>type_name</span> describes the type of value that is allowable for that argument or property. You can, of course, use an arbitrary expression for these values, as long as it evaluates to a value of the right type. For example, <span class=\'code\'>&lt;boolean&gt;</span> means either the <span class=\'code\'>true</span> or <span class=\'code\'>false</span> Boolean values.</p>\n\
<p>Also indicated for function calls are those that are automatically <strong>mapped</strong> over collections. This means that the function will be automatically called repeatedly on the elements of a collection if the collection is given as the first argument to the function. See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collections-1.html\' title=\'\'>Collections</a> for more information.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";