var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Working with Values</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Working with Values</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"working-with-values\"></a></div>\n\
<div class=\'section\'><a id=\"print-and-format\"></a><h2 id=\"print-and-format\">Print and Format</h2></div>\n\
<p>The <span class=\'code\'>print()</span> and <span class=\'code\'>format()</span> functions are straightforward.</p>\n\
<p>The <span class=\'code\'>format</span> function is used when any formatting of the output is desired, or if you want to print multiple values on a line.</p>\n\
<p>When printing a value using either of these functions, a string representation of the value is printed. This is not the object name for those objects with names (for example a <strong>3ds Max</strong> object or material).</p>\n\
<p>In the following example, variable <span class=\'code\'>b</span> contains a reference to a <strong>3ds Max</strong> Box object that has a material applied:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p><span class=\'code\'>print b   print b.name   print b.material   print b.material.name</span></p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p><span class=\'code\'>$Box:Box01 @ [-74.353745,0.000001,-19.931978]   &quot;Box01&quot;   Material #1:Standard   &quot;Material #1&quot;</span></p>\n\
</blockquote>\n\
<p>The printed results above also reflect the result of a <span class=\'code\'>&lt;value&gt; as string</span> operation, that is the result is a string representation of the object rather than the object name.</p>\n\
<div class=\'section\'><a id=\"classof-superclassof-and-iskindof\"></a><h2 id=\"classof-superclassof-and-iskindof\">classOf, superClassOf, and isKindOf</h2></div>\n\
<p>The following table shows the hierarchy of classes and superclasses for a variable that contains a reference to a <strong>3ds Max</strong> Box object (i.e., <span class=\'code\'>b=box()</span> ).</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"></th>\n\
<th align=\"left\">ClassOf</th>\n\
<th align=\"left\">SuperClassOf</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>b</span></td>\n\
<td align=\"left\"><span class=\'code\'>Box</span></td>\n\
<td align=\"left\"><span class=\'code\'>GeometryClass</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>box</span></td>\n\
<td align=\"left\"><span class=\'code\'>GeometryClass</span></td>\n\
<td align=\"left\"><span class=\'code\'>Node</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>GeometryClass</span></td>\n\
<td align=\"left\"><span class=\'code\'>Node</span></td>\n\
<td align=\"left\"><span class=\'code\'>MAXWrapper</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>Node</span></td>\n\
<td align=\"left\"><span class=\'code\'>MAXWrapper</span></td>\n\
<td align=\"left\"><span class=\'code\'>Value</span></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>MAXWrapper</span></td>\n\
<td align=\"left\"><span class=\'code\'>Value</span></td>\n\
<td align=\"left\"><span class=\'code\'>Value</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>Value</span></td>\n\
<td align=\"left\"><span class=\'code\'>Value</span></td>\n\
<td align=\"left\"><span class=\'code\'>Value</span></td>\n\
</tr>\n\
</table>\n\
<p>The <span class=\'code\'>isKindOf()</span> and <span class=\'code\'>classOf()</span> functions are useful for filtering objects from a set.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>either of the following will collect all objects of class <span class=\'code\'>box</span> into variable <span class=\'code\'>allBoxes</span> :</p>\n\
<p><span class=\'code\'>allBoxes=for obj in $* where (isKindOf obj box) collect obj</span></p>\n\
<p><span class=\'code\'>allBoxes=#()   for obj in $* do (if classOf obj == box then append allBoxes obj)</span></p>\n\
</blockquote>\n\
<p>One of the named parameters to the interactive node selection functions is <span class=\'code\'>filter</span> , which allows you to specify a function that returns a value of <span class=\'code\'>true</span> if an object can be selected.</p>\n\
<p>The <span class=\'code\'>classOf</span> , <span class=\'code\'>superClassOf</span> , and <span class=\'code\'>isKindOf</span> functions are frequently used in these functions.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>the following function limits the choices to shape objects:</p>\n\
<p><span class=\'code\'>fn shape_filt obj = isKindOf obj Shape</span></p>\n\
</blockquote>\n\
<p>For an example of such a usage, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Pickbutton-UI-Control.html\' title=\'\'>Pickbutton</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";