var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Persistents Structure</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Persistents Structure</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"persistents-structure\"></a></div>\n\
<p>The <strong>Persistents struct</strong> provides methods to collect, create, and test persistent global variables.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>persistents.show [ to:&lt;stream&gt; ]\n\
</pre></div><p>Displays a list of persistent globals and their value.</p>\n\
<p>The optional <span class=\'code\'>&lt;stream&gt;</span> argument can be a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/FileStream-Values.html\' title=\'\'>filestream</a>, <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/StringStream-Values.html\' title=\'\'>stringstream</a>, or <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Stream-Values/WindowStream-Values.html\' title=\'\'>windowstream</a>, which the method sends its output to. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>persistents.remove &lt;var_name&gt;\n\
</pre></div><p>Removes the named persistent global from the persistent global pool. The variable remains as a global variable and retains its value.</p>\n\
<div class=\'codeBlock\'><pre>persistents.removeAll()\n\
</pre></div><p>Removes all persistent globals from the persistent global pool. The variables remain as global variables and retain their value.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` a= &quot;Hello world&quot; persistent global a persistent global b=box() persistents.show() persistents.remove #a persistents.removeall() a b</p>\n\
<p>```</p>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` &quot;Hello world&quot; OK $Box:Box002 @ [0.000000,0.000000,0.000000] a: &quot;Hello world&quot; b: $Box:Box002 @ [0.000000,0.000000,0.000000] OK OK OK &quot;Hello world&quot; $Box:Box002 @ [0.000000,0.000000,0.000000]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>persistents.gather()     \n\
</pre></div><p>This method returns an array of all persistent global variable names as <span class=\'code\'>&lt;name&gt;</span> values.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>persistents.make &lt;global var name&gt;   \n\
</pre></div><p>This method makes the specified global variable name persistent.</p>\n\
<p>The name specified must be a global variable&#39;s name, otherwise a runtime error is thrown. See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Global-and-Persistent-Global/globalVars-Structure.html\' title=\'\'>globalVars structure</a>.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>persistents.isPersistent &lt;global var name&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> , if the specified global variable name is persistent, <span class=\'code\'>false</span> if it is not persistent.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` global aVar --define a global variable --&gt; OK --done! persistents.isPersistent #aVar --is it persistent? --&gt; false --it is not! persistents.make #aVar --make the existing global persistent --&gt; OK --done! persistents.isPersistent #aVar --see if it is persistent now --&gt; true --now it is! persistent global aNewPV --declare a variable as persistent global --&gt; undefined --done, variable has a value of undefined persistents.isPersistent #aNewPV --then see if it is persistent --&gt; true --it is! persistents.isPersistent #anUndeclaredVar --check an undeclared var. --&gt; false --it is not persistent</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";