var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Change Handlers and Callbacks</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Change Handlers and Callbacks</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"change-handlers-and-callbacks\"></a></div>\n\
<p><strong>Change Handlers</strong> and <strong>Callbacks</strong> are used to detect when certain types of events occur to scene objects or within <strong>3ds Max</strong>.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\' title=\'\'>Change Handlers</a> are applied to individual <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Value-1.html\' title=\'\'>MAXWrapper</a> objects and specify an attribute to monitor for that object and an expression to evaluate when that attribute changes. Example attributes that can be monitored are geometry, name, transform, and parameters. Change Handlers are not stored in the <strong>3ds Max</strong> scene.</p>\n\
<p><strong>Callbacks</strong> are used to register with <strong>3ds Max</strong> functions that are called when specific events occur within <strong>3ds Max</strong>. Events that can be monitored are changes to the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\' title=\'\'>time slider tim</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\' title=\'\'>redrawing of viewports</a>. Callbacks are not stored in a <strong>3ds Max</strong> scene.</p>\n\
<p>MAXScript also provides several methods that automatically tie into <strong>3ds Max</strong>’s Callback system. These <strong>General Event Callback Mechanism</strong> methods are used to register and unregister <strong>3ds Max</strong>s scripts that are called for a variety of <strong>3ds Max</strong> events. These scripts can optionally be saved with the currently-open file and stay permanently with it, running whenever the scene is loaded, until they are explicitly removed.</p>\n\
<p>The <strong>Node Event System</strong> introduced in <strong>3ds Max 2009</strong> provides a direct exposure of the SDK <span class=\'code\'>INodeEventCallback</span> methods and allows more node-related events to be captured, including mapping changes and node-related Undo/Redo actions.</p>\n\
<div class=\'section\'><a id=\"the-above-systems-are-described-in-more-detail-in-the-following-topics\"></a><h2 id=\"the-above-systems-are-described-in-more-detail-in-the-following-topics\">The above systems are described in more detail in the following topics:</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Change-Handlers-and-When.html\' title=\'\'>Change Handlers and When Constructs</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\' title=\'\'>Time Change Callback Mechanism</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\' title=\'\'>Viewport Redraw Callback Mechanism</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callback Mechanism</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Node-Event-System.html\' title=\'\'>Node Event System</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";