var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Exploring the Trackbar Filter Callback Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Exploring the Trackbar Filter Callback Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"exploring-the-trackbar-filter-callback-functions\"></a></div>\n\
<p>To understand how the filter function callback works, you can register a test function to explore the argument passed by the callback:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` fn testCallbackFilterFunction theAnimatable theParent theSubAnimIndex theGrandParent theNode=( format &quot;theAnimatable: %\\n&quot; theAnimatable format &quot;theParent: %\\n&quot; theParent format &quot;theSubAnimIndex: %\\n&quot; theSubAnimIndex format &quot;theGrandParent: %\\n&quot; theGrandParent format &quot;theNode: %\\n\\n&quot; theNode true ) --always returns true, means show all keys fn testCallbackAdditionFunction arg1 arg2 = (true) theInterface = maxOps.trackbar theIndex = theInterface.registerFilter testCallbackFilterFunction<br> callbackAdditionFunction &quot;Test Filter&quot; 8 active:true stopTraversal:false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>For example, if you select a Sphere scene node called &quot;Sphere01&quot;, the callback traverses all its sub-anim tracks and calls the function multiple times. The function prints all arguments to the Listener.</p>\n\
<p>You can take a look at some of them for better understanding:</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theParent: undefined\n\
theSubAnimIndex: 1\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>In this case, the scene node Sphere01 is being filtered. There is no grand parent, there is no parent either, the animatable to be filtered is the node itself, the subAnim Index is 1. This is the &quot;top level&quot; of the node.</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: Controller:Bezier_Float\n\
theParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theSubAnimIndex: 1\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>In this case, there is no grand parent, the parent is the sphere node itself, the animatable to be filtered is the subAnim with Index 1, which is the Bezier Controller of the Visibility track. This shows that the visibility of this sphere is animated. Otherwise, theAnimatable would be undefined.</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: undefined\n\
theParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theSubAnimIndex: 2\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>In this case, there is no grand parent, the parent is the sphere node itself, the animatable to be filtered is the subAnim with Index 2, which is undefined. Track 2 of every node is the Space_Warps subAnim track. You can verify by typing in the Listener:</p>\n\
<div class=\'codeBlock\'><pre>$Sphere01[2]\n\
$Sphere01[2].controller\n\
--results:\n\
SubAnim:Space_Warps\n\
undefined\n\
theAnimatable: Controller:Position_Rotation_Scale\n\
theParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theSubAnimIndex: 3\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>In this case, there is no grand parent, the parent is the sphere node itself, the animatable to be filtered is the subAnim with Index 3, which is the Transformation controller (in this case a Position_Rotation_Scale controller).</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: Controller:Position_XYZ\n\
theParent: Controller:Position_Rotation_Scale\n\
theSubAnimIndex: 1\n\
theGrandParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>Now, go one level deeper. The grand parent is the Sphere, the parent is the Transformation controller (Position_Rotation_Scale), the subAnim index inside the parent is 1, which corresponds to the Position track (in this case a Position_XYZ controller). For comparison, try typing in the Listener:</p>\n\
<div class=\'codeBlock\'><pre>$Sphere01[3][1].controller\n\
Controller:Position_XYZ\n\
theAnimatable: Controller:Bezier_Float\n\
theParent: Controller:Position_XYZ\n\
theSubAnimIndex: 1\n\
theGrandParent: Controller:Position_Rotation_Scale\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>Now, go even deeper. The grand parent is the node Transformation track (the PRS controller), the parent is the Position track (the Position_XYZ), the animatable to be filtered is the subAnim with Index 1, which is the Bezier controller assigned to the X axis of the node position.</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: Controller:Bezier_Float\n\
theParent: Controller:Position_XYZ\n\
theSubAnimIndex: 2\n\
theGrandParent: Controller:Position_Rotation_Scale\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: Controller:Bezier_Float\n\
theParent: Controller:Position_XYZ\n\
theSubAnimIndex: 3\n\
theGrandParent: Controller:Position_Rotation_Scale\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>Same with these two tracks, which are the Y and Z sub-controllers of the Position track with indices 2 and 3 respectively. This is the same as accessing</p>\n\
<div class=\'codeBlock\'><pre>$Sphere01[3][1][3].controller\n\
--result\n\
Controller:Bezier_Float\n\
theAnimatable: Controller:Euler_XYZ\n\
theParent: Controller:Position_Rotation_Scale\n\
theSubAnimIndex: 2\n\
theGrandParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>Now, go back one level and get to the second subAnim index of the PRS controller, which is the Rotation track. It has an Euler_XYZ controller assigned. The following three calls traverses the X, Y, and Z sub-controllers of the rotation:</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: Controller:Bezier_Float\n\
theParent: Controller:Euler_XYZ\n\
theSubAnimIndex: 1\n\
theGrandParent: Controller:Position_Rotation_Scale\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: Controller:Bezier_Float\n\
theParent: Controller:Euler_XYZ\n\
theSubAnimIndex: 2\n\
theGrandParent: Controller:Position_Rotation_Scale\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: Controller:Bezier_Float\n\
theParent: Controller:Euler_XYZ\n\
theSubAnimIndex: 3\n\
theGrandParent: Controller:Position_Rotation_Scale\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>Go back one level again and get to the third subAnim index of the PRS controller, which is the Scale track. It has a Bezier_Scale controller assigned that does not have sub-controllers:</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: Controller:Bezier_Scale\n\
theParent: Controller:Position_Rotation_Scale\n\
theSubAnimIndex: 3\n\
theGrandParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: Sphere\n\
theParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theSubAnimIndex: 4\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>Go back to the Sphere object level and check the 4 th subAnim index, which is the Sphere object.</p>\n\
<p>Try this in the Listener:</p>\n\
<div class=\'codeBlock\'><pre>$Sphere01[4]\n\
$Sphere01[4].controller\n\
--results:\n\
SubAnim:Object__Sphere\n\
undefined\n\
theAnimatable: ReferenceTarget:ParamBlock\n\
theParent: Sphere\n\
theSubAnimIndex: 1\n\
theGrandParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>Now, you are inside the ParamBlock of the sphere. The grand parent is the Sphere node itself, the parent is the sphere, the subAnim index is 1 and the animatable track is the Parameter Block. It does not have any keys, so you can go on and traverse its subAnim tracks that contain the animatable parameters of the Sphere</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: undefined\n\
theParent: ReferenceTarget:ParamBlock\n\
theSubAnimIndex: 1\n\
theGrandParent: Sphere\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>This is the first subAnim of the ParamBlock, which is the Radius of the sphere. The radius of this sphere was not animated, so there is no controller assigned - theAnimatable parameter is passed as undefined.</p>\n\
<p>Compare to the Listener:</p>\n\
<div class=\'codeBlock\'><pre>$Sphere01[4][1]\n\
$Sphere01[4][1].controller\n\
--results:\n\
SubAnim:Radius\n\
undefined\n\
theAnimatable: Controller:Bezier_Float\n\
theParent: ReferenceTarget:ParamBlock\n\
theSubAnimIndex: 2\n\
theGrandParent: Sphere\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>This is the second subAnim of the ParamBlock, which is the Segments count of the sphere. The Segments of this sphere are animated, so there is a Bezier_Float controller assigned.</p>\n\
<p>Compare to the Listener:</p>\n\
<div class=\'codeBlock\'><pre>$Sphere01[4][2]\n\
$Sphere01[4][2].controller\n\
--results:\n\
SubAnim:Segments\n\
Controller:Bezier_Float\n\
\n\
</pre></div><p>This following calls traverse the remaining tracks of the ParamBlock and of the Sphere itself, but do not find any controllers assigned - they all return undefined as theAnimatable:</p>\n\
<div class=\'codeBlock\'><pre>theAnimatable: undefined\n\
theParent: ReferenceTarget:ParamBlock\n\
theSubAnimIndex: 3\n\
theGrandParent: Sphere\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: undefined\n\
theParent: ReferenceTarget:ParamBlock\n\
theSubAnimIndex: 4\n\
theGrandParent: Sphere\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: undefined\n\
theParent: ReferenceTarget:ParamBlock\n\
theSubAnimIndex: 5\n\
theGrandParent: Sphere\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: undefined\n\
theParent: ReferenceTarget:ParamBlock\n\
theSubAnimIndex: 6\n\
theGrandParent: Sphere\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: undefined\n\
theParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theSubAnimIndex: 5\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: undefined\n\
theParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theSubAnimIndex: 6\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theAnimatable: undefined\n\
theParent: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
theSubAnimIndex: 7\n\
theGrandParent: undefined\n\
theNode: $Sphere:Sphere01 @ [-40.683792,-17.994026,0.000000]\n\
\n\
</pre></div><p>The test function always returns true. Now, that you know how it is being called, you can change it to perform actual filtering.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Exploring-the-Trackbar-Filter/Trackbar-Keys-Filter-Callback.html\' title=\'\'>Trackbar Filter Callback Function Examples</a> for some ideas for filter functions including a way to limit the number of displayed keys in the trackbar to increase interaction speed with the 3ds Max UI.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";