var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Trackbar Keys Filter Callback Function Examples</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Trackbar Keys Filter Callback Function Examples</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"trackbar-keys-filter-callback-function-examples\"></a></div>\n\
<p>The following examples show the possible ways to implement trackbar key filter functions:</p>\n\
<div class=\'section\'><a id=\"visibility-keys-filter-function-examples\"></a><h2 id=\"visibility-keys-filter-function-examples\">Visibility Keys Filter Function Examples</h2></div>\n\
<p>To register a filter that will display only Visibility keys:</p>\n\
<blockquote>\n\
<p><strong>YOU CAN SAY</strong></p>\n\
<p>``` fn filterVisibilityKeys theAnim theParent theIndex theGParent theNode = ( if theParent != undefined then theParent[theIndex].name == &quot;Visibility&quot; else false ) fn testCallbackAdditionFunction arg1 arg2 = (true) theInterface = maxOps.trackbar theIndex = theInterface.registerFilter filterVisibilityKeys callbackAdditionFunction &quot;Visibility&quot; 8 active:true stopTraversal:false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The filter function will return true only when the Parent is not undefined and the subAnim indexed track of the parent is called &quot;Visibility&quot;.</p>\n\
<blockquote>\n\
<p><strong>A faster and better way to define a visibility track key filter function is</strong></p>\n\
<p>``` fn filterVisibilityKeys theAnim theParent theIndex theGParent theNode = ( theIndex == 2 and theParent == theNode )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This function will return true only when the parent is the node itself and the index is 2, which corresponds to the Visibility track.</p>\n\
<div class=\'section\'><a id=\"name-and-class-filter-function-examples\"></a><h2 id=\"name-and-class-filter-function-examples\">Name and Class Filter Function Examples</h2></div>\n\
<p>You can define filter functions that will filter keys by the class or even the name of the node being traversed.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --this function will show keys only of Sphere class nodes: fn filterSphereKeys theAnim theParent theIndex theGParent theNode = ( classof theNode == Sphere )</p>\n\
<p>```</p>\n\
<p>``` --this function will show keys only of objects whose name starts with &quot;Sphere&quot;: fn filterSphereByNameKeys theAnim theParent theIndex theGParent theNode = ( substring theNode.name 1 6 == &quot;Sphere&quot;)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"key-count-filter-function-examples\"></a><h2 id=\"key-count-filter-function-examples\">Key Count Filter Function Examples</h2></div>\n\
<p>In some cases, for example, when animating using Reactor or baking animation to keys per frame using MAXScript, the trackBar can become very slow as it tries to display hundreds and even thousands of keys.</p>\n\
<p>The following function will show keys of only those controllers that have less than 10 keys:</p>\n\
<div class=\'codeBlock\'><pre>fn filterNonMassiveKeys theAnim theParent theIndex theGParent theNode = (superClassof theAnim == FloatController and theAnim.keys.count &lt; 10 )\n\
\n\
</pre></div><p>Create some object in the scene like a Box, set the Animation mode to Set Key and start animating the position by pressing the Key button. The trackBar will display the keys of the Box until you create the 10 th key, after that all keys will be filtered out and will disappear. You can define a global variable to control the number of keys to be displayed at a time.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` global maxNumberOfKeysInTrackbar = 50 fn filterNonMassiveKeys theAnim theParent theIndex theGParent theNode = ( superClassof theAnim == FloatController and theAnim.keys.count &lt; maxNumberOfKeysInTrackbar )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Simply changing the value stored in the global variable maxNumberOfKeysInTrackbar will control how many keys a controller must have to appear in the trackBar. You can even define a small dialog with a spinner and dock it in the UI to have interactive control over the keys display:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` ( try (cui.UnRegisterDialogBar MassiveKeysFilterCount) catch() try (destroyDialog MassiveKeysFilterCount) catch() global maxNumberOfKeysInTrackbar = 20 --Define a rollout with a spinner rollout MassiveKeysFilterCount &quot;Keys Limit&quot; ( spinner massive_count &quot;Max.Keys:&quot; range:[10,1000,20] type:#integer fieldwidth:40 on massive_count changed val do ( maxNumberOfKeysInTrackbar = val select selection ) ) --Create a dialog, register as DialogBar and dock at bottom createDialog MassiveKeysFilterCount 120 25 cui.RegisterDialogBar MassiveKeysFilterCount style:#(#cui_dock_all) cui.DockDialogBar MassiveKeysFilterCount #cui_dock_bottom --Define, register and enable the key filter functions: fn callbackAdditionFunction arg1 arg2 = (true) fn filterNonMassiveKeys theAnim theParent theIndex theGParent theNode = ( superClassof theAnim == FloatController and theAnim.keys.count &lt; maxNumberOfKeysInTrackbar ) theIndex = (maxOps.trackBar).registerFilter filterNonMassiveKeys callbackAdditionFunction &quot;Massive Keys Filter&quot; 13 active:true stopTraversal:false )--end script</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";