var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>File Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>File Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"file-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#filePreOpen:(integer | undefined) \n\
</pre></div><p>Sent before a new file is opened.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an integer value of 2 if a render preset file is being opened, undefined otherwise.</p>\n\
<div class=\'codeBlock\'><pre>#filePostOpen: (integer |undefined) \n\
</pre></div><p>Sent after a new file is opened successfully.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an integer value of 2 if a render preset file is being opened, undefined otherwise.</p>\n\
<div class=\'codeBlock\'><pre>#filePreOpenProcess: #(integer, string) \n\
</pre></div><p>Sent before the file open process starts. This event is sent immediately after <span class=\'code\'>#filePreOpen</span>, and it sends additional information not sent by <span class=\'code\'>#filePreOpen</span>.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array with two elements:</p>\n\
<p>The first element is 1 if doing a normal file load, 2 if doing an <strong>Edit&gt;Fetch</strong> .</p>\n\
<p>The second element is the scene file name being loaded.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` callbacks.removeScripts id:#testCallback callbacks.addScript #filePreOpenProcess &quot;print (callbacks.notificationParam())&quot; id:#testCallback</p>\n\
<p>```</p>\n\
<p><strong>PERFORM A FETCH - THE CALLBACK WILL PRINT:</strong></p>\n\
<p>``` 2 &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\autoback\\maxhold.mx&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>#fileOpenFailed: integer \n\
</pre></div><p>Sent after a file open fails.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an integer indicating the file type, where 0 is a 3ds Max file, and 1 is a material library.</p>\n\
<div class=\'codeBlock\'><pre>#filePostOpenProcess: #(integer, string) \n\
</pre></div><p>Sent after the file open process has finished. This callback is sent immediately after <span class=\'code\'>#filePostOpen</span>, and it sends additional information not sent by <span class=\'code\'>#filePostOpen</span>.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns a 2 element array:</p>\n\
<ul>\n\
<li>The first element is an integer that indicates the type of file open, where 1 indicates a normal scene file load, and 2 indicates an <strong>Edit&gt;Fetch</strong> operation.</li>\n\
<li>The second element is a string containing the opened filename.</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>#filePostOpenProcessFinalized: undefined \n\
</pre></div><p>Sent after #filePostOpenProcess is sent and all animatables created by the load process but no longer used are deleted. Available in <strong>3ds Max 2018</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>#filePreSave: string \n\
</pre></div><p>Sent before a file is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns a String containing the file name.</p>\n\
<div class=\'codeBlock\'><pre>#filePostSave: string \n\
</pre></div><p>Sent after a file is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns a String containing the file name.</p>\n\
<div class=\'codeBlock\'><pre>#filePreSaveProcess: #(integer, string) \n\
</pre></div><p>Sent before the save process has started.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns a 2 element array:</p>\n\
<p>Element 1 is</p>\n\
<p>1 if doing a normal file save,</p>\n\
<p>2 if doing an Edit&gt;Hold</p>\n\
<p>3 if doing an Autobackup</p>\n\
<p>Element 2 is the scene file name being saved.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>Evaluate the following code:</p>\n\
<p>``` callbacks.removeScripts id:#testCallback callbacks.addScript #filePreSaveProcess &quot;print (callbacks.notificationParam())&quot; id:#testCallback</p>\n\
<p>```</p>\n\
<p>Save the file to &quot;TestingCallback.max&quot; - the callback will print:</p>\n\
<p>``` 1 &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\scenes\\testingcallback.max&quot;</p>\n\
<p>```</p>\n\
<p>Perform an Edit&gt;Fetch at this point - the callback will print:</p>\n\
<p>``` 2 &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\autoback\\maxhold.mx&quot;</p>\n\
<p>```</p>\n\
<p>Wait fro the Autobackup to kick in - the callback will print:</p>\n\
<p>``` 3 &quot;C:\\Documents and Settings\\user\\My Documents\\3dsmax\\autoback\\AutoBackup01.max&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>#filePostSaveProcess: #(integer, string) \n\
</pre></div><p>Sent after the save process has finished.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the same 2-element array as <span class=\'code\'>#filePreSaveProcess</span> - please see above for details.</p>\n\
<div class=\'codeBlock\'><pre>#filePreSaveOld: undefined \n\
</pre></div><p>Sent before an old version file is saved.</p>\n\
<div class=\'codeBlock\'><pre>#filePostSaveOld: undefined \n\
</pre></div><p>Sent after an old version file is saved.</p>\n\
<div class=\'codeBlock\'><pre>#filePreMerge: integer \n\
</pre></div><p>Sent before a file is merged.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an integer value of 1 if object or scene Xref merged, undefined otherwise.</p>\n\
<div class=\'codeBlock\'><pre>#filePostMerge: integer \n\
</pre></div><p>Sent after a file is merged successfully.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an integer value of 1 if object or scene Xref merged, undefined otherwise.</p>\n\
<div class=\'codeBlock\'><pre>#filePostMerge2: #(integer, integer) \n\
</pre></div><p>Sent after a file is merged successfully, right after <strong>#filePostMerge</strong>.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array with two elements, with the first element being the file save version, and the second element the file save as version.</p>\n\
<p>For example, if loading a file saved from 3ds Max 2017, where a Save As Type was set to 3ds Max 2016, the values would be 19000 (MAX_RELEASE_R19) and 18000 (MAX_RELEASE_R189). See the plugapi.h file in the 3ds Max SDK for possible values.</p>\n\
<div class=\'codeBlock\'><pre>#filePostMerge3: #(string, boolean, integer, integer, boolean) \n\
</pre></div><p>Sent after a file is merged successfully, right after <strong>#filePostMerge2</strong>. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array with five elements:</p>\n\
<ol>\n\
<li>The full path of the file being merged or XRefed</li>\n\
<li>A boolean indicating whether the merge was successful (true) or failed (false)</li>\n\
<li>An integer indicating file save version. See the plugapi.h file in the 3ds Max SDK for possible values.</li>\n\
<li>An integer indicating file save as version. See the plugapi.h file in the 3ds Max SDK for possible values.</li>\n\
<li>A boolean indicating whether the operation was an XRef (true) or merge (false)</li>\n\
</ol>\n\
<p>Note: This callback notification contains all the information from <span class=\'code\'>#filePostMerge</span> and <span class=\'code\'>#filePostMerge2</span>, as well as additional information, and should be used as a replacement for those notifications.</p>\n\
<div class=\'codeBlock\'><pre>#filePostMergeProcess: undefined \n\
</pre></div><p>Sent after the merge process has finished.</p>\n\
<div class=\'codeBlock\'><pre>#filePostMergeProcessFinalized: undefined \n\
</pre></div><p>occurs after #filePostMerge2 is sent and all animatables created by merge process but no longer used are deleted. Available in <strong>3ds Max 2018</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>#preImport: undefined \n\
</pre></div><p>Sent before a file is imported.</p>\n\
<div class=\'codeBlock\'><pre>#postImport: filename \n\
</pre></div><p>Sent after a file is imported successfully.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the name of the file being imported. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#importFailed: undefined \n\
</pre></div><p>Sent if import fails.</p>\n\
<div class=\'codeBlock\'><pre>#preExport: undefined \n\
</pre></div><p>Sent before a file is exported.</p>\n\
<div class=\'codeBlock\'><pre>#postExport: filename \n\
</pre></div><p>Sent after a file is exported successfully.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the name of the file being exported. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#exportFailed: undefined \n\
</pre></div><p>Sent if export fails.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";