var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Node Related Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Node Related Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"node-related-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#nodeCreated: node \n\
</pre></div><p>Sent when a node is created.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeCloned: node \n\
</pre></div><p>Sent after a node is cloned but before theHold.Accept(..).</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#sceneNodeAdded: node \n\
</pre></div><p>Sent just after a node is added to the scene.</p>\n\
<p>This notification is not generated when a scene is opened.<br>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeFreeze: node \n\
</pre></div><p>Sent when a node is frozen.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeUnfreeze: Node \n\
</pre></div><p>Sent when a node is unfrozen.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeHide: node \n\
</pre></div><p>Sent when a node is hidden.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeUnhide: Node \n\
</pre></div><p>Sent when a node is unhidden.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeLinked: Node \n\
</pre></div><p>Sent when a new parent-child link is made. Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeUnlinked: Node \n\
</pre></div><p>Sent when a parent-child link is broken.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodePreDelete: Node \n\
</pre></div><p>Sent before a node is deleted.</p>\n\
<p>This event is not generated when a scene is closed.<br>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodePostDelete: undefined \n\
</pre></div><p>Sent after a node is deleted.</p>\n\
<p>This event is not generated when a scene is closed.</p>\n\
<div class=\'codeBlock\'><pre>#nodePreMaterial: Node \n\
</pre></div><p>Sent just before a node gets a new material.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodePostMaterial: Node \n\
</pre></div><p>Sent just after a node gets a new material.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the node.</p>\n\
<div class=\'codeBlock\'><pre>#nodeRenamed: #(name, name) \n\
</pre></div><p>Sent if a scene node is renamed.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns a 2 element array containing the old and new node name as strings</p>\n\
<p>Note: It is more reliable to use the <span class=\'code\'>#nodeNameSet</span> callback introduced in <strong>3ds Max 7</strong>! See below.</p>\n\
<div class=\'codeBlock\'><pre>#nodeNameSet: #(name, name, node) \n\
</pre></div><p>Sent when a scene node name is set or changed.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns a 3 element array containing the old name, the new name, and the node.</p>\n\
<p>Note: It is more reliable to use the <span class=\'code\'>#nodeNameSet</span> callback introduced in <strong>3ds Max 7</strong>! See below.</p>\n\
<div class=\'codeBlock\'><pre>#preNodeBonePropChanged: Array of nodes \n\
</pre></div><p>Pre bone property change.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes.</p>\n\
<p>This notification was broken in versions prior to <strong>3ds Max 2014</strong>.</p>\n\
<p>The fixed version will be called for individual bones, so the return value will still be an array, but containing only one node per call.</p>\n\
<p>The notification will be broadcast for all bone anim property changes <strong>except</strong> for <span class=\'code\'>InvalidateObjectTM()</span> which also alters a flag in the bone&#39;s property, but that flag would be changed also when a child bone is altered. This could happen by simply moving nodes in the viewport, so this case is excluded to avoid an avalanche of notifications.</p>\n\
<div class=\'codeBlock\'><pre>#postNodeBonePropChanged: Array of nodes \n\
</pre></div><p>Post bone property change.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes.</p>\n\
<p>This notification was broken in versions prior to <strong>3ds Max 2014</strong>.</p>\n\
<p>The fixed version will be called for individual bones, so the return value will still be an array, but containing only one node per call.</p>\n\
<p>The notification will be broadcast for all bone anim property changes <strong>except</strong> for <span class=\'code\'>InvalidateObjectTM()</span> which also alters a flag in the bone&#39;s property, but that flag would be changed also when a child bone is altered. This could happen by simply moving nodes in the viewport, so this case is excluded to avoid an avalanche of notifications.</p>\n\
<div class=\'codeBlock\'><pre>#preNodeGeneralPropChanged: Array of nodes \n\
</pre></div><p>Pre general property change.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes</p>\n\
<div class=\'codeBlock\'><pre>#postNodeGeneralPropChanged: Array of nodes \n\
</pre></div><p>Post general property change.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes whose properties have been changed.</p>\n\
<div class=\'codeBlock\'><pre>#preNodeGiPropChanged: Array of nodes \n\
</pre></div><p>Sent before Advanced Lighting property changes.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes whose properties will be changed.</p>\n\
<div class=\'codeBlock\'><pre>#postNodeGiPropChanged: Array of nodes \n\
</pre></div><p>Sent after Advanced Lighting property changes.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes whose properties have been changed.</p>\n\
<div class=\'codeBlock\'><pre>#preNodesCloned: Array of nodes \n\
</pre></div><p>Sent before node clone.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>#postNodesCloned: #(array of nodes, array of nodes, name) \n\
</pre></div><p>Sent after nodes are cloned.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a 3 element array where the first element is an array of the original nodes, the second element is an array of the cloned nodes, and the third element is a name value of <span class=\'code\'>#copy</span> , <span class=\'code\'>#instance</span> , or <span class=\'code\'>#reference</span> , reflecting the clone type.</p>\n\
<div class=\'codeBlock\'><pre>#preNodeUserPropChanged: Array of nodes \n\
</pre></div><p>Pre user property change.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>#postNodeUserPropChanged: Array of nodes \n\
</pre></div><p>Post user property change.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>#preMirrorNodes: Array of nodes \n\
</pre></div><p>Beginning of the mirror operation.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>#postMirrorNodes: Array of nodes \n\
</pre></div><p>End of the mirror operation.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the array of nodes.</p>\n\
<div class=\'codeBlock\'><pre>#selectedNodesPreDelete: Array of nodes \n\
</pre></div><p>Sent just before selected nodes are deleted.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns the Array of nodes about to be deleted.</p>\n\
<div class=\'codeBlock\'><pre>#selectedNodesPostDelete: undefined \n\
</pre></div><p>Sent just after selected nodes are deleted.</p>\n\
<div class=\'codeBlock\'><pre>#selectionSetChanged: undefined \n\
</pre></div><p>Sent after the selection set has changed.</p>\n\
<div class=\'codeBlock\'><pre>#postNodeSelectOperation: undefined \n\
</pre></div><p>Sent after the system Node Selection Processor has finished selecting nodes.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";