var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Plug-in Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Plug-in Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"plug-in-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#ClassDescAdded: MAXClass \n\
</pre></div><p>Provides a notification that a new ClassDesc is being registered.</p>\n\
<p>This occurs when DLLs containing plugins are loaded, and when a ClassDesc is dynamically created and registered with 3ds Max (for example, when a scripted plug-in is defined). When loading a DLL containing plugins, for each plugin you will get a <strong>#classDescLoaded</strong> notification followed by a <strong>#ClassDescAdded</strong> notification. When a ClassDesc is dynamically created and registered with 3ds Max, you will get just a <strong>#ClassDescAdded</strong> notification.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns a MAXClass wrapper of the ClassDesc being registered.</p>\n\
<div class=\'codeBlock\'><pre>#classDescLoaded: MAXClass \n\
</pre></div><p>Sent after a ClassDesc was successfully loaded from a plug-in dll.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function returns a MAXClass wrapper of the ClassDesc being loaded.</p>\n\
<div class=\'codeBlock\'><pre>#interactivePluginCreationStarted: MAXClass \n\
</pre></div><p>Sent when the user starts creating a plug-in instance.</p>\n\
<p>Examples of when this notification is sent include interactive creation of objects via the Create and Modify panels or the main menu. This notification is not sent when plug-in instances are created programmatically (via the SDK, MAXScript, python etc).</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a MAXClass wrapping the plug-in.</p>\n\
<div class=\'codeBlock\'><pre>#interactivePluginCreationEnded: MAXClass \n\
</pre></div><p>Sent when the user ends creating a plug-in instance.</p>\n\
<p>This notification is not sent when plug-in instances are created programmatically (via the SDK, MAXScript, python etc).</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a MAXClass wrapping the plug-in.</p>\n\
<div class=\'codeBlock\'><pre>#ObjectDefinitionChangeBegin: MAXClass \n\
</pre></div><p>Sent immediately before object instances are updated to a new object definition.</p>\n\
<p>MAXScript allows scripted plugin and scripted custom attribute definitions to be updated by re-evaluating the definition script. The new definition can add or remove local variables, parameter blocks, parameter block items, rollouts, and rollout controls. After the new definition is evaluated, existing plugin instances are converted to this new definition. This notification is sent immediately before the instances are converted to the new definition.</p>\n\
<p>A plugin may use this notification to, for example, control the rebuilding of rollout displays for instances of the plugins using the definition.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a MAXClass wrapping the scripted plug-in.</p>\n\
<div class=\'codeBlock\'><pre>#ObjectDefinitionChangeEnd: MAXClass \n\
</pre></div><p>Sent after object instances are updated to a new object definition. See <strong>#ObjectDefinitionChangeBegin</strong>.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return a MAXClass wrapping the scripted plug-in.</p>\n\
<div class=\'codeBlock\'><pre>#pluginLoaded: string \n\
</pre></div><p>Sent whenever a plug-in is loaded.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return the String containing the name of the dll loaded</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";