var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>System Notifications</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>System Notifications</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"system-notifications\"></a></div>\n\
<div class=\'codeBlock\'><pre>#appActivated: undefined \n\
</pre></div><p>Called when the main application window is activated.</p>\n\
<p>Note: Note this message is called every time the main window is activated. Use with caution. If the intention is to do something on system startup, consider <strong>#postSystemStartup</strong> instead.</p>\n\
<div class=\'codeBlock\'><pre>#appDeactivated: undefined \n\
</pre></div><p>Called when the main application window is deactivated.</p>\n\
<p>Note: Note this message is called every time the main window is activated. Use with caution. If the intention is to do something on system startup, consider <strong>#preSystemShutdown</strong> instead.</p>\n\
<div class=\'codeBlock\'><pre>#postSystemStartup: undefined \n\
</pre></div><p>Sent when the software goes live.</p>\n\
<div class=\'codeBlock\'><pre>#selectionLocked: undefined \n\
</pre></div><p>Sent when selection lock is triggered.</p>\n\
<div class=\'codeBlock\'><pre>#selectionUnlocked: undefined \n\
</pre></div><p>Sent when selection unlock is triggered.</p>\n\
<div class=\'codeBlock\'><pre>#systemPreNew: integer \n\
</pre></div><p>Sent just before <strong>3ds Max</strong> is reset.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> within the callback function will return an integer value corresponding to the option selected in the New Scene dialog:</p>\n\
<p>1 - New All</p>\n\
<p>2 - Keep Objects</p>\n\
<p>3 - Keep Objects and Hierarchy</p>\n\
<div class=\'codeBlock\'><pre>#systemPostNew: undefined \n\
</pre></div><p>Sent just after <strong>3ds Max</strong> is reset.</p>\n\
<div class=\'codeBlock\'><pre>#systemPreReset: undefined \n\
</pre></div><p>Sent before <strong>3ds Max</strong> is reset.</p>\n\
<div class=\'codeBlock\'><pre>#systemPostReset: undefined \n\
</pre></div><p>Sent after <strong>3ds Max</strong> is reset.</p>\n\
<div class=\'codeBlock\'><pre>#systemPreDirChange: undefined \n\
</pre></div><p>System path has changed - Catalogs dir modified from the Configure Path dialog.</p>\n\
<div class=\'codeBlock\'><pre>#systemPostDirChange: undefined \n\
</pre></div><p>System path has changed - Catalogs dir modified from the Configure Path dialog.</p>\n\
<div class=\'codeBlock\'><pre>#preSystemShutdown: undefined \n\
</pre></div><p>Sent just before the software enters the shutdown process.</p>\n\
<div class=\'codeBlock\'><pre>#postSystemShutdown: undefined \n\
</pre></div><p>Sent just before the software finishes the shutdown process.</p>\n\
<p>Some operations involving the MAXScript Listener and the 3ds Max UI will not be available when this callback is run because they have been shut down already. Non-UI related operations like writing to a file would be performed correctly though.</p>\n\
<div class=\'codeBlock\'><pre>#systemShutdownCheck: undefined \n\
</pre></div><p>Sent when potentially starting to shut 3ds Max down, before checking for things that can cancel the shutdown, such as scene dirty or ExitMAXCallback callback object returning false. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#systemShutdownCheckFailed: undefined \n\
</pre></div><p>Sent if system shutdown was cancelled. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#systemShutdownCheckPassed: undefined \n\
</pre></div><p>Sent if system shutdown was not cancelled. and system shutdown is about to start. Available in <strong>3ds Max 2020.1 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#welcomeScreenDone: undefined \n\
</pre></div><p>Sent once initial welcome screen is done (either it did not show or it has been closed).</p>\n\
<div class=\'codeBlock\'><pre>#preAppThemeChange: undefined \n\
</pre></div><p>Sent before the application theme is changed.</p>\n\
<div class=\'codeBlock\'><pre>#postAppThemeChange: undefined \n\
</pre></div><p>Sent after the application theme is changed.</p>\n\
<div class=\'codeBlock\'><pre>#postLoadingMenus: undefined \n\
</pre></div><p>Called after a menu file has been loaded and the menu bar updated.</p>\n\
<p>Clients registered for this notification could add their own menu or menu item to the currently loaded set of menus.</p>\n\
<div class=\'codeBlock\'><pre>#preLoadingCuiToolbars: string \n\
</pre></div><p>Sent before the main application menu bar is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the loading path, or empty if loading the default toolbars.</p>\n\
<div class=\'codeBlock\'><pre>#postLoadingCuiToolbars: string \n\
</pre></div><p>Sent after the main application menu bar is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the loading path, or empty if loading the default toolbars.</p>\n\
<div class=\'codeBlock\'><pre>#preSavingCuiToolbars: string \n\
</pre></div><p>Sent before a toolbar configuration is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the saving path, or empty if saving the default toolbars.</p>\n\
<div class=\'codeBlock\'><pre>#postSavingCuiToolbars: string \n\
</pre></div><p>Sent after a toolbar configuration is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the saving path, or empty if saving the default toolbars.</p>\n\
<div class=\'codeBlock\'><pre>#preSavingMenus: string \n\
</pre></div><p>Sent before the main application menu bar is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the saving path.</p>\n\
<div class=\'codeBlock\'><pre>#postSavingMenus: string \n\
</pre></div><p>Sent after the main application menu bar is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the saving path.</p>\n\
<div class=\'codeBlock\'><pre>#postSceneReset: undefined \n\
</pre></div><p>Sent just after deleting all refs in existing scene.</p>\n\
<p>This notification is sent after wiping the existing scene. Examples of when this occurs is immediately before loading in the new scene from a file, and when doing a file new</p>\n\
<div class=\'codeBlock\'><pre>#preSceneStateRestore: string \n\
</pre></div><p>Sent before a Scene State is restored.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the Scene State name.</p>\n\
<div class=\'codeBlock\'><pre>#postSceneStateRestore: string \n\
</pre></div><p>Sent after a Scene State is restored.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the Scene State name.</p>\n\
<div class=\'codeBlock\'><pre>#preSceneStateSave: string \n\
</pre></div><p>Sent before a scene state is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the Scene State name.</p>\n\
<div class=\'codeBlock\'><pre>#postSceneStateSave: string \n\
</pre></div><p>Sent after a scene state is saved.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the Scene State name.</p>\n\
<div class=\'codeBlock\'><pre>#preWorkspaceChange: undefined \n\
</pre></div><p>Sent before a CUI workspace is about to change.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the workspace name.</p>\n\
<div class=\'codeBlock\'><pre>#postWorkspaceChange: string \n\
</pre></div><p>Sent after a CUI workspace has changed.</p>\n\
<p>Calling <span class=\'code\'>callbacks.notificationParam()</span> returns the workspace name.</p>\n\
<div class=\'codeBlock\'><pre>#preWorkspaceCollectionChange: undefined \n\
</pre></div><p>Sent before the collection of system workspaces is about to change.</p>\n\
<div class=\'codeBlock\'><pre>#postWorkspaceCollectionChange: undefined \n\
</pre></div><p>Sent after the collection of system workspaces has changed.</p>\n\
<div class=\'codeBlock\'><pre>#preStartupScriptLoad: undefined\n\
</pre></div><p>Sent immediately before the startup scripts are executed. Available in <strong>3ds Max 2019.2 Update and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#preProjectFolderChange: undefined\n\
</pre></div><p>Sent at beginning of project folder change, before any folders are changed. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>#postProjectFolderChange: undefined\n\
</pre></div><p>Sent at end of project folder change, after all folders are changed. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";