var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Active X Inspector Functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Active X Inspector Functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"active-x-inspector-functions\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following Inspector Functions can be used to acquire lists of available ActiveX Controls and their methods, events, and properties:</p>\n\
<div class=\'codeBlock\'><pre>showAllActiveXControls [ to:&lt;stream&gt; ]   \n\
</pre></div><p>Prints a list of ActiveX controls with their progID and classID, registered on your system.</p>\n\
<div class=\'codeBlock\'><pre>showMethods&lt;axControl&gt; [ to:&lt;stream&gt; ] [ showHidden:&lt;false&gt;]   \n\
</pre></div><p>Prints a list of methods and their arguments that can be invoked on the control</p>\n\
<div class=\'codeBlock\'><pre>showEvents &lt;axControl&gt; [ to:&lt;stream&gt; ] \n\
</pre></div><p>Prints a list of events and their arguments that are sent by the control</p>\n\
<div class=\'codeBlock\'><pre>showProperties &lt;axControl&gt; [ to:&lt;stream&gt; ] [showHidden:&lt;false&gt;] \n\
</pre></div><p>Prints a list of the properties and their types, supported by the control. Some properties are marked read-only</p>\n\
<div class=\'codeBlock\'><pre>getPropNames &lt;axControl&gt; [showHidden:&lt;false&gt;] \n\
</pre></div><p>Returns an array of the properties supported by the control</p>\n\
<p>where</p>\n\
<div class=\'codeBlock\'><pre>to:&lt;stream&gt; \n\
</pre></div><p>is the output stringstream.</p>\n\
<div class=\'codeBlock\'><pre>showHidden:&lt;boolean&gt; \n\
</pre></div><p>controls whether hidden properties/methods should be included in the enumeration. The default value is false.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot; on test open do ( format &quot;PROPERTIES:\\n&quot; showProperties lv format &quot;METHODS:\\n&quot; showMethods lv format &quot;EVENTS:\\n&quot; showEvents lv ) ) createDialog test</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p>``` Rollout:test PROPERTIES: .Arrange : ListArrangeConstants( #lvwNone | #lvwAutoLeft | #lvwAutoTop ) .ColumnHeaders : IColumnHeaders .DropHighlight : IListItem .DropHighlight : undefined, read-only .HideColumnHeaders : boolean .HideSelection : boolean .Icons : IVBDataObject .Icons : undefined, read-only .ListItems : IListItems .LabelEdit : ListLabelEditConstants( #lvwAutomatic | #lvwManual ) .LabelWrap : boolean .MouseIcon : IPictureDisp .MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom ) .MultiSelect : boolean .SelectedItem : IListItem .SelectedItem : undefined, read-only .SmallIcons : IVBDataObject .SmallIcons : undefined, read-only .Sorted : boolean .SortKey : integer .SortOrder : ListSortOrderConstants( #lvwAscending | #lvwDescending ) .View : ListViewConstants( #lvwIcon | #lvwSmallIcon | #lvwList | #lvwReport ) .OLEDragMode : OLEDragConstants( #ccOLEDragManual | #ccOLEDragAutomatic ) .OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual ) .Appearance : AppearanceConstants( #ccFlat | #cc3D ) .BackColor : OLE_COLOR .BorderStyle : BorderStyleConstants( #ccNone | #ccFixedSingle ) .Enabled : boolean .Font : IFontDisp .ForeColor : OLE_COLOR .hWnd : OLE_HANDLE .AllowColumnReorder : boolean .Checkboxes : boolean .FlatScrollBar : boolean .FullRowSelect : boolean .GridLines : boolean .HotTracking : boolean .HoverSelection : boolean .Picture : IPictureDisp .PictureAlignment : ListPictureAlignmentConstants( #lvwTopLeft | #lvwTopRight | #lvwBottomLeft | #lvwBottomRight | #lvwCenter | #lvwTile ) .ColumnHeaderIcons : IVBDataObject .ColumnHeaderIcons : undefined, read-only .TextBackground : ListTextBackgroundConstants( #lvwTransparent | #lvwOpaque ) METHODS: .FindItem sz:string Where:undefined Index:undefined fPartial:undefined .GetFirstVisible() .HitTest x:float y:float .StartLabelEdit() .OLEDrag() .Refresh() EVENTS: on <control_name> BeforeLabelEdit Cancel:integer do ( ... ) on <control_name> AfterLabelEdit Cancel:integer NewString:string do ( ... ) on <control_name> ColumnClick ColumnHeader:ColumnHeader do ( ... ) on <control_name> ItemClick Item:ListItem do ( ... ) on <control_name> KeyDown KeyCode:integer Shift:integer do ( ... ) on <control_name> KeyUp KeyCode:integer Shift:integer do ( ... ) on <control_name> KeyPress KeyAscii:integer do ( ... ) on <control_name> MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) on <control_name> MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) on <control_name> MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) on <control_name> Click do ( ... ) on <control_name> DblClick do ( ... ) on <control_name> OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... ) on <control_name> OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... ) on <control_name> OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... ) on <control_name> OLECompleteDrag &amp;Effect:integer do ( ... ) on <control_name> OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... ) on <control_name> OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... ) on <control_name> ItemCheck Item:ListItem do ( ... ) true OK<p>\n\
<p>```</p>\n\
</control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></control_name></blockquote>\n\
<div class=\'section\'><a id=\"type-conversion\"></a><h2 id=\"type-conversion\">Type Conversion</h2></div>\n\
<p>All supported COM datatypes are converted to an appropriate MAXScript wrapper when passed to and from a COM object. Here are the supported types and their mapping:</p>\n\
<div class=\'codeBlock\'><pre>undefined - VT_EMPTY\n\
boolean - VT_BOOL\n\
integer - VT_UI1\n\
integer - VT_UI2\n\
integer - VT_UI4\n\
integer - VT_UI8\n\
integer - VT_I1\n\
integer - VT_I2\n\
integer - VT_I4\n\
integer - VT_I8\n\
float - VT_R4\n\
float - VT_R8\n\
string - VT_BSTR\n\
float - VT_CY\n\
date - VT_DATE\n\
error - VT_ERROR\n\
color - VT_COLOR\n\
MSDispatch - VT_DISPATCH\n\
font - VT_FONT\n\
undefined - VT_UNKNOWN\n\
ComArray - VT_SAFEARRAY\n\
ComArray - VT_CARRAY\n\
ComArray - VT_ARRAY\n\
</pre></div><p>Valid string handling for property sets and method call arguments, you can safely do</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ax.Navigate&quot;http://www.autodesk.com&quot;</p>\n\
<p>```</p>\n\
<p>where: ax is the Microsoft Web Browser Control</p>\n\
</blockquote>\n\
<p>Note: Restricted functions like QueryInterface, AddRef, Release are displayed by <span class=\'code\'>showMethods()</span> function.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";