var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ActiveX Array Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ActiveX Array Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"activex-array-properties\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>To see whether an ActiveX property is an array, you can check for a hidden &quot;_newEnum&quot; property.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` local an_array try ( get Property rListView.ax.listItems #_newEnum; an_array = true ) catch ( an_array = false )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"properties-which-return-arrays-can-be-iterated\"></a><h2 id=\"properties-which-return-arrays-can-be-iterated\">Properties which return arrays can be iterated</h2></div>\n\
<p>For example, . <span class=\'code\'>listItems</span> in the ListView control, returns IListItems. This can be looped through and also indexed.</p>\n\
<div class=\'codeBlock\'><pre>for li in ax.listItems do li.bold = true\n\
</pre></div><p>or</p>\n\
<div class=\'codeBlock\'><pre>ax.listItems[1].text = &quot;foo&quot;\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";