var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ActiveX Control Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ActiveX Control Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"activex-control-properties\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>There are two common properties for ActiveX controls, <span class=\'code\'>.pos</span> and <span class=\'code\'>.size</span> .</p>\n\
<p>Other ActiveX properties are control specific and vary from one control to another.</p>\n\
<p>For a list of all available properties except the two common properties listed above, you can use the ActiveX Control Inspector Function</p>\n\
<div class=\'codeBlock\'><pre>showProperties &lt;axControl&gt;\n\
\n\
</pre></div><p>Properties can be set as usual in MAXScript,</p>\n\
<blockquote>\n\
<p><span class=\'code\'>ax.checkboxes= true</span></p>\n\
</blockquote>\n\
<p>where <span class=\'code\'>ax</span> is the control name and <span class=\'code\'>.checkboxes</span> is a boolean property.</p>\n\
<p>Additionally, there is support for color properties. The internal representation of colors for ActiveX controls is COLORREF(unsigned integer) so you will always get integers when reading them, but you can set them as follows:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>ax.forecolor =red -- if a .forecolor property exists</span></p>\n\
</blockquote>\n\
<p>Note: Colors in Microsoft Windows are represented as BGR instead of RGB values. Thus the above example will result in the foreground color to be <strong>BLUE</strong> and not <strong>RED</strong>. To specify the correct color, you can use a MAXScript color value and turn the order of the blue and red channels manually, or define a function to do so automatically,</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` fn activeXColortheColor = (color theColor.b theColor.g theColor.r) ax.forecolor = activeXColor red</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";