var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ActiveX - Disable 3ds Max keyboard accelerators</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ActiveX - Disable 3ds Max keyboard accelerators</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"activex---disable-3ds-max-keyboard-accelerators\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>For most of the ActiveX controls there is no automatic way of determining if it supports keyboard input to disable the 3ds Max keyboard accelerators.</p>\n\
<p>AMAXScript system global called &quot;<strong>enableAccelerators</strong>&quot; can be set to false whenever an ActiveX control gets focus so that the user can type in the controls.</p>\n\
<p>Here is a sample that can be handy to enable/disable keyboard accelerators:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout rAccelState &quot;State&quot; ( checkButton accelState &quot;Test&quot; on rAccelState open do ( accelState.text = if (enableAccelerators) then &quot;Enabled&quot; else &quot;Disabled&quot; accelState.checked = enableAccelerators ) on accelState changed state do ( enableAccelerators = state accelState.text =if (enableAccelerators) then &quot;Enabled&quot; else &quot;Disabled&quot; ) ) nf = newRolloutFloater &quot;&quot; 100 100 addRollout rAccelState nf</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>There is no real way of determining when an activeX control got focus and when it lost it and automatically disable/enable Max&#39;s accelerators. It&#39;s up to the script writer&#39;s discretion to find a clever way to disable them. There is a &quot;on StatusTextChange ...&quot; event handler to disable the accelerators, but it is not fail-proof.</p>\n\
<div class=\'codeBlock\'><pre>on ax StatusTextChange txt do enableAccelerators = false\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";