var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ActiveX by-reference arguments for methods and events</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ActiveX by-reference arguments for methods and events</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"activex-by-reference-arguments-for-methods-and-events\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>The following example will not work unless the used ActiveX control is installed on your system.</p>\n\
<p>ActiveX supports by-reference arguments for methods and events since <strong>3ds Max 5.1</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout winsockTester &quot;Winsock Tester&quot; ( activeXControl axWinsock &quot;{248DD896-BB45-11CF-9ABC-0080C7E7B78D}&quot; align:#left edittext txt text:&quot;mail.iwaynet.net&quot; offset:[-12, 0] fieldwidth:90 edittext txt2 &quot;Port:&quot; text:&quot;110&quot; offset:[8, -2] button btn &quot;Connect&quot; width:90 height:16 offset:[0, 2] button btn2 &quot;Disconnect&quot; width:90 height:16 offset:[0, -2] enabled:false -- some data has arrived.. on axWinsock DataArrival bytes do ( format &quot;% bytes received.\\n&quot; bytes local wsckData = &quot;&quot; -- initialize to a string p = axWinsock.getdata &amp;wsckdata -- by-reference argument format &quot;Data: %\\n&quot; wsckData ) -- connected to remote host on axWinsock Connect do ( format &quot;Connected.\\n&quot; btn2.enabled = true btn.enabled = false ) -- connect! on btn pressed do ( axWinsock.connect txt.text txt2.text format &quot;Connecting ...\\n&quot; ) -- disconnect on btn2 pressed do ( axWinsock.close() format &quot;Connection closed.\\n&quot; btn2.enabled = false btn.enabled = true ) ) createdialog winsockTester 100 115</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>By-reference arguments are preceded with a &#39;&amp;&#39; in showMethods and showEvents.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` showmethods winsockTester.axWinsock .Connect RemoteHost:undefined RemotePort:undefined .Listen() .Accept requestID:integer .SendData data:undefined .GetData &amp;data:undefined type:undefined maxLen:undefined .PeekData &amp;data:undefined type:undefined maxLen:undefined .Close() .Bind LocalPort:undefined LocalIP:undefined</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Since the value type for the &#39;data&#39; argument for GetData and PeekData is &#39;unknown&#39;, we have to pass a value type that the ActiveX control knows how to handle. In this case, the methods want a buffer where they can store data, and they know how to deal with a string value. That is why we initialized variable wsckData to a null string.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";