var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ListView ActiveX Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ListView ActiveX Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"listview-activex-control\"></a></div>\n\
<div class=\'codeBlock\'><pre>&quot;Microsoft ListView Control 6.0 (SP4)&quot; &quot;MSComctlLib.ListViewCtrl.2&quot; &quot;{BDD1F04B-858B-11D1-B16A-00C0F0283628}&quot; \n\
</pre></div><p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>See the topic <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\' title=\'\'>Converting ActiveX ListView Control to DotNet ListView Control</a> for an example of switching existing ActiveX code to DotNet.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>ListView ActiveX Control</strong> is one of the most often user ActiveX Controls in MAXScript rollouts. It is very flexible and customizable and is thus discussed in detail in this chapter. It can be used to create lists and spreadsheet-like user interface controls.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>activeXControl lv “MSComctlLib.ListViewCtrl&quot; \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"listitems\"></a><h2 id=\"listitems\">ListItems</h2></div>\n\
<div class=\'codeBlock\'><pre>.ListItems : IListItems   \n\
</pre></div><p>This property provides access to the ListItems. ListItems represent the rows in the Listview and have the following properties and methods:</p>\n\
<p><strong>.ListItems Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ListItems.Count : integer \n\
</pre></div><p>Get/Set the number of ListItems in the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>.ListItems[IndexList] : IListItem, read-only \n\
</pre></div><p>Returns the Indexed ListItem. The index is 1-based.</p>\n\
<p><strong>.ListItems Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ListItems.Add Index:undefined Key:undefined Text:undefined Icon:undefined SmallIcon:undefined \n\
</pre></div><p>Adds a new ListItem to the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>.ListItems.Clear() \n\
</pre></div><p>Clears the ListItems. All ListItems will be removed from the ListView.</p>\n\
<div class=\'codeBlock\'><pre>.ListItems.Remove Index:undefined \n\
</pre></div><p>Removes the indexed ListItem.The index is 1-based.</p>\n\
<div class=\'section\'><a id=\"columnheaders\"></a><h2 id=\"columnheaders\">ColumnHeaders</h2></div>\n\
<div class=\'codeBlock\'><pre>.ColumnHeaders : IColumnHeaders \n\
</pre></div><p>This property provides access to the column headers of the ListView.</p>\n\
<p><strong>.ColumnHeaders Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Count : integer \n\
</pre></div><p>Get/Set the number of Column Headers in the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>.Item[Index:undefined] : IColumnHeader, read-only \n\
</pre></div><p>Get the indexed Column Header from the ListView control. The index is 1-based!</p>\n\
<p>See <a href=\'ListView-ActiveX-Control.html#columnheader-properties-and-methods\' title=\'\'>ColumnHeader Properties and Methods</a> for a list of properties of single Column Headers.</p>\n\
<p><strong>.ColumnHeaders Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Clear() \n\
</pre></div><p>Clears the ColumnHeaders. All Column Headers will be removed from the ListView.</p>\n\
<div class=\'codeBlock\'><pre>.Remove Index:undefined \n\
</pre></div><p>Removes the indexed Column Header. The index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>._NewEnum() \n\
</pre></div><p>Not accessible through MAXScript, return type is not supported.</p>\n\
<div class=\'codeBlock\'><pre>.Add Index:undefined Key:undefined Text:undefined Width:undefined Alignment:undefined Icon:undefined \n\
</pre></div><p>Adds a new Column to the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>.HideColumnHeaders : Boolean \n\
</pre></div><p>This property lets you enable and disable the column headers. When set to true, the column headers will be hidden. When set to false, the column headers will be displayed. Note that column headers are only available when the <span class=\'code\'>.View</span> property is set to <span class=\'code\'>#lvwReport</span> .</p>\n\
<div class=\'codeBlock\'><pre>.AllowColumnReorder : Boolean \n\
</pre></div><p>When set to true, the user can drag the columns to define their order. When set to false (default), the columns order is locked and cannot be changed interactively.</p>\n\
<div class=\'section\'><a id=\"listview-layout\"></a><h2 id=\"listview-layout\">ListView Layout:</h2></div>\n\
<div class=\'codeBlock\'><pre>.View: ListViewConstants( #lvwIcon | #lvwSmallIcon | #lvwList | #lvwReport ) \n\
</pre></div><p>Get/Set the view type of the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>.Appearance : AppearanceConstant( #ccFlat | #cc3D ) \n\
</pre></div><p>Get/Set the appearance of the ListView control. #cc3D is default.</p>\n\
<p><img src=\'developer/images/GUID-040B44BC-C6D8-4200-A331-B77EE3FB8BD1-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3E820A2B-D204-42BD-A655-52EDF07C057A-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.BorderStyle : BorderStyleConstants( #ccNone | #ccFixedSingle ) \n\
</pre></div><p>Controls the border style when <span class=\'code\'>.Appearance</span> is set to <span class=\'code\'>#ccFlat</span> . When set to <span class=\'code\'>#ccFixedSingle</span> , a single pixel border will be drawn around the ListView.</p>\n\
<p><img src=\'developer/images/GUID-040B44BC-C6D8-4200-A331-B77EE3FB8BD1-low.gif\' title=\'\'> <img src=\'developer/images/GUID-A720A4FE-50A8-475D-9914-73623EE1B423-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Arrange : ListArrangeConstants( #lvwNone | #lvwAutoLeft | #lvwAutoTop ) \n\
</pre></div><p>Controls the arrangement of the ListView control. Default is <span class=\'code\'>#lvwNone</span> .</p>\n\
<div class=\'codeBlock\'><pre>.DropHighlight : IListItem \n\
</pre></div><p>If a ListItem is assigned to this property, the ListItem will be displayed as highlighted (appearing to be selected, but without having the selected state flag set). The highlight will not be affected by the selection highlight, leaving the specified ListItem highlighted until the DropHighlight is set to undefined again.</p>\n\
<p>In the screenshot below, the ListItem representing Teapot01 was assigned to DropHighlight, while the ListItem representing Box01 was selected with the mouse.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-987DBF48-4E18-44A3-AD09-D46B1D3A9E4E-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>.LabelEdit: ListLabelEditConstants( #lvwAutomatic | #lvwManual ) \n\
</pre></div><p>Controls the editing of the label (this is the text in the first column of a ListItem). Default is <span class=\'code\'>#lvwAutomatic</span> .</p>\n\
<p>When set to <span class=\'code\'>#lvwAutomatic</span> , the user can click to select the item, then click again at the label location to open the text field to type in custom text.</p>\n\
<p>When set to <span class=\'code\'>#lvwManual</span> , the label editing can only be initiated by the developer by using the <span class=\'code\'>.StartLabelEdit()</span> method.</p>\n\
<blockquote>\n\
<p>Warning:</p>\n\
<p>The <strong>3ds Max</strong> keyboard shortcuts (accelerators) have to be disabled to be able to type in the label text field! See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/ActiveX-Disable-3ds-Max-keyboard.html\' title=\'\'>ActiveX - Disable3ds Max keyboard accelerators</a> for details!</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0BCC8E6F-9B53-4F92-BDC3-007D3F17D025-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>.LabelWrap : Boolean \n\
</pre></div><p>Controls the label wrapping.</p>\n\
<div class=\'codeBlock\'><pre>.Checkboxes : Boolean \n\
</pre></div><p>When set to true, checkboxes will be displayed in the first column for each ListItem. When set to false (default), only the ListItem label will be displayed.</p>\n\
<p><img src=\'developer/images/GUID-06CFC64F-320C-43DD-948D-773378DFFA1D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-656E5D8E-E3E8-484B-AB95-4277DA8B829E-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Enabled : Boolean \n\
</pre></div><p>When set to true (default), the ListItems can be selected, labels can be edited, checkboxes can be checked, column widths can be adjusted etc. When set to false, the ListItems will be &quot;frozen&quot; and cannot be changed in any way.</p>\n\
<div class=\'codeBlock\'><pre>.ForeColor : OLE_COLOR \n\
</pre></div><p>Controls the foreground (text) color used to draw the ListView.</p>\n\
<div class=\'codeBlock\'><pre>.BackColor : OLE_COLOR \n\
</pre></div><p>Controls the background color used to draw the ListView.</p>\n\
<p>Note:</p>\n\
<p>OLE_COLOR values used by ActiveX Controls are BGR and not RGB!</p>\n\
<p>The following screenshots show the default white background (.BackColor property not set), .BackColor = color 225 215 210, .BackColor = color 215 225 210 and .BackColor = color 210 215 225</p>\n\
<p><img src=\'developer/images/GUID-3B611969-C036-4E9C-BF24-DEFE7F3A9A16-low.gif\' title=\'\'> <img src=\'developer/images/GUID-577CC127-A842-4FBB-9796-C089E4120F42-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-CF9B1B53-A047-4BFC-8D99-B39C0C5C083A-low.gif\' title=\'\'> <img src=\'developer/images/GUID-940ED2AE-A16E-4D8E-B53F-54470862B69B-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.GridLines : Boolean \n\
</pre></div><p>When set to false (default), no grid lines will be drawn. When set to true, lines will be drawn to delimit the rows and columns:</p>\n\
<p><img src=\'developer/images/GUID-7BF9DCB6-E45A-41FD-874B-B359E0255B9D-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3B611969-C036-4E9C-BF24-DEFE7F3A9A16-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.FlatScrollBar : Boolean \n\
</pre></div><p>When set to false (default), the scrollbar will be displayed. When set to true, no scrollbar will be drawn. You can still scroll down by moving the selection using the arrow keys, but cannot scroll horizontally.</p>\n\
<div class=\'codeBlock\'><pre>.Picture : IPictureDisp \n\
</pre></div><p>Lets you assign a picture to the background. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/loadpicture.html\' title=\'\'>loadPicture</a> for details on passing pictures as IPuctureDisp values to ActiveX controls.</p>\n\
<p>In the example below, a yellow-red gradient with the size 500x200 pixels was created in Photoshop, saved as 24 bit BMP to disk and passed to the .Picture property using the line</p>\n\
<p>lv.picture = loadPicture &quot;c:/3dsmax6/images/activex_gradient.bmp&quot;</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-98B47A37-98D8-4269-82B0-92DD9EDD3F95-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>.PictureAlignment : ListPictureAlignmentConstants( #lvwTopLeft | #lvwTopRight | #lvwBottomLeft | #lvwBottomRight | #lvwCenter | #lvwTile ) \n\
</pre></div><p>Controls the alignment of the picture assigned to the .Picture property.</p>\n\
<div class=\'codeBlock\'><pre>.TextBackground : ListTextBackgroundConstants( #lvwTransparent | #lvwOpaque ) \n\
</pre></div><p>Controls the appearance of the text background. When set to #lvwOpaque, the above example will appear as</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-84C89F97-3AF4-40EF-B5CE-F166A7FEB64A-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>.Font : IFontDisp \n\
</pre></div><p>Returns an MSDisplatch value controlling the font used.Cannot be set by MAXScript.</p>\n\
<div class=\'section\'><a id=\"selection\"></a><h2 id=\"selection\">Selection</h2></div>\n\
<div class=\'codeBlock\'><pre>.SelectedItem : IListItem, read-only, default:undefined \n\
</pre></div><p>Returns the selected item.</p>\n\
<div class=\'codeBlock\'><pre>.FullRowSelect : boolean \n\
</pre></div><p>When set to true, selecting an item or sub-item will select the complete row. When set to false, only the ListItem (first column) will be selected.</p>\n\
<div class=\'codeBlock\'><pre>.MultiSelect : Boolean \n\
</pre></div><p>When set to true, the user can select multiple ListItems simultaneously. When set to false (default), only one ListItem at a time can be selected.</p>\n\
<div class=\'codeBlock\'><pre>.HideSelection : Boolean \n\
</pre></div><p>When set to true, the selection will not be displayed.When set to false, the selection will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>.HotTracking : Boolean \n\
</pre></div><p>When set to true, the ListItems will be highlighted as the mouse moves over them. When set to false (default), there will be no effect when the mouse is moving over ListItems.</p>\n\
<div class=\'codeBlock\'><pre>.HoverSelection : Boolean \n\
</pre></div><p>When set to true, the ListItems will be selected automatically when the mouse hovers over them. When set to false (default), ListItems will only be selected if the user clicks with the mouse.</p>\n\
<div class=\'section\'><a id=\"mouse-access\"></a><h2 id=\"mouse-access\">Mouse Access</h2></div>\n\
<div class=\'codeBlock\'><pre>.MouseIcon : IPictureDisp \n\
</pre></div><p>Returns the mouse icon as IPictureDisp value. Cannot be set by MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>.MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom ) \n\
</pre></div><p>Get/Set the mouse pointer type when over the ListView Control. The script developer could use the mouse events described further on this page to change the mouse pointer depending on the underlying content or the allowed actions...</p>\n\
<div class=\'section\'><a id=\"sorting\"></a><h2 id=\"sorting\">Sorting</h2></div>\n\
<div class=\'codeBlock\'><pre>.Sorted : Boolean \n\
</pre></div><p>When set to false (default), the ListItems will be displayed in the order they have been added to the ListView.ListItems array.</p>\n\
<p>When set to true, the ListItems will be sorted alphabetically. By default, the sorting will be ascending based on the text in the first column</p>\n\
<div class=\'codeBlock\'><pre>.SortOrder : ListSortOrderConstants( #lvwAscending | #lvwDescending ) \n\
</pre></div><p>When <span class=\'code\'>.Sort</span> is set to true, this property controls the direction of sorting.</p>\n\
<p>The following screenshots show the same objects displayed Unsorted, Sorted in Ascending and Descending order:</p>\n\
<p><img src=\'developer/images/GUID-BE2D38D8-BC71-40DA-93E3-7EB5E36E6739-low.gif\' title=\'\'> <img src=\'developer/images/GUID-CF376559-D0D1-4522-BF15-C5E57D3B645B-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3192D367-38E0-4B60-9188-EF892885327B-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.SortKey : integer \n\
</pre></div><p>Cannot be set by MAXScript.</p>\n\
<div class=\'section\'><a id=\"icons\"></a><h2 id=\"icons\">Icons</h2></div>\n\
<p>The following properties lets you assign an <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\' title=\'\'>ImageList ActiveX Control</a> to provide images to be used as icons by the ListView Control.</p>\n\
<p>Note that icons are only visible when the <span class=\'code\'>.View</span> property is set to <span class=\'code\'>#lvwIcon</span> resp. <span class=\'code\'>#lvwSmallIcon</span></p>\n\
<div class=\'codeBlock\'><pre>.Icons : IVBDataObject \n\
</pre></div><p>The property lets you assign icons to the ListView Control.The IVBDataObject containing the images to be used as icons is provided by an <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\' title=\'\'>ImageList ActiveX Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>.SmallIcons : IVBDataObject, read-only, default:undefined \n\
</pre></div><p>The property lets you assign small icons to the ListView Control. The IVBDataObject containing the images to be used as icons is provided by an <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\' title=\'\'>ImageList ActiveX Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>.ColumnHeaderIcons : IVBDataObject, read-only, default:undefined \n\
</pre></div><p>The property lets you assign icons to the column headers of the ListView Control. The IVBDataObject containing the images to be used as icons is provided by an <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\' title=\'\'>ImageList ActiveX Control</a>.</p>\n\
<div class=\'section\'><a id=\"drag-and-drop\"></a><h2 id=\"drag-and-drop\">Drag and Drop</h2></div>\n\
<div class=\'codeBlock\'><pre>.OLEDragMode : OLEDragConstants( #ccOLEDragManual | #ccOLEDragAutomatic ) \n\
</pre></div><p>Controls the OLE Drag mode.</p>\n\
<div class=\'codeBlock\'><pre>.OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual ) \n\
</pre></div><p>Controls the OLE Drop mode.</p>\n\
<div class=\'section\'><a id=\"ole-windows-messaging\"></a><h2 id=\"ole-windows-messaging\">OLE Windows Messaging</h2></div>\n\
<div class=\'codeBlock\'><pre>.hWnd : OLE_HANDLE \n\
</pre></div><p>This is the ActiveX handle needed to send Windows Messages to the ActiveX Control. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Sending-Windows-Message.html\' title=\'\'>Sending Windows Message</a> for details.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.FindItem sz:string Where:undefined Index:undefined fPartial:undefined \n\
.GetFirstVisible() \n\
.HitTest x:float y:float applyUIScaling:&lt;true&gt;\n\
.StartLabelEdit() \n\
.OLEDrag() \n\
.Refresh() \n\
</pre></div><p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; BeforeLabelEdit Cancel:integer do ( ... ) \n\
</pre></div><p>Called before the Label Editing starts.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; AfterLabelEdit Cancel:integer NewString:string do ( ... ) \n\
</pre></div><p>Called after the Label Editing ends.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; ColumnClick ColumnHeader:ColumnHeader do ( ... ) \n\
</pre></div><p>Called when the user clicked a Column Header. The ColumnHeader argument will contain the ColumnHeader that has been clicked. The ColumnHeader has its own properties including index, alignment controls etc. See <a href=\'ListView-ActiveX-Control.html#columnheader-properties-and-methods\' title=\'\'>ColumnHeader Properties and Methods</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; ItemClick Item:ListItem do ( ... ) \n\
</pre></div><p>Called when the user clicked a ListItem. The Item argument will contain the 0-based index of the row that has been clicked.</p>\n\
<div class=\'section\'><a id=\"keyboard-and-mouse-click-events\"></a><h2 id=\"keyboard-and-mouse-click-events\">Keyboard and Mouse Click Events</h2></div>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user pressed a key. The KeyCode argument will contain the integer code of the key that has been pressed, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - bit 1 represents Shift, bit 2 represents Control, bit 3 represents Alt.</p>\n\
<p>0 - No modifier keys pressed</p>\n\
<p>1 - Left or Right Shift key pressed</p>\n\
<p>2 - Left or Right Control key pressed</p>\n\
<p>3 - Control + Shift keys pressed simultaneously</p>\n\
<p>4 - Left or Right Alt key pressed</p>\n\
<p>6 - Control + Alt keys pressed simultaneously</p>\n\
<p>7 - Control, Alt and Shift keys pressed simultaneously</p>\n\
<blockquote>\n\
<p><strong>An example of the MAXScript syntax is:</strong></p>\n\
<p>``` on lv_objects keyDown theKeyCode theShiftState do ( format &quot;Key Code is %, Shift State is %\\n&quot; theKeyCode theShiftState ) --where lv_objects is the name of the ActiveX ListView, --theKeyCode and theShiftState are user-defined variable names.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user releases a key. The KeyCode argument will contain the integer code of the key that has been released, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - see above.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) \n\
</pre></div><p>Called when the user pressed a key. The KeyAscii argument will contain the ASCII integer code of the key that has been pressed. For example, pressing Space Bar will return 32, pressing Shift+A will return 65 etc.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user clicked the ListView with the mouse.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in ListView pixel coordinates (NOT Twips!), where 0,0 is the upper left corner of the ListView Control.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot; height:100 width:100 on lv MouseDown Button Shift x y do format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y ) createDialog test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user moves the mouse inside the ListView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in ListView pixel coordinates (NOT Twips!), where 0,0 is the upper left corner of the ListView Control.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` --This script will print the mouse values --while you move the mouse inside the ListView control rollout test &quot;Test&quot; ( activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot; height:100 width:100 on lv MouseMove Button Shift x y do format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y ) createDialog test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user released the mouse over the ListView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in ListView pixel coordinates (NOT Twips!), where 0,0 is the upper left corner of the ListView Control.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( activeXControl lv &quot;MSComctlLib.ListViewCtrl&quot; height:100 width:100 on lv MouseUp Button Shift x y do format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y ) createDialog test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Click do ( ... ) \n\
</pre></div><p>Called when the user clicked inside the ListView control. This event does not return specific ListItems, but it could be used to query the selection state or other properties of all ListItems. It is a general notification that the user clicked the ListView, the actual actions performed by the event are up to the script developer.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; DblClick do ( ... ) \n\
</pre></div><p>Called when the user double-clicked inside the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; ItemCheck Item:ListItem do ( ... ) \n\
</pre></div><p>Called when the user changed the state of a ListItem&#39;s checkbox (if available because of property .checkboxes = true).</p>\n\
<p>The Item argument will contain ListItem whose checkbox has been changed. You can then access the new state by accessing the .checked property of the item. You can also access any other ListItem property.</p>\n\
<div class=\'section\'><a id=\"ole-drag-and-drop-events\"></a><h2 id=\"ole-drag-and-drop-events\">OLE Drag and Drop Events</h2></div>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... ) \n\
</pre></div><p>Called when the user started dragging from the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... ) \n\
</pre></div><p>Called when the user started dragging from the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... ) \n\
on &lt;control_name&gt; OLECompleteDrag &amp;Effect:integer do ( ... ) \n\
on &lt;control_name&gt; OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... ) \n\
on &lt;control_name&gt; OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... ) \n\
</pre></div><div class=\'section\'><a id=\"listitem-properties-and-methods\"></a><h2 id=\"listitem-properties-and-methods\">ListItem Properties and Methods</h2></div>\n\
<p>A ListItem is created by using the <span class=\'code\'>.ListItems.Add()</span> method and can be accessed using 1-based indexed access as described above. Every ListItem has the following properties and methods:</p>\n\
<div class=\'section\'><a id=\"listitem-properties\"></a><h3 id=\"listitem-properties\">ListItem Properties:</h3></div>\n\
<div class=\'codeBlock\'><pre>.Text : string \n\
</pre></div><p>Get/Set the Text of the ListItem.</p>\n\
<div class=\'codeBlock\'><pre>.Ghosted : Boolean \n\
</pre></div><p>Get/Set the Ghosted state of the ListItem.</p>\n\
<div class=\'codeBlock\'><pre>.Height : float \n\
</pre></div><p>Returns the Height of the ListItem in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>. Cannot be set by MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>.Icon : undefined \n\
</pre></div><p>Get/Set the Icon of the ListItem.The icon is a 1-based index into the .icons array which in turn is managed by an <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\' title=\'\'>ImageList ActiveX Control</a>.</p>\n\
<div class=\'codeBlock\'><pre>.Index : integer \n\
</pre></div><p>Returns the Index of the ListItem. Cannot be set by MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>.Key : string \n\
</pre></div><p>Returns the Key of the ListItem. Cannot be set by MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>.Selected : Boolean \n\
</pre></div><p>Get/Set the Selected state of the ListItem. When true, the item is selected, when false, it is not. Depending on the state of the .MultiSelect property of the ListView, only one or multiple ListItems can be selected at the same time. Settings the .selected property of one ListItem to true while .MultiSelect is set to false will automatically deselect any other selected ListItems.</p>\n\
<div class=\'codeBlock\'><pre>.SmallIcon : undefined \n\
</pre></div><p>Get/Set the SmallIcon of the ListItem.</p>\n\
<div class=\'codeBlock\'><pre>.Tag : undefined \n\
</pre></div><p>Get/Set the Tag of the ListItem.</p>\n\
<div class=\'codeBlock\'><pre>.Top : float \n\
</pre></div><p>Returns the Top coordinates of the ListItem in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>.</p>\n\
<div class=\'codeBlock\'><pre>.Left : float \n\
</pre></div><p>Returns the Left coordinates of the ListItem in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>.</p>\n\
<div class=\'codeBlock\'><pre>.Width : float \n\
</pre></div><p>Returns the Width of the ListItem in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>.</p>\n\
<div class=\'codeBlock\'><pre>.ListSubItems : IListSubItems \n\
</pre></div><p>Provides access to the array of Sub-Items of the ListItem. Sub-Items represent the columns after the first column. Sub-Items</p>\n\
<p>SubItems can be accessed through indexed access to the <span class=\'code\'>.ListSubItems</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --to access the second sub-item of the first item in --a ListView Control stored in the variable lv, --you could use: lv.listItems[1].listSubItems[2]</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>.Checked : Boolean \n\
</pre></div><p>Get/Set the checked state of the List Item. See also the <span class=\'code\'>on ItemCheck do</span> event handler further on this page.</p>\n\
<div class=\'codeBlock\'><pre>.ForeColor : OLE_COLOR \n\
</pre></div><p>Get/Set the Text color of the ListItem.</p>\n\
<p>Note:</p>\n\
<p>OLE_COLOR values used by ActiveX Controls are BGR and not RGB!</p>\n\
<div class=\'codeBlock\'><pre>.ToolTipText : string \n\
</pre></div><p>Get/Set the Tooltip Text of the ListItem.</p>\n\
<div class=\'codeBlock\'><pre>.Bold : Boolean \n\
</pre></div><p>Get/Set the Bold Text property of the ListItem. When set to true, the text will be displayed in Bold characters.</p>\n\
<div class=\'section\'><a id=\"listitem-methods\"></a><h3 id=\"listitem-methods\">.ListItem Methods:</h3></div>\n\
<div class=\'codeBlock\'><pre>.CreateDragImage() \n\
.EnsureVisible() \n\
</pre></div><p>Ensures that the ListItem is visible in the ListView by scrolling the view as needed.</p>\n\
<div class=\'section\'><a id=\"listsubitem-properties-and-methods\"></a><h2 id=\"listsubitem-properties-and-methods\">ListSubItem Properties and Methods</h2></div>\n\
<p>A ListSubItem is created by using the <span class=\'code\'>.ListItems.Add()</span> method and can be accessed using 1-based indexed access as described above. Every ListItem has the following properties:</p>\n\
<div class=\'section\'><a id=\"listsubitem-properties\"></a><h3 id=\"listsubitem-properties\">ListSubItem Properties:</h3></div>\n\
<div class=\'codeBlock\'><pre>.Text : string \n\
</pre></div><p>Get/Set the Text of the ListSubItem.</p>\n\
<div class=\'codeBlock\'><pre>.ForeColor : OLE_COLOR \n\
</pre></div><p>Get/Set the Text color of the ListSubItem.</p>\n\
<p>Note:</p>\n\
<p>OLE_COLOR values used by ActiveX Controls are BGR and not RGB!</p>\n\
<div class=\'codeBlock\'><pre>.Bold : boolean \n\
</pre></div><p>Get/Set the Bold Text property of the ListSubItem. When set to true, the text will be displayed in Bold characters.</p>\n\
<div class=\'codeBlock\'><pre>.ToolTipText : string \n\
</pre></div><p>Get/Set the Tooltip Text of the ListSubItem.</p>\n\
<div class=\'codeBlock\'><pre>.Index : integer \n\
</pre></div><p>Returns the Index of the ListSubItem. Cannot be set by MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>.Key : string \n\
.Tag : undefined \n\
.ReportIcon : undefined \n\
</pre></div><div class=\'section\'><a id=\"listsubitem-methods\"></a><h3 id=\"listsubitem-methods\">ListSubItem Methods:</h3></div>\n\
<p>No methods exposed.</p>\n\
<div class=\'section\'><a id=\"columnheader-properties-and-methods\"></a><h2 id=\"columnheader-properties-and-methods\">ColumnHeader Properties and Methods</h2></div>\n\
<p>Every ColumnHeader has the following properties:</p>\n\
<div class=\'section\'><a id=\"columnheader-properties\"></a><h3 id=\"columnheader-properties\">ColumnHeader Properties:</h3></div>\n\
<div class=\'codeBlock\'><pre>.Text : string \n\
</pre></div><p>Get/Set the text displayed by the Column Header.</p>\n\
<div class=\'codeBlock\'><pre>.Alignment : ListColumnAlignmentConstants( #lvwColumnLeft | #lvwColumnRight | #lvwColumnCenter ) \n\
</pre></div><p>Get/Set the alignment of the Column Header&#39;s text.</p>\n\
<div class=\'codeBlock\'><pre>.Index : integer \n\
</pre></div><p>Get the index of the Column Header.</p>\n\
<div class=\'codeBlock\'><pre>.Key : string \n\
</pre></div><p>Get the key of the Column Header.</p>\n\
<div class=\'codeBlock\'><pre>.Left : float \n\
</pre></div><p>Get the left margin of the Column Header in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>.</p>\n\
<div class=\'codeBlock\'><pre>.SubItemIndex : integer \n\
</pre></div><p>Get the sub item index of the Column Header.</p>\n\
<div class=\'codeBlock\'><pre>.Tag : undefined \n\
</pre></div><p>Get/Set the tag of the Column Header.</p>\n\
<div class=\'codeBlock\'><pre>.Width : float \n\
</pre></div><p>Get/Set the width of the Column in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>.</p>\n\
<div class=\'codeBlock\'><pre>.Icon : undefined \n\
</pre></div><p>Get/Set the icon of the Column Header.The icon is a 1-based index into the .icons array which in turn is managed by an <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\' title=\'\'>ImageList ActiveX Control</a>. When no icon is assigned, the property returns 0.</p>\n\
<div class=\'codeBlock\'><pre>.Position : integer \n\
</pre></div><p>Get/Set the position of the Column Header. The position controls the order of the columns. By default, .Position is set to be equal to the .Index property. Setting .Position to a different value effectively changes the order of the columns, placing the column at the desired position.</p>\n\
<div class=\'section\'><a id=\"columnheader-methods\"></a><h3 id=\"columnheader-methods\">ColumnHeader Methods:</h3></div>\n\
<p>No methods exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";