var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Listview ActiveX functions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Listview ActiveX functions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"listview-activex-functions\"></a></div>\n\
<p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>See the topic <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-ListView.html\' title=\'\'>Converting ActiveX ListView Control to DotNet ListView Control</a> for an example of switching existing ActiveX code to DotNet.</p>\n\
<p>The following additional functions packaged in a structure called <strong>ListView</strong> work in conjunction with the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control.html\' title=\'\'>ListView ActiveX Control</a>. All functions need to be passed the windows handle, which can be acquired with the <span class=\'code\'>.hWnd</span> property of the ActiveX control.</p>\n\
<div class=\'codeBlock\'><pre>Listview.hittest &lt;hWnd&gt; &lt;point2_pos&gt; applyUIScaling:&lt;true&gt;\n\
</pre></div><p>Returns an array of listitem index and the subItem index, subItem index is 0 only when the listItem is hittested. The Point2 value is expected in Pixels, NOT twips. The <span class=\'code\'>applyUIScaling</span> parameter indicates whether to apply UI scaling on high-DPI displays.</p>\n\
<div class=\'codeBlock\'><pre>Listview.getIndent &lt;hWnd&gt; &lt;index&gt;\n\
</pre></div><p>Returns the indent of the indexed listitem.</p>\n\
<div class=\'codeBlock\'><pre>Listview.setIndent &lt;hWnd&gt; &lt;index&gt; &lt;int_indent&gt;\n\
</pre></div><p>Sets the indent of the indexed listitem.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";