var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ImageList ActiveX Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ImageList ActiveX Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"imagelist-activex-control\"></a></div>\n\
<div class=\'codeBlock\'><pre>&quot;Microsoft ImageList Control 6.0 (SP4)&quot; \n\
&quot;MSComctlLib.ImageListCtrl.2&quot; \n\
&quot;{2C247F23-8591-11D1-B16A-00C0F0283628}&quot; \n\
</pre></div><p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>ImageList ActiveX Control</strong> can be used to create, manage and supply images to other ActiveX Controls like the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/ListView-ActiveX-Control.html\' title=\'\'>ListView ActiveX Control</a> and the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/TreeView-ActiveX-Control.html\' title=\'\'>TreeView ActiveX Control</a> to be used as icons.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>activeXControl ilctrl &quot;MSComctlLib.ImageListCtrl&quot; \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ImageHeight : integer \n\
</pre></div><p>Get/Set the height of the image in pixels.</p>\n\
<div class=\'codeBlock\'><pre>.ImageWidth : integer \n\
</pre></div><p>Get/Set the width of the image in pixels.</p>\n\
<div class=\'codeBlock\'><pre>.MaskColor : OLE_COLOR \n\
</pre></div><p>Get/Set the mask color as OLE_COLOR value. The pixels with this color will show the background color when the .UseMaskColor property is set to true.</p>\n\
<div class=\'codeBlock\'><pre>.UseMaskColor : boolean \n\
</pre></div><p>When set to true, pixels matching the color specified by the .MaskColor property will not be drawn and will show the background color. When set to false, the .MaskColor will not be used.</p>\n\
<div class=\'codeBlock\'><pre>.BackColor : OLE_COLOR \n\
</pre></div><p>Defines the background color.</p>\n\
<div class=\'codeBlock\'><pre>.Overlay Key1:undefined Key2:undefined \n\
</pre></div><p>Defines the overlay keys.</p>\n\
<div class=\'codeBlock\'><pre>.hImageList : OLE_HANDLE \n\
</pre></div><p>Returns the OLE_HANDLE to the Image List for use in the windows.SendMessage method.</p>\n\
<div class=\'codeBlock\'><pre>.ListImages : IImages \n\
</pre></div><p>Returns the imageList array containing the stored images. It has its own Properties and Methods as described below:</p>\n\
<div class=\'section\'><a id=\"listimages-properties-and-methods\"></a><h2 id=\"listimages-properties-and-methods\">ListImages Properties and Methods</h2></div>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.ListImages.Count : integer \n\
</pre></div><p>Returns the number of images stored in the ListImages array.</p>\n\
<div class=\'codeBlock\'><pre>.ListImages[Index] : IImage \n\
</pre></div><p>Returns the indexed image from the list. The index is 1-based.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>.Add Index:undefined Key:undefined Picture:undefined \n\
</pre></div><p>Adds a new image to the list.Index is the index of the image to be added, key is a user-defined name property to identify the image and picture is an IPictureDisp value returned by the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/loadpicture.html\' title=\'\'>loadPicture method</a></p>\n\
<p>See the tutorial <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\' title=\'\'>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a> for a practical example.</p>\n\
<div class=\'codeBlock\'><pre>.Clear() \n\
</pre></div><p>Removes all images from the list.</p>\n\
<div class=\'codeBlock\'><pre>.Remove Index:undefined \n\
</pre></div><p>Removes the indexed image from the list. Index is 1-based.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";