var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TabStrip ActiveX Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TabStrip ActiveX Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"tabstrip-activex-control\"></a></div>\n\
<div class=\'codeBlock\'><pre>&quot;Microsoft TabStrip Control 6.0 (SP4)&quot; &quot;MSComctlLib.TabStrip.2&quot; &quot;{1EFB6596-857C-11D1-B16A-00C0F0283628}&quot; \n\
</pre></div><p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>TabStrip ActiveX Control</strong> creates a strip of tabs that can be used to manage multi-page dialogs similar to the Tabbed Render Scene Dialog or the Preferences dialog in <strong>3ds Max</strong>.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>activeXControl ilctrl &quot;MSComctlLib.TabStrip.2&quot; \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Tabs : ITabs \n\
</pre></div><p>Get/Set the array of tabs represented in the TabStrip.</p>\n\
<p><strong>.Tabs Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Caption : string \n\
</pre></div><p>Get/Set the text displayed on the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Tag : undefined \n\
</pre></div><p>Get/Set the Tag of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Index : integer \n\
</pre></div><p>Get/Set the Index of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Key : string \n\
</pre></div><p>Get/Set the Key of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.ToolTipText : string \n\
</pre></div><p>Get/Set the Tooltip text of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Width : float \n\
</pre></div><p>Get/Set the width of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Height : float \n\
</pre></div><p>Get/Set the height of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Top : float \n\
</pre></div><p>Get/Set the top position of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Left : float \n\
</pre></div><p>Get/Set the left position of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Selected : boolean \n\
</pre></div><p>Get/Set the selected state of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Image : undefined \n\
</pre></div><p>Get/Set the image of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.HighLighted : boolean \n\
</pre></div><p>Get/Set the highlighted state of the tab.</p>\n\
<div class=\'codeBlock\'><pre>.Enabled : boolean \n\
</pre></div><p>Get/Set the enabled state of the TabStrip. When set to false, the tabs cannot be switched.</p>\n\
<div class=\'codeBlock\'><pre>.Font : IFontDisp \n\
</pre></div><p>Accesses the Font to be used to label the tabs.</p>\n\
<div class=\'codeBlock\'><pre>.hWnd : OLE_HANDLE \n\
</pre></div><p>Accesses the Windows OLE handle of the TabStrip.</p>\n\
<div class=\'codeBlock\'><pre>.MouseIcon : IPictureDisp \n\
</pre></div><p>Get/Set the mouse icon to be displayed.</p>\n\
<div class=\'codeBlock\'><pre>.MultiRow : boolean \n\
</pre></div><p>Get/Set the multi-row mode. When set to true, tabs will be ordered in multiple rows when the width of the strip does not provide enough space to show all tabs. When set to false, the excessive tabs will be off-screen, and a set of Left and Right arrows will be displayed to allow the scrolling of the tabs.</p>\n\
<div class=\'codeBlock\'><pre>.Style : TabStyleConstants( #tabTabs | #tabButtons | #tabFlatButtons) \n\
</pre></div><p>Get/Set the tabs style.</p>\n\
<p><img src=\'developer/images/GUID-69987518-BED3-4741-93BC-F3613C628A55-low.gif\' title=\'\'> <img src=\'developer/images/GUID-FD9CA18C-F4F8-4C6E-BCB4-E69C19BE73A9-low.gif\' title=\'\'> <img src=\'developer/images/GUID-39F32D0F-79B2-4442-B505-5E94C42CE7A5-low.gif\' title=\'\'></p>\n\
<p><strong>#TabTabs, #TabButtons and #TabFlatButtons styles</strong>.</p>\n\
<div class=\'codeBlock\'><pre>.TabFixedWidth : integer \n\
</pre></div><p>Get/Set the fixed width of the tabs when <span class=\'code\'>.TabWidthStyle</span> property is set to <span class=\'code\'>#tabFixed</span> . The value is expressed in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>.</p>\n\
<div class=\'codeBlock\'><pre>.TabWidthStyle : TabWidthStyleConstants( #tabJustified | #tabNonJustified | #tabFixed) \n\
</pre></div><p>Get/Set the width style of the tabs.</p>\n\
<p><img src=\'developer/images/GUID-69987518-BED3-4741-93BC-F3613C628A55-low.gif\' title=\'\'> <img src=\'developer/images/GUID-2783E32E-1256-4B97-A10E-BFBE94860B81-low.gif\' title=\'\'></p>\n\
<p><strong>#TabJustified vs. #TabFixed with TabFixedWidth set to 2400 twips</strong>.</p>\n\
<div class=\'codeBlock\'><pre>.ClientTop : float \n\
.ClientLeft : float \n\
.ClientHeight : float \n\
.ClientWidth : float \n\
</pre></div><p>Get/Set the Client Top, Left coordinates and the Width and Height.</p>\n\
<div class=\'codeBlock\'><pre>.MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom ) \n\
</pre></div><p>Get/Set the Mouse Pointer style when hovering over the TabStrip.</p>\n\
<div class=\'codeBlock\'><pre>.ImageList : IVBDataObject \n\
.TabFixedHeight : integer \n\
</pre></div><p>Get/Set the fixed height of the tabs.</p>\n\
<div class=\'codeBlock\'><pre>.ShowTips : boolean \n\
</pre></div><p>Get/Set whether to show tips.</p>\n\
<div class=\'codeBlock\'><pre>.SelectedItem : ITab \n\
</pre></div><p>Returns the currently selected item.</p>\n\
<div class=\'codeBlock\'><pre>.OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual ) \n\
</pre></div><p>Get/Set the OLE Drop Mode.</p>\n\
<div class=\'codeBlock\'><pre>.HotTracking : boolean \n\
</pre></div><p>Get/Set whether to hot-track the tabs when the mouse is hovering over the TabStrip.</p>\n\
<div class=\'codeBlock\'><pre>.MultiSelect : boolean \n\
</pre></div><p>Get/Set whether to allow multiple tabs to be selected at the same time.</p>\n\
<div class=\'codeBlock\'><pre>.Placement : PlacementConstants( #tabPlacementTop | #tabPlacementBottom | #tabPlacementLeft | #tabPlacementRight ) \n\
</pre></div><p>Get/Set the placement of the tabs.</p>\n\
<p><img src=\'developer/images/GUID-1246BB7B-9443-4873-A00D-8E010E4567CD-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3EA5062A-8AC6-4910-8E4B-3F5E8B39DEEC-low.gif\' title=\'\'></p>\n\
<p><img src=\'developer/images/GUID-2259AE7D-6CCF-40F0-B01A-BE892E955FFC-low.gif\' title=\'\'> <img src=\'developer/images/GUID-F4ED6585-5F8B-437A-B0AE-70DF305A1718-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Separators : boolean \n\
</pre></div><p>Get/Set whether to use separators.</p>\n\
<div class=\'codeBlock\'><pre>.TabMinWidth : float \n\
</pre></div><p>Get/Set the min. width of the tabs.</p>\n\
<div class=\'codeBlock\'><pre>.TabStyle : TabSelStyleConstants( #tabTabStandard | #tabTabOpposite ) \n\
</pre></div><p>Get/Set the Tab style.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Refresh() \n\
</pre></div><p>Refreshes the tabs display.</p>\n\
<div class=\'codeBlock\'><pre>.OLEDrag() \n\
</pre></div><p>Performs a manual OLE Drag.</p>\n\
<div class=\'codeBlock\'><pre>.DeselectAll() \n\
</pre></div><p>Deselects all tabs.</p>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Click do ( ... ) \n\
</pre></div><p>Called when the user clicks inside the TabStripc ontrol (right after the mouse button has been released). This event does not return specific Tab, but it could be used to query the selection state or other properties of all Tabs. It is a general notification that the user clicked a tab, the actual actions performed by the event are up to the script developer.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user presses a key. The KeyCode argument will contain the integer code of the key that has been pressed, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - bit 1 represents Shift, bit 2 represents Control, bit 3 represents Alt.</p>\n\
<p>0 - No modifier keys pressed</p>\n\
<p>1 - Left or Right Shift key pressed</p>\n\
<p>2 - Left or Right Control key pressed</p>\n\
<p>3 - Control + Shift keys pressed simultaneously</p>\n\
<p>4 - Left or Right Alt key pressed</p>\n\
<p>6 - Control + Alt keys pressed simultaneously</p>\n\
<p>7 - Control, Alt and Shift keys pressed simultaneously</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) \n\
</pre></div><p>Called when the user presses a key. The KeyAscii argument will contain the ASCII integer code of the key that has been pressed. For example, pressing Space Bar will return 32, pressing Shift+A will return 65 etc.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user releases a key. The KeyCode argument will contain the integer code of the key that has been released, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - see keyDown event above.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user moves the mouse inside the TabStrip control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TabStrip pixel coordinates (NOT twips!), where 0,0 is the upper left corner of theTabStripControl.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user releases the mouse over the TabStrip control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TabStrip pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TabStrip Control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user releases the mouse over the TreeView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TreeView Control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; BeforeClick Cancel:integer do ( ... ) \n\
</pre></div><p>Called when the user clicks a new tab. The Cancel argument returns 0 when the tab has been changed. Clicking the selected tab does not call this event.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... ) \n\
</pre></div><p>Called when OLE Drag is started.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... ) \n\
</pre></div><p>Called when OLE Drag needs to specify the drag effect and cursor.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... ) \n\
</pre></div><p>Called when OLE Drag needs to specify the drag effect and cursor.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLECompleteDrag &amp;Effect:integer do ( ... ) \n\
</pre></div><p>Called when OLE Drag is complete.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... ) \n\
</pre></div><p>Called when the OLE Drag object is being dragged over the ActiveX control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... ) \n\
</pre></div><p>Called when the OLE Drag object has been dropped.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` ( rollout firstRollout &quot;Rollout 1&quot; ( edittext edittext01 text:&quot;This is just a test.&quot; height:135 width:262 ) rollout secondRollout &quot;Rollout 2&quot; ( listbox listbox02 items:#(&quot;Line One&quot;,&quot;MAXScript Rocks&quot;,&quot;ActiveX Too&quot;) width:260 ) rollout testTabs &quot;Test Tabs&quot; ( activeXcontrol ax_tabs &quot;MSComctlLib.TabStrip.2&quot; height:20 subRollout theSubRollout height:180 on ax_tabs Click do ( case ax_tabs.SelectedItem.index of ( 1: ( removeSubRollout theSubRollout secondRollout addSubRollout theSubRollout firstRollout ) 2: ( removeSubRollout theSubRollout firstRollout addSubRollout theSubRollout secondRollout ) ) ) on testTabs open do ( ax_tabs.tabs[1].caption = &quot;First Tab&quot; ax_tabs.tabs.add pvCaption:&quot;Second Tab&quot; ) )--end rollout createDialog testTabs 340 220 addSubRollout testTabs.theSubRollout firstRollout )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-38A5F34B-95F8-43B6-B815-0270E2F4EB20-low.gif\' title=\'\'> <img src=\'developer/images/GUID-3C2359D8-126C-4A58-95C3-6F787AE9751A-low.gif\' title=\'\'></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";