var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>TreeView ActiveX Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>TreeView ActiveX Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"treeview-activex-control\"></a></div>\n\
<div class=\'codeBlock\'><pre>&quot;Microsoft TreeView Control 6.0 (SP4)&quot; &quot;MSComctlLib.TreeCtrl.2&quot; &quot;{C74190B6-8589-11D1-B16A-00C0F0283628}&quot; \n\
</pre></div><p>Note:</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'> ActiveX Controls have been deprecated by Microsoft in the latest versions of the Windows operating system in favor of the <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet</a> framework and its controls.</p>\n\
<p>While MAXScript still supports ActiveX controls, these have to be installed and registered on the system to be accessible to MAXScript.</p>\n\
<p>As a replacement of ActiveX controls, MAXScript supports <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet controls</a> in <strong>3ds Max 9 and higher</strong>.</p>\n\
<p>See the topic <a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/Converting-ActiveX-Controls-To/Converting-ActiveX-TreeView.html\' title=\'\'>Converting ActiveX TreeView Control to DotNet TreeView Control</a> for an example of switching existing ActiveX code to DotNet.</p>\n\
<p><strong>Description:</strong></p>\n\
<p>The <strong>TreeView ActiveX Control</strong> is one of the most often used ActiveX Controls in MAXScript rollouts. It is very flexible and customizable and is thus discussed in detail in this chapter. It can be used to create node trees and hierarchy displays.</p>\n\
<p>An example of the a TreeView Control used in the 3ds Max User Interface is the Named Selection Sets dialog.</p>\n\
<p><strong>Constructor:</strong></p>\n\
<div class=\'codeBlock\'><pre>activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"treeview-nodes\"></a><h2 id=\"treeview-nodes\">TreeView Nodes:</h2></div>\n\
<div class=\'codeBlock\'><pre>.Nodes : Nodes \n\
</pre></div><p>Get/Set the array of nodes represented in the TreeView.</p>\n\
<p><strong>.Nodes Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Nodes.Count : integer \n\
</pre></div><p>Returns the number of nodes in the .Nodes array.</p>\n\
<div class=\'codeBlock\'><pre>.Nodes[Index:undefined] : INode \n\
</pre></div><p>You can access nodes from the array using indexed access. The index is 1-based.</p>\n\
<p>Nodes returned by this property have their own properties and methods which are described under <a href=\'TreeView-ActiveX-Control.html#treeview-node-properties-and-methods\' title=\'\'>TreeView Node Properties and Methods</a></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` first_node = tv.Nodes[1] --returns the first node in the TreeView stored in the variable tv. showProperties first_node --show node properties showMethods first_node --show methods applicable to TreeView nodes</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>.Nodes Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>.Add Relative:undefined Relationship:undefined Key:undefined Text:undefined Image:undefined SelectedImage:undefined \n\
</pre></div><p>Adds a new node to the .Nodes array and returns the new node as result.</p>\n\
<p>The same method can be used to add children to existing nodes to build a hierarchy. See the tutorial <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-1.html\' title=\'\'>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part One</a> for an example.</p>\n\
<p>Nodes returned by this method have their own properties and methods which are described under <a href=\'TreeView-ActiveX-Control.html#treeview-node-properties-and-methods\' title=\'\'>TreeView Node Properties and Methods</a></p>\n\
<div class=\'codeBlock\'><pre>.Clear() \n\
</pre></div><p>Removes all nodes from the .Nodes array of the TreeView Control.</p>\n\
<div class=\'codeBlock\'><pre>.Remove Index:undefined \n\
</pre></div><p>Removes a single node by index. Index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>._NewEnum() \n\
</pre></div><p>Returns an IVBDataObject</p>\n\
<div class=\'section\'><a id=\"treeview-layout\"></a><h2 id=\"treeview-layout\">TreeView Layout</h2></div>\n\
<p>The following properties control the layout and appearance of the TreeView Control:</p>\n\
<div class=\'codeBlock\'><pre>.LineStyle : TreeLineStyleConstants( #tvwTreeLines | #tvwRootLines ) \n\
</pre></div><p>Controls the style of the lines connecting the nodes in the hierarchy. The <span class=\'code\'>#tvwTreeLines</span> mode shows the root nodes without connection lines and draws lines only between their children. The <span class=\'code\'>#tvwRootLines</span> connects both root level nodes and their children with lines. Below you can see the difference:</p>\n\
<p><img src=\'developer/images/GUID-D7D2DF6E-9B07-4EBE-AAB7-EF12FC79F2DC-low.gif\' title=\'\'> <img src=\'developer/images/GUID-EEF93061-F9E7-4181-AA9A-A4BD08843C31-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Style : TreeStyleConstants( #tvwTextOnly | #tvwPictureText | #tvwPlusMinusText | #tvwPlusPictureText | #tvwTreelinesText | #tvwTreelinesPictureText | #tvwTreelinesPlusMinusText | #tvwTreelinesPlusMinusPictureText ) \n\
</pre></div><p>Controls the style of the tree display.</p>\n\
<p>Below, you can see the typical 4 styles without icons:</p>\n\
<p><img src=\'developer/images/GUID-BAC705C2-41C9-41A3-B513-6A4B63AF0B2B-low.gif\' title=\'\'> <img src=\'developer/images/GUID-5B57AA6D-79AF-4AEE-9EFD-08C8EDB33FEF-low.gif\' title=\'\'> <img src=\'developer/images/GUID-4BDD807C-16D3-4A4F-BA1C-601F5558A44E-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\' title=\'\'></p>\n\
<p>When icons are enabled, they appear between the line/plus/minus sign and the text label:</p>\n\
<p><img src=\'developer/images/GUID-CB84A1D7-2858-42DA-9F64-9B48D7DC8A7C-low.gif\' title=\'\'> <img src=\'developer/images/GUID-CA8C1645-0AF3-4FBF-A62A-2114C910B9AD-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Appearance : AppearanceConstants( #ccFlat | #cc3D ) \n\
</pre></div><p>Controls the appearance of the TreeView control. <span class=\'code\'>#cc3D</span> is default.</p>\n\
<p><img src=\'developer/images/GUID-F45B0AE7-F843-4E69-A131-7E459C99C1D5-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.BorderStyle : BorderStyleConstants( #ccNone | #ccFixedSingle ) \n\
</pre></div><p>Controls the border style when <span class=\'code\'>.Appearance</span> is set to <span class=\'code\'>#ccFlat</span> . When set to <span class=\'code\'>#ccFixedSingle</span> , a single pixel border will be drawn around the TreeView.</p>\n\
<p><img src=\'developer/images/GUID-F45B0AE7-F843-4E69-A131-7E459C99C1D5-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Indentation : float \n\
</pre></div><p>Get/Set the Indentation value in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Point2-Values-as-Twips-in.html\' title=\'\'>Twips</a>. The value controls how far a child is indentend relatively to its parent.Note that values below 28 pixels (420 twips) will not affect the indentation anymore, but will cause the plus/minus signs to appear much smaller.</p>\n\
<p>The following screenshots show Indentations of 10,28,40 and 60 pixels:</p>\n\
<p><img src=\'developer/images/GUID-68DE4E64-C4BE-4361-8F2F-742F7CE210A3-low.gif\' title=\'\'> <img src=\'developer/images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\' title=\'\'> <img src=\'developer/images/GUID-2D37F1AC-074F-4DB8-91CC-B6D9BE65846A-low.gif\' title=\'\'> <img src=\'developer/images/GUID-33B26B9A-C49C-4815-BDAA-43533342B18D-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Checkboxes : boolean \n\
</pre></div><p>When set to true, checkboxes will be displayed in front of each Node. When set to false (default), no checkboxes will be displayed.</p>\n\
<p><img src=\'developer/images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\' title=\'\'> <img src=\'developer/images/GUID-873074D0-63B5-4B9C-8A4D-603A80AE4D49-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.PathSeparator : string \n\
</pre></div><p>Defines the path separator string to be used by the <span class=\'code\'>.FullPath</span> property of the Node.For example, setting the value to &quot;&gt;&quot; and getting the <span class=\'code\'>.FullPath</span> property of a node &quot;Sphere01&quot; which is child of node &quot;Box01&quot; which is child of node &quot;ROOT&quot; will return the path string &quot;ROOT&gt;Box01&gt;Sphere01&quot;</p>\n\
<div class=\'codeBlock\'><pre>.Enabled : boolean \n\
</pre></div><p>When set to true, the TreeView is editable. When set to false, the TreeView only displays the nodes but cannot be manipulated interactively. There is no visual difference between the two modes.</p>\n\
<div class=\'codeBlock\'><pre>.DropHighlight : INode \n\
</pre></div><p>If a TreeView node is assigned to this property, it will be displayed as highlighted (appearing to be selected, but without having the selected state flag set). The highlight will not be affected by the selection highlight, leaving the specified node highlighted until the DropHighlight is set to undefined again.</p>\n\
<div class=\'codeBlock\'><pre>.LabelEdit : LabelEditConstants( #tvwAutomatic | #tvwManual ) \n\
</pre></div><p>Controls the editing of the label (the text of the node). Default is <span class=\'code\'>#tvwAutomatic</span> . When automatic, the user can simply select a node and click a second time to edit the label. When manual, the label editing has to be initiated by the developer using the StartLabelEdit() method described below.</p>\n\
<p><img src=\'developer/images/GUID-E8FA54FE-CF8B-4814-94D7-A4D85ECB4B37-low.gif\' title=\'\'> <img src=\'developer/images/GUID-7E9967EF-EE0C-47F9-BCBB-95C46617814F-low.gif\' title=\'\'></p>\n\
<div class=\'codeBlock\'><pre>.Scroll : boolean \n\
</pre></div><p>When set to true (default), horizontal and vertical scrollbars will appear whenever the tree does not fit in the TreeView area. When set to false, no scrollbars will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>.Font : IFontDisp \n\
</pre></div><p>Defines the Font used by the TreeView. Cannot be set by MAXScript.</p>\n\
<div class=\'section\'><a id=\"treeview-selections\"></a><h2 id=\"treeview-selections\">TreeView Selections</h2></div>\n\
<p>The following properties provide access to and give control over the selection of nodes in TreeView Controls:</p>\n\
<div class=\'codeBlock\'><pre>.SelectedItem : INode \n\
</pre></div><p>Returns the currently selected node.</p>\n\
<div class=\'codeBlock\'><pre>.HideSelection : Boolean \n\
</pre></div><p>When set to true, the selection will not be displayed.When set to false, the selection will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>.FullRowSelect : boolean \n\
</pre></div><p>When set to true, the whole row will be selected.</p>\n\
<div class=\'codeBlock\'><pre>.HotTracking : boolean \n\
</pre></div><p>When set to true, the ListItems will be highlighted as the mouse moves over them. When set to false (default), there will be no effect when the mouse is moving over ListItems.</p>\n\
<div class=\'codeBlock\'><pre>.SingleSel : boolean \n\
</pre></div><p>When set to true (default), selecting a new branch will automatically collapse previously expanded branches. When set to false, multiple branches can be open at the same time.</p>\n\
<div class=\'section\'><a id=\"treeview-images\"></a><h2 id=\"treeview-images\">TreeView Images</h2></div>\n\
<div class=\'codeBlock\'><pre>.ImageList : IVBDataObject \n\
</pre></div><p>This is the array storing all images used as icons. It expects an IVBDataObject (Visual Basic Data Object) which can be provided by an ImageList ActiveX control. See the tutorial <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-a-Scene-Browser/How-To-Develop-a-Scene-Browser-2.html\' title=\'\'>How To ... Develop a Scene Browser using TreeView ActiveX Control - Part Two</a> for a practical example.</p>\n\
<div class=\'section\'><a id=\"treeview-mouse-pointer\"></a><h2 id=\"treeview-mouse-pointer\">TreeView Mouse Pointer</h2></div>\n\
<div class=\'codeBlock\'><pre>.MousePointer : MousePointerConstants( #ccDefault | #ccArrow | #ccCross | #ccIBeam | #ccIcon | #ccSize | #ccSizeNESW | #ccSizeNS | #ccSizeNWSE | #ccSizeEW | #ccUpArrow | #ccHourglass | #ccNoDrop | #ccArrowHourglass | #ccArrowQuestion | #ccSizeAll | #ccCustom) \n\
</pre></div><p>Get/Set the mouse pointer type when over the ListView Control. The script developer could use the mouse events described further on this page to change the mouse pointer depending on the underlying content or the allowed actions...</p>\n\
<div class=\'codeBlock\'><pre>.MouseIcon : IPictureDisp \n\
</pre></div><p>Returns the mouse icon as IPictureDisp value. Cannot be set by MAXScript.</p>\n\
<div class=\'section\'><a id=\"treeview-sorting\"></a><h2 id=\"treeview-sorting\">TreeView Sorting</h2></div>\n\
<div class=\'codeBlock\'><pre>.Sorted : boolean \n\
</pre></div><p>When set to false (default), the nodes will be displayed in the order they have been added to the .Nodes array.</p>\n\
<p>When set to true, the nodes will be sorted alphabetically.</p>\n\
<div class=\'section\'><a id=\"drag-and-drop-behaviors\"></a><h2 id=\"drag-and-drop-behaviors\">Drag and Drop Behaviors</h2></div>\n\
<div class=\'codeBlock\'><pre>.OLEDragMode : OLEDragConstants( #ccOLEDragManual | #ccOLEDragAutomatic ) \n\
</pre></div><p>Controls the OLE Drag mode. When set to manual, a drag can be initiated only via the scripted method .OLEDrag(). When set to automatic, the user can drag nodes from the list.</p>\n\
<div class=\'codeBlock\'><pre>.OLEDropMode : OLEDropConstants( #ccOLEDropNone | #ccOLEDropManual)) \n\
</pre></div><p>Controls the OLE Drop mode.</p>\n\
<div class=\'section\'><a id=\"windows-messaging\"></a><h2 id=\"windows-messaging\">Windows Messaging</h2></div>\n\
<div class=\'codeBlock\'><pre>.hWnd : OLE_HANDLE \n\
</pre></div><p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>.HitTest x:float y:float \n\
</pre></div><p>Performs a hit test at the specified x and y coordinates.</p>\n\
<div class=\'codeBlock\'><pre>.GetVisibleCount() \n\
</pre></div><p>Returns the number of visible nodes.</p>\n\
<div class=\'codeBlock\'><pre>.StartLabelEdit() \n\
</pre></div><p>Manually starts label editing of the currently selected node.</p>\n\
<div class=\'codeBlock\'><pre>.Refresh() \n\
</pre></div><p>Refreshes the TreeView display.</p>\n\
<div class=\'codeBlock\'><pre>.OLEDrag() \n\
</pre></div><p>Manually initiates OLE Drag.</p>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; BeforeLabelEdit Cancel:integer do ( ... ) \n\
</pre></div><p>Called before the Label Editing starts.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; AfterLabelEdit Cancel:integer NewString:string do ( ... ) \n\
</pre></div><p>Called after the Label Editing ends.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Collapse Node:Node do ( ... ) \n\
</pre></div><p>Called when a node has been collapsed. The argument will contain the node that has been collapsed.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Expand Node:Node do ( ... ) \n\
</pre></div><p>Called when a node has been expanded. The argument will contain the node that has been expanded.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; NodeClick Node:Node do ( ... ) \n\
</pre></div><p>Called when a node has been clicked. The argument will contain the node that has been clicked.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyDown KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user pressed a key. The KeyCode argument will contain the integer code of the key that has been pressed, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - bit 1 represents Shift, bit 2 represents Control, bit 3 represents Alt.</p>\n\
<p>0 - No modifier keys pressed</p>\n\
<p>1 - Left or Right Shift key pressed</p>\n\
<p>2 - Left or Right Control key pressed</p>\n\
<p>3 - Control + Shift keys pressed simultaneously</p>\n\
<p>4 - Left or Right Alt key pressed</p>\n\
<p>6 - Control + Alt keys pressed simultaneously</p>\n\
<p>7 - Control, Alt and Shift keys pressed simultaneously</p>\n\
<blockquote>\n\
<p><strong>An example of the MAXScript syntax is:</strong></p>\n\
<p>``` on tv keyDown theKeyCode theShiftState do ( format &quot;Key Code is %, Shift State is %\\n&quot; theKeyCode theShiftState ) --where tv is the name of the ActiveX TreeView, --theKeyCode and theShiftState are user-defined variable names.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyUp KeyCode:integer Shift:integer do ( ... ) \n\
</pre></div><p>Called when the user releases a key. The KeyCode argument will contain the integer code of the key that has been released, the Shift argument will contain an integer whose bits represent the pressed state of the Shift, Control and Alt keys - see above.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; KeyPress KeyAscii:integer do ( ... ) \n\
</pre></div><p>Called when the user pressed a key. The KeyAscii argument will contain the ASCII integer code of the key that has been pressed. For example, pressing Space Bar will return 32, pressing Shift+A will return 65 etc.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseDown Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user clicked the TreeView with the mouse.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TreeView Control.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; height:100 width:100 on tv MouseDownButton Shift x y do format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y ) createDialog test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseMove Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user moves the mouse inside the TreeView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of the TreeView Control.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --This script will print the mouse values --while you move the mouse inside the ListView control rollout test &quot;Test&quot; ( activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; height:100 width:100 on tv MouseMove Button Shift x y do format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y ) createDialog test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; MouseUp Button:integer Shift:integer x:OLE_XPOS_PIXELS y:OLE_YPOS_PIXELS do ( ... ) \n\
</pre></div><p>Called when the user released the mouse over the TreeView control.</p>\n\
<p>The Button argument will contain an integer whose bits will correspond to the mouse buttons: bit 1 represents Left Mouse Button, bit 2 represents Right Mouse Button, bit 3 represents Middle Mouse Button / Wheel.</p>\n\
<p>1 - Left Mouse Button pressed.</p>\n\
<p>2 - Right Mouse Button pressed.</p>\n\
<p>4 - Middle Mouse Button / Wheel pressed.</p>\n\
<p>Note:</p>\n\
<p>Pressing two or three mouse buttons simultaneously will NOT add the values but generate separate events for each button!</p>\n\
<p>The Shift argument will contain the state of the Shift, Control and Alt keys as described earlier on this page.</p>\n\
<p>The x and y arguments will contain the location of the click in TreeView pixel coordinates (NOT twips!), where 0,0 is the upper left corner of theTreeViewControl.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( activeXControl tv &quot;MSComctlLib.TreeCtrl&quot; height:100 width:100 on tv MouseUpButton Shift x y do format &quot;Button: %, Shift: %, xy: %,%\\n&quot; Button Shift x y ) createDialog test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; Click do ( ... ) \n\
</pre></div><p>Called when the user clicked inside the TreeView control. This event does not return specific TreeView Node, but it could be used to query the selection state or other properties of all Nodes. It is a general notification that the user clicked the TreeView, the actual actions performed by the event are up to the script developer.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; DblClick do ( ... ) \n\
</pre></div><p>Called when the user double-clicked inside the TreeView control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; NodeCheck Node:Node do ( ... ) \n\
</pre></div><p>Called when the user changed the state of a node&#39;s checkbox (must be visible because of property .checkboxes = true).</p>\n\
<p>The Node argument will contain the node whose checkbox has been changed. You can then access the new state by accessing the .checked property of the node that was changed. You can also access any other node property like .text , .index etc. See <a href=\'TreeView-ActiveX-Control.html#treeview-node-properties-and-methods\' title=\'\'>TreeView Node Properties and Methods</a></p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEStartDrag &amp;Data:DataObject &amp;AllowedEffects:integer do ( ... ) \n\
</pre></div><p>Called when the user started dragging from the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLEGiveFeedback &amp;Effect:integer &amp;DefaultCursors:boolean do ( ... ) \n\
</pre></div><p>Called when the user started dragging from the ListView control.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;control_name&gt; OLESetData &amp;Data:DataObject &amp;DataFormat:integer do ( ... ) \n\
on &lt;control_name&gt; OLECompleteDrag &amp;Effect:integer do ( ... ) \n\
on &lt;control_name&gt; OLEDragOver &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float &amp;State:integer do ( ... ) \n\
on &lt;control_name&gt; OLEDragDrop &amp;Data:DataObject &amp;Effect:integer &amp;Button:integer &amp;Shift:integer &amp;x:float &amp;y:float do ( ... ) \n\
</pre></div><div class=\'section\'><a id=\"treeview-node-properties-and-methods\"></a><h2 id=\"treeview-node-properties-and-methods\">TreeView Node Properties and Methods</h2></div>\n\
<p>The following properties and methods are available for single TreeView Nodes.</p>\n\
<p>You can get single nodes either by using indexed access to the .Nodes array, or as a return value of the .Nodes.Add() method.</p>\n\
<div class=\'section\'><a id=\"treeview-node-properties\"></a><h3 id=\"treeview-node-properties\">TreeView Node Properties:</h3></div>\n\
<div class=\'codeBlock\'><pre>.Children : integer \n\
</pre></div><p>Returns the number of children of the node.</p>\n\
<div class=\'codeBlock\'><pre>.Parent : INode \n\
</pre></div><p>Returns the parent node.</p>\n\
<div class=\'codeBlock\'><pre>.Child : INode \n\
</pre></div><p>Returns the first child node.</p>\n\
<div class=\'codeBlock\'><pre>.Root : INode \n\
</pre></div><p>Returns the root node (top most parent in the hierarchy).</p>\n\
<div class=\'codeBlock\'><pre>.Previous : INode \n\
</pre></div><p>Returns the previous node in the same hierarchy level.</p>\n\
<div class=\'codeBlock\'><pre>.Next : INode \n\
</pre></div><p>Returns the next node in the same hierarchy level.</p>\n\
<div class=\'codeBlock\'><pre>.FirstSibling : INode \n\
</pre></div><p>Returns the first sibling.</p>\n\
<div class=\'codeBlock\'><pre>.LastSibling : INode \n\
</pre></div><p>Returns the last sibling.</p>\n\
<div class=\'codeBlock\'><pre>.FullPath : string \n\
</pre></div><p>Returns the full path of the node as a string. See also the <span class=\'code\'>.PathSeparator</span> property of TreeView described earlier on this page.</p>\n\
<p>For example, setting the value to &quot;&gt;&quot; and getting the <span class=\'code\'>.FullPath</span> property of a node &quot;Sphere01&quot; which is child of node &quot;Box01&quot; which is child of node &quot;ROOT&quot; will return the path string &quot;ROOT&gt;Box01&gt;Sphere01&quot;</p>\n\
<div class=\'codeBlock\'><pre>.Text : string \n\
</pre></div><p>Get/Set the text displayed by the node</p>\n\
<div class=\'codeBlock\'><pre>.ForeColor : OLE_COLOR \n\
</pre></div><p>Get/Set the color of the text.</p>\n\
<div class=\'codeBlock\'><pre>.BackColor : OLE_COLOR \n\
</pre></div><p>Get/Set the color of the node&#39;s background.</p>\n\
<p>Note:</p>\n\
<p>Microsoft ActiveX Controls use BGR and NOT RGB color specifications!</p>\n\
<div class=\'codeBlock\'><pre>.Bold : boolean \n\
</pre></div><p>When set to true, the text will be displayed as bold. When set to false, regular text will be used.</p>\n\
<div class=\'codeBlock\'><pre>.Index : integer \n\
</pre></div><p>Returns the index of the node</p>\n\
<div class=\'codeBlock\'><pre>.Checked : boolean \n\
</pre></div><p>Get/Set the checked state of the node. The state can always be get and set, but checkboxes will be displayed only when the <span class=\'code\'>.checkboxes</span> property of the TreeView Control is set to true.</p>\n\
<div class=\'codeBlock\'><pre>.Visible : boolean \n\
</pre></div><p>Get/Set the visibility of the node as a boolean value.</p>\n\
<div class=\'codeBlock\'><pre>.Selected : boolean \n\
</pre></div><p>Get/Set the visibility of the node as a boolean value.</p>\n\
<div class=\'codeBlock\'><pre>.Expanded : boolean \n\
</pre></div><p>Get/Set the expanded state of the node. When set to true, all children will be shown. When set to false, the children display will be collapsed and only the parent node will be displayed.</p>\n\
<div class=\'codeBlock\'><pre>.Image : integer, default:undefined \n\
</pre></div><p>Set the index of the image to be displayed by the node.The index points at the imageList property of the TreeView, which is usually assigned an <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/ActiveX-Controls-in-MAXScript/Typical-ActiveX-Controls/Other-ActiveX-Control-Examples/ImageList-ActiveX-Control.html\' title=\'\'>ImageList ActiveX Control</a> to provide the image management.</p>\n\
<div class=\'codeBlock\'><pre>.SelectedImage : integer, default:undefined \n\
</pre></div><p>Set the index of the image to be displayed when the node is selected.</p>\n\
<div class=\'codeBlock\'><pre>.ExpandedImage : integer, default:undefined \n\
</pre></div><p>Set the index of the image to be displayed when the node is expanded.</p>\n\
<div class=\'codeBlock\'><pre>.Sorted : Boolean \n\
</pre></div><p>When set to true, the children of the node will be sorted.</p>\n\
<div class=\'codeBlock\'><pre>.Key : string \n\
.Tag : undefined \n\
</pre></div><div class=\'section\'><a id=\"node-methods\"></a><h3 id=\"node-methods\">Node Methods:</h3></div>\n\
<p>The following methods are available for single TreeView Nodes:</p>\n\
<div class=\'codeBlock\'><pre>.CreateDragImage() \n\
.EnsureVisible()\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";