var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Context Filters</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Context Filters</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"context-filters\"></a></div>\n\
<p>Filter functions for context-sensitive menus.</p>\n\
<p>Use this for <strong>.IsEnabled</strong> or <strong>.IsVisible</strong> handlers in macroScripts. isEnabled and isChecked handlers have been added to many of the existing macroScripts. All of the modifier, creation, and polygon toolbox macroScripts have these two handlers.</p>\n\
<p>These handlers allow object creation CUI buttons to turn green while creating objects, and modifier buttons are only enabled if they apply to the current selection. Moreover, the polygon toolbox buttons only enable when applicable, and the selection level buttons stay pressed while in the sub-object level.</p>\n\
<p>This structure is defined in .\\stdplugs\\stdscripts <span class=\'code\'>FilterFunctions.ms.</span></p>\n\
<p>An example of filter functions is available in the Selection and Display Callbacks Script File, .\\stdplugs\\stdscripts <span class=\'code\'>Selection_Display_Filters.ms</span></p>\n\
<div class=\'codeBlock\'><pre>#Struct:Filters(        \n\
Is_EditMesh:&lt;fn&gt;,       \n\
Is_NURBS:&lt;fn&gt;,      \n\
Is_EditPoly:&lt;fn&gt;,       \n\
Is_EditPatch:&lt;fn&gt;,      \n\
Is_EditSpline:&lt;fn&gt;,         \n\
Is_MeshSelect:&lt;fn&gt;,         \n\
Is_PolySelect:&lt;fn&gt;,         \n\
Is_SplineSelect:&lt;fn&gt;,       \n\
Is_PatchSelect:&lt;fn&gt;,        \n\
Is_PosXYZ:&lt;fn&gt;,         \n\
Is_RotationXYZ:&lt;fn&gt;,        \n\
Is_ScaleXYZ:&lt;fn&gt;,       \n\
is_Child:&lt;fn&gt;,   \n\
</pre></div><p>This is used for the new IK assignments.</p>\n\
<div class=\'codeBlock\'><pre>is_Parent:&lt;fn&gt;,   \n\
</pre></div><p>This is used for the new IK assignments.</p>\n\
<p>CanSwitchTo_XXXX for SubObject levels:</p>\n\
<div class=\'codeBlock\'><pre>CanSwitchTo_Vertex:&lt;fn&gt;,   \n\
CanSwitchTo_Edge:&lt;fn&gt;,   \n\
CanSwitchTo_Face:&lt;fn&gt;,   \n\
CanSwitchTo_Polygon:&lt;fn&gt;,   \n\
CanSwitchTo_Element:&lt;fn&gt;,   \n\
CanSwitchTo_Border:&lt;fn&gt;,   \n\
CanSwitchTo_Patch:&lt;fn&gt;,   \n\
CanSwitchTo_Segment:&lt;fn&gt;,   \n\
CanSwitchTo_Spline:&lt;fn&gt;, \n\
</pre></div><p>These can be used to check if MeshSelect, PatchSelect, SplineSelect, Edit(able) Patch, Edit(able)Mesh, and Edit(able) Spline can go into these subobject levels.</p>\n\
<div class=\'codeBlock\'><pre>Are_Modifiers_Applied:&lt;fn&gt;, \n\
</pre></div><p>The following requires a node to be passed into the function:</p>\n\
<div class=\'codeBlock\'><pre>Is_Bone:&lt;fn&gt;, \n\
Is_IKChain:&lt;fn&gt;, \n\
Is_Point:&lt;fn&gt;, \n\
Is_Light:&lt;fn&gt;, \n\
Is_Camera:&lt;fn&gt;, \n\
</pre></div><p>These return true if the selected object’s function name condition is met.</p>\n\
<div class=\'codeBlock\'><pre>Is_Target:&lt;fn&gt;, \n\
</pre></div><p>Returns true if the node is a target of a LookAt controller, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>HasBaseObjectProperty:&lt;fn&gt;, \n\
</pre></div><p>Returns true if the node&#39;s base object has the specified property, or if the base object is a scripted plugin, and the delegate has the specified property. Is either a string or name value.</p>\n\
<div class=\'codeBlock\'><pre>GetBaseObjectProperty:&lt;fn&gt;, \n\
</pre></div><p>Returns the value for the node&#39;s base object property, or the delegate&#39;s property if the base object is a scripted plugin. If the specified property is not found, a name value of &#39;#error&#39; will be returned. Is either a string or name value.</p>\n\
<div class=\'codeBlock\'><pre>SetBaseObjectProperty:&lt;fn&gt;, \n\
</pre></div><p>Sets the value for the node&#39;s base object property, or the delegate&#39;s property if the base object is a scripted plugin. If the specified property is not found, or does not accept the type of value specified, a name value of &#39;#error&#39; will be returned. Is either a string or name value.</p>\n\
<div class=\'codeBlock\'><pre>-- returns new value/#errorToggleBaseObjectProperty:&lt;fn&gt;) \n\
</pre></div><p>Toggles the value for the node&#39;s base object property, or the delegate&#39;s property if the base object is a scripted plugin. If the specified property is not found, or is not a boolean, a name value of &#39;#error&#39; will be returned. Otherwise the property&#39;s new value will be returned. Is either a string or name value.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";