var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Resource String Replacement</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Resource String Replacement</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"resource-string-replacement\"></a></div>\n\
<div class=\'section\'><a id=\"overview\"></a><h2 id=\"overview\">Overview</h2></div>\n\
<p>Starting with <strong>3ds Max 2012</strong>, Scripts and MacroScripts can use Resource IDs in place of strings.</p>\n\
<p>This simplifies the localization of scripts significantly:</p>\n\
<p>All hard-coded English strings can be replaced with Resource IDs and the Resource IDs together with the original values can be stored in a Resource file.</p>\n\
<p>The Resource file can then be translated into multiple languages and the corresponding language version can be loaded automatically according to the <strong>3ds Max</strong> Language Settings.</p>\n\
<div class=\'section\'><a id=\"implementation\"></a><h2 id=\"implementation\">Implementation</h2></div>\n\
<p>A <strong>Resource ID</strong> is identified as a name surrounded by tildes, for example <sub>LIGHT_LISTER_DIALOG_NAME</sub>.</p>\n\
<p>If MAXScript encounters a Resource ID <strong>at compile time</strong>, it will search for and load the Resource File that contains the Resource ID / Resource Value pairs and will use the Resource Value in place of the Resource ID. Note that MAXScript will disregard matched files with a size of 0, and will continue searching as described below.</p>\n\
<p>The search for the Resource File will be performed as follows:</p>\n\
<ul>\n\
<li>The directory in which the script source file is stored will be scanned for the same file name as script file, but with the extension .RES. If the script is not saved in a file yet, a Compile error will be thrown.</li>\n\
<li>If the Resource file was not found there, MAXScript will look for that filename in a subdirectory whose name is based on the ISO language/country name (for example, fr-FR)</li>\n\
<li>If the file is still not found, MAXScript will look in the en-US subdirectory.</li>\n\
<li>As result, if no localized version of the Resource file exists, the English Resource file will be used by default (if found).</li>\n\
<li>If no matching Resource file could be found, a Compile error will be thrown.</li>\n\
</ul>\n\
<p>Errors and warnings related to loading MacroScripts and especially issues with Resource IDs, Values and Files will be reported to the MAXScript Listener.</p>\n\
<div class=\'section\'><a id=\"resource-file-editing\"></a><h2 id=\"resource-file-editing\">Resource File Editing</h2></div>\n\
<p>&#39;Resource files (*.res)&#39; files are now supported in the MAXScript Editor&#39;s <strong>File &gt; Open</strong> and <strong>File &gt; Save</strong> dialogs.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";