var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>macroScript Localization Support for CUI and menu files</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>macroScript Localization Support for CUI and menu files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"macroscript-localization-support-for-cui-and-menu-files\"></a></div>\n\
<p>In order to make the menu and CUI files more easily localized, a keyword argument, <span class=\'code\'>InternalCategory:</span> , has been added to the macroScript facility.</p>\n\
<p>Previously, when a macroScript is assigned to a CUI button or menu item, it is identified in the CUI or MNU file using the macroScript name and category, like this (from the menu file):</p>\n\
<div class=\'codeBlock\'><pre>Item6_Action=647394:Isolate`Tools\n\
</pre></div><p>&quot;Isolate&quot; is the name of the macro and &quot;Tools&quot; is the category.</p>\n\
<p>The macroScript that defines this operation looks like:</p>\n\
<div class=\'codeBlock\'><pre>MacroScript Isolate\n\
Category:&quot;Tools&quot;\n\
ToolTip:&quot;Isolate Tool&quot;\n\
Icon:#(&quot;ViewPortNavigationControls&quot;,7)\n\
</pre></div><p>The problem is when the macroScript is localized, the category is localized but the macroScript name &quot;Isolate&quot; should not be localized. When it is localized, then the MNU file entry of &quot;Isolate`Tools&quot; no longer works.</p>\n\
<p>A non-localized category name is needed that would be used to write the operation to MNU and CUI files.</p>\n\
<p>In this case the macroScript now looks like:</p>\n\
<div class=\'codeBlock\'><pre>MacroScript Isolate\n\
Category:&quot;Tools&quot;\n\
InternalCategory:&quot;Tools&quot; -- This is the new keyword\n\
ToolTip:&quot;Isolate Tool&quot;\n\
Icon:#(&quot;ViewPortNavigationControls&quot;,7)\n\
</pre></div><p>When this macroScript is localized the Category would be translated, but the <span class=\'code\'>InternalCategory</span> would not.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";