var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CreateDialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CreateDialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"createdialog\"></a></div>\n\
<p>The CreateDialog function lets you turn an existing rollout definition into a floating Dialog.</p>\n\
<p>Other than a RolloutFloater, which is a container of one or more rollouts, a Dialog is a special display form of the rollout itself.</p>\n\
<p>It provides advanced features like a modal display option, background bitmap display, and mouse event handlers.</p>\n\
<p><strong>The syntax for creating dialogs is:</strong></p>\n\
<div class=\'codeBlock\'><pre>CreateDialog &lt;Rollout&gt; [&lt;width&gt; &lt;height&gt; &lt;position_x&gt; &lt;position_y&gt;]\\ \n\
[pos:&lt;Point2&gt;] [width:&lt;integer&gt;] [height:&lt;integer&gt;] \\ \n\
[bgcolor:&lt;color&gt;] [fgcolor:&lt;color&gt;] \\ \n\
[bitmap:&lt;bitmap&gt;] {bmpstyle:&lt;bmpstyle&gt; \\ \n\
[menu:&lt;RCMenu&gt;] [style:&lt;array&gt;] [modal:&lt;boolean&gt;] \\ \n\
[escapeEnable:&lt;boolean&gt;] [lockHeight:&lt;boolean&gt;] [lockWidth:&lt;boolean&gt;] \\\n\
[autoLayoutOnResize:&lt;boolean&gt;] [parent:&lt;HWND&gt;]   \n\
</pre></div><p>When the optional <span class=\'code\'>modal:</span> keyword is set to True, the dialog ignores all user interactions except those within the dialog.</p>\n\
<p>Call <span class=\'code\'>DestroyDialog()</span> to close it, presumably in a scripted OK button.</p>\n\
<p>The user can also close a modal scripted dialog by hitting the Escape key as long as <span class=\'code\'>escapeEnable</span> keyword is set to False or not supplied.</p>\n\
<p>When the optional <span class=\'code\'>escapeEnable</span> keyword is set to True, MAXScript escape checker will be disabled for the dialog, preventing the <strong>Interrupted</strong> message from appearing.</p>\n\
<p>If the optional <span class=\'code\'>lockHeight</span> keyword is True , the height of the dialog cannot be interactively changed.</p>\n\
<p>If the optional <span class=\'code\'>lockWidth</span> keyword is True , the width of the dialog cannot be interactively changed.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Rollout&gt;\n\
</pre></div><p>The rollout definition to create the dialog form.</p>\n\
<div class=\'codeBlock\'><pre>pos:&lt;Point2&gt; -- default:dialog will center within MAX.   \n\
</pre></div><p>Placement of the upper left corner of the dialog relative to the upper left corner of the screen.</p>\n\
<div class=\'codeBlock\'><pre>width:&lt;integer&gt; -- default:200   \n\
</pre></div><p>Width of the dialog box.</p>\n\
<div class=\'codeBlock\'><pre>height:&lt;integer&gt; -- default:dynamic on control extents \n\
</pre></div><p>Height of the dialog box.</p>\n\
<div class=\'codeBlock\'><pre>bgcolor:&lt;color&gt; -- default:(&lt;system button color&gt;) \n\
</pre></div><p>Background color of the dialog.</p>\n\
<div class=\'codeBlock\'><pre>fgcolor:&lt;color&gt; -- default:(color 0 0 0) \n\
</pre></div><p>Forground color of the dialog (static text color)</p>\n\
<div class=\'codeBlock\'><pre>bitmap:&lt;bitmap&gt; -- default:undefined \n\
</pre></div><p>Background bitmap for the dialog.</p>\n\
<div class=\'codeBlock\'><pre>bmpstyle:&lt;key&gt; -- default:#bmp_center \n\
</pre></div><p>The way that the background bitmap is displayed.</p>\n\
<p>It can be one of the following:</p>\n\
<div class=\'codeBlock\'><pre>#bmp_center #bmp_tile #bmp_stretch \n\
menu:&lt;RCMenu&gt; -- default:undefined \n\
</pre></div><p>Menu that appears in the title bar area of the dialog.</p>\n\
<div class=\'codeBlock\'><pre>style:&lt;array&gt; -- default:#(#style_titlebar, #style_border, #style_sysmenu) \n\
</pre></div><p>Array of style flags that can be one or more of the following:</p>\n\
<p><span class=\'code\'>#style_border:</span> Creates a window with a double border, but no title.</p>\n\
<p><span class=\'code\'>#style_titlebar:</span> Creates a dialog with a title bar.</p>\n\
<p><span class=\'code\'>#style_toolwindow:</span> Creates a tool window, which has a title bar and is intended to be used as a floating toolbar. A tool window has a title bar that is shorter than a normal title bar, and the window title is drawn using a smaller font.</p>\n\
<p><span class=\'code\'>#style_resizing:</span> Creates a window with a thick frame that can be used to size the window.</p>\n\
<p><span class=\'code\'>#style_minimizebox:</span> Creates a window that has a minimize button.</p>\n\
<p><span class=\'code\'>#style_maximizebox:</span> Creates a window that has a maximize button.</p>\n\
<p><span class=\'code\'>#style_sysmenu:</span> Creates a window that has a window menu in its title bar.</p>\n\
<p><span class=\'code\'>#style_sunkenedge:</span> Specifies that a window has a 3D look in the form of a border with a sunken edge.</p>\n\
<p>Note: If the style keyword parameter is not specified, the default styles of <span class=\'code\'>#style_titlebar</span> , <span class=\'code\'>#style_border</span> , and <span class=\'code\'>#style_sysmenu</span> are used.</p>\n\
<div class=\'codeBlock\'><pre>autoLayoutOnResize:&lt;boolean&gt;]\n\
</pre></div><p>If set to true, when the dialog is resized either in the UI or by a script, the layout of the controls in the rollout is updated if <strong>autoLayoutOnResize:true</strong> was also specified for the rollout. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<p>The default is <strong>false</strong>.</p>\n\
<div class=\'codeBlock\'><pre>parent:&lt;HWND&gt; -- default:&lt;MAX_HWND&gt;\n\
</pre></div><p>Parents the dialog to the specified window.</p>\n\
<p>When not supplied, the parent is set to the <strong>3ds Max</strong> Window Handle, causing the dialog to minimize/maximize with the <strong>3ds Max</strong> UI.</p>\n\
<p>When set to a valid HWND, the dialog becomes a Child dialog of the specified Parent and minimizes/restores with it. It always stays in front of the Parent even when the Parent has focus.</p>\n\
<p>As the rollout class provides a <span class=\'code\'>.hwnd</span> property, it is easy to parent one dialog to another:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout parent_dialog &quot;Parent&quot; --define a rollout and create a dialog ( label lbl_test &quot;Parent&quot; on parent_dialog close do print &quot;PARENT Closed!&quot; )</p>\n\
<p>createDialog parent_dialog pos:[100,100] style:#(#style_titlebar, #style_border, #style_sysmenu, #style_minimizebox)</p>\n\
<p>rollout child_dialog &quot;Test2&quot; --define another rollout ( label lbl_test &quot;Child&quot; on child_dialog close do print &quot;CHILD Closed!&quot; ) --Create a dialog from the second rollout and pass the .HWND of the first dialog as the parent: argument: createDialog child_dialog pos:[200,130] parent:parent_dialog.hwnd style:#(#style_titlebar, #style_border, #style_sysmenu, #style_minimizebox) setFocus parent_dialog --set focus on the Parent dialog - the Child will still be drawn in front of it!</p>\n\
<p>```</p>\n\
<p>At this point, minimizing and restoring the Parent dialog causes the Child dialog to follow. When the Parent dialog is minimized, the Child is not shown at all.</p>\n\
<p>Closing the Parent dialog automatically closes the Child, but it will <strong>NOT</strong> invoke the <span class=\'code\'>on close do</span> handler of the Child dialog.</p>\n\
</blockquote>\n\
<p>Note: There is no <span class=\'code\'>.parent</span> property, only a parameter. It is not possible to dynamically re-parent an already created dialog.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` ( sme.Open() --Open the SME theParent = windows.getChildHWND 0 &quot;Slate Material Editor&quot; --get the HWND of the SME rollout sme_toolbox_rollout &quot;SME Toolbox&quot; ( button btn_nextMap &quot;UP One Level&quot; width:150 on btn_nextMap pressed do ( theObj = sme.GetMtlInParamEditor() --get the node from the parameter panel if theObj != undefined do --if there is a valid node, get its dependents ( local theDeps = for m in refs.dependents theObj where isKindOf m TextureMap or isKindOf m Material collect m if theDeps.count &gt; 0 do sme.SetMtlInParamEditor theDeps[1] --if there were any, select the first one<br> ) ) ) createDialog sme_toolbox_rollout parent:theParent[1] --create a dialog as child of the SME )</p>\n\
<p>```</p>\n\
<p>The new dialog stays in front of the SME and minimizes/restores with it, but it does not close if the SME is closed.</p>\n\
</blockquote>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; open do \n\
</pre></div><p>Called when the dialog is opening.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; close do \n\
</pre></div><p>Called when the dialog is closing.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; moved &lt;Point2&gt; do \n\
</pre></div><p>Called when the dialog is being moved.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; resized &lt;Point2&gt; do \n\
</pre></div><p>Called when the dialog is being resized.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; mousemove &lt;Point2&gt; do \n\
</pre></div><p>Called when the mouse is being moved within the dialogs client area.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; lbuttondown &lt;Point2&gt; do \n\
</pre></div><p>Called when the left mouse button is pressed down within the dialog.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; lbuttonup &lt;Point2&gt; do \n\
</pre></div><p>Called when the left mouse button is released.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; lbuttondblclk &lt;Point2&gt; do \n\
</pre></div><p>Called when the left mouse button is double clicked within the dialog.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; mbuttondown &lt;Point2&gt; do \n\
</pre></div><p>Called when the middle mouse button is pressed down within the dialog.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; mbuttonup &lt;Point2&gt; do \n\
</pre></div><p>Called when the middle mouse button is released.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; mbuttondblclk &lt;Point2&gt; do \n\
</pre></div><p>Called when the middle mouse button is double clicked within the dialog.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; rbuttondown &lt;Point2&gt; do \n\
</pre></div><p>Called when the right mouse button is pressed down within the dialog.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; rbuttonup &lt;Point2&gt; do \n\
</pre></div><p>Called when the right mouse button is released.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Rollout&gt; rbuttondblclk &lt;Point2&gt; do \n\
</pre></div><p>Called when the right mouse button is double clicked within the dialog.</p>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>&lt;Point2&gt;</span> value passed to the event handlers is the position of the mouse within the dialog client window. A value of [0,0] corresponds to the top left corner of the client window.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Point2&gt;GetDialogPos &lt;Rollout&gt; [removeUIScaling: &lt;boolean&gt;]\n\
&lt;Point2&gt;GetDialogSize &lt;Rollout&gt;  [removeUIScaling: &lt;boolean&gt;]\n\
</pre></div><p>Returns the position or size of the Dialog built from the rollout relative to the upper left corner of the screen in Point2 format.</p>\n\
<p><span class=\'code\'>removeUIScaling</span>: Removes UI scaling applied by high-DPI displays if true. The default is true.</p>\n\
<div class=\'codeBlock\'><pre>SetDialogPos &lt;Rollout&gt; &lt;Point2&gt; [applyUIScaling: &lt;boolean&gt;]\n\
</pre></div><p>Sets the position of the Dialog built from the rollout. The position is relative to the upper left corner of the screen.</p>\n\
<p><span class=\'code\'>&lt;Rollout&gt;:</span> The rollout used to build the Dialog to set the position of.</p>\n\
<p><span class=\'code\'>&lt;Point2&gt;:</span> Position applied to the Dialog.</p>\n\
<p><span class=\'code\'>applyUIScaling</span>: Applies UI scaling to the position on high-DPI displays if true. Available in <strong>3ds Max 2019 and higher</strong>. The default is true.</p>\n\
<div class=\'codeBlock\'><pre>SetDialogSize &lt;Rollout&gt; &lt;Point2&gt; [applyUIScaling: &lt;boolean&gt;]\n\
</pre></div><p>Sets the size of the Dialog built from the rollout. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<p><span class=\'code\'>&lt;Rollout&gt;:</span> The rollout used to build the Dialog to set the size of.</p>\n\
<p><span class=\'code\'>&lt;Point2&gt;:</span> Size to applied to the Dialog.</p>\n\
<p><span class=\'code\'>applyUIScaling</span>: Applies UI scaling to the size on high-DPI displays if true. The default is true.</p>\n\
<div class=\'codeBlock\'><pre>SetDialogBitmap &lt;rollout&gt; &lt;bitmap&gt; \n\
</pre></div><p>Sets the bitmap background for the dialog associated with the rollout. If the rollout is not in a dialog, no action is taken. A value of &#39;undefined&#39; for the bitmap clears the current bitmap.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;GetDialogBitmap &lt;rollout&gt; \n\
</pre></div><p>Gets the bitmap background for the dialog associated with the rollout. If the rollout is not in a dialog, &#39;undefined&#39; is returned</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";