var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>cui.RegisterDialogBar and cui.UnRegisterDialogBar</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>cui.RegisterDialogBar and cui.UnRegisterDialogBar</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cui.registerdialogbar-and-cui.unregisterdialogbar\"></a></div>\n\
<div class=\'codeBlock\'><pre>cui.RegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; \\ \n\
[minSize:&lt;Point2&gt;] [maxSize:&lt;Point2&gt;] \\\n\
[parent:&lt;HWND&gt;] \\\n\
[style:&lt;Array&gt;]  \n\
</pre></div><p>This method registers a MAXScript window (either a Rollout Floater or a Rollout) as a dockable CUI window in <strong>3ds Max</strong>.</p>\n\
<p><strong>Parameters</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;RolloutFloater_or_Rollout&gt;   \n\
</pre></div><p>This parameter must be a RolloutFloater created with NewRolloutFloater or a Rollout that has been installed in a dialog using CreateDialog.</p>\n\
<div class=\'codeBlock\'><pre>[minSize:&lt;Point2&gt;] -- default: size of the floater or dialog that was passed. \n\
</pre></div><p>Minimum size the dialog bar can be.</p>\n\
<div class=\'codeBlock\'><pre>[maxSize:&lt;Point2&gt;] -- default: size of the floater or dialog that was passed. \n\
</pre></div><p>Maximum size that the dialog bar can be. Values of -1 passed mean that the dialog bar can size and stretch.</p>\n\
<p>Available in <strong>3ds Max 2018 and higher</strong>: This property is deprecated and no longer has any effect.</p>\n\
<div class=\'codeBlock\'><pre>[parent:&lt;HWND&gt;] -- default: 3dsMax Window Handle. \n\
</pre></div><p>Parents the dialog bar to the specified window.</p>\n\
<div class=\'codeBlock\'><pre>[style:&lt;Array&gt;] -- default:#(#cui_dock_all, #cui_floatable, #cui_handles) \n\
</pre></div><p>Array of style flags, can be one or more of the following:</p>\n\
<div class=\'codeBlock\'><pre>#cui_dock_all\n\
</pre></div><p>Dialog bar can dock on all 4 edges of the frame.</p>\n\
<div class=\'codeBlock\'><pre>#cui_dock_horz\n\
</pre></div><p>Can dock horizontally (top and bottom)</p>\n\
<div class=\'codeBlock\'><pre>#cui_dock_vert\n\
</pre></div><p>Can dock vertically (left and right)</p>\n\
<div class=\'codeBlock\'><pre>#cui_dock_left \n\
</pre></div><p>Can dock to the left</p>\n\
<div class=\'codeBlock\'><pre>#cui_dock_top\n\
</pre></div><p>Can dock to the top</p>\n\
<div class=\'codeBlock\'><pre>#cui_dock_right\n\
</pre></div><p>Can dock to the right</p>\n\
<div class=\'codeBlock\'><pre>#cui_dock_bottom\n\
</pre></div><p>Can dock to the bottom</p>\n\
<div class=\'codeBlock\'><pre>#cui_floatable\n\
</pre></div><p>Dialogbar can float</p>\n\
<div class=\'codeBlock\'><pre>#cui_handles\n\
</pre></div><p>Show gripper handles when docked</p>\n\
<div class=\'codeBlock\'><pre>#cui_max_sized\n\
</pre></div><p>When this flag is specified, docking the dialogbar on the top causes the dialogbar to expand to the full window width, docked to bottom it expands to full window width minus command panel width.</p>\n\
<blockquote>\n\
<p>Note: A rollout that has been registered as a dialog bar cannot be destroyed using <span class=\'code\'>destroyDialog</span> , or moved using <span class=\'code\'>setDialogPos</span> . The rollout must be unregistered first.</p>\n\
<p>A rollout floater that has bee registered as a dialog bar cannot be closed using <span class=\'code\'>closeRolloutFloater</span> , its position cannot be changed using the rollout floater&#39;s pos property, its size cannot changed with the rollout floater&#39;s size property. The rollout floater must be unregistered first.</p>\n\
</blockquote>\n\
<p>A new read-only property has been added to the Rollout and RolloutFloater classes: <span class=\'code\'>dialogBar</span> . This property will return true if the rollout or rollout floater has been registered using this method:</p>\n\
<div class=\'codeBlock\'><pre>cui.UnRegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; \n\
</pre></div><p>This method un-registers a dockable MAXScript window.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RolloutFloater_or_Rollout&gt; \n\
</pre></div><p>This parameter must be a RolloutFloater created with NewRolloutFloater or a Rollout that has been installed in a dialog using CreateDialog, and has been registered using <span class=\'code\'>cui.RegisterDialogBar</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";