var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Defining Custom Paint Tools Using the Painter Interface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Defining Custom Paint Tools Using the Painter Interface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"defining-custom-paint-tools-using-the-painter-interface\"></a></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/PainterInterface-ReferenceTarget.html\' title=\'\'>PainterInterface</a></p>\n\
<p>The Painter Interface provides all necessary functions for developing custom Paint Tools. The Interface .thePainterInterface drives all its callbacks through user-defined functions. You need to implement the following functions:</p>\n\
<p><strong>StartStroke</strong></p>\n\
<p><strong>PaintStroke</strong></p>\n\
<p><strong>EndStroke</strong></p>\n\
<p><strong>CancelStroke</strong></p>\n\
<p><strong>SystemEnd</strong></p>\n\
<p>These functions are callbacks in response to the paint system. They will be called as the users paints across a mesh.</p>\n\
<p>To initialize these functions, you need to call <span class=\'code\'>thePainterInterface.ScriptFunctions</span> method:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` fn startStroke = print &quot;Handle start stroke here&quot; fn paintStroke = print &quot;Handle paint stroke here&quot; fn endStroke = print &quot;Handle end stroke here&quot; fn cancelStroke = print &quot;Handle cancel stroke here&quot; fn systemEnd = print &quot;Handle system end here&quot; thePainterInterface.ScriptFunctions startStroke paintStroke endStroke cancelStroke systemEnd</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Once you have established the connection the thePainterInterface, you will need to tell it what to paint on. This is done by calling the initializeNodes method.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` nodeList = $ thePainterInterface.initializeNodes 0 nodeList</p>\n\
<p>```</p>\n\
<p>Once you have set up the nodes, you need to tell the system when you want to start a paint session:</p>\n\
<p>``` thePainterInterface.startPaintSession()</p>\n\
<p>```</p>\n\
<p>The Painter Interface will call your functions until you end the session. In order to finish painting, you should call</p>\n\
<p>``` thePainterInterface.endPaintSession()</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";