var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>RenderEffect Progress Callback Mechanism</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>RenderEffect Progress Callback Mechanism</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rendereffect-progress-callback-mechanism\"></a></div>\n\
<p>You can control the main Rendering Effect dialog progress bar resp. the Renderer progress bar using an <span class=\'code\'>on apply</span> handler with <span class=\'code\'>progressCB</span> , the progress callback interface object.</p>\n\
<p>The following syntax lets you do this:</p>\n\
<div class=\'codeBlock\'><pre>on apply &lt;bitmap&gt; progressCB: do &lt;fn&gt;\n\
</pre></div><p>The first argument is the bitmap value to be modified by the effect and <span class=\'code\'>progressCB</span> is a progress callback interface object. This interface has several methods you can call during the course of processing the bitmap that control the progress bar and check for user cancellation.</p>\n\
<div class=\'section\'><a id=\"methods\"></a><h3 id=\"methods\">Methods</h3></div>\n\
<div class=\'codeBlock\'><pre>progressCB.setTitle &lt;string&gt;\n\
</pre></div><p>Sets the title on the progress bar.</p>\n\
<div class=\'codeBlock\'><pre>progressCB.progress &lt;done&gt; &lt;total&gt;\n\
</pre></div><p>Defines the progress of the rendering. Both arguments are integers; <span class=\'code\'>done</span> indicates how much of the rendering has been completed and <span class=\'code\'>total</span> indicates the total amount of work to be done. For instance, in a main loop of a render effect going through all lines of a bitmap, <span class=\'code\'>done</span> must be set to the current line number being processed and <span class=\'code\'>total</span> must be set to the number of lines in the bitmap (its vertical resolution).</p>\n\
<p>When this is called, either the main Rendering Effect progress bar or the Renderer progress bar is updated to reflect this progress depending on whether the effect is being updated by the Rendering Effect dialog or called by the renderer.</p>\n\
<p>This function also returns a boolean, which if <span class=\'code\'>true</span> indicates that the user has hit the Escape key to cancel the effect rendering.</p>\n\
<div class=\'codeBlock\'><pre>progressCB.check()\n\
</pre></div><p>Indicates whether the user has hit the escape key to cancel the effect rendering. This function returns a boolean; <span class=\'code\'>false</span> if processing must continue and <span class=\'code\'>true</span> if the user has cancelled the rendering.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` on apply bm progressCB: do ( ... progressCB.setTitle &quot;My Effect Pass1&quot; ... oldEscapeEnable = escapeEnable -- get old state of escape processing escapeEnable = false -- turn off MAXScript escape processing total = bm.height -- define total as the height of the bitmap for i in ... ( <the effect=\"\" rendering=\"\" loop=\"\"> ... if progressCB.progress i total then exit --i lines done out of total )--end i loop ... escapeEnable = oldEscapeEnable --restore original state ... )--end on apply<p>\n\
<p>```</p>\n\
<p>The progress bar update is done inside the main processing loop and the check for user cancel is done on the same call, which causes the loop to exit prematurely in this example.</p>\n\
<p>For a real-world practical example of the RenderEffect Progress Callback usage, see the <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Create-a-MonoChrome.html\' title=\'\'>How To ... Create a MonoChrome RenderEffect</a> tutorial.</p>\n\
</the></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";