var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Geometry Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Geometry Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-geometry-plug-ins\"></a></div>\n\
<p>A scripted Geometry plug-in is declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>geometry</span> .</p>\n\
<p>Scripted Geometry plug-ins require a <span class=\'code\'>create</span> tool unless they are invisible, temporary, or extend another plug-in.</p>\n\
<p>If the plug-in extends another plug-in, and a <span class=\'code\'>create</span> tool is specified, it will override the delegate&#39;s create tool.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` plugin geometry foo_plugin_def name:&quot;FooBar&quot; category:&quot;Scripted Primitives&quot; ( local boxes = #() local clickAt tool create ( on mousePoint click do ( clickAt = worldPoint boxes =for i in 1 to 10 collect box pos:([i*20,0,0] + clickAt) #stop ) ) rollout frab &quot;Parameters&quot; ( spinner frab_value &quot;Frabulate&quot; range:[-1000,1000,20] on frab_value changed val do for i in 1 to boxes.count do boxes[i].pos = [i*val,0,0] + clickAt ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This adds a new geometry category with one button to the Create panel. Pressing the FooBar button starts a mouse command mode that creates a row of 10 boxes where you click and adds a rollout to the command panel with one spinner that lets you adjust the separation of the boxes. This is very similar to a System object like the RingArray, except it lives in the Geometry tab. This is the simplest type of scripted of plug-in; it has no specific scene object and no storable parameters.</p>\n\
<p>In the tool handlers, you can set the delegate properties as needed.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` plugin geometry Cuboid name:&quot;Cuboid&quot; classID:#(0x133067, 0x54374) category:&quot;Scripted Primitives&quot; extends:Box ( fn fmax val1 val2 = if val1 &gt; val2 then val1 else val2 tool create ( on mousePoint click do case click of ( 1: nodeTM.translation = gridPoint 2: #stop ) on mouseMove click do if click == 2 then delegate.width = delegate.length = delegate.height = 2 * fmax (abs gridDist.x) (abs gridDist.y) ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";