var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Helper Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Helper Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-helper-plug-ins\"></a></div>\n\
<p>Scripted Helper plug-ins can only extend existing Helper plug-ins.A scripted Helper plug-in is declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>helper</span> . If a <span class=\'code\'>create</span> tool is specified, it will override the delegate&#39;s create tool.</p>\n\
<p>An example of a scripted Helper plug-in is shown in the Three Lights example in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Methods.html\' title=\'\'>Scripted Plug-in Methods</a>.</p>\n\
<p><strong>Event Handlers</strong></p>\n\
<div class=\'codeBlock\'><pre>on getDisplayMesh do ....\n\
</pre></div><p>This event handler is available to <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Camera-Plug-ins.html\' title=\'\'>scripted cameras</a> and helpers in <strong>3ds Max 7 and higher</strong> and lets the developer replace the viewport display mesh of the delegate with a custom display mesh.</p>\n\
<p>This handler is optional.</p>\n\
<p>Note: For <strong>performance</strong> reasons, it is <strong>critical</strong> to regenerate the returned mesh as little as possible. The handler is called often - for display, bounds testing, and hit testing.</p>\n\
<p>The example below shows how to update the mesh in the handler only when the mesh has actually changed:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` plugin Helper HelperTest_DisplayMesh name:&quot;HelperTest&quot; classID:#(0x47db14fe, 0x4e9b5f90) category:&quot;Standard&quot; extends:dummy ( local lastSize, meshObj parameters pblock rollout:params ( size type:#float animatable:true ui:amount default:40.0 ) rollout params &quot;HelperTest Parameters&quot; ( Spinner amount &quot;Size:&quot; range:[0, 1e9, 40] ) on getDisplayMesh do ( if (meshObj == undefined) do ( meshObj = createInstance box length:size<br> width:size height:size mapCoords:false<br> lastSize = size ) if size != lastSize do ( meshObj.length = meshObj.width = meshObj.height = size<br> lastSize = size ) meshObj.mesh ) tool create ( on mousePoint click do ( nodeTM.translation = gridPoint;#stop ) ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on useWireColor do ....\n\
</pre></div><p>This <strong>optional</strong> event handler lets the developer specify whether to use the node&#39;s wire color when drawing the object in the viewport, or use the UI color for the object type (Dummy Object for Helpers). If this handler returns true, the node&#39;s wire color is used, otherwise the UI color for the object type is used. If the event handler is not specified, the wire color is used. This handler is only applicable when a <span class=\'code\'>getDisplayMesh</span> handler is supplied. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";