var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted SimpleMeshMod Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted SimpleMeshMod Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-simplemeshmod-plug-ins\"></a></div>\n\
<p>A SimpleMeshMod plug-in is a geometry modifier that can change the topology of the incoming mesh and output the modified result. Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<p>Examples of similar modifiers are Mirror and Symmetry.</p>\n\
<p>These kinds of modifiers require a <span class=\'code\'>modifyMesh</span> handler. The internal <span class=\'code\'>mesh</span> value contains the modifier&#39;s TriMesh. It is set to the incoming TriMesh value and can be set to a new TriMesh value to produce the modified output.</p>\n\
<p>The internal <span class=\'code\'>owningNode</span> value contains the node the modifier is applied to. If the modifier is instanced across multiple nodes, only one of them will be accessible.</p>\n\
<p>The SimpleMeshMod plug-in operates similarly to a scripted Geometry plug-in, but instead of creating a new Geometry object, it operates on the incoming TriMesh on the Modifier Stack.</p>\n\
<p>A scripted Simple Mesh Modifier plug-in is declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>simpleMeshMod</span>.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` plugin simpleMeshMod TestCloneModifier name:&quot;TestCloneMod&quot; classID:#(0x3a4087e9, 0x2c2fdff7) category:&quot;MXS Help&quot; ( parameters main rollout:params ( nCopies ui:spn_nCopies default:2 type:#integer animatable:true X_Offset ui:spn_X_Offset default:10 type:#float animatable:true Y_Offset ui:spn_Y_Offset default:10 type:#float animatable:true Z_Offset ui:spn_Z_Offset default:10 type:#float animatable:true )</p>\n\
<div class=\'codeBlock\'><pre>  rollout params &quot;Parameters&quot;\n\
  (\n\
      spinner spn_nCopies &quot;# Copies:&quot; range:[1, 1000, 1] type:#integer\n\
      spinner spn_X_Offset &quot;X Offset:&quot; range:[-1000, 1000, 1] type:#float\n\
      spinner spn_Y_Offset &quot;Y Offset:&quot; range:[-1000, 1000, 1] type:#float\n\
      spinner spn_Z_Offset &quot;Z Offset:&quot; range:[-1000, 1000, 1] type:#float\n\
  ) \n\
\n\
  on modifyMesh do\n\
  (\n\
      local inMesh = copy mesh --make a copy of the incoming mesh\n\
      for n = 2 to nCopies do --repeat N-1 times \n\
      (\n\
          local currentMesh = copy inMesh --copy the incoming mesh value\n\
          meshop.moveVert currentMesh #{1..currentMesh.numverts} ([X_Offset,Y_Offset,Z_Offset]*(n-1))\n\
          mesh = mesh + currentMesh --accummulate the moved value into the output mesh\n\
      )\n\
  )\n\
</pre></div><p>)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The above example implements a simple linear clone modifier. It contains four parameters - the number of copies to create and the offset along each of the three axes.</p>\n\
<p>The on <span class=\'code\'>modifyMesh</span> do handler is called whenever the modifier&#39;s output requires an update. The internal <span class=\'code\'>mesh</span> value is set to the incoming TriMesh from the stack. The script creates a local copy of this TriMesh. Then it loops N-1 times, copies the TriMesh copy again and moves all its vertices according to the offset values multiplied by the number of copies minus 1. Finally, the resulting offset copy of the incoming mesh is added to the internal mesh value. At the end of the handler, the mesh value contains the original TriMesh plus all the copies accummulated into one.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";