var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted TrackViewUtility Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted TrackViewUtility Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-trackviewutility-plug-ins\"></a></div>\n\
<p>Scripted TrackViewUtility plug-ins are declared by specifying the <span class=\'code\'>&lt;superclass&gt;</span> as <span class=\'code\'>TrackViewUtility</span> . They can be used to implement new Utilities to manipulate tracks and keys in TrackView. Their UI can be registered as child of the respective TrackView.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` plugin TrackViewUtility KeyValueUtility name:&quot;Current Value Editor&quot; category:&quot;Scripted TV Utilities&quot; classID:#(0x57088e0e, 0x50b6e750) ( -- Body of Plug-in here... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Event Handlers:</strong></p>\n\
<p>The following Event Handlers can be implemented by a Scripted TrackViewUtility plug-in:</p>\n\
<div class=\'codeBlock\'><pre>on trackSelectionChanged do\n\
</pre></div><p>This handler will be called whenever the track selection has changed.</p>\n\
<div class=\'codeBlock\'><pre>on nodeSelectionChanged do\n\
</pre></div><p>This handler will be called whenever the node selection has changed.</p>\n\
<div class=\'codeBlock\'><pre>on keySelectionChanged do\n\
</pre></div><p>This handler will be called whenever the keys selection has changed.</p>\n\
<div class=\'codeBlock\'><pre>on timeSelectionChanged do\n\
</pre></div><p>This handler will be called whenever the time selection has changed.</p>\n\
<div class=\'codeBlock\'><pre>on MajorModeChanged do\n\
</pre></div><p>This handler will be called whenever the Track View mode has changed.</p>\n\
<div class=\'codeBlock\'><pre>on TrackListChanged do\n\
</pre></div><p>This handler will be called whenever the track list has changed.</p>\n\
<div class=\'codeBlock\'><pre>on TrackViewClosed do\n\
</pre></div><p>This handler will be called whenever the Track View has been closed. It can be used to do clean-up work before closing the plug-in.</p>\n\
<div class=\'codeBlock\'><pre>on Init &lt;value&gt; do \n\
</pre></div><p>This handler will be called whenever the TrackViewUtility plug-in has been initialized. It can be used to do initialization work before opening the plug-in. The value returned contains the parent Track View (the TrackViewUtility plug-in called from). You can use the value to get the handle of the TrackView and register the dialog of the utility as child of the Track View.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` on Init val do ( --Create a dialog from the Rollout, make it child of the Track View createDialog valueRollout parent:(val.ui.hwnd) --Register the dialog as Dialog Bar, make it child of the Track View cui.registerDialogBar valueRollout parent:val.ui.hwnd )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on filterAnim &lt;anim&gt;subAnim &lt;anim&gt;client &lt;index&gt;index do \n\
</pre></div><p>This handler will be called for every object to be displayed in the TrackView. It has three arguments: the subAnim object to be displayed, its client (parent object), and the index inside the client.</p>\n\
<p>The return value of this handler can be:</p>\n\
<p><strong>#skip</strong> - The TrackView track must be filtered out and not displayed</p>\n\
<p><strong>#add</strong> - The TrackView track must be displayed</p>\n\
<p>Note: If the return value is neither <strong>#skip nor #add</strong>, a value of <strong>#add</strong> will be assumed and the track will be displayed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";