var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>The Super Class ID and the Class ID</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>The Super Class ID and the Class ID</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"the-super-class-id-and-the-class-id\"></a></div>\n\
<p>Plug-ins of all types create MAX system objects. These are not the 3D objects that appear in a scene, but objects in the C++ sense. There are two IDs associated with each plug-in system object. These are the Super Class ID and the Class ID. The Super Class ID specifies what super-class of MAX the plug-in class is a sub-class of. The Class ID differentiates between the various plug-ins for a super-class.</p>\n\
<p>MAXScript provides a method to generate a fresh random class ID each time you run it:</p>\n\
<div class=\'codeBlock\'><pre>genClassID [returnValue:&lt;boolean&gt;]\n\
</pre></div><p>This method generates a random class ID similar to #(0x9b7ea231, 0xb6db86ef), and prints it to Listener if <span class=\'code\'>returnValue</span> is not supplied or set to <span class=\'code\'>false</span> . You can cut and paste this class ID into your script to use the generated ID.</p>\n\
<p>If <span class=\'code\'>returnValue</span> is <span class=\'code\'>true</span> , the classid is not printed to the Listener, rather a 2 element array containing the 2 parts of the class ID is returned.</p>\n\
<p>MAX, and each plug-in falls into one of these predefined categories define the Super Class IDs.</p>\n\
<p>For instance, all Texture Map plug-ins share the same Super Class ID of TEXMAP_CLASS_ID. Each individual texture map plug-in has its own unique Class ID however. Thus, the Super Class ID defines which kind of object it is, the Class ID uniquely identifies a specific plug-in class.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";