var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Updating Scripted Plug-ins</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Updating Scripted Plug-ins</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"updating-scripted-plug-ins\"></a></div>\n\
<p>MAXScript allows you to redefine scripted plug-ins while working in <strong>3ds Max</strong>, and have old instances in the current scene and in scenes you load automatically update to the new definition. This ability to redefine scripted plug-ins is called <strong>schema-migration</strong>. MAXScript does this by matching the names of local variables, parameter blocks, and parameters between the old version instances and the new definition. It keeps any variables, parameter blocks, and parameters of the same name, drops anything missing in the new definition and creates new variables, blocks, and parameters as needed, filling them in with default values.</p>\n\
<p>There are some limitations on the kinds of change that can be supported. Specifically:</p>\n\
<ul>\n\
<li><p>Parameter blocks that were per-instance cannot be made per-class and vice versa.</p></li>\n\
<li><p>Parameters cannot change type across redefinitions.</p></li>\n\
<li><p>Parameters cannot move from one parameter block to another across redefinitions.</p></li>\n\
</ul>\n\
<p>This same mechanism is used to update old versions of scripted plug-in objects stored in scene files. Remember that this only works if the <span class=\'code\'>classID:</span> specified in the scripted plug-in definition that was in force when the scene was saved is the same as the current <span class=\'code\'>classID:</span> in the definition as <strong>3ds Max</strong> depends upon this classID to match objects in the scene file and their class definitions.</p>\n\
<p>You can specify an <span class=\'code\'>update</span> event handler in a scripted plug-in and it will be called whenever the object is updated by this schema migration mechanism. To make this more useful, MAXScript supports a version number on scripted plug-ins. The version for any particular instance of the plug-in can be accessed using the <span class=\'code\'>version</span> special local variable in any plug-in local function or handler. When the <span class=\'code\'>update</span> event handler is called during a schema-migration, the old version number is still in force, but is updated to the current version number immediately after update.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` plugin helper lightMaster name:&quot;Light Master&quot; classID:#(12345,54321) extends:Dummy invisible:true replaceUI:true version: 3 -- set current version to 3 ( parameters main rollout:params ... on update do ( if version == 1 then ... -- do something special for v1 instances ) ... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note: You only need to use this explicit version access and update scheme if you want to do some special manual conversion over-and-above the automatic migration described above.</p>\n\
<p>An optional <span class=\'code\'>remap:</span> keyword introduced in <strong>3ds Max 7</strong> allows parameter names in the definitions to be changed when updating existing definitions.</p>\n\
<p>The keyword takes as an argument a two element array, where each element contains an array of string literal or name values. The size of the two arrays must be the same.</p>\n\
<p>The names in the first array are the existing parameter names and the names in the second array are the new parameter names. As parameter names are read in while migrating existing plugin instances, the parameter names are searched for in the first array. If the name is found, the data associated with that parameter is moved to the parameter name in the corresponding location in the second array. If a parameter name is not found in the first array, the parameter name is not remapped. If the parameter name in the second array does not match a parameter name in the new definition, the parameter data is not moved to the new definition.</p>\n\
<p>Finally, if there are no existing instances of the plug-in, either in the current scene or in other scenes, you can simply delete them and make whatever changes you like in the scripted plug-in definition. The above version update considerations come into play only when you wish to support old version objects of your scripted plug-in.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";