var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Right-Click Menus</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Right-Click Menus</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-right-click-menus\"></a></div>\n\
<p>MAXScript provides a set of classes and functions and some special syntax to allow you to construct custom right-click menus.</p>\n\
<div class=\'section\'><a id=\"feature-history\"></a><h3 id=\"feature-history\">Feature History</h3></div>\n\
<p>In versions prior to <strong>3ds Max 4</strong> when the QuadMenu system was still not available, scripted right-click menus could be incorporated into the existing <strong>3ds Max</strong> user interface. The typical use of right-click menus was to provide quick access to a selection of tools written in MAXScript. These tools would typically have no user interface, however one could create dialogs or rollout floater windows in a right-click menu to display a user interface</p>\n\
<p>For an example and list of deprecated methods, see the topic <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/Deprecated-RCmenu-Methods.html\' title=\'\'>Deprecated RCmenu Methods</a></p>\n\
<div class=\'section\'><a id=\"current-usage\"></a><h3 id=\"current-usage\">Current Usage</h3></div>\n\
<p>With the introduction of the QuadMenu system in <strong>3ds Max 4</strong>, registering custom scripted right-click menus became impossible, but the menus themselves can still be used in scripted tools:</p>\n\
<ul>\n\
<li><p>The <span class=\'code\'>popUpMenu()</span> method described below is still available and could be called from event handlers or macroScripts to display a right-click menu under the mouse cursor.</p></li>\n\
<li><p>The scripted dialogs created from rollouts using the <span class=\'code\'>createDialog()</span> method provide an optional <span class=\'code\'>menu:</span> parameter which accepts an RCmenu which is then displayed as a menu bar on top of the dialog. See the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/CreateDialog.html\' title=\'\'>CreateDialog</a> topic for details.</p></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"creation\"></a><h3 id=\"creation\">Creation</h3></div>\n\
<p>A scripted right-click menu is created using the <span class=\'code\'>RCMenu</span> definition construct in MAXScript, and then you register the right-click menu with <strong>3ds Max</strong>. The top-level definition syntax is as follows:</p>\n\
<div class=\'codeBlock\'><pre>rcmenu &lt;var_name&gt; ( &lt;rcmenu_body&gt; )\n\
</pre></div><p>where:</p>\n\
<p><span class=\'code\'>&lt;var_name&gt;</span> is the name of an automatically created global variable to hold the <span class=\'code\'>rcmenu</span> value that represents the right-click menu.</p>\n\
<p><span class=\'code\'>&lt;rcmenu_body&gt;</span> is enclosed in the required parentheses and is a sequence of clauses that define the menu items that will appear in the utility, along with functions and event handlers that process user interactions. These clauses are defined in detail in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/RCMenu-Clauses.html\' title=\'\'>RCMenu Clauses</a>.</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>popUpMenu &lt;RCMenu&gt; [pos:&lt;Point2&gt;] [rollout:&lt;Rollout&gt;] [align:&lt;key&gt;]\n\
</pre></div><p>This method will popup a menu anywhere on the screen. The controls are as follows:</p>\n\
<p><span class=\'code\'>&lt;RCMenu&gt;:</span> Any RCMenu defined. It does not have to be registered.</p>\n\
<p><span class=\'code\'>\\[pos:&lt;Point2&gt;\\]:</span> The point where the menu pops up, either relative to the Rollout or the screen. (Default: popup from current mouse position.)</p>\n\
<p><span class=\'code\'>\\[rollout:&lt;Rollout&gt;\\]:</span> This will make the menu popup from a rollouts local coordinate system. Specifying undefined will cause the menu to popup relative to the upper left corner of the screen. (Default: undefined)</p>\n\
<p><span class=\'code\'>\\[align:&lt;key&gt;\\]:</span> Can be one of the following (Default: <span class=\'code\'>#align_topleft</span> ):</p>\n\
<div class=\'codeBlock\'><pre> #align_topleft #align_topcenter #align_topright #align_bottomleft #align_bottomcenter #align_bottomright #align_vcenterleft #align_vcentercenter #align_vcenterright\n\
</pre></div><p>If a runtime error occurs while executing a scripted right-click menu, an error message is displayed in Listener. The right-click menu will not be disabled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";