var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>menuitem</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>menuitem</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"menuitem\"></a></div>\n\
<p>A <strong>menuItem</strong> is used to place a pickable item in the right-click menu. The syntax for a menuItem is:</p>\n\
<div class=\'codeBlock\'><pre>menuItem &lt;name&gt; &lt;label&gt; [checked:&lt;boolean&gt;] [enabled:&lt;boolean&gt;] [filter:&lt;function&gt;]\n\
</pre></div><p><strong>Parameters</strong></p>\n\
<div class=\'codeBlock\'><pre>name:\n\
</pre></div><p>Used to refer to when writing an event handler.</p>\n\
<div class=\'codeBlock\'><pre>label:\n\
</pre></div><p>The string that appears in the right-click menu.</p>\n\
<div class=\'codeBlock\'><pre>checked:\n\
</pre></div><p>Specifies if a check mark appears before the label in the right-click menu. If <span class=\'code\'>true</span> the item is checked, otherwise the item is unchecked.</p>\n\
<div class=\'codeBlock\'><pre>enabled:\n\
</pre></div><p>Specifies if the item is enabled for interaction when the right-click menu is opened. If <span class=\'code\'>true</span> the item is enabled, otherwise the item is disabled and appears unavailable.</p>\n\
<div class=\'codeBlock\'><pre>filter:\n\
</pre></div><p>A function that returns a Boolean value. The filter function is evaluated when the right-click menu is first opened. If the filter function returns <span class=\'code\'>true</span> the menuItem appears in the menu, otherwise it is not displayed.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;menuitem&gt;.text String\n\
</pre></div><p>The string that appears in the right-click menu.</p>\n\
<div class=\'codeBlock\'><pre>&lt;menuitem&gt;.checked Boolean\n\
</pre></div><p>Specifies if a check-mark appears before the label in the right-click menu. If <span class=\'code\'>true</span> the item is checked, otherwise the item is unchecked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;menuitem&gt;.enabled Boolean\n\
</pre></div><p>Specifies if the item is enabled for interaction when the right-click menu is opened. If <span class=\'code\'>true</span> the item is enabled, otherwise the item is disabled and appears as unavailable.</p>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;menuitem&gt; picked do &lt;expr&gt;\n\
</pre></div><p>Called when the user clicks the menu item.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rcmenu RCmenuRenderable ( fn onlyOneSelected = selection.count == 1 -- define filter function menuItem mi_r &quot;Renderable&quot; filter: onlyOneSelected -- display if only 1 object selected on RCmenuRenderable open do -- perform following on rcmenu open ( if selection.count == 1 then -- if only one object selected... ( mi_r.text = $.name + &quot; | &quot; + &quot;Renderable&quot; -- change text of menu item if isKindOf $ Shape then -- if shape set renderable property to \\(.renderable=\\).renderable -- itself to get shape and node renderable -- properties the same mi_r.checked=\\(.renderable -- turn on menu item check if renderable  )  )  on mi_r picked do\\).renderable = not $.renderable -- when menu item picked, flip renderable value ) -- registerRightClickMenu RcmenuRenderable -- register the rcmenu</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";