var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Accessing Locals and Other Items in a Rollout from External Code</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Accessing Locals and Other Items in a Rollout from External Code</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"accessing-locals-and-other-items-in-a-rollout-from-external-code\"></a></div>\n\
<p>The local components defined in a scripted utility or rollout are accessible to external code as properties of the utility or rollout object. Recall that the rollout object is assigned to a new global variable (or local variable if a nested rollout) named on the utility or rollout definition.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` utility foo &quot;Utility&quot; ( local var1, var2 checkbox enable &quot;Enable&quot; rollout setup &quot;Setup&quot; -- local rollout ( local var3 button doit &quot;Execute&quot; enabled:false on doit pressed do ( var3 = var1 + var2 ) ) --end rollout function frab a b = (var1 = b-a; var2 = a*b) on enable changed state do ( frab 10 20 if state then ( addRollout setup setup.doit.enabled = true ) else removeRollout setup ) --end on enable handler ) --end utility</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The example defines the utility and places the utility object in a global variable named <span class=\'code\'>foo</span> . You can access components in the utility from the Listener or other code as properties of that object, using the name of the variable or item as the property name. Any event-handler functions supplied for user-interface items can also be accessed as sub-properties of the item, using the event name as the property name.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` -- Gets and prints foo&#39;s local variable, var1 print foo.var1</p>\n\
<p>```</p>\n\
<p>``` -- test foo&#39;s enabled checkbox state: if foo.enable.state then print &quot;ON!&quot; else print &quot;OFF&quot;</p>\n\
<p>```</p>\n\
<p>``` -- Sets the foo&#39;s enabled checkbox state to false. -- This will change the checkbox, but not execute the event handler -- which deals with the adding/removing the local rollout foo.enable.state = false</p>\n\
<p>```</p>\n\
<p>``` -- Calls the &#39;changed&#39; handler function of the enable checkbox -- This will call the handler with a value of false, but will NOT -- change the checkbox&#39;s state itself. foo.enable.changed false</p>\n\
<p>```</p>\n\
<p>``` -- This willbothcall the handler with a value of false -- AND change the checkbox&#39;s state, mimicking a checkbox change -- via the UI and the mouse: foo.enable.changed (foo.enable.state = false)</p>\n\
<p>```</p>\n\
<p>``` -- Calls its &#39;frab&#39; function local to the foo utility: foo.frab 100 200</p>\n\
<p>```</p>\n\
<p>``` -- Sets foo’s setup rollout local variable, var3 foo.setup.var3 = 42</p>\n\
<p>```</p>\n\
<p>``` -- Calls the change handler function for doit button in the -- setup rollout of the foo utility: foo.setup.doit.pressed()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The local variables, functions, and structures in scripted utilities and rollouts are initialized as soon as the utility or rollout is first defined, rather than when the utility or rollout is first displayed. This allows other code to use local functions and access local values at any time after definition.</p>\n\
<p>Note:</p>\n\
<p>Whenever a utility or rollout is opened, all local values will be reinitialized and any values set before opening will be lost!</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` -- define a test rollout with a spinner UI element -- initialized to value of 50.0 and two local variables: rollout test &quot;Test&quot; ( local testValue1 local testValue2 = 10 spinner testSpinner &quot;Spinner&quot; range:[0.0,100.0,50.0] ) --&gt; Rollout:test test.testSpinner.value --peek into the spinner&#39;s value --&gt; 50.0 --it is 50 as expected test.testValue1 --get the first local variable&#39;s value --&gt; undefined --it is set implicitly to undefined test.testValue2 --get the other local variable&#39;s value --&gt; 10 --it is set to 10 as expected test.testSpinner.value = 60.0 --change the spinner&#39;s value to 60.0 --&gt; 60.0 test.testSpinner.value --get the value back to see if it worked --&gt; 60.0 test.testValue1 = 20 --set the first local&#39;s value to 20 --&gt; 20 test.testValue1 --get the first local&#39;s value --&gt; 20 --now it is initialized to 20 test.testValue2 = 40 --set the second local&#39;s value to 40 --&gt; 40 test.testValue2 --get the second local&#39;s value --&gt; 40 --now it is 40 --now create a dialog with the rollout - createDialog test 100 40 --all variables will be reset! --&gt; true test.testSpinner.value --get the spinner value again --&gt; 50.0 --it is back to the default value of 50.0 test.testValue1 --get the first local&#39;s value again --&gt; undefined --it is back to undefined test.testValue2 --get the second local&#39;s value again --&gt; 10 --it is back to 10</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";