var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Dialogs and Rollout Floaters as Extended Viewports</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Dialogs and Rollout Floaters as Extended Viewports</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-dialogs-and-rollout-floaters-as-extended-viewports\"></a></div>\n\
<p>The following functions can be used to register and unregister MAXScript dialogs and rollout floaters as extended viewports.</p>\n\
<div class=\'codeBlock\'><pre>registerViewWindow &lt;MAXScript_dialog | rollout_floater&gt;\n\
</pre></div><p>Registers any MAXScript dialog or rollout floater as an extended viewport. The title of the dialog or floater appears in the viewport right-click menu under Views &gt; Extended menu. When picked the dialog or floater will be displayed in that viewport.</p>\n\
<p>If you click anywhere on the outside border, it will pop up the standard views menu. This will let you switch to a different view window.</p>\n\
<div class=\'codeBlock\'><pre>unRegisterViewWindow &lt;MAXScript_dialog | rollout_floater&gt;\n\
</pre></div><p>Unregisters a dialog or floater as an extended view window. It will throw an error if the dialog or floater is currently displayed in a viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rollout_floater&gt;.inViewport\n\
</pre></div><p>This property returns <span class=\'code\'>true</span> if the rolloutfloater or rollout is installed in a viewport, <span class=\'code\'>false</span> otherwise. Read-only.</p>\n\
<p>Here is a sample script that creates two instances of a Cult3D viewer found at <strong>www.cycore.com</strong>, and opens two files from the internet. Install the Cult3d Viewer and execute the script example below. After executing the script right click on any of the viewports and pick &quot;Views &gt; Extended &gt; Cult3D Player&quot; to display the window in the viewport.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout rCult3D &quot;Cult3D Player&quot; ( activeXControl ax1 &quot;{31B7EB4E-8B4B-11D1-A789-00A0CC6651A8}&quot; align:#left setupEvents:false pos:[10,10] activeXControl ax2&quot;{31B7EB4E-8B4B-11D1-A789-00A0CC6651A8}&quot;align:#left setupEvents:false pos:[10,220] on rCult3D resized size do ( localcsz = (size - [20,30])*[1,.5] ax2.pos = [10, csz.y+20] ax1.size = ax2.size = csz ) on rCult3D open do ( ax1.size = ax2.size = [300,200] ax1.LoadCult3D&quot;http://www.cult3d.com/gallery/ecommerce/olympus_on_the_beach.co&quot; ax2.LoadCult3D&quot;http://www.cult3d.com/gallery/museum/madonna.co&quot; ) ) createDialog rCult3D width:320 height:430 registerViewWindow rCult3D</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-64B634DF-6404-4502-8A06-A9F6C642EDE9-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";