var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Macro Recorder Emission From Rollout UI Actions</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Macro Recorder Emission From Rollout UI Actions</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"macro-recorder-emission-from-rollout-ui-actions\"></a></div>\n\
<p>When performing a UI action from a scripted rollout, MAXScript disables the MacroRecorder.</p>\n\
<p>To allow the code emission from UI actions modifying <strong>existing</strong> paramBlock parameters, the following context can be specified in <strong>3ds Max 2013 and higher</strong>:</p>\n\
<div class=\'codeBlock\'><pre>with macroRecorderEmitterEnabled &lt;bool_expr&gt; &lt;expr&gt;\n\
</pre></div><p>When <span class=\'code\'>&lt;bool_expr&gt;</span> evaluates to <span class=\'code\'>true</span> , the MacroRecorder will be enabled and relevant changes to paramBlock parameters, as well as scene node creation, will trigger code emission. Creation arguments will <strong>not</strong> be recorded.</p>\n\
<p>When <span class=\'code\'>&lt;bool_expr&gt;</span> evaluates to <span class=\'code\'>false</span> , or if the context is not specified at all, the expression will produce no Macro Recorder output.</p>\n\
<p>Note: Other scene changes like object deletion, or calls to other functionality except for paramBlock changes will <strong>not</strong> produce Macro Recorder output.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout testMacroRecorderEmission &quot;Test MRec Emission&quot; ( local theSpheres = #() checkbox chk_emitMacroRecorderCode &quot;Emit MacroRecorder Code&quot; button btn_modifyRandomSphere &quot;Modify Random Sphere Radius&quot;</p>\n\
<div class=\'codeBlock\'><pre>  on btn_modifyRandomSphere pressed do\n\
  (\n\
      with macroRecorderEmitterEnabled chk_emitMacroRecorderCode.checked \n\
      (\n\
          theSpheres[random 1 theSpheres.count].radius = random 10 100\n\
      )\n\
  )\n\
  on testMacroRecorderEmission open do\n\
  (\n\
      for y = 1 to 5 do \n\
          for x = 1 to 5 do\n\
              append theSpheres (sphere radius:10 pos:[x*50,y*50,0])\n\
  )\n\
</pre></div><p>) createDialog testMacroRecorderEmission</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";