var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Non-Local Variables As Captions Of Rollouts and UI Controls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Non-Local Variables As Captions Of Rollouts and UI Controls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"non-local-variables-as-captions-of-rollouts-and-ui-controls\"></a></div>\n\
<p>In versions prior to <strong>3ds Max 2012</strong>, the caption parameter of a rollout or UI control is provided as a string literal and cannot be specified using a variable name. This made it difficult to use computed names as it required the setting of the rollout&#39;s or control&#39;s caption property after its construction, or the creation of the whole rollout using string building and evaluation or the Rollout Creator functions.</p>\n\
<p><strong>3ds Max 2012</strong> added the ability to specify captions of rollouts and UI controls uisng non-local variable name. This means that the variable cannot be a local variable or a variable name passed through as a function parameter. The variable must be either in the global scope or in the top-level scope such as, a structure definition, MacroScript definition, or scripted plugin definition.</p>\n\
<p>This restriction stems from the fact that a rollout definition is a <strong>compile-time construct</strong>, and the local variables are defined using the context when the rollout is compiled. However, an evaluation of the variables is attempted when the rollout is created, by which time it is no longer in the compile context. So, if a local variable is used as the caption, a compile time error will be thrown:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` fn test cap1 = ( cap2 = &quot;cap2&quot; Rollout test cap1 ( Spinner s1 cap2 ) createdialog test ) -- Compile error: No outer or current scope local variable references permitted here: cap1 -- In line: Rollout test cap1</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>If you change the above usage of cap1 to a string literal, you will get another error on the usage of cap2.</p>\n\
<p>The following shows various usages that compile successfully:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` cap1 = &quot;cap1&quot; cap2 = &quot;cap2&quot; fn test = ( Rollout test cap1 ( Spinner s1 cap2 ) createdialog test ) test()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` struct xxx ( cap1b = &quot;cap1&quot;, cap2b = &quot;cap2&quot;, fn createRollout = ( rollout test cap1b ( spinner s00 spinner s01 &quot;A&quot; spinner s1 cap2b ) createDialog test ) ) x = xxx() r=x.createRollout()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` plugin material MyMaterial name:&quot;MyMaterial&quot; classID:#(0x69fedc0d, 0x7c79a4d2) extends:Standard replaceUI:true ( local rollout_title = &quot;Hardware Shaders&quot; local spinner_title = &quot;AA&quot; parameters hardwareShaders rollout:shaderRoll ( ) rollout shaderRoll rollout_title width:328 height:189 ( spinner s1 spinner_title ) ) a=mymaterial() meditmaterials[1] = a</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";