var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Rollout .Controls Property</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Rollout .Controls Property</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rollout-.controls-property\"></a></div>\n\
<div class=\'codeBlock\'><pre>&lt;rollout&gt;.controls\n\
</pre></div><p>This property returns an array of all the controls in the rollout.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout testRollout &quot;Test&quot; ( group &quot;Test&quot; ( button btn_button &quot;Press Me If You Can&quot; spinner spn_spinner &quot;Spin Me If You Can&quot; checkbox chk_checkbox &quot;Check Me If You Can&quot; )--end group )--end rollout createDialog testRollout width:200</p>\n\
<p>for c in testRollout.controls do print c</p>\n\
<p>--loop through all controls in the rollout and --disable them all:</p>\n\
<p>for c in testRollout.controls do c.enabled = false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>RESULT</strong></p>\n\
<p>``` Rollout:testRollout true GroupStartControl:Test ButtonControl:btn_button SpinnerControl:spn_spinner CheckBoxControl:chk_checkbox GroupEndControl:Test OK OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B9169A27-6DE8-44E2-A064-1F6DA3AFBBF3-low.bmp\' title=\'\'></div>\n\
<p>Note:</p>\n\
<p>Note that a group is implemented as a pair of controls: <span class=\'code\'>groupStartControl</span> and <span class=\'code\'>groupEndControl</span>, which &quot;bracket&quot; the rest of the controls. In the above example, the group is also disabled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";