var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Rollout Floater Windows</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Rollout Floater Windows</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rollout-floater-windows\"></a></div>\n\
<p>MAXScript lets you create modeless floating dialog windows known as <strong>Rollout Floaters</strong> and populate them with rollouts defined using rollout definitions.</p>\n\
<p>The user can resize a rollout floater window vertically by dragging on the lower window edge.</p>\n\
<div class=\'section\'><a id=\"there-are-two-functions-and-a-special-class-in-support-of-this-as-follows\"></a><h2 id=\"there-are-two-functions-and-a-special-class-in-support-of-this-as-follows\">There are two functions and a special class in support of this, as follows:</h2></div>\n\
<div class=\'codeBlock\'><pre>newRolloutFloater &lt;title_string&gt; &lt;width_integer&gt; &lt;height_integer&gt; [&lt;top_integer&gt; &lt;left_integer&gt;] \\\n\
     [lockHeight:&lt;boolean&gt;] [lockWidth:&lt;boolean&gt;] [autoLayoutOnResize:&lt;boolean&gt;] scrollBar:&lt;on|off|#on|#off|#asNeeded&gt;\n\
</pre></div><p>Creates and opens a new rollout floater window with the title and width and height given. If you don&#39;t supply top and left coordinates, the window will open centered in the screen. The width of the <strong>3ds Max</strong> command panel is 218, in case you want to duplicate its width for precisely accommodating Utilities panel rollouts. This method returns a <span class=\'code\'>RolloutFloater</span> value to which you add rollouts.</p>\n\
<p>The <span class=\'code\'>lockHeight</span> and <span class=\'code\'>lockWidth</span> arguments specify whether to lock the height and width of the rollout floater (that is, whether to disable resizing). Available in <strong>3ds Max 2019 and higher</strong>. The defaults are <span class=\'code\'>lockHeight:false</span> and <span class=\'code\'>lockWidth:true</span>.</p>\n\
<p>The <span class=\'code\'>autoLayoutOnResize</span> argument specifies whether to automatically re-layout the contained rollout when the rollout floater is resized. Available in <strong>3ds Max 2019 and higher</strong>. The default is true.</p>\n\
<p>The <span class=\'code\'>scrollBar</span> argument specifies whether to add a scrollbar to the floater to scroll the contained rollout. Available in <strong>3ds Max 2019 and higher</strong>. The default is <span class=\'code\'>#asNeeded</span>, where a scrollbar will only be displayed when the rollout floater is smaller than the contained rollout.</p>\n\
<div class=\'codeBlock\'><pre>closeRolloutFloater &lt;rolloutFloater&gt;\n\
</pre></div><p>Closes the rollout floater window. The user can also do this by clicking the close box on the window. Once closed, the window is no longer usable. All the close handlers in the rollout floater window&#39;s rollouts are called and they are released for use in other rollout floater windows or scripted utilities.</p>\n\
<div class=\'section\'><a id=\"the-existing-functions-for-adding-and-removing-rollouts-to-the-utilities-panel-are-extended-to-work-with-rollout-floater-windows\"></a><h2 id=\"the-existing-functions-for-adding-and-removing-rollouts-to-the-utilities-panel-are-extended-to-work-with-rollout-floater-windows\">The existing functions for adding and removing rollouts to the Utilities panel are extended to work with rollout floater windows:</h2></div>\n\
<div class=\'codeBlock\'><pre>addRollout &lt;rollout&gt; [ &lt;rolloutFloater&gt; ] [rolledUp:&lt;boolean&gt; ] [border:&lt;boolean&gt;]\n\
</pre></div><p>If the optional second argument is specified, it must be a RolloutFloater value as returned from the <span class=\'code\'>newRolloutFloater()</span> function. The rollout specified by the first argument is appended after any rollouts previously in the window.</p>\n\
<p>If the optional <span class=\'code\'>rolledUp:</span> keyword argument is specified, the rollout will be initially rolled up (closed) when the argument is True or rolled down (open) when False.</p>\n\
<p>If the optional <span class=\'code\'>border:</span> keyword argument is specified and set to False in <strong>3ds Max 2009 and higher</strong>, the rollout will have no border. If the keyword argument is not supplied or set to True, a border will be drawn around the rollout.</p>\n\
<div class=\'codeBlock\'><pre>removeRollout &lt;rollout&gt; [ &lt;rolloutFloater&gt; ]\n\
</pre></div><p>Removes the rollout from the given rollout floater window.</p>\n\
<p>In both functions above, if the optional <span class=\'code\'>&lt;rolloutFloater&gt;</span> is not supplied the rollout is added to, or removed from, the Utilities panel, as described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Managing-Multiple-Rollouts-in-a.html\' title=\'\'>Managing Multiple Rollouts in a Scripted Utility</a>.</p>\n\
<div class=\'section\'><a id=\"rollout-floater-properties\"></a><h2 id=\"rollout-floater-properties\">Rollout floater properties:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.title String\n\
</pre></div><p>The Title of the floater.</p>\n\
<p>Note:</p>\n\
<p>You cannot change the title of a rollout floater registered as a dialog bar</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.size Point2\n\
</pre></div><p>The current size of the rollout floater window in pixels. The first component of the Point2 is the width, the second the height. This property is read/write.</p>\n\
<p>Note: If a rollout floater is in an extended viewport, the <span class=\'code\'>.size</span> and <span class=\'code\'>.position</span> properties report the size and position of the viewport. The properties cannot be set for this case.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.pos Point2\n\
</pre></div><p>The current screen position of the rollout floater window in pixels. This property is read/write.</p>\n\
<p>Note:</p>\n\
<p>If a rollout floater is in an extended viewport, the size and position properties report the size and position of the viewport. The properties cannot be set for this case.</p>\n\
<p>When a rollout floater window is resized, either by the user or by a script changing the <span class=\'code\'>size</span> property, a <span class=\'code\'>resized</span> event is generated for the first rollout in the rollout floater window. Likewise, when a rollout floater window is moved, either by the user or by a script changing the <span class=\'code\'>pos</span> property, a <span class=\'code\'>moved</span> event is generated for the first rollout in the rollout floater window. The event handler for the <span class=\'code\'>resized</span> and <span class=\'code\'>moved</span> events are described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\' title=\'\'>Utility and Rollout properties, Methods, and Event Handlers</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.inViewport Boolean, read-only.\n\
</pre></div><p>Returns True if the floater is in extended viewport.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.open Boolean, read-only.\n\
</pre></div><p>Returns True if the floater is open.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.visible Boolean\n\
</pre></div><p>Get/Set the visibility of the Rollout Floater. Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<p>When set to True (default), the Rollout Floater will be displayed.</p>\n\
<p>When set to False, the Rollout Floater will not be drawn, but it and its rollouts will still be accessible through MAXScript.</p>\n\
<p>Note: This can be used as an alternative to placing the Rollout Floater off-screen, a hack sometimes used in older versions of <strong>3ds Max</strong>. Since <strong>3ds Max 2014</strong>, any off-screen dialogs will be automatically moved back into view.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.dialogBar Boolean, read-only.\n\
</pre></div><p>Returns True if the rollout floater is used as a dialog bar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.rollouts Array of rollouts in floater, read-only\n\
</pre></div><p>Returns an array of all rollouts in the floater.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.placementName, enums:{#minimized|#maximized|#normal}\n\
</pre></div><p>This property gets/sets whether the dialog is minimized, maximized, or normal. This property will return &#39;undefined&#39; if the rollout is not in a dialog, the dialog is a dialogBar, or is in a viewport.</p>\n\
<p>This property is valid for Rolloutfloaters that are not a dialogBar nor in a viewport.</p>\n\
<p>Note: This property is available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<blockquote>\n\
<p>Note: A rollout in a subrollout cannot be registered as a dialogbar or a view window. A rollout or rollout floater cannot be registered as both a dialogbar and a view window.</p>\n\
<p>You can implement a form of rollout state save and restore for your scripted rollouts by recording the / <span class=\'code\'>open</span> state of all rollouts and the <span class=\'code\'>.scrollPos</span> of the entire panel during <span class=\'code\'>close</span> handler processing, and then reset the values in the <span class=\'code\'>open</span> handler.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.lockHeight Boolean\n\
</pre></div><p><span class=\'code\'>True</span> if floater height cannot be changed by dragging its borders. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.lockWidth Boolean\n\
</pre></div><p><span class=\'code\'>True</span> if floater width cannot be changed by dragging its borders. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.autoLayoutOnResize Boolean\n\
</pre></div><p><span class=\'code\'>True</span> if auto layout on resize is enabled for the floater. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;rolloutFloater&gt;.hwnd IntegerPtr, read-only\n\
</pre></div><p>Contains the window pointer for the floater as an integer pointer, if the floater is open, or <span class=\'code\'>undefined</span> if the floater is closed.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout grin &quot;Grin Control&quot; ( slider happy &quot;Happy&quot; orient:#vertical across:5 slider sad &quot;Sad&quot; orient:#vertical slider oo &quot;OO&quot; orient:#vertical slider ee &quot;EE&quot; orient:#vertical slider oh &quot;OH&quot; orient:#vertical /<em> on happy changed val do object.xform1.center = ... on sad changed val do object.xform2.gizmo.rotation = ... ... </em>/ ) theNewFloater = newRolloutFloater &quot;Grinning&quot; 300 220 addRollout grin theNewFloater</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";