var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Rollout User-Interface Controls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Rollout User-Interface Controls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rollout-user-interface-controls\"></a></div>\n\
<p>There is a multitude of user-interface control types that you can choose from to construct your rollout.</p>\n\
<p>They all share the same overall syntax:</p>\n\
<div class=\'codeBlock\'><pre>&lt;item_type&gt; &lt;name&gt; [ &lt;label_string&gt; ] [ &lt;parameters&gt; ]\n\
</pre></div><p>The item types correspond to the types of user-interface control items you see in typical <strong>3ds Max</strong> rollouts.</p>\n\
<p>The types of user-interface control items are described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3.html\' title=\'\'>Rollout User-Interface Control Types</a>.</p>\n\
<p>The <span class=\'code\'>&lt;name&gt;</span> is used to name an automatically constructed rollout local variable that will hold the value representing the control item, and is used to associate event handler functions with the control item.</p>\n\
<p>The optional <span class=\'code\'>&lt;label_string&gt;</span> is used as a caption, item label, or text content depending on the control item type, as described in the topics for each type.</p>\n\
<p>The optional <span class=\'code\'>&lt;parameters&gt;</span> is a sequence of keyword arguments used to set options or influence layout for the control item. The exact parameters that each control item type supports is also defined in the topics for each type.</p>\n\
<p>There are <strong>properties</strong> associated with each of the user-interface control item types.</p>\n\
<p>The properties that are common to all user-interface control item types are described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\' title=\'\'>Rollout User-Interface Controls Common Properties</a>.</p>\n\
<p>Properties that are unique to a user-interface control item type are defined in the topics for each type.</p>\n\
<p>As you define a sequence of control items, MAXScript will by default automatically lay them out in the rollout, one below the other in the order they are defined.</p>\n\
<p>You can override this layout or make adjustments to it using special layout parameters defined in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\' title=\'\'>Rollout User-Interface Controls Common Layout Parameters</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";