var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Image Buttons</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Image Buttons</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"image-buttons\"></a></div>\n\
<p>These rollout user-interface item types:<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\' title=\'\'>button</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\' title=\'\'>checkbutton</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\' title=\'\'>mapbutton</a>, and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\' title=\'\'>materialbutton</a> can be used as either simple text buttons containing text labels or as image buttons displaying bitmaps instead of text. Images can be specified as a single icon (using <span class=\'code\'>iconName</span>) or as an image list containing multiple image states.</p>\n\
<p><strong>Using a Single icon</strong></p>\n\
<p>The images to be displayed in these buttons are specified using the creation time parameters <span class=\'code\'>iconName</span>/<span class=\'code\'>iconSize</span>, or <span class=\'code\'>images</span>.</p>\n\
<p>For <span class=\'code\'>iconName</span>/<span class=\'code\'>iconSize</span>, the parameter form is:</p>\n\
<div class=\'codeBlock\'><pre>iconName:&lt;filename&gt; iconSize:&lt;point2&gt;\n\
</pre></div><p>The system will load multi resolution icons, and pick which to use based on <span class=\'code\'>iconSize</span> and the system DPI scaling. The <span class=\'code\'>iconSize</span> is the icon size to use at 100% DPI scaling, and the default is [24,24] if <span class=\'code\'>iconSize</span> is not specified.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` button rcw &quot;&quot; height:20 width:29 iconName:@&quot;PolyTools\\TransformTools\\PB_CW&quot; iconSize:[20,20] -- loads PolyTools\\TransformTools\\PB_CW* files. The PB_CS_20 file will be the icon used at 100% dpi scaling</p>\n\
<p>button PTdo &quot;&quot; height: 26 width: 26 iconName:@&quot;PolyTools\\Topology\\Wall&quot; -- loads PolyTools\\Topology\\Wall* files. The Wall_24 file will be the icon used at 100% dpi scaling</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Using an image list</strong></p>\n\
<p>The parameter form is:</p>\n\
<div class=\'codeBlock\'><pre> images: #(\n\
&lt;image&gt;,\n\
&lt;maskImage&gt;,\n\
&lt;count_integer&gt;,\n\
&lt;enabled_out_image_index&gt;,\n\
&lt;enabled_in_image_index&gt;,\n\
&lt;disabled_out_image_index&gt;,\n\
&lt;disabled_in_image_index&gt;,\n\
&lt;invert_boolean&gt;,\n\
&lt;colortheme_boolean&gt;\n\
)\n\
\n\
</pre></div><p>The images in a button can be changed after its creation by setting its read-only <span class=\'code\'>.images</span> property.</p>\n\
<div class=\'section\'><a id=\"image-and-maskimage-1-2\"></a><h2 id=\"image-and-maskimage-1-2\">Image and maskImage (1, 2)</h2></div>\n\
<p><span class=\'code\'>&lt;image&gt;</span> and <span class=\'code\'>&lt;maskImage&gt;</span> can be either a bitmap filename string or a MAXScript bitmap value.</p>\n\
<p>The <span class=\'code\'>&lt;image&gt;</span> must always be provided</p>\n\
<p>The <span class=\'code\'>&lt;maskImage&gt;</span> can be supplied as <span class=\'code\'>undefined</span> if it is not required.</p>\n\
<p>If either of the two images is specified as a file name, the bitmap file is searched in the following directories (in order of search):</p>\n\
<ul>\n\
<li><p>Current MAX Script directory</p></li>\n\
<li><p>MAXScript Startup directory</p></li>\n\
<li><p>MAXScript Scripts directory</p></li>\n\
<li><p><strong>3ds Max</strong> Maps directories</p></li>\n\
<li><p><strong>3ds Max</strong> image directory</p></li>\n\
<li><p><strong>3ds Max</strong> executables directory</p></li>\n\
<li><p>Directories in the PATHS environment variable</p></li>\n\
</ul>\n\
<p>There are four images that can be specified, one for each of the possible button states:</p>\n\
<ul>\n\
<li><p>Enabled depressed (out)</p></li>\n\
<li><p>Enabled checked (in)</p></li>\n\
<li><p>Disabled depressed (out)</p></li>\n\
<li><p>Disabled checked (in)</p></li>\n\
</ul>\n\
<p>These images are taken from a single bitmap file or MAXScript bitmap value in which a number of images are stored side-by-side. This bitmap containing one or more images to use for the button is called the <span class=\'code\'>imagelist</span> . All the sub-images in such an imagelist are assumed to be of the same width, and you can specify which image is used for which state by providing an image index into the bitmap. This means you can store the images for all the states of many buttons in one file, specifying different indices for the different buttons. The system will scale the imageList to account for DPI scaling.</p>\n\
<p>For example, if you have 10 images, each with a size of 24x24 pixels, your imagelist bitmap is expected to be 240x24 pixels in size and specifying the index 2 grabs the 24 rows with pixels from pixel columns 25 to 48. See the count_integer description below for more details.</p>\n\
<p>A black-and-white <strong>mask image</strong> can be used to mask the image display into the buttons. It is given in the same imagelist form and the mask image indices must be the same as the images they correspond to.</p>\n\
<p>By default, black pixels in the mask let the corresponding image pixel show; white pixels hide corresponding image pixels and show the default background color for the button. This can be inverted by specifying an 8 th element in the array set to true. See <strong>Invert_boolean</strong> below.</p>\n\
<p>If there is no mask file, the value <span class=\'code\'>undefined</span> must be supplied for the mask file name.</p>\n\
<div class=\'section\'><a id=\"count_integer-3\"></a><h2 id=\"count_integer-3\">count_integer (3)</h2></div>\n\
<p><span class=\'code\'>&lt;count_integer&gt;</span> specifies the number of sub-images in each of the bitmaps.</p>\n\
<p>MAXScript deduces the width of the single image by dividing the width of the imagelist bitmap by the <span class=\'code\'>&lt;count_integer&gt;</span> value, and the height is taken from the height of the imagelist bitmaps.</p>\n\
<p>For example, if the bitmap is 2448 pixels wide and 24 high and the <span class=\'code\'>&lt;count_integer&gt;</span> is provided as 102, MAXScript will divide 2448/102 = 24, resulting in icon size of 24x24 pixels. This is the case with the &quot;Maintoolbar_24i.bmp&quot; imagelist file.</p>\n\
<div class=\'section\'><a id=\"xxx_image_index-4567\"></a><h2 id=\"xxx_image_index-4567\">XXX_image_index (4,5,6,7)</h2></div>\n\
<p>The <span class=\'code\'>&lt;XXX_image_index&gt;</span> values specify which sub-image in the bitmaps is to be used for each of the four button states.</p>\n\
<p>If the specified index is higher than the available images, the button displays an empty bitmap.</p>\n\
<div class=\'section\'><a id=\"invert_boolean-8\"></a><h2 id=\"invert_boolean-8\">invert_boolean (8)</h2></div>\n\
<p>The <span class=\'code\'>&lt;invert_boolean&gt;</span> value defines how to use the maskImage colors to reveal and hide image pixels.</p>\n\
<p>When false, black pixels show the corresponding image pixels and white pixels mask them out.</p>\n\
<p>When true, black pixels hide the image pixels and white pixels reveal the image pixels.</p>\n\
<p>If not specified, the value is assumed to be false.</p>\n\
<div class=\'section\'><a id=\"colortheme_boolean-9\"></a><h2 id=\"colortheme_boolean-9\">colortheme_boolean (9)</h2></div>\n\
<p>The <span class=\'code\'>&lt;colorthreme_boolean&gt;</span> value defines whether to use the Windows Color Theme or not. If not specified, it will default to false.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>IMAGEBUTTON EXAMPLE:</strong></p>\n\
<p>``` rollout image_button_test &quot;Image Button&quot; ( button theButton &quot;Press To Render!&quot; width:200 height:200 on theButton pressed do ( theBmp = render outputsize:[200,200] vfb:off theButton.images = #(theBmp, undefined, 1,1,1,1,1 ) ) ) createDialog image_button_test 210 210</p>\n\
<p>```</p>\n\
<p><img src=\'developer/images/GUID-B77A941F-D615-475F-ACEB-402FF81A374A-low.gif\' title=\'\'> <img src=\'developer/images/GUID-15A8F62A-63FC-45F7-9FF0-01B155F2DFF5-low.gif\' title=\'\'></p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>IMAGELISTEXAMPLE:</strong></p>\n\
<p>``` rollout image_button_test2 &quot;Test Image Buttons&quot; ( button btn_imageButton1 width:24 height:24 across:5 button btn_imageButton2 width:24 height:24 button btn_imageButton3 width:24 height:24 button btn_imageButton4 width:24 height:24 button btn_imageButton5 width:24 height:24 checkbox chk_toggleEnabled &quot;Toggle Enabled State&quot; checked:true local theButtons = #(btn_imageButton1, btn_imageButton2, btn_imageButton3, btn_imageButton4, btn_imageButton5) fn updateButtons = ( for i = 1 to theButtons.count do ( local theIndex = (i*2)-1 theButtons[i].images = #( &quot;enss_tools_16i.bmp&quot;, &quot;enss_tools_16a.bmp&quot;, 13, theIndex, theIndex, theIndex+1, theIndex+1, false, true ) ) ) on chk_toggleEnabled changed state do for i in theButtons do i.enabled = state on image_button_test2 open do updateButtons() ) createDialog image_button_test2</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C4E73EB8-8EB0-4637-8F91-5AF39762E8BA-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>IMAGELIST BROWSER EXAMPLE:</strong></p>\n\
<p>``` rollout image_button_test3 &quot;Imagelist Browser&quot; ( local theFiles = #() local theCount = 1 dropdownlist ddl_imageList button btn_button width:30 height:30 across:3 align:#left spinner spn_index &quot;Index&quot; type:#integer range:[1,100,1] align:#left fieldwidth:40 label lbl_count &quot;0&quot; align:#right fn getIconCount theFile = ( local theBitmap = openBitmap theFile theCount = case theBitmap.height of ( 24: theBitmap.width/24 default: theBitmap.width/16 ) lbl_count.text = &quot;of &quot; + theCount as string ) fn updateImageButton theFile theIndex = ( btn_button.images = #(theFile, undefined, theCount, theIndex, theIndex, theIndex ,theIndex ,false,true ) ) on spn_index changed val do updateImageButton theFiles[ddl_imageList.selection] val on image_button_test3 open do ( theFiles = getFiles (GetDir #ui + &quot;\\Ribbon\\tooltips\\images\\*.gif&quot;) ddl_imageList.items = for i in theFiles collect filenameFromPath i getIconCount theFiles[1] spn_index.range = [1,theCount,1] updateImageButton theFiles[1] 1 ) on ddl_imagelist selected itm do ( getIconCount theFiles[itm] updateImageButton theFiles[itm] 1 spn_index.range = [1,theCount,1] ) ) --end rollout createDialog image_button_test3 200 70</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-84AAD672-DD7A-420E-ACC8-64EA53AB8C08-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";