var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Rollout User-Interface Controls Common Properties</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Rollout User-Interface Controls Common Properties</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rollout-user-interface-controls-common-properties\"></a></div>\n\
<p>All defined user-interface controls have a local variable constructed for them in the rollout and a value representing the control is placed in that variable. These values typically contain state information relevant to the item, such as if a check box is checked, the current spinner value, the items in a list box, and so on. This information is made available to you as various named properties on the item values. You use standard MAXScript property access to read and set these values,</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">FOR EXAMPLE</th>\n\
<th align=\"left\"></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>frab_x.enabled = true</span></td>\n\
<td align=\"left\">enable the <span class=\'code\'>frab_x</span> spinner</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>foo.text = &quot;Don&#39;t do it&quot;</span></td>\n\
<td align=\"left\">set <span class=\'code\'>foo</span> button text</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>first_item = baz.items[1]</span></td>\n\
<td align=\"left\">get item list from listbox <span class=\'code\'>baz</span></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>$bar.pos.x = x_spinner.value</span></td>\n\
<td align=\"left\">get current value from spinner <span class=\'code\'>x_spinner</span></td>\n\
</tr>\n\
</table>\n\
<p>All of the user-interface common properties except for <span class=\'code\'>caption</span> (the label string value is used as the caption) can be specified as parameters when the user-interface item is constructed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` button foo &quot;You Cannot Press Me!&quot; enabled:false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"the-following-properties-are-common-to-all-user-interface-items\"></a><h2 id=\"the-following-properties-are-common-to-all-user-interface-items\">The following properties are common to all user-interface items:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;ui_item&gt;.caption String\n\
</pre></div><p>The meaning of this property varies depending on the specific user-interface item type. If the user-interface item has a caption, this property contains the caption string. For the various types of buttons, it is the text inside the button. The default value of the caption is the label string specified in the item definition.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ui_item&gt;.text String\n\
</pre></div><p>For all the user-interface items except <span class=\'code\'>edittext</span> and <span class=\'code\'>combobox</span> , the <span class=\'code\'>.text</span> property is an alias of the <span class=\'code\'>.caption</span> property.</p>\n\
<p>For <span class=\'code\'>edittext</span> and <span class=\'code\'>combobox</span> user-interface items, it is the text in the edit box.</p>\n\
<p>The default <span class=\'code\'>text</span> property value for <span class=\'code\'>edittext</span> user-interface items is a null string (&quot;&quot;).</p>\n\
<p>The default <span class=\'code\'>text</span> property value for <span class=\'code\'>combobox</span> user-interface items is the selected item’s text.</p>\n\
<p>The <span class=\'code\'>.text</span> property in <strong>3ds Max 7 and higher</strong> is <strong>really</strong> equivalent to the <span class=\'code\'>.caption</span> property for all rollout controls that do not define <span class=\'code\'>.text</span> separately.</p>\n\
<p>Setting a label&#39;s text is the same as setting a label&#39;s caption. In previous releases, setting the text would not update the UI, but would update the internal <span class=\'code\'>.caption</span> value</p>\n\
<div class=\'codeBlock\'><pre>&lt;ui_item&gt;.enabled Boolean default: true\n\
</pre></div><p>Sets whether the item is enabled for interaction when the rollout is initially opened. Disabled items appear unavailable in the rollout. All items are enabled by default, so you typically use this parameter to disable those items that should not initially be available to the user. For example, you might have some spinners that change the properties on a scene object that should not be changed until the user has picked the object, typically with a <span class=\'code\'>pickbutton</span> in the rollout. You would disable the spinner in its definition, as in the following example, and enable it once the user picked an object.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` spinner frab_x &quot;Frabulate x-axis:&quot; range:[0,100,0] enabled:false ... frab_x.enabled=true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;ui_item&gt;.pos Point2 default: varies\n\
</pre></div><p>This forces the user-interface item to a fixed [x,y] pixel position in the rollout, with [0,0] at the top-left corner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ui_item&gt;.visible\n\
</pre></div><p>When set to <span class=\'code\'>false</span> , the UI Item is hidden and disabled.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;test&quot; ( button b1 &quot;b1&quot; on b1 pressed do print &quot;b1&quot; button b2 &quot;b2&quot; on b2 pressed do b1.visible = not b1.visible ) createdialog test --Pressing the &#39;b2&#39; button hides and unhides the b1 button</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;ui_item&gt;.hwnd Integer, read-only\n\
</pre></div><p>Contains an array of the HWND Window handles of the control&#39;s rollout if the rollout is open, or an empty array if the control&#39;s rollout is closed.</p>\n\
<p>Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Note: Due to limitations in <strong>3ds Max</strong>, you cannot specify a node using a Pickbutton in the Create panel, for example in a scripted Geometry plugin. The work-around is to only enable the Pickbutton when the object is open in the Modify Panel.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";