var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Rollout User-Interface Controls Common Layout Parameters</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Rollout User-Interface Controls Common Layout Parameters</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rollout-user-interface-controls-common-layout-parameters\"></a></div>\n\
<p>The layout of user-interface items defined in a utility or rollout is, by default, handled by MAXScript.</p>\n\
<p>It places each successive interface item down the rollout, one below the other, horizontally and vertically aligning them to match the layout conventions in the built-in <strong>3ds Max</strong> command panels.</p>\n\
<p>For the most part, this works well, particularly for rollouts displayed in the Utilities panel, because there is usually just enough room for one item across.</p>\n\
<p>In some cases, you may want to adjust or override the automatic layout and for this there are a number of definition-line layout parameters you can use.</p>\n\
<p>The user-interface element <span class=\'code\'>&lt;parameters&gt;</span> that can be supplied in the item definition varies with the item type and is defined in each type&#39;s topic, for example spinner ranges, check box initial states, list box contents, and so on.</p>\n\
<p>There is, however, a set of common layout parameters that you can specify on any user-interface item.</p>\n\
<p>Except for the <span class=\'code\'>pos:</span> parameter, these parameters are not properties of the user-interface item and cannot be accessed or changed by a script once the control has been created.</p>\n\
<p>The <strong>common layout parameters</strong> for all user-interface items are:</p>\n\
<div class=\'codeBlock\'><pre>align:#left\n\
align:#center\n\
align:#right\n\
</pre></div><p>Aligns the user-interface item to the left, center, or right in the rollout. Default varies by type.</p>\n\
<div class=\'codeBlock\'><pre>offset: &lt;point2&gt; default: [0,0]\n\
</pre></div><p>Specifies an [x,y] offset in pixels relative to automatic placement. This is applied after all other layout parameters are applied, and can be used to adjust them.</p>\n\
<div class=\'codeBlock\'><pre>width: &lt;number&gt; default: varies\n\
</pre></div><p>Forces the user-interface item to a specified width in pixels. Useful with buttons, for example, which otherwise self-size to their text label. Specifying an explicit width always overrides any widths computed from the <span class=\'code\'>text</span> or <span class=\'code\'>caption</span> properties. For example, if a spinner is given a fixed width that is too small for both label and spinner, it always aligns things to show the spinner and so might push the text out of view.</p>\n\
<div class=\'codeBlock\'><pre>height: &lt;number&gt; default: varies by type\n\
</pre></div><p>Forces the user-interface item to a specified height, typically in pixels. This lets you override the default setting height for user-interface items.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` button foo &quot;Stop&quot; width:75 height:25</p>\n\
<p>```</p>\n\
<p>makes a nice big stop button.</p>\n\
</blockquote>\n\
<p>For <span class=\'code\'>comboBox</span> , <span class=\'code\'>dropdownList</span> and <span class=\'code\'>listBox</span> user-interface items, the height is in text rows.</p>\n\
<p>To have a <span class=\'code\'>comboBox</span> exactly display <span class=\'code\'>N</span> items, set <span class=\'code\'>height</span> to <span class=\'code\'>N+2</span> .</p>\n\
<p>To have a <span class=\'code\'>dropdownList</span> exactly display <span class=\'code\'>N</span> items in the list, set <span class=\'code\'>height</span> to <span class=\'code\'>N+2</span> .</p>\n\
<p>To have a <span class=\'code\'>listBox</span> exactly display <span class=\'code\'>N</span> items, set <span class=\'code\'>height</span> to <span class=\'code\'>N</span> .</p>\n\
<p>Height has no affect on <span class=\'code\'>spinner</span> and <span class=\'code\'>slider</span> user-interface items.</p>\n\
<div class=\'codeBlock\'><pre>across: &lt;number&gt; default: 1\n\
</pre></div><p>Causes this and following <span class=\'code\'>&lt;number&gt;-1</span> items to be laid out horizontally rather than vertically. The <span class=\'code\'>&lt;number&gt;</span> given defines how many items to arrange horizontally. Layout then reverts to normal vertical placement. This parameter effectively divides the utility into the given number of equal-width columns and places items within them using the normal alignment for each item. The other layout parameters can be used with the <strong>across:</strong> parameter to control layout within the item&#39;s column.</p>\n\
<div class=\'codeBlock\'><pre>pos: &lt;point2&gt; default: varies\n\
</pre></div><p>This forces the user-interface item to a fixed [x,y] pixel position in the rollout, with [0,0] at the top-left corner.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` button foo &quot;foo&quot; align:#right -- default alignment is center -- align right and bump this button down a bit: button baz &quot;baz&quot; align:#right offset:[0,6]</p>\n\
<p>```</p>\n\
<p>``` -- put b1, b2, b3 across: checkbutton b1 &quot;yes&quot; across:3 checkbutton b2 &quot;no&quot; checkbutton b3 &quot;maybe&quot;</p>\n\
<p>```</p>\n\
<p>``` -- default alignment is right spinner s1 &quot;Length:&quot; align:#left</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";