var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Angle UI element</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Angle UI element</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"angle-ui-element\"></a></div>\n\
<p>The <strong>Angle</strong> is a UI Control which can be used to draw a circular clock-like element representing an angle in degrees or radians.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>Angle &lt;name&gt; [caption] [color:&lt;color&gt;] [degrees:&lt;float&gt;] [bitmap:&lt;bitmap&gt;] [diameter:&lt;float&gt;] [StartDegrees:&lt;integer&gt;] [StartRadians:&lt;integer&gt;] [dir:&lt;#cw|#ccw&gt;] [range:&lt;point3&gt;] [ radians:&lt;float&gt; ] [ applyUIScaling:&lt;boolean&gt; ]\n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.color color default:(color 0 0 255)   \n\
</pre></div><p>Get/set the angle fill-in color. Setting the color turns off the Bitmap fill.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.bitmap Bitmap default:undefined \n\
</pre></div><p>Get/set the angle fill-in Bitmap. Setting the Bitmap turns off the color fill.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.diameter Integer default:64 \n\
</pre></div><p>Get/set the full diameter of the control, synonymous to .width and .height.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.degrees Float default:0.0 \n\
</pre></div><p>Get/set the current angle in degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.radians Float default:0.0 \n\
</pre></div><p>Get/set the current angle in radians.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.StartDegrees Integerdefault:0 \n\
</pre></div><p>Get/set the start angle in degrees.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.StartRadians Integerdefault:0 \n\
</pre></div><p>Get/set the start angle in radians.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.dir Name default:#ccw \n\
</pre></div><p>Get/set the angle direction. Possible values are #cw for Clockwise and #ccw for Counter-Clockwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Angle&gt;.range \n\
</pre></div><p>Get/set the angle range as a point3 value. The first component defines the min. value, the second is the max. value, the third is the current value. All three values are in degrees.</p>\n\
<p>If min. and max. values have the same sign, click and move in angle UI will give result with the same sign.</p>\n\
<p>If min. and max. values have different signs, shift or ctrl click will give negative result, click will give positive result.</p>\n\
<p>If <span class=\'code\'>range</span> is specified, and <span class=\'code\'>StartDegrees</span> and <span class=\'code\'>StartRadians</span> are not, the z component of range is used as the <span class=\'code\'>StartDegrees</span>.</p>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;Angle&gt; changed &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the angle is being changed . <span class=\'code\'>&lt;arg&gt;</span> is the current degrees value.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;Angle&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the Angle control is right-clicked.</p>\n\
<p>If the handler is not defined, right-clicking the Angle control resets its value.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;Angle Test&quot; ( Angle ang1 &quot;Angle 1&quot; diameter:50 align:#left range:[-180,180,45] startdegrees:0 dir:#cw color:red across:3 Angle ang2 &quot;Angle 2&quot; diameter:50 align:#center range:[0,270,90] startdegrees:90 dir:#ccw color:green Angle ang3 &quot;Angle 3&quot; diameter:50 align:#right range:[0,360,120] startdegrees:270 dir:#cw color:blue spinner val1 fieldwidth:40 align:#left across:3 range:[-180,180,45] spinner val2 fieldwidth:40 align:#center range:[0,270,90] spinner val3 fieldwidth:40 align:#right range:[0,360,120] on ang1 changed val do val1.value = val on ang2 changed val do val2.value = val on ang3 changed val do val3.value = val on val1 changed val do ang1.degrees = val on val2 changed val do ang2.degrees= val on val3 changed val do ang3.degrees= val ) createdialog test 200 110</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3D218258-3A3B-4C81-A680-2A85A2BE6402-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";