var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Bitmap UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Bitmap UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"bitmap-ui-control\"></a></div>\n\
<p>A <strong>bitmap control</strong> is used to place a bitmap image on the rollout.</p>\n\
<p><strong>The syntax is</strong>:</p>\n\
<div class=\'codeBlock\'><pre>bitmap &lt;name&gt; [&lt;caption&gt;] \\\n\
[ fileName:&lt;filename_string&gt; | bitmap:&lt;bitmap&gt; | iconSize:&lt;point2&gt; iconName:&lt;filename&gt; ] \\\n\
[ applyUIScaling:&lt;boolean&gt; ] \n\
</pre></div><p>The default alignment of <span class=\'code\'>bitmap</span> items is <span class=\'code\'>#center</span> .</p>\n\
<p>There is no caption or text displayed with <span class=\'code\'>bitmap</span> items.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout test_bitmaps &quot;Testing Bitmap&quot; ( bitmap the_bmp fileName:&quot;my_pic.bmp&quot; ) createDialog test_bitmaps</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-30F47CFE-6996-48E7-A18E-8799AD4938D9-low.gif\' title=\'\'></div>\n\
<p>Note:</p>\n\
<p>If the bitmap specified by filename cannot be found, the bitmap control will be empty as shown in the screenshot above.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>fileName:   \n\
</pre></div><p>The name of the bitmap file to load and display. The size of the bitmap image in the rollout is the bitmap file image size. The specified file name is searched for in the following directories (in order of search): current MAXScript directory, MAXScript startup directory, MAXScript directory, <strong>3ds Max</strong> bitmap directories, and then the <strong>3ds Max</strong> image directory.</p>\n\
<div class=\'codeBlock\'><pre>bitMap: \n\
</pre></div><p>You can specify a <span class=\'code\'>bitMap:</span> creation parameter in place of the <span class=\'code\'>fileName:</span> parameter that is used to specify a bitmap file. This allows you to use an existing bitmap value, such as those generated by a call to the render function. You can set <span class=\'code\'>bitmap</span> to an &quot;empty&quot; image of a specified size by specifying a bitmap value constructor.</p>\n\
<div class=\'codeBlock\'><pre>iconName: IconSize: \n\
</pre></div><p>These parameters load the name specified by <span class=\'code\'>iconName</span> from the multi-resolution icon from the pre-compiled icon resource file (see the <strong>Icon Guide</strong> in the 3ds Max Developer&#39;s Guide) based on the <span class=\'code\'>iconSize</span> and current display resolution and scaling. The default size is <span class=\'code\'>\\[24x24\\]</span>.</p>\n\
<div class=\'codeBlock\'><pre>applyUIScaling: \n\
</pre></div><p>Indicates whether to apply UI scaling on high-DPI displays. The default is true.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout test_bitmaps &quot;Testing Bitmap&quot; ( bitmap BitmapImage bitmap:(bitmap 50 50 color:blue) ) createDialog test_bitmaps</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9239E229-6EA1-44C1-9F66-E5A45990CF95-low.gif\' title=\'\'></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;.fileName String \n\
</pre></div><p>The bitmap item file name as a string. You can change the image at any time by setting this property to a new name, but it will not resize the display area in the rollout; it will always be the size set from the initial image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;.bitmap TextureMap \n\
</pre></div><p>A write-only property that is used to set the image displayed from a MAXScript bitmap value, as might be derived from functions like <span class=\'code\'>render()</span> or <span class=\'code\'>selectBitmap()</span> . You can change the image at any time by setting this property to a bitmap value, but it will not resize the display area in the rollout; it will always be the size set from the initial image.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;.width Integer \n\
</pre></div><p>Get/set the width of the bitmap item in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;.height Integer \n\
</pre></div><p>Get/set the height of the bitmap item in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;.applyUIScaling Boolean \n\
</pre></div><p>Gets / sets whether UI scaling is applied to the bitmap on high-DPI displays.</p>\n\
<p><strong>Events</strong></p>\n\
<p>-- none --</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";