var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Button UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Button UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"button-ui-control\"></a></div>\n\
<p>A <strong>button control</strong> is used to place a press button on the rollout which the user can click, typically to perform some task.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>button &lt;name&gt; [&lt;caption&gt;] [images:&lt;image_spec_array&gt;] [toolTip:&lt;string&gt;] [border:&lt;boolean&gt;] [iconName:&lt;filename&gt; iconSize:&lt;point2&gt;]\n\
</pre></div><p>The default alignment of <span class=\'code\'>button</span> items is <span class=\'code\'>#center</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout test_buttons &quot;Testing Buttons&quot; ( button theButton iconName:@&quot;PolyTools\\TransformTools\\PB_CW&quot; iconSize:[20,20] button theBorderlessButton &quot;I am a button, too!&quot; border:false on theButton pressed do messagebox &quot;Remember: Never press unknown buttons!&quot; ) createDialog test_buttons 150 60</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-51B42D58-0934-4E95-8EF2-0403EED0026E-low.png\' title=\'\'></div>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>images:   \n\
</pre></div><p>An image-specification array for providing bitmap images for the button. If this is specified, the <span class=\'code\'>&lt;caption&gt;</span> is ignored and the contents of the button are replaced with the bitmaps.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Image-Buttons.html\' title=\'\'>See Image Buttons for details</a></p>\n\
<div class=\'codeBlock\'><pre>toolTip: \n\
</pre></div><p>Provides text for a tooltip for the button; there is no tooltip if not supplied.</p>\n\
<div class=\'codeBlock\'><pre>border: \n\
</pre></div><p>When set to true or not specified, the button will be drawn with a border. This was the default behavior prior to <strong>3ds Max 2009</strong>.</p>\n\
<p>When set to false, the button will be drawn without a border, making it one with the UI background. If the button is enabled, the border will appear when the button is pressed, or upon mouseover.</p>\n\
<div class=\'codeBlock\'><pre>iconName:\n\
</pre></div><p>The filename of an icon to use as an image on the button. If iconName is specified, the caption is ignored. The iconSize specifies the iconName size at 100% DPI scaling. If not specified, the default [24,24] is assumed.</p>\n\
<div class=\'codeBlock\'><pre>iconSize:\n\
</pre></div><p>The size of the icon specified by iconName at 100% DPI scaling.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;button&gt;.images &lt;Array&gt; \n\
</pre></div><p>Sets the image-specification array for the button.</p>\n\
<p>This property is <strong>write-only</strong>.</p>\n\
<p>Setting the value to <span class=\'code\'>undefined</span> will set the control back to displaying its caption rather than images in .</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Image-Buttons.html\' title=\'\'>See Image Buttons for details</a></p>\n\
<div class=\'codeBlock\'><pre>&lt;button&gt;.tooltip &lt;String&gt; \n\
</pre></div><p>Gets or sets the tooltip string of the button.</p>\n\
<div class=\'codeBlock\'><pre>&lt;button&gt;.height &lt;Integer&gt; \n\
</pre></div><p>Gets or sets the button height, in pixels. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;button&gt;.width &lt;Integer&gt; \n\
</pre></div><p>Gets or sets the button width, in pixels. Available in <strong>3ds Max 2019 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( button btn_test &quot;Test&quot; tooltip:&quot;This is a tooltip&quot; ) createDialog test --&gt; Rollout:test --&gt; true test.btn_test.tooltip -- get the tooltip string --&gt; &quot;This is a tooltip&quot; test.btn_test.tooltip = &quot;Now you can get and set the tooltip!&quot; --&gt; &quot;Now you can get and set the tooltip!&quot; test.btn_test.tooltip -- get the new tooltip string --&gt; &quot;Now you can get and set the tooltip!&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;button&gt; pressed do &lt;expr&gt; \n\
</pre></div><p>Called when the user clicks the button.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;button&gt; rightclick do &lt;expr&gt; \n\
</pre></div><p>Called when the right mouse button is released over the button.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";