var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Checkbox UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Checkbox UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"checkbox-ui-control\"></a></div>\n\
<p>A <strong>checkbox control</strong> is used to place a check box on the rollout. The user can click to successively switch between states.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>checkbox &lt;name&gt; [&lt;caption&gt;] [checked:&lt;boolean&gt;] [triState:&lt;integer&gt;][tooltip:&lt;string&gt;] [iconName:&lt;filename&gt; iconSize:&lt;point2&gt;]\n\
</pre></div><p>The default alignment of <span class=\'code\'>checkbox</span> items is <span class=\'code\'>#left</span> .</p>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>checked:   \n\
</pre></div><p>Initial state of the check box, defaults to <span class=\'code\'>false</span> (unchecked).</p>\n\
<div class=\'codeBlock\'><pre>triState: \n\
</pre></div><p>An integer value controlling the checked state of the checkbox as follows:</p>\n\
<p><strong>0</strong> - unchecked (checked:false)</p>\n\
<p><strong>1</strong> - checked (checked:true)</p>\n\
<p><strong>2</strong> - indeterminate (checked:true)</p>\n\
<p>When set to 2 (indeterminate), the checkbox will be displayed as greyed out and checked at the same time. Note that <span class=\'code\'>triState</span> : has a higher priority than <span class=\'code\'>checked</span> : which means that if you set the parameter <span class=\'code\'>checked</span> : to <span class=\'code\'>false</span> and the parameter <span class=\'code\'>triState</span> : to <span class=\'code\'>2</span> , the <span class=\'code\'>.checked</span> property will return <span class=\'code\'>true</span> . The <span class=\'code\'>checked</span> : parameter / property remains <span class=\'code\'>&lt;boolean&gt;</span> for backwards compatibility.</p>\n\
<p>Clicking an indeterminate checkbox changes its state to unchecked.</p>\n\
<div class=\'codeBlock\'><pre>tooltip: \n\
</pre></div><p>A string defining the tooltip to be displayed when the mouse rolls over the checkbox. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>iconName:\n\
</pre></div><p>The filename of an icon to use as an image on the button. If iconName is specified, the caption is ignored. The iconSize specifies the iconName size at 100% DPI scaling. If not specified, the default [24,24] is assumed.</p>\n\
<div class=\'codeBlock\'><pre>iconSize:\n\
</pre></div><p>The size of the icon specified by iconName at 100% DPI scaling.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;checkbox&gt;.checked Boolean \n\
</pre></div><p>The state of the check box, on ( <span class=\'code\'>true</span> ) or off ( <span class=\'code\'>false</span> ).</p>\n\
<div class=\'codeBlock\'><pre>&lt;checkbox&gt;.state Boolean \n\
</pre></div><p>Synonym for <span class=\'code\'>.checked</span></p>\n\
<div class=\'codeBlock\'><pre>&lt;checkbox&gt;.triState Integer \n\
</pre></div><p>Get/Set the state of the checkbox to checked, unchecked or indeterminate. See the <span class=\'code\'>triState:</span> parameter for details.</p>\n\
<div class=\'codeBlock\'><pre>&lt;checkbox&gt;.tooltip String \n\
</pre></div><p>Get/set the tooltip of the checkbox. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>Note:</p>\n\
<p>A limitation in the MS Windows implementation of the tooltips causes only the first 80 characters of the tooltip string to be returned to MAXScript.</p>\n\
<p>Tooltips of any length can be SET though.</p>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;checkbox&gt; changed &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user clicks the check box to check or uncheck it. The <span class=\'code\'>&lt;arg&gt;</span> argument contains the new state of the check box, on ( <span class=\'code\'>true</span> ) or off ( <span class=\'code\'>false</span> ).</p>\n\
<p>Note: The <span class=\'code\'>&lt;arg&gt;</span> is a local variable in the context of the event handler - you can use it inside the handler to act according to the new state of the checkbox.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` utility testCheckBox &quot;Test The CheckBox&quot; ( checkbox myCheckBox &quot;Click Me&quot; -- theState is a user variable name that will contain the state -- of the checkbox whenever the change handler is executed on myCheckBox changed theState do messagebox (&quot;Checkbox state is &quot; + theState as string) ) -- end utility</p>\n\
<p>```</p>\n\
<p>The above is <strong>equivalent</strong> to using</p>\n\
<p><span class=\'code\'>on myCheckBox changed theState do   messagebox (&quot;Checkbox state is &quot; + myCheckBox as string)                                             .state</span></p>\n\
<p>``` or</p>\n\
<p>```</p>\n\
<p><span class=\'code\'>on myCheckBox changed theState do   messagebox (&quot;Checkbox state is &quot; + myCheckBox as string)                                          .checked</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;checkbox&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the Checkbox control is right-clicked.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";