var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Colorpicker UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Colorpicker UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"colorpicker-ui-control\"></a></div>\n\
<p>A <strong>colorpicker control</strong> is used to place a <strong>3ds Max</strong> color selection swatch on the rollout. The user can click the swatch to display a Color Selector dialog or drag colors to or from it.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>colorpicker &lt;name&gt; [ &lt;caption&gt; ] [color:&lt;color&gt;] [alpha:&lt;boolean&gt;] [fieldWidth:&lt;number&gt;] [height:&lt;number&gt;] [modal:&lt;boolean&gt;] [title:&lt;string&gt;] [toolTip:&lt;string&gt;]\n\
</pre></div><p>The default alignment of <span class=\'code\'>colorpicker</span> items is <span class=\'code\'>#left</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout change_wirecolor &quot;Object Color Changer&quot; ( colorpicker theColor &quot;Wireframe color:&quot; color:[0,0,255] modal:false on theColor changed new_col do selection.wirecolor = new_col ) createDialog change_wirecolor</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-511AC31D-0FC5-45E1-A6CE-796619D3B786-low.gif\' title=\'\'></div>\n\
<p>In this example, the color picker is set to non-modal, which means that changing the color value will change the wireframe color of all selected objects instantly and interactively. Setting <span class=\'code\'>modal:</span> to <span class=\'code\'>true</span> would let the user adjust the color without feedback in the viewports and assign the result using the OK button.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>color:\n\
</pre></div><p>Initial color of the swatch. Defaults to blue.</p>\n\
<div class=\'codeBlock\'><pre>title:\n\
</pre></div><p>The title displayed on the Color Selector dialog. Defaults to &quot;Choose a color&quot;.</p>\n\
<div class=\'codeBlock\'><pre>fieldWidth:\n\
</pre></div><p>The width in pixels of the swatch. Defaults to 40.</p>\n\
<div class=\'codeBlock\'><pre>height:\n\
</pre></div><p>The height in pixels of the swatch. Defaults to 16.</p>\n\
<div class=\'codeBlock\'><pre>modal:\n\
</pre></div><p>By default, the color picker is declared as modal which prevents key strokes from being passed to <strong>3ds Max</strong>. When the keyword argument <span class=\'code\'>modal:</span> is set to <span class=\'code\'>false</span> , the color picker will enable the shortcuts.</p>\n\
<div class=\'codeBlock\'><pre>alpha:\n\
</pre></div><p>When set to <span class=\'code\'>true</span> , clicking the color swatch brings up the color picker with alpha support. Defaults to <span class=\'code\'>false</span> . If the color swatch is tied to an <span class=\'code\'>#acolor</span> of <span class=\'code\'>#point4</span> parameter, this parameter is automatically set to <span class=\'code\'>true</span> . Available in <strong>3ds Max 6 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>toolTip:\n\
</pre></div><p>Provides text for a tooltip for the colorpicker; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;colorpicker&gt;.color Color\n\
</pre></div><p>The current swatch color.</p>\n\
<div class=\'codeBlock\'><pre>&lt;colorpicker&gt;.alpha Boolean\n\
</pre></div><p>When set to <span class=\'code\'>true</span> , clicking the color swatch brings up the color picker with alpha support.(Previously available in <strong>3ds Max 6</strong> as construction parameter only).</p>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;colorpicker&gt; changed &lt;arg&gt; do &lt;expr&gt;\n\
</pre></div><p>Called when the user selects a new color in the open Color Selector dialog for this swatch or drops a new color on it. The <span class=\'code\'>&lt;arg&gt;</span> argument contains the newcolor.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";