var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Combobox UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Combobox UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"combobox-ui-control\"></a></div>\n\
<p>A <strong>combobox control</strong> is used to place a combo box list in the rollout. This is a variant of the drop-down list in which the list is always fully displayed in the rollout with an additional edit-text box at the top of the list where the current selection is placed and may be edited. The user can scroll the list or click to select an item in the list.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>combobox &lt;name&gt; [ &lt;caption&gt; ] [items:&lt;array_of_strings&gt;] [selection:&lt;number&gt;] [height:&lt;number&gt;] [toolTip:&lt;string&gt;]\n\
</pre></div><p>The default alignment of <span class=\'code\'>combobox</span> items is <span class=\'code\'>#left</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout combobox_test &quot;Combo Box&quot; ( combobox scale_cb &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;) on scale_cb selected i do format &quot;You selected &#39;%&#39;!\\n&quot; scale_cb.items[i] ) createDialog combobox_test combobox_test.scale_cb.selected = &quot;new item text&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>text:\n\
</pre></div><p>The text string in the edit box.</p>\n\
<div class=\'codeBlock\'><pre>items:\n\
</pre></div><p>The array of text strings that are the items in the list</p>\n\
<div class=\'codeBlock\'><pre>selection:\n\
</pre></div><p>The 1-based number of the currently selected item in the list. Defaults to 1.</p>\n\
<div class=\'codeBlock\'><pre>height:\n\
</pre></div><p>The overall height of the <span class=\'code\'>combobox</span> in number of item lines. Defaults to 10 lines. To have a <span class=\'code\'>combobox</span> display exactly <span class=\'code\'>N</span> items in the list, set height to <span class=\'code\'>N+2</span> .</p>\n\
<p>The minimum height value is clamped to 1 line.</p>\n\
<div class=\'codeBlock\'><pre>toolTip:\n\
</pre></div><p>Provides text for a tooltip for the edit box of the <span class=\'code\'>combobox</span> ; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;combobox&gt;.caption String\n\
</pre></div><p>The text of the optional caption above the combo box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;combobox&gt;.text String\n\
</pre></div><p>The text in the edit box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;combobox&gt;.items Array of Strings\n\
</pre></div><p>The item string array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;combobox&gt;.selection Integer\n\
</pre></div><p>The currently selected item number, 1-based. If the items list is an empty array, this value is 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;combobox&gt;.selected String\n\
</pre></div><p>The text of the currently selected item. Can be used to replace individual items without resetting the entire <span class=\'code\'>items</span> array. If the items list is an empty array, this value is <span class=\'code\'>undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;combobox&gt;.width Integer\n\
</pre></div><p>Get/set the width of the combobox list window in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;combobox&gt;.height Integer\n\
</pre></div><p>Get/set the height of the combobox list window in pixels.</p>\n\
<blockquote>\n\
<p>Note: As constructor parameter, the <span class=\'code\'>height</span> <strong>:</strong> specifies the height <strong>in lines of text</strong>, while the <span class=\'code\'>.height</span> property is the height of the combobox in pixels!</p>\n\
<p>The <span class=\'code\'>.height</span> property does not include the height of the edit-text box. The minimum height setting is clamped at 0 pixels.</p>\n\
</blockquote>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;combobox&gt; selected &lt;arg&gt; do &lt;expr&gt;\n\
</pre></div><p>Called when the user selects an item in the combo box list. The <span class=\'code\'>&lt;arg&gt;</span> argument contains the new current selection item number.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;combobox&gt; doubleClicked &lt;arg&gt; do &lt;expr&gt;\n\
</pre></div><p>Called when the user double-clicks an item in the list. Note that the <span class=\'code\'>on selected</span> handler is always called on single clicks and on the first click of a double-click. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the number of the item double-clicked.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout combobox_test &quot;Combo Box&quot; ( combobox scale_cb &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;) on scale_cb doubleClicked itm do format &quot;You double-clicked &#39;%&#39;!\\n&quot; scale_cb.items[itm] ) createDialog combobox_test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;combobox&gt; entered &lt;arg&gt; do &lt;expr&gt;\n\
</pre></div><p>Called when the user changes the text in the edit box then changes the focus away from the edit box. This handler is not called if the user presses ENTER. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the new text in the edit box.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout combobox_test &quot;Combo Box&quot; ( combobox scale_cb &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;) on scale_cb entered txt do scale_cb.selected = txt ) createDialog combobox_test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;combobox&gt; changed &lt;arg&gt; do &lt;expr&gt;\n\
</pre></div><p>Called for each individual character change the user performs in the edit box. This handler is not called when the user presses ENTER or changes the focus away from the edit box. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the new text in the edit box.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;combobox&gt; rightClick do &lt;expr&gt;\n\
</pre></div><p>Called when the user right-clicks the Combobox control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";