var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Curve Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Curve Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"curve-control\"></a></div>\n\
<p>You can create CurveControls in scripted rollouts by using the following syntax:</p>\n\
<div class=\'codeBlock\'><pre>CurveControl &lt;name&gt; [&lt;caption&gt;] \\\n\
[visible:&lt;boolean&gt;] [numCurves:&lt;integer&gt;] \\\n\
[x_range:&lt;point2&gt; ] [y_range:&lt;point2&gt;] \\ \n\
[x_value:&lt;float&gt; ] \\ \n\
[zoomValues:&lt;point2&gt;] [scrollValues:&lt;point2&gt;] \\\n\
[displayModes:&lt;bitarray&gt;] \\\n\
[commandMode:&lt;#move_xy | #move_x | #move_y | #scale | #corner | #bezier] \\\n\
[uiFlags:&lt;array_of_ui_flags&gt; ] \\\n\
[rcmFlags:&lt;array_of_rcm_flags&gt;] [asPopup:&lt;boolean&gt;]\n\
uiFlags: \n\
</pre></div><p>Any combination of the following flags:</p>\n\
<div class=\'codeBlock\'><pre>#drawBG - Specifies to draw the white background in the graph window.   \n\
#drawgrid - Specifies to draw the grid lines and coordinates in the graph window.   \n\
#upperToolbar - Specifies to draw the upper toolbar above the control.   \n\
#showReset - Specifies to display the Reset button in the upper toolbar.   \n\
#lowerToolbar - Specifies to draw the lower toolbar beneath the control.   \n\
#scrollBars - Specifies to draw the horizontal and vertical scroll bars for the control.   \n\
#autoScroll - Specifies to do auto scrolling. Auto scroll happens when you drag a CurvePoint out of the currently visible range. In case you&#39;re zoomed in, the window will automatically scroll.   \n\
#ruler - Specifies to draw a small moveable ruler window (measures horizontal coordinates).   \n\
#constrainY - Specifies that no points (or handles) can be moved out of the value that is set bySetYRange().   \n\
#hideDisabled - Specifies that disabled curves won&#39;t be displayed at all.   \n\
#all - All the listed uiFlags are on except #singleSelect, #noFilterButtons, and #xvalue   \n\
#xvalue - Specifies to draw a vertical bar over the graph to show the current X value   \n\
#singleSelect - this flag allows the user to single select a point. Normally if a bunch of points are stacked in area if you click on the area you get all of them. With this flag you get the first one   \n\
#noFilterButtons - this flag turns off the curve visible/editable toggle in the top of the menu bar \n\
rcmFlags: \n\
</pre></div><p>Any combination of the following flags:</p>\n\
<div class=\'codeBlock\'><pre>#move_xy, \n\
#move_x, \n\
#move_y, \n\
#scale, \n\
#corner, \n\
#bezier, \n\
#delete, \n\
#all \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.visible : Boolean \n\
</pre></div><p>When set to false, the CurveControl is invisible. When set to true, it is visible.</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.x_range : Point2 \n\
</pre></div><p>Specifying x_range sets the absolute position of the first and last CurvePoints. That is, the X value for the first and last CurvePoints is always specified by x_range.</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.y_range : Point2 \n\
</pre></div><p>Sets the absolute upper and lower Y-constraint. This method only has an effect if the <span class=\'code\'>uiFlags</span> option <span class=\'code\'>#constrainY</span> is specified.</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.x_value : Float \n\
</pre></div><p>This property is used to show a vertical line in the graph window if the <span class=\'code\'>uiFlags</span> option <span class=\'code\'>#xvalue</span> is specified.</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.displayModes : BitArray \n\
</pre></div><p>The Bits in the BitArray control which of the available Curves are displayed. When the BitArray is empty {}, no curves are shown, when bit 1 is set {1}, the first curve is displayed, when bit 2 is set {2}, the second curve is displayed and so on. When two or more bits are set, multiple curves are displayed at the same time, for example {1..2} shows the first two curves, {1,3} shows curves 1 and 3, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.commandMode : Name \n\
</pre></div><p>Get/Set the current command mode. Possible values are: <span class=\'code\'>#move_xy, #move_x, #move_y, #scale, #corner, #bezier</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.zoomValues : Point2 \n\
</pre></div><p>Get/Set the horizontal and vertical zoom values. The higher the value, the closer the zoom (the lower the displayed values relative to the x and y ranges).</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.scrollValues : Point2 \n\
</pre></div><p>Get/Set the horizontal and vertical scroll values.</p>\n\
<div class=\'codeBlock\'><pre>&lt;curvecontrol&gt;.curves : Array, read-only \n\
</pre></div><p>Returns an array of curves of type MAXCurve</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>zoom &lt;curvecontrol&gt; #all \n\
</pre></div><p>Perform a zoom extents all.</p>\n\
<p><strong>Events</strong></p>\n\
<p>In the following events <span class=\'code\'>&lt;ci&gt;</span> represents the active Curve Index.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;curvecontrol&gt; selChanged &lt;ci&gt; &lt;val&gt; do &lt;expr&gt; \n\
</pre></div><p>Sent when a point is selected or deselected. <val> is the number of points, which are selected.<p>\n\
<div class=\'codeBlock\'><pre>on &lt;curvecontrol&gt; ptChanged &lt;ci&gt; &lt;val&gt; do &lt;expr&gt; \n\
</pre></div><p>Sent when a point is changed, <val> is the index of the changed point<p>\n\
<div class=\'codeBlock\'><pre>on &lt;curvecontrol&gt; tangentChanged &lt;ci&gt; &lt;val&gt; type do &lt;expr&gt; \n\
</pre></div><p>Sent when a point&#39;s in or out tangent is changed, <val> is the index of the changed point.<p>\n\
<p>type is #inTangent or #outTangent, depending on what changed.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;curvecontrol&gt; deleted &lt;ci&gt; &lt;val&gt; do &lt;expr&gt; \n\
</pre></div><p>Sent when a point is deleted, val is the index of the deleted point.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;curvecontrol&gt; reset &lt;ci&gt; do &lt;expr&gt; \n\
</pre></div><p>Sent when a curve is reset</p>\n\
<div class=\'codeBlock\'><pre>on &lt;curvecontrol&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the user right-clicks the Curvecontrol control.</p>\n\
<p>If not defined, the curve control provides its own internal right-click handler.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"cccurve\"></a><h2 id=\"cccurve\">ccCurve</h2></div>\n\
<p><span class=\'code\'>ccCurve</span> represents a single curve in a curve control</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.animatable : Boolean \n\
</pre></div><p>When set to true, the curve points can be keyframed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.color : Color \n\
</pre></div><p>Get/Set the color of the curve when it is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.disabledColor : Color \n\
</pre></div><p>Get/Set the color of the curve when it is disabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.width : Integer \n\
</pre></div><p>Get/Set the width of the curve when it is enabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.disabledWidth : Integer \n\
</pre></div><p>Get/Set the width of the curve when it is disabled.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.disabledStyle : Name \n\
&lt;ccCurve&gt;.style : Name \n\
</pre></div><p>These are the drawing styles for the curve when disabled and enabled. Possible values are:</p>\n\
<div class=\'codeBlock\'><pre>#solid, #dash, #dot, #dashDot, #dashDotDot, #null, #insideFrame \n\
&lt;ccCurve&gt;.lookupTableSize : Integer \n\
</pre></div><p>This method sets the size of the Curve Control lookup table. The lookup table allows users of the Curve Control to easily speed up their value access. The default value for the lookup table size is 1000. Used when getValue() is called on the curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.numPoints : Integer \n\
</pre></div><p>Get/Set the number of points in the curve.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccCurve&gt;.points : Array, read-only \n\
</pre></div><p>Returns a CurvePointsArray</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>getValue ccCurve &lt;time_value&gt; &lt;float_x&gt; [lookup:&lt;false&gt;] \n\
</pre></div><p>Returns a Point2 value corresponding to the specified X position along the curve at the specified time.</p>\n\
<div class=\'codeBlock\'><pre>isAnimated ccCurve &lt;index&gt; \n\
</pre></div><p>Returns a true if the curve&#39;s indexed point is animated (has keys), false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>getSelectedPts ccCurve \n\
</pre></div><p>Returns a BitArray with bits set for selected points.</p>\n\
<div class=\'codeBlock\'><pre>setSelectedPts &lt;ccCurve&gt; &lt;bitarray&gt; [#select] [#deSelect] [#clear] \n\
</pre></div><p>Selects the points specified by the bits in the bitArray.</p>\n\
<div class=\'codeBlock\'><pre>setPoint &lt;ccCurve&gt; &lt;index&gt; &lt;ccpoint&gt; [checkConstraints:&lt;true&gt;] \n\
</pre></div><p>Sets the indexed point on the curve to the specified value. If checkConstraints is set to true, the point will be constrained.</p>\n\
<div class=\'codeBlock\'><pre>getPoint &lt;ccCurve&gt; &lt;index&gt; \n\
</pre></div><p>Returns the Point2 value of the indexed point on the curve.</p>\n\
<div class=\'codeBlock\'><pre>insertPoint &lt;ccCurve&gt; &lt;index&gt; &lt;ccpoint&gt; \n\
</pre></div><p>Inserts a new point at the indexed position with the specified value.</p>\n\
<div class=\'codeBlock\'><pre>deletePoint &lt;ccCurve&gt; &lt;index&gt; \n\
</pre></div><p>Deletes the indexed point from the curve.</p>\n\
<p><span class=\'code\'>CurvePointsArray</span> represents an array of curve points.</p>\n\
<p><span class=\'code\'>CurvePointValue</span> represents a curve point.</p>\n\
<div class=\'section\'><a id=\"curvepointvalue\"></a><h2 id=\"curvepointvalue\">CurvePointValue</h2></div>\n\
<p><span class=\'code\'>CurvePointValue</span> represents a curve point. You can create a curve point as follows:</p>\n\
<div class=\'codeBlock\'><pre>ccPoint &lt;pt_point2&gt; &lt;in_point&gt; &lt;out_point2&gt; \\ [bezier:&lt;false&gt;] [corner:&lt;false&gt;] [lock_x:&lt;false&gt;] \\ [lock_y:&lt;false&gt;] \\ [select:&lt;false&gt;] [end:&lt;false&gt;] \\ [noXConstraint:&lt;false&gt;] \n\
</pre></div><p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.value : Point2 \n\
</pre></div><p>Returns the Point2 value of the point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.inTangent : Point2 \n\
</pre></div><p>Returns the Point2 value of the point&#39;s inTangent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.outTangent : Point2 \n\
</pre></div><p>Returns the Point2 value of the point&#39;s outTangent.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.bezier : Boolean \n\
</pre></div><p>When set to true, the point behaves as a Bezier point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.corner : Boolean \n\
</pre></div><p>When set to true, the point behaves as a Corner point. If the .bezier property is set to true, the point becomes a Bezier-Corner.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.lock_x : Boolean \n\
</pre></div><p>When set to true, the point is locked along X.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.lock_y : Boolean \n\
</pre></div><p>When set to true, the point is locked along Y.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.selected : Boolean \n\
</pre></div><p>When set to true, the point is selected.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.end : Boolean \n\
</pre></div><p>When true, no point is an end point.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ccpoint&gt;.noXConstraint : Boolean \n\
</pre></div><p>When set to false, the X coordinate is constrained. When set to true, no X constraints are imposed on the point.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout uTestCurveControl &quot;Curve Control&quot; ( -- Curve control Properties local ccProps = #( #visible, #numCurves, #x_range, #y_range, #displayModes, #zoomValues, #scrollValues, #commandMode) -- Curve properties local curveProps = #( #name, #animatable, #color, #disabledColor, #width, #disabledWidth, #style, #disabledStyle, #numPoints, #lookupTableSize) -- Curve Point properties local cpProps = #( #value, #inTangent, #outTangent, #bezier, #corner, #lock_x, #lock_y, #selected, #end, #noXConstraint) button btn_props &quot;Print Properties&quot; checkBox chk_visible &quot;Visible&quot; checked:true checkBox chk_enable &quot;Enable&quot; checked:true CurveControl cc_test &quot;Curve Control:&quot; height:200 width:400 align:#center numCurves:2 visible:true x_range:[-100,100] y_range:[-100,100] scrollValues:[-100,100] commandMode:#move_xy -- The following parameters default to all flags if not specified --uiFlags:#(#drawBG, #drawgrid, #upperToolbar, #showReset, #scrollBars, #constrainY, #xvalue) rcmFlags:#(#delete) asPopup:false on chk_visible changed state do cc_test.visible = state on chk_enable changed state do cc_test.enabled = state on uTestCurveControl open do ( zoom cc_test #all local colors = #(red, green, blue) local styles = #(#solid, #dash, #dot, #dashDot, #dashDotDot, #null, #insideFrame) local num = cc_test.numCurves -- Initialize curve properties for i=2 to num do ( local crv = cc_test.curves[i] local ci = ((mod (i-1) colors.count)+1) as integer local si = ((mod (i-1) styles.count)+1) as integer crv.name = &quot;Curve&quot; + i as string crv.color = colors[ci] crv.disabledColor = colors[ci]<em>0.5 crv.style = styles[si] --crv.width = crv.disabledWidth = i crv.numPoints = i</em>2 local del = (cc_test.x_range.y - cc_test.x_range.x)/(crv.numPoints-1) -- format &quot;del:%\\n&quot; del -- Place intermediate points equally spaced for j=1 to crv.numPoints do ( local cp = crv.points[j] format &quot;% end: % -&gt; &quot; j cp.end --cp.corner = true cp.value = [cc_test.x_range.x+(j-1)*del, cp.value.y] cp.inTangent = [0.2,0.2] cp.outTangent = [0.2,-0.2] crv.points[j] = cp format &quot;%\\n&quot; crv.points[j].end format &quot;value: %\\n&quot;crv.points[j].value ) ) ) on btn_props pressed do ( local tab =&quot;\\t&quot; -- print the CC properties format &quot;Curve Control Properties\\n&quot; for p in ccProps do format (tab +&quot;% : %\\n&quot;) (p as string) (getProperty cc_test p) format (tab + &quot;Curves:\\n&quot;) tab += &quot;\\t&quot; for i=1 to cc_test.numCurves do ( local crv = cc_test.curves[i] -- print each Curve&#39;s properties format (tab + &quot;Curve%\\n&quot;) i for p in curveProps do format (tab + &quot;\\t% : %\\n&quot;) (p as string) (getProperty crv p) format (tab + &quot;\\tPoints:\\n&quot;) for j=1 to crv.numPoints do ( local cp = crv.points[j] format (tab + &quot;\\t\\tPoint%\\n&quot;) j -- Print each curve point properties for pp in cpProps do format (tab + &quot;\\t\\t\\t% : %\\n&quot;) (pp as string) (getProperty cp pp) ) ) ) -- Curve control event handlers on cc_test selChanged ci val do format &quot;curve % numSelected : %\\n&quot; ci val on cc_test ptChanged ci val do format &quot;curve % ptChanged : %\\n&quot; ci val on cc_test tangentChanged ci val type do format &quot;curve % tangentChanged : % %\\n&quot;ci val (type as string) on cc_test deleted ci pi do format &quot;curve % deleted : %\\n&quot; ci pi on cc_test reset ci do format &quot;curve % resetted\\n&quot; ci ) curveFloater = newRolloutFloater &quot;Curve Control Test&quot; 500 400 addRollout uTestCurveControl curveFloater</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-711C8A4D-D2B8-4221-ABFF-70557191AD51-low.gif\' title=\'\'></div>\n\
</val></val></val>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";