var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Dropdownlist UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Dropdownlist UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"dropdownlist-ui-control\"></a></div>\n\
<p>A <strong>dropdownlist control</strong> is used to place a drop-down list in the rollout. The user can click open the list and scroll or click again to select an item in the list.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>dropdownlist &lt;name&gt; [&lt;caption&gt;] [items:&lt;array_of_strings&gt;] [selection:&lt;number&gt;] [height:&lt;number&gt;] [tooltip:&lt;string&gt;] \n\
</pre></div><p>The default alignment of <span class=\'code\'>dropdownList</span> items is <span class=\'code\'>#left</span> .</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout ddl_test &quot;Drop-Down List&quot; ( dropdownlist scale_dd &quot;Scale&quot; items:#(&quot;1/2&quot;, &quot;1/4&quot;, &quot;1/8&quot;, &quot;1/16&quot;) on scale_dd selected i do format &quot;You selected &#39;%&#39;!\\n&quot; scale_dd.items[i] ) createDialog ddl_test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>items:   \n\
</pre></div><p>The array of text strings that are the items in the list.</p>\n\
<div class=\'codeBlock\'><pre>selection: \n\
</pre></div><p>The 1-based number of the currently selected item in the list. Defaults to 1.</p>\n\
<div class=\'codeBlock\'><pre>height: \n\
</pre></div><p>The overall height of the <span class=\'code\'>dropdownlist</span> in number of item lines. Defaults to 10 lines. To have a <span class=\'code\'>dropdownlist</span> exactly display <span class=\'code\'>N</span> items in the list, set height to <span class=\'code\'>N+1</span> .</p>\n\
<p>The minimum height value is clamped to 1 line.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( dropdownlist dd &quot;dd&quot;<br> items:#(&quot;1&quot;,&quot;2&quot;,&quot;3&quot;,&quot;4&quot;,&quot;5&quot;,&quot;6&quot;,&quot;7&quot;,&quot;8&quot;,&quot;9&quot;,&quot;10&quot;) height:6 label l &quot;L&quot; ) createDialog test 200 200 --You will get 5 items in the dropdown list. --Change height to 5, and you will get 4.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>tooltip: \n\
</pre></div><p>A string defining the tooltip to be displayed when the mouse rolls over the dropdownlist. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;dropdownlist&gt;.items Array \n\
</pre></div><p>Get/Set the item string array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;dropdownlist&gt;.selection Integer \n\
</pre></div><p>The currently selected item number, 1-based. If the items list is an empty array, this value is 0.</p>\n\
<div class=\'codeBlock\'><pre>&lt;dropdownlist&gt;.selected String \n\
</pre></div><p>The text of the currently selected item. Can be set to replace individual items without resetting the entire <span class=\'code\'>*items*</span> array. If the items list is an empty array, this value is <span class=\'code\'>undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>&lt;dropdownlist&gt;.width Integer \n\
</pre></div><p>Get/set the width of the dropdownlist in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;dropdownlist&gt;.height Integer \n\
</pre></div><p>Get/set the height of the dropdownlist <strong>in pixels</strong>. (as opposed to lines as expected in the height: creation parameter!)</p>\n\
<div class=\'codeBlock\'><pre>&lt;dropdownlist&gt;.tooltip String \n\
</pre></div><p>Get/set the tooltip of the dropdownlist. Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>Note:</p>\n\
<p>A limitation in the MS Windows implementation of the tooltips causes only the first 80 characters of the tooltip string to be returned to MAXScript.</p>\n\
<p>Tooltips of any length can be SET though.</p>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;dropdownlist&gt; selected &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user selects an item in the drop-down list. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the new current selection item number.</p>\n\
<p>Note:</p>\n\
<p>The event handler function selected() is named identically to the .selected property, which effectively hides the function and does not allow the user to call the handler from other parts of the script the way it is possible with all other event handlers of UI controls.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'>See the following entry in the Frequently Asked Questions for a workaround:</p>\n\
<p><a href=\'#!/url=./developer/Frequently-Asked-Questions/Practical-Questions/Working-with-Scripted-UI/How-do-I-call-the-dropdownList.html\' title=\'\'>How do I call the dropdownList Selected handler as a function?</a></p>\n\
<div class=\'codeBlock\'><pre>on &lt;dropdownlist&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the user right-clicks the Dropdownlist control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";