var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Edittext UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Edittext UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"edittext-ui-control\"></a></div>\n\
<p>An <strong>edittext control</strong> is used to place an editable text field where the user can type and edit text.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>edittext &lt;name&gt; [&lt;caption&gt;] [text:&lt;string&gt;] [fieldWidth:&lt;integer&gt;] [height:&lt;integer&gt;] [bold:&lt;boolean&gt;] [labelOnTop:&lt;boolean&gt;] [readOnly:&lt;boolean&gt;] [toolTip:&lt;string&gt;] [multiLine:&lt;boolean&gt;]\n\
</pre></div><p>The default alignment of <span class=\'code\'>edittext</span> items is <span class=\'code\'>#left</span> .</p>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>text:   \n\
</pre></div><p>The text string in the edit box. To specify a multiline text as parameter, both carriage return \\r and new line \\n sequences should be specified, for example &quot;First Line \\r\\nSecond Line&quot;.</p>\n\
<div class=\'codeBlock\'><pre>fieldWidth: \n\
</pre></div><p>The width in pixels of the edit box. By default, the width is set to be from just after the caption text to the right margin of the rollout.</p>\n\
<div class=\'codeBlock\'><pre>height: \n\
</pre></div><p>If an explicit <span class=\'code\'>height:</span> parameter is supplied on an edittext item definition that specifies a pixel height greater than one line of text (17 pixels), that edittext item becomes a multi-line edit box, allowing multiple lines of text to be entered.</p>\n\
<p>Note: You can override this behavior by setting <span class=\'code\'>multiLine</span> to false. See below.</p>\n\
<blockquote>\n\
<p>Warning: If you specify the height of the edittext to be 17 pixels or more, OR <span class=\'code\'>.multiLine</span> was specified as true regardless of the <span class=\'code\'>.height</span>, the <span class=\'code\'>on entered</span> event handler will not be called since the edittext will be in multi-line mode!</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>bold: \n\
</pre></div><p>If set to <span class=\'code\'>true</span> , the text string in the edit box is displayed in bold format, if set to <span class=\'code\'>false</span> , in normal, non-bold format. The default value is <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>labelOnTop: \n\
</pre></div><p>If set to <span class=\'code\'>true</span> , the caption is placed above the edit text box. If <span class=\'code\'>false</span> or not specified, the caption is placed to the left of the edit text box.</p>\n\
<div class=\'codeBlock\'><pre>readOnly: \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the user cannot copy and paste or enter text in the edittext control. When <span class=\'code\'>false</span> or not specified, the user can enter, copy and paste text in the edittext control.</p>\n\
<div class=\'codeBlock\'><pre>toolTip:\n\
</pre></div><p>Provides text for a tooltip for the EditText; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>multiLine:\n\
</pre></div><p>Specifies whether the edittext control is a multi-line control. This argument overrides the behavior where any height larger than 17 automatically causes the control to become a multi-line control. So, for example, an edittext displaying a single line can be made multiline, and conversely an edittext with a height of 34 can be forced to be a single-line control. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;edittext&gt;.text String \n\
</pre></div><p>The text in the edit box. To specify a multiline text as parameter, both carriage return \\r and new line \\n sequences should be specified, for example &quot;First Line \\r\\nSecond Line&quot;.</p>\n\
<div class=\'codeBlock\'><pre>&lt;edittext&gt;.caption String \n\
</pre></div><p>The text of the optional caption next to the edit box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;edittext&gt;.bold Boolean \n\
</pre></div><p>If <span class=\'code\'>true</span> , the text is displayed in bold format, if <span class=\'code\'>false</span> , in normal, non-bold format.</p>\n\
<div class=\'codeBlock\'><pre>&lt;edittext&gt;.width Integer \n\
</pre></div><p>Get/set the width of the edittext window in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;edittext&gt;.height Integer \n\
</pre></div><p>Get/set the height of the edittext window in pixels.</p>\n\
<div class=\'codeBlock\'><pre>&lt;edittext&gt;.readOnly \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the user cannot copy and paste or enter text in the edittext control. When <span class=\'code\'>false</span> or not specified, the user can enter, copy and paste text in the edittext control.</p>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;edittext&gt; changed &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called each time the user changes the text in the edit box; the <span class=\'code\'>&lt;arg&gt;</span> argument will contain the new text in the edit box.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;edittext&gt; entered &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user enters text in the edit box and then presses ENTER or TAB to move the cursor out of the field. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the new text in the edit box.</p>\n\
<blockquote>\n\
<p>Warning: ONCE AGAIN, IN CASE YOU MISSED THE PREVIOUS Warning, if you specify the <span class=\'code\'>.height</span> of the edittext to be 17 pixels or more, OR <span class=\'code\'>.multiLine</span> was specified as true regardless of the <span class=\'code\'>.height</span>, the <span class=\'code\'>on entered</span> event handler will not be called since the edittext will be in multi-line mode!</p>\n\
</blockquote>\n\
<p>In <strong>single-line mode</strong> (default height, or less than 17 pixels), if you enter a string in the edit box and then press ENTER, the <span class=\'code\'>on changed</span> handler is called once per character and once for the ENTER. The <span class=\'code\'>on entered</span> handler is just called once, for the ENTER.</p>\n\
<p>When in <strong>multi-line mode</strong>, ENTER keystrokes no longer cause the <span class=\'code\'>&#39;on entered&#39;</span> handler to be called, but are inserted into the edit box as new lines.</p>\n\
<p>They do, of course, cause <span class=\'code\'>&#39;on changed&#39;</span> handlers to be called. These are called on every keystroke.</p>\n\
<p>For multi-line edittext items, <span class=\'code\'>&#39;on entered&#39;</span> handlers are called when the edit box <strong>loses</strong> keyboard focus, such as if you tab or click out of the edit box.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout boxCreator &quot;Box Creator&quot; ( --define an edittextwith width 100 and the label on top: edittext prefix_txt &quot;Name prefix:&quot; fieldWidth:200 labelOnTop:true --If the user entered a new name... on prefix_txt entered txt do ( --And the name is not the empty string, if txt != &quot;&quot; do ( --Create a new box at a random position --somewhere between the given coordinates: new_obj = box pos:(random [-100,-100,-100] [100,100,100]) --Set the name of the new object to the prefix entered, --but add unique suffix to avoid duplicate names: new_obj.name = (uniquename txt) --And finally clear the edittext for a new entry --by assigning an empty string to the text property: prefix_txt.text = &quot;&quot; ) ) )</p>\n\
<p>createDialog boxCreator 300 60 --create a Dialog from the rollout ```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-40811DBD-C49B-4D2F-A2E4-777833CA744E-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p>Since <strong>3ds Max 2015</strong>, pressing the ESC key will switch focus away from the edittext control to its parent window.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";