var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>GroupBox UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>GroupBox UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"groupbox-ui-control\"></a></div>\n\
<p>The <strong>GroupBox</strong> is a UI Element which can be used to draw a rectangular box with or without caption at a user-defined position with user-defined size. Other than the Group described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\' title=\'\'>Rollout Clauses</a>, the GroupBox is not used to group UI Elements together (both in the source code and in the resulting rollout), but can be placed independently of any other UI Elements anywhere in the rollout.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>groupBox &lt;name&gt; [caption] [pos:&lt;point2&gt;] [width:&lt;integer&gt;] [height:&lt;integer&gt;]    \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;groupBox&gt;.caption \n\
</pre></div><p>Get/Set the caption of the group box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;groupBox&gt;.pos \n\
</pre></div><p>Get/Set the position of the upper left corner of the group box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;groupBox&gt;.width \n\
</pre></div><p>Get/Set the width of the group box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;groupBox&gt;.height \n\
</pre></div><p>Get/Set the height of the group box.</p>\n\
<blockquote>\n\
<p>Note: Visual MAXScript uses only GroupBox UI Elements to define groups in the rollouts.</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;GroupBox Test&quot; ( spinner spin &quot;Spin1: &quot; align:#left across:2 offset:[0,20] spinner unspin &quot;Spin2: &quot; align:#right offset:[0,20] groupBox group1 &quot;Group 1&quot; pos:[5,5] width:95 height:50 groupBox group2 &quot;Group 2&quot; pos:[105,5] width:90 height:50 ) createDialog test 200 60</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-45CFEBE1-D347-4AD5-9A72-7EC73B9CE906-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>KNOWN PROBLEM:</strong></p>\n\
<p>Group boxes have a line drawn through them when using bitmap backgrounds with CreateDialog.</p>\n\
<p>This is a problem with the Windows groupbox control.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";