var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Label UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Label UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"label-ui-control\"></a></div>\n\
<p>A <strong>label control</strong> is used to place non-editable text on the rollout, perhaps a label for another item or a text message.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>label &lt;name&gt; [&lt;string&gt;] [style_sunkenedge:&lt;boolean&gt;] [toolTip:&lt;string&gt;]\n\
</pre></div><p>The default alignment of <span class=\'code\'>label</span> items is <span class=\'code\'>#center</span> .</p>\n\
<p>When supplied and set to <span class=\'code\'>true</span> , the <span class=\'code\'>style_sunkenedge:</span> optional keyword parameter available in <strong>3ds Max 2009 and higher</strong> lets the label draw a half-sunken border around the control.</p>\n\
<p>The <span class=\'code\'>toolTip:</span> parameter provides text for a tooltip for the label; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` rollout test &quot;Test Label&quot; ( label lab1 &quot;Sorry For The Inconveniences!&quot; label lab2 &quot;DoN&#39;t PaNiC!&quot;style_sunkenedge:true width:150 height:16 ) createDialog test</p>\n\
<p>```</p>\n\
<p>``` rollout my_rollout &quot;My Rollout&quot; ( label my_label &quot;ABCDEFGHIJ&quot; ) createdialog my_rollout</p>\n\
<p>my_rollout.my_label.text += &quot;\\nXXX&quot; my_rollout.my_label.height <em>=2 -- start to see the &quot;XXX&quot; line my_rollout.height </em>=2 -- expand dialog so can see the &quot;XXX&quot; line my_rollout.my_label.width -= 20 -- crops end of text display ```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-CFF6D337-0CD2-47BA-92D0-EDEAE0663B52-low.gif\' title=\'\'></div>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;label&gt;.height Integer\n\
</pre></div><p>Gets or sets the label height. Note that changing the label&#39;s dimensions does not affect the parent rollout size.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;label&gt;.width Integer\n\
</pre></div><p>Gets or sets the label width. Note that changing the label&#39;s dimensions does not affect the parent rollout size.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<p><strong>Events</strong></p>\n\
<p>No events exposed.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";