var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mapbutton UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mapbutton UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mapbutton-ui-control\"></a></div>\n\
<p>A <strong>Mapbutton control</strong> is used to place a button in the rollout that will display the <strong>3ds Max</strong> Material/Map Browser dialog when clicked. Only texture maps will be displayed in the Material/Map Browser dialog.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>mapbutton &lt;name&gt; [&lt;caption&gt;] [map:&lt;texturemap&gt;] [images:&lt;image_spec_array&gt;] [toolTip:&lt;string&gt;] [border:&lt;boolean&gt;] [iconName:&lt;filename&gt; iconSize:&lt;point2&gt;]\n\
</pre></div><p>The default alignment of <span class=\'code\'>mapbutton</span> items is <span class=\'code\'>#center</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout test_mapbutton &quot;Background&quot; ( label sbm_lbl &quot;Background Map:&quot; mapbutton choosemap &quot;&lt;<none>&gt;&quot; tooltip:&quot;Select Background Map&quot; width:120 on choosemap picked texmap do ( environmentmap = texmap choosemap.text=classof texmap as string ) ) createDialog test_mapbutton<p>\n\
<p>```</p>\n\
</none></blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C2EB8BB3-3AA8-4AE3-AF70-0505FDD5BB1A-low.gif\' title=\'\'></div>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>map:   \n\
</pre></div><p>The initial textureMap value returned by the <span class=\'code\'>map</span> property before the user has selected a texture map using the <span class=\'code\'>mapbutton</span> . Defaults to <span class=\'code\'>undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>images: \n\
</pre></div><p>An image-specification array for providing bitmap images for the <span class=\'code\'>mapbutton</span> . If this is specified, the <span class=\'code\'>&lt;label&gt;</span> is ignored and the contents of the <span class=\'code\'>mapbutton</span> are replaced with the bitmaps.</p>\n\
<p>The form is:</p>\n\
<div class=\'codeBlock\'><pre>images:#(&lt;image&gt;, &lt;maskImage&gt;, &lt;count_integer&gt;, &lt;enabled_out_image_index&gt;, &lt;enabled_in_image_index&gt;, &lt;disabled_out_image_index&gt;, &lt;disabled_in_image_index&gt;) \n\
</pre></div><p>where <span class=\'code\'>&lt;image&gt;</span> and <span class=\'code\'>&lt;maskImage&gt;</span> can be either a bitmap file-name string or a MAXScript bitmap value. <span class=\'code\'>&lt;count_integer&gt;</span> specifies the number of sub-images in the bitmaps, and the <span class=\'code\'>image_index</span> values specify which sub-image in the bitmaps is to be used for each of the four <span class=\'code\'>mapbutton</span> states.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` bm1 = render camera:$cam01 outputSize:[80,60] ... mapbutton foo images:#(bm1, undefined, 1, 1, 1, 1, 1)</p>\n\
<p>```</p>\n\
<p>would use a rendering as the <span class=\'code\'>mapbutton</span> image, and</p>\n\
<p>``` mapbutton decay images:#(&quot;dcybtns.bmp&quot;, &quot;dcymask.bmp&quot;, 6, 1, 4, 1, 4)</p>\n\
<p>```</p>\n\
<p>would use sub-images 1 and 4 of bitmaps <span class=\'code\'>dcybtns.bmp</span> and <span class=\'code\'>dcymask.bmp</span> for the out and in states of the <span class=\'code\'>mapbutton</span> , respectively.</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Image-Buttons.html\' title=\'\'>Image Buttons</a>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>toolTip: \n\
</pre></div><p>Provides text for a tooltip for the <span class=\'code\'>mapbutton</span> . No tooltip if unsupplied.</p>\n\
<div class=\'codeBlock\'><pre>border: \n\
</pre></div><p>When set to true or not specified, the mapbutton will be drawn with a border. This was the default behavior prior to <strong>3ds Max 2009</strong>.</p>\n\
<p>When set to false, the mapbutton will be drawn without a border, making it one with the UI background. If the mapbutton is enabled, the border will appear when the material button is pressed, or upon mouseover.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>iconName:\n\
</pre></div><p>The filename of an icon to use as an image on the button. If iconName is specified, the caption is ignored. The iconSize specifies the iconName size at 100% DPI scaling. If not specified, the default [24,24] is assumed.</p>\n\
<div class=\'codeBlock\'><pre>iconSize:\n\
</pre></div><p>The size of the icon specified by iconName at 100% DPI scaling.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;mapbutton&gt;.map TextureMap \n\
</pre></div><p>The current textureMap value for the <span class=\'code\'>mapbutton</span> , or the textureMap value specified by the <span class=\'code\'>map</span> parameter if the user has not yet selected a texture map.</p>\n\
<div class=\'codeBlock\'><pre>&lt;mapbutton&gt;.images Array \n\
</pre></div><p>Sets the image-specification array for the <span class=\'code\'>mapbutton</span> . This property is <strong>write-only</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` -- re-render, update button bm1 = render() foo.images = #(bm1, undefined, 1, 1, 1, 1, 1)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;mapbutton&gt;.tooltipString \n\
</pre></div><p>Get/set the tooltip string of the mapbutton.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( mapbutton map_test &quot;Map Button&quot; tooltip:&quot;This is a map button&quot; ) createDialog test test.map_test.tooltip = &quot;The tooltip has changed!&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;mapbutton&gt; picked &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user selects a texture map from the Material/Map Browser dialog while in the <span class=\'code\'>mapbutton</span> pick command mode. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the selected textureMap value. The handler is not called if the user cancels out of the Material/Map Browser dialog.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;mapbutton&gt; rightclick do &lt;expr&gt; \n\
</pre></div><p>Called when the right mouse button is released over the button. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Note: When a <span class=\'code\'>mapButton</span> is used in a rollout in a scripted material or textureMap plug-in, and so turn up the Material Editor, it behaves with the same functionality as sub-map buttons do in other materials and maps. This includes supporting drag-and-drop with instance/copy, and opening sub-maps if they have been assigned.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";