var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Materialbutton UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Materialbutton UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"materialbutton-ui-control\"></a></div>\n\
<p>A <strong>Materialbutton control</strong> is used to place a button in the rollout that will display the <strong>3ds Max</strong> Material/Map Browser dialog when clicked. Only materials will be displayed in the Material/Map Browser dialog.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>materialbutton &lt;name&gt; [&lt;caption&gt;] [material:&lt;material&gt;] [images:&lt;image_spec_array&gt;] [toolTip:&lt;string&gt;] [border:&lt;boolean&gt;] [iconName:&lt;filename&gt; iconSize:&lt;point2&gt;]    \n\
</pre></div><p>The default alignment of <span class=\'code\'>materialbutton</span> items is <span class=\'code\'>#center</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` Rollout assign_material &quot;Assign Material&quot; ( label smtl_lbl &quot;Set selected object&#39;s material to:&quot; materialbutton choosemtl &quot;Pick Material&quot; on choosemtl picked mtl do ( print mtl if $ != undefined do $.material=mtl ) ) createDialog assign_material</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9C5F27DA-07C5-427A-A971-ECF603F42E7E-low.gif\' title=\'\'></div>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>material:   \n\
</pre></div><p>The initial material value returned by the <span class=\'code\'>material</span> property before the user has selected a material using the <span class=\'code\'>materialbutton</span> . Defaults to <span class=\'code\'>undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>images: \n\
</pre></div><p>An image-specification array for providing bitmap images for the <span class=\'code\'>materialbutton</span> . If this is specified, the <span class=\'code\'>&lt;label&gt;</span> is ignored and the contents of the <span class=\'code\'>materialbutton</span> are replaced with the bitmaps.</p>\n\
<p>The form is:</p>\n\
<div class=\'codeBlock\'><pre>images:#(&lt;image&gt;, &lt;maskImage&gt;, &lt;count_integer&gt;, \\ &lt;enabled_out_image_index&gt;, &lt;enabled_in_image_index&gt;, \\ &lt;disabled_out_image_index&gt;, &lt;disabled_in_image_index&gt;) \n\
</pre></div><p>where <span class=\'code\'>&lt;image&gt;</span> and <span class=\'code\'>&lt;maskImage&gt;</span> can be either a bitmap file name string or a MAXScript bitmap value. <span class=\'code\'>&lt;count_integer&gt;</span> specifies the number of sub-images in the bitmaps, and the <span class=\'code\'>image_index</span> values specify which sub-image in the bitmaps is to be used for each of the four <span class=\'code\'>materialbutton</span> states.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` bm1 = render camera:$cam01 outputSize:[80,60] ... materialbutton foo images:#(bm1, undefined, 1, 1, 1, 1, 1)</p>\n\
<p>```</p>\n\
<p>would use a rendering as the <span class=\'code\'>materialbutton</span> image, and</p>\n\
<p>``` materialbutton decay images:#(&quot;dcybtns.bmp&quot;, &quot;dcymask.bmp&quot;, 6, 1, 4, 1, 4)</p>\n\
<p>```</p>\n\
<p>would use sub-images 1 and 4 of bitmaps <span class=\'code\'>dcybtns.bmp</span> and <span class=\'code\'>dcymask.bmp</span> for the out and in states of the <span class=\'code\'>materialbutton</span> , respectively.</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Image-Buttons.html\' title=\'\'>Image Buttons</a>.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>toolTip: \n\
</pre></div><p>Provides text for a tooltip for the <span class=\'code\'>materialbutton</span> . No tooltip if unsupplied.</p>\n\
<div class=\'codeBlock\'><pre>border: \n\
</pre></div><p>When set to true or not specified, the materialbutton will be drawn with a border. This was the default behavior prior to <strong>3ds Max 2009</strong>.</p>\n\
<p>When set to false, the materialbutton will be drawn without a border, making it one with the UI background. If the materialbutton is enabled, the border will appear when the materialbutton is pressed, or upon mouseover.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>iconName:\n\
</pre></div><p>The filename of an icon to use as an image on the button. If iconName is specified, the caption is ignored. The iconSize specifies the iconName size at 100% DPI scaling. If not specified, the default [24,24] is assumed.</p>\n\
<div class=\'codeBlock\'><pre>iconSize:\n\
</pre></div><p>The size of the icon specified by iconName at 100% DPI scaling.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;materialbutton&gt;.material Material \n\
</pre></div><p>The current material value for the <span class=\'code\'>materialbutton</span> , or the material value specified by the <span class=\'code\'>material</span> parameter if the user has not yet selected a material.</p>\n\
<div class=\'codeBlock\'><pre>&lt;materialbutton&gt;.images Array \n\
</pre></div><p>Sets the image-specification array for the <span class=\'code\'>materialbutton</span> .</p>\n\
<p>This property is write-only.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` -- re-render, update button bm1 = render() foo.images = #(bm1, undefined, 1, 1, 1, 1, 1)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;materialbutton&gt;.tooltip String \n\
</pre></div><p>Get/set the tooltip string of the checkbutton.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` rollout test &quot;Test&quot; ( mapbutton mat_test &quot;Material Button&quot; tooltip:&quot;This is a material button&quot; ) createDialog test test.mat_test.tooltip = &quot;The tooltip has changed!&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;materialbutton&gt; picked &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user selects a material from the Material/Map Browser dialog while in the <span class=\'code\'>materialbutton</span> pick command mode. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the selected material value. The handler is not called if the user cancels out of the Material/Map Browser dialog.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;materialbutton&gt; rightclick do &lt;expr&gt; \n\
</pre></div><p>Called when the right mouse button is released over the button. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>Note: When a <span class=\'code\'>materialButton</span> is used in a rollout in a scripted material plug-in, and so turn up the Material Editor, it behaves with the same functionality as sub-material buttons do in regular materials. This includes supporting drag-and-drop with instance/copy, and opening materials if they have been assigned.</p>\n\
<blockquote>\n\
<p>Warning: a <span class=\'code\'>materialButton</span> cannot be used in a rollout of a scripted map plug-in. The <strong>3ds Max</strong> Material Editor architecture assumes that a Sub-Material can only be a child of another material and will be confused when trying to assign a sub-material to a map.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";