var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Pickbutton UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Pickbutton UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pickbutton-ui-control\"></a></div>\n\
<p>A <strong>pickbutton control</strong> is used to place a scene object-picker button on the rollout. It operates like a normal pick button in the <strong>3ds Max</strong> user interface, turning light-green when pressed and causing an object-pick mode to be entered. The user can then choose a scene object by clicking on it. The pick mode exits and the button returns to its unpressed state. The user can right-click to cancel the pick mode.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>pickbutton &lt;name&gt; [&lt;caption&gt;] [message:&lt;string&gt;] [filter:&lt;function&gt;] [toolTip:&lt;string&gt;] [autoDisplay:&lt;boolean&gt;]      \n\
</pre></div><p>The default alignment of <span class=\'code\'>pickbutton</span> items is <span class=\'code\'>#center</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout pick_box_test &quot;Pick Box Test&quot; ( --filter all objects of class Box: fn box_filt obj = classof obj == Box --Pickbutton to select a Box from the scene pickbutton chooseit &quot;Select Box&quot; width:140 filter:box_filt --If the user picked an object, then on chooseit picked obj do ( --see if the user did not cancel the picking... if obj != undefined do ( --if he did not, make the box&#39;s wireframe red: obj.wirecolor = red --and display the name of the object on the button: chooseit.text = obj.name ) )--end on )--end rollout createDialog pick_box_test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><img src=\'developer/images/GUID-A7C0D341-8764-4FE9-9224-025634232452-low.gif\' title=\'\'> <img src=\'developer/images/GUID-C98FF22A-EFB5-419C-A1B2-0BDA712E5431-low.gif\' title=\'\'></p>\n\
<p>Note that the filter function will not let you select any other objects except Boxes.</p>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>message:   \n\
</pre></div><p>The optional text to be displayed in the <strong>3ds Max</strong> status line while in the pick mode. Default is no message.</p>\n\
<div class=\'codeBlock\'><pre>filter: \n\
</pre></div><p>The optional filter function that will be called to test the eligibility of the scene object under the cursor for picking. It must be a function of one argument, which will be the object under test, and return <span class=\'code\'>true</span> if the object is eligible or <span class=\'code\'>false</span> if not.</p>\n\
<p>Default is no filtering.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>The following filter function allows only objects whose names begin with &quot;foo&quot; to be pickable:</p>\n\
<p>``` fn foo_filter obj = matchPattern obj.name pattern:&quot;foo*&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>toolTip: \n\
</pre></div><p>Provides text for a tooltip for the button. No tooltip if unsupplied.</p>\n\
<div class=\'codeBlock\'><pre>autoDisplay: \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the name of the picked object will be automatically displayed as the text on the button. If <span class=\'code\'>false</span> or not specified, the button caption will not be changed.</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;pickbutton&gt;.object Node \n\
</pre></div><p>The last object picked using the <span class=\'code\'>pickbutton</span> , <span class=\'code\'>undefined</span> if no object has been picked. The property can be both get and <strong>set</strong>, accepting a node or undefined.</p>\n\
<div class=\'codeBlock\'><pre>&lt;pickbutton&gt;.tooltip String \n\
</pre></div><p>Get/set the tooltip string of the checkbutton.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --If you pick a scene object, the tooltip of the pickbutton will show --the name of the object you picked. rollout test &quot;Test&quot; ( pickbutton pck_test &quot;&gt;&gt;Pick An Object&quot; tooltip:&quot;Pick A Scene Object...&quot; on pck_test picked obj do if isValidNode obj do pck_test.tooltip = &quot;You picked &quot; + obj.name ) createDialog test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;pickbutton&gt; picked &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user selects an object in the scene while in the <span class=\'code\'>pickbutton</span> pick mode. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the selected object. The handler is not called if the user cancels out of the pick mode.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;pickbutton&gt; rightclick do &lt;expr&gt; \n\
</pre></div><p>Called when the right mouse button is released over the button. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";