var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ProgressBar UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ProgressBar UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"progressbar-ui-control\"></a></div>\n\
<p>A <strong>progressBar control</strong> is used to place a progress bar in a rollout.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>progressBar &lt;name&gt; [value:&lt;number&gt;] [color:&lt;color&gt;] [orient:&lt;name&gt;]      \n\
</pre></div><p>The default alignment of <span class=\'code\'>progressBar</span> items is <span class=\'code\'>#left</span> .</p>\n\
<p><strong>Parameters</strong></p>\n\
<div class=\'codeBlock\'><pre>value:   \n\
</pre></div><p>The initial progress percentage value (0 - 100). The default value is 0. This is an Integer value.</p>\n\
<div class=\'codeBlock\'><pre>color: \n\
</pre></div><p>The color of the progress bar. The default color value is [30,10,190].</p>\n\
<div class=\'codeBlock\'><pre>orient: \n\
</pre></div><p>Specifies whether the progress bar should fill from left to right ( <span class=\'code\'>orient:#horizontal</span> ) or bottom to top ( <span class=\'code\'>orient:#vertical</span> ). Default value is <span class=\'code\'>#horizontal</span> .</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;progressbar&gt;.value Integer \n\
</pre></div><p>The progress bar complete percentage (0 - 100).</p>\n\
<div class=\'codeBlock\'><pre>&lt;progressbar&gt;.color Color \n\
</pre></div><p>The color of the progress bar.</p>\n\
<div class=\'codeBlock\'><pre>&lt;progressbar&gt;.orient Name \n\
</pre></div><p>The orientation of the progress bar fill: <span class=\'code\'>#horizontal</span> - left to right; <span class=\'code\'>#vertical</span> - bottom to top.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --define a rollout rollout progressTest &quot;Progress Test&quot; ( button doit &quot;Process Scene&quot; -- button to start processing progressbar doit_prog color:red -- a red progress bar on doit pressed do -- when the button is pressed... ( objArray = geometry as array -- get all geometry objects into array for i = 1 to objArray.count do -- and iterate through all of them ( -- update the progress bar percentage -- for example, if there are 20 geometry objects -- and i is currently 1, you have 100.0<em>1/20 = 5% -- when i is 2 you have 100.0</em>2/20 = 10% etc... doit_prog.value = 100.*i/objArray.count -- do something with the objects, like printing their names print objArray[i].name )-- end i loop doit_prog.value = 0 -- when ready, reset the progress bar to 0% ) ) createDialog progressTest 200 60 -- create a dialog to test</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>The <span class=\'code\'>.value</span> property requires an integer between 0 and 100. When calculating a percentage from a current value and a total value, the order the values are multiplied and divided <strong>does</strong> matter!</p>\n\
<p>Dividing them first and then multiplying by 100.0 would always return 0.0 because an Integer divided by an Integer yields an Integer, and since the result is less than zero, it is rounded down to zero:</p>\n\
<div class=\'codeBlock\'><pre>1/20*100.0 -&gt; 0*100.0 -&gt; 0.02/20*100.0 -&gt; 0*100.0 -&gt; 0.03/20*100.0 -&gt; 0*100.0 -&gt; 0.0\n\
</pre></div><p>but</p>\n\
<div class=\'codeBlock\'><pre>100.0*1/20 -&gt; 100.0/20 -&gt; 5.0100.0*2/20 -&gt; 200.0/20 -&gt; 10.0100.0*3/20 -&gt; 300.0/20 -&gt; 15.0\n\
</pre></div><p>When starting with the Float value 100.0, the final result is implicitly converted to a Float because a Float multiplied by an Integer returns a Float, and a Float divided by an Integer still returns a Float. The Float value is then converted internally to Integer when assigned to the <span class=\'code\'>.value</span> property.</p>\n\
<p><strong>Events</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;progressbar&gt; clicked &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when user clicks on the progress bar. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the percentage value at the clicked point.</p>\n\
<p>This event handler makes the progressbar an interactive UI control. See <a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Enhance-the-Morpher.html\' title=\'\'>How To ... Enhance the Morpher Modifier With Floating Controls</a> for an example of progressbar usage as slider replacement.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;progressbar&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the user right-clicks the Progressbar control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";