var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Radiobuttons UI Controls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Radiobuttons UI Controls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"radiobuttons-ui-controls\"></a></div>\n\
<p>A <strong>radiobuttons control</strong> is used to place a set of radio buttons on the rollout, only one of which can be checked at a time. The user can click different buttons in the set to change states.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>radiobuttons &lt;name&gt; [&lt;caption&gt;] labels:&lt;array_of_strings&gt; \\ \n\
[tooltip:{&lt;string&gt;|&lt;array_of_strings&gt;}] \\\n\
[default:&lt;number&gt;] [columns:&lt;number&gt;] [offsets:&lt;array_of_point2s&gt;]   \n\
\n\
</pre></div><p>The default alignment of <span class=\'code\'>radiobuttons</span> items is <span class=\'code\'>#center</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --Create some scene objects. Select them, then run the script: ( local obj_array = selection as array local obj_name_array = for o in obj_array collect o.name rollout CloneObject &quot;Clone Object&quot; ( radiobuttons copy_type labels:#(&quot;copy&quot;, &quot;instance&quot;, &quot;reference&quot;) radiobuttons which_obj labels:obj_name_array -- computed label array button do_it &quot;Copy Object&quot; fn updateButton = ( do_it.text = case copy_type.state of ( 1: &quot;Copy &quot; 2: &quot;Instance &quot; 3: &quot;Reference &quot;) do_it.text += obj_name_array [which_obj.state] )--end fn on copy_type changed state do updateButton() on which_obj changed state do updateButton() on CloneObject open do updateButton() on do_it pressed do ( copyfn = case copy_type.state of ( 1: copy 2: instance 3: reference) if which_obj.state &gt; 0 do copyfn obj_array[which_obj.state] )--end on pressed )--end rollout if obj_array.count &gt; 0 do createDialog CloneObject )--end script</p>\n\
<p>```</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-3CCE22BC-430A-455D-B819-7937AB3516D1-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>labels:&lt;array_of_strings&gt;   \n\
</pre></div><p>An array of strings that specifies the number of radio buttons and the text label for each one.</p>\n\
<div class=\'codeBlock\'><pre>default:&lt;number&gt; \n\
</pre></div><p>The number of the radio button initially selected. Default is 1.</p>\n\
<p>When set to 0, none of the radio buttons will be selected.</p>\n\
<div class=\'codeBlock\'><pre>columns:&lt;number&gt; \n\
</pre></div><p>Number of columns across in which to arrange the buttons. By default, MAXScript will attempt to lay out all the radio buttons side-by-side on one line, and if they won&#39;t fit, vertically in a single column. You can force the layout system to array the buttons in multiple columns using this parameter. Each column is given the same width, which is the width of the widest label in all columns and it left-adjusts the radio buttons in these columns.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` --create radio buttons with two columns: rollout testRollout &quot;Test Size&quot; ( radiobuttons rad_buttons &quot;Size:&quot; labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;) columns:2 ) createDialog testRollout</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>tooltip:{&lt;string&gt;|&lt;array_of_strings&gt;}\n\
</pre></div><p>Provides optional tooltip or tooltips for the radio buttons.</p>\n\
<p>If string is specified, that string is used as tooltips for all radiobuttons.</p>\n\
<p>If an array of strings is specified, the array size must be the same as the labels array size and the corresponding array element is used for each radiobutton.</p>\n\
<p>Available in <strong>3ds Max 2012</strong> and higher.</p>\n\
<p>Example script:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout MyRollout &quot;Untitled&quot; width:162 height:300 ( radioButtons rdo1 &quot;RadioButtons&quot; tooltip:&quot;Test Tooltip 1&quot; labels:#(&quot;Button1&quot;, &quot;Button2&quot;) radioButtons rdo2 &quot;RadioButtons&quot; tooltip:#(&quot;Test Tooltip 2&quot;,&quot;Test Tooltip 3&quot;) labels:#(&quot;Button1&quot;, &quot;Button2&quot;) radioButtons rdo3 &quot;RadioButtons&quot; labels:#(&quot;Button1&quot;, &quot;Button2&quot;) -- radioButtons rdo4 &quot;RadioButtons&quot; tooltip:#(&quot;Test Tooltip 4&quot;) labels:#(&quot;Button1&quot;, &quot;Button2&quot;) button btn1 &quot;Button&quot; tooltip:&quot;Test Tooltip 5&quot; ) createdialog MyRollout</p>\n\
<p>--Enabling the remarked rdo4 will cause --an error because the number of tooltip items --does not match the number of labels items</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>offsets:&lt;array_of_point2s&gt;\n\
</pre></div><p>Provides optional radiobutton offsets to adjust the labels layout within the control.</p>\n\
<p>The array size must be the same as the labels array size and the corresponding array element is used for each radiobutton.</p>\n\
<p>The offsets are set once at creation time and cannot be modified later.</p>\n\
<p>Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<p>Example scripts:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout testRollout &quot;Big Deal Script&quot; ( radiobuttons rad_buttons &quot;Deal:&quot; columns:1<br> labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;)<br> offsets:#([0,0], [10,0], [20,0], [30,0]) button btn_dosomething &quot;Do Something...&quot; ) createDialog testRollout</p>\n\
<p>```</p>\n\
<p>The left screenshot shows the same dialog without the offsets: parameter. Note that the default #center alignment takes into account the new width of the control&#39;s bounding box, and the offsets are relatively to the original position of the radiobutton item.</p>\n\
<div class=\'codeBlock\'><pre>![](../../../../../images/GUID-6C93CB30-B95F-4E0F-A45A-DC4B6784699E-low.png) ![](../../../../../images/GUID-41265F8D-6221-43C9-8894-6174A5AB2744-low.png)\n\
</pre></div></blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout testRollout &quot;Big Deal Script&quot; ( radiobuttons rad_buttons &quot;Deal:&quot; columns:1<br> labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;)<br> offsets:#([0,0], [0,0], [10,5], [10,5]) button btn_dosomething &quot;Do Something...&quot; ) createDialog testRollout</p>\n\
<p>```</p>\n\
<p>Note that the offsets are NOT cumulative when using one column - offsetting the 3rd label horizontally by 10 does not affect the 4th item - it also needs a horizontal offset of 10 to stay in line. Similarly, to offset the last two labels vertically as a block, both need the same vertical offset of 5, otherwise they would overlap.</p>\n\
<div class=\'codeBlock\'><pre>![](../../../../../images/GUID-6C93CB30-B95F-4E0F-A45A-DC4B6784699E-low.png) ![](../../../../../images/GUID-E2DD6713-9AA5-4EBE-B688-2751B959BD59-low.png)\n\
</pre></div></blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout testRollout &quot;Big Deal Script&quot; ( radiobuttons rad_buttons &quot;Deal:&quot; columns:2 align:#left<br> labels:#(&quot;Big&quot;, &quot;Bigger&quot;, &quot;Biggest&quot;, &quot;Huge&quot;)<br> offsets:#([30,-16], [0,-16], [30,-16], [0,-16]) button btn_dosomething &quot;Do Something...&quot; ) createDialog testRollout</p>\n\
<p>```</p>\n\
<p>Note that the horizontal offsets are cumulative when using more than one column - offsetting the first and third items by 30 also shift the horizontal position of the second column, so we don&#39;t need to offset its labels. At the same time, all 4 labels need a vertical offset of -16 to move up together as a block - the vertical offset is not cumulative. We use align:#left to anchor the control in the same place in the dialog.</p>\n\
<div class=\'codeBlock\'><pre>![](../../../../../images/GUID-3634D240-F78F-4849-9D00-AA2D4AF30C29-low.png) ![](../../../../../images/GUID-70E2AF51-2625-4C8B-B211-A5C3E7E08FBE-low.png)\n\
</pre></div></blockquote>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;radiobuttons&gt;.state Integer \n\
</pre></div><p>The number of the currently selected radio button in the order specified in the <span class=\'code\'>labels:</span> array, or 0 if none is selected.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout testRadioButtons &quot;Test RadioButtons&quot; ( -- Define 2 radio buttons with the first button selected radiobuttons radButtons labels:#(&quot;First&quot;,&quot;Second&quot;) default:1 -- When the button is pressed, clear the radio buttons selection! button setToNone &quot;Clear Buttons Selection&quot; on setToNone pressed do radButtons.state = 0 ) createDialog testRadioButtons</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;radiobuttons&gt; changed &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user clicks one of the radio buttons in the set. The <span class=\'code\'>&lt;arg&gt;</span> argument will contain the new state of the radio buttons array, which is the 1-based number of the newly selected button.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;radiobuttons&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the user right-clicks the Radiobuttons control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";