var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Timer UI Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Timer UI Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"timer-ui-control\"></a></div>\n\
<p>A <strong>timer control</strong> generates tick events at set intervals. Timer is unlike the remainder of the user-interface items as it is not a visible control. Timer lets the user interface react, animate, or change without user interaction, such as having animations playing on the rollout, checking for certain conditions or events before continuing, displaying nag/splash screens, and so on.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>timer &lt;name&gt; [interval:&lt;number&gt;] [active:&lt;boolean&gt;]      \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout test &quot;Test Timer&quot; ( timer clock &quot;testClock&quot; interval:1000 --tick once a second label test&quot;1&quot; on clock tick do ( valUp = (test.text as integer)+1 test.text = valUp as string ) ) createDialog test</p>\n\
<p>```</p>\n\
\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>interval:   \n\
</pre></div><p>An integer value specifying the time in milliseconds between tick events. Default value 1000 (1 second).</p>\n\
<div class=\'codeBlock\'><pre>active: \n\
</pre></div><p>Specifies whether the timer emits tick events. Default value <span class=\'code\'>true</span> .</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;timer&gt;.interval Integer \n\
</pre></div><p>Integer value specifying the time in milliseconds between tick events.</p>\n\
<div class=\'codeBlock\'><pre>&lt;timer&gt;.active Boolean \n\
</pre></div><p>Specifies whether the timer emits tick events ( <span class=\'code\'>true</span> ) or not ( <span class=\'code\'>false</span> ). When first set to <span class=\'code\'>true</span> , the first tick event is generated in <span class=\'code\'>interval</span> milliseconds.</p>\n\
<div class=\'codeBlock\'><pre>&lt;timer&gt;.ticks Integer \n\
</pre></div><p>The read/write <span class=\'code\'>.ticks</span> property is incremented by 1 on each ‘tick’ of the timer. Can be both get and set.</p>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;timer&gt; tick do &lt;expr&gt; \n\
</pre></div><p>Called when timer ticks.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";