var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>hyperlink</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>hyperlink</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"hyperlink\"></a></div>\n\
<p>The Hyperlink User Interface Control allows the placement of hyperlinks in MAXScript Rollouts. When clicked, the hyperlink will cause the default web browser to open at a specified address.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>hyperLink &lt;name&gt; [caption] [color:&lt;color&gt;] [hoverColor:&lt;color&gt;] [visitedColor:&lt;color&gt;] [address:&lt;string&gt;]    \n\
</pre></div><p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>color: Color default:(color 0 0 255)   \n\
</pre></div><p>Specifies the base color of the hyperlink text.</p>\n\
<div class=\'codeBlock\'><pre>hoverColor: Color default:(color 0 255 255) \n\
</pre></div><p>Specifies the color of hyperlink text when the mouse is over it.</p>\n\
<div class=\'codeBlock\'><pre>visitedColor: Color default:(color 0 0 192) \n\
</pre></div><p>Specifies the color of the hyperlink text after the link has been visited.</p>\n\
<div class=\'codeBlock\'><pre>address: String default:&quot;http://www.autodesk.com&quot; \n\
</pre></div><p>Specifies the hyperlink address sent to the web browser when the hyperlink is clicked.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;HyperLink&gt;.color Color default:(color 0 0 255) \n\
</pre></div><p>Get/set the base color of the hyperlink text.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HyperLink&gt;.hoverColor Color default:(color 0 255 255) \n\
</pre></div><p>Get/set the color of hyperlink text when the mouse is over it.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HyperLink&gt;.visitedColor Color default:(color 0 0 192) \n\
</pre></div><p>Get/set the color of the hyperlink text after the link has been visited.</p>\n\
<div class=\'codeBlock\'><pre>&lt;HyperLink&gt;.address String default:&quot;http://www.autodesk.com&quot; \n\
</pre></div><p>Get/set the hyperlink address sent to the web browser when the hyperlink is clicked.</p>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;HyperLink&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the user right-clicks the Hyperlink control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";