var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>imgTag</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>imgTag</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"imgtag\"></a></div>\n\
<p>The ImgTag UI Control can be used to place images in MAXScript Rollouts. Other than the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Bitmap-UI-Control.html\' title=\'\'>Bitmap UI Control</a>, it does not have a sunken edge and can be integrated better in the layout. In addition, it supports transparency effects and various mouse handlers which could be used to design customized controls.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>imgTag &lt;name&gt; [caption] [tooltip:&lt;string&gt;] [style:&lt;key&gt;] [bitmap:&lt;bitmap&gt;] [opacity:&lt;float&gt;] [transparent:&lt;color&gt;] [iconName:&lt;filename&gt;] [iconSize:&lt;point2&gt;]     [ applyUIScaling:&lt;boolean&gt; ]\n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;ImgTag&gt;.tooltip String default:&quot;&quot;   \n\
&lt;ImgTag&gt;.bitmap Bitmap default:undefined \n\
</pre></div><p>Current image being displayed.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ImgTag&gt;.style Key default:#bmp_stretch \n\
</pre></div><p>Way the bitmap will be displayed in the control.</p>\n\
<p>Can be one of the following:</p>\n\
<div class=\'codeBlock\'><pre> #bmp_stretch #bmp_tile #bmp_center \n\
&lt;ImgTag&gt;.opacity float default:0.0 \n\
</pre></div><p>Overall opacity of the image, can range from 0.0 to 1.0</p>\n\
<div class=\'codeBlock\'><pre>&lt;ImgTag&gt;.transparent color default:(color 0 0 0) \n\
</pre></div><p>The RGB color in the source bitmap to treat as transparent.</p>\n\
<p>Note:</p>\n\
<p>Opacity and transparent properties only have an effect in Windows 2000 and higher. These do not have an effect in NT.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ImgTag&gt;.iconName string\n\
</pre></div><p>Specifies the path of an icon file to load from the 3ds Max system icons resource. See the Icon Guide in the <em>3ds Max Developer Guide</em> for a list of available system icons and their paths.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ImgTag&gt;.iconSize point2\n\
</pre></div><p>Specifies the icon&#39;s size at 100% DPI scaling.</p>\n\
<div class=\'codeBlock\'><pre>&lt;ImgTag&gt;.applyUIScaling bool\n\
</pre></div><p>Specifies whether to apply scaling on high-DPI displays.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre> getIconAsBitmap &lt;iconName&gt; iconSize:&lt;point2&gt; enabled:&lt;boolean&gt; on:&lt;boolean&gt; applyUIScaling:&lt;boolean&gt;\n\
\n\
-- defaults values: [24,24], true, false, true\n\
\n\
</pre></div><p>Returns the icon as a bitmap value, if the icon is found in the 3ds Max icon resources. See the Icon Guide in the <em>3ds Max Developer Guide</em> for a list of available system icons and their paths. Returns undefined if it is not found. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b = getIconAsBitmap @&quot;PolyTools\\TransformTools\\PB_CW&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>getIconSizes &lt;iconName&gt; enabled:&lt;boolean&gt; on:&lt;boolean&gt;\n\
 -- defaults values: true, false\n\
</pre></div><p>Returns an array of icon sizes that are defined for the specified icon name in the 3ds Max icon resources. Returns undefined if the icon is not found.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` getIconSizes @&quot;PolyTools\\TransformTools\\PB_CW&quot; #([20,20], [25,25], [30,30], [40,40])</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; mousedown do &lt;expr&gt; \n\
</pre></div><p>Called when the left mouse button is pressed down.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; mouseup do &lt;expr&gt; \n\
</pre></div><p>Called when the left mouse button is released.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; click do &lt;expr&gt; \n\
</pre></div><p>Called when the left mouse button is released.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; dblclick do &lt;expr&gt; \n\
</pre></div><p>Called when the left mouse button double clicked.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; mouseover do &lt;expr&gt; \n\
</pre></div><p>Called when the mouse is moved into the image area.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; mouseout do &lt;expr&gt; \n\
</pre></div><p>Called when the mouse is moved out of the image area.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; rightclick do &lt;expr&gt; \n\
</pre></div><p>Called when the right mouse button is released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; lbuttondown &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the left mouse button has been pressed. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value which is a combination of the following bits:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Hexadecimal</th>\n\
<th align=\"left\">Decimal</th>\n\
<th align=\"left\">Binary</th>\n\
<th align=\"left\">Key Pressed</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>0x0001</span></td>\n\
<td align=\"left\"><span class=\'code\'>1</span></td>\n\
<td align=\"left\"><span class=\'code\'>00000001</span></td>\n\
<td align=\"left\">The left mouse button is down.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>0x0002</span></td>\n\
<td align=\"left\"><span class=\'code\'>2</span></td>\n\
<td align=\"left\"><span class=\'code\'>00000010</span></td>\n\
<td align=\"left\">The right mouse button is down.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>0x0004</span></td>\n\
<td align=\"left\"><span class=\'code\'>4</span></td>\n\
<td align=\"left\"><span class=\'code\'>00000100</span></td>\n\
<td align=\"left\">The SHIFT key is down.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>0x0008</span></td>\n\
<td align=\"left\"><span class=\'code\'>8</span></td>\n\
<td align=\"left\"><span class=\'code\'>00001000</span></td>\n\
<td align=\"left\">The CTRL key is down.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>0x0010</span></td>\n\
<td align=\"left\"><span class=\'code\'>16</span></td>\n\
<td align=\"left\"><span class=\'code\'>00010000</span></td>\n\
<td align=\"left\">The middle mouse button is down.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>0x0020</span></td>\n\
<td align=\"left\"><span class=\'code\'>32</span></td>\n\
<td align=\"left\"><span class=\'code\'>00100000</span></td>\n\
<td align=\"left\">The first X button is down (the left side button of the mouse)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>0x0040</span></td>\n\
<td align=\"left\"><span class=\'code\'>64</span></td>\n\
<td align=\"left\"><span class=\'code\'>01000000</span></td>\n\
<td align=\"left\">The second X button is down (the right side button of the mouse)</td>\n\
</tr>\n\
</table>\n\
<p>You can use the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\' title=\'\'>bit.get()</a> method to determine whether a key is pressed or not:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout ui_imgtag &quot;imgtag&quot; ( local bm = bitmap 50 50 color:red imgtag img_tag &quot;imgtag&quot; bitmap:bm align:#center fn printButtonStates Flags = ( LMB = bit.get Flags 1 RMB = bit.get Flags 2 SHIFT = bit.get Flags 3 CTRL = bit.get Flags 4 MMB = bit.get Flags 5 XB1 = bit.get Flags 6 XB2 = bit.get Flags 7 format &quot;LMB:% MMB:% RMB:% SHIFT:% CTRL:% XB1:% XB2:%\\n&quot; LMB MMB RMB SHIFT CTRL XB1 XB2 ) on img_tag lbuttondown v1 v2 do printButtonStates v2 on img_tag mbuttondown v1 v2 do printButtonStates v2 on img_tag rbuttondown v1 v2 do printButtonStates v2 ) createdialog ui_imgtag width:100</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; lbuttonup &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the left mouse button has been released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; lbuttondblclk &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the left mouse button has been double-clicked. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; mbuttondown &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the middle mouse button has been pressed. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; mbuttonup &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the middle mouse button has been released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; mbuttondblclk &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the middle mouse button has been double-clicked. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; rbuttondown &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the middle mouse button has been pressed. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; rbuttonup &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the middle mouse button has been released. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;ImgTag&gt; rbuttondblclk &lt;Point2&gt; &lt;Flags&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the middle mouse button has been double-clicked. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>The first argument contains a Point2 value representing the 0-based pixel coordinates within the ImgTag.</p>\n\
<p>The second argument is the Flags value as <a href=\'imgTag.html#imgtag\' title=\'\'>described above</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rcmenu MyRCmenu ( menuItem mi_cs &quot;First Option&quot; checked:false menuItem mi_rs &quot;Second Option&quot; checked:false ) rollout ui_items &quot;ui items&quot; ( button a2 &quot;button&quot; on a2 rightClick do print a2 checkbutton a4 &quot;checkbutton&quot; on a4 rightClick do print a4 local bm = bitmap 50 50 color:red imgtag b5 &quot;imgtag&quot; bitmap:bm align:#center on b5 mousedown v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #mousedown v1 v2 on b5 lbuttondown v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #lbuttondown v1 v2 on b5 mbuttondown v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #mbuttondown v1 v2 on b5 rightClick v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #rightClick v1 v2 on b5 rbuttondown v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #rbuttondown v1 v2 on b5 mouseup v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #mouseup v1 v2 on b5 click v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #click v1 v2 on b5 lbuttonup v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #lbuttonup v1 v2 on b5 mbuttonup v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #mbuttonup v1 v2 on b5 rbuttonup v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #rbuttonup v1 v2 on b5 dblclick v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #dblclick v1 v2 on b5 lbuttondblclk v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #lbuttondblclk v1 v2 on b5 mbuttondblclk v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #mbuttondblclk v1 v2 on b5 rbuttondblclk v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #rbuttondblclk v1 v2 on b5 mouseout v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #mouseout v1 v2 on b5 mouseover v1 v2 do format &quot;% ; % ; % ; %\\n&quot; b5 #mouseover v1 v2 mapbutton a11 &quot;mapButton&quot; on a11 rightClick do print a11 materialbutton a12 &quot;materialbutton&quot; on a12 rightClick do print a12 pickbutton a13 &quot;pickbutton&quot; on a13 rightClick do (print a13; popupmenu MyRCmenu) ) createdialog ui_items width:100</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";