var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>multilistbox</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>multilistbox</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"multilistbox\"></a></div>\n\
<p>A MultiListBox item is used to place a list box in the rollout. This is a variant of the ListBox in which multiple items in the list can be selected.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>MultiListBox &lt;name&gt; [&lt;caption&gt;] [items:&lt;array_of_strings&gt;] \\\n\
[selection:{ &lt;number_array&gt; | &lt;number&gt;}] \\\n\
[height:&lt;number&gt; ] [toolTip:&lt;string&gt;]\n\
</pre></div><p>The default alignment of MultiListBox items is <span class=\'code\'>#left</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` rollout test &quot;test&quot; ( multiListBox mlb &quot;MultiListBox&quot; items:#(&quot;A&quot;,&quot;B&quot;,&quot;C&quot;) selection:#(1,3) on mlb selected val do format &quot;selected: % - %\\n&quot; val mlb.selection[val] on mlb doubleclicked val do format &quot;doubleclicked: % - %\\n&quot; val mlb.selection[val] on mlb selectionEnd do format &quot;selectionEnd: %\\n&quot; mlb.selection ) rof=newrolloutfloater &quot;tester&quot; 200 300 addrollout test rof test.mlb.items test.mlb.selection=1 test.mlb.selection=#(1,3) test.mlb.selection=#{}</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>items:   \n\
</pre></div><p>The array of text strings that are the items in the list.</p>\n\
<div class=\'codeBlock\'><pre>selection: \n\
</pre></div><p>An array of integers signifying the indices of currently selected items in the list. For example, if the first and fifth items are selected, this is <span class=\'code\'>#{1,5}</span>. The default (empty) selection value is <span class=\'code\'>#{}</span>.</p>\n\
<div class=\'codeBlock\'><pre>height: \n\
</pre></div><p>The overall height of the MultiListBox in number of item lines. Defaults to 10 lines. To have a MultiListBox display exactly N items, set height to N.</p>\n\
<div class=\'codeBlock\'><pre>toolTip:\n\
</pre></div><p>Provides text for a tooltip for the MultiListBox; no tooltip if unsupplied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;listbox&gt;.items Array of Strings \n\
</pre></div><p>The item string array.</p>\n\
<div class=\'codeBlock\'><pre>&lt;listbox&gt;.selection BitArray \n\
</pre></div><p>The currently selected items. When setting the selection via a script, the selection can be specified as a BitArray, Array of numbers, or a number. If the items list is an empty array, this value is 0.</p>\n\
<p><strong>Events:</strong></p>\n\
<div class=\'codeBlock\'><pre>on &lt;listbox&gt; selected &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user selects or deselects an item in the list. The <span class=\'code\'>&lt;arg&gt;</span> argument contains the index of the item that was selected or deselected. Since multiple items can be selected or deselected at once, this handler is called for each item in the list, starting from the top of the list, whose selection has changed.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;listbox&gt; selectionEnd do &lt;expr&gt; \n\
</pre></div><p>Called when the user selects or deselects an item in the list, but after all the calls to the on selected handler have been made.</p>\n\
<p>Note:</p>\n\
<p>There isn&#39;t a way to deselect all the items in the list by clicking in the list somewhere, although it is possible by holding down Ctrl key and clicking the last selected item.</p>\n\
<p>To clear the list selection you might want to add a &quot;Clear Selection&quot; button that sets selection=#{}.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;listbox&gt; doubleClicked &lt;arg&gt; do &lt;expr&gt; \n\
</pre></div><p>Called when the user double-clicks on an item in the list. Note that the on selected handler is always called on single clicks and on the first click of a double-click. The <span class=\'code\'>&lt;arg&gt;</span> argument contains the number of the item double-clicked.</p>\n\
<div class=\'codeBlock\'><pre>on &lt;listbox&gt; rightClick do &lt;expr&gt; \n\
</pre></div><p>Called when the user right-clicks in the Multilistbox control.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";