var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>popupMenu</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>popupMenu</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"popupmenu\"></a></div>\n\
<p>A popup menu is a custom right-click menu (<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/RCMenu-Clauses.html\' title=\'\'>RCMenu</a>) that can be displayed anywhere on screen.</p>\n\
<p><strong>The syntax is:</strong></p>\n\
<div class=\'codeBlock\'><pre>PopupMenu &lt;RCMenu&gt; [pos:&lt;Point2&gt;] [rollout:&lt;Rollout&gt;] \\\n\
  [align:&lt;key&gt;] applyUIScaling:&lt;true&gt;    \n\
</pre></div><p>This method will popup a menu anywhere on the screen.</p>\n\
<p><span class=\'code\'>&lt;RCMenu&gt;</span> : Any <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Right-Click-Menus/RCMenu-Clauses.html\' title=\'\'>RCMenu</a> defined. It does not have to be registered.</p>\n\
<p><span class=\'code\'>\\[pos:&lt;Point2&gt;\\]</span> : The point where to put the menu up, either relative to the Rollout or the screen. (Default:popup from current mouse position.)</p>\n\
<p><span class=\'code\'>\\[rollout:&lt;Rollout&gt;\\]</span> : This will make the menu popup from a rollouts local coordinate system. Specifying undefined will popup the menu relative to the upper left corner of the screen. (Default:undefined)</p>\n\
<p><span class=\'code\'>\\[align:&lt;key&gt;\\]</span> : Can be one of the following (default: <span class=\'code\'>#align_topleft</span> ):</p>\n\
<div class=\'codeBlock\'><pre>#align_topleft #align_topcenter #align_topright #align_bottomleft #align_bottomcenter #align_bottomright #align_vcenterleft #align_vcentercenter #align_vcenterright \n\
</pre></div><p><span class=\'code\'>applyUIScaling:&lt;true&gt;</span> : Applies UI scaling to the position on high-DPI displays if true. The default is <strong>true</strong>.</p>\n\
<p>Note: The scope of execution can affect the timing of <span class=\'code\'>popupMenu()</span> evaluation. It calls an external win32 function that gets evaluated after the local scope in which <span class=\'code\'>popupMenu()</span> is called is finished. This means that code following <span class=\'code\'>popupMenu()</span> can execute before the menu appears, if it is in the same scope. To prevent this behavior, you can add a call to <span class=\'code\'>windows.processPostedMessages()</span> immediately following <span class=\'code\'>popupMenu()</span> to force it to execute in order.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";