var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Scripted Utility Panels</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Scripted Utility Panels</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scripted-utility-panels\"></a></div>\n\
<p>A scripted utility panel is created using the <span class=\'code\'>utility</span> definition construct in MAXScript.</p>\n\
<p>The top-level syntax is as follows:</p>\n\
<div class=\'codeBlock\'><pre>utility &lt;var_name&gt; &lt;description_string&gt; [rolledUp:&lt;boolean&gt; ] [silentErrors:&lt;boolean&gt; ]\n\
( \n\
&lt;utility_body&gt; \n\
) \n\
</pre></div><p>The <span class=\'code\'>&lt;var_name&gt;</span> is the name of an automatically created global variable to hold the value that represents the scripted utility panel.</p>\n\
<p>The <span class=\'code\'>&lt;description_string&gt;</span> is a string which is used as the description for the utility in the Utilities list in the MAXScript rollout.</p>\n\
<p>The optional <span class=\'code\'>rolledUp:</span> parameter specifies whether the utility rollout is initially rolled up. If set to <span class=\'code\'>true</span> , the utility rollout is initially rolled up. The default value is <span class=\'code\'>false</span> .</p>\n\
<p>The optional <span class=\'code\'>silentErrors:</span> parameter controls whether MAXScript runtime error messages are displayed while executing the scripted utility. If this parameter is set to <span class=\'code\'>false</span> , error messages are displayed to Listener and possibly to a pop-up error dialog, and continued execution of the utility is terminated. If this parameter is set to <span class=\'code\'>true</span> , error messages will not be displayed, and continued execution of the utility is permitted. Setting this parameter to <span class=\'code\'>true</span> is useful for distributed scripted plug-ins that may confuse the user with MAXScript error messages. The default value is <span class=\'code\'>false</span> .</p>\n\
<p>The <span class=\'code\'>&lt;utility_body&gt;</span> is inside the required parentheses and is a sequence of clauses that defines the user-interface items that will appear in the utility, along with functions and event handlers that process user interactions, as defined in detail in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-Clauses.html\' title=\'\'>Utility Clauses</a>.</p>\n\
<p>Here is a short example that implements a utility for spreading the positions of the objects in the current selection. It installs a <span class=\'code\'>Spread objects</span> entry in the Utilities list. When opened, the <span class=\'code\'>Spread objects</span> rollout has three check boxes and one spread amount spinner. The spread spinner event handler is called whenever the user adjusts the spinner, and the event handler expression computes a new position for the objects in the selection, testing the state of each check box to control the spread.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` utility spread &quot;Spread objects&quot; -- define the utility name and description string ( local last_amt = 0 -- define and initialize local variable checkbox x &quot;Spread in x&quot; -- create 3 checkboxes checkbox y &quot;Spread in y&quot; checkbox z &quot;Spread in z&quot; spinner spread &quot;Spread amount:&quot; range:[-1000,1000,0] -- create a spinner on spread changed amt do -- when spinner value changes... ( delta = amt - last_amt -- calculate difference in current and previous for obj in selection do -- values for each selected object ( -- calculate new position based on current position and selection center p = obj.pos + normalize (obj.pos - selection.center) * delta if x.checked then obj.pos.x = p.x -- if checkbox x checked, apply X position if y.checked then obj.pos.y = p.y -- if checkbox y checked, apply Y position if z.checked then obj.pos.z = p.z -- if checkbox z checked, apply Z position ) last_amt = amt -- store spinner value as previous value ) -- end of &quot;on spread changed&quot; ) -- end of utility definition</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The Utilities panel rollout created by the previous script looks like the following figure. The Close button is automatically created by MAXScript in the utility rollout, and closes the rollout.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C80D0D89-21D3-4503-BFF8-F11AB1544E5C-low.gif\' title=\'\'></div>\n\
<p><strong>Spread objects rollout</strong></p>\n\
<p>Evaluating a utility definition does several things. It creates a new value which is an instance of the Rollout class and contains the utility definition. It assigns this value to the named global variable and installs the utility description in the Utilities list in the MAXScript rollout. At this point, the user can select the utility from the Utilities list and the utility’s rollout(s) will open.</p>\n\
<p>Note:</p>\n\
<p>If a scripted utility already exists with the same description, the old rollout(s) is replaced with the new one(s), even if it is currently open in the Utilities panel. This allows you to incrementally develop a utility. Each time you modify and evaluate its definition, the old version is replaced with the new one.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";