var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SubRollout Class</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SubRollout Class</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"subrollout-class\"></a></div>\n\
<p><strong>SubRollout</strong> is a Subclass of RolloutControl. All <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-1.html\' title=\'\'>Rollout User-Interface Controls Common Properties</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-2.html\' title=\'\'>Rollout User-Interface Controls Common Layout Parameters</a> should apply.</p>\n\
<p><strong>Description</strong></p>\n\
<p>A UI item which you can place rollouts into. No caption is displayed for the UI item. On right side of the UI item, a scrollbar is displayed if the height of the rollout(s) in the item is greater than the height of the item.</p>\n\
<p>You can override the auto resize setting for a SubRollout by specifying <span class=\'code\'>autoLayoutOnResize:&lt;boolean&gt;</span> when creating the SubRollout, otherwise it inherits this setting from the parent rollout. Available in <strong>3ds Max 2019 and higher</strong>. You can also set scrollbar settings using <span class=\'code\'>scrollBar: &lt;on|off|#on|#off|#asNeeded&gt;</span>, where the default is <span class=\'code\'>#asNeeded</span>..</p>\n\
<p><strong>Properties</strong></p>\n\
<div class=\'codeBlock\'><pre>.rollouts \n\
</pre></div><p>The rollouts installed in the SubRollout control using AddSubRollout (see notes below). Read-only. The names of the installed rollouts are exposed as read-only properties.</p>\n\
<div class=\'section\'><a id=\"notes-on-common-ui-item-properties\"></a><h2 id=\"notes-on-common-ui-item-properties\">Notes on common UI item properties:</h2></div>\n\
<div class=\'codeBlock\'><pre>.caption \n\
</pre></div><p>None displayed. Read/write.</p>\n\
<div class=\'codeBlock\'><pre>.text \n\
</pre></div><p>None displayed. Read/write.</p>\n\
<div class=\'codeBlock\'><pre>.enabled \n\
</pre></div><p>Setting has no effect. Always set to true. Read/Write.</p>\n\
<div class=\'codeBlock\'><pre>.pos \n\
</pre></div><p>The position of the UI item in the rollout. Read/write.</p>\n\
<div class=\'codeBlock\'><pre>.align \n\
</pre></div><p>UI item alignment. Creation only property.</p>\n\
<div class=\'codeBlock\'><pre>.offset \n\
</pre></div><p>UI item offset. Creation only property.</p>\n\
<div class=\'codeBlock\'><pre>.width \n\
</pre></div><p>Sets the width of the subrollout. Accessible as a property of the UI item.</p>\n\
<div class=\'codeBlock\'><pre>.height \n\
</pre></div><p>Sets the height of the subrollout. Accessible as a property of the UI item.</p>\n\
<div class=\'codeBlock\'><pre>.across \n\
</pre></div><p>Number of UI items across. Creation only parameter.</p>\n\
<p><strong>Associated Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>addSubRollout &lt;subrollout&gt; &lt;rollout&gt; [rolledUp:&lt;boolean&gt;] \n\
</pre></div><p>Adds the rollout to the subrollout. Always returns ok.</p>\n\
<div class=\'codeBlock\'><pre>removeSubRollout &lt;subrollout&gt; &lt;rollout&gt; \n\
</pre></div><p>Removes the rollout from the subrollout. Always returns ok.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rollout test &quot;test&quot; height:200 autoLayoutOnResize:true scrollBar:#asNeeded ( subrollout test1 &quot;test1&quot; subrollout test2 &quot;test2&quot; ) rollout test1a &quot;test1a&quot; ( spinner test1as &quot;test1as&quot; ) rollout test1b &quot;test1b&quot; ( spinner test1bs &quot;test1bs&quot; ) createdialog test AddSubRollout test.test1 test1a AddSubRollout test.test1 test1b test.test1.height += 100 test.test2.pos += [0,100] rollout test2a &quot;test2a&quot; ( spinner test2as &quot;test2as&quot; ) AddSubRollout test.test2 test2a test.test2.height += 50</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>Changing the height of a subRollout does not change the position of any UI items below it.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";