var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Utility Clauses</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Utility Clauses</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"utility-clauses\"></a></div>\n\
<p>The <span class=\'code\'>&lt;utility_body&gt;</span> of a scripted utility definition is composed of a sequence of utility clauses as follows:</p>\n\
<div class=\'codeBlock\'><pre>&lt;utility_body&gt; ::= { &lt;utility_clause&gt; }+\n\
</pre></div><p>where</p>\n\
<div class=\'codeBlock\'><pre>&lt;utility_clause&gt; ::= &lt;rollout_clause&gt; | &lt;nested_rollout&gt;\n\
</pre></div><p>A <span class=\'code\'>&lt;utility_clause&gt;</span> can contain one or more instances of <span class=\'code\'>&lt;rollout_clause&gt;</span> or <span class=\'code\'>&lt;nested_rollout&gt;</span> . A nested rollout is basically another self-contained rollout definition which can be used to construct scripted utilities with multiple rollouts or populate rollout floater windows that may be associated with the utility. A <span class=\'code\'>&lt;nested_rollout&gt;</span> is defined as follows:</p>\n\
<div class=\'codeBlock\'><pre>rollout &lt;var_name&gt; &lt;description_string&gt; [ rolledUp:&lt;boolean&gt; ] [ silentErrors:&lt;boolean&gt; ] \\\n\
  [ autoLayoutOnResize:&lt;boolean&gt; ]\n\
( \n\
&lt;rollout_body&gt;\n\
)\n\
</pre></div><p>where</p>\n\
<div class=\'codeBlock\'><pre>&lt;rollout_body&gt; ::= { &lt;utility_clause&gt; }+\n\
</pre></div><p>In other words, a rollout definition is identical to a utility definition except its description string is not displayed in the Utilities list in the MAXScript rollout. In fact, a utility can just be considered a special case of a rollout, and both are instances of the Rollout class.</p>\n\
<p>As an example, consider the following script. In this script, line 1 defines the start of the utility, and the utility body is lines 2 through 42. The following line ranges are utility clauses: 3 (a rollout clause), 5 to 9 (a nested rollout), 11 to 30 (a nested rollout), 32 to 35 (a rollout clause), and 37 to 40 (a rollout clause).</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` utility MyUtil &quot;My Utility&quot; ( local pot rollout bout &quot;About My Utility&quot; ( button aboutMU &quot;About&quot; width:45 height:20 on aboutMU pressed do messagebox &quot;My First Utility\\nby ME\\nVersion .1&quot;<br> title:&quot;About My Utility&quot; ) -- end rollout bout rollout creator &quot;The Teapot&quot; ( group &quot;Object Creator&quot; ( button tea &quot;Teapot&quot; spinner rad &quot;Radius&quot; range:[10,50,20] type:#integer spinner seg &quot;Segments&quot; range:[4,32,12] type:#integer scale:1 ) on tea pressed do ( pot=teapot radius:rad.value pot.name=&quot;TestPot&quot; pot.segs=seg.value ) -- end on tea pressed on rad changed value do pot.radius=value on seg changed value do pot.segs=seg.value ) -- end rollout creator on MyUtil open do ( addRollout bout addRollout creator ) -- end on MyUtil open on MyUtil close do ( removeRollout bout removeRollout creator ) -- end on MyUtil close ) -- end utility MyUtil</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The Utilities panel rollouts created by the previous script look like the following:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-73430F90-C840-40F0-BC43-D36086B25BDA-low.gif\' title=\'\'></div>\n\
<p><strong>Multiple rollouts defined in a utility</strong></p>\n\
<p>You can also define rollouts outside utility definitions when you want to add them to a rollout floater window that may not be associated with a scripted utility. This is described more fully in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Floater-Windows.html\' title=\'\'>Rollout Floater Windows</a>.</p>\n\
<p>A value is created for a utility or rollout when the script defining the utility or rollout is executed. In general, the lifetime of a utility value is the entire <strong>3ds Max</strong> session, unless a new utility with the same name is executed. The lifetime of a rollout defined in a utility is the lifetime of the utility value. The lifetime of a rollout defined outside a utility is the lifetime of the context the rollout was defined in. For more information, see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Scope-of-Variables.html\' title=\'\'>Scope of Variables</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";