var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>XAML Files with MAXScript Controls</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>XAML Files with MAXScript Controls</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"xaml-files-with-maxscript-controls\"></a></div>\n\
<p>The Extensible Application Markup Language (XAML) is used to write Windows Presentation Foundation (WPF) applications.</p>\n\
<p>XAML files are used to define the content of the Ribbon and of the Application Menu of <strong>3ds Max 2010 and higher</strong>.</p>\n\
<p>In <strong>3ds Max 2010</strong>, XAML files had to be edited manually to modify existing features or add new ones.</p>\n\
<p>Since <strong>3ds Max 2011</strong>, the XAML files of the Ribbon interface can be customized using dedicated tools.</p>\n\
<p>Several MAXScript controls can be included in the XAML code to integrate features like MacroScripts, spinners and color pickers.</p>\n\
<div class=\'section\'><a id=\"actionitem-in-an-xaml-file\"></a><h2 id=\"actionitem-in-an-xaml-file\">ActionItem in an XAML File</h2></div>\n\
<p>A MacroScript, which technically defines an ActionItem, can be added to the Application Menu using the following syntax:</p>\n\
<div class=\'codeBlock\'><pre>{wpfmax:ActionItem MacroCategory=&lt;Category&gt;, MacroName=&lt;MacroScriptName&gt; } \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>For example, to add a new option to the Application Menu &gt; Export sub-menu to write the scene to the 3 rd party BFF file format, you could add the following to the <strong>\\ui\\ApplicationMenu.xaml</strong> file inside the definition starting with the header</p>\n\
<p><applicationmenuitem text=\"Export\" issplit=\"true\" id=\"ExportSplit\" ...=\"\" ```=\"\"></applicationmenuitem><applicationmenuitem text=\"Bobo\'s File Format\" id=\"BFFExp\" keytip=\"B\" largeimage=\"Icons/ApplicationMenu/export_32.ico\" description=\"Exports the scene in the MAXScript-based BFF format.\" commandhandler=\"{wpfmax:ActionItem MacroCategory=Bobo_s Tools, MacroName=BFF_Exporter}\"></applicationmenuitem></p>\n\
<p>```</p>\n\
<p>After re-saving the XAML file, opening the3ds Max Application Menu shows the following additional command:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-DF6AC041-D236-42E0-9BCE-90B7E90E766F-low.gif\' title=\'\'></div>\n\
\n\
<div class=\'section\'><a id=\"spinner-in-an-xaml-file\"></a><h2 id=\"spinner-in-an-xaml-file\">Spinner in an XAML File</h2></div>\n\
<p>Afloat or integer Spinner control can be defined in the Ribbon&#39;s XAML file. The spinner will interact with the scene via a set of two callback functions defined in a struct.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;wpfmax:MaxSpinnerFloat Id=&lt;string&gt;ID    MinWidth=&lt;string&gt;MinWidth   Width=&lt;string&gt;Width     Height=&lt;string&gt;Height   Min=&lt;string&gt;MinValur    Max=&lt;string&gt;MaxValue    Scale=&lt;string&gt;ScaleValue    init=&lt;string&gt;InitValue      ToolTip=&lt;string&gt;Tooltip     MaxscriptCallback=&lt;string&gt;ColorSwatchCallbackStruct /&gt;   \n\
&lt;wpfmax:MaxSpinnerInt Id=&lt;string&gt;ID   MinWidth=&lt;string&gt;MinWidth   Width=&lt;string&gt;Width   Height=&lt;string&gt;Height   Min=&lt;string&gt;MinValue   Max=&lt;string&gt;MaxValue   Scale=&lt;string&gt;ScaleValue   init=&lt;string&gt;InitValue   ToolTip=&lt;string&gt;Tooltip   MaxscriptCallback=&lt;string&gt;ColorSwatchCallbackStruct /&gt; \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>Here is the sample to define a float spinner that could change the radius of an object like a sphere or a teapot:</p>\n\
<p><strong>XAML CODE:</strong></p>\n\
<p>``` <wpfmax:maxspinnerfloat id=\"FloatSpinnerSample\" minwidth=\"40\" width=\"40\" height=\"16\" min=\"0.0\" max=\"10000.0\" scale=\"1.0\" init=\"1.0\" maxscriptcallback=\"MySpinnerFloat\"></wpfmax:maxspinnerfloat></p>\n\
<p>```</p>\n\
<p><strong>MAXSCRIPT CODE:</strong></p>\n\
<p>``` --Define a global struct with two functions - OnChange() and GetValue() --These will be called by the Ribbon spinner thanks to the --MaxscriptCallback definition: struct MySpinnerFloat ( fn OnChanged Value = ( for o in selection where is Property o #radius do o.radius = Value ), fn GetValue = ( if selection.count &gt; 0 then for o in selection where is Property o #radius do return o.radius else 0 ) ) --The OnChanged() function will be called when the value in the UI is changing. --The GetValue() function will be called when the system needs to update the value in the UI.</p>\n\
<p>```</p>\n\
\n\
<div class=\'section\'><a id=\"colorpicker-in-an-xaml-file\"></a><h2 id=\"colorpicker-in-an-xaml-file\">Colorpicker in an XAML File</h2></div>\n\
<p>A ColorPicker UI Controls can be defined in the Ribbon&#39;s XAML file. The ColorPicker will interact with the scene via a set of two callback functions defined in a struct.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;wpfmax:MaxRibbonColorSwatch Id=&quot;ID&quot; MinWidth=&lt;string&gt;MinWidth Width=&lt;string&gt;Width Height=&lt;string&gt;Height MaxscriptCallback=&lt;string&gt;ColorSwatchCallbackStruct /&gt; \n\
</pre></div><div class=\'section\'><a id=\"maxscript-command-in-an-xaml-file\"></a><h2 id=\"maxscript-command-in-an-xaml-file\">MAXScript Command in an XAML File</h2></div>\n\
<p>A MAXScript Command call can be defined in the Ribbon&#39;s XAML file. The command can be any valid MAXScript expression.</p>\n\
<p><strong>Syntax:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;wpfmax:MaxscriptCommand Maxscript=&lt;string&gt;Expression MaxscriptToggleOff=&lt;string&gt;OffExpression /&gt; \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>Here is the actual code of the Border Sub-Object button in the Ribbon.</p>\n\
<p>When the button is toggled on, the MAXScript command &quot;subObjectLevel = 3&quot; is called to set the Border mode.</p>\n\
<p>When the button is toggled off, the MAXScriptToggleOff expression &quot;subObjectLevel= 0&quot; is called.</p>\n\
<p>The rest of the code defines which panels should be made visible when the toggle is on or off.</p>\n\
<p><strong>XAML CODE:</strong></p>\n\
<p>``` <wpfmax:maxsubjectobjecttogglebutton id=\"mBordermode\" text=\"Border\" mode=\"Border\" orientation=\"Vertical\" showtext=\"False\" size=\"Standard\" image=\"Icons/Modeling/bordermode_editpolygons.ico\"> <wpfmax:maxsubjectobjecttogglebutton.commandhandler> <wpfmax:maxscriptcommand maxscript=\"subobjectLevel = 3\" maxscripttoggleoff=\"subobjectLevel = 0\"></wpfmax:maxscriptcommand> </wpfmax:maxsubjectobjecttogglebutton.commandhandler> <s:string>AUseSS, EModifyPanel, ESelectPanel, ESelectLoopsPanel, ESelectByPanel, AStorePanel, ANamedSetsPanel, APatternsPanel</s:string> <s:string>BBorderEdgesPanel, ETriangulationPanel, VGeometryPanel, VCutsPanel, VAlignPanel, VSubdivisionPanel, VPaintDeformPanel, OPropertiesPanel</s:string> </wpfmax:maxsubjectobjecttogglebutton></p>\n\
<p>```</p>\n\
\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";