var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAX File Asset Metadata Stream Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAX File Asset Metadata Stream Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"max-file-asset-metadata-stream-access\"></a></div>\n\
<p>In <strong>3ds Max 2010 and higher</strong>, the <strong>3ds Max scene file</strong> provides <strong>Asset Metadata</strong> in a separate stream which can be accessed and modified by external applications. The Asset data is generated and managed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\' title=\'\'>AssetManager</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\' title=\'\'>AssetUser</a> objects.</p>\n\
<p>The <strong>Asset Metadata</strong> inside a saved <strong>3ds Max scene file</strong> can also be accessed by MAXScript using the following functions:</p>\n\
<div class=\'codeBlock\'><pre>getMAXFileAssetMetadata &lt;filename&gt;\n\
</pre></div><p>Returns an array of AssetMetadata_StructDef struct instances corresponding to assets defined in the specified.MAXfile.</p>\n\
<p>For more information about how 3ds Max resolves the file specified by <span class=\'code\'>filename</span>, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/GUID-624D3D05-B15D-4A97-9F15-DA35CDB0DDD2.html#scene-file-path-resolution\' title=\'\'>Scene File Path Resolution</a></p>\n\
<div class=\'codeBlock\'><pre>setMAXFileAssetMetadata &lt;filename&gt; &lt;array of AssetMetadata_StructDef instances&gt;\n\
</pre></div><p>Updates the asset metadata defined in the specified <em>.MAXfile</em>.</p>\n\
<p>If the asset ID for an existing asset is not found in the AssetMetadata_StructDef struct instances, the asset is unchanged.</p>\n\
<p>If an asset ID match is found, the asset types must be the same, otherwise a runtime error will be generated.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` scenefilename = @&quot;\\(scenes\\assetMetaDataRewriteTest.max&quot;  fileassets = #()  (  resetmaxfile #noprompt  gc()  myteapot = teapot material:(standard diffusemap:(bitmapTexture filename:@&quot;\\)maps[1]\\assetFile1.tga&quot;) bumpmap:(bitmapTexture filename:@&quot;$maps[1]\\assetFile2.tga&quot;)) print &quot;material assets:&quot; format &quot;%\\n&quot;myteapot.material.diffusemap.filename format &quot;%\\n&quot;myteapot.material.bumpmap.filename format &quot;\\n&quot; print &quot;asset manager assets - presave:&quot; for i = 1 to assetmanager.GetNumAssets() do ( asset = assetmanager.GetAssetByIndex i format &quot;% : % : % \\n&quot; (asset.GetAssetId()) (asset.GetFileName()) (asset.GetType()) ) format &quot;\\n&quot; gc light:true savemaxfile scenefilename print &quot;asset manager assets - postsave:&quot; for i = 1 to assetmanager.GetNumAssets() do ( asset = assetmanager.GetAssetByIndex i format &quot;% : % : % \\n&quot; (asset.GetAssetId()) (asset.GetFileName()) (asset.GetType()) ) format &quot;\\n&quot; gc light:true print &quot;original scene file assets:&quot; fileassets = getMAXFileAssetMetadata scenefilename for asset in fileassets do format &quot;% : % : %\\n&quot; asset.assetId asset.FileName asset.Type format &quot;\\n&quot; gc light:true fileassets[1].filename = &quot;assetFile3.tga&quot; setMAXFileAssetMetadata scenefilename fileassets print &quot;modified scene file assets:&quot; fileassets = getMAXFileAssetMetadata scenefilename for asset in fileassets do format &quot;% : % : %\\n&quot; asset.assetId asset.FileName asset.Type format &quot;\\n&quot; gc light:true ok ) -- error tests oldType = fileassets[1].type fileassets[1].type = #animation setMAXFileAssetMetadata scenefilename fileassets fileassets[1].type = oldType oldAssetId = fileassets[1].assetId fileassets[1].assetId = 123 setMAXFileAssetMetadata scenefilename fileassets fileassets[1].assetId = oldAssetId oldAssetId = fileassets[1].assetId fileassets[1].assetId = &quot;123&quot; setMAXFileAssetMetadata scenefilename fileassets fileassets[1].assetId = oldAssetId</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` &quot;$scenes\\assetMetaDataRewriteTest.max&quot; #() &quot;material assets:&quot; C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga &quot;asset manager assets - presave:&quot; {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga : #bitmap {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap {4316B891-0A3E-48A6-BACA-139E228E5899} : glare_streaks_star_camera_filter.tif : #other {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap {77E039AC-3830-4A55-BB7E-0B41BAFB488D} : Untitled Scene : #xref &quot;asset manager assets - postsave:&quot; {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga : #bitmap {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap {14C3E0E5-219F-4E26-9831-0CF67D83B770} : C:\\Documents and Settings\\username\\My Documents\\3dsMax\\scenes\\assetMetaDataRewriteTest.max : #xref {0D502254-780D-405A-8B55-F52E720E43AD} : glare_streaks_star_camera_filter.tif : #other &quot;original scene file assets:&quot; {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile2.tga : #bitmap {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap &quot;modified scene file assets:&quot; {FFF11D6D-8F2A-417E-8D45-4FAC1B750C43} : assetFile3.tga : #bitmap {7647BFE7-3E18-480D-83BC-19F378C9E185} : C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\assetFile1.tga : #bitmap {38B4658B-2DB4-4145-9245-0FCDF7DCC711} : glare_streaks_star_camera_filter.tif : #bitmap OK #bitmap #animation -- Error occurred in anonymous codeblock; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts; position: 1590; line: 56 -- Runtime error: Incorrect asset type for assetId {38B4658B-2DB4-4145-9245-0FCDF7DCC711}; expecting: #Bitmap; got: #animation #bitmap &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot; 123 -- Error occurred in anonymous codeblock; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts; position: 1737; line: 61 -- Unable to convert: 123 to type: String &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot; &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot; &quot;123&quot; -- Error occurred in anonymous codeblock; filename: C:\\Program Files\\Autodesk\\3ds Max 2010\\ui\\macroscripts; position: 1892; line: 66 -- Runtime error: Cannot convert assetId string to assetId value: &quot;123&quot; &quot;{FFF11D6D-8F2A-417E-8D45-4FAC1B750C43}&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";