var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>PathConfig Struct</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>PathConfig Struct</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"pathconfig-struct\"></a></div>\n\
<p>The <strong>PathConfig</strong> struct provides methods to access and manage Project paths, System paths, manipulate paths and convert between UNC, absolute and relative paths and so on.</p>\n\
<p>Available in <strong>3ds Max 9 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"project-folder\"></a><h2 id=\"project-folder\">Project Folder</h2></div>\n\
<div class=\'codeBlock\'><pre>pathConfig.doProjectSetupSteps() \n\
</pre></div><p>Performs all steps necessary to set up a new Project, including browsing for project folder and creating all sub-folders. Returns true on success, false if cancelled.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.doProjectSetupStepsUsingDirectory &lt;ProjectPath&gt;   \n\
</pre></div><p>Performs all steps necessary to set up a new Project using the supplied Project Path as the Root. Returns true on success, false if cancelled.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.doSetProjectFolderSteps()\n\
</pre></div><p>Performs all steps necessary to set an existing Project, including browsing for project folder. Returns true on success, false if cancelled.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.doProjectSetupStepsUsingDirectory &lt;ProjectPath&gt;\n\
</pre></div><p>Performs all steps necessary to set an existing Project using the supplied Project Path as the Root. Returns true on success, false if cancelled.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.getCurrentProjectFolder() \n\
</pre></div><p>Returns the current Project Folder.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.getCurrentProjectFolderPath() \n\
</pre></div><p>Returns the current Project Folder definition file (*.MXP).</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.getProjectFolderPath &lt;ProjectPath&gt; \n\
</pre></div><p>Returns the Project Definition filename (<projectpath>\\<projectname>.mxp) for the specified Project Folder.<p>\n\
<div class=\'codeBlock\'><pre>pathConfig.getProjectSubDirectory &lt;subdir_index&gt; \n\
</pre></div><p>Returns the indexed Project sub-directory.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` --Print all Project Sub-Directories: for i = 1 to pathConfig.getProjectSubDirectoryCount() do format &quot;%: %\\n&quot; i (pathConfig.getProjectSubDirectoryi)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.getProjectSubDirectoryCount() \n\
</pre></div><p>Returns the number of Project sub-directories. See above example.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.addProjectDirectoryCreateFilter &lt;#directory_type&gt; \n\
</pre></div><p>Adds Project Directory Filter where <span class=\'code\'>&lt;directory_type&gt;</span> is one of the following:</p>\n\
<div class=\'codeBlock\'><pre> #font | #Scene | #export | #import | #help | #expression | #preview | #image | #Sound | #plugcfg | #maxstart | #vpost | #drivers | #autoback | #matlib | #scripts | #startupScripts | #defaults | #renderPresets | #ui | #maxroot | #renderoutput | #animations | #archives | #Photometric | #renderassets | #userScripts | #userMacros | #userStartupScripts | #temp | #userIcons | #maxData | #downloads | #proxies \n\
pathConfig.removeProjectDirectoryCreateFilter &lt;#directory_type&gt;\n\
</pre></div><p>Removes the specified Project Directory Filter where <span class=\'code\'>&lt;directory_type&gt;</span> is one of those listed for <span class=\'code\'>addProjectDirectoryCreateFilter()</span>.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.removeAllProjectDirectoryCreateFilters() \n\
</pre></div><p>Removes all filters added using <span class=\'code\'>pathConfig.addProjectDirectoryCreateFilter()</span></p>\n\
<div class=\'codeBlock\'><pre>pathConfig.getProjectDirectoryCreateFilters() \n\
</pre></div><p>Returns an array of the currently set Project Directory Filters.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.setCurrentProjectFolder &lt;ProjectPath&gt; \n\
</pre></div><p>Sets the current project folder to the given path. The Project Folder is displayed in the title bar of <strong>3ds Max</strong> and will be updated instantly.</p>\n\
<div class=\'section\'><a id=\"path-manipulation-conversion-and-resolving\"></a><h2 id=\"path-manipulation-conversion-and-resolving\">Path Manipulation, Conversion and Resolving</h2></div>\n\
<div class=\'codeBlock\'><pre>pathConfig.appendPath &lt;path1&gt; &lt;path2&gt; \n\
</pre></div><p>Appends the second argument filename to the first argument path, adding backslash if necessary.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.appendPath &quot;c:\\temp&quot; &quot;test.txt&quot; &quot;c:\\temp\\test.txt&quot; pathConfig.appendPath &quot;c:\\temp\\&quot; &quot;test&quot; &quot;c:\\temp\\test&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.convertPathToAbsolute &lt;relative_path&gt; \n\
</pre></div><p>Converts the relative path argument to absolute project path using the Project Directory.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.convertPathToAbsolute &quot;meshes&quot; &quot;C:\\Documents and Settings\\username\\My Documents\\3dsmax\\meshes&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.convertPathToLowerCase &lt;path&gt; \n\
</pre></div><p>Converts the path argument to lower case and unifies the backslashes.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.convertPathToLowerCase &quot;C:\\Temp\\Test/pATH&quot; &quot;c:\\temp\\test\\path&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.convertPathToRelativeTo &lt;path1&gt; &lt;path2&gt; \n\
</pre></div><p>Converts the first path argument to a relative path with respect to the second path argument.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.convertPathToRelativeTo &quot;C:\\Temp\\Test&quot; &quot;c:\\Program Files\\&quot; &quot;..\\Temp\\Test&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.convertPathToUnc &lt;path&gt; \n\
</pre></div><p>Returns the UNC path from a mapped drive path.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` --If drive letter T: is mapped to a server called MyServer, then pathConfig.convertPathToUnc &quot;t:\\project&quot; &quot;\\MyServer\\projects&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>mapPaths.getFullFilePath &lt;filename&gt; \n\
</pre></div><p>Resolves the filename using map paths, returns fully qualified filename if the file is found.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.normalizePath &lt;path&gt; \n\
</pre></div><p>Returns a normalized path name.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.normalizePath &quot;scenes/test.txt&quot; &quot;.\\scenes\\test.txt&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.pathsResolveEquivalent &lt;path1&gt; &lt;path2&gt; \n\
</pre></div><p>Returns true if the two paths resolve to the same location (in other words the two paths are equivalent), false if they are not equivalent.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.pathsResolveEquivalent &quot;scenes\\test.txt&quot; &quot;./scenes/test.txt&quot; true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.resolvePathSymbols &lt;path&gt; \n\
</pre></div><p>Resolves the path symbols.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.resolveUNC SystemGlobal:resolveUNC false \n\
</pre></div><p>This is the property toggle found in <strong>Preferences&gt;Files</strong> which controls whether max automatically converts absolute paths to their UNC equivalents. (i.e. M:\\file.txt to server1\\\\file.txt if M: is mapped to server1\\)</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.removePathLeaf &lt;path&gt; \n\
</pre></div><p>Removes a leaf from the given path.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.removePathLeaf &quot;c:\\temp\\test&quot; &quot;c:\\temp&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.removePathTopParent &lt;path&gt; \n\
</pre></div><p>Removes the top parent from the given path.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pathConfig.removePathTopParent &quot;c:\\temp\\test&quot; &quot;temp\\test&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.stripPathToLeaf &lt;path_or_filename&gt; \n\
</pre></div><p>Returns the last sub-directory name from the given path. If the path is a full file name, returns the file name. Equivalent to filename from path.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` pathConfig.stripPathToLeaf &quot;C:\\temp\\test&quot; &quot;test&quot; pathConfig.stripPathToLeaf &quot;C:\\temp\\test\\&quot; &quot;&quot; pathConfig.stripPathToLeaf &quot;C:\\temp\\test\\somefile.tga&quot; &quot;somefile.tga&quot; --COMPARE: filenamefrompath &quot;C:\\temp\\test&quot; &quot;test&quot; filenamefrompath &quot;C:\\temp\\test\\&quot; &quot;&quot; filenamefrompath &quot;C:\\temp\\test\\somefile.tga&quot; &quot;somefile.tga&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.stripPathToTopParent \n\
</pre></div><p>Returns the root of the given path.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` pathConfig.stripPathToTopParent &quot;C:\\temp\\test\\test.tga&quot; &quot;C:&quot; pathConfig.stripPathToTopParent &quot;\\\\SomeServer\\Projects\\Test&quot; &quot;\\SomeServer&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"is...-query-methods\"></a><h2 id=\"is...-query-methods\">Is... Query Methods</h2></div>\n\
<div class=\'codeBlock\'><pre>pathConfig.isAbsolutePath &lt;path_string&gt; \n\
</pre></div><p>Returns true if the argument is an absolute path, false if it is a relative path. The path does not have to exist for this method to operate on it.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.isLegalPath &lt;path_string&gt; \n\
</pre></div><p>Returns true if the argument is a legal path definition, false if it is an illegal path. The path does not have to exist for this method to operate on it, it is only being parsed for correctness.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` pathConfig.isLegalPath &quot;c:\\&quot; --legal path, existing true pathConfig.isLegalPath &quot;z:\\path&quot; --legal path, not existing true pathConfig.isLegalPath &quot;zz:\\path&quot; --illegal double drive letter! false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.isPathRootedAtBackslash &lt;path&gt; \n\
</pre></div><p>Returns true if the argument starts with a backslash, false if it does not.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` --starts with backslash: pathConfig.isPathRootedAtBackslash &quot;\\machine\\c$&quot; true --does not start with backslash: pathConfig.isPathRootedAtBackslash &quot;c:\\temp&quot; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.isPathRootedAtDriveLetter &lt;path&gt; \n\
</pre></div><p>Returns false if the argument starts with a backslash, true if it starts with a drive letter. The inverse of <span class=\'code\'>pathConfig.isPathRootedAtBackslash()</span></p>\n\
<div class=\'codeBlock\'><pre>pathConfig.isProjectFolder&lt;path&gt; \n\
</pre></div><p>Returns true if the argument path is a valid Project Folder root, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.isRootPath &lt;path&gt; \n\
</pre></div><p>Returns true if the argument path is a Root path, false otherwise</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` pathConfig.isRootPath &quot;C:\\&quot; true pathConfig.isRootPath &quot;C:\\temp&quot; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.isUncPath &lt;path&gt; \n\
</pre></div><p>Returns true if the argument path is a UNC path, false otherwise</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` pathConfig.isUncPath &quot;T:\\Projects&quot; --mapped drive, not UNC false pathConfig.isUncPath &quot;\\\\MyServer\\Projects&quot; --UNC path true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.isUncSharePath &lt;path&gt; \n\
</pre></div><p>Returns true if the argument path is a UNC share path, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.isUsingProfileDirectories() \n\
</pre></div><p>Returns true if the system is using Profile directories, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.isUsingRoamingProfiles() \n\
</pre></div><p>Returns true if the system is using Roaming Profiles, false otherwise. When using roaming profiles on somebody else&#39;s machine, your profile is being accessed over the network from your own machine. This mode is not officially supported.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.doesFileExist &lt;filename_string&gt; ignoreCache:&lt;boolean&gt; \n\
</pre></div><p>Returns true if the path is absolute and points to a file or directory that currently exists. This function checks if a file or directory exists in the location pointed to by the absolute <span class=\'code\'>filename_string</span>, potentially considering the MissingPathCache. See the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-missingPathCache.html\' title=\'\'>MissingPathCache</a> for more information.</p>\n\
<p>Note that the disk is accessed to check for its existence, so checking paths (especially on network drives) may incur a performance cost.</p>\n\
<p>If <span class=\'code\'>ignoreCache</span> is specified as true, testing does not consider whether the file&#39;s path may be in the File Path Not Present Cache maintained by the MissingPathCache.</p>\n\
<div class=\'section\'><a id=\"other-path-related-methods-and-structs\"></a><h2 id=\"other-path-related-methods-and-structs\">Other Path-Related Methods and Structs</h2></div>\n\
<div class=\'codeBlock\'><pre>pathConfig.GetDir &lt;#directory_type&gt; \n\
</pre></div><p>Points at the <span class=\'code\'>GetDir()</span> method <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\' title=\'\'>documented here</a>.</p>\n\
<p>Returns the system directory where directory_type is one of the following:</p>\n\
<div class=\'codeBlock\'><pre>#font | #Scene | #export | #import | #help | #expression | #preview | #image | #Sound | #plugcfg | #maxstart | #vpost | #drivers | #autoback | #matlib | #scripts | #startupScripts | #defaults | #renderPresets | #ui | #maxroot | #renderoutput | #animations | #archives | #Photometric | #renderassets | #userScripts | #userMacros | #userStartupScripts | #temp | #userIcons | #maxData | #downloads | #proxies | #pageFile \n\
pathConfig.mapPaths #Struct:mapPaths \n\
</pre></div><p>Points at the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/GUID-F7577416-051E-478C-BB5D-81243BAAC8EC.html#map-path-methods-\' title=\'\'>mapPaths struct</a> definition.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --the two method calls are equivalent: mapPaths.getFullFilePath &quot;fir.tga&quot; pathConfig.mapPaths.getFullFilePath &quot;fir.tga&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.pluginPaths #Struct:pluginPaths \n\
</pre></div><p>Points at the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/pluginPaths-Struct.html\' title=\'\'>pluginPaths struct</a>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` count = pathConfig.pluginPaths.count() for j = 1 to count do format &quot; % : %\\n&quot; j (pathConfig.pluginPaths.get j)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>pathConfig.sessionPaths #Struct:sessionPaths \n\
</pre></div><p>Points at the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/SessionPaths-Struct.html\' title=\'\'>sessionPaths struct</a>.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.SetDir \n\
</pre></div><p>Points at the <span class=\'code\'>SetDir()</span> method <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\' title=\'\'>documented here</a>.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.xrefPaths #Struct:xrefPaths \n\
</pre></div><p>Points at the<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/GUID-F7577416-051E-478C-BB5D-81243BAAC8EC.html#xref-path-methods-\' title=\'\'>XRefPath struct</a></p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --the two method calls are equivalent: xrefPaths.getFullFilePath &quot;delme.max&quot; pathConfig.xrefPaths.getFullFilePath &quot;delme.max&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"configurate-user-paths-dialog---path-settings-loading-saving-and-merging\"></a><h2 id=\"configurate-user-paths-dialog---path-settings-loading-saving-and-merging\">Configurate User Paths Dialog - Path Settings Loading, Saving and Merging</h2></div>\n\
<div class=\'codeBlock\'><pre>pathConfig.SaveTo &lt;filename&gt; \n\
</pre></div><p>Saves the path configuration to the given filename.Returns true on success, false otherwise.Corresponds to the <strong>Save To...</strong> button in the <strong>Customize&gt;Configure User Paths</strong> dialog.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.load &lt;filename&gt; \n\
</pre></div><p>Loads the path configuration from the specified path configuration file. Returns true on success, false otherwise.Corresponds to the <strong>Load</strong> button in the <strong>Customize&gt;Configure User Paths</strong> dialog.</p>\n\
<div class=\'codeBlock\'><pre>pathConfig.merge &lt;filename&gt; \n\
</pre></div><p>Merges the settings from the given path configuration file. Returns true on success, false otherwise. Loads the path configuration from the specified path configuration file. Returns true on success, false otherwise. Corresponds to the <strong>Merge</strong> button in the <strong>Customize&gt;Configure User Paths</strong> dialog.</p>\n\
</projectname></projectpath>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";