var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>SessionPaths Struct</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>SessionPaths Struct</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"sessionpaths-struct\"></a></div>\n\
<p>Session paths are identical to bitmap/photometric paths and xref paths, except they are never saved when <strong>3ds Max</strong> exits.</p>\n\
<p>The list of session paths is always empty when <strong>3ds Max</strong> boots up.</p>\n\
<p>However, if session paths are configured before a file is loaded, then they will be used to search for resources in the file.</p>\n\
<p>Note: The session paths are <strong>NOT</strong> displayed in the Configure Paths dialog!</p>\n\
<p>There are four functions available through the sessionPaths structure. In each function, the keyword <span class=\'code\'>#map</span> can be replaced with <span class=\'code\'>#xref</span> to specify an xref path.</p>\n\
<p>The two lists of session paths (bitmaps and xrefs) are maintained separately from each other.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sessionPaths.add (#map |   #xref ) &lt;String path&gt;    \n\
</pre></div><p>Adds a new bitmap or xref session path. Returns <span class=\'code\'>true</span> on success. Adding the same path more than once will result in a single path stored in the session paths.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;sessionPaths.count ( #map |    #xref )   \n\
</pre></div><p>Returns the number of bitmap or xref session paths.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;sessionPaths.get ( #map | #xref ) &lt;Integer index&gt; \n\
</pre></div><p>Returns the indexed bitmap or xref session path.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;sessionPaths.delete ( #map | #xref ) &lt;Integer index&gt; \n\
</pre></div><p>Deletes the indexed bitmap or xref session path. Returns <span class=\'code\'>true</span> on success.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` sessionPaths.count #map --the number of session bitmap paths 0 --there are none at this point sessionPaths.add #map &quot;d:/maps&quot; --add a bitmap session path true --success! sessionPaths.count #map --has the number of paths changed? 1 --of course it did! sessionPaths.get #map 1 --get the first bitmap session path &quot;d:/maps&quot; --what you put in, comes out... sessionPaths.delete #map 1 --delete the first bitmap session path true --dead you are! sessionPaths.count #map --and the number of session paths is... 0 --none.</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>One suggested use for session paths is to create a &quot;project&quot; system of asset management. Each project has certain folders for bitmaps and xrefs. Before a user loads a file, they would first load the project settings, which would set up the appropriate session paths. Any files loaded as part of that project will automatically have access to the correct library of maps and xrefs. If a project is closed, the session paths would be deleted.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";