var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Symbolic Pathnames</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Symbolic Pathnames</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"symbolic-pathnames\"></a></div>\n\
<p>You can use symbolic pathnames in the form <span class=\'code\'>$&lt;name&gt;</span> anywhere a filename can be supplied to MAXScript.</p>\n\
<p>This support was added in <strong>3ds Max 4</strong> and was largely enhanced in <strong>3ds Max 9</strong>.</p>\n\
<p>Any filename you provide to MAXScript can begin with a <span class=\'code\'>&#39;$&#39;</span> followed by one of the symbolic directory names below.</p>\n\
<p>The following symbolic names are recognized:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Index</th>\n\
<th align=\"left\">Symbolic Name</th>\n\
<th align=\"left\">Directory</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">1</td>\n\
<td align=\"left\"><span class=\'code\'>$max</span></td>\n\
<td align=\"left\">Main 3ds Max executable directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">2</td>\n\
<td align=\"left\"><span class=\'code\'>$maps</span></td>\n\
<td align=\"left\">First directory in Maps directory config<em>| |3|<span class=\'code\'>$scenes</span>|3ds Max Scenes directory| |4|<span class=\'code\'>$fonts</span>|Fonts directory| |5|<span class=\'code\'>$imports</span>|File Imports directory| |6|<span class=\'code\'>$exports</span>|File Exports directory| |7|<span class=\'code\'>$sounds</span>|Sounds directory| |8|<span class=\'code\'>$matlibs</span>|Material Libraries directory| |9|<span class=\'code\'>$scripts</span>|Scripts directory| |10|<span class=\'code\'>$startupScripts</span>|Auto-load startup scripts directory| |11|<span class=\'code\'>$plugins</span>|First in the Plug-ins directory config</em></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">12</td>\n\
<td align=\"left\"><span class=\'code\'>$plugcfg</span></td>\n\
<td align=\"left\">Plugin configurations directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">13</td>\n\
<td align=\"left\"><span class=\'code\'>$images</span></td>\n\
<td align=\"left\">Images directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">14</td>\n\
<td align=\"left\"><span class=\'code\'>$ui</span></td>\n\
<td align=\"left\">User Interface files directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">15</td>\n\
<td align=\"left\"><span class=\'code\'>$macroScripts</span></td>\n\
<td align=\"left\">macroScripts in UI directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">16</td>\n\
<td align=\"left\"><span class=\'code\'>$web</span></td>\n\
<td align=\"left\">Web downloads directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">17</td>\n\
<td align=\"left\"><span class=\'code\'>$temp</span></td>\n\
<td align=\"left\">System temp directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">18</td>\n\
<td align=\"left\"><span class=\'code\'>$renderPresets</span></td>\n\
<td align=\"left\">Render presets directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">19</td>\n\
<td align=\"left\"><span class=\'code\'>$help</span></td>\n\
<td align=\"left\">Help files directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">20</td>\n\
<td align=\"left\"><span class=\'code\'>$expressions</span></td>\n\
<td align=\"left\">Expressions directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">21</td>\n\
<td align=\"left\"><span class=\'code\'>$previews</span></td>\n\
<td align=\"left\">Previews directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">22</td>\n\
<td align=\"left\"><span class=\'code\'>$maxstart</span></td>\n\
<td align=\"left\">Directory of MAXSTART.MAX</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">23</td>\n\
<td align=\"left\"><span class=\'code\'>$vpost</span></td>\n\
<td align=\"left\">Video post directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">24</td>\n\
<td align=\"left\"><span class=\'code\'>$drivers</span></td>\n\
<td align=\"left\">Drivers directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">25</td>\n\
<td align=\"left\"><span class=\'code\'>$autoback</span></td>\n\
<td align=\"left\">Auto-backup directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">26</td>\n\
<td align=\"left\"><span class=\'code\'>$marketDefaults</span></td>\n\
<td align=\"left\">Market Defaults directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">27</td>\n\
<td align=\"left\"><span class=\'code\'>$icons</span></td>\n\
<td align=\"left\">Icons directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">28</td>\n\
<td align=\"left\"><span class=\'code\'>$maxSysIcons</span></td>\n\
<td align=\"left\">System icons directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">29</td>\n\
<td align=\"left\"><span class=\'code\'>$renderOutput</span></td>\n\
<td align=\"left\">Render output directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">30</td>\n\
<td align=\"left\"><span class=\'code\'>$animation</span></td>\n\
<td align=\"left\">Animations directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">31</td>\n\
<td align=\"left\"><span class=\'code\'>$archives</span></td>\n\
<td align=\"left\">Archives directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">32</td>\n\
<td align=\"left\"><span class=\'code\'>$photometrics</span></td>\n\
<td align=\"left\">Photometric files directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">33</td>\n\
<td align=\"left\"><span class=\'code\'>$renderAssets</span></td>\n\
<td align=\"left\">Render Assets directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">34</td>\n\
<td align=\"left\"><span class=\'code\'>$userScripts</span></td>\n\
<td align=\"left\">User Scripts directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">35</td>\n\
<td align=\"left\"><span class=\'code\'>$userMacros</span></td>\n\
<td align=\"left\">User Macroscripts directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">36</td>\n\
<td align=\"left\"><span class=\'code\'>$userStartupScripts</span></td>\n\
<td align=\"left\">User Startup Scripts directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">37</td>\n\
<td align=\"left\"><span class=\'code\'>$userIcons</span></td>\n\
<td align=\"left\">User Icons directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">38</td>\n\
<td align=\"left\"><span class=\'code\'>$maxData</span></td>\n\
<td align=\"left\">Max Data (Root) directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">39</td>\n\
<td align=\"left\"><span class=\'code\'>$downloads</span></td>\n\
<td align=\"left\">Downloads directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">40</td>\n\
<td align=\"left\"><span class=\'code\'>$proxies</span></td>\n\
<td align=\"left\">Bitmap Proxies directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">41</td>\n\
<td align=\"left\"><span class=\'code\'>$assemblies</span></td>\n\
<td align=\"left\">Assemblies directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">42</td>\n\
<td align=\"left\"><span class=\'code\'>$hardwareShadersCache</span></td>\n\
<td align=\"left\">Hardware shaders directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">43</td>\n\
<td align=\"left\"><span class=\'code\'>$plugcfg_ln</span></td>\n\
<td align=\"left\">Plugcfg_ln directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">44</td>\n\
<td align=\"left\"><span class=\'code\'>$ui_ln</span></td>\n\
<td align=\"left\">UI_LN directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">45</td>\n\
<td align=\"left\"><span class=\'code\'>$autodeskcloud</span></td>\n\
<td align=\"left\">Autodesk cloud directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">46</td>\n\
<td align=\"left\"><span class=\'code\'>$userStartupTemplates</span></td>\n\
<td align=\"left\">Startup templates directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">47</td>\n\
<td align=\"left\"><span class=\'code\'>$privateExchangeStoreInstallPath</span></td>\n\
<td align=\"left\">Private Exchange Store install directory. <strong>Note:</strong> this is now an alias for <span class=\'code\'>$privatePluginPackageInstallPath</span>, but is retained for backwards compatibility.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">48</td>\n\
<td align=\"left\"><span class=\'code\'>$publicExchangeStoreInstallPath</span></td>\n\
<td align=\"left\">Public Exchange Store install directory. <strong>Note:</strong> this is now an alias for <span class=\'code\'>$publicPluginPackageInstallPath</span>, but is retained for backwards compatibility.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">49</td>\n\
<td align=\"left\"><span class=\'code\'>$systemImage</span></td>\n\
<td align=\"left\">System scene images directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">50</td>\n\
<td align=\"left\"><span class=\'code\'>$systemPhotometric</span></td>\n\
<td align=\"left\">Photometric light definition (.ies) file directory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">51</td>\n\
<td align=\"left\"><span class=\'code\'>$systemSound</span></td>\n\
<td align=\"left\">System scene sound assets directory</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">52</td>\n\
<td align=\"left\"><span class=\'code\'>$pageFile</span></td>\n\
<td align=\"left\">Temporary page file directory (in <strong>3ds Max 2018.4|Update</strong> and later).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">53</td>\n\
<td align=\"left\"><span class=\'code\'>$fluidSimulations</span></td>\n\
<td align=\"left\">Fluid simulation file cache location (in <strong>3ds Max 2020|Update</strong> and later).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">54</td>\n\
<td align=\"left\"><span class=\'code\'>$userSettings</span></td>\n\
<td align=\"left\">User settings location (in <strong>3ds Max 2020|Update</strong> and later).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">55</td>\n\
<td align=\"left\"><span class=\'code\'>$userTools</span></td>\n\
<td align=\"left\">User settings for 3rd party tools (in <strong>3ds Max 2020|Update</strong> and later).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">56</td>\n\
<td align=\"left\"><span class=\'code\'>$privatePluginPackageInstallPath</span></td>\n\
<td align=\"left\">Install location for private plugin bundle packages (in <strong>3ds Max 2020|Update</strong> and later).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">57</td>\n\
<td align=\"left\"><span class=\'code\'>$publicPluginPackageInstallPath</span></td>\n\
<td align=\"left\">Install location for public plugin bundle packages (in <strong>3ds Max 2020|Update</strong> and later).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">58</td>\n\
<td align=\"left\"><span class=\'code\'>$plugindata</span></td>\n\
<td align=\"left\">Plug-in data location</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">59</td>\n\
<td align=\"left\"><span class=\'code\'>$presets</span></td>\n\
<td align=\"left\">Particle Flow presets location (in <strong>3ds Max 2022</strong> and later).</td>\n\
</tr>\n\
</table>\n\
<p>Please note that these are similar to the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\' title=\'\'>3ds Max System Directories</a> filetype_names which start with a &quot;#&quot;and are used as arguments to the <span class=\'code\'>GetDir()</span> and <span class=\'code\'>SetDir()</span> methods.</p>\n\
<p>The following example will open the file &quot;foo.ms&quot; in the current 3ds Max Scripts directory.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` fileIn &quot;$scripts\\foo.ms&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In <strong>3ds Max 9 and higher</strong> , the <span class=\'code\'>$maps</span> and <span class=\'code\'>$plugins</span> symbolic pathnames can also specify an index. In this case, the indexed directory will be used.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` &quot;$maps[2]\\mybitmap.tga&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>When no index is provided, the first map resp. plugins path will be used.</p>\n\
<div class=\'section\'><a id=\"symbolicpaths-struct\"></a><h3 id=\"symbolicpaths-struct\">SymbolicPaths Struct</h3></div>\n\
<p>In <strong>3ds Max 9 and higher</strong>, the SymbolicPaths struct provides methods to access existing and define new symbolic paths:</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.numPaths()\n\
</pre></div><p>Returns the number of symbolic path names. This includes both system and user-defined path names</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.getPathName&lt;index&gt;\n\
</pre></div><p>Returns the indexed symbolic path name.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` for i =1 to symbolicPaths.numPaths() do format &quot;% : %\\n&quot; i (symbolicPaths.getPathName i)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.isPathName &lt;string&gt;\n\
</pre></div><p>Returns true if the string corresponds to a symbolic path name, false otherwise.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` symbolicPaths.isPathName &quot;\\(maps&quot;  true  symbolicPaths.isPathName &quot;\\)map&quot; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.getPathValue {&lt;index&gt; | &lt;string&gt;}\n\
</pre></div><p>Returns the path associated with the specified symbolic path name (specified either by index or by name string).</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` symbolicPaths.getPathValue 2 &quot;C:\\Program Files\\Autodesk\\3ds Max 2012\\maps&quot; symbolicPaths.getPathValue&quot;$maps&quot; &quot;C:\\Program Files\\Autodesk\\3ds Max 2012\\maps&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.numUserPaths()\n\
</pre></div><p>Returns the number of user-defined symbolic path names.</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.getUserPathName &lt;index&gt;\n\
</pre></div><p>Returns the indexed user-defined symbolic path name.</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.isUserPathName &lt;string&gt;\n\
</pre></div><p>Returns true if the string corresponds to a user-defined symbolic path name, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.getUserPathValue {&lt;index&gt; | &lt;string&gt;}\n\
</pre></div><p>Returns the path associated with the specified user-defined symbolic path name</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.setUserPathValue {&lt;index&gt; | &lt;string&gt;} &lt;filepath&gt;\n\
</pre></div><p>Sets path associated with the specified user-defined symbolic path name</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.addUserPath &lt;string&gt; &lt;filepath&gt;\n\
</pre></div><p>Adds user-defined symbolic path name and path</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.removeUserPath {&lt;index&gt; | &lt;string&gt;}\n\
</pre></div><p>Removes user-defined symbolic path name</p>\n\
<div class=\'codeBlock\'><pre>symbolicPaths.expandFileName &lt;filename&gt;\n\
</pre></div><p>Returns expanded file nane</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` symbolicPaths.numUserPaths() --check foruser path- none by default 0 symbolicPaths.addUserPath &quot;\\(test&quot; &quot;c:\\\\test&quot; --define new user path  OK  symbolicPaths.numUserPaths() --check foruser path- there is one!  1  symbolicPaths.isUserPathName &quot;\\)test&quot; --is a user symbolic path? true --See if $temp is a user symbolic path. --NOTE that \\(temp is aSYSTEMsymbolic path,  --but not aUSERsymbolic path:  symbolicPaths.isUserPathName &quot;\\)temp&quot; false symbolicPaths.getUserPathName 1 --get the name of the first path &quot;\\(test&quot;  symbolicPaths.getUserPathValue 1 --get the first path  &quot;c:\\test&quot;  symbolicPaths.getUserPathValue &quot;\\)test&quot; --get the path by name &quot;c:\\test&quot; symbolicPaths.setUserPathValue &quot;\\(test&quot; &quot;c:\\\\another\\\\path&quot; --change  OK  symbolicPaths.getUserPathValue &quot;\\)test&quot; --see if itchangeg? &quot;c:\\another\\path&quot; symbolicPaths.expandFileName &quot;\\(test\\\\somefile.txt&quot; --expand a path  &quot;c:\\another\\path\\somefile.txt&quot;  symbolicPaths.removeUserPath &quot;\\)test&quot; --remove the user path OK symbolicPaths.numUserPaths() --there are no user paths left 0</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";