var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"accessing-assetmanager-assetuser-and-asset-metadata-in-max-files\"></a></div>\n\
<p>In releases prior to <strong>3ds Max 2010</strong>, a plug-in that referenced an external file (an asset) would hold the asset’s filename as a string or as a Path object, and would store the filename to the <strong>3ds Max</strong> scene file as a string or an IParameterBlock2 TYPE_FILENAME parameter. To allow <strong>3ds Max</strong> to identify the assets used by a plug-in, the plug-in would implement an IAssetAccessor-derived class. The information provided from this class was primarily used by the Asset Tracker.</p>\n\
<p>Since <strong>3ds Max 2010</strong>, assets are handled as instances of class <strong>AssetUser</strong>. An instance of this class contains information on the asset filename, its type, and the <strong>3ds Max</strong> scene file that depends on it (this is used for resolving external references). Access to, and lifetime management of assets is handled by the <strong>Asset Manager</strong>.</p>\n\
<p>Loading and saving the Asset to the <strong>3ds Max</strong> scene file is now done through the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\' title=\'\'>AssetUser</a> and the <strong>AssetManager</strong>.</p>\n\
<div class=\'section\'><a id=\"the-following-topics-cover-the-interfaces-objects-and-methods-related-to-asset-management-available-in-maxscript\"></a><h3 id=\"the-following-topics-cover-the-interfaces-objects-and-methods-related-to-asset-management-available-in-maxscript\">The following topics cover the Interfaces, Objects and Methods related to Asset Management available in MAXScript:</h3></div>\n\
<p>When saving a <strong>3ds Max</strong> scene, the asset data is saved by the Asset Manager to a <strong>separate stream</strong> in the <strong>3ds Max</strong> file. This gives the capability to <strong>external programs to access the asset data</strong> in order to identify the assets used by the scene and potentially <strong>modify the asset data</strong> without loading the scene file into <strong>3ds Max</strong>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\' title=\'\'>Interface: AssetManager</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\' title=\'\'>IObject:AssetUser</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\' title=\'\'>Interface: FileResolutionManager</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\' title=\'\'>MAX File Asset Metadata Stream Access</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";