var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>IObject:AssetUser</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>IObject:AssetUser</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"iobjectassetuser\"></a></div>\n\
<p>An instance of this class contains information on the asset filename, its type, and the <strong>3ds Max</strong> scene file that depends on it (this is used for resolving external references). Access to, and life time management of assets is handled by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\' title=\'\'>Asset Manager</a>.</p>\n\
<p>In releases prior to <strong>3ds Max 2010</strong>, a plug-in that referenced an external file (an asset) would hold the asset’s filename as a string or as a Path object, and would store the filename to the <strong>3ds Max</strong> scene file as a string or an IParameterBlock2 TYPE_FILENAME parameter. To allow <strong>3ds Max</strong> to identify the assets used by a plug-in, the plug-in would implement an IAssetAccessor-derived class. The information provided from this class was primarily used by the Asset Tracker.</p>\n\
<p>Loading and saving the Asset to the <strong>3ds Max</strong> scene file is now done through the AssetUser and the AssetManager.</p>\n\
<p><strong>Constructors:</strong></p>\n\
<p>Instances of the AssetUser class are returned by methods exposed by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\' title=\'\'>AssetManager</a> interface:</p>\n\
<blockquote>\n\
<p>``` AUIO = AssetManager.GetAssetByIndex1 --&gt; <iobject:assetuser> AUIO2= AssetManager.GetAsset &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; #bitmap --&gt; <iobject:assetuser><p>\n\
<p>```</p>\n\
</iobject:assetuser></iobject:assetuser></blockquote>\n\
<p>MAXScript Filename strings can be automatically coerced to AssetUser instances:</p>\n\
<blockquote>\n\
<p>``` --Create a new bitmap texture map with a valid file name: bmt = bitmaptexture filename:&quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; --&gt; Bitmaptexture:Bitmap bmt.filename --get the bitmap&#39;s file name --&gt; &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; AUIO3 = bmt.filename as AssetUser --get the file name as AssetUser IObject --&gt; <iobject:assetuser> AUIO3.getFileName() --&gt;&quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; AUIO3.getType() --&gt; #Bitmap<p>\n\
<p>```</p>\n\
</iobject:assetuser></blockquote>\n\
<p><strong><iobject:assetuser> Interfaces</iobject:assetuser></strong></p>\n\
<div class=\'codeBlock\'><pre>Interface: AssetUser \n\
</pre></div><p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;AssetUser&gt;.GetAssetId()   \n\
</pre></div><p>Returns the AssetID of the Asset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;enum&gt;&lt;AssetUser&gt;.GetType() \n\
\n\
GetType enums: {#Other|#Bitmap|#XRef|#Photometric|#Animation|#VideoPost|#BatchRender|#ExternalLink|#RenderOutput|#PreRenderScript|#PostRenderScript|#Sound|#Container} \n\
</pre></div><p>Returns the Type of the Asset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;AssetUser&gt;.GetFileName() \n\
</pre></div><p>Returns the File Name of the Asset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;AssetUser&gt;.CanGetFullFilePath &lt;&amp;string&gt;fileName \n\
\n\
fileName is Out parameter       \n\
</pre></div><p>Returns true if the full file path can be acquired using the .GetFullFilePath() method.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;AssetUser&gt;.GetFullFilePath() \n\
</pre></div><p>Returns the full file path of the Asset.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;AssetUser&gt;.Reset() \n\
</pre></div><p>Removes the underlying reference to the asset, allowing it to be garbage-collected if it is no longer referenced by anything else. It is recommended to call this method on an AssetUser when you are done with it. Available in <strong>3ds Max 2018 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` AUIO = AssetManager.GetAssetByIndex 2 --get the AsserUser with index 2 --&gt; <iobject:assetuser> AUIO.GetFileName() --get the file name - it is not full file name --&gt; &quot;Simple_Stone_Mtl_Marble_bump.jpg&quot; AUIO.CanGetFullFilePath (AUIO.GetFileName()) --can we get the full name? --&gt; true AUIO.GetFullFilePath() --then let&#39;s get it! --&gt; &quot;C:\\Program Files\\Autodesk\\3ds Max 2010\\Maps\\adskMtl\\Simple_Stone_Mtl_Marble_bump.jpg&quot;<p>\n\
<p>```</p>\n\
</iobject:assetuser></blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";