var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>3ds Max Configuration File 3dsmax.ini</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>3ds Max Configuration File 3dsmax.ini</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ds-max-configuration-file-3dsmax.ini\"></a></div>\n\
<p>Access to the 3ds Max configuration file 3dsmax.ini is provided through the <strong>cfgMgr</strong> struct.</p>\n\
<p>The cfgMgr struct exposes these functions:</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; cfgMgr.getIniFile()\n\
</pre></div><p>Returns the full path of the 3ds Max INI file.</p>\n\
<div class=\'codeBlock\'><pre>&lt;array&gt; cfgMgr.getAllSectionNames()\n\
</pre></div><p>Returns an array of all the section names in the INI file.</p>\n\
<div class=\'codeBlock\'><pre>cfgMgr.setSection &lt;section_string&gt;\n\
</pre></div><p>Sets the current section to the specified name. Note that this function will create a new section with the specified name if the section name does not exist. The other get/set/delete functions in <span class=\'code\'>cfgMgr</span> operate on the currently set section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt; cfgMgr.getSectionName()\n\
</pre></div><p>Gets the current section name, either the last section read, or a section set by <span class=\'code\'>setSection()</span>. Other get/set/delete functions operate on the current section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.sectionExists &lt;section_string&gt;\n\
</pre></div><p>Returns true if the specified section exists already in the INI file, false otherwise. Note that the section name matching is not case sensitive.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.deleteSection &lt;section_string&gt;\n\
</pre></div><p>Deletes the specified section.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>[&lt;array&gt;|undefined] cfgMgr.getSectionKeyNames()\n\
</pre></div><p>Gets an array of key names for the current section.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.keyExists &lt;key_string&gt;\n\
</pre></div><p>Returns true if the specified key exists in the current section, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.deleteKey &lt;key_string&gt;\n\
</pre></div><p>Deletes the specified key.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.putString &lt;key_string&gt; &lt;string&gt;\n\
</pre></div><p>Writes the specified string value to the specified key, where the first parameter is the key name, and the second parameter is the value.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.putFloat &lt;key_string&gt; &lt;float&gt;\n\
</pre></div><p>Writes the specified float value to the specified key.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.putInt &lt;key_string&gt; &lt;int&gt; useULong:&lt;false&gt;\n\
</pre></div><p>Writes the specified integer value to the specified key. The optional <span class=\'code\'>useULong</span> parameter is for internal use only.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.putFloatArray &lt;key_string&gt; &lt;float array&gt;\n\
</pre></div><p>Writes the specified array of floats to the specified key.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt; cfgMgr.putIntArray &lt;key_string&gt; &lt;int array&gt; useULong:&lt;false&gt;\n\
</pre></div><p>Writes the specified array of integers to the specified key. The optional <span class=\'code\'>useULong</span> parameter is for internal use only.</p>\n\
<p>This function always returns <strong>true</strong>.</p>\n\
<div class=\'codeBlock\'><pre>[&lt;string&gt;|undefined] cfgMgr.getString &lt;key_string&gt;\n\
</pre></div><p>Returns the value of the specified key as a string if the key exists, or as undefined if it does not.</p>\n\
<div class=\'codeBlock\'><pre>[&lt;float&gt;|undefined] cfgMgr.getFloat &lt;key_string&gt;\n\
</pre></div><p>Returns the value of the specified key as a float if the key exists, or as undefined if it does not. If the key contains an array, the first value is coerced to a float and returned. If the key contains character data, a value of 0.0 is returned.</p>\n\
<div class=\'codeBlock\'><pre>[&lt;int&gt;|undefined] cfgMgr.getInt &lt;key_string&gt; useULong:&lt;false&gt;\n\
</pre></div><p>Returns the value of the specified key as an integer if the key exists, or as undefined if it does not. If the key contains a float value, it is coerced to an integer before it is returned. If it contains character data, a value of 0 is returned. If the key contains an array, the first value is coerced to an integer and returned.</p>\n\
<div class=\'codeBlock\'><pre>[&lt;float array&gt;|undefined] cfgMgr.getFloatArray &lt;key_string&gt;\n\
</pre></div><p>Returns an array of floats for the specified key, if it exists, or undefined if it does not.</p>\n\
<p>Do not call this function on a key that contains anything other than an array of floats.</p>\n\
<div class=\'codeBlock\'><pre>[&lt;int array&gt;|undefined] cfgMgr.getIntArray &lt;key_string&gt; useULong:&lt;false&gt;\n\
</pre></div><p>Returns an array of integers for the specified key, if it exists, or undefined if it does not.</p>\n\
<blockquote>\n\
<p><strong>For Example</strong></p>\n\
<p>``` -- get ini file path: cfgMgr.getIniFile() --&gt; &quot;C:[path_to_ini_file]\\3dsMax.ini&quot;</p>\n\
<p>-- get all the sections: cfgMgr.getAllSectionNames()</p>\n\
<p>-- create a new section for the demo: cfgMgr.setSection &quot;CFGMGR TEST&quot;</p>\n\
<p>-- confirm this is the active section: cfgMgr.getSectionName() --&gt; &quot;CFGMGR TEST&quot;</p>\n\
<p>cfgMgr.sectionExists &quot;CFGMGR TEST&quot; --&gt; false -- returns false until the section contains keys</p>\n\
<p>cfgMgr.putString &quot;MyStringKey&quot; &quot;Hello this is a string&quot; cfgMgr.putFloat &quot;MyFloatKey&quot; 3.41 cfgMgr.putInt &quot;MyIntKey&quot; 42 cfgMgr.putFloatArray &quot;MyFloatArrayKey&quot; #(2.2,3.3,4.4) cfgMgr.putIntArray &quot;MyIntArrayKey&quot; #(7,6,5,4,3)</p>\n\
<p>/* At this point the config file contains: [CFGMGR TEST] MyStringKey=Hello this is a string MyFloatKey=3.410000 MyIntKey=42 MyFloatArrayKey=2.200000 3.300000 4.400000 MyIntArrayKey=7 6 5 4 3 */</p>\n\
<p>-- you typically do not want to do these things, but they work: cfgMgr.getFloat &quot;MyIntKey&quot; --&gt; 42.0 cfgMgr.getInt &quot;MyIntArrayKey&quot; --&gt; 7 cfgMgr.getString &quot;MyFloatKey&quot; --&gt; &quot;3.410000&quot;</p>\n\
<p>-- does not work, don&#39;t do it: -- cfgMgr.getFloatArray &quot;MyStringKey&quot; -- nor this: -- cfgMgr.getIntArray &quot;MyFloatArrayKey&quot;</p>\n\
<p>-- but this is ok: cfgMgr.getFloatArray &quot;MyIntArrayKey&quot; --&gt; #(7.0, 6.0, 5.0, 4.0, 3.0)</p>\n\
<p>-- cleanup, section/key names are not case-sensitve: cfgMgr.deleteSection &quot;Cfgmgr Test&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";