var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>File Name Parsing</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>File Name Parsing</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"file-name-parsing\"></a></div>\n\
<p>The following function can be used to parse file name paths and extract different parts like the path, the file name, the type (extension) etc.</p>\n\
<p>Note: These functions operate from the current working directory, when relative paths are used. The current directory can change depending on the last operation performed by 3ds Max (for example, opening a scene file will set the current directory to the file&#39;s directory). Use <span class=\'code\'>sysInfo.currentdir()</span> to get the current working directory.</p>\n\
<div class=\'codeBlock\'><pre>filenameFromPath &lt;filename_string&gt;   \n\
</pre></div><p>Returns the <strong>file name and extension</strong> of a full file name, useful for labeling file buttons in rollout panels.</p>\n\
<div class=\'codeBlock\'><pre>getFilenamePath &lt;filename_string&gt;   \n\
</pre></div><p>Returns the directory path part of a full file name.</p>\n\
<div class=\'codeBlock\'><pre>getFilenameFile &lt;filename_string&gt; \n\
</pre></div><p>Returns the file name part of a full file name.</p>\n\
<div class=\'codeBlock\'><pre>getFilenameType &lt;filename_string&gt; \n\
</pre></div><p>Returns the type extension part of a full file name.</p>\n\
<div class=\'codeBlock\'><pre>doesFileExist &lt;filename_string&gt; allowDirectory:&lt;boolean&gt; ignoreCache:&lt;boolean&gt;\n\
</pre></div><p>Returns true if the file exists, false otherwise.</p>\n\
<p>When <strong>allowDirectory</strong> is true (the default), the <span class=\'code\'>&lt;filename_string&gt;</span> can be a directory name.</p>\n\
<p>if <span class=\'code\'>ignoreCache</span> is specified as true, testing does not consider whether the file&#39;s path may be in the File Path Not Present Cache maintained by the MissingPathCache. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-missingPathCache.html\' title=\'\'>missingPathCache Interface</a> for more information.</p>\n\
<div class=\'codeBlock\'><pre>doesDirectoryExist &lt;directoryname_string&gt;\n\
</pre></div><p>Returns true if the directory exists, false otherwise.</p>\n\
<div class=\'codeBlock\'><pre>pathIsNetworkPath &lt;file_path&gt; \n\
</pre></div><p><strong>[</strong> AVG <strong>]</strong> Returns true if the specified file path has a UNC network path signature (\\\\device0\\) and false if it has a local path signature (D:\\) where D: is a drive letter.</p>\n\
<p>Available since <strong>3ds Max 2008</strong>.</p>\n\
<p>The method does not test for the path&#39;s existence, it only checks the signature of the path to see if it is UNC or local.</p>\n\
<p>See also <span class=\'code\'>pathConfig.isUncPath()</span> in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/PathConfig-Struct.html\' title=\'\'>PathConfig Struct</a> topic.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` file=&quot;g:\\subdir1\\subdir2\\myImage.jpg&quot; filenameFromPath file -- returns: &quot;myImage.jpg&quot; getFilenamePath file -- returns: &quot;g:\\subdir1\\subdir2&quot; getFilenameFile file -- returns: &quot;myImage&quot; getFilenameType file -- returns: &quot;.jpg&quot; pathIsNetworkPath &quot;c:\\temp\\test.txt&quot; --returns: false pathIsNetworkPath &quot;\\\\someserver\\temp\\test.txt&quot; --returns: true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";