var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Standard Open and Save File Dialogs</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Standard Open and Save File Dialogs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"standard-open-and-save-file-dialogs\"></a></div>\n\
<p>The following methods display the standard <strong>3ds Max</strong> file open, file save, or folder selection browser dialog:</p>\n\
<div class=\'codeBlock\'><pre>getOpenFileName [   caption:&lt;title&gt; ] \\\n\
[   filename:&lt;seed_filename_string&gt; ] \\\n\
[   types:&lt;description1&gt;|&lt;pattern1&gt;|&lt;description2&gt;|&lt;pattern2&gt;|...| ] \\\n\
[   historyCategory:&lt;string&gt; ]   \n\
getSaveFileName [ caption:&lt;title&gt; ] \\\n\
[ filename:&lt;seed_filename_string&gt; ] \\\n\
[ types:&lt;description1&gt;|&lt;pattern1&gt;|&lt;description2&gt;|&lt;pattern2&gt;|...| ] \\\n\
[ historyCategory:&lt;string&gt; ]   \n\
</pre></div><p>Both functions return a fully-specified file path name or <span class=\'code\'>undefined</span> if the user cancels out.</p>\n\
<p>When the optional keyword <span class=\'code\'>filename:</span> is supplied, the string is used to define the path and file name of the file to be loaded or saved. The dialog automatically navigates to the specified path (if available on the disk/network), displays its content in the browsing area and suggests the file name in the &quot;File name&quot; field. If the path does not exist, the current path is used and only the file name is displayed as requested.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` f = getOpenFileName caption:&quot;Open A Test File:&quot;<br> filename:&quot;c:/test/test.txt&quot; --if the path exists, will result in something like:</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6090691B-E038-4EC5-810A-BEBAB4FF4ABD-low.gif\' title=\'\'></div>\n\
<p>The <span class=\'code\'>types:</span> parameter lets you specify custom file types and suffixes for the file type drop-down list in the open and save dialogs. You supply a string for this argument that is formatted in a special way, as follows:</p>\n\
<div class=\'codeBlock\'><pre>&quot;&lt;description1&gt;|&lt;pattern1&gt;|&lt;description2&gt;|&lt;pattern2&gt;|...|&quot;\n\
</pre></div><p>In other words, a sequence of file type descriptions and file type patterns each separated by a &#39;|&#39; vertical bar and terminated by a &#39;|&#39; vertical bar.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` f = getOpenFileName<br> types:&quot;Data(<em>.dat)|</em>.dat|Excel(<em>.csv)|</em>.csv|All|<em>.</em>|&quot;</p>\n\
<p>```</p>\n\
<p>Specifies three types in the file type drop-down list, the first reading &quot;Data(<em>.dat)&quot; and matching </em>.dat and the second reading &quot;Excel(<em>.csv)&quot; and matching </em>.csv and the third reading &quot;All&quot; and matching any file.</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>getSaveFileName()</span> function tests for the pre-existence of the file with the chosen file type suffix added.</p>\n\
<p>The <strong>history dropdown list</strong> in the file load and save dialogs keeps track of previously selected files according to a specified history name. It is available since <strong>3ds Max 2008</strong>.</p>\n\
<p>If <span class=\'code\'>historyCategory:</span> is not specified, the caption text is used if specified, and if no caption is specified, the default category &quot;MAXScriptFileOpenSave&quot; is used instead.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` filename = getOpenFileName<br> caption:&quot;Render To Texture Object Presets Open&quot;<br> filename:(getDir #renderPresets + @&quot;&quot;)<br> types:&quot;Object Preset(<em>.rtp)|</em>.rtp&quot;<br> historyCategory:&quot;RTTObjectPresets&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>By using the same <span class=\'code\'>historyCategory:</span> name for a pair of open and save dialogs, users will see a consistent history dropdown in the dialogs.</p>\n\
<div class=\'codeBlock\'><pre>getSavePath [ caption:&lt;window_caption_string&gt; ] [ initialDir:&lt;pathname&gt; ] \n\
</pre></div><p>This function displays a folder selection browser for the user to select a folder. Returns a string path name for the selected folder or the value <span class=\'code\'>undefined</span> if the user presses <strong>Cancel</strong> in the folder browser.</p>\n\
<p>If the <span class=\'code\'>initialDir:</span> keyword argument is specified, the Browse For Folder dialog will be opened at the specified directory. Symbolic pathnames are acceptable as the pathname. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` getSavePath caption:&quot;my title&quot; initialDir:&quot;$scripts&quot; getSavePath caption:&quot;my title&quot; initialDir:(getDir #maxroot)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";