var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Log System</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Log System</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"log-system\"></a></div>\n\
<p><strong>System Globals:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;logsystem.getNetLogFileName() \n\
</pre></div><p>Returns the current log filename.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` logsystem.getNetLogFileName() &quot;C:\\Users\\Garfield\\AppData\\Local\\Autodesk\\3dsMax\\2017 - 64bit\\ENU\\Network\\Max.log&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>logsystem.longevity SystemGlobal:longevity default:#size\n\
</pre></div><p>Gets/sets the log file longevity mode. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>This setting corresponds to the Customize &gt; Preferences &gt; Files &gt; “Log File Maintenance” radio buttons state.</p>\n\
<p>Possible values are:</p>\n\
<ul>\n\
<li><strong>#forever</strong> : Keep the log entries forever, ignore both <span class=\'code\'>logsystem.logSize</span> and <span class=\'code\'>logsystem.logDays</span></li>\n\
<li><strong>#days</strong> : Use the <span class=\'code\'>logsystem.logDays</span> value</li>\n\
<li><strong>#size</strong> (default): Use the <span class=\'code\'>logsystem.logSize</span> value</li>\n\
</ul>\n\
<div class=\'codeBlock\'><pre>logsystem.logDays SystemGlobal:logDays default:30\n\
</pre></div><p>Gets/sets the number of days to keep the log file entries. Corresponds to the Customize &gt; Preferences &gt; Files &gt; Log File Maintenance &gt; “Maintain only XX Days” option. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Used when <span class=\'code\'>logsystem.longevity</span> is set to #days.</p>\n\
<div class=\'codeBlock\'><pre>logsystem.logSize SystemGlobal:logSize default:256\n\
</pre></div><p>Gets/sets the maximum log file size in Kilobytes to keep. Corresponds to the Customize &gt; Preferences &gt; Files &gt; Log File Maintenance &gt; “Maintain only XX Kbytes” option. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>Used when <span class=\'code\'>logsystem.longevity</span> is set to #size, which is the default mode.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>logsystem.logEntry &lt;string&gt; [debug:&lt;boolean&gt;] [info:&lt;boolean&gt;] [warning:&lt;boolean&gt;] [error:&lt;boolean&gt;]\n\
logsystem.logEntry &lt;string&gt; &lt;enum&gt;\n\
</pre></div><p>Outputs the string to the log file, based on the various type keyword parameters, or enum value.</p>\n\
<p>The possible enum values are: <strong>#error</strong>, <strong>#warning</strong>, <strong>#info</strong>, <strong>#debug</strong>. Available in <strong>3ds Max 2017.1 Update and higher</strong></p>\n\
<p>Default values are: <strong>debug:true, info:false, warning:false, error:false</strong>.</p>\n\
<p>Output to the log file is filtered by the settings in the Preference Settings dialog, Files tab.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` logsystem.logEntry &quot;My Warning Message&quot; warning:true logsystem.logEntry &quot;My Warning Message&quot; #warning</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;logsystem.logName &lt;filename&gt;\n\
</pre></div><p>Sets an extra log file to the given filename. This log file is not persistent. This log file is in addition to the normal log file, which can be accessed via <span class=\'code\'>logsystem.getNetLogFileName()</span> (below).</p>\n\
<p>If the log file was created successfully, returns the new log name.</p>\n\
<p>If the new file creation failed, returns the current log file name.</p>\n\
<p>If the given filename already exists, its contents are over-written.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` logsystem.logName &quot;c:\\extra.log&quot; &quot;c:\\extra.log&quot; logsystem.logName &quot;z:\\extra.log&quot; --Z: does not exist, keeps old log &quot;c:\\extra.log&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>logsystem.setLogLevel debug:&lt;boolean&gt; info:&lt;boolean&gt; warning:&lt;boolean&gt; error:&lt;boolean&gt;\n\
logsystem.setLogLevel &lt;#error | #warning | #info | #debug&gt; &lt;boolean&gt;\n\
</pre></div><p>Sets the specified logging levels on or off. For any logging levels not specified, the existing setting is retained. Available in <strong>3ds Max 2017.1 Update and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` logsystem.setLogLevel error:true warning:true info:false debug:false logsystem.setLogLevel #debug false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;logsystem.getLogLevel &lt;#error | #warning | #info | #debug&gt;\n\
</pre></div><p>Gets the status (on or off) for the specified logging level. Available in <strong>3ds Max 2017.1 Update and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` errorLoggingEnabled = logsystem.getLogLevel #error</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;logsystem.saveState() \n\
</pre></div><p>Saves the state of the log system preferences. Normally, changing the log system settings like <span class=\'code\'>logsystem.longevity</span> will only affect the current 3ds Max session. Available in <strong>3ds Max 2017 and higher</strong></p>\n\
<p>Calling this function will commit the changes to stick between 3ds Max sessions.</p>\n\
<div class=\'codeBlock\'><pre>logsystem.loadState()\n\
</pre></div><p>Loads previously saved log system preferences.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>logsystem.enabled default:true\n\
</pre></div><p>This property gets or sets whether the log system is enabled. If false, there is no output saved to the log file from the log system.</p>\n\
<p>Available in <strong>3ds Max 2020 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>logsystem.quietMode default:false\n\
</pre></div><p>Lets you get and set whether error logging quiet mode is enabled.</p>\n\
<p>A Boolean value set to <span class=\'code\'>true</span> when you do not want error messages from the renderer to bring up dialog boxes.</p>\n\
<p>If set to <span class=\'code\'>false</span> , error messages from the renderer will bring up dialog boxes.</p>\n\
<p>3ds Max sets the corresponding internal variable to <span class=\'code\'>true</span> during network rendering to suppress error messages such as the &quot;Missing Maps&quot; and &quot;Missing Map Coordinates&quot; dialogs.</p>\n\
<p>If this variable is set to <span class=\'code\'>true</span> and the renderer generates an error message, the renderer will exit.</p>\n\
<p>After setting quiet mode, do not forget to clear it when you are done, since the user will not see any error messages from the renderer while quiet mode is enabled.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";