var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Source Filename Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Source Filename Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-source-filename-access\"></a></div>\n\
<p>These methods allow a script to query the source file it has been run from and the position inside the source file:</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;getSourceFileName()    \n\
</pre></div><p>Returns the <strong>filename path</strong> of the source file the function has been called from.</p>\n\
<p>Returns undefined if the call does not occur from a valid MAXScript file, for example if executed in the Listener.</p>\n\
<p>Returns empty string or file path without a file name if called from an Untitled (not yet saved) file.</p>\n\
<p>If the method has been called from inside a string evaluated using the <span class=\'code\'>execute()</span> method, the result will still be the file the <span class=\'code\'>execute()</span> has been called from.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;filename&gt;getThisScriptFilename()   \n\
</pre></div><p>Returns the filename associated with the calling script. Same as <span class=\'code\'>getSourceFileName()</span> , added mainly for backwards compatibility with pre-Max 9 scripts using the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integerPtr&gt;getSourceFileOffSet() \n\
</pre></div><p>Returns the <strong>character position</strong> in the source script file, &#39;undefined&#39; if not called from a source script file. The return value is <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\' title=\'\'>IntegerPtr</a> to ensure that the position would be valid even with files over 4GB.</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt;integerPtr&gt;getSourceFileLine() \n\
</pre></div><p>Returns the <strong>code line</strong> in the source script file, &#39;undefined&#39; if not called from a source script file, for example if executed from the Listener.The return value is <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\' title=\'\'>IntegerPtr</a> to ensure that the line number would be valid even with files over 4GB.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";