var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Encrypted Files</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Encrypted Files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"encrypted-files\"></a></div>\n\
<div class=\'codeBlock\'><pre>encryptFile &lt;in_filename_string&gt; &lt;out_filename_string&gt; &lt;key_integer&gt;     \n\
</pre></div><p>Creates an encrypted copy of the file named by <span class=\'code\'>&lt;in_filename_string&gt;</span> using the integer supplied as a key, naming the encrypted file <span class=\'code\'>&lt;out_filename_string&gt;.</span></p>\n\
<div class=\'codeBlock\'><pre>openEncryptedFile &lt;filename_string&gt; &lt;key_integer&gt;   \n\
</pre></div><p>Opens the encrypted file using the given integer key and returns a FileStream value that you can then do read calls on, exactly as you can on FileStreams returned from the <span class=\'code\'>openFile()</span> function.</p>\n\
<p><span class=\'code\'>encryptFile()</span> and <span class=\'code\'>openEncryptedFile()</span> let you encrypt a text file with your own key and open an encrypted file via a key for reading. Among other things, you can use this to write and read an encrypted file containing a hardware lock ID for doing authorization-based piracy protection.</p>\n\
<p>Here is some code that creates an encrypted lock ID file in some authorization process.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` f = createFile &quot;lock.tmp&quot; format &quot;%&quot; hardwareLockID to:f close f encryptFile &quot;lock.tmp&quot; &quot;lock.dat&quot; 5476557 deleteFile &quot;lock.tmp&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The following code can be used to read and check the lock ID (obviously, all this is only safe if the creation and checking scripts are themselves encrypted):</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` f = openEncryptedFile &quot;lock.dat&quot; 5476557 id = readValue f close f if id != hardwareLockID then ( message &quot;Lock ID&#39;s don&#39;t match&quot; return 0 )</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";