var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>String Parser Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>String Parser Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"string-parser-methods\"></a></div>\n\
<p>The following string parsing methods were first introduced in <strong>gmax</strong> 1.0 and are available in <strong>3ds Max 5 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Boolean&gt;isSpace &lt;String&gt;    \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the first character of the given string is whitespace (space, tab, or newline), <span class=\'code\'>false</span> if not.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` isSpace &quot; MAXScript&quot; --first character is space true isSpace &quot;MAXScript&quot; --first character is not whitespace false isSpace &quot;\\nMAXScript&quot; --first character is new line true</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;trimLeft &lt;String&gt; [String trimChars]   \n\
</pre></div><p>Trims all leading characters specified in trimChars from the given string and returns it. If trimChars is not specified, basic whitespace characters (space, tab, and newlines) are trimmed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` trimleft &quot; \\nMAXScript&quot; --space and new line trimmed &quot;MAXScript&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;trimRight &lt;String&gt; [String trimChars] \n\
</pre></div><p>Trims all trailing characters specified in trimChars from the given string and returns it. If trimChars is not specified, basic whitespace characters (space, tab, and newlines) are trimmed.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` trimright &quot;MAXScript \\n &quot; --spaces and new line trimmed &quot;MAXScript&quot; trimright &quot;\\(Teapot0911&quot; &quot;1234567890&quot; --remove trailing numbers  &quot;\\)Teapot&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;readToken &lt;CharStream&gt; \n\
</pre></div><p>Reads a token from the given stream and returns it as a string. Tokens are defined by a sequence of characters broken up by whitespace. Leading whitespace and one line &quot;//&quot; style comments are automatically skipped.</p>\n\
<div class=\'codeBlock\'><pre>&lt;String&gt;peekToken &lt;CharStream&gt; \n\
</pre></div><p>Same as readToken except it does not increment the file position.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` a= &quot;token! -- /* comment!\\n */ ( ( &quot;nested bracket&quot; pair ) ) &quot; as stringstream (while peekToken a != undefined do print (readToken a);ok)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>skipSpace &lt;CharStream&gt; \n\
</pre></div><p>Skips to first non-whitespace from the given stream&#39;s current file position.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";