var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Drag-and-drop MAXScript Zip files</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Drag-and-drop MAXScript Zip files</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"drag-and-drop-maxscript-zip-files\"></a></div>\n\
<p>The OLE-based drag-and-drop system in MAXScript accepts the dropping of MAXScript .mzp zip packages. They can be dropped either from i-drop-enabled web pages or directly from file directories, say from the Windows Explorer or the new MAX Asset Browser.</p>\n\
<p>The main use for this feature is to allow script packages to be dropped into MAX and <strong>automatically run</strong>, particularly packaged dropScripts. But, since the package can contain files of any kind, it is possible to use it to drop any set of files, say a scene file and its maps &amp; other supporting files, or a new plug-in, etc. The <span class=\'code\'>mzp.run</span> control file allows you to set up arbitrary distributions of the files in the package using the extract to, copy and move commands. This can be <strong>a useful alternative</strong> to the current i-drop package-dropping mechanism, which simply places all the downloaded files listed in the i-drop to the MAX downloads directory.</p>\n\
<div class=\'section\'><a id=\"mzp-drop-protocol\"></a><h2 id=\"mzp-drop-protocol\">.mzp drop protocol</h2></div>\n\
<p>When a .mzp package is dropped, the sequence of events that occurs differs slightly, depending on whether it is dropped via an i-drop control or directly from a file directory.In summary, the i-drop first downloads the package and then extracts it, dropping from a file directory extracts directly from that file. Further, <span class=\'code\'>the &#39;on droppable&#39;</span> handler in any dropScript specified in the package is only run if the package is droped via a i-drop, dropping from a file directory is a system-controlled action that doesn&#39;t provide any drag-over callbacks in which to run the <span class=\'code\'>&#39;on droppable&#39;</span> test.</p>\n\
<p>From an i-drop, the .mzp file is first downloaded to the <span class=\'code\'>&lt;max&gt;\\\\downloads</span> directory, along with any other files specified in the i-drop XML file, overwriting any files currently there. If the .mzp file is the first file in the i-drop file set, it is the prime dropped file and the following .mzp processing continues. The .mzp file is then extracted to a new temp directory, <strong>in the system&#39;s main TEMP directory</strong>, and the mzp.run control file is run. If there is no mzp.run file in the package, the first file in the .mzp package is dropped, causing whatever drop protocol is appropriate for that file type. If supplied, a typical <span class=\'code\'>mzp.run</span> control file will <strong>contain extract to, move and copy commands</strong> to control the disposition of the files extracted from the package, say placing any texture files in $maps &amp; scene files in $scenes, etc.</p>\n\
<p>During this execution of the <span class=\'code\'>mzp.run</span> file after initial load, all <span class=\'code\'>&#39;copy&#39;</span> and <span class=\'code\'>&#39;move&#39;</span> commands are performed, and a <span class=\'code\'>&#39;drop&#39;</span> command is looked for. The file specified on the drop command is remembered for later drop processing. Any <span class=\'code\'>&#39;run&#39;</span> , <span class=\'code\'>&#39;open&#39;</span> , <span class=\'code\'>&#39;import&#39;</span> , <span class=\'code\'>&#39;merge&#39;</span> , <span class=\'code\'>&#39;xref&#39;</span> commands are ignored. If more than one <span class=\'code\'>&#39;drop&#39;</span> command is found, only the first one is run.</p>\n\
<p>At this point, the drop file is known, either because it was supplied on a <span class=\'code\'>&#39;drop&#39;</span> command in the mzp.run file or because it is the first file in the .mzp package if there was no mzp.run file or drop command. If the drop file is anything other than <span class=\'code\'>.ds</span> dropScript file, the drop protocol appropriate to that file is engaged. If it is a <span class=\'code\'>.ds</span> dropScript, and the drop is from an i-drop, any <span class=\'code\'>&#39;on droppable&#39;</span> handler in the dropscript is repeatedly run as the mouse is moved off MAX&#39;s windows, and the cursor changes to show valid drop targets. If the drag-and-drop is from a file directory, the arrow+ cursor shows, but the <span class=\'code\'>&#39;on droppable&#39;</span> handler is <strong>NOT</strong> called. This is a consequence of the limitations of simple file drag-and-drop in Windows. When the mouse-click is released, the <span class=\'code\'>&#39;on droppable&#39;</span> handler is called on the target window and object and if it returns OK or is not supplied, the <span class=\'code\'>&#39;on drop&#39;</span> handler is called. This protocol is identical to dropping .ds dropScript files directly, as if they were not inside a .mzp package.</p>\n\
<p>Note:</p>\n\
<p>You can specify a file type other than a dropScript on the &#39;drop&#39; command, such as an image or scene file. This allows the .mzp drag-and-drop to be used for dropping any kind of package, not just scripts.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";