var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Zip-file Script Packages</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Zip-file Script Packages</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"zip-file-script-packages\"></a></div>\n\
<p>This Zip- file Script package file can be run like an ordinary <span class=\'code\'>.ms</span> file. Any secondary files, needed by the tool, will be either automatically found in the package or they will be automatically extracted to specified locations prior to running the main tool scripts.</p>\n\
<p>The file type for script packages is <span class=\'code\'>&#39;.mzp&#39;</span> . These files are recognized as executable script files in the following situations:</p>\n\
<ul>\n\
<li><p><strong>Auto-loading</strong> at MAX startup, in scripts\\startups, stdplugs\\stdscripts, etc. any .mzp file found is run.</p></li>\n\
<li><p>Choosing the <strong>Run Script</strong> menu item in the main MAXScript menu, or in the Listener menu, now shows <strong>.mzp</strong> files as one of the default kinds of executable files in the <strong>Open Script</strong> dialog and will run it if selected.</p></li>\n\
<li><p>Specifying a fileName: parameter when adding <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>a callBack script</a>.</p></li>\n\
<li><p>As <strong>executable files</strong> inside other .mzp archives, you can nest them if want.</p></li>\n\
<li><p>When using the <a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\' title=\'\'>fileIn <em>fileName</em> function</a>, you can specify a .mzp package for <strong>fileIn</strong>.</p></li>\n\
</ul>\n\
<div class=\'section\'><a id=\"the-mzp-package\"></a><h2 id=\"the-mzp-package\">The mzp Package</h2></div>\n\
<p>The package startup control file is <strong>&#39;mzp.run&#39;</strong>. When a .mzp package is opened, it is scanned for an <strong>&#39;mzp.run&#39;</strong> file and, if found, the package commands in it are executed in sequence.</p>\n\
<p>If there is no <strong>mzp.run</strong> control file in the package, MAXScript will unzip all the files in it to a unique <strong>temporary</strong> directory in the system temp directory and run all the executable script files it finds, in unspecified order. The kinds of rundle script files in a <strong>.mzp</strong> package are <strong>.ms</strong>, <strong>.mse</strong> and <strong>nested</strong> <strong>.mzp</strong> files.</p>\n\
<p>When the contents of the <strong>.mzp</strong> file is extracted to a destination folder, either the default temp folder or one defined in the <strong>mzp.run</strong> control file, MAXScript will build and replicate any folder structure that is present in the <strong>.mzp</strong> file.</p>\n\
<p>When you cause a script file inside the package to be run, either through <strong>&#39;run&#39;</strong> commands in the <strong>mzp.run</strong> file, or by the default running scheme described in the previous item, the package becomes a search context for files that the script may try to open while it is running such things as image <strong>.bmp</strong> files, <strong>include</strong> files, etc. Only files named by <strong>relative path</strong> names are searched for in the package, fully specified paths (with device names at the front) will be looked for at the specified location.</p>\n\
<p>The names of files and directories in commands that take them now can be supplied <strong>WITHOUT</strong> surrounding double quotes if the name contains only the following kinds of characters:</p>\n\
<p><span class=\'code\'>alphanumeric, &#39;_&#39;, &#39;$&#39;, &#39;*&#39;, &#39;.&#39;, &#39;-&#39;, &#39;\\\\&#39;</span></p>\n\
<p>which covers most file names. Any file names with embedded spaces or punctuation not in the above list needs double-quotes.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` name &quot;test package&quot; version 3 treeCopy flobber to $scripts copy *.ms to $scripts\\flobber\\dobber\n\
  move foo.max $scenes drop $scenes\\foo.max</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The zip package is a text file that contains one or more of the following commands. All are optional.</p>\n\
<div class=\'codeBlock\'><pre>name &quot;&lt;package_name&gt;&quot;    \n\
</pre></div><p>Names the package.</p>\n\
<div class=\'codeBlock\'><pre>description &quot;&lt;text&gt;&quot;   \n\
</pre></div><p>Describes the package. Normally, a readme file in the package would give extended operating instructions, if they are provided.</p>\n\
<div class=\'codeBlock\'><pre>version &lt;number&gt; \n\
</pre></div><p>Returns the version number of the package.</p>\n\
<div class=\'codeBlock\'><pre>extract to &quot;&lt;directory&gt;&quot; \n\
</pre></div><p>Specifies the location in which to extract the contained files. This can be an absolute path name (starting with a drive letter or \\) or a relative name. Relative names are taken as being relative to the default temp directory. The special prefix $max can be used to specify the main MAX executable directory</p>\n\
<div class=\'codeBlock\'><pre>run &quot;&lt;script_file_name&gt;&quot; \n\
</pre></div><p>If the package is launched from a MAXScript run menu item or via a <span class=\'code\'>fileIn()</span> function, run the named script file. There can be more than one run command and they are run in order. These are ignored if the package is launched via a <span class=\'code\'>fileIn()</span> call that is supplied with an explicit script file to run. During the execution of an <span class=\'code\'>mzp.run</span> file, any <span class=\'code\'>&#39;run&#39;</span> commands are ignored. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/GUID-35559C6A-CC75-4C8D-9A2A-8DFA73F2501E.html#-mzp-drop-protocol\' title=\'\'>mzp drop protocol</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>drop &quot;&lt;dropScript_file_name&gt;&quot; \n\
</pre></div><p>If the package is launched by drag-and-drop into MAX, run the named dropScript file. There can only be one of these per msp.startup file.</p>\n\
<div class=\'codeBlock\'><pre>copy &quot;&lt;files&gt;&quot; to &quot;&lt;directory&gt;&quot; \n\
</pre></div><p>Copies the named file or files (if the <files> string contains wild-cards) to the given directory. The special <span class=\'code\'>$max</span> prefix can be used here.<p>\n\
<div class=\'codeBlock\'><pre>clear temp \n\
</pre></div><p>Cause the temporarily-extracted files to be deleted once all the nominated scripts are run or dropped.</p>\n\
<div class=\'codeBlock\'><pre>clear temp on MAX exit \n\
</pre></div><p>Cause the temporarily-extracted files to be deleted when the currently running MAX session exits.</p>\n\
<div class=\'codeBlock\'><pre>clear temp on reset \n\
</pre></div><p>Cause the temporarily-extracted files to be deleted when a file open or reset is performed.</p>\n\
<div class=\'codeBlock\'><pre>keep temp \n\
</pre></div><p>Prevents any deletion of the extracted files.</p>\n\
<div class=\'codeBlock\'><pre>open &lt;max_file_name&gt; \n\
</pre></div><p>Opens the named MAX scene file.</p>\n\
<p>Note: If the execution of an <span class=\'code\'>mzp.run</span> file is triggered during an i-drop event, any <span class=\'code\'>&#39;open&#39;</span> commands are ignored. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/GUID-35559C6A-CC75-4C8D-9A2A-8DFA73F2501E.html#-mzp-drop-protocol\' title=\'\'>mzp drop protocol</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>merge &lt;max_file_name&gt; \n\
</pre></div><p>Merges the named MAX scene file.</p>\n\
<p>Note: If the execution of an <span class=\'code\'>mzp.run</span> file is triggered during an i-drop event, any <span class=\'code\'>&#39;merge&#39;</span> commands are ignored. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/GUID-35559C6A-CC75-4C8D-9A2A-8DFA73F2501E.html#-mzp-drop-protocol\' title=\'\'>mzp drop protocol</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>xref &lt;max_file_name&gt; \n\
</pre></div><p>Xrefs the named MAX scene file.</p>\n\
<p>Note: If the execution of an <span class=\'code\'>mzp.run</span> file is triggered during an i-drop event, any <span class=\'code\'>&#39;xref&#39;</span> commands are ignored. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/GUID-35559C6A-CC75-4C8D-9A2A-8DFA73F2501E.html#-mzp-drop-protocol\' title=\'\'>mzp drop protocol</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>import &lt;importable_file_name&gt; \n\
</pre></div><p>Imports the named file.</p>\n\
<p>Note: If the execution of an <span class=\'code\'>mzp.run</span> file is triggered during an i-drop event, any <span class=\'code\'>&#39;import&#39;</span> commands are ignored. See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Zip-file-Packaging-and-Drag-And/GUID-35559C6A-CC75-4C8D-9A2A-8DFA73F2501E.html#-mzp-drop-protocol\' title=\'\'>mzp drop protocol</a> for details.</p>\n\
<p>Only one <span class=\'code\'>&#39;open&#39;</span> or <span class=\'code\'>&#39;import&#39;</span> command may be used per <span class=\'code\'>mzp.run</span> file. Any number of <span class=\'code\'>&#39;merge&#39;</span> and <span class=\'code\'>&#39;xref&#39;</span> commands can be used.</p>\n\
<p><strong>File Searches:</strong></p>\n\
<p>The following functions will perform searches for files given as relative file names in the current package file:</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/Running-Scripts.html\' title=\'\'>fileIn <filename></filename></a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Including-Scripts-Within-Scripts.html\' title=\'\'>include <filename></filename></a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>openBitmap <filename></filename></a></p>\n\
<div class=\'codeBlock\'><pre>editScript &lt;filename&gt; \n\
</pre></div><p>Note: Any saves will <strong>not</strong> go back into the package, but into the temp extracted file.</p>\n\
<div class=\'codeBlock\'><pre>loadMAXFile &lt;filename&gt; \n\
mergeMAXFile &lt;filename&gt; ... \n\
getMAXFileObjectNames &lt;filename&gt; \n\
importFile &lt;filename&gt; ... \n\
loadMaterialLibrary &lt;filename&gt; \n\
</pre></div><p><strong>Bitmap Searches:</strong></p>\n\
<p>The following UI items will search for named bitmap .bmp files in the package:</p>\n\
<div class=\'codeBlock\'><pre>bitmap &lt;name&gt; fileName:&lt;filename&gt; \n\
button &lt;name&gt; images:&lt;image_spec_array&gt; \n\
checkButton &lt;name&gt; images:&lt;image_spec_array&gt; \n\
</pre></div><p>Relative file names can contain path names, so</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>fileIn &quot;libs/myFns.ms&quot;</span></p>\n\
<p>would search in the &quot;libs&quot; sub-folder in the extracted package for &quot;myFns.ms&quot;. You can arrange the contents of the package in any kind of folder nesting desired and file names in running script or in the mzp.run control file are relative to the package directory structure.</p>\n\
</blockquote>\n\
<p><strong>Copy and Move:</strong></p>\n\
<div class=\'codeBlock\'><pre>copy &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] \n\
move &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] \n\
treeCopy &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] \n\
treeMove &quot;&lt;from&gt;&quot; to &quot;&lt;to&gt;&quot; [noReplace] \n\
</pre></div><p>These cause files from within the package to be copied or moved as specified. The treeCopy &amp; treeMove variants move whole nested directories of files. By default, any existing files in the destination location are replaced with the newly extracted ones, add the &#39;noReplace&#39; keyword to prevent this.</p>\n\
<p>The <span class=\'code\'>&lt;to&gt;</span> spec must always be a directory. Any treeCopy/Move replicates the source sub-directories into the <span class=\'code\'>&lt;to&gt;</span> directory, making new directories as needed. The <span class=\'code\'>&lt;from&gt;</span> spec for copy &amp; move may be any relative or fully specified file name or wild-card pattern. Relatively named files are looked for in that relative position in the package. Fully specified names are looked for in the main file-system.</p>\n\
<p>The <span class=\'code\'>&lt;from&gt;</span> spec for treeCopy/Move may be just a directory path, in which case the whole directory and its subdirectories are copied/moved, or it can be a wild-card path name in which case just the matching files or directory trees are copied/moved.</p>\n\
<p>The file path names you can specify in the various commands (extract to, run, copy, move, etc.) can have a starting path that is one of several special names beginning with $. These name useful locations in the currently running MAX installation.</p>\n\
<p>For a list of recognized $ names, see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/Symbolic-Pathnames.html\' title=\'\'>Symbolic Pathnames</a>.</p>\n\
<p>These directories reflect any customization the user has set up in the various preference dialogs.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>If you had set up a package with several scenes, plug-ins &amp; map files in several directories in the package, you could install them with some move commands in the mzp.run file, something like this:</p>\n\
<p>``` move &quot;plug-ins*.*&quot; to &quot;\\(plugins&quot;  move &quot;*.max&quot; to &quot;\\)scenes&quot; move &quot;texmaps*.bmp&quot; to &quot;$maps&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>As an added feature, if the scripts run from within a package define any functions, macroScripts, plug-ins, rollouts, or any major MAXScript value or construct that might live longer that the running script, then the package is &#39;associated&#39; with that defined value or construct and will again become the initial search location whenever the functions or handlers in the rollouts/plug-ins/macroScripts/etc. are later run.</p>\n\
<p><strong>Winzip:</strong></p>\n\
<p>You can initially create a .mzp with a zip utility such as WinZip. You can then associate that utility with the .mzp type, so simple double-clicking a .mzp file will open it in that editor. You only need to set up this association once, and you can do this in the Windows Explorer by selecting a .mzp file, shift-right-clicking on the selected file and choosing &quot;Open with...&quot; in the popup menu that appears. Scroll the application list that appears to find you desired zip utility and check the &quot;Always use this program ...&quot; checkbox at the bottom of the dialog.</p>\n\
<p><strong>msZip Interface:</strong></p>\n\
<p>The <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-msZip.html\' title=\'\'>MAXScript zip package interface</a> has exposed 2 MAXScript-callable functions:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>msZip.fileInPackage &lt;mzpFilename&gt; &amp;&lt;exractDirVar&gt;</span></p>\n\
</blockquote>\n\
<p>The &#39;fileInPackage&#39; function is essentially the equivalent of:</p>\n\
<blockquote>\n\
<p><span class=\'code\'>fileIn &lt;mzpFileName&gt;</span></p>\n\
</blockquote>\n\
<p>and will return true if success or false if there is a failure, or a missing or invalid .mzp file, and it will also return the directory that the package file were extracted to in the pass-by-reference <span class=\'code\'>&lt;extractDirVar&gt;</span> argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>local extractDir = &quot;&quot;   if msZip.fileInPackage &quot;foo.mzp&quot; &amp;extractDir then    (    -- extractDir contains the extracted-to directory name ...    )    msZip.unloadPackage &lt;mzpFilename&gt; &amp;&lt;exractDirVar&gt; &amp;&lt;dropFileVar&gt;</span></p>\n\
</blockquote>\n\
<p>The &#39;unloadPackage&#39; function performs an extract and executes all the file copying and moving commands in any enclosed mzp.run file, but will not execute any scripts in the package. The extractTo directory and any &#39;drop&#39; command file found will be returned in the pass-by-reference arguments.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` local extractDir = &quot;&quot;, dropFile = &quot;&quot; if msZip.unloadPackage &quot;foo.mzp&quot; &amp;extractDir &amp;dropFile then ( -- extractDir contains the extracted-to directory name -- dropFile contains any found drop file name (the path to extracted location ) ... )</p>\n\
<p>```</p>\n\
</blockquote>\n\
</files>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";