var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>3ds MAX Commands</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>3ds MAX Commands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ds-max-commands\"></a></div>\n\
<p>MAXScript allows you to invoke <strong>3ds Max</strong> menu and toolbar commands from within scripts using the <span class=\'code\'>max</span> construct.</p>\n\
<p>The general syntax for <strong>max</strong> commands is:</p>\n\
<div class=\'codeBlock\'><pre>max &lt;command_name&gt;\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>``` max file open max unhide all max hold max time play</p>\n\
<p>```</p>\n\
\n\
<p>The keyword <span class=\'code\'>max</span> is followed by one or more words that describe the command. The available commands can be displayed using the <span class=\'code\'>&#39;?&#39;</span> character in a partial <span class=\'code\'>max</span> command:</p>\n\
<div class=\'codeBlock\'><pre>max time ? -- show all the time-related commands\n\
max sel ? -- show all the commands with &#39;sel&#39; in them as a substring\n\
max ? -- show all the commands (there are a lot!)\n\
\n\
</pre></div><p>The <span class=\'code\'>max</span> command always returns the system value <span class=\'code\'>ok</span> .</p>\n\
<p>Note: The <span class=\'code\'>max spacebar</span> max command appears to do nothing when invoked from the Listener window, because the spacebar command is window-specific and only locks selections in the active window. Because it is the Listener window that is active, <strong>3ds Max</strong> effectively ignores this command.</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\"><strong>3ds Max Command Name</strong></th>\n\
<th align=\"left\"><strong>Command description</strong></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max ?</span></td>\n\
<td align=\"left\">Displays all max commands in the Listener</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max accel pan</span></td>\n\
<td align=\"left\">Activates viewport Pan mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max acthomegrid</span><br> <span class=\'code\'>ax activate home grid</span></td>\n\
<td align=\"left\">Makes home grid the active grid</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max activate grid object</span></td>\n\
<td align=\"left\">Makes selected grid the active grid</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max adaptive persp grid</span><br> <span class=\'code\'>ax adaptive perspective grid toggle</span></td>\n\
<td align=\"left\">Changes look of grid in non-orthographic viewports.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max align</span></td>\n\
<td align=\"left\">Activates Align mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max align normals</span><br> <span class=\'code\'>ax alignnormals</span></td>\n\
<td align=\"left\">Activates Align Normals mode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max align camera</span></td>\n\
<td align=\"left\">Places you in Align Camera mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max align to view</span></td>\n\
<td align=\"left\">Displays the Align To View dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max angle snap toggle</span></td>\n\
<td align=\"left\">Toggles Angle Snap toggle</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max apply ik</span></td>\n\
<td align=\"left\">Same as clicking Apply IK button in Hierarchy/IK panel</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max array</span></td>\n\
<td align=\"left\">Displays Array dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max backface</span><br> <span class=\'code\'>ax backface cull toggle</span></td>\n\
<td align=\"left\">Toggles Backface Cull for selected objects</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max background</span><br> <span class=\'code\'>ax background display toggle</span></td>\n\
<td align=\"left\">Displays Viewport Background dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max bind space warp mode</span><br> <span class=\'code\'>ax bindwsm</span></td>\n\
<td align=\"left\">Activates Bind to Space Warp mode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max box mode</span><br> <span class=\'code\'>ax box mode selected</span></td>\n\
<td align=\"left\">Toggles Display as Box for selected objects</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max box mode toggle</span><br> <span class=\'code\'>ax box toggle</span></td>\n\
<td align=\"left\">Toggles active viewport’s shading mode to/from Bounding Box</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max configure paths</span></td>\n\
<td align=\"left\">Displays Configure Paths dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max create mode</span></td>\n\
<td align=\"left\">Sets Create command mode active</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max customize UI</span></td>\n\
<td align=\"left\">Displays Customize User Interface dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max cycle select</span></td>\n\
<td align=\"left\">Cycles through Selection Region types - Rectangular, Circular, Fence</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max cycle sublevel</span><br> <span class=\'code\'>ax cycle subobject level</span></td>\n\
<td align=\"left\">Cycles through sub-object levels. Must be in Modify panel with Sub-Object active.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max default lighting toggle</span><br> <span class=\'code\'>ax def lgt toggle</span></td>\n\
<td align=\"left\">Toggles between default viewport lights and scene lights for viewport rendering</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max delete</span></td>\n\
<td align=\"left\">Deletes selected objects or sub-objects</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max display floater</span></td>\n\
<td align=\"left\">Displays Display Floater dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max display mode</span></td>\n\
<td align=\"left\">Sets Display command mode active</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max dolly</span><br> <span class=\'code\'>ax dolly mode</span></td>\n\
<td align=\"left\">Activates Zoom/Dolly mode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max drawingaids</span><br> <span class=\'code\'>ax drawing aids</span></td>\n\
<td align=\"left\">Displays Grid and Snap Setting dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max fetch</span></td>\n\
<td align=\"left\">Activates Edit/Fetch - displays About to Fetch dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max file archive</span></td>\n\
<td align=\"left\">Activates File/Archive - performs a scene file archive operation</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max file export selected</span></td>\n\
<td align=\"left\">Activates File/Export Selected - displays Select File to Export dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max file import</span></td>\n\
<td align=\"left\">Activates File/Import - displays Select File to Import dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max file insert tracks</span></td>\n\
<td align=\"left\">Activates File/Merge - displays Merge Animation dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max file merge</span></td>\n\
<td align=\"left\">Activates File/Merge - displays Merge File dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max file new</span></td>\n\
<td align=\"left\">Activates File/New</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max file open</span></td>\n\
<td align=\"left\">Activates File/Open - displays Open File dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max file preferences</span></td>\n\
<td align=\"left\">Activates Customize/Preferences - displays Preference Settings dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max file preferences gamma</span></td>\n\
<td align=\"left\">Activates Customize/Preferences - displays the Gamma tab of the Preference Settings dialog. Available since <strong>3ds Max 2010</strong>.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max file replace</span></td>\n\
<td align=\"left\">Activates File/Replace - displays Replace File dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max file save</span></td>\n\
<td align=\"left\">Activates File/Save</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max file saveas</span></td>\n\
<td align=\"left\">Activates File/Save As - displays Save File As dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max file xref object</span></td>\n\
<td align=\"left\">Activates File/XRef Objects - displays XRef Objects dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max file xref scene</span></td>\n\
<td align=\"left\">Activates File/XRef Scenes - displays XRef Scenes dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max fov</span></td>\n\
<td align=\"left\">Activates Region Zoom/FOV/Falloff mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max freeze inv</span></td>\n\
<td align=\"left\">Freezes non-selected objects. Same as clicking Freeze Unselected in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max freeze selection</span></td>\n\
<td align=\"left\">Freezes selected objects. Same as clicking Freeze Selected in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max fullinteract</span></td>\n\
<td align=\"left\">No operation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max grid nudge down</span></td>\n\
<td align=\"left\">Nudges active grid down</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max grid nudge up</span></td>\n\
<td align=\"left\">Nudges active grid up</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max grid toggle</span></td>\n\
<td align=\"left\">Toggles display of active grid in active viewport</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max grids align</span></td>\n\
<td align=\"left\">Aligns active grid to active viewport</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max group attach</span></td>\n\
<td align=\"left\">Enters Attach Object to Group mode - user clicks on group to attach selected objects to the group</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max group close</span></td>\n\
<td align=\"left\">Closes active group</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max group detach</span></td>\n\
<td align=\"left\">Detaches selected objects from group</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max group group</span></td>\n\
<td align=\"left\">Groups selected objects - displays Group dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max group open</span></td>\n\
<td align=\"left\">Opens selected group</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max group open recursively</span></td>\n\
<td align=\"left\">Opens selected group and any contained groups recursively</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max group ungroup</span></td>\n\
<td align=\"left\">Ungroups objects in selected group</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max help about</span></td>\n\
<td align=\"left\">Activates Help/About - displays the About <strong>3ds Max</strong> dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max hide camera toggle</span></td>\n\
<td align=\"left\">Toggles Camera in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max hide command panel toggle</span></td>\n\
<td align=\"left\">Toggles display of command panel</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max hide floating toolbars toggle</span></td>\n\
<td align=\"left\">Toggles display of floating toolbars</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max hide helper toggle</span></td>\n\
<td align=\"left\">Toggles Helpers in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max hide inv</span></td>\n\
<td align=\"left\">Hides un-selected objects. Same as clicking Hide Unselected in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max hide light toggle</span></td>\n\
<td align=\"left\">Toggles Lights in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max hide main toolbar toggle</span></td>\n\
<td align=\"left\">Toggles display of main toolbar</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max hide object toggle</span></td>\n\
<td align=\"left\">Toggles Geometry in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max hide selection</span></td>\n\
<td align=\"left\">Hides selected objects. Same as clicking Hide Selected in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max hide shape toggle</span></td>\n\
<td align=\"left\">Toggles Shapes in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max hide system toggle</span></td>\n\
<td align=\"left\">Toggles Particle Systems in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max hide wsm toggle</span></td>\n\
<td align=\"left\">Toggles Space Warps in Hide by Category rollout in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max hierarchy mode</span></td>\n\
<td align=\"left\">Sets Hierarchy command mode active</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max hold</span></td>\n\
<td align=\"left\">Activates Edit/Hold</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max ik terminator</span></td>\n\
<td align=\"left\">Toggles Terminator in Hierarchy/IK, Object Parameters rollout</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max ipan</span></td>\n\
<td align=\"left\">Interactive Pan - places center of active viewport at current mouse location</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max izoom in</span></td>\n\
<td align=\"left\">Interactive Zoom In - zooms in active viewport at current mouse location</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max izoom out</span></td>\n\
<td align=\"left\">Interactive Zoom Out - zooms out active viewport at current mouse location</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max key mode</span></td>\n\
<td align=\"left\">Toggles Key Mode Toggle</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max link</span></td>\n\
<td align=\"left\">Activates Link mode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max load custom UI</span></td>\n\
<td align=\"left\">Activates Customize/Load Custom UI - displays Load UI File dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max lock UI layout</span></td>\n\
<td align=\"left\">Toggles locking of the UI layout</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max material browser</span></td>\n\
<td align=\"left\">Displays the Material/Map Browser dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max mirror</span></td>\n\
<td align=\"left\">Activates Mirror mode - displays Mirror dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max modify mode</span></td>\n\
<td align=\"left\">Sets Modify command mode active</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max motion mode</span></td>\n\
<td align=\"left\">Sets Motion command mode active</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max move</span></td>\n\
<td align=\"left\">Activates Select and Move mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max mtledit</span></td>\n\
<td align=\"left\">Activates Tools/Material Editor - displays Material Editor dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max next mod</span></td>\n\
<td align=\"left\">Moves up one level in modifier stack</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max override</span></td>\n\
<td align=\"left\">Toggles Degradation Override. Executing this command works on the active window only, so if executed from Listener does nothing.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max pancamera</span></td>\n\
<td align=\"left\">Activates Arc Rotate/Orbit mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max panview</span></td>\n\
<td align=\"left\">Activates Pan/Truck mode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max persp</span></td>\n\
<td align=\"left\">Activates Zoom All/Perspective/Hotspot mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max prev mod</span></td>\n\
<td align=\"left\">Moves down one level in modifier stack</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max preview</span></td>\n\
<td align=\"left\">Activates Rendering/Make Preview - displays Make Preview dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max properties</span></td>\n\
<td align=\"left\">Displays Object Properties dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max quick render</span></td>\n\
<td align=\"left\">Performs Quick Render</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max redo</span></td>\n\
<td align=\"left\">Performs Redo operation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max renamepreview</span></td>\n\
<td align=\"left\">Activates Rendering/Rename Preview - displays Save Preview As dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max render last</span></td>\n\
<td align=\"left\">Performs Render Last</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max render scene</span></td>\n\
<td align=\"left\">Activate Render Scene - displays Render Scene dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max reset file</span></td>\n\
<td align=\"left\">Activates File/Reset</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max revert custom UI</span></td>\n\
<td align=\"left\">Activates Customize/Revert to Startup UI - displays confirmation dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max rns</span></td>\n\
<td align=\"left\">Activates Edit/Edit Named Selections - displays Edit Named Selection dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max roll</span></td>\n\
<td align=\"left\">Activates Roll mode - active viewport must camera or light viewport</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max rotate</span></td>\n\
<td align=\"left\">Activates Select and Rotate mode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max rotateview</span></td>\n\
<td align=\"left\">Activates Arc Rotate/Orbit mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max save custom UI as</span></td>\n\
<td align=\"left\">Activates Customize/Save Custom UI As - displays Save UI File as dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max safeframe toggle</span></td>\n\
<td align=\"left\">Toggles viewport Show Safe Frames</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max saveplus</span></td>\n\
<td align=\"left\">Saves to the current file name with incrementing number, or if the scene is Untitled, opens the Save As dialog.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max scale</span></td>\n\
<td align=\"left\">Activates Select and Scale mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max scale cycle</span></td>\n\
<td align=\"left\">Cycles through Scale modes - Scale, Non-Uniform Scale, Squash</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max select</span></td>\n\
<td align=\"left\">Activates Select mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max select all</span></td>\n\
<td align=\"left\">Activates Edit/Select All - selects all objects</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max select by color</span></td>\n\
<td align=\"left\">Activates Edit/Select by Color - user then picks object, all objects with same wireframe color selected</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max select child</span></td>\n\
<td align=\"left\">Selects all 1st level children of currently selected objects</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max select invert</span></td>\n\
<td align=\"left\">Activates Edit/Select Invert</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max select none</span></td>\n\
<td align=\"left\">Activates Edit/Select None</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max select parent</span></td>\n\
<td align=\"left\">Selects parents of currently selected objects</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max selection floater</span></td>\n\
<td align=\"left\">Displays Selection Floater dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key all position</span></td>\n\
<td align=\"left\">Set position keys</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key all postion rotation and scale</span></td>\n\
<td align=\"left\">Set position, rotation, and scale keys</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key all rotation</span></td>\n\
<td align=\"left\">Set rotation keys</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key all scale</span></td>\n\
<td align=\"left\">Set scale keys</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key all x postion</span></td>\n\
<td align=\"left\">Set key on X track of position XYZ controllers</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key all x rotation</span></td>\n\
<td align=\"left\">Set key on X track of rotation XYZ controllers</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key all x scale</span></td>\n\
<td align=\"left\">Set key on X track of scale XYZ controllers</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key all y postion</span></td>\n\
<td align=\"left\">Set key on Y track of position XYZ controllers</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key all y rotation</span></td>\n\
<td align=\"left\">Set key on Y track of rotation XYZ controllers</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key all y scale</span></td>\n\
<td align=\"left\">Set key on Y track of scale XYZ controllers</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key all z postion</span></td>\n\
<td align=\"left\">Set key on Z track of position XYZ controllers</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key all z rotation</span></td>\n\
<td align=\"left\">Set key on Z track of rotation XYZ controllers</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key all z scale</span></td>\n\
<td align=\"left\">Set key on Z track of scale XYZ controllers</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key clear</span></td>\n\
<td align=\"left\">Clear pending changes</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key customattributes filter</span></td>\n\
<td align=\"left\">Toggle Custom Attributes filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key ikparams filter</span></td>\n\
<td align=\"left\">Toggle IK Parameters filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key keys</span></td>\n\
<td align=\"left\">Set Keys for all filtered keyable tracks</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key materials filter</span></td>\n\
<td align=\"left\">Toggle Materials filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key mode</span></td>\n\
<td align=\"left\">Toggle the Set Key mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key modifiers filter</span></td>\n\
<td align=\"left\">Toggle Modifiers filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key objectparams filter</span></td>\n\
<td align=\"left\">Toggle the Object Parameters filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key on selected</span></td>\n\
<td align=\"left\">Same as hitting Set Keys but always on selected nodes (ignores Character dropdown setting)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key position filter</span></td>\n\
<td align=\"left\">Toggle the Position filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max set key rotation filter</span></td>\n\
<td align=\"left\">Toggle the Rotation filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max set key scale filter</span></td>\n\
<td align=\"left\">Toggle the Scale filter in the Key Filters window</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max shade selected</span></td>\n\
<td align=\"left\">Toggles Views/Shade Selected</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max show last img</span></td>\n\
<td align=\"left\">Displays last rendered image</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max showaxisicon</span></td>\n\
<td align=\"left\">Toggles Views/Show Transform Gizmo</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max showhomegrid</span></td>\n\
<td align=\"left\">Toggles display of home grid</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max show vfb</span></td>\n\
<td align=\"left\">Shows the Rendered Image Window (also known as Virtual Frame Buffer) if it is not open. Available in <strong>3ds Max 2011 and higher</strong>.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max snap toggle</span></td>\n\
<td align=\"left\">Toggles Snap Toggle</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max spacebar</span></td>\n\
<td align=\"left\">Toggles Lock Selection Set.Executing this command works on the active window only, so if executed from Listener does nothing.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max spacing tool</span></td>\n\
<td align=\"left\">Displays Spacing Tool dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max spinsnap toggle</span></td>\n\
<td align=\"left\">Toggles Spinner Snap Toggle</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max subobject sel</span></td>\n\
<td align=\"left\">Toggles Sub-Object button in Modify panel</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max swap layouts</span></td>\n\
<td align=\"left\">No operation - no A/B layout any more</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max texture correct</span></td>\n\
<td align=\"left\">Toggles viewport Texture Correction</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max time back</span></td>\n\
<td align=\"left\">Sets time slider to previous frame or keyframe (Previous Frame/Previous Key)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max time config</span></td>\n\
<td align=\"left\">Displays Time Configuration dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max time end</span></td>\n\
<td align=\"left\">Sets time slider to end frame (Go to End)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max time forward</span></td>\n\
<td align=\"left\">Sets time slider to next frame or keyframe (Next Frame/Next Key)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max time play</span></td>\n\
<td align=\"left\">Plays animation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max time start</span></td>\n\
<td align=\"left\">Sets time slider to start frame (Go to Start)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max toggle key mode</span></td>\n\
<td align=\"left\">No operation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max toggle keyboard shortcuts</span></td>\n\
<td align=\"left\">Toggles Plug-in Keyboard Shortcut Toggle</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max toggle ik</span></td>\n\
<td align=\"left\">Toggles IK Toggle</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max toggle sound</span></td>\n\
<td align=\"left\">Toggles Active in Audio group of Sound Options dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max tool animmode</span></td>\n\
<td align=\"left\">Toggles Animate button</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tool center</span></td>\n\
<td align=\"left\">Cycles through transform centers - Pivot Point, Selection, Transform</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max tool dualplanes</span></td>\n\
<td align=\"left\">Toggles state of Use Dual Planes in Preference Settings dialog, Viewports tab.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tool hlist</span></td>\n\
<td align=\"left\">Activates Select by Name - displays Select Objects dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max tool maximize</span></td>\n\
<td align=\"left\">Maximizes/Minimizes active viewport</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tool x</span></td>\n\
<td align=\"left\">Activates Restrict to X</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max tool xy</span></td>\n\
<td align=\"left\">Activates Restrict to XY</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tool y</span></td>\n\
<td align=\"left\">Activates Restrict to Y</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max tool z</span></td>\n\
<td align=\"left\">Activates Restrict to Z</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tool zoom</span></td>\n\
<td align=\"left\">Activates Zoom/Dolly mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max tool zoomall</span></td>\n\
<td align=\"left\">Activates Zoom All</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tool zoomextents</span></td>\n\
<td align=\"left\">Activates Zoom Extents</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max tool zoomextents all</span></td>\n\
<td align=\"left\">Activates Zoom Extents All</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tool zoomregion</span></td>\n\
<td align=\"left\">Activates Zoom Region/FOV/Falloff mode</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max trajectories</span></td>\n\
<td align=\"left\">Toggles trajectory display for selected objects</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max treeview</span></td>\n\
<td align=\"left\">Activates Track View/Open Track View - displays Track View dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max truck</span></td>\n\
<td align=\"left\">Activates Pan/Truck mode</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max tti</span></td>\n\
<td align=\"left\">Activates Tools/Transform Type-In - display Transform Type-In dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max undo</span></td>\n\
<td align=\"left\">Performs undo operation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max unfreeze all</span></td>\n\
<td align=\"left\">Unfreezes all objects. Same as clicking Unfreeze All in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max unfreeze by hit</span></td>\n\
<td align=\"left\">Activates Unfreeze by Hit mode. Same as clicking Unfreeze by Hit in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max unfreeze by name</span></td>\n\
<td align=\"left\">Displays Unfreeze Objects dialog. Same as clicking Unfreeze by Name in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max unhide all</span></td>\n\
<td align=\"left\">Unhides all objects. Same as clicking Unhide All in Display panel.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max unhide by name</span></td>\n\
<td align=\"left\">Displays Unhide Objects dialog. Same as clicking Unhide by Name in Display panel.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max unitsetup</span></td>\n\
<td align=\"left\">Activates Customize/Units Setup - displays Units Setup dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max unlink</span></td>\n\
<td align=\"left\">Unlinks selected objects from their parents</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max utility mode</span></td>\n\
<td align=\"left\">Sets Utility command mode active</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max videopost</span></td>\n\
<td align=\"left\">Activates Rendering/Video Post - displays Video Post dialog</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max view file</span></td>\n\
<td align=\"left\">Activates File/View File - displays View File dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max view redo</span></td>\n\
<td align=\"left\">Performs viewport redo operation</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max viewpreview</span></td>\n\
<td align=\"left\">Activates Rendering/View Preview - displays last preview</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max views redraw</span></td>\n\
<td align=\"left\">Redraws all viewports</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max views undo</span></td>\n\
<td align=\"left\">Performs viewport undo operation</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt back</span></td>\n\
<td align=\"left\">Sets active viewport to Back</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vpt bottom</span></td>\n\
<td align=\"left\">Sets active viewport to Bottom</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt camera</span></td>\n\
<td align=\"left\">Sets active viewport to Camera. If only 1 camera in scene, or a camera is selected, that camera will be used for the viewport. If there is more than one camera, and no cameras are selected, the Select Camera dialog will be displayed. If there is no camera in the scene, a No Camera in Scene warning is displayed.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vpt disable</span></td>\n\
<td align=\"left\">Toggles Disabled state of active viewport</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt front</span></td>\n\
<td align=\"left\">Sets active viewport to Front</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vpt grid</span></td>\n\
<td align=\"left\">Sets active viewport to Grid</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt iso user</span></td>\n\
<td align=\"left\">Sets active viewport to User</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vpt left</span></td>\n\
<td align=\"left\">Sets active viewport to Left</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt persp user</span></td>\n\
<td align=\"left\">Sets active viewport to Perspective</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vpt right</span></td>\n\
<td align=\"left\">Sets active viewport to Right</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt shape</span></td>\n\
<td align=\"left\">Sets active viewport to Shape</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vpt spot</span></td>\n\
<td align=\"left\">Sets active viewport to Spotlight. If only 1 spotlight/directional light in scene, or a spotlight/directional light is selected, that light will be used for the viewport. If there is more than one spotlight/directional light, and no lights are selected, the Select Light dialog will be displayed. If there is no spotlight/directional light in the scene, a No Light in Scene warning is displayed.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt tab</span></td>\n\
<td align=\"left\">Cycles between Restrict to axes - X, Y, Z, XY</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vpt top</span></td>\n\
<td align=\"left\">Sets active viewport to Top</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max vpt track</span></td>\n\
<td align=\"left\">Sets active viewport to Track View</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max vptconfig</span></td>\n\
<td align=\"left\">Activates Customize/Viewport Configuration - displays Viewport Configuration dialog</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max wire facet</span></td>\n\
<td align=\"left\">Sets active viewport shading mode to Facets + Highlights</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max wire smooth</span></td>\n\
<td align=\"left\">Sets active viewport shading mode to Wireframe</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max zoom in 2x</span></td>\n\
<td align=\"left\">Zooms in active viewport by 2x</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max zoom in 2x all</span></td>\n\
<td align=\"left\">Zooms in all viewports by 2x</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max zoom out 2x</span></td>\n\
<td align=\"left\">Zooms out active viewport by 2x</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max zoom out 2x all</span></td>\n\
<td align=\"left\">Zooms out all viewports by 2x</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>max zoomext sel</span></td>\n\
<td align=\"left\">Activates Zoom Extents Selected</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>max zoomext sel all</span></td>\n\
<td align=\"left\">Activates Zoom Extents All Selected</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";