var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>3ds Max User Interface Colors</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>3ds Max User Interface Colors</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"ds-max-user-interface-colors\"></a></div>\n\
<p>The following methods are used to get and set the <strong>3ds Max</strong> user interface colors.</p>\n\
<div class=\'codeBlock\'><pre>GetUIColor &lt;index_integer&gt;\n\
</pre></div><p>Returns a Point3 value corresponding to the color value used for drawing the specified item type in the <strong>3ds Max</strong> viewports. Each component of the Point3 value is in a range of 0 to 1, corresponding to a color component value of 0 to 255. See the list of <span class=\'code\'>&lt;index_integer&gt;</span> values below.</p>\n\
<div class=\'codeBlock\'><pre>GetDefaultUIColor &lt;index_integer&gt;\n\
</pre></div><p>Returns a Point3 value corresponding to the default color used for drawing the specified item type in the <strong>3ds Max</strong> user interface. Each component of the Point3 value is in a range of 0 to 1, corresponding to a color component value of 0 to 255. The values returned are not affected by the user&#39;s color selections or those set by <span class=\'code\'>SetUIColor()</span> . See the list of <span class=\'code\'>&lt;index_integer&gt;</span> values below.</p>\n\
<div class=\'codeBlock\'><pre>SetUIColor &lt;index_integer&gt; &lt;point3&gt;\n\
</pre></div><p>Sets the color value used for drawing the specified item type in the <strong>3ds Max</strong> viewports. Each component of the Point3 value is in a range of 0 to 1, corresponding to a color component value of 0 to 255. See the list of <span class=\'code\'>&lt;index_integer&gt;</span> values below.</p>\n\
<p>The valid <span class=\'code\'>&lt;index_integer&gt;</span> values and the corresponding item type are as follow:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">INDEX</th>\n\
<th align=\"left\">CODE</th>\n\
<th align=\"left\">UI</th>\n\
<th align=\"left\">ITEM</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>0</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SELECTION</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Selection</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>1</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SUBSELECTION</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Sub-selection</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>2</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_FREEZE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Freeze</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>3</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_GRID</span></td>\n\
<td align=\"left\">Grids</td>\n\
<td align=\"left\">Grid</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>4</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_GRID_INTENS</span></td>\n\
<td align=\"left\">Grids</td>\n\
<td align=\"left\">Grid Intensity</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>5</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SF_LIVE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Safe Frame Live</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>6</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SF_ACTION</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Safe Frame Action</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>7</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SF_TITLE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Safe Frame Title</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>8</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_VP_LABELS</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Viewport Label</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>9</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_VP_INACTIVE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Inactive Viewport Label</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>10</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_ARCBALL</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Arcball</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>11</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_ARCBALL_HILITE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Arcball Highlight</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>12</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_ANIM_BUTTON</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Animate Button</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>14</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_LINK_LINES</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Bones and Link Lines</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>15</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_TRAJECTORY</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Trajectory</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>16</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_ACTIVE_AXIS</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Active Axis</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>17</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_INACTIVE_AXIS</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Inactive Axis</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>18</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SPACE_WARPS</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Space Warp</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>19</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_DUMMY_OBJ</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Dummy Object</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>20</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_POINT_OBJ</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Point Object</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>21</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_POINT_AXES</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Point Axis</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>22</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_TAPE_OBJ</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Tape Object</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>24</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_GIZMOS</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Gizmos</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>25</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SEL_GIZMOS</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Selected Gizmos</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>26</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SPLINE_VECS</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Spline Vectors</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>27</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SPLINE_HANDLES</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Spline Handles</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>29</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_PARTICLE_EM</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Particle Emitter</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>30</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_CAMERA_OBJ</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Camera Object</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>31</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_CAMERA_CONE</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Camera Cone</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>32</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_CAMERA_HORIZ</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Camera Horizon</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>33</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NEAR_RANGE</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Camera Near Range</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>34</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_FAR_RANGE</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Camera Far Range</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>35</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_LIGHT_OBJ</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Light Object</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>36</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_TARGET_LINE</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Target Line</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>37</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_HOTSPOT</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Light Hotspot</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>38</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_FALLOFF</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Light Falloff</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>39</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_START_RANGE</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Light Far Start</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>40</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_END_RANGE</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Light Far End</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>41</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_VIEWPORT_BKG</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Viewport Background</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>42</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_TRAJ_TICS_1</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Trajectory Frames 1</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>43</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_TRAJ_TICS_2</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Trajectory Frames 2</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>44</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_TRAJ_TICS_3</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Trajectory Frames 3</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>45</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_GHOST_BEFORE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Ghost (Before)</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>46</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_GHOST_AFTER</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Ghost (After)</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>47</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_12FIELD_GRID</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">12-Field Grid</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>48</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_START_RANGE1</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Light Near Start</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>49</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_END_RANGE1</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Light Near End</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>50</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_CAMERA_CLIP</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Camera Clip</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>51</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_CV</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Control Vertex</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>52</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_LATTICE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Lattice</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>53</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_CP</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Con Point</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>54</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_FP</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Fit Point</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>55</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_DEP</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Dep Object</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>56</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_ERROR</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Error Object</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>57</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_HILITE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Highlight</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>58</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_NURBS_FUSE</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">NURBS Fuse</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>59</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_END_EFFECTOR</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">End Effector</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>60</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_END_EFFECTOR_STRING</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">End Effector String</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>61</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_JOINT_LIMIT_SEL</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Selected Joint Limits</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>62</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_JOINT_LIMIT_UNSEL</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Joint Limits</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>63</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_IK_TERMINATOR</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">IK Terminator</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>64</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SF_USER</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Safe Frame User</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>65</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_VERT_TICKS</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Vertex Ticks</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>66</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_XRAY</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">See Through</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>67</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_GROUP_OBJ</span></td>\n\
<td align=\"left\">Objects</td>\n\
<td align=\"left\">Group Object</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>68</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_MANIPULATOR_X</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Transform Gizmo X</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>69</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_MANIPULATOR_Y</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Transform Gizmo Y</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>70</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_MANIPULATOR_Z</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Transform Gizmo Z</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>71</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_MANIPULATOR_ACTIVE</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Active Transform Gizmo</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>72</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_VPT_CLIPPING</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Viewport Clipping</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>73</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_DECAY_RADIUS</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Light Decay Start</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>74</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_VERT_NUMBERS</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Vertex Numbers</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>75</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_CROSSHAIR_CURSOR</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Cross Hair Cursor</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>76</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_WINBK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Window Bkg</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>77</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_NODEBK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Node Bkg</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>78</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_SELNODEBK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Selected Node Bkg</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>79</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_NODE_HIGHLIGHT</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Node Highlight</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>80</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_MATERIAL_HIGHLIGHT</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Material Highlight</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>81</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_MODIFIER_HIGHLIGHT</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Modifier Highlight</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>82</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_PLUGIN_HIGHLIGHT</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Plugin Highlight</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>83</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_SUBANIM_LINE</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Sub-Anim Line</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>84</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_CHILD_LINE</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Child Line</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>85</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_FRAME</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Frame</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>86</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_SELTEXT</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Selected Label</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>87</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_TEXT</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Label</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>88</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_UNSEL_TAB</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">Unselected Tabs</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>89</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_ATMOS_APPARATUS</span></td>\n\
<td align=\"left\">Gizmos &amp; Apparatuses</td>\n\
<td align=\"left\">Atmospheric Apparatuses</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>90</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SUBSELECTION_HARD</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">SubSelection Hard</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>91</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SUBSELECTION_MEDIUM</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">SubSelection Medium</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>92</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SUBSELECTION_SOFT</span></td>\n\
<td align=\"left\">Main UI</td>\n\
<td align=\"left\">SubSelection Soft</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>93</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_UNFOLD_BUTTON</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Unfold Children Button</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>94</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_GEOMOBJECT_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Geometry Node Bkg</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>95</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_LIGHT_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Light Node Bkg</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>96</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_CAMERA_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Camera Node Bkg</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>97</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_SHAPE_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Shape Node Bkg</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>98</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_HELPER_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Helper Node Bkg</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>99</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_SYSTEM_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV System Node Bkg</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>100</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_CONTROLLER_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Controller Node Bkg</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>101</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_MODIFIER_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Modifier Node Bkg</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>102</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_MATERIAL_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Material Node Bkg</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>103</span></td>\n\
<td align=\"left\"><span class=\'code\'>COLOR_SV_MAP_BK</span></td>\n\
<td align=\"left\">Other Views</td>\n\
<td align=\"left\">SV Map Node Bkg</td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";