var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Active Shade Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Active Shade Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"active-shade-access\"></a></div>\n\
<p>The following functions provide access to the rendered image of the Active Shade feature, and a way to close Active Shade. Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;bitmap&gt;GetActiveShadeBitmap  [wait:&lt;boolean&gt;] [timeout:&lt;float&gt;] [result:&amp;result]\n\
</pre></div><p>If ActiveShade is active, returns a copy of the Bitmap value containing the current ActiveShade render result.</p>\n\
<p>If no ActiveShade view is active, returns undefined.</p>\n\
<p>If the optional keyword <span class=\'code\'>wait:</span> is passes as True, the function will wait for the rendering to end before returning the bitmap. If not specified or set to False, the current bitmap will be returned immediately.</p>\n\
<p>If the optional keyword <span class=\'code\'>timeout:</span> is specified and <span class=\'code\'>wait:</span> is set to True, the function will wait up to the specified number of seconds. If the rendering has not finished until then, it will return without waiting for it to finish.</p>\n\
<p>If the optional keyword <span class=\'code\'>result:</span> is specified, the by-reference out variable &amp;result will be set to one of the following:</p>\n\
<p><strong>#done</strong> - the render completed, or if <span class=\'code\'>wait:</span> was set to False or not specified, the current bitmap was returned without waiting.</p>\n\
<p><strong>#waitTimeout</strong> - the timeout threshold (if specified via timeout: keyword) was reached before completing the rendering.</p>\n\
<p><strong>#error</strong> - the rendering did not even start due to an error.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;CloseActiveShade()\n\
</pre></div><p>Closes the ActiveShade window if it is open.</p>\n\
<p>Does nothing if no ActiveShade window is open.</p>\n\
<p>Returns OK in both cases.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";