var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Color Picker Dialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Color Picker Dialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"color-picker-dialog\"></a></div>\n\
<p>The following method can be used to create a color picker dialog without using a colorPicker rollout control.</p>\n\
<p>This method is available in <strong>3ds Max 2008</strong> and higher. It was previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>colorPickerDlg &lt;init_color&gt; &lt;title_string&gt; alpha:&lt;boolean&gt; pos:&lt;&amp;Point2&gt; applyUIScaling:&lt;true&gt;\n\
</pre></div><p>Displays a modal color picker.</p>\n\
<p><span class=\'code\'>init_color</span> is the initial color</p>\n\
<p><span class=\'code\'>title_string</span> is displayed in the title bar of the color picker.</p>\n\
<p>If <span class=\'code\'>alpha:</span> is true, the color picker supports alpha.</p>\n\
<p><span class=\'code\'>pos:</span> specifies the position of the dialog.</p>\n\
<p>If <span class=\'code\'>pos:</span> is specified as a by-reference variable, the position of the dialog when closed is written back to the specified variable.</p>\n\
<p>If <span class=\'code\'>pos:</span> is not specified, the dialog is displayed at its last position.</p>\n\
<p>If <span class=\'code\'>pos:</span> is [-1,-1], the dialog is displayed centered on the 3ds Max window.</p>\n\
<p>If the color picker is closed other than via pressing OK, a value of &#39;undefined&#39; is returned.</p>\n\
<p><span class=\'code\'>applyUIScaling</span> indicates whether to apply UI scaling on high-DPI displays.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USAGE:</strong></p>\n\
<p>``` colorPickerDlg (color 100 200 300) &quot;Pick A Better Color:&quot; alpha:true pos:[100,100]</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-24867CBA-D975-4F0E-944C-7BFCC354951A-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";