var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Command Line Rendering</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Command Line Rendering</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"command-line-rendering\"></a></div>\n\
<p>Command line rendering in <strong>3ds Max 6</strong> and higher also allows MAXScript execution - so-called pre-render scripts can be executed before the rendering starts. Below are the supported command line options, including the one related to MAXScript.</p>\n\
<p>Note: As of <strong>3ds Max 2016</strong>, output sent to STDOUT by scripts and rendering plug-ins is in UTF-16. You must run the command shell with the <strong>/u</strong> option to support Unicode output, or output text will appear garbled.</p>\n\
<p><strong>Command Line Options</strong></p>\n\
<div class=\'codeBlock\'><pre>-? \n\
</pre></div><p>Displays a short help listing the options</p>\n\
<div class=\'codeBlock\'><pre>@command_file \n\
</pre></div><p>Command line options in a file. That is, you can list all the options you want in a text file, one per line and pass the file as the command line argument.</p>\n\
<div class=\'codeBlock\'><pre>-c:camera_name \n\
</pre></div><p>Define camera to render</p>\n\
<div class=\'codeBlock\'><pre>-f:frames \n\
</pre></div><p>Frame list &quot;1,10,30-100&quot; or &quot;all&quot;</p>\n\
<div class=\'codeBlock\'><pre>-g \n\
</pre></div><p>Generate job description file (XML). You can use this option to create a job description file from scratch (in order to edit and resubmit it). The tool will parse the scene file, accept whatever other command line option you&#39;ve given and create a proper job description file.</p>\n\
<div class=\'codeBlock\'><pre>-h:height \n\
</pre></div><p>New output height</p>\n\
<div class=\'codeBlock\'><pre>-j:job_file \n\
</pre></div><p>Use job description file. You would use this to pass an exiting job description file.</p>\n\
<div class=\'codeBlock\'><pre>-n:job_name \n\
</pre></div><p>New job name. Used to rename a job. This is only an issue when submitting a scene to the network. The job description file and the scene file must be the name of the scene. As there cannot be two jobs with a same name, you use this to rename it prior to submitting it to the network.</p>\n\
<div class=\'codeBlock\'><pre>-k:network_mask \n\
</pre></div><p>Defines a network mask other than 255.255.255.0. Only an issue when submitting a scene to the network. If you don&#39;t know what this is, you don&#39;t need it. If you need it and you don&#39;t know it, this is one of those occasions you must (no matter how much I hate those messages) talk to your network administrator.</p>\n\
<div class=\'codeBlock\'><pre>-o:output_file \n\
</pre></div><p>New output file. Defines a new path and name for the output image file max will be rendering to.</p>\n\
<p>Note:</p>\n\
<p>You cannot change the file type (i.e. from Jpeg to AVI) as there is no way to set these from outside max. If you try giving a different extension the tool will simply ignore it and use the original one.</p>\n\
<div class=\'codeBlock\'><pre>-p:port \n\
</pre></div><p>Manager port (for submission). Only an issue when submitting a scene to the network. If you don&#39;t know what this is, you don&#39;t need it.</p>\n\
<div class=\'codeBlock\'><pre>-r \n\
</pre></div><p>Render (not to be used with -s). This is the default (if no option is given). It exists because if you use the -g option, the scene won&#39;t render unless you have this option. That is, this is the default unless you specify -g.</p>\n\
<div class=\'codeBlock\'><pre>-s[:manager_name] \n\
</pre></div><p>Submit to job to network queue (and optionally providing a manager&#39;s name or IP address). It cannot be used with -r.</p>\n\
<div class=\'codeBlock\'><pre>-t:script_file \n\
</pre></div><p>Attaches a pre-render MAXScript. Use this option to attach a MAXScript to the scene. If used, the script will be executed prior to the renderer starting. Note that you can use this for both local render (-r) and network render (-s). If submitting to the network, the script will be archived along with the scene and sent to all servers participating. The script can be any MAXScript without UI access.</p>\n\
<blockquote>\n\
<p>Warning: Care should be taken in order to avoid calling any UI functions - they will not work and may cause servers to get stuck!</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>-v:level \n\
</pre></div><p>Verbose level (0 - 5). How much you want the tool to tell you what it is doing. A value of 0 will give you absolutely nothing. A value of 1 will only show errors. A value of 2 will give you errors and some progress information. Values 3, 4, and 5 will give you progressively more information.</p>\n\
<div class=\'codeBlock\'><pre>-w:width \n\
</pre></div><p>New output width.</p>\n\
<div class=\'codeBlock\'><pre>-x \n\
</pre></div><p>Show examples. Use this option to see some examples for the above options.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";