var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Command Panels</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Command Panels</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"command-panels\"></a></div>\n\
<p>The following methods are used to get or set the active command panel:</p>\n\
<div class=\'codeBlock\'><pre>setCommandPanelTaskMode [mode:]&lt;panel_name&gt;\n\
</pre></div><p>Sets the specified command panel as active. The valid <span class=\'code\'>panel_name</span> values are:</p>\n\
<div class=\'codeBlock\'><pre>#create -- Create Panel\n\
#modify -- Modify Panel\n\
#hierarchy -- Hierarchy Panel\n\
#motion -- Motion Panel\n\
#display -- Display Panel\n\
#utility -- Utility Panel\n\
</pre></div><p>The syntax of <span class=\'code\'>SetCommandPanelTaskMode</span> was modified in <strong>3ds Max 7</strong> so that the panel name to switch to can either be specified as the mode keyword argument, or simply as the argument to the method.</p>\n\
<blockquote>\n\
<p><strong>The following expressions are equivalent:</strong></p>\n\
<p>``` setCommandPanelTaskMode #modify</p>\n\
<p>```</p>\n\
<p>``` setCommandPanelTaskMode mode:#modify</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>getCommandPanelTaskMode()\n\
</pre></div><p>Returns the current command panel as a name value. The name values correspond to the <span class=\'code\'>panel_name</span> values for <span class=\'code\'>SetCommandPanelTaskMode()</span> .</p>\n\
<div class=\'codeBlock\'><pre>suspendEditing which:&lt;panel_name&gt; \n\
alwaysSuspend:&lt;boolean&gt;\n\
resumeEditing which:&lt;panel_name&gt; \n\
alwaysSuspend:&lt;boolean&gt;\n\
</pre></div><p>Suspend/resume rollout display in the command panels. The <span class=\'code\'>panel_name</span> values are as described for the <span class=\'code\'>setCommandPanelTaskMode</span> command.</p>\n\
<p>If <span class=\'code\'>which</span> : is not specified, all panels are suspended or resumed.</p>\n\
<p>If <span class=\'code\'>alwaysSuspend</span> : is true (default is true), the panel is suspended even if the panel is not selected when the command is run.</p>\n\
<blockquote>\n\
<p>Note: Only Modify, Hierarchy, and Motion panels support suspend/resume.</p>\n\
<p>If the steps between the SuspendEditing and the ResumeEditing can throw an exception, the steps <strong>should</strong> be performed in a try/catch so that the editing state can be properly restored.</p>\n\
</blockquote>\n\
<p>The following <strong>3ds Max</strong> system global variables are associated with the command panel:</p>\n\
<div class=\'codeBlock\'><pre>cui.commandPanelOpen\n\
</pre></div><p>Lets you get and set whether the command panel is displayed. A Boolean value - <span class=\'code\'>true</span> if the command panel is displayed, <span class=\'code\'>false</span> if not displayed.</p>\n\
<p>Specific methods and <strong>3ds Max</strong> global variables are associated with the Create and Modify panels. These methods and global variables are described in the following topics:</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Create-Panel.html\' title=\'\'>Create Panel</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Modify-Panel.html\' title=\'\'>Modify Panel</a></p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";