var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Create Panel</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Create Panel</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"create-panel\"></a></div>\n\
<p>The <span class=\'code\'>startObjectCreation()</span> method is used to simulate the user finding a Create Panel button for a given object class and pressing that button, putting <strong>3ds Max</strong> into create mode for that object class.</p>\n\
<p><strong>The form is:</strong></p>\n\
<div class=\'codeBlock\'><pre>startObjectCreation &lt;maxobjclass&gt; [     returnNewNodes:&lt;flag&gt;] [        newNodeCallback:&lt;fn&gt;]    \n\
</pre></div><p>This method simply opens up the Create Panel at the right tab and category and depresses the appropriate object button.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` startObjectCreation box startObjectCreation targetSpot</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This method is primarily intended for use in macroScripts, but can be used in generalized scripts. Script execution will continue immediately after entering the create mode, and you must ensure that the script does not interfere with the object creation.</p>\n\
<p>The values that can be supplied to the optional <span class=\'code\'>returnNewNodes:</span> keyword argument are <span class=\'code\'>true</span> , <span class=\'code\'>false</span> (the default) or <span class=\'code\'>#first</span> . If <span class=\'code\'>true</span> is supplied, all of the nodes created, up until the current create mode is exited, will be returned in an array. If <strong>#first</strong> is supplied, only the first node created is returned, immediately after it is created. The function doesn’t wait for the create mode to be exited by the user.</p>\n\
<p>The optional <span class=\'code\'>newNodeCallback:</span> keyword argument can supply a scripted function of one argument to the create mode that is started, such that the function will be called each time a node is created with the new node as its argument. This is similar to supplying <span class=\'code\'>pickObject()</span> filter functions, although the return value of the <span class=\'code\'>newNodeCallback:</span> function is ignored.</p>\n\
<p>Note: The callback function is invoked immediately upon new node creation, *before* any base object is installed in it, so <strong>only node-related properties</strong> can be accessed and changed during this callback.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` fn setColor n = n.wireColor= red startObjectCreation box newNodeCallback:setColor</p>\n\
<p>```</p>\n\
<p>would cause all new boxes created in the started create mode to have red wire color.</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>returnNewNodes:</span> and <span class=\'code\'>newNodeCallback:</span> can both be supplied on the same call; the callback will be called on each node, and they will be returned in an array as the result of the <span class=\'code\'>startObjectCreation()</span> function.</p>\n\
<div class=\'codeBlock\'><pre>okToCreate &lt;maxclass&gt; \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified maxclass can be created in the UI, <span class=\'code\'>false</span> otherwise. If the argument is undefined, also returns <span class=\'code\'>false</span> .</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` okToCreate terrain</p>\n\
<p>```</p>\n\
<p>will return <span class=\'code\'>false</span> unless at least one shape is selected, or if any non-shape is selected. This corresponds to whether the button for the object is enabled.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>isCreatingObject [ &lt;maxclass&gt; ] \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the specified maxclass is currently being created in the UI, <span class=\'code\'>false</span> otherwise.</p>\n\
<p>If called without an argument returns <span class=\'code\'>true</span> if ANY object is being created in the UI, <span class=\'code\'>false</span> otherwise.</p>\n\
<p>In <strong>3ds Max 2010 and higher</strong>, also returns <span class=\'code\'>false</span> if the argument is undefined for consistency with <span class=\'code\'>okToCreate()</span> .</p>\n\
<p>Available in <strong>3ds Max 9</strong> and higher.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --go to Create panel, click the Box button and evaluate: isCreatingObject Box true --in the Create panel, click on the Cone button and evaluate: isCreatingObject Box false isCreatingObject Cone true isCreatingObject() true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";