var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Modify Panel</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Modify Panel</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"modify-panel\"></a></div>\n\
<p>The following methods and system globals are associated with the Modify panel:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A6F0E912-5005-4105-B7DF-B3716FB40633-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"pin-stack-button\"></a><h3 id=\"pin-stack-button\">Pin Stack Button</h3></div>\n\
<div class=\'codeBlock\'><pre>modpanel.getPinStack()\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Pin Stack button is pressed, <span class=\'code\'>false</span> if not pressed or not in Modify panel.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>modpanel.isPinStackEnabled() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the Pin Stack button is enabled, <span class=\'code\'>false</span> if not enabled or not in Modify panel.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>modpanel.setPinStack &lt;bool      &gt; \n\
</pre></div><p>Sets the Pin Stack button to the specified state as long as the Pin Stack button is enabled.</p>\n\
<p>Available in <strong>3ds Max 2010</strong> and higher.</p>\n\
<div class=\'section\'><a id=\"show-end-result-button\"></a><h3 id=\"show-end-result-button\">Show End Result Button</h3></div>\n\
<div class=\'codeBlock\'><pre>enableShowEndRes &lt;boolean&gt;   \n\
</pre></div><p>This method sets the checkbutton/button behavior of the Show End Result icon.</p>\n\
<p>If the boolean parameter is <span class=\'code\'>true</span> , the Show End Result button remains pressed, thus behaving as a checkbutton.</p>\n\
<p>If the boolean parameter is <span class=\'code\'>false</span> , the Show End Result button will return to the off state after being pressed, behaving as a button.</p>\n\
<p>This method must be used in <span class=\'code\'>true</span> / <span class=\'code\'>false</span> pairs, as its effect is &quot;sticky&quot; when selecting other objects or modifiers, or when switching away from and back to the Modify panel.</p>\n\
<div class=\'codeBlock\'><pre>showEndResult \n\
</pre></div><p>A <strong>3ds Max</strong> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>system global variable</a> that lets you get and set the state of the Show End Result Toggle icon in the Modify panel. It contains a Boolean value of <span class=\'code\'>true</span> if Show End Result is on, and <span class=\'code\'>false</span> if it is off.</p>\n\
<div class=\'section\'><a id=\"sub-object-selection\"></a><h3 id=\"sub-object-selection\">Sub-Object Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>enableSubObjSel &lt;boolean&gt; \n\
</pre></div><p>If the boolean parameter is <span class=\'code\'>true</span> , allows the user to enter Sub-Object mode for those objects/modifiers that have Sub-Object modes defined. If <span class=\'code\'>false</span> , the Sub-Object button is disabled. This method must be used in <span class=\'code\'>true</span> / <span class=\'code\'>false</span> pairs, as its effect is &quot;sticky&quot; when selecting other objects or modifiers, or when switching away from and back to the Modify panel.</p>\n\
<div class=\'codeBlock\'><pre>IsSubSelEnabled() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the user is allowed to enter Sub-Object mode, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>numSubObjectLevels \n\
</pre></div><p>A read-only <strong>3ds Max</strong> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>system global variable</a> that lets you get the number of sub-object levels supported by the object or modifier currently selected in the modifier stack.</p>\n\
<p>If the Modify panel is not open or no objects are selected, the global variable contains the value <span class=\'code\'>undefined</span> .</p>\n\
<div class=\'codeBlock\'><pre>subObjectLevel \n\
</pre></div><p>A <strong>3ds Max</strong> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>system global variable</a> that lets you get and set the sub-object level in the Modify panel if it is open.</p>\n\
<p>The value is an Integer of zero or greater up to the number of sub-object levels supported by the currently open modifier, typically in the order shown in the Sub-Object drop-down list.</p>\n\
<p>A <span class=\'code\'>subObjectLevel</span> of 0 means sub-object mode is off.</p>\n\
<p>If the Modify panel is not open or sub-object level setting not permitted in the current modifier, the global variable contains the value <span class=\'code\'>undefined</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` b=box() -- create a box em=edit_mesh() -- create an Edit Mesh modifier addModifier $box001 em -- add edit mesh mod print subObjectLevel -- print the current subobject level max modify mode -- open mod panel select $box001 -- select object box001 print subObjectLevel -- print the current subobject level subObjectLevel = 2 -- set sub-object level to Edge</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT</strong></p>\n\
<p>``` $Box:Box001 @ [0.000000,0.000000,0.000000] Edit_Mesh:Edit Mesh OK undefined undefined OK OK 0 0 2</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>The following methods can also be used to get and set the sub-object level:</strong></p>\n\
<div class=\'codeBlock\'><pre>getSelectionLevel &lt;maxobject&gt; \n\
</pre></div><p>Get the subObject level of MAXObject. If MAXObject is a node, this method operates on the base object. This method is applicable to base editables, and select and edit modifiers.</p>\n\
<p>Note: This method does <strong>not</strong> work with the SplineSelect and PatchSelect modifiers.</p>\n\
<div class=\'codeBlock\'><pre>setSelectionLevel &lt;maxobject&gt; {#object | #vertex | #edge | #face} \n\
</pre></div><p>Set the subObject level of MAXObject. If MAXObject is a node, this method operates on the base object. This method is applicable to base editables and select and edit modifiers.</p>\n\
<p>Note: This method does <strong>not</strong> work with the SplineSelect and PatchSelect modifiers.</p>\n\
<div class=\'section\'><a id=\"add-modifier-to-selection\"></a><h3 id=\"add-modifier-to-selection\">Add Modifier To Selection</h3></div>\n\
<div class=\'codeBlock\'><pre>modPanel.addModToSelection &lt;modifier&gt; \n\
</pre></div><p>Applies a modifier to the current selection opened in the Modify panel.</p>\n\
<p>It must be used in place of <span class=\'code\'>addModifier()</span> in places where the target is a selection or group or where you have the stack open at a particular place in the Modify panel with a sub-object selection active and you want the modifier applied to that selection.</p>\n\
<p><span class=\'code\'>addModifier()</span> adds the modifier separately to each object in the selection or group and does not honor the current active sub-object selection in all cases. See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Common-Properties-Operators/Node-Common-Methods/Modifier-Stack-Related-Methods.html\' title=\'\'>Node Common Properties - Modifier Stack Related Methods</a> for more.</p>\n\
<p>The Modify panel must be open on the selection you want to apply the modifier to, otherwise the function does nothing.</p>\n\
<div class=\'section\'><a id=\"accessing-modifier-panel-objects\"></a><h3 id=\"accessing-modifier-panel-objects\">Accessing Modifier Panel Objects</h3></div>\n\
<div class=\'codeBlock\'><pre>modPanel.getCurrentObject() \n\
</pre></div><p>Returns the modifier or base object currently selected in the Modify panel stack.</p>\n\
<p>If the Modify panel is not open, this function returns <span class=\'code\'>undefined</span> . Use the <span class=\'code\'>max modify mode</span> command to switch to the Modify panel.</p>\n\
<div class=\'codeBlock\'><pre>modPanel.setCurrentObject &lt; modifier | node | node_baseobject &gt; [node:&lt;node&gt;] [ui:&lt;boolean&gt;] \n\
</pre></div><p>Sets the specified object to be the active object in the modifier stack. The Modify panel must be open, otherwise the function does nothing.</p>\n\
<p>If <span class=\'code\'>node</span> : is specified, the modifier or base object will be searched only in the specified node. This is typically specified when you know what node to look in, and the modifier or base object is instanced in another node. If the argument is a node, the node keyword argument defaults to that node.</p>\n\
<p>If <span class=\'code\'>ui</span> : is set to <span class=\'code\'>true</span> , the Command Panel will be switched to Modify mode. The default is <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>modPanel.getModifierIndex &lt;node&gt; &lt;modifier&gt; \n\
</pre></div><p>Returns the index of the given modifier in the modifier stack for the given node.</p>\n\
<p>This index corresponds to the modifiers position in the <span class=\'code\'>&lt;node&gt;.modifiers</span> array.</p>\n\
<p>This function returns <span class=\'code\'>undefined</span> if the given modifier is not in the node&#39;s modifier stack.</p>\n\
<div class=\'codeBlock\'><pre>modPanel.validModifier (&lt; modifier &gt; | &lt; modifier_class &gt;). \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if Modify panel is open, one or more nodes are selected, and the specified modifier is applicable to all the nodes at their current edit level in the stack.</p>\n\
<p>In <strong>3ds Max 6 and higher</strong>, the <span class=\'code\'>modPanel.validModifier</span> method will return <span class=\'code\'>false</span> if either the node/node collection or modifier/modifier class is &#39;undefined&#39;, or the node collection is empty.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` modPanel.addModToSelection (bend()) -- apply bend modifier to current selection modPanel.getModifierIndex $ foo -- returns index of modifier foo modPanel.setCurrentObject $ -- open on base object modPanel.setCurrentObject $.baseObject -- same as above modPanel.setCurrentObject $.taper -- open on taper modifier in object modPanel.setCurrentObject $.modifiers[3] -- open on 3rd modifier modPanel.setCurrentObject foo -- open on foo object or modifier</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";