var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>CUI Struct - UI Customization</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>CUI Struct - UI Customization</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"cui-struct---ui-customization\"></a></div>\n\
<p>The CUI Struct provides methods and <strong>3ds Max</strong> system globals related to the loading and saving of custom user interface files and the management of custom user interface components and modes.</p>\n\
<p>The following methods provide access to Custom User Interface (CUI) files:</p>\n\
<div class=\'codeBlock\'><pre>cui.getDir()     \n\
</pre></div><p>Returns the directory of the currently active CUI file as a string.</p>\n\
<div class=\'codeBlock\'><pre>cui.getConfigFile()   \n\
</pre></div><p>Returns the currently active CUI file name as a string.</p>\n\
<div class=\'codeBlock\'><pre>cui.setConfigFile &lt;filename_string&gt; \n\
</pre></div><p>Sets the currently active CUI file to the specified file name.</p>\n\
<div class=\'codeBlock\'><pre>cui.saveConfig() \n\
</pre></div><p>Saves the current CUI configuration data to the active .cui file</p>\n\
<div class=\'codeBlock\'><pre>cui.saveConfigAs &lt;filename_string&gt; \n\
</pre></div><p>Saves current CUI configuration data to the specified file. The specified file is made the current CUI file.</p>\n\
<div class=\'codeBlock\'><pre>cui.loadConfig &lt;filename_string&gt; \n\
</pre></div><p>Loads the CUI configuration data from supplied file. The specified file is made the current CUI file.</p>\n\
<p>Note: The Customize/Load Custom UI Scheme menu item is implemented as a macroScript. This macroScript is called <strong>macro_uischeme.mcr</strong> in the <strong>\\ui\\macroscripts</strong> directory, <span class=\'code\'>cui.loadConfig</span> is only part of what needs to be done to switch over to a new UI scheme. The aforementioned macroScript will guide you through the other actions that also need to be performed.</p>\n\
<div class=\'codeBlock\'><pre>cui.RegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; [minSize:&lt;Point2&gt;] [maxSize:&lt;Point2&gt;] [style:&lt;Array&gt;] \n\
</pre></div><p>This method registers a MAXScript window as a dockable CUI window in MAX.</p>\n\
<div class=\'codeBlock\'><pre>cui.UnRegisterDialogBar &lt;RolloutFloater_or_Rollout&gt; \n\
</pre></div><p>This method un-registers a dockable MAXScript window.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/cui-RegisterDialogBar-and-cui.html\' title=\'\'>cui.RegisterDialogBar and cui.UnRegisterDialogBar</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>cui.DockDialogBar &lt;RolloutFloater_or_Rollout&gt; &lt;dockflag&gt; \n\
</pre></div><p>This method docks a registered dialog bar to the specified docking area.</p>\n\
<div class=\'codeBlock\'><pre>cui.FloatDialogBar &lt;RolloutFloater_or_Rollout&gt; \n\
</pre></div><p>This method will float a registered dialog bar.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/cui-DockDialogBar-and-cui.html\' title=\'\'>cui.DockDialogBar and cui.FloatDialogBar</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>cui.getDockState &lt;RolloutFloater_or_Rollout&gt; \n\
</pre></div><p>This method returns the current dock state of the registered dialog bar.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Dialogs/cui-getDockState.html\' title=\'\'>cui.getDockState</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>cui.commandPanelOpen : Booleans \n\
</pre></div><p>This <strong>3ds Max</strong> system global variable lets you get and set whether the command panel is displayed or not.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Command-Panels-1.html\' title=\'\'>Command Panels</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>cui.showToolbar &lt;string&gt;\n\
</pre></div><p>Displays the Toolbar specified by name.</p>\n\
<p>Returns True on success, False if the toolbar name does not exist.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p><span class=\'code\'>cui.showToolbar &quot;Brush Presets&quot;</span></p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>cui.expertModeOn()\n\
</pre></div><p>Turns expert mode on.</p>\n\
<div class=\'codeBlock\'><pre>cui.expertModeOff() \n\
</pre></div><p>Turns expert mode off.</p>\n\
<div class=\'codeBlock\'><pre>cui.getExpertMode() \n\
</pre></div><p>Returns True of expert mode is on, False if it is off.</p>\n\
<div class=\'codeBlock\'><pre>cui.setAppTitle &lt;string&gt; \n\
</pre></div><p>This method sets the title bar of the main <strong>3ds Max</strong> window to the specified string.</p>\n\
<p>Note:</p>\n\
<p>The title string will be automatically reset to default on file operations like Reset, New, Open etc.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";