var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Environment And Effects Dialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Environment And Effects Dialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"environment-and-effects-dialog\"></a></div>\n\
<p>The following <strong>3ds Max</strong> system global variables and methods give you access to the global rendering environment:</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7E74899F-7B97-435C-BF52-955D15D57253-low.gif\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"background-group-of-controls\"></a><h3 id=\"background-group-of-controls\">Background Group Of Controls</h3></div>\n\
<p><strong>System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>backgroundColor \n\
</pre></div><p>Lets you get and set a Color value that defines the global rendering environment (Rendering\\Environment) background color.</p>\n\
<div class=\'codeBlock\'><pre>backgroundColorController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) background color controller.</p>\n\
<div class=\'codeBlock\'><pre>environmentMap \n\
</pre></div><p>Lets you get and set a TextureMap value that defines the global rendering environment (Rendering\\Environment) environment map.</p>\n\
<div class=\'codeBlock\'><pre>useEnvironmentMap \n\
</pre></div><p>Lets you get and set the global rendering environment (Rendering\\Environment) Use Map value. A Boolean value - <span class=\'code\'>true</span> if Use Map is on, <span class=\'code\'>false</span> if off.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>setBackGround [&lt;time&gt;] ( &lt;point3&gt; | &lt;color&gt; ) \n\
</pre></div><p>Lets you set a Point3 or Color value that defines the global rendering environment (Rendering &gt; Environment) background color at the specified time. Each component of the Point3 value is in the range of 0 to 255. If the time value is not specified, the current MAXScript time is used.</p>\n\
<div class=\'codeBlock\'><pre>getBackGround [&lt;time&gt;] \n\
</pre></div><p>Get method that parallels setBackGround method. If the time value is not specified, the current MAXScript time is used.</p>\n\
<div class=\'codeBlock\'><pre>setBackGroundController ( &lt;color_controller&gt; | &lt;point3_controller&gt; ) \n\
</pre></div><p>Assigns the specified controller as the global rendering environment background color controller.</p>\n\
<div class=\'codeBlock\'><pre>getBackGroundController() \n\
</pre></div><p>Returns the global rendering environment background color controller.</p>\n\
<div class=\'codeBlock\'><pre>getUseEnvironmentMap() \n\
</pre></div><p>Lets you get the global rendering environment map.</p>\n\
<div class=\'codeBlock\'><pre>setUseEnvironmentMap &lt;boolean&gt; \n\
</pre></div><p>Lets you set the Use global rendering environment map option.</p>\n\
<p>If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> the Use Map option will be turned on.</p>\n\
<p>If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>false</span> the Use Map option will be turned off.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` ambientColor = color 10 10 25</p>\n\
<p>```</p>\n\
<p>``` environmentMap = bitmapTexture filename:&quot;foo.bmp&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"global-lighting-group-of-controls\"></a><h3 id=\"global-lighting-group-of-controls\">Global Lighting Group Of Controls</h3></div>\n\
<p><strong>System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>lightTintColor \n\
</pre></div><p>Lets you get and set a Color value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint color.</p>\n\
<div class=\'codeBlock\'><pre>lightTintColorController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint color controller.</p>\n\
<div class=\'codeBlock\'><pre>lightLevel \n\
</pre></div><p>Lets you get and set a Float value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint Level.</p>\n\
<div class=\'codeBlock\'><pre>lightLevelController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) Global Lighting Tint Level controller.</p>\n\
<div class=\'codeBlock\'><pre>ambientColor \n\
</pre></div><p>Lets you get and set a Color value that defines the global rendering environment (Rendering\\Environment) ambient lighting color.</p>\n\
<div class=\'codeBlock\'><pre>ambientColorController \n\
</pre></div><p>Lets you get and set a Controller value that defines the global rendering environment (Rendering\\Environment) ambient lighting color controller.</p>\n\
<div class=\'section\'><a id=\"atmosphere-rollout\"></a><h3 id=\"atmosphere-rollout\">Atmosphere Rollout</h3></div>\n\
<p><strong>System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>numAtmospherics \n\
</pre></div><p>This 3ds Max System Global Variable contains the number of Atmospheric Effects added to the Effects list in the Environment Dialog. This variable is read-only.</p>\n\
<p><strong>Methods:</strong></p>\n\
<p>You can use the following functions for maintaining the list of atmospherics in the global rendering environment:</p>\n\
<div class=\'codeBlock\'><pre>addAtmospheric &lt;atmos&gt; \n\
</pre></div><p>Appends the atmospheric to the Atmospheric Effects list</p>\n\
<div class=\'codeBlock\'><pre>getAtmospheric &lt;index_integer&gt; \n\
</pre></div><p>Retrieves the atmospheric at the indexed position in the Atmospheric Effects list. Index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>setAtmospheric &lt;index_integer&gt; &lt;atmos&gt; \n\
</pre></div><p>Sets the atmospheric at the indexed position in the Atmospheric Effects list to the specified atmospheric. If the Atmospheric Effects dialog is displayed when this method is called, the displayed Atmospheric Effects list is not updated.</p>\n\
<div class=\'codeBlock\'><pre>deleteAtmospheric &lt;index_integer&gt; \n\
</pre></div><p>Deletes the atmospheric at the indexed position in the Atmospheric Effects list. Index is 1-based.</p>\n\
<div class=\'codeBlock\'><pre>editAtmosphere &lt;atmos&gt; &lt;node&gt; \n\
</pre></div><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric’s gizmo list.</p>\n\
<div class=\'codeBlock\'><pre>editAtmospheric &lt;atmos&gt; [ gizmo: &lt;node&gt; ] \n\
</pre></div><p>Opens the Environment dialog, and opens the rollout for the specified atmospheric if it has been added to the Atmospheric Effects list. If the optional <strong>gizmo:</strong> argument is specified, and the specified node is a gizmo for the atmospheric, that gizmo is selected in the atmospheric’s gizmo list.</p>\n\
<p>In <strong>3ds Max 6 and higher,</strong> Calling <span class=\'code\'>editAtmosphere()</span> or <span class=\'code\'>editAtmospheric()</span> without an argument will open the Environment dialog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";