var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FBX Export Dialog Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FBX Export Dialog Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"fbx-export-dialog-access\"></a></div>\n\
<p>The <strong>FbxExporterSetParam</strong> function provides access to the FBX Exporter dialog options.</p>\n\
<p>For further details on the various options, please see the following topic in the <strong>3ds Max Help:</strong></p>\n\
<p><strong><em>Managing Scenes and Projects &gt; Geometry File Formats &gt; FBX Files: Data Sharing with Maya, MotionBuilder, Revit, Softimage, and Toxik/Composite &gt; Scripting for the 3ds Max FBX plug-in</em></strong></p>\n\
<p>Note: The FBX Export Plugin must be loaded in memory in order to set its properties. If it is not in memory, it can be loaded using <span class=\'code\'>pluginManager.loadClass FbxExporter</span></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;OpenFbxSetting()\n\
</pre></div><p>Opens the modal &quot;FBX Export&quot; settings dialog. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<p>Returns True if the user closed the dialog by pressing the OK button.</p>\n\
<p>Returns False if the user closed the dialog by pressing the Cancel button, or via the window’s [X] icon.</p>\n\
<div class=\'codeBlock\'><pre>&lt;Value&gt;FbxExporterGetParam &lt;String&gt;arg\n\
</pre></div><p>This function expects a string as argument, specifying the option to get .</p>\n\
<p>See the left column of the table below for available option.</p>\n\
<div class=\'codeBlock\'><pre>FbxExporterSetParam &lt;String&gt;arg &lt;Value&gt;val\n\
</pre></div><p>It expects a string as a first argument specifying the option to affect, with the second argument being the new value as described below:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Arg String</th>\n\
<th align=\"left\">Value</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Animation&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;ASCII&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;AxisConversionMethod&quot;</td>\n\
<td align=\"left\">&quot;None&quot;, &quot;Animation&quot;, or &quot;Fbx_Root&quot;.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;BakeAnimation&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;BakeFrameStart&quot;</td>\n\
<td align=\"left\">Integer value.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;BakeFrameEnd&quot;</td>\n\
<td align=\"left\">Integer value.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;BakeFrameStep&quot;</td>\n\
<td align=\"left\">Integer value.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;BakeResampleAnimation&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Cameras&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;CAT2HIK&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ColladaTriangulate&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;ColladaSingleMatrix&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ColladaFrameRate&quot;</td>\n\
<td align=\"left\">Float (in frames).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Convert2Tiff&quot;</td>\n\
<td align=\"left\">True or False.This converts non-TIFF-formatted texture images into TIFF format which makes them readable in other applications that do not support other image types.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ConvertUnit&quot;</td>\n\
<td align=\"left\">&quot;mm&quot; or &quot;cm&quot; or &quot;dm&quot; or &quot;m&quot; or &quot;km&quot; or &quot;in&quot; or &quot;ft&quot; or &quot;mi&quot; or &quot;yd&quot;.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;EmbedTextures&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ExportAnimationOnly&quot;</td>\n\
<td align=\"left\">True or False. This parameter is exposed only in MAXScript, it does not appear on the UI.Available in 3ds Max 2019.1 Update and higher.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;FileVersion&quot;</td>\n\
<td align=\"left\">&quot;FBX201300&quot; or &quot;FBX201200&quot; or FBX201100&quot; or &quot;FBX201000&quot; or &quot;FBX200900&quot; or &quot;FBX200611&quot;.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;FilterKeyReducer&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;GeomAsBone&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;GenerateLog&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Lights&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;LoadExportPresetFile&quot;</td>\n\
<td align=\"left\">The file name of the preset file.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;NormalsPerPoly&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;PointCache&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;PopSettings&quot;</td>\n\
<td align=\"left\">This setting preserves the current state of the settings when you perform a One-Click operation.FBXExporterSetParam &quot;PopSettings&quot; loads all I / OSettings.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Preserveinstances&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;PushSettings&quot;</td>\n\
<td align=\"left\">This setting preserves the current state of the settings when you perform a One-Click operation.FBXExporterSetParam &quot;PushSettings&quot; saves all I / OSettings.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Removesinglekeys&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Resampling&quot;</td>\n\
<td align=\"left\">Float.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ResetExport&quot;</td>\n\
<td align=\"left\">Loads the Autodesk Media &amp; Entertainment export preset.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;ScaleFactor&quot;</td>\n\
<td align=\"left\">Float.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;SelectionSet&quot;</td>\n\
<td align=\"left\">Name of the selection set to use.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;SelectionSetExport&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Shape&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Skin&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ShowWarnings&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;SmoothingGroups&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;SmoothMeshExport&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;SplitAnimationIntoTakes&quot;</td>\n\
<td align=\"left\">&quot;takename&quot; which is the name of the take to use, followed by &quot;frameStart&quot;, &quot;frameEnd&quot; to define the interval.Use &quot;-c</td>\n\
<td align=\"left\">-clear&quot; to clear the accumulator.Note: Take001 exists regardless of how many splits are defined. Do not set a &quot;frameEnd&quot; &lt; &quot;frameStart&quot;. If &quot;frameStart&quot; and &quot;frameEnd&quot; do not define an interval with keys the split function will not validate it. If no animation keys are in the range, a take is created with no keys.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;TangentSpaceExport&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Triangulate&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;UpAxis&quot;</td>\n\
<td align=\"left\">&quot;Y&quot; or &quot;Z&quot;.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;UseSceneName&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` testObj = teapot() -- fbxexp examples select testObj -- save in text format: FBXExporterSetParam &quot;ASCII&quot; true --to prevent the export of the cameras: FBXExporterSetParam &quot;Cameras&quot; False exportFile @&quot;c:\\test.fbx&quot; #noPrompt selectedOnly:true using:FBXEXP</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";