var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>FBX Import Dialog Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>FBX Import Dialog Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"fbx-import-dialog-access\"></a></div>\n\
<p>The following functions provide access to the FBX Importer dialog options.</p>\n\
<p>For further details on the various options, please see the following topic in the <strong>3ds Max Help:</strong></p>\n\
<p><strong><em>Managing Scenes and Projects &gt; Geometry File Formats &gt; FBX Files: Data Sharing with Maya, MotionBuilder, Revit, Softimage, and Toxik/Composite &gt; Scripting for the 3ds Max FBX plug-in</em></strong></p>\n\
<p>Note: The <strong>FBX Importer</strong> Plugin <strong>must be loaded in memory</strong> in order to get and set its properties. If it is not in memory, it can be loaded using <span class=\'code\'>pluginManager.loadClass FbxImporter</span></p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;Value&gt;FbxImporterGetParam &lt;String&gt;arg\n\
</pre></div><p>This function expects a string as argument, specifying the option to get .</p>\n\
<p>See the left column of the table below for available option.</p>\n\
<div class=\'codeBlock\'><pre>FbxImporterSetParam &lt;String&gt;arg &lt;Value&gt;val\n\
</pre></div><p>This function expects a string as a first argument specifying the option to affect, with the second argument being the new value as described below:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Arg String</th>\n\
<th align=\"left\">Value</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Animation&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;AxisConversion&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;BakeAnimationLayers&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Cameras&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ConvertUnit&quot;</td>\n\
<td align=\"left\">&quot;mm&quot; or &quot;cm&quot; or &quot;dm&quot; or &quot;m&quot; or &quot;km&quot; or &quot;in&quot; or &quot;ft&quot; or &quot;yd&quot;.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;FillTimeline&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;FilterKeyReducer&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;FilterKeySync&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;GenerateLog&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;ImportBoneAsDummy&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;KeepFrameRate&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Lights&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;LoadImportPresetFile&quot;</td>\n\
<td align=\"left\">The location of the preset file as String.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Markers&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Mode&quot;</td>\n\
<td align=\"left\">#create (Add to new scene) #exmerge (Exclusive Merge - Add and Update Animation) #merge (Merge, Update animation).</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;PopSettings&quot;</td>\n\
<td align=\"left\">This setting preserves the current state of the settings when you perform a One-Click operation.This setting loads all settings saved by FBXImporterSetParam &quot;PushSettings&quot; (see below).</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;PushSettings&quot;</td>\n\
<td align=\"left\">This setting preserves the current state of the settings when you perform a One-Click operation.This setting saves all I/O settings</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;PointCache&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;PostSamplingKeyReducer&quot;</td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-s-New-in-MAXScript-in-3ds.html\' title=\'\'>NEW</a> <strong>in 3ds Max 2021.1 Update:</strong> This setting controls the animation key reducing function. By default this setting is true. The importer can create a lot of new keys, and then attempts to reduce this number after the conversion. It makes no distinction between keys that existed in the original file and new ones created by re-sampling. Therefore, the post conversion reduction can in some situations result in the loss of information, especially with subtle animations.Setting this option to False turns off the post-sampling key reducer, preserving all position, rotation and scaling animation keys. This will preserve keys that were present in the original file as well as new ones that are created by the importer during re-sampling.True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Resampling&quot;</td>\n\
<td align=\"left\">Float.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ResetImport&quot;</td>\n\
<td align=\"left\">Restores factory defaults. If ResetImport is called without argument for: <strong>3DS Max</strong>: Loads the Autodesk Media &amp; Entertainment import preset. <strong>3DS Design</strong>: Loads the Autodesk Architectural (Revit) import presetUsing the <strong>file name only</strong> as the argument: If we pass &quot;Autodesk Media &amp; Entertainment.fbximportpreset&quot; or &quot;Autodesk Architectural (Revit) .fbximportpreset&quot;, it searches the factory preset directory to load the preset file.Use this command to load a factory preset without knowing the directory.Note: This command is used by the OneClick functionality.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;ScaleConversion&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;ScaleFactor&quot;</td>\n\
<td align=\"left\">Float.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;Shape&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;Skin&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;SmoothingGroups&quot;</td>\n\
<td align=\"left\">True or False.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;TakeCount&quot;</td>\n\
<td align=\"left\">This parameter is only available for the &quot;get&quot; function.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\">&quot;TakeIndex&quot;</td>\n\
<td align=\"left\">An integer number from 1 to the number of takes in the FBX file. This parameter is only available for setting. When you specify the take, use 0 to indicate no animation. (This is the default value of this property.) Use 1 to specify the first take in the FBX file, 2 to indicate the second take, and so on.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\">&quot;UpAxis&quot;</td>\n\
<td align=\"left\">&quot;Y&quot; or &quot;Z&quot;.</td>\n\
</tr>\n\
</table>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --To import an fbx file using the &#39;Add to new scene&#39; mode, --the skin modifier but preventing the loading of animation: FBXImporterSetParam &quot;Mode&quot; #create FBXImporterSetParam &quot;Skin&quot; true FBXImporterSetParam &quot;Animation&quot; false</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";