var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Selection Filter</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Selection Filter</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"selection-filter\"></a></div>\n\
<p>The Selection Filter list lets you restrict the selection done by the selection tools to specific types and combinations of objects. For example, if Cameras is selected, you can select only cameras with the selection tools. Other objects cannot be selected interactively with the mouse in the viewport. Although, they can be selected using the Select By Name, Selection Sets, or MAXScript select methods.</p>\n\
<div class=\'section\'><a id=\"selection-filter-methods\"></a><h3 id=\"selection-filter-methods\">Selection Filter Methods:</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;int&gt;GetSelectFilter \n\
</pre></div><p>Returns the index of the current selection select filter in the selection filter list. For example, by default 1 means All, 4 means Lights, 8 means Bones, and so on.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetSelectFilter &lt;int_index&gt;    \n\
</pre></div><p>Set the current select filter by index.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` setSelectFiler 5 --set selection filter to Cameras</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;int&gt;GetNumberSelectFilters \n\
</pre></div><p>Returns the number of selection filters in the drop down.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;GetSelectFilterName &lt;int_index&gt; \n\
</pre></div><p>Returns the name of the indexed selection filter.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` for i = 1 to GetNumberSelectFilters() do --go through all format &quot;%: %\\n&quot;i (GetSelectFilterName i) --print index and name --result: --&gt;1: All --&gt;2: Geometry --&gt;3: Shapes --&gt;4: Lights --&gt;5: Cameras --&gt;6: Helpers --&gt;7: Warps --&gt;8: Bone --&gt;9: IK Chain Object --&gt;10: Point --&gt;11: CAT Bone --&gt;OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"display-filter-methods\"></a><h3 id=\"display-filter-methods\">Display Filter Methods:</h3></div>\n\
<div class=\'codeBlock\'><pre>registerDisplayFilterCallback &lt;filterFunction&gt; &lt;filter_name&gt;\n\
unregisterDisplayFilterCallback ( &lt;filterFunction | undefined )\n\
</pre></div><p>Registers or unregisters a display filter callback.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetDisplayFilter &lt;int_index&gt; \n\
</pre></div><p>Returns true if the indexed display filter is enabled, false otherwise.</p>\n\
<p>Note: Unlike, the Selection filers that can be enabled only one at a time, any number of Display filters can be activated at the same time.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;SetDisplayFilter &lt;int_index&gt; &lt;bool_on&gt; \n\
</pre></div><p>Sets the enabled state of the indexed display filter to the supplied Boolean value.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` setDisplayFiler 3 --set display filter to Point</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>&lt;int&gt;GetNumberDisplayFilters \n\
</pre></div><p>Returns the number of display filters in the display panel&#39;s list box.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;GetDisplayFilterName &lt;int_index&gt; \n\
</pre></div><p>Returns the name of the indexed display filter.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` for i = 1 to GetNumberDisplayFilters() do --go through all format &quot;%: %\\n&quot;i (GetDisplayFilterName i) --print index and name --result: --&gt;1: Bone --&gt;2: IK Chain Object --&gt;3: Point --&gt;4: CAT Bone --&gt;OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";