var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>xView Geometry Checker Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>xView Geometry Checker Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"xview-geometry-checker-access\"></a></div>\n\
<p>The <strong>xView Geometry Checker</strong> feature introduced in <strong>3ds Max 2010</strong> provides means to interactively check geometry objects in the viewport for various error conditions.</p>\n\
<p>MAXScript can be used to</p>\n\
<ul>\n\
<li><p><strong>Control the settings</strong> of the xView system.</p></li>\n\
<li><p><strong>Call the xView Checkers</strong> to acquire their results from inside MAXScript code without using the xView System User Interface</p></li>\n\
<li><p><strong>Create completely new custom xView Checkers</strong> to test various aspects of selected geometry objects.</p></li>\n\
</ul>\n\
<p>The following Interfaces expose the components of the xView Checker feature to MAXScript:</p>\n\
<div class=\'section\'><a id=\"xview-geometry-checker-control\"></a><h3 id=\"xview-geometry-checker-control\">xView Geometry Checker Control</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\' title=\'\'>Interface: xViewChecker</a></p>\n\
<p>This interface provides properties and methods to control the xView Geometry Checker system and to register additional Checkers using MAXScript functions.</p>\n\
<div class=\'section\'><a id=\"xview-geometry-checker-modules\"></a><h3 id=\"xview-geometry-checker-modules\">xView Geometry Checker Modules</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FacesOrientation.html\' title=\'\'>Interface: FacesOrientation</a></p>\n\
<p>Checks for flipped faces, shows the backfacing faces in a different color.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlippedUVWFaces.html\' title=\'\'>Interface: FlippedUVWFaces</a></p>\n\
<p>Checks for flipped texture faces</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolatedVertices.html\' title=\'\'>Interface: IsolatedVertices</a></p>\n\
<p>Checks for isolated vertices not used by any faces.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MissingUVCoordinates.html\' title=\'\'>Interface: MissingUVCoordinates</a></p>\n\
<p>Checks for missing texture coordinates.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MultipleEdges.html\' title=\'\'>Interface: MultipleEdges</a></p>\n\
<p>Checks for multiple edges.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OpenEdges.html\' title=\'\'>Interface: OpenEdges</a></p>\n\
<p>Checks for open edges referencing only one polygon.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappedUVWFaces.html\' title=\'\'>Interface: OverlappedUVWFaces</a></p>\n\
<p>Checks for overlapping texture faces.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingFaces.html\' title=\'\'>Interface: OverlappingFaces</a></p>\n\
<p>Checks for overlapping faces which typically cause Z-fighting in viewport and rendering.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingVertices.html\' title=\'\'>Interface: OverlappingVertices</a></p>\n\
<p>Checks for overlapping (not welded) vertices within a given tolerance.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-TVerts.html\' title=\'\'>Interface: TVerts</a></p>\n\
<p>Checks for T-Vertices (vertices sharing three edges)</p>\n\
<div class=\'section\'><a id=\"developing-custom-xview-checkers-using-maxscript\"></a><h3 id=\"developing-custom-xview-checkers-using-maxscript\">Developing Custom xView Checkers using MAXScript</h3></div>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\' title=\'\'>How To ... Develop A Face Area XViewChecker - Part 1</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\' title=\'\'>How To ... Develop A Face Area XViewChecker - Part 2</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\' title=\'\'>How To ... Develop A Face Area XViewChecker - Part 3</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\' title=\'\'>How To ... Develop A Face Area XViewChecker - Part 4</a></p>\n\
<p>These tutorials show the creation of custom XView Checkers using MAXScript functions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";