var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Keyboard Entry</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Keyboard Entry</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"keyboard-entry\"></a></div>\n\
<p>The following are keyboard input functions for performing simple interactive tasks directly in the Listener or Mini Listener.</p>\n\
<p>All keyboard input functions take input from Mini Listener if Listener is closed, but if it is open, input will always be taken from Listener.</p>\n\
<div class=\'codeBlock\'><pre>getKBValue [ prompt:&lt;string&gt; ]\n\
</pre></div><p>The <strong><span class=\'code\'>getKBValue()</span></strong> function lets the user enter a MAXScript value into the Listener.</p>\n\
<p>The optional <strong><span class=\'code\'>prompt:</span></strong> keyword argument takes a string that is displayed in the Listener as a prompt message.</p>\n\
<p>Any valid MAXScript expression can be entered into the Listener and is evaluated to become the result of the <strong><span class=\'code\'>getKBValue()</span></strong> function.</p>\n\
<p>Expressions include the literals for integer, float, string, name, array, point2, point3, and scene object pathnames, or they can be expressions involving math operations and functions, script supplied functions, global variables, etc.</p>\n\
<p>You can test the type of value returned using MAXScript&#39;s <strong><span class=\'code\'>classOf</span></strong> function.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` v = getKBValue prompt:&quot;Enter object count:&quot; if classOf v != integer do print &quot;Value entered must be an integer&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The user can abort the entry by pressing the <strong>Esc</strong> key in which case the function returns the special value <strong><span class=\'code\'>#escape</span></strong> .</p>\n\
<div class=\'codeBlock\'><pre>getKBLine [prompt:&lt;string&gt;]\n\
getKBChar [prompt:&lt;string&gt;]\n\
</pre></div><p>These functions let the user type characters into the Listener that are returned as a MAXScript string.</p>\n\
<p><strong><span class=\'code\'>getKBLine()</span> returns all the characters up until the user presses </strong>ENTER** , <span class=\'code\'>getKBChar()</span>** returns each character immediately as it is entered.</p>\n\
<p>The user can abort the entry by pressing the <strong>Esc</strong> key in which case the function returns the special value <strong><span class=\'code\'>#undefined</span></strong> .</p>\n\
<div class=\'codeBlock\'><pre>getKBPoint [prompt:&lt;string&gt;]\n\
</pre></div><p>This function lets the user type in a 3D point in the syntax supported by the <strong><span class=\'code\'>pickPoint()</span></strong> function.</p>\n\
<p>See the <strong><span class=\'code\'>pickPoint()</span></strong> description above for details about the syntax.</p>\n\
<p>The function interprets the 3D point as relative to the current active grid construction plane and returns a <strong>Point3</strong> in world-coordinates.</p>\n\
<p>The following are <strong>system global variables</strong> related to the keyboard:</p>\n\
<div class=\'codeBlock\'><pre>keyboard.shiftPressed\n\
keyboard.controlPressed\n\
keyboard.altPressed\n\
keyboard.escPressed\n\
</pre></div><p>These variables access the current state of the keyboard shift, control, alt and escape keys and return <strong>true</strong> or <strong>false</strong> depending on the pressed state of the key at the time the variable is read and are <strong>read-only</strong> variables.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";