var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Message and Query Dialogs</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Message and Query Dialogs</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-message-and-query-dialogs\"></a></div>\n\
<p>These functions let you display a message box or yes/no query dialog from within MAXScript.</p>\n\
<div class=\'codeBlock\'><pre>messageBox &lt;message_string&gt; [optional arguments - [see below]](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)\n\
</pre></div><p>Displays a modal message box containing the message string and an <strong>OK</strong> button.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D9C6A564-652C-4E45-AFC9-49ED8E4BA8E9-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>queryBox &lt;message_string&gt; [optional arguments - [see below]](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)\n\
</pre></div><p>Displays a modal message that contains <strong>Yes</strong> and <strong>No</strong> buttons. The <span class=\'code\'>queryBox()</span> function returns <span class=\'code\'>true</span> if the user clicks <strong>Yes</strong> and <span class=\'code\'>false</span> if the user clicks <strong>No</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6FC9B3E5-C2F3-4A2D-A391-D7E9E9E72846-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>yesNoCancelBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)\n\
</pre></div><p>Displays a modal message with <strong>Yes</strong>, <strong>No</strong>, and <strong>Cancel</strong> buttons. The <span class=\'code\'>yesNoCancelBox()</span> function returns <span class=\'code\'>#yes</span>, <span class=\'code\'>#no</span> or <span class=\'code\'>#cancel</span> depending on which button the user selects.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-56E2D545-E2FF-4094-A8F5-13089229C097-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>cancelTryContinueBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)\n\
</pre></div><p>Displays a modal message box with <strong>Cancel</strong>, <strong>Try Again</strong>, and <strong>Continue</strong> buttons. This dialog returns <span class=\'code\'>#cancel</span>, <span class=\'code\'>#tryAgain</span>, or <span class=\'code\'>#continue</span>, depending which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0AA2B9F7-F02A-47D9-AABD-4CEA3E36130B-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>retryIgnoreAbortBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)\n\
</pre></div><p>Displays a modal message box with <strong>Retry</strong>, <strong>Ignore</strong>, and <strong>Abort</strong> buttons. This dialog returns <span class=\'code\'>#retry</span>, <span class=\'code\'>#ignore</span>, or <span class=\'code\'>#abort</span>, depending on which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B87B9CC5-D81C-4312-9CA3-F31D02015C57-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>okCancelBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)\n\
</pre></div><p>Displays a modal message box with <strong>Ok</strong> and <strong>Cancel</strong> buttons. This dialog returns <span class=\'code\'>#ok</span> or <span class=\'code\'>#cancel</span>, depending on which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6B5D013B-FAA5-40E1-8F7E-AE9731A005EF-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>retryCancelBox &lt;message_string&gt; [optional arguments - [see below] ](GUID-7A4AA91A-0DEB-470B-AD6B-2E7A3A105BD0.html)\n\
</pre></div><p>Displays a modal message box with <strong>Retry</strong> and <strong>Cancel</strong> buttons. This dialog returns <span class=\'code\'>#retry</span> or <span class=\'code\'>#cancel</span>, depending on which button the user selects. Available in <strong>3ds Max 2020.1 Update and higher</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-38C26DF1-872F-441B-9B2D-EEFAF95A07F7-low.png\' title=\'\'></div>\n\
<div class=\'section\'><a id=\"common-optional-dialog-box-arguments\"></a><h3 id=\"common-optional-dialog-box-arguments\">Common optional dialog box arguments</h3></div>\n\
<p>All dialog box types support these common optional arguments.</p>\n\
<div class=\'codeBlock\'><pre> [title:&lt;window_title_string&gt;] [beep:&lt;boolean&gt;] \\\n\
   [icon:(#question|#information|#warning|#critical)] [defaultButton:&lt;int&gt;] \\\n\
   [dontShowAgain:&amp;&lt;variable&gt;]  [helpID:&lt;int&gt;] [showHoldButton:&lt;boolean&gt;] \\\n\
   [autoSaveEnabled:&lt;boolean&gt;] [parent:&lt;int_ptr&gt;] [extraFlags:&lt;int&gt;] \n\
</pre></div><p><strong>title</strong>:<span class=\'code\'>&lt;window_title_string&gt;</span> - specifies the dialog window title. The default, if unspecified is &quot;MAXScript&quot;.</p>\n\
<p><strong>beep</strong>:<span class=\'code\'>&lt;boolean&gt;</span> - specifies whether to make a beep sound when displayed, and whether to display an icon. The default is true.</p>\n\
<p>These options are available in <strong>3ds Max 2020.1 Update and higher</strong>:</p>\n\
<p><strong>icon</strong>:(#question|#information|#warning|#critical) - specifies an icon to display to override the default. The default depends on the type of message box being displayed. To show no icon, set <strong>beep</strong> to false.</p>\n\
<p><strong>defaultButton</strong>:<span class=\'code\'>&lt;int&gt;</span> - specifies the index of the default button (the button already selected that will push when the user hits enter). The default is 1.</p>\n\
<p><strong>dontShowAgain</strong>:<span class=\'code\'>&amp;&lt;variable&gt;</span> - supports a &quot;Don&#39;t Show Again&quot; checkbox. The <span class=\'code\'>&lt;variable&gt;</span> passed by reference returns true if the checkbox is checked.</p>\n\
<p><strong>helpID</strong>:<span class=\'code\'>&lt;int&gt;</span> - when specified, adds a Help button to the dialog, and specifies the ID of a help topic to show when the user presses the button. See the <span class=\'code\'>&lt;maxsdk&gt;\\include\\contextids.h</span> for a list of defined help topic IDs. Note that the dialogs do not support pressing F1 to invoke this help ID.</p>\n\
<p><strong>showHoldButton</strong>:<span class=\'code\'>&lt;boolean&gt;</span> - indicates whether to display a &quot;Hold/OK&quot; button. If the user clicks this button, the dialog returns #hold.</p>\n\
<p><strong>autoSaveEnabled</strong>:<span class=\'code\'>&lt;boolean&gt;</span> - specifies whether 3ds Max autosave is enabled while the dialog is displayed. The default is true.</p>\n\
<p><strong>parent</strong>:<span class=\'code\'>&lt;int_ptr&gt;</span> - specifies the parent HWND of the dialog. By default this is the main 3ds Max window.</p>\n\
<p>Note: This option causes slightly different behavior depending on whether the dialog is Qt-based (the default) or Win32-based (see flags below). By default, the parent window and other windows cannot be manipulated. For Win32-based dialogs, only the parent window is &quot;locked&quot;, other windows can be manipulated.</p>\n\
<p><strong>extraFlags</strong>:<span class=\'code\'>&lt;int&gt;</span> - a bit field of flags that can be combined to provide extra functionality. See the <a href=\'https://docs.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-messagebox\' title=\'\' target=\'_blank\'>MSDN MessageBox function documentation</a> for a description of these flag values.</p>\n\
<ul>\n\
<li><p>0x00002000L - MB_TASKMODAL</p></li>\n\
<li><p>0x00001000L - MB_SYSTEMMODAL</p></li>\n\
<li><p>0x00008000L - MB_NOFOCUS</p></li>\n\
<li><p>0x00010000L - MB_SETFOREGROUND</p></li>\n\
<li><p>0x00040000L - MB_TOPMOST</p></li>\n\
<li><p>0x00080000L - MB_RIGHT</p></li>\n\
<li><p>0x00100000L - MB_RTLREADING</p></li>\n\
<li><p>0x10000000L - show dialog using win32 MessageBox()</p></li>\n\
<li><p>0x40000000L - show dialog using MaxMessageBox hwnd parent version</p></li>\n\
</ul>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` messageBox &quot;You shouldn&#39;t have done that&quot; if queryBox &quot;Do you want to continue?&quot; beep:false then...</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>In some cases, MAXScript statements occurring after a statement containing one of the above dialog function calls may be executed before they are supposed to be.</p>\n\
<p>For example, if your execute:</p>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` for _t=0 to 3 do ( messagebox &quot;Press Me&quot; format &quot;_t= %\\n&quot; _t ) print &quot;Should print last&quot;</p>\n\
<p>```</p>\n\
<p><strong>THE LISTENER WILL SHOW:</strong></p>\n\
<p>``` _t= 0 &quot;Should print last&quot; &quot;Should print last&quot; _t= 1 _t= 2 _t= 3</p>\n\
<p>```</p>\n\
<p>The MessageBox will be displayed 4 times, once each time before the value of <span class=\'code\'>_t</span> is printed to Listener!</p>\n\
<p>The reason for this is that Listener is looking for expressions to compile and run in a background thread. In the above example there are 2 expressions - the <span class=\'code\'>for</span> loop expression and the final <span class=\'code\'>print</span> expression. The <span class=\'code\'>messageBox()</span> function goes on waiting for and processing UI events in the main UI thread, but the compiler has already compiled ahead and scheduled the print &quot;Should print last&quot;.</p>\n\
<p>To prevent this out-of-order execution, you need to bracket the script in parenthesis. This will force the sequencing to be correct because the script would now contain a single expression rather than two.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";