var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Macro Scripts</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Macro Scripts</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"macro-scripts\"></a></div>\n\
<p>The Macro Script functions are in a structure package named macros.</p>\n\
<p>These functions allow you to access and run Macro Scripts.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a> for information on creating Macro Scripts.</p>\n\
<p>The Macro Script functions are:</p>\n\
<div class=\'codeBlock\'><pre>macros.load [ &lt;path_name_string&gt; ]   \n\
</pre></div><p>Loads all of the Macro Script definition (.mcr) files in the current UI directory path, or in directory path specified by <span class=\'code\'>&lt;path_name_string&gt;</span> .</p>\n\
<p>You can get the current UI directory path using the function:</p>\n\
<div class=\'codeBlock\'><pre>local ui_dir = cui.getDir()\n\
macros.new &lt;category_string&gt; &lt;name_string&gt; &lt;toolTip_string&gt; &lt;buttonText_string&gt; &lt;body_string&gt;\n\
</pre></div><p>Creates a new Macro Script with the specified name and category.</p>\n\
<p>Returns an Integer Macro Script ID value that uniquely identifies the new Macro Script.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>Defining Macro Scripts</a> for a description of Macro Script definitions.</p>\n\
<div class=\'codeBlock\'><pre>macros.run &lt;category_string&gt; &lt;name_string&gt;   \n\
macros.run &lt;macro_id_integer&gt; \n\
</pre></div><p>Executes the specified Macro Script. The Macro Script is identified by either its category and name, or by its unique Macro Script ID value.</p>\n\
<div class=\'codeBlock\'><pre>macros.edit &lt;category_string&gt; &lt;name_string&gt; macros.edit &lt;macro_id_integer&gt; \n\
</pre></div><p>These methods will open the Macro Script definition (.mcr) file that defines the specified Macro Script in a script Editor window.</p>\n\
<p>The Macro Script is identified by either its category and name, or by its unique Macro Script ID value.</p>\n\
<div class=\'codeBlock\'><pre>macros.list() \n\
</pre></div><p>Lists all installed macro scripts and related data, in this order:</p>\n\
<ul>\n\
<li>ID</li>\n\
<li>name</li>\n\
<li>category</li>\n\
<li>internal category - this is the non-localized (English) category</li>\n\
<li>macro source filename</li>\n\
<li>macro button icon image filename</li>\n\
<li>button icon index</li>\n\
</ul>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` macros.load &quot;f:/gametools/macros&quot; macros.edit &quot;objects&quot; &quot;box&quot; macros.run 132 macros.run &quot;modifiers&quot; &quot;bend&quot;</p>\n\
<p>-- Save all installed macros to a stringStream: myStringStream = stringStream &quot;&quot; macros.list to:myStringStream</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";