var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Main Toolbar</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Main Toolbar</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"main-toolbar\"></a></div>\n\
<p>The following methods are associated with <strong>3ds Max</strong>’s main toolbar:</p>\n\
<p><strong>Methods</strong></p>\n\
<div class=\'codeBlock\'><pre>enableUndo &lt;boolean&gt;     \n\
</pre></div><p>Enables or disables the Undo icon.</p>\n\
<p>In 3ds Max 2010 and higher, the Undo icons are no longer on the Main Toolbar, but are still affected by this method. When the argument is false, the Undo and Redo icons will cause no action if pressed.</p>\n\
<div class=\'codeBlock\'><pre>hitByNameDlg()   \n\
</pre></div><p>Opens the standard <strong>3ds Max</strong> Select By Name dialog allowing users to select objects.</p>\n\
<p>Returns <span class=\'code\'>false</span> if the user cancels out of the Select by Name dialog, <span class=\'code\'>true</span> otherwise.</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Picking-Scene-Nodes/Picking-Scene-Nodes-by-Name.html\' title=\'\'>Picking Scene Nodes by Name</a> for a MAXScript method with more control over the filtering and display of the dialog.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.uniformScale() \n\
</pre></div><p>Set scale mode to Uniform Scale.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.nonUniformScale() \n\
</pre></div><p>Set scale mode to Non-uniform Scale.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.squashScale() \n\
</pre></div><p>Set scale mode to Squash.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.coordsys { &lt;mode_name&gt; | &lt;node&gt; } \n\
</pre></div><p>Sets the Reference Coordinate System.</p>\n\
<p>Providing a node as argument is equivalent to using the &quot;Pick&quot; option of the drop-down list in the UI.</p>\n\
<p>Valid <span class=\'code\'>&lt;mode_name&gt;</span> values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Notes</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#view</span></td>\n\
<td align=\"left\">View Reference Coordinate System</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#screen</span></td>\n\
<td align=\"left\">Screen Reference Coordinate System</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#world</span></td>\n\
<td align=\"left\">World Reference Coordinate System</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#parent</span></td>\n\
<td align=\"left\">Parent Reference Coordinate System</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#gimbal</span></td>\n\
<td align=\"left\">Gimbal Reference Coordinate System</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#local</span></td>\n\
<td align=\"left\">Local Reference Coordinate System</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#grid</span></td>\n\
<td align=\"left\">Grid Reference Coordinate System</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#working_pivot</span></td>\n\
<td align=\"left\">Working Pivot Reference Coordinate System</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>getRefCoordSys() setRefCoordSys &lt;mode_name&gt; \n\
</pre></div><p>Get and set the Reference Coordinate System.</p>\n\
<p>Valid <span class=\'code\'>&lt;mode_name&gt;</span> values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Notes</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#hybrid</span></td>\n\
<td align=\"left\">View</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#screen</span></td>\n\
<td align=\"left\">Screen</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#world</span></td>\n\
<td align=\"left\">World</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#parent</span></td>\n\
<td align=\"left\">Parent</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#local</span></td>\n\
<td align=\"left\">Local</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#object</span></td>\n\
<td align=\"left\">Pick object or Grid - not valid for setRefCoordSys()</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>enableRefCoordSys &lt;boolean&gt; \n\
</pre></div><p>Enables or disables the Reference Coordinate System drop-down list.</p>\n\
<div class=\'codeBlock\'><pre>getCoordCenter() setCoordCenter &lt;name&gt; \n\
</pre></div><p>Get and set the Coordinate System Center.</p>\n\
<p>Valid <span class=\'code\'>&lt;name&gt;</span> values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Notes</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#local</span></td>\n\
<td align=\"left\">Use Pivot Point Center</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#selection</span></td>\n\
<td align=\"left\">Use Selection Center</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#system</span></td>\n\
<td align=\"left\">Use Transform Coordinate Center</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>enableCoordCenter &lt;boolean&gt; \n\
</pre></div><p>Enables or disables the Coordinate System Center icon.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.pivotCenter() \n\
</pre></div><p>Sets Coordinate System Center to Pivot Point Center.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.selectionCenter() \n\
</pre></div><p>Sets Coordinate System Center to Selection Center.</p>\n\
<div class=\'codeBlock\'><pre>toolMode.transformCenter() \n\
</pre></div><p>Sets Coordinate System Center to Transform Coordinate Center.</p>\n\
<div class=\'codeBlock\'><pre>getNumAxis() \n\
</pre></div><p>This method reflects the Coordinate System Center state.</p>\n\
<p>If it is set to Pivot Point Center then this method returns <span class=\'code\'>#individual</span> otherwise <span class=\'code\'>#all</span> .</p>\n\
<div class=\'codeBlock\'><pre>setToolBtnState &lt;name&gt; &lt;boolean&gt; \n\
</pre></div><p>Set the specified tool buttons on or off.</p>\n\
<p>This method does not put into the mode, it just changes the state of the tool button.</p>\n\
<p>This method does not change the state of any button other than the specified button.</p>\n\
<p>To set the actual tool mode, please see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>toolmode.commandmode</a></p>\n\
<p>The valid <span class=\'code\'>&lt;name&gt;</span> values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Notes</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#select</span></td>\n\
<td align=\"left\">Select button on/off</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#move</span></td>\n\
<td align=\"left\">Move button on/off</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#rotate</span></td>\n\
<td align=\"left\">Rotate button on/off</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#uscale</span></td>\n\
<td align=\"left\">Scale button on/off - doesn’t change scale type</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#nuscale</span></td>\n\
<td align=\"left\">Scale button on/off - doesn’t change scale type</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#squash</span></td>\n\
<td align=\"left\">Scale button on/off - doesn’t change scale type</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>getToolbtnState &lt;name&gt; \n\
</pre></div><p>Returns whether the specified tool button is on or off as a <span class=\'code\'>&lt;boolean&gt;</span> value.</p>\n\
<p>To get the actual tool mode, please see <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>toolmode.commandmode</a></p>\n\
<p>Valid <span class=\'code\'>&lt;name&gt;</span> values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\">Notes</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#select</span></td>\n\
<td align=\"left\">Returns True if the Select button is on</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#move</span></td>\n\
<td align=\"left\">Returns True if the Move button is on</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#rotate</span></td>\n\
<td align=\"left\">Returns True if the Rotate button is on</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#uscale</span></td>\n\
<td align=\"left\">Returns True if any of the Scale button states is on</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#nuscale</span></td>\n\
<td align=\"left\">Returns True if any of the Scale button states is on</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#squash</span></td>\n\
<td align=\"left\">Returns True if any of the Scale button states is on</td>\n\
</tr>\n\
</table>\n\
<p>The following methods deal with the <strong>Named Selection Set</strong> drop-down list. These methods are not intended for casual usage.</p>\n\
<div class=\'codeBlock\'><pre>clearCurSelSet() \n\
</pre></div><p>Clears the edit field of the Named Selection Set drop-down list.</p>\n\
<p>Does not deselect the currently selected objects.</p>\n\
<div class=\'codeBlock\'><pre>clearSubSelSets() \n\
</pre></div><p>Clears the named selections from the Named Selection Set drop-down list.</p>\n\
<p>The named selection sets still exist, they just don’t show in the drop-down list.</p>\n\
<p>This command <strong>can be dangerous to use</strong> unless you are in Sub-Object mode in the Modify panel, as there is not a direct method to rebuild the Named Selection Set list.</p>\n\
<p>When in Sub-Object mode in the Modify panel, the <span class=\'code\'>namedSelSetListChanged()</span> method will rebuild the list.</p>\n\
<div class=\'codeBlock\'><pre>namedSelSetListChanged() \n\
</pre></div><p>When in Sub-Object mode in the Modify panel, this method will rebuild the named selection set list.</p>\n\
<div class=\'codeBlock\'><pre>setCurNamedSelSet &lt;string&gt; \n\
</pre></div><p>Sets the edit field of the Named Selection Set drop-down list to the specified string.</p>\n\
<p>This method not change the current selection set or add the specified string to the named selection set list.</p>\n\
<div class=\'codeBlock\'><pre>appendSubSelSet &lt;string&gt; \n\
</pre></div><p>Appends the specified string to the Named Selection Set drop-down list.</p>\n\
<p>This method not change the current selection set.</p>\n\
<p>Modifiers in <strong>3ds Max</strong> use this method to add sub-object named selection sets to the Named Selection Set drop-down list.</p>\n\
<p>This is done whenever the selection level changes.</p>\n\
<p>The following <strong>3ds Max</strong> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>system global variables</a> are associated with the Main Toolbar:</p>\n\
<div class=\'codeBlock\'><pre>preferences.constantReferenceSystem \n\
</pre></div><p>Lets you get and set whether to use a constant Reference System for the Move, Rotate, and Scale tools.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Constant is on, <span class=\'code\'>false</span> if off.</p>\n\
<p>This variable matches the Constant check box in Customize menu &gt; Preferences &gt; General &gt; Reference Coordinate System.</p>\n\
<div class=\'codeBlock\'><pre>toolmode.commandmode \n\
</pre></div><p>Get/set the <strong>3ds Max</strong> command mode.</p>\n\
<p>The value of the command mode is a <span class=\'code\'>&lt;name&gt;</span> value if the command mode is a recognized command mode, otherwise the return value is an integer value.</p>\n\
<p>The recognized command modes are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\"></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#SELECT</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#MOVE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#ROTATE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#NUSCALE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#USCALE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#SQUASH</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#VIEWPORT</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#HIERARCHY</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#CREATE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#MODIFY</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#MOTION</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#ANIMATION</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#CAMERA</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#NULL</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#DISPLAY</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#SPOTLIGHT</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#PICK</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<p>When <strong>setting</strong> the <strong>3ds Max</strong> command mode, only the following command modes are valid:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\"></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#SELECT</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#MOVE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#ROTATE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#NUSCALE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#USCALE</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#SQUASH</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>toolmode.commandmodeID \n\
</pre></div><p>Get the <strong>3ds Max</strong> command mode as Integer ID.</p>\n\
<p>Read-only.</p>\n\
<p>Possible values are:</p>\n\
<p>1 - Move</p>\n\
<p>2 - Rotate</p>\n\
<p>3 - Non-Uniform Scale</p>\n\
<p>4 - Uniform Scale</p>\n\
<p>5 - Squash Scale</p>\n\
<p>6 - Select</p>\n\
<div class=\'codeBlock\'><pre>toolmode.axisConstraints \n\
</pre></div><p>Get/set the <strong>3ds Max</strong> axis constraints.</p>\n\
<p>The axis constraints values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Name</th>\n\
<th align=\"left\"></th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#X</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#Y</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#Z</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#XY</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>#YZ</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>#ZX</strong></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>toolMode.coordSysNode \n\
</pre></div><p>A read/write variable containing a node value or undefined.</p>\n\
<p>This variable reflects which node, if any, is the current reference coordinate system node.</p>\n\
<p>Assignment to this variable must be a node value.</p>\n\
<div class=\'codeBlock\'><pre>manipulateMode \n\
</pre></div><p>Get/set the <strong>3ds Max</strong> manipulate mode. When <span class=\'code\'>true</span> , manipulate mode is active.</p>\n\
<p>The following method affects all toolbars.</p>\n\
<div class=\'codeBlock\'><pre>updateToolbarButtons() \n\
</pre></div><p>Forces an update of all toolbar button states.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";