var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MatEditor - Open and Close the Material Editor</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MatEditor - Open and Close the Material Editor</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mateditor---open-and-close-the-material-editor\"></a></div>\n\
<p>Provides properties and methods to open and close the Material Editor, query whether it is open and get and set its mode. These methods apply to both the Compact (Legacy) Material Editor and the Schematic Material Editor introduced in <strong>3ds Max 2011</strong>.</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>MatEditor.mode \n\
</pre></div><p>Get/set the Material Editor Mode. Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#basic</strong> - Compact (legacy) Material Editor.</p>\n\
<p><strong>#advanced</strong> - Slate Material Editor.</p>\n\
<p>This property duplicates the <span class=\'code\'>maxOps.mtldlgMode</span> property&#39;s functionality, but does not accept integer values (0 or 1) in place of the <span class=\'code\'>#basic</span> and <span class=\'code\'>#advanced</span> enums. It is provided in the <span class=\'code\'>MatEditor</span> struct for convenience.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>MatEditor.Open()   \n\
</pre></div><p>Opens the Compact Material Editor or Slate Material Editor, depending on the current mode (see property above).</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;MatEditor.isOpen() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if either the Compact or the Slate Material Editor is open.</p>\n\
<p>Returns false if the Material Editor is closed.</p>\n\
<div class=\'codeBlock\'><pre>MatEditor.Close() \n\
</pre></div><p>Closes the Material Editor regardless of its mode.</p>\n\
<p><strong>Related Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>SME.Open() \n\
</pre></div><p>Opens specifically the Slate Material Editor. Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>If the Compact Material Editor is open, it will be closed automatically.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\' title=\'\'>Interface: SME</a> for all SME-related methods.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";