var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Material Editor</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Material Editor</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"material-editor\"></a></div>\n\
<p>The following functions are specific to materials and the use of materials with the Material Editor:</p>\n\
<div class=\'codeBlock\'><pre>getMeditMaterial &lt;slot_index&gt;    \n\
</pre></div><p>You can get the materials in the material editor slots 1 through 24.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` foo = getMeditMaterial 3</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>setMeditMaterial &lt;slot_index&gt; &lt;material&gt;   \n\
</pre></div><p>Complements the <span class=\'code\'>getMeditMaterial</span> function allowing you to place a material into the numbered material editor slots.</p>\n\
<p>Accepts either materials or texture maps as <span class=\'code\'>&lt;material&gt;</span> .</p>\n\
<div class=\'codeBlock\'><pre>loadDefaultMatLib() \n\
</pre></div><p>Loads the default <strong>3ds Max</strong> material library file.</p>\n\
<div class=\'codeBlock\'><pre>loadMaterialLibrary &lt;filename_string&gt; \n\
</pre></div><p>Loads the named <strong>3ds Max</strong> material library file, which becomes the current material library.</p>\n\
<p>If the file name does not have a fully specified directory path, the function searches through all the currently configured bitmap paths.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the load succeeds, <span class=\'code\'>false</span> if it fails.</p>\n\
<div class=\'codeBlock\'><pre>saveMaterialLibrary &lt;filename_string&gt; \n\
</pre></div><p>Saves the current material library into the named file.</p>\n\
<p>Returns <span class=\'code\'>true</span> if the save succeeds, <span class=\'code\'>false</span> if it fails.</p>\n\
<div class=\'codeBlock\'><pre>fileOpenMatLib() \n\
</pre></div><p>This method displays the File Open dialog and allows the user to select a material library to load.</p>\n\
<div class=\'codeBlock\'><pre>fileSaveAsMatLib() \n\
</pre></div><p>Displays the standard Save File As dialog to allow the user to save the current material library.</p>\n\
<div class=\'codeBlock\'><pre>fileSaveMatLib [quiet:&lt;boolean&gt;] \n\
</pre></div><p>If the current material library has been saved previously (has been named), this method saves the material library to the same file.</p>\n\
<p>Otherwise, it displays the standard Save File As dialog to allow the user to save the current material library.</p>\n\
<p>For details on the <span class=\'code\'>quiet:</span> option available in <strong>3ds Max 8 and higher</strong>, please see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\' title=\'\'>Quiet Mode</a>.</p>\n\
<div class=\'codeBlock\'><pre>getMatLibFileName() \n\
</pre></div><p>Returns the current material library file name as a String value.</p>\n\
<div class=\'codeBlock\'><pre>renderMap &lt;textureMap&gt; [into:&lt;bitmap&gt;] [size:&lt;point2&gt;] [filename:&lt;string&gt;] [scale:&lt;float&gt;][filter:&lt;boolean&gt;] [display:&lt;boolean&gt;] \n\
</pre></div><p>Provides access to the Render Map function available in the Material Editor.</p>\n\
<p>The function returns a Bitmap value containing a rendering of the given texture map.</p>\n\
<p>If you specify the optional <span class=\'code\'>into:</span> argument, the function renders the map into the supplied bitmap, taking size and other attributes from the existing bitmap. Otherwise, a new bitmap value is created using the <span class=\'code\'>size:</span> and <span class=\'code\'>fileName:</span> arguments in its creation.</p>\n\
<p>If the <span class=\'code\'>into:</span> and <span class=\'code\'>size:</span> parameters are not specified, the default size is in [200,200].</p>\n\
<p>The <span class=\'code\'>scale:</span> argument is a scale factor applied to 3D TextureMaps. This is the scale of the surface in 3d space that is mapped to the UV and controls how much of the texture appears in the bitmap representation.</p>\n\
<p>If the <span class=\'code\'>filter:</span> argument is <span class=\'code\'>true</span> , the bitmap is filtered. It is slower to rescale bitmaps with filtering on. Defaults to <span class=\'code\'>false</span> .</p>\n\
<p>If the <span class=\'code\'>display:</span> argument is <span class=\'code\'>true</span> , the resulting bitmap is displayed using the virtual frame buffer; otherwise it is not. Defaults to <span class=\'code\'>false</span> .</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` rm = renderMap $foo.material.diffuseMap size:[640,480]<br> fileName:&quot;foodif.bmp&quot; save rm close rm</p>\n\
<p>```</p>\n\
<p>The above will render a map to a bitmap and save it as a .bmp file.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>showTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; \n\
</pre></div><p>This provides control over the visibility of textures in the shaded viewport.</p>\n\
<p>You can specify the material containing the texture map, the texture map in that material to be controlled, and a boolean to turn the display on or off.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` foo=box() foo.material = standard diffuseMap:(checker()) showInViewport:true</p>\n\
<p>showTextureMap foo.material foo.material.diffuseMap on tm = checker() mat = standardMaterial diffuseMap:tm mm = multimaterial() mm[1] = mat foo.material = mm showTextureMap mm[1] tm on</p>\n\
<p>```</p>\n\
<p>Note that for multimaterials, you need to specify the appropriate sub-material (for example, using [] indexing).</p>\n\
</blockquote>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Material-Editor/showTextureMap-function.html\' title=\'\'>showTextureMap() function</a> for details.</p>\n\
<p>The following <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/3ds-Max-System-Globals.html\' title=\'\'>3ds Max System Global Variables</a> are applicable to the <strong>Material Editor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>currentMaterialLibrary \n\
</pre></div><p>Contains a virtual array of materials and root level maps corresponding to the currently opened material library.</p>\n\
<p>You can get library materials using array indexing and iterate over them in a <span class=\'code\'>for</span> loop.</p>\n\
<p>The array can be indexed by a number, or by a name or string to select by material name.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a> for more information.</p>\n\
<div class=\'codeBlock\'><pre>meditMaterials \n\
</pre></div><p>Contains a virtual array of materials and root level maps corresponding to the slots in the material editor.</p>\n\
<p>You can access the material editor materials and root level maps using array indexing and iterate over them in a <span class=\'code\'>for</span> loop.</p>\n\
<p>The array can be indexed by a number to specify a slot number, name, or string to select by material and root level map name.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` foo.material = meditMaterials[1] meditMaterials[1].diffuse = red for m in meditMaterials do print m.diffuseMap meditMaterials[1]=standard() print meditMaterials.count -- number of slots</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This variable is read-only, but the elements (the materials in the slots) are assignable.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a> for more information.</p>\n\
<div class=\'codeBlock\'><pre>sceneMaterials \n\
</pre></div><p>Contains a virtual array of materials and root level maps corresponding to the materials and root level maps present in the scene. You can get the scene materials and root level maps using array indexing and iterate over them in a <span class=\'code\'>for</span> loop.</p>\n\
<p>The array can be indexed by a number, or by a name or string to select by material or root level map name.</p>\n\
<p>This variable is read-only.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>MaterialLibrary Values</a> for more information.</p>\n\
<div class=\'codeBlock\'><pre>activeMeditSlot \n\
</pre></div><p>MAXScript can access the active slot in the material editor.</p>\n\
<p>The system global variable <strong>activeMeditSlot</strong> contains the index of the currently active Material Editor slot.</p>\n\
<p>You can read this value to find the active slot, or assign an integer (between 1 and 24) to it to set the active slot.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` activeMeditSlot = 5 -- set slot 5 to active slot mtl = meditMaterials[activeMeditSlot] -- pick up active material/map</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";