var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>showTextureMap() function</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>showTextureMap() function</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"showtexturemap-function\"></a></div>\n\
<p>The <span class=\'code\'>showTextureMap()</span> function provides control over both material and map level texture showing in the viewport.</p>\n\
<p><strong>The form is:</strong></p>\n\
<div class=\'codeBlock\'><pre>showTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt;    \n\
</pre></div><p>If the optional <span class=\'code\'>&lt;texmap&gt;</span> or <span class=\'code\'>&lt;material&gt;</span> is not specified, Show Map in Viewports is set for the argument 1 material to the <span class=\'code\'>&lt;boolean&gt;</span> argument.</p>\n\
<p>If the optional <span class=\'code\'>&lt;texmap&gt;</span> is specified, it will be searched for in the argument 1 material. It must be a direct subtexture of the supplied argument 1 material. Its show-in-viewport state will be set on or off according to the <span class=\'code\'>&lt;boolean&gt;</span> argument.</p>\n\
<p>If the optional material is specified, it will be searched for in the argument 1 material. Its show-in-viewport state will be set on or off according to the <span class=\'code\'>&lt;boolean&gt;</span> argument.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` showTextureMap $foo.material on showTextureMap $foo.material $foo.material.diffusemap off</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Note:</p>\n\
<p>Mapping coordinates aren&#39;t explicitly enabled for all objects at creation time. When a script is run in the Listener, using &#39;showTextureMap&#39; is indirectly turning mapping coordinates on. This happens during the scene redraw which happens after each line is executed, if needed. If a script is run from a script editor, or if you put parenthesis around a script, no scene redraw is performed until the entire script is run. Since no redraw is performed, no mapping coordinates exist on the object when the script tries to access them. Solutions: explicitly perform a scene redraw [redrawViews()] after &#39;showTextureMap&#39;, or explicitly turn on mapping coordinates for the object.</p>\n\
<p>The following methods introduced in <strong>3ds Max 2008</strong> provide control over the state of the Hardware Mode Show Map In Viewports available as a flyout option to the regular Show Map In Viewports icon:</p>\n\
<div class=\'codeBlock\'><pre>enableHardwareMaterial &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt;   \n\
</pre></div><p>This method allows control over the state of the flyout at both material and map level.</p>\n\
<p>When set to true, the flyout will be switched to Hardware mode (magenta icon).</p>\n\
<p>When set to false, the flyout will be switched to Software mode (blue icon)</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-205E793C-3A85-4890-B1AE-496D5AD1A806-low.gif\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>showHWTextureMap &lt;material&gt; [&lt;texmap&gt;|&lt;material&gt;] &lt;boolean&gt; \n\
</pre></div><p>This method provides control over the state of the Show Map In Viewport icon at both material and map level.</p>\n\
<p>When set to true, the icon will be pressed. When set to false, it will be depressed.</p>\n\
<p>The flyout must be in hardware mode when using this method - see the enable Hardware Material method described above. If it is not, the icon will be pressed but no maps will be displayed in the viewport.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` -- Apply a checkered map to a sphere. s = Sphere() s.mapcoords = on s.material = Standard() s.material.diffuseMap = Checker()</p>\n\
<p>-- Show the texture map. enableHardwareMaterial s.material true showHWTextureMap s.material true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";