var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Menu and CUI Loading</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Menu and CUI Loading</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"menu-and-cui-loading\"></a></div>\n\
<p>You can load a menu file in MAXScript as follows:</p>\n\
<div class=\'codeBlock\'><pre>menuMan.loadMenuFile &quot;MaxModelingMenu.mnu&quot;\n\
</pre></div><p>The full path should not be specified. It will look in the appropriate directories for menu files. The default is the &quot;ui&quot; directory.</p>\n\
<p>You can set the main menu in max as follows:</p>\n\
<div class=\'codeBlock\'><pre>menuMan.setMainMenuBar &quot;Menu Bar1&quot;\n\
</pre></div><p>To restore MAX&#39;s default main menu:</p>\n\
<div class=\'codeBlock\'><pre>menuMan.setMainMenuBar &quot;Main Menu Bar&quot;\n\
</pre></div><p>The function returns true of it succeeds and false if it can&#39;t find the named menu.</p>\n\
<p>You can set the quad right-click menu that MAX uses in the viewports using the following MAXScript:</p>\n\
<div class=\'codeBlock\'><pre>menuMan.setViewportRightClickMenu #nonePressed &quot;Modeling 2&quot;\n\
</pre></div><p>Sets the default (no keys pressed) quad menu to &quot;Modeling 2&quot;. The menu name must be a quad menu that is listed in the &quot;Quads&quot; customization dialog, and the name must match exactly, including capitalization.</p>\n\
<p>For the first parameter, you can use one of the following 8 values:</p>\n\
<div class=\'codeBlock\'><pre>#nonePressed #shiftPressed #altPressed #controlPressed #shiftAndAltPressed #shiftAndControlPressed #controlAndAltPressed #shiftAndAltAndControlPressed\n\
</pre></div><p>Here are two macroScripts that set and reset two of the right-click menus:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` macroScript SetQuads category:&quot;Custom UI&quot; tooltip:&quot;Set Quad&quot; ( on execute do ( menuMan.setViewportRightClickMenu #nonePressed &quot;Modeling 2&quot; menuMan.setViewportRightClickMenu #controlPressed &quot;Sample 4x1&quot; ) ) ------------------------------ macroScript ResetQuads category:&quot;Custom UI&quot; tooltip:&quot;Reset Quads&quot; ( on execute do ( menuMan.setViewportRightClickMenu #nonePressed &quot;Default Viewport Quad&quot; menuMan.setViewportRightClickMenu #controlPressed &quot;Modeling 1 [Cntrl+RMB]&quot; ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>You can display a quad menu like this:</p>\n\
<div class=\'codeBlock\'><pre>menuMan.trackQuadMenu &quot;Default Viewport Quad&quot;\n\
</pre></div><p>The menu name must be a quad menu that is listed in the &quot;Quads&quot; customization dialog, and the name must match exactly, including capitalization.</p>\n\
<p>You can load a CUI file from MAXScript as follows:</p>\n\
<div class=\'codeBlock\'><pre>maxOps.loadCUIFile &quot;ModelingCUI.cui&quot;\n\
</pre></div><p>It will search the appropriate UI directory for the .cui file.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";