var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>mouseTrack() Function</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>mouseTrack() Function</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mousetrack-function\"></a></div>\n\
<p>The mouseTrack function lets you register a MAXScript function to track the mouse. While the tracking is going on, this function is called whenever a mouse action occurs, such as a button click or a drag, etc.</p>\n\
<p>The function has the form:</p>\n\
<div class=\'codeBlock\'><pre>mouseTrack [on:&lt;node&gt;] [prompt:&lt;message_string&gt;] [snap:#2D|#3D] [trackCallback:fn|#(fn,arg)]\n\
on:&lt;node&gt;   \n\
</pre></div><p>Optionally specifies a scene object to track on. If you don&#39;t supply an object, the mouse tracks on the current active grid. Note that the object surface tracker uses the SDK function IntersectRay() which is not reliably implemented on all object types. Editable meshes always work OK, so you can convertToMesh() if needed.</p>\n\
<div class=\'codeBlock\'><pre>prompt:&lt;message_string&gt;   \n\
</pre></div><p>Displays the prompt message in the MAX status line</p>\n\
<div class=\'codeBlock\'><pre>snap:#2D|#3D \n\
</pre></div><p>Relevant when not tracking on an object surface (no <span class=\'code\'>on</span> :<node> specified). If snap mode is on and <span class=\'code\'>#2D</span> is supplied, snaps to snap points on grid, if <span class=\'code\'>#3D</span> is specified snaps to any near snap point in space.<p>\n\
<div class=\'codeBlock\'><pre>trackCallback:fn|#(fn,arg) \n\
</pre></div><p>Is where you specify the function to be called as the mouse is dragged over the active grid or object surface. You can specify it is a single function or a function and an argument value in a two element array. The latter form is useful if you have a common callback function for many tasks and want to send in a parameter to control its operation for a particular use. The function you give must be of the following form:</p>\n\
<div class=\'codeBlock\'><pre>fn callback_fn msg ir obj faceNum shift ctrl alt = ... \n\
</pre></div><p>in other words, a scripted function with 7 arguments. While the tracking is going on, it is called whenever a mouse action occurs, such as a button click or a drag, etc.</p>\n\
<p>The <span class=\'code\'>&#39;msg&#39;</span> argument is a message code that indicates what kind of action occurred, and can be one of:</p>\n\
<div class=\'codeBlock\'><pre>#freeMove - means the mouse is moved without a button being pressed \n\
#mousePoint - means the left mouse button has just been pressed \n\
#mouseMove - means the mouse is being dragged with the left button down \n\
#mouseAbort - means the right mouse button was clicked, normally meaning cancel \n\
&#39;ir&#39; \n\
</pre></div><p>The grid or surface intersection normal Ray at the current mouse position. The ray has a <span class=\'code\'>.pos</span> property giving the point in space of the normal and a .dir property giving the normal&#39;s direction vector.</p>\n\
<div class=\'codeBlock\'><pre>&#39;obj&#39; \n\
</pre></div><p>The object being dragged over or undefined if no on:<node> was supplied.<p>\n\
<div class=\'codeBlock\'><pre>&#39;faceNum&#39; \n\
</pre></div><p>The number of the face the mouse is over if the object being tracked is an editable mesh, undefined otherwise.</p>\n\
<div class=\'codeBlock\'><pre>&#39;shift&#39;, &#39;ctrl&#39; and &#39;alt&#39; \n\
</pre></div><p>True or false depending on the down or up state of the Shift, Ctrl and Alt keys on the keyboard.</p>\n\
<p>The function should return the special value <span class=\'code\'>#continue</span> to continue tracking or any other value to halt tracking. That value then becomes the result of the original <span class=\'code\'>mouseTrack()</span> call.</p>\n\
</node></node>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";