var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Quiet Mode</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Quiet Mode</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"quiet-mode\"></a></div>\n\
<p>In Quiet Mode, dialogs participating in the new Default Action system will be suppressed, and user-defined actions will be performed instead.</p>\n\
<p>The actions that can be specified are: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , and <span class=\'code\'>#abort</span> . In addition, you can specify an integer value, where the bits specify event ID specific actions.</p>\n\
<p>A <span class=\'code\'>#default</span> action option is available in <strong>3ds Max 8 and higher</strong>. When <span class=\'code\'>#default</span> is specified, the current <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/defaultAction-Context.html\' title=\'\'>defaultAction context</a> state is used.By default, the quiet mode is off unless specified otherwise using the context.</p>\n\
<p>If you set Quiet mode but do not specify an action for an event, the default action is typically to log to the log file and continue.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;GetQuietMode()      \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if quiet mode is set, or <strong>3ds Max</strong> is in net render mode</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;SetQuietMode &lt;boolean&gt;   \n\
</pre></div><p>Sets quiet mode on or off. Returns previous mode value.</p>\n\
<p><strong>The syntax for MAXScript methods that use the Default Action system are:</strong></p>\n\
<div class=\'section\'><a id=\"render\"></a><h2 id=\"render\">render:</h2></div>\n\
<div class=\'codeBlock\'><pre>quiet: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <span class=\'code\'>false</span> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<div class=\'codeBlock\'><pre>missingExtFilesAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing External Files, where <span class=\'code\'>&lt;actions&gt;</span> is : <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items.</p>\n\
<div class=\'codeBlock\'><pre>missingExtFilesList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of the missing external file names.</p>\n\
<div class=\'codeBlock\'><pre>missingUVWAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing UVWs, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items.</p>\n\
<div class=\'codeBlock\'><pre>missingUVWList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of strings containing the missing map channel and node name.</p>\n\
<div class=\'codeBlock\'><pre>unsupportedRenderEffectAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Unsupported Render Effects, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>unsupportedRenderEffectList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of the unsupported render effect names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"loadmaxfile-fetchmaxfile\"></a><h2 id=\"loadmaxfile-fetchmaxfile\">loadMaxFile: , fetchMaxFile:</h2></div>\n\
<div class=\'codeBlock\'><pre>quiet: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <span class=\'code\'>false</span> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<div class=\'codeBlock\'><pre>missingExtFilesAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing External Files, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items.</p>\n\
<div class=\'codeBlock\'><pre>missingExtFilesList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of the missing external file names.</p>\n\
<div class=\'codeBlock\'><pre>missingDLLsAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing DLLs, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items</p>\n\
<div class=\'codeBlock\'><pre>missingDLLsList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of strings containing the missing dll file and class name.</p>\n\
<div class=\'codeBlock\'><pre>missingXRefsAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing Xrefs, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items</p>\n\
<div class=\'codeBlock\'><pre>missingXRefsList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of strings containing the missing XRef files and/or XRef object names.</p>\n\
<div class=\'section\'><a id=\"mergemaxfile\"></a><h2 id=\"mergemaxfile\">mergeMaxFile:</h2></div>\n\
<div class=\'codeBlock\'><pre>quiet: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <span class=\'code\'>false</span> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<div class=\'codeBlock\'><pre>missingDLLsAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing DLLs, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items.</p>\n\
<div class=\'codeBlock\'><pre>missingDLLsList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of strings containing the missing dll file and class name.</p>\n\
<div class=\'codeBlock\'><pre>missingExtFilesAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing External Files, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>missingExtFilesList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of the missing external file names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>missingXRefsAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing Xrefs, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>missingXRefsList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of strings containing the missing XRef files and/or XRef object names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"getmaxfileobjectnames\"></a><h2 id=\"getmaxfileobjectnames\">getMAXFileObjectNames:</h2></div>\n\
<div class=\'codeBlock\'><pre>quiet: &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>true</span> , suppress participating dialogs.</p>\n\
<p>In previous versions, the default was <span class=\'code\'>false</span> . In <strong>3ds Max 8 and higher</strong>, the default is the current quiet mode.</p>\n\
<div class=\'codeBlock\'><pre>missingDLLsAction: &lt;actions&gt; \n\
</pre></div><p>Actions to take on Missing DLLs, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> , <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items</p>\n\
<div class=\'codeBlock\'><pre>missingDLLsList: &amp;variable \n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of strings containing the missing dll file and class name.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` val = undefined loadmaxfile &quot;apollo.max&quot; missingExtFilesList:&amp;val missingExtFilesAction:#logmsg quiet:true val val = undefined render missingExtFilesList:&amp;val missingExtFilesAction:#(#logmsg,#abort) quiet:true val</p>\n\
<p>```</p>\n\
<p>If there are missing external files, the scene will load without a Missing External Files dialog, and val will contain an array of the missing file names. The scene will not render (due to the <span class=\'code\'>#abort</span> option being specified), and val will contain an array of the missing file names.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";