var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Parameter Wiring</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Parameter Wiring</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"parameter-wiring\"></a></div>\n\
<p>The Parameter Wire manager is described in the core interface &#39;paramWire&#39;.</p>\n\
<p>Generally, a wire controller can be wired to any number of other wire controllers in two-way relationships. Each wire has a set of information that defines it, accessible using the indexed accessor functions.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>The following will demonstrate a way to query a wire controller and determine what parameters it is referencing.</p>\n\
<p>``` b=box isSelected:true wc = $.pos.controller.x_position.controller -- get pos X controller if classOf wc == Float_Wire do (-- list out its connections for i in 1 to wc.numWires do ( parent = wc.getWireParent i parent_owner = (refs.dependents parent)[1] param_name = getSubAnimName parent (wc.getWireSubnum i) format &quot;wire %: % in %\\n&quot; i param_name parent_owner ) )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Additionally, you can use the subAnim indexing operator as a way to scan down through an object for wire controllers.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` for i in 1 to $foo.numSubs do if classOf $foo[i].controller == ...</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Also, you might find the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXWrapper-Value/MAXWrapper-Common-Properties.html\' title=\'\'>exprForMAXObject()</a> method useful here to get a MAXScript expression for the parent or parent owner.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";