var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Picking Scene Nodes By Hit</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Picking Scene Nodes By Hit</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"picking-scene-nodes-by-hit\"></a></div>\n\
<div class=\'section\'><a id=\"picking-scene-nodes\"></a><h2 id=\"picking-scene-nodes\">Picking Scene Nodes</h2></div>\n\
<div class=\'codeBlock\'><pre>pickObject [    message:&lt;string&gt; ] [    prompt:&lt;string&gt; ] \\ \n\
[   count:n|#multiple ] [   filter:fn ] \\ \n\
[   select:&lt;boolean&gt; ] [    pickFrozen:&lt;boolean&gt; ] \\ \n\
[   rubberBand:&lt;point3&gt;] [  rubberBandColor:&lt;color&gt; ] \\ \n\
[   forceListenerFocus:&lt;boolean&gt; ]   \n\
</pre></div><p>The <span class=\'code\'>pickObject()</span> function lets the user pick one or more scene objects in the <strong>3ds Max</strong> viewports. It takes several optional keyword arguments. The <span class=\'code\'>message:</span> argument takes a string value which is displayed in the status bar prompt line. The <span class=\'code\'>prompt:</span> argument takes a string value which is displayed in the Listener window. The <span class=\'code\'>count:</span> argument takes either a positive integer or the symbol <span class=\'code\'>#multiple</span> to specify how many objects are to be picked (default is 1). If the count specified is greater than 1 or the value <span class=\'code\'>#multiple</span> , an array is returned containing the picked objects. The symbol <span class=\'code\'>#multiple</span> indicates that any number of objects can be selected and the user terminates the selection with a right mouse click or, if the Listener window has focus, <strong>any</strong> character key of the keyboard. If the ESC key is pressed while the Listener windows has focus, an <span class=\'code\'>#escape</span> value will be returned. If the ESC key is pressed while a viewport has focus, selection is terminated and the selection result is returned.</p>\n\
<p>If <span class=\'code\'>#multiple</span> was specified, and no objects had been selected when the selection was terminated, an empty array is returned. If <span class=\'code\'>#multiple</span> was not specified, and an object had not been selected when the selection was terminated, a value of <span class=\'code\'>undefined</span> is returned.</p>\n\
<p>The <span class=\'code\'>filter:</span> function takes a MAXScript function of one argument that is called whenever the cursor is over an object in the scene and is passed that object under the cursor. It returns <span class=\'code\'>true</span> if the object is eligible for picking, or <span class=\'code\'>false</span> if not. Typically, the function would contain some object class testing,</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` fn shapeFilt o = (superClassOf o == Shape) -- which you could use like this: pickObject prompt:&quot;enter a shape&quot; filter:shapeFilt</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The optional keyword argument <span class=\'code\'>select:</span> controls whether the picked objects become the new current selection in the <strong>3ds Max</strong> scene. If you supply <span class=\'code\'>true</span> for that argument, the current selection is replaced with the objects that you pick. The default is <span class=\'code\'>false</span> in which case the picker doesn&#39;t affect the selection set.</p>\n\
<p>If the <span class=\'code\'>pickFrozen:</span> keyword argument is set to <span class=\'code\'>false</span> (the default), frozen nodes cannot be picked. If set to <span class=\'code\'>true</span> , only frozen nodes can be picked.</p>\n\
<p>The two optional keyword arguments <span class=\'code\'>rubberBand:</span> and <span class=\'code\'>rubberBandColor:</span> control the display of a rubber-banding line in the viewport during pick operations.</p>\n\
<p>If <span class=\'code\'>rubberBand:</span> is supplied on the <span class=\'code\'>pickObject()</span> call, it enables rubberbanding, with the given <span class=\'code\'>&lt;point3&gt;</span> as world-space coordinates for the start point of the rubber band. You can use the <span class=\'code\'>rubberBandColor:</span> argument to override the default line color of gray (color 128 128 128).</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` obj2 = pickObject rubberBand:obj1.pos rubberBandColor:yellow</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The optional keyword argument <span class=\'code\'>forceListenerFocus:</span> controls Listener focus forcing. It defaults to <span class=\'code\'>true</span> to retain existing semantics and backward compatibility.</p>\n\
<p>When picking multiple nodes and selecting by name by using the &#39;H&#39; key, you need to supply <span class=\'code\'>forceListenerFocus:false</span> to get the &#39;H&#39; key to work consistently. If this is not specified, focus is forced back to the Listener after each pick:</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` pickObject count:#multiple forceListenerFocus:false</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>Be aware that the array returned can contain the same node multiple times.</p>\n\
<p><span class=\'code\'>pickObject()</span> will exit if you switch command modes to a non-viewport command mode. For example, if you run <span class=\'code\'>pickObject()</span> and then click Select and Move, <span class=\'code\'>pickObject</span> will exit with its current results. If instead you went into pan or zoom, <span class=\'code\'>pickObject()</span> doesn&#39;t exit, but waits for its command mode to be re-entered. If you go from a viewport command mode to another command mode, <span class=\'code\'>pickObject()</span> will exit.</p>\n\
<div class=\'section\'><a id=\"picking-animatables\"></a><h2 id=\"picking-animatables\">Picking Animatables</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;animatable&gt;pickAnimatable [message:&lt;string&gt;] [prompt:&lt;string&gt;] \\\n\
[count:n|#multiple] [filter:fn] [pickFrozen:&lt;boolean&gt;] \\\n\
[rubberBand:&lt;point3&gt;] [forceListenerFocus:&lt;boolean&gt;] \n\
</pre></div><p>Lets you pick an Animatable from any area of the <strong>3ds Max</strong> User Interface.</p>\n\
<p>The only difference to the <span class=\'code\'>pickObject()</span> function documented earlier on this page is that there is no support for the <span class=\'code\'>select:</span> parameter - selection does not really apply to non-nodes.</p>\n\
<p>For the description of the other optional keyword arguments, please see the beginning of this page.</p>\n\
<p>Clicking in a 3D viewport will return scene nodes.</p>\n\
<p>Clicking in an Explorer will also return scene nodes.</p>\n\
<p>Clicking in Schematic View will return the animatable that was clicked - scene node, base object, modifier, controller and so on.</p>\n\
<p>Clicking in Track View will return the animatable that was clicked - scene node, modifier, material, map, controller, root node etc.</p>\n\
<p>Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";