var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Picking Scene Nodes By Region</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Picking Scene Nodes By Region</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"picking-scene-nodes-by-region\"></a></div>\n\
<p>The following methods allow you to pick one or more objects based on their position in the viewports. All coordinates used in these methods are in Windows format with the origin in the upper left. The <span class=\'code\'>gw.getWinSizeX()</span> and <span class=\'code\'>gw.getWinSizeY()</span> methods can be used to determine the size of the viewport in pixels. The objects to pick are filtered based on the Selection Filter specified in the <strong>3ds Max</strong> main toolbar.</p>\n\
<div class=\'codeBlock\'><pre>boxPickNode &lt;box2&gt; [ crossing:&lt;boolean&gt; ] [ applyUIScaling:&lt;true&gt; ]\n\
</pre></div><p>Returns an array of the nodes within the specified rectangular region. The <span class=\'code\'>&lt;box2&gt;</span> value specifies the corner in pixel values within the active viewport. If the <span class=\'code\'>crossing:</span> parameter value is <span class=\'code\'>true</span> , an object only partially in the region will be picked. If <span class=\'code\'>false</span> , the object must be completely within the region to be picked. The default <span class=\'code\'>crossing:</span> value is <span class=\'code\'>true</span> .</p>\n\
<p>The <span class=\'code\'>applyUIScaling</span> parameter indicates whether to apply UI scaling on high-DPI displays.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` boxPickNode (box2 [0,0] [1000,1000])</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>circlePickNode &lt;box2&gt; [ crossing:&lt;boolean&gt;] [ applyUIScaling:&lt;true&gt; ]\n\
</pre></div><p>Returns an array of the nodes within the specified circular region. The <span class=\'code\'>&lt;box2&gt;</span> value specifies the center of the circle and a point on the circle in pixel values within the active viewport. If the <span class=\'code\'>crossing:</span> parameter value is <span class=\'code\'>true</span> , an object only partially in the region will be picked. If <span class=\'code\'>false</span> , the object must be completely within the region to be picked. The default <span class=\'code\'>crossing:</span> value is <span class=\'code\'>true</span> . The <span class=\'code\'>\\[left, bottom\\]</span> and <span class=\'code\'>\\[right, top\\]</span> components of the box2 parameter value correspond to the center and radius points, respectively. The box2 parameter value needs to be set up in a specific manner as shown in the following script:</p>\n\
<p>The <span class=\'code\'>applyUIScaling</span> parameter indicates whether to apply UI scaling on high-DPI displays.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` vpCenter = (point2 (gw.getWinSizeX()) (gw.getWinSizeY()))/2 vpQuarter = point2 (vpCenter.x/2) vpCenter.y circleRegion = box2 0 0 0 0 -- initialize circleRegion to a box2 value circleRegion.left = vpCenter.x -- the center of the circle circleRegion.bottom = vpCenter.y circleRegion.right = vpCenter.x/2 -- a point on the circle circleRegion.top = vpCenter.y for obj in (circlePickNode circleRegion crossing:false) do print obj.name</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>This will print the names of all nodes completely within a circular region, where the center of the circle is the center of the viewport and the point on the circle is located one quarter of the distance from the edge to the center of the viewport.</p>\n\
<div class=\'codeBlock\'><pre>fencePickNode &lt;point2_array&gt; [ crossing:&lt;boolean&gt;] [ applyUIScaling:&lt;true&gt; ]\n\
</pre></div><p>Returns an array of the nodes within the specified fenced region. The fenced area is defined by the array of point2 values. The default <span class=\'code\'>crossing:</span> value is <span class=\'code\'>true</span> .</p>\n\
<p>The <span class=\'code\'>applyUIScaling</span> parameter indicates whether to apply UI scaling on high-DPI displays.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";