var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Picking Scene Nodes by Name</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Picking Scene Nodes by Name</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"picking-scene-nodes-by-name\"></a></div>\n\
<p>You can use the <span class=\'code\'>selectByName()</span> function to open the standard <strong>3ds Max</strong> Select By Name dialog allowing users to pick objects which are then returned as an array of MAXScript node values.</p>\n\
<p><strong>The form is:</strong></p>\n\
<div class=\'codeBlock\'><pre>selectByName [      title:&lt;string&gt;] [       buttonText:&lt;string&gt;] [      filter:&lt;fn&gt;] [      showHidden:&lt;boolean&gt;][      single:&lt;boolean&gt;]    \n\
</pre></div><p>The optional keyword arguments are interpreted as follows:</p>\n\
<div class=\'codeBlock\'><pre>title:&quot;string    &quot; \n\
</pre></div><p>Specifies the dialog window title.</p>\n\
<div class=\'codeBlock\'><pre>buttonText:&quot;string  &quot; \n\
</pre></div><p>Lets you specify the label text in the &#39;accept&#39; button in the dialog. The default value is &quot;Select&quot;.</p>\n\
<div class=\'codeBlock\'><pre>showHidden:&lt;boolean&gt; \n\
</pre></div><p>Controls whether hidden and frozen objects are eligible for display. The default value is <span class=\'code\'>false</span> . This option was broken in versions prior to <strong>3ds Max 8</strong>. Now it works as expected.</p>\n\
<div class=\'codeBlock\'><pre>single:&lt;boolean&gt; \n\
</pre></div><p>Controls whether single or multiple objects may be selected in the selector. The default is <span class=\'code\'>false</span> , meaning multiple objects may be selected, and they are returned in an array. If <span class=\'code\'>single:true</span> is specified, a single object may be selected and is returned directly, not in an array.</p>\n\
<div class=\'codeBlock\'><pre>filter:&lt;fn&gt; \n\
</pre></div><p>Lets you specify a filter function that determines which objects should be displayed in the list. This is similar to the filter functions elsewhere in MAXScript. The function you supply should take one argument, which the current object being tested for inclusion and the function should return <span class=\'code\'>true</span> for include, <span class=\'code\'>false</span> for exclude. If you don&#39;t specify a filter, all objects are displayed.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>the following function limits the choices to shape objects:</p>\n\
<p>``` fn shape_filt obj = isKindOf obj Shape</p>\n\
<p>```</p>\n\
<p>Then you can call the Select By Name function to select multiple shapes including hidden ones:</p>\n\
<p>``` theShapes =selectByName title:&quot;Select Shapes&quot; buttonText:&quot;GET &#39;EM!&quot; filter:shape_filt showHidden:true single:false</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-51EA45D0-8330-419B-9E06-336D4253A7A2-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<p>If the user cancels out of the dialog, the function returns the value <span class=\'code\'>undefined</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";