var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Controlling the Renderer</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Controlling the Renderer</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"controlling-the-renderer\"></a></div>\n\
<p>The <span class=\'code\'>render()</span> method invokes the current <strong>3ds Max</strong> renderer.</p>\n\
<p>Other than calling the <span class=\'code\'>max quick render</span> <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\' title=\'\'>command</a> which is equivalent to clicking the Render icon in the Main Toolbar, the <span class=\'code\'>render()</span> method can take many optional parameters to control the rendering independently from the current <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\' title=\'\'>Render Scene Dialog</a> settings.</p>\n\
<p>Note: As mentioned above, the <span class=\'code\'>render()</span> method does NOT use the current render settings found in the Render Scene Dialog. Thus, calling <span class=\'code\'>render()</span> will NOT save to the output file name specified in the Render Scene Dialog or via the <span class=\'code\'>rendOutputFilename</span> global, but will use the output specified via the <span class=\'code\'>outputfile:</span> optional parameter and/or simply return a <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>bitmap value</a>.</p>\n\
<p>Below is the list of optional parameters that can be used to control the rendering using the <span class=\'code\'>render()</span> method.</p>\n\
<p><strong>Optional Parameters:</strong></p>\n\
<div class=\'codeBlock\'><pre>render [camera: &lt;camera_node&gt; ]\n\
</pre></div><p>Specifies the camera to render. If not specified, defaults to the active viewport.</p>\n\
<div class=\'codeBlock\'><pre>[ frame: &lt;number&gt; | #current]\n\
\n\
</pre></div><p>Specifies the frame to render. If not specified or set to <span class=\'code\'>#current</span> , defaults to rendering the current frame.</p>\n\
<div class=\'codeBlock\'><pre>[ framerange: &lt;interval&gt; | #active]\n\
[ fromframe: &lt;time&gt; ]\n\
[ toframe: &lt;time&gt; ]\n\
[ nthframe: &lt;time&gt; ]\n\
</pre></div><p>Specifies the frame range to render. If specified, one render() call will generate multiple frames. If not supplied, only one frame will be rendered.</p>\n\
<p>Defaults to <span class=\'code\'>unsupplied</span> , in which case the <span class=\'code\'>frame:</span> value described above controls which frame to render.</p>\n\
<p><strong>For Example:</strong></p>\n\
<div class=\'codeBlock\'><pre>render framerange:(interval 0 30)\n\
</pre></div><p>Starting with <strong>3ds Max 5</strong>, the parameters <span class=\'code\'>frame:</span> , <span class=\'code\'>fromframe:</span> and <span class=\'code\'>toframe:</span> accept time values instead of numbers. Setting them to float values allows for <strong>sub-frame rendering</strong>!</p>\n\
<div class=\'codeBlock\'><pre>[ outputwidth: &lt;number&gt; ]\n\
</pre></div><p>Sets the width of the output image.</p>\n\
<p>Defaults to the current render width specified in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\' title=\'\'>Render Scene Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>[ outputheight: &lt;number&gt; ]\n\
</pre></div><p>Sets the height of the output image.</p>\n\
<p>Defaults to current render height specified in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\' title=\'\'>Render Scene Dialog</a>.</p>\n\
<div class=\'codeBlock\'><pre>[ outputSize: &lt;point2&gt; ]\n\
</pre></div><p>An alternative way to specify the output size of the rendered image.</p>\n\
<p>The point2 value is in the form: [width,height]</p>\n\
<div class=\'codeBlock\'><pre>[ pixelaspect: &lt;number&gt; ]\n\
</pre></div><p>Specifies the pixel aspect ratio.</p>\n\
<p>If not supplied, defaults to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>[ renderhiddenobjects: &lt;boolean&gt; ]\n\
</pre></div><p>When supplied as true, hidden objects will be rendered.</p>\n\
<p>When supplied as false, hidden objects will not be rendered.</p>\n\
<p>If not supplied, defaults to the current renderer&#39;s <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\' title=\'\'>Render Hidden Objects</a> state.</p>\n\
<div class=\'codeBlock\'><pre>[ rendSimplifyAreaLights: &lt;boolean&gt; ]\n\
</pre></div><p>When supplied as true, lets the renderer simplify area lights by rendering them as point lights when appropriate.</p>\n\
<p>When supplied as false, the renderer will process area lights completely.</p>\n\
<p>When not supplied, the state of the &quot;Area Lights/Shadows as Points&quot; checkbox in the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Render-Setup-Dialog.html\' title=\'\'>Render Scene Dialog</a> controlled by the global variable <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Controlling-the-Renderer.html\' title=\'\'>rendSimplifyAreaLights</a> will be used.</p>\n\
<div class=\'codeBlock\'><pre>[ superblack: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer&#39;s &quot;Superblack&quot; checkbox state.</p>\n\
<div class=\'codeBlock\'><pre>[ force2sided: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Force 2 Sided state.</p>\n\
<div class=\'codeBlock\'><pre>[ renderatmosphericeffects: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Render Atmospheric Effects state.</p>\n\
<div class=\'codeBlock\'><pre>[ renderfields: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Render Fields state.</p>\n\
<div class=\'codeBlock\'><pre>[ fieldorder: #odd | #even]\n\
</pre></div><p>Defaults to current renderer preferences Field Order state.</p>\n\
<div class=\'codeBlock\'><pre>[ outputfile: &lt;string&gt; ]\n\
</pre></div><p>The frame number is appended to the filename if the file image type is a single image type (.bmp, .jpg, .tga, etc.), and a frame range is being rendered. Defaults to rendering to just the virtual frame buffer.</p>\n\
<div class=\'codeBlock\'><pre>[ vfb: &lt;boolean&gt; ]\n\
</pre></div><p>When set to true, opens a Rendered Frame Window to display the rendered image. When set to false, the rendered image will not be displayed.</p>\n\
<p>Defaults to current renderer Rendered Frame Window state.</p>\n\
<blockquote>\n\
<p><strong>HISTORY Note: </strong></p>\n\
<p>In versions prior <strong>3ds Max 6</strong>, the &quot;Rendered Frame Window&quot; was known as the &quot;Virtual Frame Buffer&quot; (thus abbreviated as VFB and not RFW).</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>[ pos: #vfb_upper_left | #vfb_lower_left | #vfb_upper_right | #vfb_lower_right | #vfb_center | #vfb_renderer_position | #vfb_vprimary_position | #vfb_vsecondary_position]\n\
</pre></div><p>Lets you specify the screen position the Rendered Frame Window (a.k.a. Virtual Frame Buffer - see note above) will open at when the <span class=\'code\'>vfb:</span> option is supplied as <span class=\'code\'>true</span> .</p>\n\
<p>Default is <span class=\'code\'>#vfb_renderer_position</span> , which is the last position the user left the window after a render.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>[ outputHDRbitmap:&lt;boolean&gt; ]\n\
</pre></div><p>When set to true, the new 32 bit floating-point frame buffer will be used. When set to false or not supplied, the standard frame buffer will be used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>[ netrender: &lt;boolean&gt; ]\n\
</pre></div><p>Submits the render to Backburner for network rendering.</p>\n\
<p>Defaults to current renderer Net Render state.</p>\n\
<div class=\'codeBlock\'><pre>[ renderType: #normal | #region | #regionCrop | #blowup | #selection | #regionselected | #cropselected | #bakeSelected]\n\
[ region: #(left,top,right,bottom) ]\n\
</pre></div><p>Provides control over the type of rendering, corresponding to the <strong>Render Type menu</strong> in the <strong>3ds Max</strong> toolbar.</p>\n\
<p>If <span class=\'code\'>#region</span> , <span class=\'code\'>#regionCrop</span> or <span class=\'code\'>#blowUp</span> is selected, the <span class=\'code\'>region:</span> parameter may be used to override the currently set regions for the active viewport, specified as pixel coordinates relative to the top-left corner in the bitmap (VFB). The region argument is ignored for all other render types. The region argument can be a Box2 value.</p>\n\
<p>If the rendertype is <span class=\'code\'>#blowup</span> , and a region is specified, the region rectangle must have the same aspect as the render output size aspect. The top, bottom, and left component values are taken from the region argument, but the width is re-calculated to force the proper aspect.</p>\n\
<p>Note: <span class=\'code\'>#region`, `#regionCrop</span> and <span class=\'code\'>#blowUp</span> can only be selected for an active viewport rendering. An error will be reported if they are specified for a camera rendering. Defaults to <span class=\'code\'>#normal</span> .</p>\n\
<p>Here is a full list of the supported types, their aliases and the UI types they correspond to:</p>\n\
<p><span class=\'code\'>#view, #normal</span> - correspond to View</p>\n\
<p><span class=\'code\'>#selection, #selected</span> - correspond to Selected</p>\n\
<p><span class=\'code\'>#region</span> - corresponds to Region</p>\n\
<p><span class=\'code\'>#regionCrop, #crop</span> - correspond to Crop</p>\n\
<p><span class=\'code\'>#blowUp</span> - corresponds to Blowup</p>\n\
<p><span class=\'code\'>#regionselected</span> - corresponds to Region Selected</p>\n\
<p><span class=\'code\'>#cropselected</span> - corresponds to Crop Selected</p>\n\
<p>Note: Render type <span class=\'code\'>#boxselected</span> , which corresponds to Box Selected, is currently not supported.</p>\n\
<p>The <span class=\'code\'>#bakeSelected</span> rendertype is used by the Render To Texture toolset to invoke the renderer after defining one or more BakeElements and preparing objects for baking. Please see the source code of the Render To Texture script for an example of its usage.</p>\n\
<div class=\'codeBlock\'><pre>[ to: &lt;bitmap&gt; ]\n\
</pre></div><p>Specifies an existing bitmap to render into. The <span class=\'code\'>render()</span> function takes image size and other parameter settings from the existing bitmap. If not supplied, a new bitmap is created and returned by the <span class=\'code\'>render()</span> function.</p>\n\
<div class=\'codeBlock\'><pre>[ channels: &lt;array_of_channel_names&gt; ]\n\
</pre></div><p>Specifies which g-buffer channels should be created during the rendering.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` bm = render camera:$cam2 channels:#(#zDepth, #coverage, #objectID)</p>\n\
<p>```</p>\n\
<p>causes $cam2 to be rendered into a new bitmap that will contain z-depth, pixel coverage and object g-buffer ID channels</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>channels:</span> argument must always be an array of channels identifiers, chosen from the following:</p>\n\
<div class=\'codeBlock\'><pre>#zDepth\n\
#matID\n\
#objectID\n\
#UVCoords\n\
#normal\n\
#unClamped\n\
#coverage\n\
#node\n\
#mask\n\
#shaderColor\n\
#shaderTransparency\n\
#velocity\n\
#weight\n\
</pre></div><p>Defaults to no g-buffer channels.</p>\n\
<div class=\'codeBlock\'><pre>[ aperture: &lt;float&gt; ]\n\
</pre></div><p>Defaults to current renderer Aperture Width value.</p>\n\
<div class=\'codeBlock\'><pre>[ ditherTrueColor: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current rendering preferences Dither True Color state.</p>\n\
<div class=\'codeBlock\'><pre>[ ditherPaletted: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current rendering preferences Dither Paletted state.</p>\n\
<div class=\'codeBlock\'><pre>[ videocolorcheck: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Video Color Check state.</p>\n\
<div class=\'codeBlock\'><pre>[ renderPAL: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current rendering preferences Video Color Check NTSC/PAL state. If <span class=\'code\'>true</span> , and video color checking is enabled, PAL video color checking is performed.</p>\n\
<div class=\'codeBlock\'><pre>[ superBlackThreshold: &lt;integer&gt; ]\n\
</pre></div><p>Defaults to current rendering preferences Super Black Threshold value.</p>\n\
<div class=\'codeBlock\'><pre>[ maxPixelSize: &lt;float&gt; ]\n\
</pre></div><p>This property is available in the Render Scene dialog and is also accessible through the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\' title=\'\'>RadiosityPreferences interface.</a></p>\n\
<div class=\'codeBlock\'><pre>[ useRadiosity: &lt;boolean&gt; ]\n\
</pre></div><p>This property is available in the Render Scene dialog and is also accessible through the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\' title=\'\'>RadiosityPreferences interface.</a></p>\n\
<div class=\'codeBlock\'><pre>[ ComputeRadiosity: &lt;boolean&gt; ]\n\
</pre></div><p>This propertyisavailable in the Render Scene dialog and is also accessible through the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\' title=\'\'>RadiosityPreferences interface.</a></p>\n\
<div class=\'codeBlock\'><pre>[ cancelled: &lt;&amp;var&gt; ]\n\
</pre></div><p>If the render is cancelled, the variable var will contain true, otherwise it will contain false.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` bm = render cancelled:&amp;wasCancelled if (not wasCancelled) do....</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>[ progressbar: &lt;boolean&gt; ]\n\
</pre></div><p>If true, the entire viewport display is disabled and a progress bar and Cancel button are displayed in the status panel. If false or not present, the viewport display is not disabled. In both cases, Esc will cancel the render.</p>\n\
<div class=\'codeBlock\'><pre>[ renderMultiPassEffects:&lt;boolean&gt; ]\n\
</pre></div><p>If true or not specified, if the view being rendered is a camera view, and a multipass effect is enabled for that camera, the rendering will be performed using that multipass effect. If explicitly supplied as false, no multipass effect will be rendered. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>[ renderElements:&lt;boolean&gt; ]\n\
</pre></div><p>If true or not specified, if render elements are present in the scene, those render elements will be rendered. If the <span class=\'code\'>outputfile:</span> argument is specified, the render element output will be written to disk in the same manner as if rendered from the Render Scene dialog with the Render Output filename specified. If false, render elements will not be rendered. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>[ renderElementBitmaps:&lt;&amp;var&gt; ]\n\
</pre></div><p>If render elements are rendered, the render element output bitmaps are placed in an array (one array element per rendered render element), and this array is returned through the specified variable by-reference. If multiple frames are rendered, the final frame&#39;s output is used. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` render renderMultiPassEffects:true renderElements:true renderElementBitmaps:&amp;reb if reb != undefined do for b in reb do display b</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"the-following-properties-are-available-if-the-standard-scanline-renderer-is-being-used\"></a><h2 id=\"the-following-properties-are-available-if-the-standard-scanline-renderer-is-being-used\">The following properties are available if the standard scanline renderer is being used:</h2></div>\n\
<div class=\'codeBlock\'><pre>[ antiAliasing: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Anti-Aliasing state.</p>\n\
<div class=\'codeBlock\'><pre>[ antiAliasFilterSize: &lt;float&gt; ]\n\
</pre></div><p>Defaults to current renderer Anti-Aliasing Filter Size value.</p>\n\
<div class=\'codeBlock\'><pre>[ antiAliasFilter: &lt;filter&gt; ]\n\
</pre></div><p>Defaults to current renderer Anti-Aliasing filter.</p>\n\
<div class=\'codeBlock\'><pre>[ enablePixelSampler: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to the current renderer Global SuperSampling state. This state is <span class=\'code\'>true</span> if Disable all Samplers is checked, otherwise <span class=\'code\'>false</span> .</p>\n\
<div class=\'codeBlock\'><pre>[ mapping: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Mapping state.</p>\n\
<div class=\'codeBlock\'><pre>[ shadows: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Shadows state.</p>\n\
<div class=\'codeBlock\'><pre>[ autoReflect: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Auto-Reflect/Refract and Mirrors state.</p>\n\
<div class=\'codeBlock\'><pre>[ forceWireframe: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Force Wireframe state.</p>\n\
<div class=\'codeBlock\'><pre>[ wireThickness: &lt;float&gt; ]\n\
</pre></div><p>Defaults to 1.0.</p>\n\
<div class=\'codeBlock\'><pre>[ filterMaps: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Anti-Aliasing Filter Maps state.</p>\n\
<div class=\'codeBlock\'><pre>[ objectMotionBlur: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Object Motion Blur Apply state.</p>\n\
<div class=\'codeBlock\'><pre>[ objectBlurDuration: &lt;float&gt; ]\n\
</pre></div><p>Defaults to 0.5.</p>\n\
<div class=\'codeBlock\'><pre>[ objectBlurSamples: &lt;integer&gt; ]\n\
</pre></div><p>Defaults to 10.</p>\n\
<div class=\'codeBlock\'><pre>[ objectBlurSubdivisions: &lt;integer&gt; ]\n\
</pre></div><p>Defaults to 10.</p>\n\
<div class=\'codeBlock\'><pre>[ imageMotionBlur: &lt;boolean&gt; ]\n\
</pre></div><p>Defaults to current renderer Image Motion Blur Apply state.</p>\n\
<div class=\'codeBlock\'><pre>[ imageBlurDuration: &lt;float&gt; ]\n\
</pre></div><p>Defaults to 0.5.</p>\n\
<div class=\'codeBlock\'><pre>[ autoReflectLevels: &lt;integer&gt; ]\n\
</pre></div><p>Defaults to 1.</p>\n\
<p>Note: Since <strong>3ds Max 5</strong>, the <span class=\'code\'>render()</span> method passes any keyword arguments on to the renderer class instance, so any renderer parameter block or FPS interface property can be set via the keyword argument. This behavior replaces the hardcoded keyword arguments documented in the above topic. The default scanline renderer FPS interface properties were named to maintain consistency with existing scripts.</p>\n\
<div class=\'section\'><a id=\"quiet-mode-options\"></a><h2 id=\"quiet-mode-options\">Quiet Mode Options:</h2></div>\n\
<div class=\'codeBlock\'><pre>[ quiet: &lt;boolean&gt; ]\n\
</pre></div><p>If <span class=\'code\'>true</span> , suppress participating dialogs.</p>\n\
<div class=\'codeBlock\'><pre>[ missingExtFilesAction: &lt;actions&gt; ]\n\
</pre></div><p>Actions to take on Missing External Files, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> and/or an integer, or an array of one or more of those items.</p>\n\
<div class=\'codeBlock\'><pre>[ missingExtFilesList: &amp;variable ]\n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of the missing external file names.</p>\n\
<div class=\'codeBlock\'><pre>[ missingUVWAction: &lt;actions&gt; ]\n\
</pre></div><p>Actions to take on Missing UVWs, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span> , <span class=\'code\'>#logToFile</span> , <span class=\'code\'>#abort</span> and/or an integer, or an array of one or more of those items.</p>\n\
<div class=\'codeBlock\'><pre>[ missingUVWList: &amp;variable ]\n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of strings containing the missing map channel and node name.</p>\n\
<div class=\'codeBlock\'><pre>[ unsupportedRenderEffectAction: &lt;actions&gt; ]\n\
</pre></div><p>Actions to take on Unsupported Render Effects, where <span class=\'code\'>&lt;actions&gt;</span> is: <span class=\'code\'>#logmsg</span>, <span class=\'code\'>#logToFile</span>, <span class=\'code\'>#abort</span>, <span class=\'code\'>#default</span> and/or an integer, or an array of one or more of those items. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>[ unsupportedRenderEffectList: &amp;variable ]\n\
</pre></div><p>If <span class=\'code\'>#logmsg</span> is specified as action, the by-reference variable will be filled in with array of the unsupported render effect names. Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<p>See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Network-Render-Interface/Quiet-Mode.html\' title=\'\'>Quiet Mode</a> for details.</p>\n\
<p>Note: The <span class=\'code\'>render()</span> function is interruptible mid-frame using the Esc key.</p>\n\
<div class=\'section\'><a id=\"renderer-output\"></a><h2 id=\"renderer-output\">Renderer Output</h2></div>\n\
<p>You can invoke the renderer and have it do one or more of four things with the rendered output:</p>\n\
<ul>\n\
<li><p>Display it in a virtual frame buffer (the default), controlled with the <span class=\'code\'>vfb:</span> parameter.</p></li>\n\
<li><p>Store the rendering in an image file by supplying an <span class=\'code\'>outputfile:</span> parameter. The type of image file to be created is determined from the file suffix you specify.</p></li>\n\
<li><p>Return the result as a MAXScript Bitmap value that you can perform Bitmap operations on (see the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>Bitmap Values</a> topic).</p></li>\n\
<li><p>Store the rendering in an existing MAXScript Bitmap value by supplying the <span class=\'code\'>to:</span> parameter. Supplying this parameter causes settings such as height, width, aspect, gamma, file name, etc. to be taken from the supplied bitmap.</p></li>\n\
</ul>\n\
<blockquote>\n\
<p><strong>EXAMPLES</strong></p>\n\
<p>``` render camera:$cam01 outputwidth:320 outputheight:240</p>\n\
<p>```</p>\n\
<p>``` for c in cameras do render c outputFile:(c.name + &quot;.bmp&quot;) vfb:off</p>\n\
<p>```</p>\n\
<p>``` rollout1.image.bitmap = render camera:$cam01</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"memory-management-considerations\"></a><h2 id=\"memory-management-considerations\">Memory Management Considerations</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> When calling <span class=\'code\'>render()</span> inside a loop without assigning the output to an explicit MAXScript Bitmap Value, each call will create a bitmap value which will be kept around until a Garbage Collection is triggered either automatically or manually. Since the MAXScript Heap will store very little data (the pointer to the C++ bitmap data), chances are the automatic garbage collection won&#39;t be triggered before the end of the loop.</p>\n\
<p>To avoid memory problems in this case, the resulting bitmap can be assigned to an explicit MAXScript variable, allowing the manual release of the memory using the <span class=\'code\'>close()</span> method.</p>\n\
<p>Alternatively, an empty MAXScript Bitmap Value can be initialized before the loop starts, and the <span class=\'code\'>to:</span> keyword can be used to output the render() result to it. The same bitmap value will be reused in each loop iteration.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";