var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Render Setup Dialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Render Setup Dialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"render-setup-dialog\"></a></div>\n\
<p>Note:</p>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual render setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-tab\"></a><h2 id=\"render-setup-dialog-common-tab\">Render Setup Dialog &gt; Common Tab:</h2></div>\n\
<p>{{toc}}</p>\n\
<div class=\'codeBlock\'><pre>renderer \n\
</pre></div><p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>In versions prior to <strong>3ds Max 6</strong>, this global variable was used to switch between the draft and production renderers and test which one is active.</p>\n\
<p>The draft renderer was retired in <strong>3ds Max 6</strong> and this variable now returns only <span class=\'code\'>#production</span> for compatibility with older scripts.</p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-time-output-group\"></a><h3 id=\"render-setup-dialog-common-parameters-time-output-group\">Render Setup Dialog &gt; Common Parameters &gt; Time Output Group:</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-9CE30764-40EE-4845-9FFA-346C6B52C2D7-low.png\' title=\'\'></div>\n\
<p>Note:</p>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>rendTimeType -- integer      \n\
</pre></div><p>Get/set the type of time range to be rendered.</p>\n\
<p>Possible values are:</p>\n\
<p>1 -Single frame.</p>\n\
<p>2 -Active time segment ( <span class=\'code\'>animationRange</span> ).</p>\n\
<p>3 -User specified Range.</p>\n\
<p>4 -User specified Frame pickup string (for example &quot;1,3,5-12&quot;). See <span class=\'code\'>rendPickupFrames</span> below.</p>\n\
<div class=\'codeBlock\'><pre>rendNThFrame -- integer\n\
</pre></div><p>Get/set the Every Nth Frame value. Minimum value is 1. Default is 1.</p>\n\
<div class=\'codeBlock\'><pre>rendStart -- time   \n\
</pre></div><p>Get/set the Start Time value. Used when rendTimeType is set to 3.</p>\n\
<div class=\'codeBlock\'><pre>rendEnd -- time \n\
</pre></div><p>Get/set the End Time value. Used when rendTimeType is set to 3.</p>\n\
<div class=\'codeBlock\'><pre>rendFileNumberBase -- integer \n\
</pre></div><p>Get/set the File Number Base value.</p>\n\
<div class=\'codeBlock\'><pre>rendPickupFrames -- string \n\
</pre></div><p>Get/set the Frames string containing the user frames or sequences to render.</p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-area-to-render\"></a><h3 id=\"render-setup-dialog-common-parameters-area-to-render\">Render Setup Dialog &gt; Common Parameters &gt; Area To Render</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-81695240-C2C5-4844-A446-97AD25190B85-low.png\' title=\'\'></div>\n\
<p>The following methods let you get and set the render type:</p>\n\
<div class=\'codeBlock\'><pre>getRenderType() \n\
</pre></div><p>Gets the render type.</p>\n\
<div class=\'codeBlock\'><pre>setRenderType &lt;name&gt; \n\
</pre></div><p>Setsthe render type.</p>\n\
<p>The valid name values are:</p>\n\
<p><span class=\'code\'>#view | #selected | #region | #crop | #blowUp | #boxselected | #regionselected | #cropselected | #normal | #selection | #regionCrop</span> .</p>\n\
<p><span class=\'code\'>#view</span> and <span class=\'code\'>#normal</span> are equivalent</p>\n\
<p><span class=\'code\'>#selected</span> and <span class=\'code\'>#selection</span> are equivalent</p>\n\
<p><span class=\'code\'>#crop</span> and <span class=\'code\'>#regionCrop</span> are equivalent.</p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-output-size-group\"></a><h3 id=\"render-setup-dialog-common-parameters-output-size-group\">Render Setup Dialog &gt; Common Parameters &gt; Output Size Group</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-512AC4CD-E501-4036-B306-7E1EA74B6C43-low.png\' title=\'\'></div>\n\
<p>Note:</p>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>renderWidth -- integer \n\
</pre></div><p>Lets you get and set an Integer value that defines the output size width for the active renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderHeight -- integer\n\
</pre></div><p>Lets you get and set an Integer value that defines the output size height for the active renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderPixelAspect -- float \n\
</pre></div><p>Lets you get and set a Float value that defines the output pixel aspect for the active renderer.</p>\n\
<p>Note that the Image Aspect is defined implicitly by the above values, though you can set the Image Aspect Ratio using <strong>rendImageAspectRation</strong> (below).</p>\n\
<div class=\'codeBlock\'><pre>rendLockPixelAspectRatio -- boolean\n\
</pre></div><p>Gets or sets the lock state of the <strong>Pixel Aspect</strong> setting in the Render Setup dialog box.</p>\n\
<div class=\'codeBlock\'><pre>rendImageAspectRatio &lt;float&gt; \n\
</pre></div><p>Get or set the Image Aspect Ratio for the current renderer. Setting this value adjusts the <strong>renderHeight</strong> value.</p>\n\
<div class=\'codeBlock\'><pre>rendLockImageAspectRatio &lt;boolean&gt; \n\
</pre></div><p>Gets or sets the lock state of the <strong>Image Aspect</strong> setting in the Render Setup dialog box.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>getRendApertureWidth() \n\
</pre></div><p>Get the Aperture Width in millimeters for the current renderer.</p>\n\
<div class=\'codeBlock\'><pre>getRendImageAspect() \n\
</pre></div><p>Get the Image Aspect Ratio for the current renderer.</p>\n\
<div class=\'codeBlock\'><pre>setRendApertureWidth &lt;float&gt; \n\
</pre></div><p>Sets the Aperture Width in millimeters for the current renderer.</p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-options-group\"></a><h3 id=\"render-setup-dialog-common-parameters-options-group\">Render Setup Dialog &gt; Common Parameters &gt; Options Group</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-421F4D23-FC33-4116-A19B-E859DB474682-low.png\' title=\'\'></div>\n\
<p>Note:</p>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>rendAtmosphere -- boolean \n\
</pre></div><p>Get/set the renderer&#39;s uses atmospheric effects flag. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>renderEffects -- boolean \n\
</pre></div><p>Lets you get and set whether to perform Render Effects after a scene render.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Render Effects are to be performed, <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>renderDisplacements -- boolean \n\
</pre></div><p>Lets you get and set whether to perform displacement mapping during a render.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if displacement mapping is to be performed, <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>rendColorCheck -- boolean \n\
</pre></div><p>Get/set the Video Color Check option.</p>\n\
<div class=\'codeBlock\'><pre>rendFieldRender -- boolean \n\
</pre></div><p>Get/set the Render To Fields options.</p>\n\
<div class=\'codeBlock\'><pre>rendHidden -- boolean \n\
</pre></div><p>Get/set the renderer&#39;s render hidden objects flag. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>rendSimplifyAreaLights -- boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , area lights will be examined and converted to point light sources when appropriate.</p>\n\
<div class=\'codeBlock\'><pre>rendForce2Side -- boolean \n\
</pre></div><p>Get/set the renderer&#39;s force two-sided flag. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>rendSuperBlack -- boolean \n\
</pre></div><p>Get/set the renderer&#39;s super black flag. TRUE = on; FALSE = off</p>\n\
<p>See also <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderer-Preferences.html\' title=\'\'>rendSuperBlackThresh</a></p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-advanced-lighting-group\"></a><h3 id=\"render-setup-dialog-common-parameters-advanced-lighting-group\">Render Setup Dialog &gt; Common Parameters &gt; Advanced Lighting Group</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-A38AFA20-9D42-4560-A099-12768C820DA6-low.png\' title=\'\'></div>\n\
<p>These two options are exposed by properties of the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\' title=\'\'>Interface: RadiosityPreferences</a> :</p>\n\
<p><strong>Properties:</strong></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\' title=\'\'>RadiosityPreferences.useRadiosity</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/R/Interface-RadiosityPreferences.html\' title=\'\'>RadiosityPreferences.computeRadiosity</a></p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-bitmap-proxies-group\"></a><h3 id=\"render-setup-dialog-common-parameters-bitmap-proxies-group\">Render Setup Dialog &gt; Common Parameters &gt; Bitmap Proxies Group</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-C85ADCEC-324E-40F3-BBEC-89B5A82D227C-low.png\' title=\'\'></div>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/B/Interface-BitmapProxyMgr.html\' title=\'\'>Interface: BitmapProxyMgr</a> for access to the Bitmap Proxies Manager.</p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-render-output-group\"></a><h3 id=\"render-setup-dialog-common-parameters-render-output-group\">Render Setup Dialog &gt; Common Parameters &gt; Render Output Group</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-00502DC1-029B-4F57-959A-17FE6978E560-low.png\' title=\'\'></div>\n\
<p>Note:</p>\n\
<p>Changing the Render Setup dialog settings via MAXScript should be done <strong>with the actual Render Setup dialog in a closed state</strong>.</p>\n\
<p>Leaving the dialog open will make the attempted MAXScript modifications non-sticky.</p>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>rendSaveFile -- boolean \n\
</pre></div><p>Get/set the state of the Save File option.</p>\n\
<div class=\'codeBlock\'><pre>rendOutputFilename-- string \n\
</pre></div><p>Lets you get and set a String value that defines the output file name for the active renderer.</p>\n\
<p>It contains the corresponding value set in the Render Setup dialog.</p>\n\
<p>If this global variable is set to &quot;&quot; then Save File check box in the Render Setup dialog will be unchecked.</p>\n\
<div class=\'codeBlock\'><pre>rendUseDevice -- boolean \n\
</pre></div><p>Get/set the state of the renderer&#39;s use device flag. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>rendShowVFB -- boolean \n\
</pre></div><p>Get/set the state of the renderer&#39;s show virtual frame buffer flag. TRUE = on; FALSE = off</p>\n\
<div class=\'codeBlock\'><pre>skipRenderedFrames -- boolean \n\
</pre></div><p>Lets you get and set whether to skip rendered frames during a render.</p>\n\
<p>A Boolean Value - <span class=\'code\'>true</span> if rendered frames are to be skipped, <span class=\'code\'>false</span> if not.</p>\n\
<div class=\'codeBlock\'><pre>rendUseImgSeq -- boolean \n\
</pre></div><p>Gets whether <strong>Save File</strong> is checked, and an output file specified.</p>\n\
<div class=\'codeBlock\'><pre>rendImgSeqType: Integer \n\
</pre></div><p>Gets whether <strong>Put Image File List(s) in Output Path(s)</strong> is checked, a file type is selected, and <strong>Create Now</strong> has been clicked. The returned integer is one of:</p>\n\
<ul>\n\
<li>0 - Autodesk ME Image Sequence File (.imsq)</li>\n\
<li>1 - Legacy 3ds max Image File List (.ifl)</li>\n\
</ul>\n\
<div class=\'section\'><a id=\"render-setup-dialog-common-parameters-scripts\"></a><h3 id=\"render-setup-dialog-common-parameters-scripts\">Render Setup Dialog &gt; Common Parameters &gt; Scripts</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0FB6F1A6-6C0C-413B-9F7F-E47E5550949A-low.png\' title=\'\'></div>\n\
<p><strong>3ds Max System Global Variables:</strong></p>\n\
<div class=\'codeBlock\'><pre>usePreRendScript (system BooleanClass) \n\
</pre></div><p>Get/set the state of the Pre-Render &gt; Enable checkbox.</p>\n\
<div class=\'codeBlock\'><pre>preRendScript (system String): &quot;&quot; \n\
</pre></div><p>Get/set the file name of the Pre-Render script.</p>\n\
<div class=\'codeBlock\'><pre>usePostRendScript (system BooleanClass) \n\
</pre></div><p>Get/set the state of the Post-Render &gt; Enable checkbox.</p>\n\
<div class=\'codeBlock\'><pre>postRendScript (system String): &quot;&quot; \n\
</pre></div><p>Get/set the file name of the Post-Render script.</p>\n\
<div class=\'section\'><a id=\"render-setup-dialog-viewport-index-lock-button-render-presets\"></a><h3 id=\"render-setup-dialog-viewport-index-lock-button-render-presets\">Render Setup Dialog &gt; Viewport Index, Lock Button, Render Presets</h3></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0D78A330-A664-4B92-8836-2216A89C759D-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>rendViewIndex -- integer \n\
</pre></div><p>The index of the viewport to render when the Lock button is pressed ( <span class=\'code\'>rendUseActiveView</span> is <span class=\'code\'>false</span> )</p>\n\
<p>The index numbers correspond to those used by the &quot;viewport&quot; functions, for example, <span class=\'code\'>viewport.activeViewport</span> .</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>rendUseActiveView -- boolean \n\
</pre></div><p>Get/set the Lock button state.</p>\n\
<p>When set to <span class=\'code\'>false</span> , the Lock button is pressed and the viewport specified by <span class=\'code\'>rendViewIndex</span> will be rendered regardless of which viewport is active.</p>\n\
<p>When set to <span class=\'code\'>true</span> , the Lock button is depressed and the active viewport will be rendered, disregarding the selection in the drop-down list.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>renderPresetMRUList -- array of string arrays \n\
</pre></div><p>This property contains a list of render presets, matching the Render Dialog <strong>Preset</strong> dropdown list.</p>\n\
<p>This is an array of items, where each item is an array of two sub-items. The first sub-item is the display name of the render preset, the second item is the filename of the corresponding render preset file.</p>\n\
<p>Available in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p><strong>Target Dropdown</strong> - this UI element is not exposed as a MAXScript function <em>per se</em>, but calls functions that define targets in the MacroScripts\\Macro_RenderButtonActionItems.mcr script.</p>\n\
<p>Also see the <strong>.renderDialogMode</strong>, <strong>.renderButtonText</strong> and <strong>.target</strong> parameters of the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/Renderers.html\' title=\'\'>Renderers</a> global struct, which are set by the target definitions.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";