var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Rendered Frame Window and MAXScript</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Rendered Frame Window and MAXScript</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"rendered-frame-window-and-maxscript\"></a></div>\n\
<p>The <strong>Rendered Frame Window</strong> (a.k.a. Virtual Frame Buffer or VFB) provides <strong>Iterative</strong> and <strong>Production</strong> rendering workflows in <strong>3ds Max 2009 and higher</strong>.</p>\n\
<p>The renderer-specific extensions have been implemented using MAXScript.This means that the controls exposed to the top and bottom panel of the Rendered Frame Window can be enhanced or replaced by technical artists and technical directors to facilitate various workflows and 3 rd party renderers using only MAXScript.</p>\n\
<p>The following MAXScript additions provide ways to access the Rendered Frame Window and its properties and register new rollouts in its panels:</p>\n\
<p>Image Viewer DisplayNotifications</p>\n\
<p>Two new notifications have been added to the General Event Callbacks mechanism: <span class=\'code\'>#preImageViewerDisplay</span> and <span class=\'code\'>#postImageViewerDisplay</span></p>\n\
<p>They are broadcast before and after the Rendered Frame Windows has been opened.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Other-Interfaces/Other-Interfaces-1/Interface-IVFB.html\' title=\'\'>Interface:IVFB</a></p>\n\
<p>The <span class=\'code\'>callbacks.notificationParam()</span> method, if executed within the callback script, will return an <strong>IVFB Interface</strong> which provides the properties and methods exposed by the Rendered Frame Window.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>The following example REMOVES the original callbacks defined in the file ..**StdPlugs\\StdScripts\\VFB_Methods.ms** and defines new rollouts for the rollout panels.</p>\n\
<p>In order to restore the original functionality, evaluate the</p>\n\
<p><span class=\'code\'>callbacks.removeScripts #preImageViewerDisplay</span></p>\n\
<p>then run the above-mentioned script to register the original callbacks.</p>\n\
<p>Alternatively, simply restart <strong>3ds Max</strong>.</p>\n\
<p>``` ( global MyFirstVFBLayout --the function needs to be global fn MyFirstVFBLayout VFB_Interface = ( --will be called by the callback --if the window is a Rendered Frame Window, if VFB_Interface.IsFramebuffer do ( --set all borders to 0 to save screen estate VFB_Interface.SetMetric #horzMarginLeft 0 VFB_Interface.SetMetric #horzMarginCenter 0 VFB_Interface.SetMetric #horzMarginRight 0 VFB_Interface.SetMetric #vertMarginTop 0 VFB_Interface.SetMetric #vertMarginCenter 0 VFB_Interface.SetMetric #vertMarginBottom 0 VFB_Interface.SetMetric #minClientWidth 320 VFB_Interface.SetMetric #minClientHeight 240 --Definesome stand-in rollouts to display in the three panels: rollout theTopLeftRollout &quot;Top Left Rollout&quot; width:200 height:45 ( dropdownlist ddl_topLeft items:#(&quot;View&quot;,&quot;Region&quot;,&quot;Crop&quot;) width:160 button btn_topLeft &quot;Top Left Button&quot; width:160 ) rollout theTopRightRollout &quot;Top Right Rollout&quot; width:200 height:50( button btn_topLeft&quot;Top Right Button...&quot;) rollout theBottomRollout &quot;Bottom Rollout&quot; width:200 height:22( button btn_bottomButton &quot;Bottom Button (Try to say 3 times fast!)&quot; ) --Initialize the top left panel to a size and --get its RolloutFloater value back: theTopLeftFloater = VFB_Interface.InitRolloutWindow #TopLeft 200 60 --Add the rollout to the RolloutFloater without borders and tile bar: addRollout theTopLeftRollout theTopLeftFloater border:false --and enable the visibility of the top left panel: VFB_Interface.SetRolloutWindowVisible #TopLeft true --Initialize the top right panel to a size and --get its RolloutFloater value back: theTopRightFloater = VFB_Interface.InitRolloutWindow #TopRight 200 60 --add the rollout to the RolloutFloater WITH borders and tile bar: addRollout theTopRightRollout theTopRightFloater border:true --and enable the visibility of the top left panel: VFB_Interface.SetRolloutWindowVisible #TopRight true --Initialize the bottom panel to a size and --get its RolloutFloater value back: theBottomFloater = VFB_Interface.InitRolloutWindow #Bottom 400 35 --add the rollout to the RolloutFloater without borders and tile bar: addRollout theBottomRollout theBottomFloater border:false --and enable the visibility of the top left panel: VFB_Interface.SetRolloutWindowVisible #Bottom true VFB_Interface.InitLayout() --finally, initialize the new layout )--end if )--end fn --unregister any related callbacks: callbacks.removeScripts #preImageViewerDisplay --register a pre-image viewer display callback callbacks.addScript #preImageViewerDisplay &quot;MyFirstVFBLayout (callbacks.notificationParam())&quot; id:#ResizeVFBPanels )--end script</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-FEDD3A65-6C6F-4096-9351-9ABC8F03D2F2-low.gif\' title=\'\'></div>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";