var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Renderers</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Renderers</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"renderers\"></a></div>\n\
<p>Renderers is a Structure of systemGlobals. It lets the user assign renderer class instances to the current, production, Material Editor, and activeShade renderer:</p>\n\
<div class=\'codeBlock\'><pre>renderers.current\n\
</pre></div><p>Gets/Sets the current renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderers.production\n\
</pre></div><p>Gets/Sets the production renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderers.activeShade\n\
</pre></div><p>Gets/Sets the activeShade renderer. Only renderers whose <span class=\'code\'>supportsActiveShade</span> property is <span class=\'code\'>true</span> can be set as the activeShade renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderers.medit_locked\n\
</pre></div><p>Controls the state of the &quot;Lock To Current Renderer&quot; checkbutton next to the Material Editor slot in the Common tab &gt; Assign Renderer rollout in the Render Scene dialog. When set to <span class=\'code\'>True</span> , the Production Renderer will be used automatically by the Material Editor. When set to <span class=\'code\'>False</span> , the Material Editor renderer can be set independently from the Production Renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderers.medit\n\
</pre></div><p>Gets/sets the Material Editor renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderers.renderDialogMode\n\
</pre></div><p>Gets/sets the Render Dialog Mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>#production</strong></p>\n\
<p><strong>#activeShade</strong></p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>renderers.renderButtonText\n\
</pre></div><p>Currently returns &quot;&quot;, cannot be set.</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>renderers.target\n\
</pre></div><p>Gets/sets the Render Setup dialog&#39;s Target mode.</p>\n\
<p>Possible values are:</p>\n\
<p><strong>&quot;local&quot;</strong> - render locally</p>\n\
<p><strong>&quot;cloud&quot;</strong> - render on the Cloud</p>\n\
<p>Available in <strong>3ds Max 2016 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>renderers.GetDraftRenderer()\n\
</pre></div><p>Returns the draft renderer.</p>\n\
<p>While the draft renderer is <strong>not exposed</strong> or used by <strong>3ds Max</strong> anymore since <strong>version 6</strong>, it is possible that a renderer is assigned as the draft renderer. If that renderer is an instance of a 3 rd party plug-in and you load the scene file on a computer without that plug-in installed, you will get missing plug-in messages and no way to get rid of them.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>Note:</p>\n\
<p>Getting the draft renderer will cause a new default renderer to be created and set as the draft renderer if there is no current draft renderer.</p>\n\
<div class=\'codeBlock\'><pre>renderers.ClearDraftRenderer()\n\
</pre></div><p>Removes the draft renderer if present.</p>\n\
<p>While the draft renderer is <strong>not exposed</strong> or used by <strong>3ds Max</strong> anymore since version 6, it is possible that a renderer is assigned as the draft renderer. If that renderer is an instance of a 3 rd party plug-in and you load the scene file on a computer without that plug-in installed, you will get missing plug-in messages and no way to get rid of them.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously, available in <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>Renderer class instances can be created by MAXScript. They have a couple of common read-only properties that is used to determine if the renderer can perform certain special tasks such as, ActiveShade rendering and TextureBaking.</p>\n\
<div class=\'section\'><a id=\"rendererclass-instances-common-properties\"></a><h2 id=\"rendererclass-instances-common-properties\">RendererClass Instances Common Properties:</h2></div>\n\
<div class=\'codeBlock\'><pre>&lt;RendererClassInstance&gt;.supportsActiveShade\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the renderer can be used as ActiveShade renderer, <span class=\'code\'>false</span> otherwise. Read-only.</p>\n\
<div class=\'codeBlock\'><pre>&lt;RendererClassInstance&gt;.supportsTexureBaking\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the renderer supports Texture Baking, <span class=\'code\'>false</span> otherwise. Read-only.</p>\n\
<p>To acquire a list of all installed renderers on a specific system, you can access the <span class=\'code\'>.classes</span> property of the <span class=\'code\'>RendererClass</span> MAXSuperClass.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` RendererClass.classes --&gt;#(Default_Scanline_Renderer, VUE_File_Renderer, mental_ray_Renderer, Missing_Renderer) --You can assign a new renderer class to the current renderer renderers.current = RendererClass.classes<a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/\' title=\'\'>2</a> --&gt;VUE_File_Renderer:VUE_File_Renderer</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"materialmap-renderer-compatibility-method\"></a><h2 id=\"materialmap-renderer-compatibility-method\">Material/Map Renderer Compatibility Method:</h2></div>\n\
<div class=\'codeBlock\'><pre>areMtlAndRendererCompatible {&lt;mtlbase&gt; | &lt;maxclass&gt;} [ renderer:{&lt;renderer&gt; | &lt;maxclass&gt;} ]\n\
</pre></div><p>Returns <span class=\'code\'>true</span> if the material/texturemap and renderer are compatible. Material/texturemap and renderer can be specified as instances or MAXClasses. If the renderer is not specified, the current renderer is tested.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --Check Mental_Ray material against Scanline Renderer --They are not compatible! theMat = Mental_Ray() --&gt;mental_ray:mental_ray theRenderer = Default_Scanline_Renderer() --&gt;Default_Scanline_Renderer:Default_Scanline_Renderer areMtlAndRendererCompatible theMat renderer:theRenderer --&gt;false --Check a Standard material against Scanline Renderer --They are compatible! theMat = Standard() --&gt;Standardmaterial:Standard areMtlAndRendererCompatible theMat renderer:theRenderer --&gt;true</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";