var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>ScanlineRender Struct</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>ScanlineRender Struct</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"scanlinerender-struct\"></a></div>\n\
<p>The following <strong>3ds Max</strong> system global variables are specific to <strong>3ds Max</strong>’s default scanline A-Buffer renderer. These variables return <span class=\'code\'>undefined</span> if the current renderer is not <strong>3ds Max</strong>’s default scanline renderer.</p>\n\
<p>{{toc}}</p>\n\
<div class=\'section\'><a id=\"render-scene-dialog-default-scanline-renderer-options\"></a><h2 id=\"render-scene-dialog-default-scanline-renderer-options\">Render Scene Dialog &gt; Default Scanline Renderer &gt; Options</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B2DC66DE-7037-4085-9EC5-083AD79E8B32-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>scanlineRender.mapping \n\
</pre></div><p>Get/set the state of the Mapping checkbox. When set to false, no mapping will be calculated by the Default Scanline Renderer. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.shadows \n\
</pre></div><p>Get/set the state of the Shadows checkbox. When set to false, no shadows will be calculated by the Default Scanline Renderer. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.enableSSE \n\
</pre></div><p>Get/set the state of the Enable SSE checkbox. When set to true, SIMD Streaming Extensions technology (SSE) will be used by the Default Scanline Renderer. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.autoReflect \n\
</pre></div><p>Get/set the state of the Auto-Reflect/Refract and Mirrors checkbox. When set to false, no reflections and refractions will be calculated by the Default Scanline Renderer for Reflect, Refract and Flat Mirror maps. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.forceWireframe \n\
</pre></div><p>Get/set the state of the Force Wireframe checkbox. When set to true, all face edges will be rendered as wireframes by the Default Scanline Renderer. Default is false.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.wireThickness \n\
</pre></div><p>Get/set the value of the Wire Thickness spinner in pixels.</p>\n\
<div class=\'section\'><a id=\"render-scene-dialog-default-scanline-renderer-antialiasing\"></a><h2 id=\"render-scene-dialog-default-scanline-renderer-antialiasing\">Render Scene Dialog &gt; Default Scanline Renderer &gt; Antialiasing</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-327398E2-A379-4DE2-9B3F-82C18F333482-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>scanlineRender.antiAliasing \n\
</pre></div><p>Get/set the state of the Antialiasing checkbox. When set to false, no antialiasing will be performed. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.filterMaps \n\
</pre></div><p>Get/set the state of the Filter Map checkbox. When set to false, texture maps will not be filtered. Default is true.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.antiAliasFilter \n\
</pre></div><p>Lets you get and set the anti-aliasing filter.</p>\n\
<p>For a list of all of the anti-aliasing filters you can say:</p>\n\
<blockquote>\n\
<p>``` showClass&quot;<em>:filter</em>&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` scanlineRender.antiAliasFilter = quadratic()</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p>The anti-aliasing filters and their parameters are described in <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Render-Scene-Dialog/3ds-Max-Scanline-A-Buffer.html\' title=\'\'>3ds MaxDefault Scanline Renderer Anti-Aliasing Filters</a>.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.antiAliasFilterSize \n\
</pre></div><p>Get/set the antialiasing filter size as a floating point value.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.antiAliasFilterSizeautoReflectLevels \n\
</pre></div><div class=\'section\'><a id=\"render-scene-dialog-default-scanline-renderer-global-supersampling\"></a><h2 id=\"render-scene-dialog-default-scanline-renderer-global-supersampling\">Render Scene Dialog &gt; Default Scanline Renderer &gt; Global SuperSampling</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-4C60B536-75C6-4774-AD92-D7A578F7EC98-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>scanlineRender.enablePixelSampler \n\
</pre></div><p>Get/set the state of the Enable Global Sampler checkbox.</p>\n\
<div class=\'section\'><a id=\"render-scene-dialog-default-scanline-renderer-object-motion-blur\"></a><h2 id=\"render-scene-dialog-default-scanline-renderer-object-motion-blur\">Render Scene Dialog &gt; Default Scanline Renderer &gt; Object Motion Blur</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-B9D33D35-6CAE-4988-8EEB-D2F0811ED8DC-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>scanlineRender.objectMotionBlur \n\
</pre></div><p>Get/set the state of the <strong>Apply</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.objectBlurSamples \n\
</pre></div><p>Get/set the value of the <strong>Samples</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.objectBlurDuration \n\
</pre></div><p>Get/set the value of the <strong>Duration (frames)</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.objectBlurSubdivisions \n\
</pre></div><p>Get/set the value of the <strong>Duration Subdivisions</strong> spinner.</p>\n\
<div class=\'section\'><a id=\"render-scene-dialog-default-scanline-renderer-image-motion-blur\"></a><h2 id=\"render-scene-dialog-default-scanline-renderer-image-motion-blur\">Render Scene Dialog &gt; Default Scanline Renderer &gt; Image Motion Blur</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-7AFDE156-4912-46E9-985C-B3D2DA6ED077-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>scanlineRender.imageMotionBlur \n\
</pre></div><p>Get/set the state of the <strong>Apply</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.imageBlurTrans \n\
</pre></div><p>Get/set the state of the <strong>Transparency</strong> checkbox.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.imageBlurDuration \n\
</pre></div><p>Get/set the value of the <strong>Duration (frames)</strong> spinner.</p>\n\
<div class=\'codeBlock\'><pre>scanlineRender.imageBlurEnv \n\
</pre></div><p>Get/set the state of the <strong>Apply to Environment Map</strong> checkbox.</p>\n\
<div class=\'section\'><a id=\"render-scene-dialog-default-scanline-renderer-color-range-limiting\"></a><h2 id=\"render-scene-dialog-default-scanline-renderer-color-range-limiting\">Render Scene Dialog &gt; Default Scanline Renderer &gt; Color Range Limiting</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-AD801FA7-ADD1-4F8E-A89D-F0A727D48759-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>scanlineRender.colorClampType \n\
</pre></div><p>Get/set the <strong>Color Range Limiting</strong> radio buttons.</p>\n\
<p>Possible values are:</p>\n\
<p>0 - <strong>Clamp</strong></p>\n\
<p>1 - <strong>Scale</strong></p>\n\
<div class=\'section\'><a id=\"render-scene-dialog-default-scanline-renderer-memory-management\"></a><h2 id=\"render-scene-dialog-default-scanline-renderer-memory-management\">Render Scene Dialog &gt; Default Scanline Renderer &gt; Memory Management</h2></div>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-D6E90AD0-8B2E-4955-8920-0E343D396CE2-low.png\' title=\'\'></div>\n\
<div class=\'codeBlock\'><pre>scanlineRender.conserveMemory \n\
</pre></div><p>Get/set the state of the <strong>Conserve Memory</strong> checkbox. When checked, the Scanline Renderer will use a memory conserving mode which slightly increases render time.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";