var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Time Configuration Dialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Time Configuration Dialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"time-configuration-dialog\"></a></div>\n\
<p>The following methods get and set options in the Time Configuration dialog:</p>\n\
<div class=\'codeBlock\'><pre>getKeyStepsPos()        \n\
setKeyStepsPos &lt;boolean&gt;     \n\
</pre></div><p>Get and set whether to jump to next position key when Key Mode Toggle is on.</p>\n\
<div class=\'codeBlock\'><pre>getKeyStepsRot()     \n\
setKeyStepsRot &lt;boolean&gt;   \n\
</pre></div><p>Get and set whether to jump to next rotation key when Key Mode Toggle is on.</p>\n\
<div class=\'codeBlock\'><pre>getKeyStepsScale()   \n\
setKeyStepsScale &lt;boolean&gt; \n\
</pre></div><p>Get and set whether to jump to next scale key when Key Mode Toggle is on.</p>\n\
<div class=\'codeBlock\'><pre>getKeyStepsSelOnly() \n\
setKeyStepsSelOnly &lt;boolean&gt; \n\
</pre></div><p>Get and set whether to use Selected Objects Only when Key Mode Toggle is on.</p>\n\
<div class=\'codeBlock\'><pre>getKeyStepsUseTrans() \n\
setKeyStepsUseTrans &lt;boolean&gt; \n\
</pre></div><p>Get and set whether to Use Current Transform when Key Mode Toggle is on.</p>\n\
<p><strong>The following 3ds Max system global variables are applicable to the Time Configuration dialog:</strong></p>\n\
<div class=\'codeBlock\'><pre>animationRange \n\
</pre></div><p>A System Global variable which lets you get and set an Interval value that defines the start and end frames of the Active Time Segment.</p>\n\
<p>It contains the values set in the Time Configuration dialog&gt;Animation&gt;Start Time and End Time and displayed by the Active Time Segment option in the Time Output group of controls in the Render Scene Dialog.</p>\n\
<p>The start and end values of the <span class=\'code\'>animationRange</span> interval can be read individually using <span class=\'code\'>animationRange.start</span> and <span class=\'code\'>animationRange.end</span> .</p>\n\
<p>They cannot be set separately though- the complete interval has to be assigned to the <span class=\'code\'>animationRange</span> variable.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES:</strong></p>\n\
<p>``` animationRange --Get the current animation range (interval 0f 100f) animationRange = interval 10 50 --Set range to frames 10 to 50 (interval 10f 50f) animationRange.start --Get the start frame of the range 10f animationRange.end --Get the end frame of the range 50f --To change the end frame of the interval only: animationRange = interval animationRange.start 90f (interval 10f 90f)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>frameRate \n\
</pre></div><p>A System Global variable which lets you get and set an Integer value that defines the current scene frame rate in frames-per-second.</p>\n\
<p>It contains the corresponding value set in the Time Configuration dialog.</p>\n\
<div class=\'codeBlock\'><pre>playActiveOnly timeConfiguration.playActiveOnly \n\
</pre></div><p>A System Global variable which lets you get and set whether to playback the active viewport only.</p>\n\
<p>It contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Active Viewport Only is on, <span class=\'code\'>false</span> if off.</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.playbackSpeed \n\
</pre></div><p>A System Global variable which lets you get and set the viewport playback speed as an indexed <integer>.<p>\n\
<p>The valid values for the integer are: 1 - 1/4x, 2 - 1/2x, 3 - 1x, 4 - 2x, 5 - 4x.</p>\n\
<div class=\'codeBlock\'><pre>realTimePlayback timeConfiguration.realTimePlayback \n\
</pre></div><p>A System Global variable which lets you get and set whether to playback in real time mode.</p>\n\
<p>It contains the corresponding value set in the Time Configuration dialog.</p>\n\
<p>A Boolean value - <span class=\'code\'>true</span> if Real Time is on, <span class=\'code\'>false</span> if off.</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.playbackLoop \n\
</pre></div><p>A System Global variable which lets you get and set whether to loop the viewport playback.</p>\n\
<p>Corresponds to the Loop checkbox in the Time Configuration dialog.</p>\n\
<p>Only used when time Configuration <span class=\'code\'>.realTimePlayback</span> is set to <span class=\'code\'>true</span> .</p>\n\
<p>Available in <strong>3ds Max 8 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>timeConfiguration.useTrackBar \n\
</pre></div><p>A System Global variable which lets you get and set the state of the Time Configuration dialog &#39;Key Steps / Use TrackBar&#39; check box.</p>\n\
<p>A Boolean Value - <span class=\'code\'>true</span> if checked, <span class=\'code\'>false</span> if not.</p>\n\
</integer>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";