var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Time Control</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Time Control</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"time-control\"></a></div>\n\
<p>The following methods and <strong>3ds Max</strong> system global variables are associated with the <strong>3ds Max</strong> Time Controls:</p>\n\
<div class=\'codeBlock\'><pre>animButtonEnabled\n\
</pre></div><p>A Boolean value that specifies whether the user can change the state of the Auto Key button.</p>\n\
<p>If set to True, the user can change the Auto Key button state.</p>\n\
<p>If set to False, the user cannot change the Auto Key button state.</p>\n\
<p>A script can change the state of the Auto Key button using animButtonState regardless of the animButtonEnabled value.</p>\n\
<div class=\'codeBlock\'><pre>animButtonState\n\
</pre></div><p>Lets you to get and set the state of the Auto Key button as a Boolean value.</p>\n\
<p>When set to True, the Auto Key button is on and changing scene objects will create animation keys.</p>\n\
<p>When set to False, the Auto Key button is off.</p>\n\
<p><strong>HISTORY:</strong> In the early 3ds Max versions, there was no Set Key mode and the Auto Key button was called the Animate button.The name is still used for compatibility reasons.</p>\n\
<div class=\'codeBlock\'><pre>animateMode\n\
</pre></div><p>Lets you to get and set the animate mode without affecting the Auto Key button state. Available in <strong>3ds Max 2017 and higher</strong>.</p>\n\
<p>When set to True, changing object properties will set animation keys, but the Auto Key button will not be checked.</p>\n\
<div class=\'codeBlock\'><pre>sliderTime\n\
</pre></div><p>Lets you get and set a Time value that defines the time associated with the <strong>3ds Max</strong> time slider.</p>\n\
<p>Two functions are provided for starting and stopping the <strong>3ds Max</strong> animation playback, which are essentially equivalent to pressing the Play button in the <strong>3ds Max</strong> user interface.</p>\n\
<p>The functions are:</p>\n\
<div class=\'codeBlock\'><pre>playAnimation [ #selOnly ] immediateReturn:&lt;boolean&gt;\n\
\n\
stopAnimation()\n\
</pre></div><p>If you specify the optional argument, <span class=\'code\'>#selOnly</span> , to <span class=\'code\'>playAnimation()</span> only the currently selected objects are animated.</p>\n\
<p>If <span class=\'code\'>immediateReturn</span> is set to False or not specified, and Real Time Playback is on ( <span class=\'code\'>realTimePlayback = true</span> ), the method does not return until animation playback is stopped.</p>\n\
<p>If <span class=\'code\'>immediateReturn</span> is set to True, or Real Time Playback is off ( <span class=\'code\'>realTimePlayback = false</span> ), the method returns immediately.</p>\n\
<p>There is an important restriction to understand when using these functions:</p>\n\
<p>Calling <span class=\'code\'>playAnimation()</span> is a thread-blocking call internally in <strong>3ds Max</strong> and does not return until the playback is stopped by the user clicking the Stop Play button or another thread executing a <span class=\'code\'>stopAnimation()</span> .</p>\n\
<p>The only way to achieve the latter in MAXScript currently is to call <span class=\'code\'>stopAnimation()</span> from a scripted rollout panel handler such as a button press handler or from a scripted controller script.</p>\n\
<p>If you invoke <span class=\'code\'>playAnimation()</span> in code run from the Listener, you will not be able to invoke <span class=\'code\'>stopAnimation()</span> from the Listener because the Listener is blocked inside the <span class=\'code\'>playAnimation()</span> call.</p>\n\
<div class=\'codeBlock\'><pre>isAnimPlaying()\n\
</pre></div><p>Returns True if the animation is currently playing, False otherwise.</p>\n\
<p>Available in <strong>3ds Max 2008 and higher</strong>. Previously available in the <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>Also see <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Time-Control/Time-Configuration-Dialog.html\' title=\'\'>Time Configuration Dialog</a> for methods for setting options in the Time Configuration dialog.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";