var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Time Tags Access using the FrameTagManager Interface</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Time Tags Access using the FrameTagManager Interface</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"time-tags-access-using-the-frametagmanager-interface\"></a></div>\n\
<p>The Time Tags are used to define reference points on the time line for quick navigation.</p>\n\
<p>They are now accessible via the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FrameTagManager.html\' title=\'\'>FrameTagManager Interface</a> (corresponding to the IFrameTagManager interface in the SDK).</p>\n\
<p>The example below demonstrates the access to time tags via MAXscript using the FrameTagManager Interface.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` ntags = FrameTagManager.GetTagCount() --&gt; 0 tag1 = FrameTagManager.CreateNewTag &quot;tag1&quot; 15 --&gt; 1 tag2 = FrameTagManager.CreateNewTag &quot;tag2&quot; 25 lockID:tag1 scale:true --&gt; 2 tag3 = FrameTagManager.CreateNewTag &quot;tag3&quot; 25 scale:false--&gt;3 loop1 = FrameTagManager.CheckForLoop tag1 tag2 --&gt; false loop2 = FrameTagManager.CheckForLoop tag2 tag1 --&gt; true loop3 = FrameTagManager.CheckForLoop tag1 tag3 --&gt; false loop4 = FrameTagManager.CheckForLoop tag3 tag1 --&gt; false ntags = FrameTagManager.GetTagCount() --&gt; 3 for i = 1 to ntags do ( id = FrameTagManager.GetTagID i tagTime = FrameTagManager.GetTimeByID id tagLockID = FrameTagManager.GetLockIDByID id tagName = FrameTagManager.GetNameByID id tagScale = FrameTagManager.GetScaleByID id format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale ) FrameTagManager.SetTimeByID tag1 10 --&gt; ok FrameTagManager.SetLockIDByID tag3 tag2 --&gt; true FrameTagManager.SetNameByID tag1 &quot;modified tag1&quot; --&gt; ok FrameTagManager.SetScaleByID tag1 false --&gt; ok ntags = FrameTagManager.GetTagCount() --&gt; 3 for i = 1 to ntags do ( id = FrameTagManager.GetTagID i tagTime = FrameTagManager.GetTimeByID id tagLockID = FrameTagManager.GetLockIDByID id tagName = FrameTagManager.GetNameByID id tagScale = FrameTagManager.GetScaleByID id format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale ) FrameTagManager.SetTimeByID tag2 5 relative:true --&gt; ok ntags = FrameTagManager.GetTagCount() --&gt; 3 for i = 1 to ntags do ( id = FrameTagManager.GetTagID i tagTime = FrameTagManager.GetTimeByID id tagLockID = FrameTagManager.GetLockIDByID id tagName = FrameTagManager.GetNameByID id tagScale = FrameTagManager.GetScaleByID id format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale ) FrameTagManager.DeleteTag tag2 --&gt; ok FrameTagManager.FindItem tag2 --&gt; 0 FrameTagManager.FindItem tag3 --&gt; 2 ntags = FrameTagManager.GetTagCount() --&gt; 2 for i = 1 to ntags do ( id = FrameTagManager.GetTagID i tagTime = FrameTagManager.GetTimeByID id tagLockID = FrameTagManager.GetLockIDByID id tagName = FrameTagManager.GetNameByID id tagScale = FrameTagManager.GetScaleByID id format &quot;%: id:%; name:%; time:%; lockID:%; scale:%\\n&quot; i id tagName tagTime tagLockID tagScale ) FrameTagManager.SetLockIDByID tag1 tag3 --&gt; true FrameTagManager.GetTimeByID tag1 --&gt; 10f FrameTagManager.SetLockIDByID tag3 tag1 --&gt; false FrameTagManager.GetTimeByID tag3 --&gt; 20f FrameTagManager.CheckForLoop tag1 tag3 --&gt; true FrameTagManager.CheckForLoop tag3 tag1 --&gt; false FrameTagManager.SetLockIDByID tag1 0 --&gt; true FrameTagManager.GetTimeByID tag1 --&gt; 10f FrameTagManager.FindItemByTime 10 --&gt; 1 FrameTagManager.FindItemByTime 15 --&gt; 0 FrameTagManager.FindItemByTime 20 --&gt; 2</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";