var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Track View</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Track View</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"track-view\"></a></div>\n\
<p>The Track View window functions are in a structure package named trackView.</p>\n\
<p>These functions operate on named Track Views, and in many cases you identify the Track View window by this name.</p>\n\
<p>The Track View functions are:</p>\n\
<div class=\'codeBlock\'><pre>trackView.open &lt;name_string&gt;\n\
</pre></div><p>Opens an existing Track View with the specified name, or creates a new Track View with specified name. Returns the value True.</p>\n\
<div class=\'codeBlock\'><pre>trackView.zoomSelected &lt;name_string&gt;\n\
</pre></div><p>Zoom the named Track View on the currently selected object.</p>\n\
<p>The World track must be expanded for this function to operate.</p>\n\
<p>The Object track will automatically be expanded if is closed.</p>\n\
<p>The hierarchy display is scrolled such that the selected object’s track is placed at the top of the window.</p>\n\
<p>If multiple objects are selected, the first object in the hierarchy that is selected will be placed at the top of the window.</p>\n\
<p>If there are no selected objects, no operation occurs.</p>\n\
<p>This method will return True, except when the named Track View does not exist or is not open, when it returns False.</p>\n\
<div class=\'codeBlock\'><pre>trackView.close &lt;name_string&gt;\n\
</pre></div><p>Closes the named Track View.</p>\n\
<p>This method will return True, except when the named Track View does not exist or is not open, when it returns False.</p>\n\
<div class=\'codeBlock\'><pre>trackView.pickTrackDlg [#multiple] [&lt;filter_function&gt;] [options:&lt;integer&gt;]\n\
</pre></div><p>See separate topic: <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/Track-View-Pick-Dialog.html\' title=\'\'>Track View Pick Dialog</a> for details.</p>\n\
<div class=\'codeBlock\'><pre>trackView.numTrackViews()\n\
</pre></div><p>Returns the number of named Track Views defined</p>\n\
<div class=\'codeBlock\'><pre>trackView.getTrackViewName &lt;index_integer&gt;\n\
</pre></div><p>Returns the name of the indexed Track View as a String.</p>\n\
<p>Index values are 1-based.</p>\n\
<div class=\'codeBlock\'><pre>trackView.setFilter &quot;name_string&quot; {&lt;filter_flag_name&gt;} [#noRedraw]\n\
trackView.clearFilter &quot;name_string&quot; {&lt;filter_flag_name&gt;} [#noRedraw]\n\
trackview.testFilter {filter_flag_name}\n\
</pre></div><p>These methods allow you to set, clear, and test display filters flags to control what is visible in a named Track View.</p>\n\
<p>The first two methods will return True, except when the named Track View does not exist or is not open, when it returns False.</p>\n\
<p>Available in <strong>in 3ds Max 2018 and higher:</strong> The third method, <span class=\'code\'>testFilter()</span>, will return true if one or more of the supplied flags is set.</p>\n\
<p>You can supply as many filter flags as desired per call.</p>\n\
<p>The valid filter flag names are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Flag</th>\n\
<th align=\"left\">Note</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#all</span></td>\n\
<td align=\"left\">Set or clear all flags</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#default</span></td>\n\
<td align=\"left\">Set default view flags. <strong>Note</strong>: if non-default flags have been set, these remain set when setFilter() is called with this flag.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#selectedObjects</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#selectedTracks</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#animatedTracks</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#spacewarpBindings</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#modifiedObjects</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#transforms</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#baseObjects</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#positionX</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#positionY</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#positionZ</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#positionW</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#rotationX</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#rotationY</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#rotationZ</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#scaleX</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#scaleY</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#scaleZ</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#red</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#green</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#blue</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#alpha</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#controllerTypes</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#noteTracks</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#sound</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#materialsMaps</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#materialParameters</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#visibilityTracks</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#hideGeometry</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#hideShapes</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#hideLights</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#hideCameras</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#hideHelpers</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#hideSpacewarps</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#visibleObjects</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#position</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#rotation</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#scale</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#curveX</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#curveY</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#curveZ</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#curveW</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#staticValues</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#hierarchy</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#objects</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#boneobjects</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#keyableTracks</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>#activelayer</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>#unlockedTracks</span></td>\n\
<td align=\"left\"></td>\n\
</tr>\n\
</table>\n\
<p><strong>The following 3ds Max system global variables are applicable to Track View:</strong></p>\n\
<div class=\'codeBlock\'><pre>globalTracks\n\
</pre></div><p>Contains a MAXTVNode value that defines the top-level Global Tracks node in Track View.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\' title=\'\'>Track View Nodes</a>.</p>\n\
<p>This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>trackViewNodes\n\
</pre></div><p>Contains a MAXTVNode value that defines top-level World node in Track View.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\' title=\'\'>Track View Nodes</a>.</p>\n\
<p>This variable is read-only.</p>\n\
<div class=\'codeBlock\'><pre>videoPostTracks\n\
</pre></div><p>Contains a MAXTVNode value that defines the top-level Video Post Track View node.</p>\n\
<p>See <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Scene-Root-And-Track-View-Nodes/Track-View-Nodes.html\' title=\'\'>Track View Nodes</a>.</p>\n\
<p>This variable is read-only.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";