var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Track View Pick Dialog</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Track View Pick Dialog</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"track-view-pick-dialog\"></a></div>\n\
<p>The Track View Pick dialog displays the hierarchy for the <strong>3ds Max</strong> scene in a manner similar to what is seen in Track View. The user can select one or more items from this dialog. The following method displays the Track View Pick dialog:</p>\n\
<div class=\'codeBlock\'><pre>trackView.pickTrackDlg [#multiple][&lt;filter function&gt;] [options:&lt;integer&gt;]\n\
</pre></div><p>This method brings up the Track View Pick dialog and returns a <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Track-View/GUID-B3D86BDD-E947-43F3-B57B-168A1420E3FA.html\' title=\'\'>TrackViewPick value</a> when the user selects a track and clicks &quot;Ok&quot;, or <span class=\'code\'>undefined</span> if the user clicks &quot;Cancel&quot;.</p>\n\
<p>If the optional argument <span class=\'code\'>#multiple</span> is passed, multiple tracks can be picked in the dialog and an array of TrackViewPick values is returned instead of a single value.</p>\n\
<p>If the optional <span class=\'code\'>filter_function</span> is supplied, each track is passed to the function as a TrackViewPick value. If the function returns true, the track is selectable in the Track View Pick dialog.</p>\n\
<p>If the optional keyword argument <span class=\'code\'>options</span> : is specified, the bits of the integer value define what is shown in the Track View Pick dialog.</p>\n\
<p>The bits are:</p>\n\
<div class=\'codeBlock\'><pre>1: turn on display of animated tracks only\n\
2: turn off display of node Visibility track\n\
3: turn on display of only selected nodes\n\
4: turn off display of World Space Modifiers\n\
5: turn off display of Object Space Modifiers\n\
6: turn off display of node Transform track\n\
7: turn off display of node base object\n\
8: turn off display of controller types\n\
9: turn off display of note tracks\n\
10: turn off display of the sound track\n\
11: turn off display of maps in materials\n\
12: turn off display of material parameters\n\
13: turn on display of hidden nodes\n\
14: turn off display of hierarchy\n\
15: turn off display of non-keyable tracks\n\
16: turn off display of nodes\n\
17: turn off display of geometry nodes\n\
18: turn off display of shape nodes\n\
19: turn off display of light nodes\n\
20: turn off display of camera nodes\n\
21: turn off display of helper nodes\n\
22: turn off display of warp nodes\n\
23: turn off display of position controllers\n\
24: turn off display of rotation controllers\n\
25: turn off display of scale controllers\n\
26: turn off display of bone nodes\n\
27: set focus to first selected node found\n\
\n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>``` theInt = 0 theInt = bit.set theInt 1 true --animated tracks only theInt = bit.set theInt 3 true --display selected nodes only theInt = bit.set theInt 10 true --hide sound track theTrack = trackView.pickTrackDlg options:theInt --open dialog</p>\n\
<p>```</p>\n\
<p>You can also use the following function to turn a bitarray into an integer with bits set according to the flags described above. The resulting integer can be passed to the named <span class=\'code\'>options</span> : parameter:</p>\n\
<p>``` fn bitArrayToInt theBitArray = ( local theInt = 0 for i in theBitArray do theInt = bit.set theInt i true theInt ) theInt =bitArrayToInt #{1,3,10} theTrack = trackView.pickTrackDlg options:theInt</p>\n\
<p>```</p>\n\
\n\
<div class=\'section\'><a id=\"trackviewpick-value\"></a><h2 id=\"trackviewpick-value\">TrackViewPick : Value</h2></div>\n\
<p>Instances of the TrackViewPick class store the result of a selection from the Track View Pick dialog. A TrackViewPick value has the following properties:</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackViewPick&gt;.name : string\n\
</pre></div><p>The name of the picked item as shown in the Track View Pick dialog.</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackViewPick&gt;.anim : subAnim\n\
</pre></div><p>The subAnim for the item the user picked.</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackViewPick&gt;.client : MAXWrapper\n\
</pre></div><p>The owner of the subAnim for the item the user picked. If the owner is a subclass of MAXWrapper, the MAXWrapper value for the owner is returned. Otherwise, a value of <span class=\'code\'>undefined</span> is returned.</p>\n\
<div class=\'codeBlock\'><pre>&lt;trackViewPick&gt;.subNum: integer\n\
</pre></div><p>The subAnim index for <span class=\'code\'>anim</span> in <span class=\'code\'>client</span> .</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` -- Create a sphere, apply a bend modifier and execute: s=sphere() b=bend() addmodifier $Sphere001 b tvp=trackview.pickTrackDlg() -- pick objects-&gt;Sphere01-&gt;Modified object-&gt;Bend-&gt;Angle tvp.anim -- returns SubAnim:Angle tvp.client -- returns Bend:Bend tvp.subNum -- returns 3 tvp.name -- returns &quot;Angle&quot; tvp.client[tvp.subNum] -- returns SubAnim:Angle</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";