var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Trackviews</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Trackviews</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"trackviews\"></a></div>\n\
<p>Note:</p>\n\
<p>The methods listed below reflect the features of releases prior to <strong>3ds Max 5</strong>.</p>\n\
<p>TrackView was completely rewritten in <strong>3ds Max 5</strong>.</p>\n\
<p>For access to the new features, please look under <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\' title=\'\'>Interface: trackviews</a></p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>trackviews.isOpen &lt;value&gt;name or index   \n\
</pre></div><p>Returns a boolean value indicating if the specified trackview is open.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.isCurrent &lt;value&gt;name or index   \n\
</pre></div><p>Returns a boolean value indicating if the trackview is the last one used or not.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.setCurrent &lt;value&gt;name or index \n\
</pre></div><p>Sets the specified trackview to be the current one. Returns true if successful.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.currentTrackView \n\
</pre></div><p>Read only property that returns the interface for the currently used trackview. Returns undefined if the trackview is closed.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.lastUsedTrackViewName \n\
</pre></div><p>Read only property that returns the name of the current trackview.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.openLastUsedTrackView() \n\
</pre></div><p>Opens the current trackview if it has been closed.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.delete &lt;value&gt;name or index\n\
</pre></div><p>Deletes the specified trackview.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.close &lt;value&gt;name or index \n\
</pre></div><p>You can now close a trackview based on it&#39;s index or name.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.open &lt;value&gt;name or index \n\
</pre></div><p>You can now open a trackview based on it&#39;s index or name.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.getTrackView &lt;value&gt;name or index \n\
</pre></div><p>This method will get a trackview based on it’s index or name.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p><span class=\'code\'>showInterface (trackviews.getTrackView 1)   trackviews.()                                                   getAllTrackViews</span></p>\n\
<p>The above script returns an array of trackviews.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>trackviews.numTrackViews() \n\
</pre></div><p>Returns the number of trackviews.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.getTrackViewName &lt;index&gt;index \n\
</pre></div><p>Returns the name of the trackview window based on the index.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;setName &lt;string&gt;name \n\
</pre></div><p>Sets the name of the trackview window</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;getNumTracks() \n\
</pre></div><p>Gets the number of tracks currently displayed in trackview</p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;numSelTracks() \n\
</pre></div><p>Gets the number of selected tracks</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;canAssignController() \n\
</pre></div><p>Tests to see if all selected tracks are of the same type</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;assignControllerDialog \n\
</pre></div><p>Invokes the assign controller dialog if canAssignController()</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;assignController &lt;maxObject&gt;controller \n\
</pre></div><p>Assigns the controller to the selected tracks if canAssignController() is true and the controller is the appropriate type</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;showControllerTypes &lt;boolean&gt;state \n\
</pre></div><p>Sets the ShowControllerType property</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;expandTracks() \n\
</pre></div><p>Expands all tracks</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;zoomSelected() \n\
</pre></div><p>Zooms to the selected object&#39;s track</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;zoomOnTrack &lt;maxObject&gt;parent &lt;index&gt;subNum \n\
</pre></div><p>Zooms to the track defined by the parent and the subNum</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getTrack &lt;index&gt;index \n\
</pre></div><p>Returns the object belonging to the indexed track</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getParent &lt;index&gt;index \n\
</pre></div><p>Gets the parent of the object belonging to the index track. If the object is a position controller, the parent is the Transform controller</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getSelected &lt;index&gt;index \n\
</pre></div><p>Gets the objects belonging to the selected, indexed track</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;getParentOfSelected &lt;index&gt;index \n\
</pre></div><p>Gets the indexed selected tracks parent object</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getSelectedSubNum &lt;index&gt;index \n\
</pre></div><p>Gets the subNum of the selected track</p>\n\
<div class=\'codeBlock\'><pre>&lt;index&gt;getIndex &lt;maxObject&gt;object \n\
</pre></div><p>Gets the index for the animatable object</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;selectTrackByIndex &lt;index&gt;index &lt;boolean&gt;clearSelection \n\
</pre></div><p>Selects tracks by index</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;selectTrack &lt;maxObject&gt;object &lt;boolean&gt;clearSelection \n\
</pre></div><p>Selects tracks by object</p>\n\
<p>A trackview interface can be obtained for one of the currently open trackviews using one of the following methods.</p>\n\
<div class=\'codeBlock\'><pre>trackviews.getTrackViewByName &lt;name as string&gt; \n\
trackviews.getTrackViewByIndex &lt;index as int&gt;  \n\
trackviews.getAllTrackViews() \n\
</pre></div><p>Once you have an instance of the trackview interface you can call the following new methods on it.</p>\n\
<div class=\'codeBlock\'><pre>getEditMode() \n\
</pre></div><p>Gets the current edit mode as an symbolic enum.</p>\n\
<div class=\'codeBlock\'><pre>setEditMode &lt;type as symbolic enum&gt; \n\
</pre></div><p>Sets the current edit mode</p>\n\
<div class=\'codeBlock\'><pre>editMode \n\
</pre></div><p>Property to do the same as the above two methods</p>\n\
<p>Valid symbolic enum values are:</p>\n\
<div class=\'codeBlock\'><pre>#editKeys #editTime #editFCurves #editRanges #positionRanges\n\
</pre></div>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";