var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Vertex_Paint_Floater : ReferenceTarget</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Vertex_Paint_Floater : ReferenceTarget</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"vertex_paint_floater-referencetarget\"></a></div>\n\
<p>The <span class=\'code\'>VertexPaintTool</span> primitive provides access to the Vertex Paint Floater used by the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/VertexPaint-Modifier.html\' title=\'\'>VertexPaint Modifier</a>. It returns a <span class=\'code\'>Vertex_Paint_Floater ReferenceTarget</span> with the following properties:</p>\n\
<p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>.curPaintMode (Current_Paint_Mode) : integer     \n\
</pre></div><p>Get/Set the current paint mode.</p>\n\
<div class=\'codeBlock\'><pre>.mapDisplayChannel (Map_Channel) : integer   \n\
</pre></div><p>Get/Set the current map channel.</p>\n\
<div class=\'codeBlock\'><pre>.brushOpacity (Paint_Strength) : float \n\
</pre></div><p>Get/Set the brush opacity.</p>\n\
<div class=\'codeBlock\'><pre>.brushSize (Paint_Strength) : float \n\
</pre></div><p>Get/Set the brush size.</p>\n\
<div class=\'codeBlock\'><pre>.paintColor (Paint_Color) : RGBcolor \n\
</pre></div><p>Get/Set the brush color.</p>\n\
<div class=\'codeBlock\'><pre>.blurStrength (Blur_Strength) : float \n\
</pre></div><p>Get/Set the brush strength.</p>\n\
<div class=\'codeBlock\'><pre>.windowPosX (Window_Pos_X) : integer \n\
</pre></div><p>Get/Set the horizontal position of the Vertex Paint Floater relatively to the upper left corner of the Windows desktop.</p>\n\
<div class=\'codeBlock\'><pre>.windowPosY (Window_Pos_Y) : integer \n\
</pre></div><p>Get/Set the vertical position of the Vertex Paint Floater relatively to the upper left corner of the Windows desktop.</p>\n\
<div class=\'codeBlock\'><pre>.MapDisplayChannelLock : boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the channel will be locked.</p>\n\
<p>When the lock is enabled, the user cannot manually change the display channel in the floater. Instead, it will always reflect the paint channel of the active VertexPaint modifier, if any.</p>\n\
<div class=\'codeBlock\'><pre>.KeepToolboxOpen : boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , the vertex paint floater will remain open after the modifier is closed. The default is <span class=\'code\'>false</span></p>\n\
<div class=\'codeBlock\'><pre>.HideUnselSubobjs : boolean \n\
</pre></div><p>When set to <span class=\'code\'>true</span> , only the selected subobjects are drawn in the viewport, when <span class=\'code\'>false</span> , selected and unselected subobjects are both drawn, in different colors. The default is <span class=\'code\'>false</span></p>\n\
<div class=\'codeBlock\'><pre>.MirrorMode : boolean \n\
</pre></div><p>Turns the PainterInterface mirror mode on and off</p>\n\
<div class=\'codeBlock\'><pre>.MirrorModeAxis : integer \n\
</pre></div><p>Determines the mirror axis. Possible values are:</p>\n\
<p>0 - X</p>\n\
<p>1 - Y</p>\n\
<p>2 - Z</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` v = VertexPaintTool() ReferenceTarget:Vertex_Paint_Floater v.brushOpacity = 50 50</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";