var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Adaptive Degradation Access</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Adaptive Degradation Access</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"adaptive-degradation-access\"></a></div>\n\
<p>The following method pairs can be used to control the Adaptive Degradation system which was redesigned in <strong>3ds Max 2008</strong>.</p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-0D193017-2B58-4FD4-BA41-5E62DDF8790A-low.gif\' title=\'\'></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;viewport.GetAdaptiveDegGoalFPS()         viewport.SetAdaptiveDegGoalFPS &lt;float&gt;   \n\
</pre></div><p>Get/Set the &quot;Maintain Frames Per Second&quot; target frame rate. This is the frame rate the adaptive degradation system will try to keep.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDrawBackfaces()      viewport.SetAdaptiveDegDrawBackfaces &lt;boolean&gt;   \n\
</pre></div><p>Gets/Sets the state of the <strong>&quot;Draw Backfaces During Degrade&quot;</strong> option. When set to true, backfaces will be drawn when degrading even for objects whose backface cull option is turned on, thus improving performance.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegNeverDegradeSelected()   viewport.SetAdaptiveDegNeverDegradeSelected &lt;boolean&gt; \n\
</pre></div><p>Gets/Sets the state of the <strong>&quot;Never Degrade Selected&quot;</strong> option. When set to true, selected objects will never get degraded allowing the user to focus on them.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDegradeLight() viewport.SetAdaptiveDegDegradeLight &lt;boolean&gt; \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Degrade to Default Lighting&quot;</strong> option. When true, the system will degrade the lights to just the default headlight.</p>\n\
<div class=\'codeBlock\'><pre>viewport.GetAdaptiveDegNeverRedrawAfterDegrade() viewport.SetAdaptiveDegNeverRedrawAfterDegrade \n\
</pre></div><p>Get/Set the state of the <strong>&quot;Never Redraw After Degrade&quot;</strong> option. When true, the system will remain in degraded state even after a mouse up. On large scenes this can help reduce pauses caused by full redraws between navigation operations.</p>\n\
<div class=\'section\'><a id=\"adapt-object-display-by-priority\"></a><h3 id=\"adapt-object-display-by-priority\">Adapt Object Display by Priority</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeCurrent() viewport.SetAdaptiveDegDisplayModeCurrent &lt;boolean&gt; \n\
</pre></div><p>Get/Set whether to use the current display mode when degrading.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeFastShaded viewport.SetAdaptiveDegDisplayModeFastShaded &lt;boolean&gt; \n\
</pre></div><p>Get/Set whether to use the fast shaded display mode when degrading.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeWire() viewport.SetAdaptiveDegDisplayModeWire &lt;boolean&gt; \n\
</pre></div><p>Get/Set whether to use the wireframe display mode when degrading.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeBox() viewport.SetAdaptiveDegDisplayModeBox &lt;boolean&gt; \n\
</pre></div><p>Get/Set whether to use the box display mode when degrading.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModePoint() viewport.SetAdaptiveDegDisplayModePoint &lt;boolean&gt; \n\
</pre></div><p>Get/Set whether to replace objects with point drawing primitives when degrading.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegDisplayModeHide() viewport.SetAdaptiveDegDisplayModeHide &lt;boolean&gt; \n\
</pre></div><p>Get/Set whether to hide objects when degrading.</p>\n\
<div class=\'section\'><a id=\"prioritize-scene-objects\"></a><h3 id=\"prioritize-scene-objects\">Prioritize Scene Objects</h3></div>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;viewport.GetAdaptiveDegCameraDistancePriority() viewport.SetAdaptiveDegCameraDistancePriority &lt;float&gt; \n\
</pre></div><p>Get/Set the <strong>&quot;Distance from Camera&quot;</strong> value. This weights whether the distance from camera or screen size is used to determine which objects will be degraded.</p>\n\
<div class=\'codeBlock\'><pre>&lt;float&gt;viewport.GetAdaptiveDegScreenSizePriority() viewport.SetAdaptiveDegScreenSizePriority &lt;float&gt; \n\
</pre></div><p>Get/Set the <strong>&quot;Screen Size&quot;</strong> value. This weights whether the distance from camera or screen size is used to determine the degradation priorities.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;viewport.GetAdaptiveDegMinSize() viewport.SetAdaptiveDegMinSize &lt;integer&gt; \n\
</pre></div><p>Get/Set the value of the <strong>&quot;Force objects displayed smaller than N pixels to the lowest priority&quot;</strong> option.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";