var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Miscellaneous Viewport Methods and System Globals</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Miscellaneous Viewport Methods and System Globals</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"miscellaneous-viewport-methods-and-system-globals\"></a></div>\n\
<div class=\'codeBlock\'><pre>createPreview()      \n\
</pre></div><p>Creates a viewport preview using the current values in the Make Preview dialog.</p>\n\
<p>A number of <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\' title=\'\'>optional keyword arguments</a> have been added to control the createPreview settings indendently from the Make Preview dialog settings. Available in <strong>3ds Max 2013 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>getVPortBGColor()    \n\
setVPortBGColor()   \n\
</pre></div><p>Get and set the viewport background color as a Color value.</p>\n\
<div class=\'codeBlock\'><pre>isCPEdgeOnInView() \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if the construction plane is &#39;head on&#39; in the current viewport. For example if the construction plane was XY and you were looking from the Front view, this method would return <span class=\'code\'>true</span> . This is used for example during object creation because this process doesn&#39;t work very well when the view is &#39;head on&#39;.</p>\n\
<div class=\'codeBlock\'><pre>axisTripodLocked() \n\
</pre></div><p>This method returns <span class=\'code\'>true</span> if the axis tripods are locked, that is, they won’t move when you move an object or sub-object, <span class=\'code\'>false</span> otherwise.</p>\n\
<div class=\'codeBlock\'><pre>lockAxisTripods &lt;boolean&gt; \n\
</pre></div><p>If <span class=\'code\'>&lt;boolean&gt;</span> is <span class=\'code\'>true</span> , this method locks the axis tripods so that they will not be updated. If <span class=\'code\'>false</span> , the axis tripods will be updated.</p>\n\
<p>Note: In certain cases, the <span class=\'code\'>lockAxisTripods()</span> method can cause multiple Assertion Failures. This occurs when one or more objects are selected, <span class=\'code\'>lockAxisTripods true</span> is executed, and then the objects are deselected.</p>\n\
<div class=\'codeBlock\'><pre>flashNodes &lt;node_array&gt; \n\
</pre></div><p>This method is used to &#39;flash&#39; a group of nodes. This is usually used as a confirmation of some operation (for example as an indication of the completion of a pick node operation.) The nodes are briefly erased and then redrawn in the viewport to flash them.</p>\n\
<p>Note: The <span class=\'code\'>flashNodes()</span> method does not redraw the viewports after displaying the specified nodes as white wireframes. To properly redraw the viewports, call the <span class=\'code\'>forceCompleteredraw()</span> method immediately after calling <span class=\'code\'>flashNodes()</span> .</p>\n\
<p><strong>The following 3ds Max system global variables are applicable to the viewports:</strong></p>\n\
<div class=\'codeBlock\'><pre>displaySafeFrames \n\
</pre></div><p>Lets you get and set whether Show Safe Frames is on for the active viewport. A Boolean value - <span class=\'code\'>true</span> if Show Safe Frames is on, <span class=\'code\'>false</span> if off.</p>\n\
<div class=\'codeBlock\'><pre>preferences.useLargeVertexDots \n\
</pre></div><p>Lets you get and set whether to use small or large dots when representing vertices as dots. A Boolean value set to <span class=\'code\'>true</span> if you when using dots to represent vertices and a large size is desired. The value of this variable only has effect when <span class=\'code\'>UseVertexDots</span> is set to <span class=\'code\'>true</span> .This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<div class=\'codeBlock\'><pre>preferences.useTransformGizmos \n\
</pre></div><p>Lets you get and set whether to use the Transform Gizmos. A Boolean value - <span class=\'code\'>true</span> if on, <span class=\'code\'>false</span> if off. This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
<div class=\'codeBlock\'><pre>preferences.useVertexDots \n\
</pre></div><p>Lets you get and set whether to represent vertices as dots. A Boolean value set to <span class=\'code\'>true</span> when you want to use dots as the representation of the vertices in a mesh. If set to <span class=\'code\'>false</span> , ticks will be used.This variable contains the corresponding value set in the Viewports page of Customize &gt; Preferences.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";