var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Mouse Cursors</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Mouse Cursors</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"mouse-cursors\"></a></div>\n\
<p>The following methods control the <strong>mouse cursor</strong>:</p>\n\
<div class=\'codeBlock\'><pre>setWaitCursor()         \n\
setArrowCursor()     \n\
</pre></div><p>These functions can be used to display the system wait cursor during some prolonged computation and then replace it with the normal cursor. You might want to do this instead of putting up a <strong>3ds Max</strong> progress bar, which may be too heavy-weight in some situations. Note that in some cases, <strong>3ds Max</strong> may itself restore the arrow cursor underneath this one (for example, with <span class=\'code\'>loadMAXFile()</span> ), and you may need to redisplay it after such calls.</p>\n\
<div class=\'codeBlock\'><pre>setSysCur &lt;name&gt;   \n\
</pre></div><p>Sets the current system cursor to one of the standard <strong>3ds Max</strong> cursors. Valid <span class=\'code\'>&lt;name&gt;</span> values are:</p>\n\
<div class=\'codeBlock\'><pre>#move #rotate #uscale #nuscale #squash #select #arrow \n\
</pre></div><p>Note: <span class=\'code\'>setSysCur #squash</span> shows the non-uniform scale cursor.</p>\n\
<div class=\'section\'><a id=\"the-following-3ds-max-system-global-variables-are-associated-with-the-mouse\"></a><h2 id=\"the-following-3ds-max-system-global-variables-are-associated-with-the-mouse\">The following 3ds Max system global variables are associated with the mouse:</h2></div>\n\
<div class=\'codeBlock\'><pre>mouse.mode \n\
</pre></div><p>A read only variable to get the mouse mode as an <span class=\'code\'>&lt;integer&gt;</span> value.</p>\n\
<p>Return values are:</p>\n\
<p>0 - Idle;</p>\n\
<p>1 - Point;</p>\n\
<p>2 - Move</p>\n\
<div class=\'codeBlock\'><pre>mouse.buttonStates \n\
</pre></div><p>A read only variable to get the state of the mouse buttons as a 3 element <span class=\'code\'>&lt;bitArray&gt;</span>. The order of the bits is: #{Left, Middle, Right}</p>\n\
<p>Note:</p>\n\
<p>Right mouse button state is not always correct. If you right-click to bring up a right-click menu and then click in the viewport to dismiss the menu, the right mouse button is still reported as down.</p>\n\
<div class=\'codeBlock\'><pre>mouse.pos \n\
</pre></div><p>A read only variable to get the scaled mouse position in the currently active viewport as a <span class=\'code\'>&lt;point2&gt;</span> value. The coordinates are in pixel values. If the currently active viewport is a 2D view (Track View, Schematic View, Listener, etc.), the coordinates are in the first non-2D viewport.</p>\n\
<div class=\'codeBlock\'><pre>mouse.posUnscaled\n\
</pre></div><p>A read-only variable to get the unscaled mouse position in the currently active viewport as a <span class=\'code\'>&lt;point2&gt;</span> value. The coordinates are in pixel values, before UI scaling has been applied. If the currently active viewport is a 2D view (Track View, Schematic View, Listener, etc.), the coordinates are in the first non-2D viewport. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>mouse.screenpos \n\
</pre></div><p>A read only variable to get the scaled mouse position on the screen as a <span class=\'code\'>&lt;point2&gt;</span> value. The coordinates are in pixel values relative to the top-left corner of the screen, after UI scaling has been applied.</p>\n\
<div class=\'codeBlock\'><pre>mouse.screenposUnscaled\n\
</pre></div><p>A read-only variable to get the unscaled mouse position on the screen as a <span class=\'code\'>&lt;point2&gt;</span> value. The coordinates are in pixel values relative to the top-left corner of the screen, before UI scaling has been applied. Available in <strong>in 3ds Max 2017 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>mouse.inAbort \n\
</pre></div><p>Contains true if any mouse proc is currently in the process of aborting; otherwise contains false. Read-only.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";