var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Refreshing the Viewports</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Refreshing the Viewports</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"refreshing-the-viewports\"></a></div>\n\
<p>The following methods force the viewports to redraw, or control when the viewports are redrawn.</p>\n\
<div class=\'codeBlock\'><pre>redrawViews()    \n\
</pre></div><p>Causes the <strong>3ds Max</strong> viewports to be immediately redrawn in an optimal way, such that only those parts of the view that have changed are redrawn. This is different from forcing a redraw with the <span class=\'code\'>max view redraw</span> command or one of the following methods which redraw the entire scene in all views.</p>\n\
<div class=\'codeBlock\'><pre>completeRedraw()     \n\
forceCompleteRedraw [ doDisabled:&lt;boolean&gt; ]   \n\
</pre></div><p>Calling this method will cause all the viewports to be completely redrawn. This method literally forces everything (every object, every screen rectangle, every view) to be marked invalid and then the whole scene is regenerated. The individual object pipeline caches are not flushed, however. This routine is guaranteed to be slow. If the optional <span class=\'code\'>doDisabled:</span> boolean argument for <span class=\'code\'>ForceCompleteRedraw</span> is <span class=\'code\'>true</span> , disabled viewports will also be redrawn.</p>\n\
<div class=\'codeBlock\'><pre>setNeedsRedraw complete:&lt;boolean&gt; \n\
</pre></div><p>Sets an internal MAXScript flag that viewports need to be redrawn before MAXScript returns. This is equivalent to a delayed <span class=\'code\'>redrawViews()</span> .</p>\n\
<p>If <span class=\'code\'>complete:</span> is true, a flag is set that a complete viewport redraw is needed. This is equivalent to a delayed <span class=\'code\'>completeRedraw()</span> .</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>disableSceneRedraw() \n\
</pre></div><p>Turns viewport scene redraw off (disables it).</p>\n\
<p>All calls to <span class=\'code\'>DisableSceneRedraw()</span> / <span class=\'code\'>EnableSceneRedraw()</span> must be in pairs, since an internal counter is used in <strong>3ds Max</strong> to actually do the redraw enable/disable action.</p>\n\
<p>It is a better practice to use the<a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/redraw-Context.html\' title=\'\'>with redraw off Context</a> which turns off redraws only for the expression inside the Context&#39;s body.</p>\n\
<div class=\'codeBlock\'><pre>enableSceneRedraw() \n\
</pre></div><p>Turns viewport scene redraw on (enables it).</p>\n\
<p>All calls to <span class=\'code\'>DisableSceneRedraw()</span> / <span class=\'code\'>EnableSceneRedraw()</span> must be in pairs, since an internal counter is used in <strong>3ds Max</strong> to actually do the redraw enable/disable action.</p>\n\
<p>It is a better practice to use the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Names-Literal-Constants-and/Context-Expressions/redraw-Context.html\' title=\'\'>with redraw off Context</a> which turns off redraws only for the expression inside the Context&#39;s body.</p>\n\
<div class=\'codeBlock\'><pre>isSceneRedrawDisabled() \n\
</pre></div><p>Returns <span class=\'code\'>true</span> if scene redraw is disabled, <span class=\'code\'>false</span> if it is enabled.</p>\n\
<div class=\'codeBlock\'><pre>nodeInvalRect &lt;node&gt; \n\
</pre></div><p>Invalidates the rectangle in the viewports that the node is occupying. Rectangles flagged as invalid will be updated on the next screen redraw.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";