var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Viewport Background Images</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Viewport Background Images</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"viewport-background-images\"></a></div>\n\
<p>The following methods provide access to the values in the Viewport Background dialog.</p>\n\
<div class=\'codeBlock\'><pre>getBkgFrameNum &lt;time&gt;    \n\
</pre></div><p>Returns the viewport background image frame displayed at the specified time. Returns a value of -1 if no frame is to be used for specified time.</p>\n\
<div class=\'codeBlock\'><pre>getBkgImageAnimate()     \n\
setBkgImageAnimate &lt;boolean&gt;   \n\
</pre></div><p>Get and set whether Animate Background is on ( <span class=\'code\'>true</span> ), or off ( <span class=\'code\'>false)</span> .</p>\n\
<div class=\'codeBlock\'><pre>getBkgImageAspect()   \n\
setBkgImageAspect &lt;name&gt; \n\
</pre></div><p>Get and set the background image Aspect Ratio option. Valid <span class=\'code\'>&lt;name&gt;</span> values are:</p>\n\
<div class=\'codeBlock\'><pre>#view -- Match Viewport \n\
#bitmap -- Match Bitmap \n\
#output -- Match Rendering Output \n\
getBkgORType &lt;start_end_integer&gt; \n\
setBkgORType &lt;start_end_integer&gt; &lt;name&gt; \n\
</pre></div><p>Get and set the background image Start Processing and End Procession options.</p>\n\
<p><span class=\'code\'>&lt;start_end_integer&gt;</span> = 0 - Start Processing; 1 - End Processing</p>\n\
<p>Valid <span class=\'code\'>&lt;name&gt;</span> values are:</p>\n\
<div class=\'codeBlock\'><pre>#blank -- Blank Before Start/After End \n\
#hold -- Hold Before Start/After End #loop -- Loop After End \n\
getBkgRangeVal() \n\
</pre></div><p>Get the background image Use Frame range as a Point2 value. The first component of the Point2 value is the Start Frame, the second component is the End Frame.</p>\n\
<div class=\'codeBlock\'><pre>setBkgFrameRange &lt;point3&gt; \n\
</pre></div><p>Set the background image Use Frame range and step value. First component of <span class=\'code\'>&lt;point3&gt;</span> is Start Frame, second component is End Frame, and third component is Step Frame.</p>\n\
<div class=\'codeBlock\'><pre>getBkgStartTime() \n\
setBkgStartTime &lt;time&gt; \n\
</pre></div><p>Get and set the background image Start At frame.</p>\n\
<div class=\'codeBlock\'><pre>getBkgSyncFrame() \n\
setBkgSyncFrame &lt;integer&gt; \n\
</pre></div><p>Get and set the background image Synch Start To Frame frame.</p>\n\
<div class=\'section\'><a id=\"the-following-3ds-max-system-global-variable-is-associated-with-the-viewport-background-dialog\"></a><h3 id=\"the-following-3ds-max-system-global-variable-is-associated-with-the-viewport-background-dialog\">The following 3ds Max system global variable is associated with the Viewport Background dialog:</h3></div>\n\
<div class=\'codeBlock\'><pre>backgroundImageFileName \n\
</pre></div><p>Lets you get and set a String value that defines the viewport background image bitmap file name. It contains the corresponding bitmap file name set in the Viewport Background dialog.</p>\n\
<div class=\'codeBlock\'><pre>setAsBackground &lt;bitmap&gt; \n\
</pre></div><p>Sets the specified bitmap as the viewport background image. The <span class=\'code\'>&lt;bitmap&gt;</span> must be associated with a bitmap file, which is true if:</p>\n\
<p>1 - the bitmap is read from a file via <span class=\'code\'>openBitmap()</span> or <span class=\'code\'>selectBitMap()</span>;</p>\n\
<p>2 - the bitmap was saved via save <span class=\'code\'>&lt;bitmap&gt;</span>;</p>\n\
<p>3 - the MAXBitMap constructor is passed a BitmapInfo whose Name length isn&#39;t 0 (for example if you retrieve a bitmap from a BitmapTexture); or</p>\n\
<p>4 - the bitmap is saved in the <span class=\'code\'>render()</span> command.</p>\n\
<div class=\'section\'><a id=\"the-following-method-affects-viewport-background-redraws\"></a><h3 id=\"the-following-method-affects-viewport-background-redraws\">The following method affects Viewport Background redraws:</h3></div>\n\
<div class=\'codeBlock\'><pre>InvalidateAllBackgrounds() \n\
</pre></div><p>Invalidates the viewport background image for all viewports, causing then to be redrawn</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";