var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Viewport Grids</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Viewport Grids</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"viewport-grids\"></a></div>\n\
<p>The following methods control the <strong>display and spacing of grid lines</strong> in the viewports.</p>\n\
<div class=\'codeBlock\'><pre>getGridSpacing()\n\
</pre></div><p>Returns the spacing between grid lines in units.</p>\n\
<div class=\'codeBlock\'><pre>SetGridSpacing &lt;float&gt;\n\
</pre></div><p>Sets home grid spacing. This corresponds to the Grid and Snap Settings dialog, Home Grid tab. The value is clamped to a minimum value of 0.001.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>getGridMajorLines()\n\
</pre></div><p>Returns the number of grid lines between major grid lines.</p>\n\
<div class=\'codeBlock\'><pre>SetGridMajorLines &lt;int&gt;\n\
</pre></div><p>Sets home grid major grid lines. This corresponds to the Grid and Snap Settings dialog, Home Grid tab. The value is clamped to a minimum value of 2.</p>\n\
<p>Available in <strong>3ds Max 2008</strong> and higher. Previously available in <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<p>The following <strong>3ds Max</strong> system global variable is associated with the <strong>Viewport grids</strong>:</p>\n\
<div class=\'codeBlock\'><pre>activeGrid\n\
</pre></div><p>Contains the currently active grid. If the home grid is active, returns the value <span class=\'code\'>undefined</span> . You can assign a grid node object to this variable to make it the currently active grid.</p>\n\
<p>You can also return to the home grid by setting <span class=\'code\'>activegrid = undefined</span> .</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";