var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Viewport Shading Settings</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Viewport Shading Settings</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"viewport-shading-settings\"></a></div>\n\
<p>The following method exposed by the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/GUID-48C5E2F2-DE34-4EA3-A84C-4DBD463DBF90.html\' title=\'\'>MaxOps struct</a> in <strong>3ds Max 2010 and higher</strong> returns a ViewportShadingSettings object which in turn provides interfaces to control some advanced viewport settings including Soft Shadows, Ambient Occlusion and Exposure Control preview.</p>\n\
<p>Note:</p>\n\
<p>In <strong>3ds Max 2012</strong>, these settings apply to the Direct3D driver. When running the <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\' title=\'\'>Nitrous Graphics Manager</a>, most of these properties and methods will have no effect, for example the property <span class=\'code\'>.ActivateViewportShading</span> documented below will return true when the viewport is set to &quot;Realistic&quot; mode, but setting the property to false <strong>will have no effect</strong> on the viewport mode or on the value of the property.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject&gt;maxops.getViewportShadingSettings()     \n\
</pre></div><p>Returns an <span class=\'code\'>&lt;IObject:ViewportShadingSettings&gt;</span> object exposing several interfaces related to advanced viewport shading controls.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` vss = maxops.getViewportShadingSettings() --&gt; <iobject:viewportshadingsettings> showInterfaces vss<p>\n\
<p>```</p>\n\
</iobject:viewportshadingsettings></blockquote>\n\
<div class=\'codeBlock\'><pre>Interface: ViewportBasicSettings \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>IObject:ViewportShadingSettings&gt;.ActivateViewportShading: boolean : Read|Write \n\
</pre></div><p>Get/set the state of the <strong>Enable Hardware Shading</strong> checkbox in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>Set to true to enable hardware shading, set to false to disable it.</p>\n\
<p>This is equivalent to <span class=\'code\'>IViewportShadingMgr.ShadingLimit=#None</span></p>\n\
<div class=\'codeBlock\'><pre>IObject:ViewportShadingSettings&gt;.ShadingQuality: enum : Read|Write \n\
ShadingQuality enums: {#Good|#Best} \n\
</pre></div><p>Get/set the state of the <strong>Quality/Hardware Support</strong> radio buttons in the Global Settings group of controls in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>These are equivalent to</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.ShadingLimit=#Good \n\
</pre></div><p>and</p>\n\
<div class=\'codeBlock\'><pre>IViewportShadingMgr.ShadingLimit=#Best \n\
<blockquote>\n\
</blockquote></pre></div><p><strong>EXAMPLE:</strong></p>\n\
<p>``` vss = maxops.getViewportShadingSettings() --&gt;<iobject:viewportshadingsettings> vss.ActivateViewportShading --&gt;false vss.ActivateViewportShading = true --&gt;true<p>\n\
<p>```</p>\n\
\n\
<div class=\'codeBlock\'><pre>IObject:ViewportShadingSettings&gt;.ShadowsActive: boolean : Read|Write \n\
</pre></div><p>Get/set the state of the <strong>Enable Shadows</strong> checkbox in the Shadow Options group of controls in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<div class=\'codeBlock\'><pre>IObject:ViewportShadingSettings&gt;.TonemappingActive: boolean : Read|Write \n\
</pre></div><p>Get/set the state of the <strong>Enable Exposure Control in Viewport</strong> checkbox in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>When set to true, the Exposure Control will be applied to the viewport.</p>\n\
<p>When set to false, it will be applied only to the final rendering.</p>\n\
<div class=\'codeBlock\'><pre>Interface: ViewportGISettings \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'section\'><a id=\"ambient-occlusion\"></a><h2 id=\"ambient-occlusion\">Ambient Occlusion</h2></div>\n\
<div class=\'codeBlock\'><pre> &lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionMode : enum : Read|Write \n\
\n\
AmbientOcclusionMode enums: {#GIOff|#AOOnly|#AOComposite} \n\
</pre></div><p>Get/set the Viewport Ambient Occlusion mode.</p>\n\
<p>The Lighting and Shadows tab of the Viewport Configuration dialog exposes only a checkbox which corresponds to #GIOff when the checkbox is unchecked and #AOComposite when the checkbox is checked. Zero-based integers can be used in place of the enums.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#GIOff</strong>) - No Global Illumination.</p>\n\
<p>1 (<strong>#AOOnly</strong>) - Only Ambient Occlusion, black and white with no other shading.</p>\n\
<p>2 (<strong>#AOComposite</strong>) - Ambient Occlusion composited over the shaded scene.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionQuality: enum : Read|Write \n\
\n\
AmbientOcclusionQuality enums: {#Low|#Medium|#High} \n\
</pre></div><p>Get/set the Viewport Ambient Occlusion quality.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#Low</strong>) - 16 sample points</p>\n\
<p>1 (<strong>#Medium</strong>) - 32 sample points</p>\n\
<p>2 (<strong>#High</strong>) - 64 sample points</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionRadius: float : Read|Write \n\
</pre></div><p>Get/set the Ambient Occlusion sample radius value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.AmbientOcclusionStrength: float : Read|Write \n\
</pre></div><p>Get/set the Ambient Occlusion strength value. It controls the intensity of the effect. Effective range is from 0.0 to 1.0.</p>\n\
<div class=\'section\'><a id=\"indirect-lighting-unsupported\"></a><h2 id=\"indirect-lighting-unsupported\">Indirect Lighting (Unsupported)</h2></div>\n\
<p>Note: The Indirect Lighting preview feature is <strong>not exposed to the UI</strong> and is <strong>not supported</strong> in <strong>3ds Max 2010</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.IndirectLightingMode: enum : Read|Write \n\
\n\
IndirectLightingMode enums: {#ILOff|#ILOnly|#ILAOComposite} \n\
</pre></div><p>Get/set the Indirect Illumination mode.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#ILOff</strong>) - No Indirect Lighting (default)</p>\n\
<p>1 (<strong>#ILOnly</strong>) - Only the Indirect Lighting effect will be used.</p>\n\
<p>2 (<strong>#ILAOComposite</strong>) - Indirect Lighting and Ambient Occlusion Composite mode.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.IndirectLightingQuality: enum : Read|Write \n\
\n\
IndirectLightingQuality enums: {#Low|#Medium|#High} \n\
</pre></div><p>Get/set the Indirect Lighting quality.</p>\n\
<p>Possible numeric or enum values are:</p>\n\
<p>0 (<strong>#Low</strong>) - 16 sample points</p>\n\
<p>1 (<strong>#Medium</strong>) - 32 sample points (default)</p>\n\
<p>2 (<strong>#High</strong>) - 64 sample points</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.IndirectLightingRadius: float : Read|Write \n\
</pre></div><p>Get/set the Indirect Lighting radius value.</p>\n\
<blockquote>\n\
<p><strong>CORNELL BOX EXAMPLE:</strong></p>\n\
<p>``` resetMaxFile #noPrompt viewport.setTM (matrix3 [1,0,0] [0,0,-1] [0,1,0] [6,-150,-800]) bx = box width:300 height:300 length:300 backfacecull:true addModifier bx (normalModifier flip:true) mtl = multiMaterial numsubs:6 mtlred = standard diffusecolor:red mtlblue = standard diffusecolor:blue mtlwht = standard diffusecolor:white mtl.materialList = #(mtlwht,mtlwht,mtlred,mtlblue,mtlwht,mtlwht) bx.material = mtl om = omniLight pos:[0,0,250] rgb:white shadowMultiplier:0.5 om.baseobject.castshadows = true sph = sphere radius:50 pos:[0,0,50] segs:32 sph.material = standard diffusecolor:green selfillumamount:15.0 vss = maxops.getViewportShadingSettings() vss.ActivateViewportShading = true vss.ShadowsActive = true vss.IndirectLightingRadius = 200 vss.IndirectLightingQuality = #medium vss.IndirectLightingMode = #ILAOComposite</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-1D2B5035-F399-4861-AF69-50B96E0BDAFE-low.gif\' title=\'\'></div>\n\
<p>``` vss.IndirectLightingMode = #ILOnly</p>\n\
<p>```</p>\n\
<p><strong>RESULT (Indirect Lighting Only)</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E96C15F2-DBAC-4296-B38B-69021CFE26AC-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"depth-of-field-unsupported\"></a><h2 id=\"depth-of-field-unsupported\">Depth Of Field (Unsupported)</h2></div>\n\
<p>Note: The Depth Of Field preview feature is <strong>not exposed to the UI</strong> and is <strong>not supported</strong> in <strong>3ds Max 2010</strong>.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldActive: boolean : Read|Write \n\
</pre></div><p>Get/set the Depth Of Field enabled state.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldNearPlane: float : Read|Write \n\
</pre></div><p>Get/set the Depth Of Field Near Plane value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldFarPlane: float : Read|Write \n\
</pre></div><p>Get/set the Depth Of Field Far Plane value.</p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.DepthOfFieldFocusPlane: float : Read|Write \n\
</pre></div><p>Get/set the Depth Of Field Focus Plane value.</p>\n\
<blockquote>\n\
<p><strong>DOF BOX EXAMPLE:</strong></p>\n\
<p>``` resetMaxFile #noPrompt viewport.setTM (matrix3 [1,0,0] [0,0,-1] [0,1,0] [6,-150,-800]) bx = box width:500 height:300 length:2000 backfacecull:true addModifier bx (normalModifier flip:true) mp1 = checker color1:[0,200,255] color2:[255,255,200] mp1.coords.U_Tiling = 10 mp1.coords.V_Tiling = 10 bx.material = standard diffusecolor:white diffusemap:mp1 showTextureMap bx.material mp1 true om = omniLight pos:[0,0,250] rgb:white shadowMultiplier:0.5 om.baseobject.castshadows = true sph = sphere radius:50 pos:[0,0,50] segs:32 sph.material = standard diffusecolor:green selfillumamount:15.0 tp1 = teapot radius:50 pos:[80,-250,0] tp1.material = standard diffusecolor:red tp2 = teapot radius:50 pos:[-100,500,0] tp2.material = standard diffusecolor:blue vss = maxops.getViewportShadingSettings() vss.ActivateViewportShading = true vss.ShadowsActive = true vss.ShadowMode = #Soft vss.AmbientOcclusionMode = #AOComposite vss.DepthOfFieldActive = true vss.DepthOfFieldNearPlane = 300 vss.DepthOfFieldFarPlane = 1500 vss.DepthOfFieldFocusPlane = 800</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-E0242591-1952-4EF9-A8BF-E1A3515C4E40-low.gif\' title=\'\'></div>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>Interface: ViewportShadowSettings \n\
</pre></div><p><strong>Properties:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;IObject:ViewportShadingSettings&gt;.ShadowMode: enum : Read|Write \n\
ShadowMode enums: {#Hard|#Soft} \n\
</pre></div><p>Get/set the state of the Hard/Soft Shadow radio buttons in the Shadow Options group of controls in the Lighting and Shadows tab of the Viewport Configuration dialog.</p>\n\
<p>When set to <span class=\'code\'>#Hard</span> , the shadows will be drawn in the original mode introduced in <strong>3ds Max 2008</strong>.</p>\n\
<p>When set to <span class=\'code\'>#Soft</span> , the soft shadows mode introduced in <strong>3ds Max 2010</strong> will be used instead.</p>\n\
<blockquote>\n\
<p><strong>VIEWPORT SHADING EXPLORER SCRIPT:</strong></p>\n\
<p>``` macroScript ViewportShadingExplorer category:&quot;MAXScript Help&quot; ( global Viewport_Shading_Explorer_Dialog try(destroyDialog Viewport_Shading_Explorer_Dialog)catch() rollout Viewport_Shading_Explorer_Dialog &quot;Viewport Shading Explorer&quot; ( local vss = maxops.getViewportShadingSettings() group &quot;Hardware Shading&quot; ( checkbox chk_ActivateViewportShading &quot;Activate Viewport Shading &quot;checked:vss.ActivateViewportShading dropdownlist ddl_ShadingQuality items:#(&quot;Good Quality&quot;, &quot;Best Quality&quot;) selection: (findItem #(#Good, #Best) vss.ShadingQuality) checkbox chk_TonemappingActive &quot;Exposure Control In Viewport&quot; checked:vss.TonemappingActive ) group &quot;Shadows&quot; ( checkbox chk_ShadowsActive &quot;Shadows Active&quot; checked:vss.ShadowsActive dropdownlist ddl_ShadowMode items:#(&quot;Hard Shadows&quot;,&quot;Soft Shadows&quot;) selection:(if vss.ShadowMode == #Hard then 1 else 2) ) group &quot;Soft and Area Shadows&quot; ( spinner spn_CubeBias &quot;Cube Bias&quot; range:[0,1000,ViewportSSB.CubeBias] fieldwidth:50 spinner spn_ShadowMapSize &quot;Shadow Map Size (2^N)&quot; range:[1,10,sqrt ViewportSSB.ShadowMapSize] type:#integer fieldwidth:50 checkbox chk_AreaShadow &quot;Area Shadow&quot; checked:ViewportSSB.AreaShadow checkbox chk_TransAreaShadow &quot;Transparent Area Shadow&quot; checked:ViewportSSB.TransAreaShadow ) group &quot;Ambient Occlusion&quot; ( dropdownlist ddl_AmbientOcclusionMode items:#(&quot;Ambient Occlusion Off&quot;,&quot;Ambient Occlusion Only&quot;, &quot;Ambient Occlusion Composite&quot;) selection:(findItem #(#AOOff,#AOOnly,#AOComposite) vss.AmbientOcclusionMode ) dropdownlist ddl_AmbientOcclusionQuality items:#(&quot;Low Quality&quot;,&quot;Medium Quality&quot;, &quot;High Quality&quot;) selection:(findItem #(#Low,#Medium,#High) vss.AmbientOcclusionQuality ) spinner spn_AmbientOcclusionRadius &quot;Sample Radius:&quot; range:[0,1000,vss.AmbientOcclusionRadius] fieldwidth:50 spinner spn_AmbientOcclusionStrength &quot;Strength:&quot; range:[0,1000,vss.AmbientOcclusionStrength] fieldwidth:50 ) group &quot;Indirect Lighting&quot; ( dropdownlist ddl_IndirectLightingMode items:#(&quot;Indirect Lighting Off&quot;,&quot;Indirect Lighting Only&quot;, &quot;Indirect Lighting AO Composite&quot;) selection:(findItem #(#ILOff,#ILOnly,#ILAOComposite) vss.IndirectLightingMode ) dropdownlist ddl_IndirectLightingQuality items:#(&quot;Low Quality&quot;,&quot;Medium Quality&quot;, &quot;High Quality&quot;) selection:(findItem #(#Low,#Medium,#High) vss.IndirectLightingQuality ) spinner spn_IndirectLightingRadius &quot;Sample Radius:&quot; range:[0,1000,vss.IndirectLightingRadius] fieldwidth:50 ) group &quot;Depth Of Field&quot; ( checkbox chk_DepthOfFieldActive &quot;Depth Of Field Active&quot; checked:vss.DepthOfFieldActive spinner spn_DepthOfFieldNearPlane &quot;Near Plane&quot; range:[0,10000000,vss.DepthOfFieldNearPlane] fieldwidth:50 spinner spn_DepthOfFieldFarPlane &quot;Far Plane&quot; range:[0,10000000,vss.DepthOfFieldFarPlane] fieldwidth:50 spinner spn_DepthOfFieldFocusPlane &quot;Focus Plane&quot; range:[0,10000000,vss.DepthOfFieldFocusPlane] fieldwidth:50 ) on chk_ActivateViewportShading changed state do vss.ActivateViewportShading = state on ddl_ShadingQuality selected itm do vss.ShadingQuality = (#(#Good, #Best))[itm] on chk_TonemappingActive changed state do vss.TonemappingActive = state on chk_ShadowsActive changed state do vss.ShadowsActive = state on ddl_ShadowMode selected itm do vss.ShadowMode = (#(#Hard, #Soft))[itm] on spn_CubeBias changed val do ViewportSSB.CubeBias = val on spn_ShadowMapSize changed val do ViewportSSB.ShadowMapSize = 2^val on chk_AreaShadow changed state do ViewportSSB.AreaShadow = state on chk_TransAreaShadow changed state do ViewportSSB.TransAreaShadow = state on ddl_AmbientOcclusionMode selected itm do vss.AmbientOcclusionMode = (#(#AOOff,#AOOnly,#AOComposite))[itm] on ddl_AmbientOcclusionQuality selected itm do vss.AmbientOcclusionQuality = (#(#Low,#Medium,#High))[itm] on spn_AmbientOcclusionRadius changed val do vss.AmbientOcclusionRadius = val on spn_AmbientOcclusionStrength changed val do vss.AmbientOcclusionStrength = val on ddl_IndirectLightingMode selected itm do vss.IndirectLightingMode = (#(#ILOff,#ILOnly,#ILAOComposite))[itm] on ddl_IndirectLightingQuality selected itm do vss.IndirectLightingQuality = (#(#Low,#Medium,#High))[itm] on spn_IndirectLightingRadius changed val do vss.IndirectLightingRadius = val on chk_DepthOfFieldActive changed state do vss.DepthOfFieldActive = state on spn_DepthOfFieldNearPlane changed val do vss.DepthOfFieldNearPlane = val on spn_DepthOfFieldFarPlane changed val do vss.DepthOfFieldFarPlane = val on spn_DepthOfFieldFocusPlane changed val do vss.DepthOfFieldFocusPlane = val ) createDialog Viewport_Shading_Explorer_Dialog 200 605 )</p>\n\
<p>```</p>\n\
</blockquote>\n\
</iobject:viewportshadingsettings>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";