var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>createPreview Method</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>createPreview Method</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"createpreview-method\"></a></div>\n\
<p>Prior to <strong>3ds Max 2013</strong>, the <span class=\'code\'>createPreview()</span> method provided no parameters at all and only triggered the Preview creation using the last settings found in the Make Preview dialog.</p>\n\
<p>In <strong>3ds Max 2013</strong>, several keyword arguments were added to provide better control over the Preview making process.</p>\n\
<div class=\'codeBlock\'><pre>createPreview filename:&lt;string&gt; outputAVI:&lt;boolean&gt; percentSize:&lt;int&gt; \\\n\
start:&lt;int&gt; end:&lt;int&gt; skip:&lt;int&gt; fps:&lt;int&gt; \\\n\
dspGeometry:&lt;boolean&gt; dspShapes:&lt;boolean&gt; dspLights:&lt;boolean&gt; \\\n\
dspCameras:&lt;boolean&gt; dspHelpers:&lt;boolean&gt; dspSpaceWarps:&lt;boolean&gt; dspParticles:&lt;boolean&gt; \\\n\
dspBones:&lt;boolean&gt; dspGrid:&lt;boolean&gt; dspSafeFrame:&lt;boolean&gt; dspFrameNums:&lt;boolean&gt; \\ \n\
dspBkg:&lt;boolean&gt; rndLevel:&lt;#smoothhighlights | #smooth | #facethighlights \\ \n\
| #facet | #flat | #hiddenline | #litwireframe | #wireframe | #box&gt; \\\n\
useMPCamEffect:&lt;boolean&gt; dspSpaceWarps:&lt;boolean&gt;\n\
  \n\
</pre></div><p>Creates a preview animation sequence using either the last settings in the Make Preview dialog or the optional arguments, if provided.</p>\n\
<p><strong>filename:</strong> When specified, saves the output to a file with this path and name. When not specified, uses the default &quot;_preview&quot; name and the path in the <span class=\'code\'>#preview</span> system directory.</p>\n\
<p><span class=\'code\'>outputAvi:</span> When true, outputs to AVI file with the last selected CODEC. When false, outputs to custom file sequence.</p>\n\
<p><span class=\'code\'>percentSize:</span> Defines the Preview output size as percentage of the current <span class=\'code\'>renderWidth</span> and <span class=\'code\'>renderHeight</span> values.</p>\n\
<p><span class=\'code\'>start:</span> Defines the first frame of the Preview animation.</p>\n\
<p><span class=\'code\'>end:</span> Defines the last frame of the Preview animation.</p>\n\
<p><span class=\'code\'>skip:</span> Defines the Every Nth frame step of the Preview animation. Corresponds to the &quot;Every Nth Frame&quot; value in the Make Preview Dialog.</p>\n\
<p><span class=\'code\'>fps:</span> Defines the Frame Rate of the Preview animation.</p>\n\
<p><span class=\'code\'>dspGeometry:</span> Controls the display of Geometry objects in the Preview animation (except those handled by other flags like Particles and Bones).</p>\n\
<p><span class=\'code\'>dspShapes:</span> Controls the display of Shape objects in the Preview animation.</p>\n\
<p><span class=\'code\'>dspLights:</span> Controls the display of Light objects in the Preview animation. This applies to the viewport visibility of the light objects, not to their illumination - they will illuminate the scene even if hidden.</p>\n\
<p><span class=\'code\'>dspCameras:</span> Controls the display of Camera objects in the Preview animation.</p>\n\
<p><span class=\'code\'>dspHelpers:</span> Controls the display of Helper objects in the Preview animation.</p>\n\
<p><span class=\'code\'>dspParticles:</span> Controls the display of Particle objects in the Preview animation.</p>\n\
<p><span class=\'code\'>dspBones:</span> Controls the display of Bone objects in the Preview animation.</p>\n\
<p><span class=\'code\'>dspGrid:</span> Controls the display of Home of Custom Grid in the Preview animation.</p>\n\
<p><span class=\'code\'>dspSafeFrame:</span> Controls the display of Safe Frames in the Preview animation.</p>\n\
<p><span class=\'code\'>dspFrameNums:</span> Controls the display of Frame Number counter in the Preview animation.</p>\n\
<p><span class=\'code\'>dspBkg:</span> Controls the display of the Viewport Background in the Preview animation.</p>\n\
<p><span class=\'code\'>rndLevel:</span> Controls the render level <strong>when using the Direct3D Driver</strong>. When using Nitrous, the current Nitrous settings accessible through <span class=\'code\'>NitrousGraphicsManager.GetActiveViewportSetting()</span> are used.</p>\n\
<p><span class=\'code\'>useMPCamEffect:</span> Controls whether multipass camera effects are performed in the Preview animation. If <strong>true</strong>, and the current viewport is a camera view with a multipass camera effect defined, the effect is evaluated. <strong>Available in 3ds Max 2021.1 Update and higher.</strong> <span class=\'code\'>dspSpaceWarps:</span> Controls the display of Space Warp helper objects in the Preview animation.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";