var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>snapMode Struct</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>snapMode Struct</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"snapmode-struct\"></a></div>\n\
<p>The <strong>snapMode struct</strong> provides <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/GUID-141213A1-B5A8-457B-8838-E602022C8798.html\' title=\'\'>system globals</a> and functions to access and control the snapping options through MAXScript.</p>\n\
<p><strong>System Globals:</strong></p>\n\
<div class=\'codeBlock\'><pre>snapMode.active \n\
</pre></div><p>A 3ds Max System Global that lets you get and set whether Snap is active.</p>\n\
<p>A Boolean value.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.type \n\
</pre></div><p>Get/Set the current snap type as a name. Possible names are <span class=\'code\'>#2D</span> , <span class=\'code\'>#2_5D</span> , and <span class=\'code\'>#3D</span> .</p>\n\
<p>The snapMode structure has been extended in <strong>3ds Max 7</strong> to provide access to all Snap settings and Snap results. Prior to <strong>3ds Max 7</strong>, these properties were available in the third-party <a href=\'#!/url=./developer/MAXScript-Introduction/MAXScript-for-New-and-Casual/Avguard-DLX-Extension.html\' title=\'\'>Avguard Extensions</a>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.snapPreviewRadius \n\
</pre></div><p>A System Global that lets you get and set the Snap Preview Radius value.</p>\n\
<p>Default value is 30.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.snapRadius \n\
</pre></div><p>A System Global that lets you get and set the Snap Radius value.</p>\n\
<p>Default value is 20.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.hilite \n\
</pre></div><p>A System Global that lets you get and set the color value of the Snap Marker.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.markSize \n\
</pre></div><p>A System Global that lets you get and set the Snap Marker Size.</p>\n\
<p>An integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.toFrozen \n\
</pre></div><p>A System Global that lets you get and set whether to snap to frozen objects.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.axisConstraint \n\
</pre></div><p>A System Global that lets you get and set whether the snap must use axis constraints as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.displayRubberBand \n\
</pre></div><p>A System Global that lets you get and set whether to display rubber band as a Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.useAxisCenterAsStartSnapPoint \n\
</pre></div><p>A System Global that lets you get and set the state of the &quot;Use Axis Center As Start Snap Point&quot; option as Boolean value.</p>\n\
<p>Corresponds to the checkbox in the &quot;Grid and Snap Settings&quot; dialog, Options tab.</p>\n\
<p>Available in <strong>3ds Max 7 and higher up to 3ds Max 2010</strong>.</p>\n\
<p><img src=\'developer/images/GUID-58798F8D-5DC2-454D-A1A2-9DF57E5A2077-low.gif\' title=\'\'>Deprecated in 3ds Max 2011.</p>\n\
<p>Attempting to access this property will result in:</p>\n\
<p>-- Runtime error: Cannot set this snap option. It has been deprecated as of 3ds Max 2011.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.display \n\
</pre></div><p>A System Global that lets you get and set whether the Snap Marker is displayed.</p>\n\
<p>A Boolean value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.strength \n\
</pre></div><p>A System Global that lets you get and set the Snap Strength as an integer value.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.hit \n\
</pre></div><p>A System Global that contains true if the Marker is currently snapped to something, false if not snapped.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.node \n\
</pre></div><p>A System Global that contains the node currently being snapped to.</p>\n\
<p>Contains undefined if not snapped to a node or if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.flags \n\
</pre></div><p>A System Global that contains the Snap System Flags as an integer.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.hitPoint \n\
</pre></div><p>A System Global that contains the last Snap Point as Point3 coordinate in local coordinates of the node snapped to.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.worldHitpoint \n\
</pre></div><p>A System Global that contains the last Snap Point as Point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.screenHitPoint \n\
</pre></div><p>A System Global that contains the last Snap Point as a Point3 screen coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.screenHitPointUnscaled \n\
</pre></div><p>Available <strong>in 3ds Max 2017 and higher</strong>: A System Global that contains the last Snap Point as an unscaled Point3 screen coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.OKForRelativeSnap \n\
</pre></div><p>A System Global that contains true if at least one Snap Point has been recorded.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.refPoint \n\
</pre></div><p>A System Global that contains the last Snap Point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.topRefPoint \n\
</pre></div><p>A System Global that contains the first snap point as point3 world coordinate.</p>\n\
<p>Contains undefined if Snaps are not active.</p>\n\
<p>Read only.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.numOSnaps \n\
</pre></div><p>A System Global that contains the number of OSnaps as an integer.</p>\n\
<p>Read only.</p>\n\
<p>Currently there are 6 sets of OSnaps - see below of details.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>snapMode.getOSnapName &lt;int osnap_index&gt; \n\
</pre></div><p>Returns the name of the indexed OSnap as string.</p>\n\
<p>Currently, the results are:</p>\n\
<p>1 - &quot;Body&quot; - Available in <strong>3ds Max 2011 and higher</strong>.</p>\n\
<p>2 - &quot;NURBS&quot;</p>\n\
<p>3 - &quot;Point Cloud Objects&quot; - Available in <strong>3ds Max 2015 and higher</strong>.</p>\n\
<p>4 - &quot;Standard&quot;</p>\n\
<p>5 - &quot;Standard&quot;</p>\n\
<p>6 - &quot;Standard&quot;</p>\n\
<p>7 - &quot;Standard&quot;</p>\n\
<p>All others available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>Note:</p>\n\
<p>The Standard Snaps are exposed in four groups with indices 4 to 7.</p>\n\
<p>See the table below to know which snap items are in which groups.</p>\n\
<p>Also, see the example output further on this page.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.getOSnapNumItems &lt;int osnap_index&gt; \n\
</pre></div><p>Returns the number of OSnap items in the indexed OSnap as <integer>.<p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<p>Possible <span class=\'code\'>osnap_index</span> values are:</p>\n\
<table class=\'ruled\'>\n\
<tr class=\"header\">\n\
<th align=\"left\">Index</th>\n\
<th align=\"left\">Type</th>\n\
<th align=\"left\">Count</th>\n\
<th align=\"left\">Snap Names</th>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>1</span></td>\n\
<td align=\"left\"><span class=\'code\'>Body</span></td>\n\
<td align=\"left\"><span class=\'code\'>5</span></td>\n\
<td align=\"left\">Vertex, End Edge, Edge, Edge Midpoint, Face</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>2</span></td>\n\
<td align=\"left\"><span class=\'code\'>NURBS</span></td>\n\
<td align=\"left\"><span class=\'code\'>10</span></td>\n\
<td align=\"left\">CV, Point, Curve Center, Curve Normal, Curve Tangent, Curve Edge, Curve End, Surf Center, Surf Normal, Surf Edge</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>3</span></td>\n\
<td align=\"left\"><span class=\'code\'>Point Cloud</span></td>\n\
<td align=\"left\"><span class=\'code\'>1</span></td>\n\
<td align=\"left\">Point Cloud Vertex</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>4</span></td>\n\
<td align=\"left\"><span class=\'code\'>Standard</span></td>\n\
<td align=\"left\"><span class=\'code\'>2</span></td>\n\
<td align=\"left\">Grid Points, Grid Lines</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>5</span></td>\n\
<td align=\"left\"><span class=\'code\'>Standard</span></td>\n\
<td align=\"left\"><span class=\'code\'>2</span></td>\n\
<td align=\"left\">Pivot, Bounding Box</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><span class=\'code\'>6</span></td>\n\
<td align=\"left\"><span class=\'code\'>Standard</span></td>\n\
<td align=\"left\"><span class=\'code\'>2</span></td>\n\
<td align=\"left\">Perpendicular, Tangent</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><span class=\'code\'>7</span></td>\n\
<td align=\"left\"><span class=\'code\'>Standard</span></td>\n\
<td align=\"left\"><span class=\'code\'>6</span></td>\n\
<td align=\"left\">Vertex, Endpoint, Edge/Segment, Midpoint, Face, Center Face</td>\n\
</tr>\n\
</table>\n\
<div class=\'codeBlock\'><pre>snapMode.getOSnapItemName &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; \n\
</pre></div><p>Returns the name of the indexed OSnap item in the indexed OSnap as string.</p>\n\
<p>See table above for currently implemented names.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.getOSnapItemToolTip &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; \n\
</pre></div><p>Returns the tooltip of the indexed OSnap item in the indexed OSnap as string.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.getOSnapItemActive &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; \n\
</pre></div><p>Returns true if the indexed OSnap item in the indexed OSnap is active, false otherwise.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'codeBlock\'><pre>snapMode.setOSnapItemActive &lt;int osnap_index&gt; &lt;int osnap_item_index&gt; &lt;boolean&gt; \n\
</pre></div><p>Sets whether the indexed OSnap item in the indexed OSnap is active.</p>\n\
<p>Available in <strong>3ds Max 7 and higher</strong>.</p>\n\
<div class=\'section\'><a id=\"exploring-the-snap-options\"></a><h2 id=\"exploring-the-snap-options\">Exploring the Snap Options</h2></div>\n\
<blockquote>\n\
<p><strong>SCRIPT:</strong></p>\n\
<p>``` --The following example prints information about the state of --all Snap options to the Listener: for i = 1 to snapmode.numOSnaps do ( format &quot;%: name: &quot;%&quot;\\n&quot; i (snapmode.getOSnapName i) for j = 1 to (snapmode.getOSnapNumItems i) do format &quot; %: name: &quot;%&quot;; tooltip: &quot;%&quot;; state: %\\n&quot; j<br> (snapmode.getOSnapItemName i j)<br> (snapmode.getOSnapItemToolTip i j)<br> (snapmode.getOSnapItemActive i j) )</p>\n\
<p>```</p>\n\
<p><strong>OUTPUT:</strong></p>\n\
<p>``` 1: name: &quot;Body Snaps&quot; 1: name: &quot;Vertex&quot;; tooltip: &quot;&quot;; state: false 2: name: &quot;End Edge&quot;; tooltip: &quot;&quot;; state: false 3: name: &quot;Edge&quot;; tooltip: &quot;&quot;; state: false 4: name: &quot;Edge Midpoint&quot;; tooltip: &quot;&quot;; state: false 5: name: &quot;Face&quot;; tooltip: &quot;&quot;; state: false 2: name: &quot;NURBS&quot; 1: name: &quot;CV&quot;; tooltip: &quot;&quot;; state: false 2: name: &quot;Point&quot;; tooltip: &quot;&quot;; state: false 3: name: &quot;Curve Center&quot;; tooltip: &quot;&quot;; state: false 4: name: &quot;Curve Normal&quot;; tooltip: &quot;&quot;; state: false 5: name: &quot;Curve Tangent&quot;; tooltip: &quot;&quot;; state: false 6: name: &quot;Curve Edge&quot;; tooltip: &quot;&quot;; state: false 7: name: &quot;Curve End&quot;; tooltip: &quot;&quot;; state: false 8: name: &quot;Surf Center&quot;; tooltip: &quot;&quot;; state: false 9: name: &quot;Surf Normal&quot;; tooltip: &quot;&quot;; state: false 10: name: &quot;Surf Edge&quot;; tooltip: &quot;&quot;; state: false 3: name: &quot;Point Cloud Objects&quot; 1: name: &quot;Point Cloud Vertex&quot;; tooltip: &quot;&quot;; state: false 4: name: &quot;Standard&quot; 1: name: &quot;Grid Points&quot;; tooltip: &quot;&quot;; state: true 2: name: &quot;Grid Lines&quot;; tooltip: &quot;&quot;; state: false 5: name: &quot;Standard&quot; 1: name: &quot;Pivot&quot;; tooltip: &quot;&quot;; state: true 2: name: &quot;Bounding Box&quot;; tooltip: &quot;&quot;; state: false 6: name: &quot;Standard&quot; 1: name: &quot;Perpendicular&quot;; tooltip: &quot;&quot;; state: false 2: name: &quot;Tangent&quot;; tooltip: &quot;&quot;; state: false 7: name: &quot;Standard&quot; 1: name: &quot;Vertex&quot;; tooltip: &quot;&quot;; state: false 2: name: &quot;Endpoint&quot;; tooltip: &quot;&quot;; state: false 3: name: &quot;Edge/Segment&quot;; tooltip: &quot;&quot;; state: false 4: name: &quot;Midpoint&quot;; tooltip: &quot;&quot;; state: false 5: name: &quot;Face&quot;; tooltip: &quot;&quot;; state: false 6: name: &quot;Center Face&quot;; tooltip: &quot;&quot;; state: false OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"changing-the-snap-options\"></a><h2 id=\"changing-the-snap-options\">Changing the Snap Options</h2></div>\n\
<p>The following example shows how to access and change the snap options:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --The Snaps dialog must not necessarily be open, --but in this example we will toggle it on to be able to see --what is happening to the checkboxes: max drawingaids --toggle on the Snaps dialog --&gt;OK --if it was closed, it should be open now snapmode.getOSnapItemActive 7 1 --print the state of the Object&gt;Vertex snap --&gt;false --it is off --now toggle the vertex snap: snapmode.setOSnapItemActive 7 1 (not(snapmode.getOSnapItemActive 5 1)) --&gt;OK max drawingaids; max drawingaids --toggle the Snaps dialog twice to refresh --&gt;OK --&gt;OK --the Vertex checkbox should be checked now snapmode.getOSnapItemActive 7 1 --get the current Vertex snap state --&gt;true --it is now on</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"exploring-the-snap-marker-settings\"></a><h2 id=\"exploring-the-snap-marker-settings\">Exploring the Snap Marker Settings</h2></div>\n\
<p>The following example prints information about the snap marker&#39;s settings:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` format &quot;type: %; hilite: %; marksize: %; toFrozen: %\\n&quot; snapmode.type snapmode.hilite<br> snapmode.markSize snapmode.toFrozen format &quot;axisConstraint: %; active: %; strength: %\\n&quot; snapmode.axisConstraint snapmode.active<br> snapmode.strength</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'section\'><a id=\"exploring-the-snap-results\"></a><h2 id=\"exploring-the-snap-results\">Exploring the Snap Results</h2></div>\n\
<p>The following example shows how to access and print dynamically the results of the snap operations in the viewports:</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` --This function can be registered as a RedrawViews Callback --It will print information about the current snap state to the Listener fn snapinfo = ( local snapinfo if snapmode.active do ( struct snapinfo (hit, flags, hitpoint, worldhitpoint, screenHitPoint, OKForRelativeSnap, topRefPoint, refPoint, node) local out = snapinfo snapmode.hit (bit.intAsHex snapmode.flags) snapmode.hitPoint<br> snapmode.worldHitpoint snapmode.screenHitPoint snapmode.OKForRelativeSnap<br> snapmode.refPoint snapmode.topRefPoint snapmode.node print out ) ok ) unregisterRedrawViewsCallback snapinfo registerRedrawViewsCallback snapinfo</p>\n\
<p>```</p>\n\
</blockquote>\n\
</integer>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";