var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Accessing the Last Rendered Image</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Accessing the Last Rendered Image</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"accessing-the-last-rendered-image\"></a></div>\n\
<div class=\'codeBlock\'><pre>getLastRenderedImage [ copy:&lt;boolean&gt; ]      \n\
</pre></div><p>The <span class=\'code\'>getLastRenderedImage()</span> method returns the last image rendered via Render Scene, Render Last, or Quick Render as a bitmap value.</p>\n\
<p>If the optional keyword argument <span class=\'code\'>copy:</span> is not specified or is set to <span class=\'code\'>true</span> in <strong>3ds Max 2009 and higher</strong>, the bitmap will be copied into a new bitmap value. If the keyword argument <span class=\'code\'>copy:</span> is specified as <span class=\'code\'>true</span> , the MAXScript bitmap value will share the renderer&#39;s bitmap.</p>\n\
<p>Note:</p>\n\
<p>The renderer reuses the last rendered bitmap value when re-rendering with the same dimensions. If the dimensions have been changed, a new bitmap value will be created.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<ul>\n\
<li><p>Render the scene</p></li>\n\
<li><p>Run the following code:</p></li>\n\
</ul>\n\
<p>``` bm = GetLastRenderedImage copy:false --share the bitmap display bm</p>\n\
<p>```</p>\n\
<ul>\n\
<li><p>Change the view and render the scene again.</p></li>\n\
<li><p>Run the following code:</p></li>\n\
</ul>\n\
<p>``` display bm</p>\n\
<p>```</p>\n\
<p><strong>RESULT</strong>: The bitmap display will update to reflect the second render.</p>\n\
<ul>\n\
<li><p>Change the render size and render the scene again.</p></li>\n\
<li><p>Run the following code:</p></li>\n\
</ul>\n\
<p>``` display bm</p>\n\
<p>```</p>\n\
<p><strong>RESULT</strong>: The bitmap display will still reflect the second render because the third render created a new bitmap value which is not referenced by the variable bm.</p>\n\
<p>You still need to call <span class=\'code\'>free bm</span> to release the underlying bitmap from the MAXScript bitmap value if you want the release to occur before the MAXScript bitmap value is garbage collected.</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";