var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Executing External Commands</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Executing External Commands</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"executing-external-commands\"></a></div>\n\
<p>MAXScript provides several methods for executing external programs</p>\n\
<div class=\'codeBlock\'><pre>DOSCommand &lt;command_string&gt;      \n\
</pre></div><p>Takes a DOS command as a string and send it to the system for execution.</p>\n\
<p>You can use this function to launch other programs, or perform such tasks as gathering all the material texture and displacement image files in your scene into one folder.</p>\n\
<p>Returns an integer which is the status result returned by the executed system command.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE:</strong></p>\n\
<p>``` DOSCommand &quot;delete c:\\temp\\foo.dat&quot; DOSCommand (&quot;copy &quot; + source_file + &quot; &quot; + dest_folder)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>ShellLaunch &lt;filename_string&gt; &lt;parameters_string&gt;   \n\
</pre></div><p><span class=\'code\'>ShellLaunch()</span> emulates the double-clicking on a specified file in Windows.</p>\n\
<p>Whatever you send to ShellLaunch will be run by the Windows shell automatically.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` ShellLaunch &quot;E:\\tests\\lookup.html&quot; &quot;&quot;</p>\n\
<p>```</p>\n\
<p>would launch the default Web Browser with lookup.html.</p>\n\
</blockquote>\n\
<p>If a filenameextensionis not specified in <span class=\'code\'>&lt;filename_string&gt;</span> , Windows will search the specified directory for executable files. If no directory is specified, Windows will search the paths in the Path environment variable for the executable file.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` shellLaunch &quot;e:/program files/ucalc/ucalc&quot; &quot;&quot;</p>\n\
<p>```</p>\n\
<p>will execute the ucalc.exe file in the specified directory.</p>\n\
</blockquote>\n\
<p>The <span class=\'code\'>&lt;parameters_string&gt;</span> is passed to the launched application as command line parameters.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` shellLaunch &quot;e:/t.avi&quot; &quot;/play /loop&quot;</p>\n\
<p>```</p>\n\
<p>will launch the application associated with .avi files, and pass <span class=\'code\'>/play</span> and <span class=\'code\'>/loop</span> as command line parameters.</p>\n\
</blockquote>\n\
<p>Instead of launching a file with the default application registered for the given file type, the application to be launched can be passed as the first argument and the file to be opened as the second.This will pass the second argument as parameter to the application specified by the first argument.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` ShellLaunch &quot;iexplorer.exe&quot; @&quot;c:\\temp\\report.html&quot;</p>\n\
<p>```</p>\n\
<p>will launch the page report.html with the Internet Explorer,</p>\n\
<p>``` ShellLaunch &quot;firefox.exe&quot; @&quot;c:\\temp\\report.html&quot;</p>\n\
<p>```</p>\n\
<p>while the above will launch the same page in Mozilla Firefox.</p>\n\
</blockquote>\n\
<p>The same approach can be used tonavigate to a specific path usingWindows Explorer.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE,</strong></p>\n\
<p>``` ShellLaunch @&quot;c:\\windows&quot; &quot;&quot; ShellLaunch &quot;explorer.exe&quot; @&quot;c:\\windows&quot;</p>\n\
<p>```</p>\n\
<p>Both expressions will open Windows Explorer at the Windows root folder.</p>\n\
<p>``` ShellLaunch &quot;explorer.exe&quot; &quot;/e,/select,&quot;c:\\windows\\notepad.exe&quot;&quot;</p>\n\
<p>```</p>\n\
<p>The above expression will open Windows Explorer at the file notepad.exe inside the Windows root directory.</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>HiddenDOSCommand &lt;command string to execute&gt; [  startpath:unsupplied] [  prompt:unsupplied] [  donotwait:false] [  ExitCode:&amp;variable] \n\
</pre></div><p><strong>[</strong>AVG<strong>]</strong> <span class=\'code\'>HiddenDOSCommand()</span> looks like <span class=\'code\'>DOSCommand()</span> , but runs more like <span class=\'code\'>ShellLaunch()</span> . It launches a DOS command in a hidden window.</p>\n\
<div class=\'section\'><a id=\"startpath\"></a><h3 id=\"startpath\">startpath:</h3></div>\n\
<p>Allows you to set the starting folder for the command.</p>\n\
<p>In versions prior to <strong>3ds Max 2010</strong>, omitting this optional argument resulted in function failure. This has been corrected in <strong>3ds Max 2010</strong>.</p>\n\
<div class=\'section\'><a id=\"prompt\"></a><h3 id=\"prompt\">prompt:</h3></div>\n\
<p>Allows you to set the prompt that appears on the Max prompt line (just below the viewports). If you don&#39;t change it, the command string is displayed.</p>\n\
<div class=\'section\'><a id=\"donotwait\"></a><h3 id=\"donotwait\">donotwait:</h3></div>\n\
<p>Allows you to decide whether or not you want to return control to back to MAXScript while the command runs, or wait for completion.Default is false, which results in blocking MAXScript execution until the command has finished.</p>\n\
<div class=\'section\'><a id=\"exitcode\"></a><h3 id=\"exitcode\">ExitCode:</h3></div>\n\
<p>If <span class=\'code\'>donotwait:</span> is unsupplied or false and the command is executed successfully, the exit code of the command is written to the specified variable as an integer value.An exit code of 0 means the command was executed without errors, non-zero code usually means an error. Available in <strong>3ds Max 2010 and higher</strong>.</p>\n\
<p>Note:</p>\n\
<p>You must redirect any output generated to a file if you are interested in text that would normally be printed to the console.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USAGE:</strong></p>\n\
<p>``` HiddenDOSCommand &quot;dir &gt; %temp%\\hiddencmdout.tmp&quot; startpath:&quot;c:\\&quot;</p>\n\
<p>```</p>\n\
<p>``` cmd = &quot;echo The time is &quot; + localTime + &quot; &gt;&gt; %temp%\\hiddencmdout.tmp&quot; HiddenDOSCommand cmd startpath:&quot;c:\\&quot;</p>\n\
<p>```</p>\n\
<p>``` HiddenDOSCommand &quot;notepad %temp%\\hiddencmdout.tmp &quot;prompt:&quot;Waiting for Notepad to exit&quot; startpath:&quot;c:\\&quot;</p>\n\
<p>```</p>\n\
<p>``` HiddenDOSCommand &quot;del hiddencmdout.tmp&quot; donotwait:true startpath:&quot;c:\\&quot;</p>\n\
<p>```</p>\n\
<p>``` makeDir &quot;C:\\doscmdtest\\&quot; str = &quot;rmDir C:\\doscmdtest\\&quot; hiddendoscommand str startpath:&quot;\\(max&quot; exitCode:&amp;exitcode  exitcode --&gt; 0  hiddendoscommand str startpath:&quot;\\)max&quot; exitCode:&amp;exitcode exitcode --&gt; 2 (error since directory does not exist anymore)</p>\n\
<p>```</p>\n\
<p>``` --(Source for HiddenDOSCommand provided by Mike BiddleCombe)</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";