var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Exiting and Resetting 3ds Max</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Exiting and Resetting 3ds Max</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"exiting-and-resetting-3ds-max\"></a></div>\n\
<p>The <span class=\'code\'>quitMAX()</span> function lets you exit <strong>3ds Max</strong> under script control. This function is typically used in batch processing or render scripts. The function has the form:</p>\n\
<div class=\'codeBlock\'><pre>quitMAX [ #noPrompt ] quiet:&lt;boolean&gt; exitCode:&lt;int&gt;\n\
</pre></div><p>If the <span class=\'code\'>#noPrompt</span> optional argument is not specified and there are unsaved changes in the scene, <strong>3ds Max</strong> will prompt with its standard save changes dialog. The <span class=\'code\'>quiet:&lt;boolean&gt;</span> argument does the same thing, and overrides the <span class=\'code\'>#noPrompt</span> option if both are specified.</p>\n\
<p>If the optional <span class=\'code\'>exitCode</span> argument is specified, when 3ds Max exits a message of &quot;3ds Max Ended with Unknown Reason (Exit Code <em>X</em>)&quot; is printed to the console, where <em>X</em> is the specified integer. This can be useful for batch processing scripts using 3dsmaxbatch.exe that want to get user-specified status codes from the application.</p>\n\
<p>Additionally, you can control the scene save and undo states in <strong>3ds Max</strong> with the following functions:</p>\n\
<div class=\'codeBlock\'><pre>setSaveRequired &lt;boolean&gt;   \n\
</pre></div><p>lets you set the <strong>3ds Max</strong> system &quot;dirty&quot; flag. If this flag is set or there are entries in the Undo buffer, the user is asked if they want to save the scene file on a File &gt; New or File &gt; Reset.</p>\n\
<div class=\'codeBlock\'><pre>getSaveRequired() \n\
</pre></div><p>returns <span class=\'code\'>true</span> if the <strong>3ds Max</strong> system &quot;dirty&quot; flag is set to <span class=\'code\'>true</span> or if the Undo buffer is not empty. If the Undo buffer if not empty, this function will still return <span class=\'code\'>true</span> , even if you just called <span class=\'code\'>setSaveRequired false</span> .</p>\n\
<div class=\'codeBlock\'><pre>clearUndoBuffer() \n\
</pre></div><p>empties the Undo buffer, both providing a way to reset the undo state and another way to control the save-changes requester.</p>\n\
<p>Normally, if there are entries in the Undo buffer when the scene is closed, <strong>3ds Max</strong> will prompt with a save-changes requester. In some cases, where you are controlling undo in MAXScript, you may want to force the need for a save-changes prompt.</p>\n\
<p>The <span class=\'code\'>resetMAXFile()</span> function lets you reset <strong>3ds Max</strong> under script control. This function is typically used in batch processing or render scripts. The function has the form:</p>\n\
<div class=\'codeBlock\'><pre>resetMaxFile() [#noPrompt] \n\
</pre></div><p>If the <span class=\'code\'>#noPrompt</span> optional argument is not specified, <strong>3ds Max</strong> will prompt with its standard dialog &quot;Do you really want to reset&quot;.</p>\n\
<p>Note: In order to check for unsaved changes before resetting the scene, you should use <span class=\'code\'>checkForSave()</span> . See <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/3ds-Max-File-Loading-and-Saving.html\' title=\'\'>3ds Max File Loading and Saving</a></p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE:</strong></p>\n\
<p>``` --CheckForSave checks whether the scene has been modified --and issues the standard &quot;Do you want to save your changes&quot; dialog. --If the user presses Yes or No, the function returns true and --resetMaxFile will be called. --If the user presses Cancel, the function returns false and --resetMaxFile will not be called. if checkForSave() do resetMaxFile()</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";