var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Time Stamping</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Time Stamping</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"time-stamping\"></a></div>\n\
<p>The <span class=\'code\'>timeStamp()</span> and timeGetTime() functions give the time-of-day resp. the time since Windows started in milliseconds.</p>\n\
<div class=\'codeBlock\'><pre>timeStamp()\n\
</pre></div><p>The function returns the number of milliseconds since 00:00 hours that day. This is useful for timing operations (presuming you are not timing across midnight.)</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE</strong></p>\n\
<p>``` start = timeStamp() process_mesh() -- do some big job end = timeStamp() format &quot;Processing took % seconds\\n&quot; ((end - start) / 1000.0)</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'codeBlock\'><pre>timeGetTime()\n\
</pre></div><p>The function retrieves the system time in milliseconds. The system time is the time elapsed since Windows was started.</p>\n\
<p>The return value wraps around to 0 every 2^32 milliseconds, which is about 49.71 days.</p>\n\
<p>This can cause problems in code that directly uses the <span class=\'code\'>timeGetTime()</span> return value in computations, particularly where the value is used to control code execution.</p>\n\
<p>You should always use the difference between two timeGetTime return values in computations.</p>\n\
<p>Available in <strong>3ds Max 2014 and higher</strong>.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";