var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What is New in MAXScript in 3ds Max 2010</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What is New in MAXScript in 3ds Max 2010</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-is-new-in-maxscript-in-3ds-max-2010\"></a></div>\n\
<p>The following page will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2010</strong>. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<p>For a list of changes made to the MAXScript Reference itself besides documenting new feature, see <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/Documentation-Changes-in-3ds-Max-2.html\' title=\'\'>Documentation Changes in 3ds Max 2010</a>.</p>\n\
<div class=\'section\'><a id=\"new-3ds-max-features-exposure\"></a><h2 id=\"new-3ds-max-features-exposure\">New 3ds Max Features Exposure</h2></div>\n\
<p>The following new features have been added to <strong>3ds Max 2010</strong> and have been exposed to MAXScript:</p>\n\
<div class=\'section\'><a id=\"containers\"></a><h3 id=\"containers\">Containers</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Containers/Containers-1.html\' title=\'\'>Containers</a></p>\n\
<p><strong>Containers</strong> are helper scene objects that can be used to group self-contained content together, manage, publish and inherit the content on disk, including the ability to unload the content objects from memory.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-Containers.html\' title=\'\'>Interface: Containers</a></p>\n\
<p>The <strong>Containers</strong> interface provides management functions for working with the new Container objects.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/Node-Subclasses/Helper-Node/Helper-Standard/Container-Helper.html\' title=\'\'>Container : Helper</a></p>\n\
<p>The <strong>Container</strong> Helper represents the object used to create and manage containers in the scene.</p>\n\
<div class=\'section\'><a id=\"modifiers\"></a><h3 id=\"modifiers\">Modifiers</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Subdivision-Surfaces/Quadify_Mesh-Modifier.html\' title=\'\'>Quadify_Mesh : Modifier</a></p>\n\
<p>The new <strong>Quadify_MeshModifier</strong> based on ProBoolean technology procedurally changes the topology of geometry objects to quads with user-defined size.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Welder-Modifier.html\' title=\'\'>Welder : Modifier</a></p>\n\
<p>The new <strong>WelderModifier</strong> based on Cloth technology procedurally welds vertices or normals.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\' title=\'\'>ClothTearingMethods</a></p>\n\
<p><strong>Two new methods</strong> added to the existing <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\' title=\'\'>Cloth Modifier</a> to create and remove tears in the cloth.</p>\n\
<div class=\'section\'><a id=\"xview-geometry-checker\"></a><h3 id=\"xview-geometry-checker\">xView Geometry Checker</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Geometry-Checker/xView-Geometry-Checker-Access.html\' title=\'\'>xViewGeometry Checker Access</a></p>\n\
<p>The <strong>XViewChecker</strong> feature provides means to interactively check geometry objects in the viewport for various error conditions.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-xViewChecker.html\' title=\'\'>Interface: XViewChecker</a></p>\n\
<p>This Core Interface exposes properties and methods for interacting with the xViewChecker feature.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FacesOrientation.html\' title=\'\'>Interface: FacesOrientation</a></p>\n\
<p>This Core Interface exposes the properties and methods of a flipped faces checker which shows the backfacing faces in a different color.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlippedUVWFaces.html\' title=\'\'>Interface: FlippedUVWFaces</a></p>\n\
<p>This Core Interface exposes the properties and methods of an xView checker which shows flipped texture faces.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IsolatedVertices.html\' title=\'\'>Interface: IsolatedVertices</a></p>\n\
<p>This Core Interface exposes the properties and methods of an xView checker which shows isolated vertices not used by any faces.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MissingUVCoordinates.html\' title=\'\'>Interface: MissingUVCoordinates</a></p>\n\
<p>This Core Interface exposes the properties and methods of an xView checker which shows missing texture coordinates.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MultipleEdges.html\' title=\'\'>Interface: MultipleEdges</a></p>\n\
<p>This Core Interface exposes the properties and methods of an xView checker which shows multiple edges.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OpenEdges.html\' title=\'\'>Interface: OpenEdges</a></p>\n\
<p>This Core Interface exposes the properties and methods of an xView checker which shows open edges (edges referencing only one polygon).</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappedUVWFaces.html\' title=\'\'>Interface: OverlappedUVWFaces</a></p>\n\
<p>This Core Interface exposes the properties of an xView checker which shows overlapping texture faces.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingFaces.html\' title=\'\'>Interface: OverlappingFaces</a></p>\n\
<p>This Core Interface exposes the properties and methods of an xView checker which shows overlapping faces that typically cause Z-fighting in viewport and rendering.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-OverlappingVertices.html\' title=\'\'>Interface: OverlappingVertices</a></p>\n\
<p>This Core Interface exposes the properties and methods of an xView checker which shows overlapping (not welded) vertices within a given tolerance.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-TVerts.html\' title=\'\'>Interface: TVerts</a></p>\n\
<p>This Core Interface exposes the methods of an xView checker which detects T-Vertices where edges meet in the shape of the letter T and the edge loop flow is interrupted by a full polygon.</p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView.html\' title=\'\'>How To ... Develop A Face Area XView Checker - Part 1</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-1.html\' title=\'\'>How To ... Develop A Face Area XView Checker - Part 2</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-2.html\' title=\'\'>How To ... Develop A Face Area XView Checker - Part 3</a></p>\n\
<p><a href=\'#!/url=./developer/How-To-Practical-Examples/How-To-Develop-an-XView-Geometry/How-To-Develop-A-Face-Area-XView-3.html\' title=\'\'>How To ... Develop A Face Area XView Checker - Part 4</a></p>\n\
<p>These tutorials show the creation of custom XView Checkers using MAXScript functions.</p>\n\
<div class=\'section\'><a id=\"bitmap-pager-exposure-and-automatic-mode\"></a><h3 id=\"bitmap-pager-exposure-and-automatic-mode\">Bitmap Pager Exposure and Automatic Mode</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IBitmapPager.html\' title=\'\'>Interface: IBitmapPager</a></p>\n\
<p>This Core Interface exposes the new Bitmap Pager settings. The documentation also discusses the Heuristics involved in the Automatic Memory Limit calculations for the Bitmap Pager and the mental ray renderer.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/3ds-Max-System-Directories-1.html\' title=\'\'>3ds Max System Directories</a></p>\n\
<p>New <span class=\'code\'>#pageFile</span> enum added to the list of available system paths.</p>\n\
<div class=\'section\'><a id=\"mental-ray-renderer\"></a><h3 id=\"mental-ray-renderer\">mental ray Renderer</h3></div>\n\
<p>Global Tuning Parameters Rollout</p>\n\
<p>New properties added to the mental ray renderer to expose the new global tuning parameters for soft shadows, glossy reflections and glossy refractions precision.</p>\n\
<p>Indirect Illumination Reuse FG and GI Disk Caching Rollout</p>\n\
<p>New properties added to the mental ray renderer to control the reuse of FG and GI Caches and the interpolation of caches.</p>\n\
<p>Processing &gt; Translator Options Rollout &gt; Memory_Options</p>\n\
<p>New property added to the mental ray renderer to control the use of automatic and manual memory limit.</p>\n\
<div class=\'section\'><a id=\"trackview-locked-tracks\"></a><h3 id=\"trackview-locked-tracks\">Trackview Locked Tracks</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/L/Interface-LockedTracksMan.html\' title=\'\'>Interface: LockedTracksMan</a></p>\n\
<p>New core interface exposing the ability to lock tracks to prevent their editing.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/T/Interface-trackviews.html\' title=\'\'>Trackview UI MixinInterface</a></p>\n\
<p>New property <span class=\'code\'>.showUnlockedIcons</span> added to the existing MixinInterface.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\' title=\'\'>Interface: AnimLayerManager</a></p>\n\
<p>New methods <span class=\'code\'>.getLayerLocked()</span> and <span class=\'code\'>.setLayerLocked()</span> added to the existing Core Interface.</p>\n\
<p>Also <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AnimLayerManager.html\' title=\'\'>added</a> a method <span class=\'code\'>refreshAnimLayerPropertiesDlg()</span> to the same Core Interface to refresh the Properties dialog.</p>\n\
<div class=\'section\'><a id=\"explorers\"></a><h3 id=\"explorers\">Explorers</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SceneExplorerManager.html\' title=\'\'>Interface: SceneExplorerManager</a></p>\n\
<p>New methods <span class=\'code\'>AddLocalizableProperty()</span> and <span class=\'code\'>AddLocalizableReadOnlyProperty()</span> added to the existing interface to allow for localizable custom columns.</p>\n\
<p>New methods <span class=\'code\'>CreateExplorer()</span> and <span class=\'code\'>SetExplorerVisibleColumns()</span> added to the existing interface to allow for creation of an Explorer with specific columns layout and setting the columns layout of existing Explorers.</p>\n\
<p>New method <span class=\'code\'>clearAllExplorers()</span> added to close all Scene Explorers and clear the Saved Scene Explorers menu list.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-9.html\' title=\'\'>Interface: MaterialExplorerManager</a></p>\n\
<p>This new Core Interface exposes the Material Explorer to MAXScript.</p>\n\
<div class=\'section\'><a id=\"display-gammalut-correction\"></a><h3 id=\"display-gammalut-correction\">Display Gamma/LUT Correction</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IDisplayGamma.html\' title=\'\'>Interface: IDisplayGamma</a></p>\n\
<p>Three new properties have been added to the existing Interface: <span class=\'code\'>.colorCorrectionPrefMode</span> controls the preferred Color Correction mode which is now stored in an INI file and persists between files; <span class=\'code\'>.affectColorPickers</span> and <span class=\'code\'>.affectMEdit</span> control whether the Color Picker and the Material Editor will be affected by the Gamma settings.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/3ds-MAX-Commands.html\' title=\'\'>MAX Commands</a></p>\n\
<p>A new command <span class=\'code\'>max file preferences gamma</span> added to the list of available MAX commands. It opens the Preference Settings dialog at the Gamma tab.</p>\n\
<div class=\'section\'><a id=\"viewport-shading\"></a><h3 id=\"viewport-shading\">Viewport Shading</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/Viewport-Shading-Settings.html\' title=\'\'>Viewport Shading Settings</a></p>\n\
<p>A new <span class=\'code\'>maxOps</span> <strong>struct method</strong> provides an object exposing several interfaces controlling various advanced viewport shading options like Soft Shadows, Ambient Occlusion and Exposure Control preview, as well as some experimental (unsupported) preview modes - Indirect Lighting and Depth Of Field.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/I-J-K/Interface-IViewportShadingMgr.html\' title=\'\'>Interface: IViewportShadingMgr</a></p>\n\
<p>Two new properties added to the existing Core Interface to control the Ambient Occlusion interaction with transparency and the size of the Soft Shadows filter.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportSSB.html\' title=\'\'>Interface: ViewportSSB</a></p>\n\
<p>This new Core Interface exposes several properties and methods related to the control of Soft Shadows display in the viewports.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/U-V-W-X-Y-Z/Interface-ViewportButtonMgr.html\' title=\'\'>Interface: ViewportButtonMgr</a></p>\n\
<p>This new Core Interface exposes a property to control the display of the Viewport Buttons.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Direct-3D-Cache-Allocation-Query.html\' title=\'\'>Direct 3DCacheAllocation Query Functions</a></p>\n\
<p>Three new functions allow the user to query information about the memory, face count and timing of the Direct3D Mesh Cache.</p>\n\
<p>Another function allows the switching between single-threaded and multi-threaded Mesh Cache creation.</p>\n\
<div class=\'section\'><a id=\"editable-poly\"></a><h3 id=\"editable-poly\">Editable Poly</h3></div>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#get-set-vertex-color--illumination-and-alpha\' title=\'\'>EditablePoly Get/Set VertexColor,Illumination and Alpha</a></p>\n\
<p>New methods were added to get and set the vertex color, illumination and alpha values of selected vertices and selected polygons.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-90843EC5-AE3A-43EB-9406-A3631DAEADEF.html#paint-deform\' title=\'\'>EditablePoly Paint Deform</a></p>\n\
<p>New methods added to commit and cancel the Paint Deform data.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#set-select-id-floater\' title=\'\'>Editable_Poly Polygon Material IDs Floater</a></p>\n\
<p>Two new methods were added to toggle the visibility of a Material IDs Floater version of the Material IDs rollout, and to test the visibility of the floater.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-0196A023-116F-47F8-99E9-AF3CB52F302C.html#smoothing-groups-floater\' title=\'\'>Editable_Poly Polygon Smoothing Groups Floater</a></p>\n\
<p>Two new methods were added to toggle the visibility of a Smoothing Groups Floater version of the Smoothing Groups rollout, and to test the visibility of the floater.</p>\n\
<div class=\'section\'><a id=\"edit-poly-modifier\"></a><h3 id=\"edit-poly-modifier\">Edit Poly Modifier</h3></div>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-9CA2E6DA-08C2-4279-87C9-B64351C0147E.html#polygonmaterial-ids\' title=\'\'>Edit_Poly Polygon Material IDs Floater</a></p>\n\
<p>Two new methods were added to toggle the visibility of a Material IDs Floater version of the Material IDs rollout, and to test the visibility of the floater.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-9CA2E6DA-08C2-4279-87C9-B64351C0147E.html#polygon-smoothing-groups\' title=\'\'>Edit_Poly Polygon Smoothing Groups Floater</a></p>\n\
<p>Two new methods were added to toggle the visibility of a Smoothing Groups Floater version of the Smoothing Groups rollout, and to test the visibility of the floater.</p>\n\
<div class=\'section\'><a id=\"asset-manager-and-max-file-metadata\"></a><h3 id=\"asset-manager-and-max-file-metadata\">Asset Manager and Max File Metadata</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Asset-Management/Accessing-AssetManager-AssetUser.html\' title=\'\'>Accessing AssetManager, AssetUser and Asset Metadata in MAX Files</a></p>\n\
<p>The way external assets are created, managed and stored throughout <strong>3ds Max</strong> has been rewritten from the ground up. New interfaces, objects and methods have been introduced to handle the Asset Data management:</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/A/Interface-AssetManager.html\' title=\'\'>Interface: AssetManager</a></p>\n\
<p>A new Core Interface exposing methods to interact with the Asset Manager and AssetUser IObjects.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/Asset-Management/IObject-AssetUser.html\' title=\'\'>IObject:AssetUser</a></p>\n\
<p>Instances of the new AssetUser Class are used to store and manage Asset Data.MAXScript filenames stored in Parameter Blocks can now be coerced to AssetUser Class Instances using the form &#39;<object>.filename as AssetUser&#39;.<p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-Scene-Files-Access/MAX-File-Asset-Metadata-Stream.html\' title=\'\'>MAX File Asset Metadata Stream Access</a></p>\n\
<p>The.MAX file format now stores all asset data information in a separate stream as metadata which can be accessed and modified by external applications or MAXScript without loading the scene itself.Two methods provide read and write access to the Metadata stored in a .MAX file.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FileResolutionManager.html\' title=\'\'>Interface: FileResolutionManager</a></p>\n\
<p>This new Core Interface exposes methods for resolving asset files.</p>\n\
<div class=\'section\'><a id=\"xref-objects\"></a><h3 id=\"xref-objects\">XRef Objects</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Node-MAXWrapper/XRef-Objects-and-Scenes/XRefObject-Node.html\' title=\'\'>XRefObject : Node</a></p>\n\
<p>A new option <span class=\'code\'>dupMtlNameAction:</span> added to the existing <span class=\'code\'>xrefs.addNewXRefObject()</span> function to control the merging of materials with duplicate names.</p>\n\
<div class=\'section\'><a id=\"mr_proxy-object\"></a><h3 id=\"mr_proxy-object\">mr_Proxy Object</h3></div>\n\
<p>mr_Proxy : GeometryClass</p>\n\
<p>Two properties of the mr_Proxy exposed back in <strong>3ds Max 2009</strong> collided with node-level properties using the same name. To solve this, two new aliases were added to the <span class=\'code\'>.points</span> and <span class=\'code\'>.scale</span> properties of the mr_Proxy object. A note was also included in the documentation showing how the values could be accessed alternatively via the <span class=\'code\'>.baseobject</span> property of the object.</p>\n\
<div class=\'section\'><a id=\"obj-importer-and-exporter-settings-access\"></a><h3 id=\"obj-importer-and-exporter-settings-access\">OBJ Importer and Exporter Settings Access</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ObjExp-ExporterPlugin.html\' title=\'\'>ObjExp : ExporterPlugin</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ObjImp-ImporterPlugin.html\' title=\'\'>ObjImp : ImporterPlugin</a></p>\n\
<p>The two OBJ I/O plugins now store their settings and presets in a pure ASCII INI file format which can be read and modified using the standard <span class=\'code\'>getIniSetting()</span> and <span class=\'code\'>setIniSetting()</span> MAXScript functions. Both expose methods to access the current INI file name and Preset INI file name.</p>\n\
<div class=\'section\'><a id=\"cloth\"></a><h3 id=\"cloth\">Cloth</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-Cloth/Cloth-Modifier.html\' title=\'\'>Cloth : Modifier</a></p>\n\
<p>Several new properties to control the Welding, Pressure and Tearing features have been added to the Cloth Modifier.</p>\n\
<div class=\'section\'><a id=\"flight-studio\"></a><h3 id=\"flight-studio\">Flight Studio</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudio.html\' title=\'\'>Interface: FlightStudio</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioExport.html\' title=\'\'>Interface: FlightStudioExport</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioImport.html\' title=\'\'>Interface: FlightStudioImport</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/E-F-G-H/Interface-FlightStudioImage.html\' title=\'\'>Interface: FlightStudioImage</a></p>\n\
<p>These interfaces were previously available in <strong>3ds Max 2009</strong> via the Flight Studio add-on for OpenFlight simulation database I/O and are now integral part of <strong>3ds Max 2010</strong>.</p>\n\
<div class=\'section\'><a id=\"user-interface-customization\"></a><h3 id=\"user-interface-customization\">User Interface Customization</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-qat.html\' title=\'\'>Interface: qat</a></p>\n\
<p>The <span class=\'code\'>qat</span> interface allows the adding, swapping and removing of Action Items in the Quick Access Toolbar next to the Application Icon. This includes Action Items defined by MacroScripts.</p>\n\
<div class=\'section\'><a id=\"modify-panel-controls-access\"></a><h3 id=\"modify-panel-controls-access\">Modify Panel Controls Access</h3></div>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-BAC3CC23-9D1D-44CE-B4AF-C0CEBDD7099E.html#pin-stack-button\' title=\'\'>Pin Stack Button</a></p>\n\
<p>Three new methods added to the existing <span class=\'code\'>modPanel</span> struct to access and control the state of the Pin Stack button of the Modify Panel.</p>\n\
<div class=\'section\'><a id=\"product-id-and-language-access\"></a><h3 id=\"product-id-and-language-access\">Product ID and Language Access</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-maxOps.html\' title=\'\'>Interface: maxOps</a></p>\n\
<p>A new property <span class=\'code\'>maxOps.productID</span> has been added to the existing interface to determine the &quot;flavor&quot; of <strong>3ds Max</strong> the script is running on (<strong>3ds Max</strong> Entertainment or <strong>3ds Max Design</strong>).</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-CAC36F27-CB51-4C9F-B265-167F636C9A4D.html#system-language-and-locale-\' title=\'\'>sysinfo.getMaxLanguage()</a></p>\n\
<p>A new system information method has been added to return the <strong>3ds Max</strong> Language.</p>\n\
<div class=\'section\'><a id=\"character-studio\"></a><h3 id=\"character-studio\">Character Studio</h3></div>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-F0DD10C3-9352-4C89-88B1-5375337D6377.html#knuckles-and-short-thumb-properties\' title=\'\'>Biped Knuckles And Short Thumb Properties</a></p>\n\
<p>Two new properties added to control the Knuckles and Short Thumbs.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-10/GUID-AD28D4D6-D961-43EF-8F8C-DC3EBB6655BA.html#layer-retargeting-methods\' title=\'\'>Biped Layers Retargeting Methods</a></p>\n\
<p>Several new methods added to control the Biped Layer Retargeting.</p>\n\
<div class=\'section\'><a id=\"extensions\"></a><h3 id=\"extensions\">Extensions</h3></div>\n\
<p>The following features were initially available as <strong>Extension to 3ds Max 2009</strong> for Subscription members and are now an integral part of <strong>3ds Max 2010</strong>:</p>\n\
<div class=\'section\'><a id=\"prooptimizer\"></a><h3 id=\"prooptimizer\">ProOptimizer</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/ProOptimizer-Modifier.html\' title=\'\'>ProOptimizer : Modifier</a></p>\n\
<p>The <strong>ProOptimizer</strong> modifier provides advanced optimization capabilities.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/TextureMap-Material/TextureMap-Types/Color_Correction-TextureMap.html\' title=\'\'>Interface: BatchProOptimizer</a></p>\n\
<p>The <strong>Batch ProOptimizer Interface</strong> allows the batch processing of optimization tasks.</p>\n\
<div class=\'section\'><a id=\"prosound-extension\"></a><h3 id=\"prosound-extension\">ProSound Extension</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for-2/ProSound-Extension.html\' title=\'\'>ProSound Extension</a></p>\n\
<p>The <strong>ProSound</strong> feature provides support for up to 100 sound tracks in stereo and exposes a number of functions to MAXScript.</p>\n\
<div class=\'section\'><a id=\"particle-flow-advanced\"></a><h3 id=\"particle-flow-advanced\">Particle Flow Advanced</h3></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Paint-Helper.html\' title=\'\'>Birth_Paint : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Texture-Helper.html\' title=\'\'>Birth_Texture : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Initial_State-Helper.html\' title=\'\'>Initial_State : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Operator-Helper.html\' title=\'\'>Group_Operator : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Groups/Group_Select-Helper.html\' title=\'\'>Group_Select : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Lock_Bond-Helper.html\' title=\'\'>Lock_Bond : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Mapping_Object-Helper.html\' title=\'\'>Mapping_Object : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/Placement_Paint-Helper.html\' title=\'\'>Placement_Paint : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Group-Helper.html\' title=\'\'>Split_Group : Helper</a></p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Particle-Flow-Helpers/Particle_Paint-Helper.html\' title=\'\'>Particle_Paint : Helper</a></p>\n\
<p>The <strong>Particle Flow Advanced</strong> extensionprovides operators previously available in the Orbaz Particle Flow Toolbox #1.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Express_Save-Helper.html\' title=\'\'>Express_Save : Helper</a></p>\n\
<p>The <strong>Particle Flow Advanced</strong> extension provides the Express_Save operator previously available in the Orbaz Particle Flow Toolbox #1 only for backwards compatibility when loading older scenes containing this operator. The functionality of the operator is now fully integrated into the core of Particle Flow and the operator is <strong>obsolete</strong>.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/ShapeLibrary-Helper.html\' title=\'\'>shapeLibrary: Helper</a></p>\n\
<p>The <strong>Particle Flow Advanced</strong> extension provides a new default Shape operator replacing the old ShapeStandard Helper. The old operator can still be loaded and created by MAXScript, but is not exposed by the Particle Flow Depot anymore.</p>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Interfaces/particleFlow-Global-Interface.html\' title=\'\'>particleFlow Global Interface</a></p>\n\
<p>Five new methods have been added to the existing ParticleFlow Interface to implement the cleanup functionality previously available in Orbaz Particle Flow Toolbox #1 via a Particle Flow Utility and a Utility Operator.</p>\n\
<div class=\'section\'><a id=\"maxscript-language-improvements\"></a><h2 id=\"maxscript-language-improvements\">MAXScript Language Improvements</h2></div>\n\
<p>The following new features have been added to the MAXScript language in <strong>3ds Max 2010</strong>:</p>\n\
<div class=\'section\'><a id=\"debugging\"></a><h3 id=\"debugging\">Debugging</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/MAXScript-Source-Filename-Access.html\' title=\'\'>MAXScript Source Filename Access</a></p>\n\
<p><strong>Line Numbers</strong> are now supported by the MAXScript code tree, allowing error messages and the Debugger to report the line inside the code where an error or break occurred. The new method <span class=\'code\'>getSourceFileLine()</span> returns the source file line number it is being called from.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\' title=\'\'>Assert Function</a></p>\n\
<p>The <span class=\'code\'>Assert()</span> function made possible by the support for line numbers allows the developer to assert predicates inside the script code helping to reason about the correctness of the code&#39;s execution.</p>\n\
<div class=\'section\'><a id=\"struct-definitions\"></a><h3 id=\"struct-definitions\">Struct Definitions</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Structure-Definition/Private-and-Public-Members-in.html\' title=\'\'>Private and Public Members in Structure Definitions</a></p>\n\
<p><strong>Struct Members</strong> (functions and variables) can now be declared as <span class=\'code\'>public</span> or <span class=\'code\'>private</span> to control their visibility to outside code and the Debugger.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Structure-Definition/Structure-Creation-and-Cloning.html\' title=\'\'>Structure Creation and Cloning Event Handlers</a></p>\n\
<p><strong>Struct Definitions</strong> can now implement private event handlers which will be called on creation or cloning.</p>\n\
<div class=\'section\'><a id=\"dotnet\"></a><h3 id=\"dotnet\">DotNet</h3></div>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/DotNet-Objects-and-Classes-Life.html\' title=\'\'>DotNet Objects and Classes Life Time Control</a></p>\n\
<p>In previous versions of <strong>3ds Max</strong>, performing MAXScript garbage collection could cause DotNet event handlers to be deleted too early. Using a new method, this can be avoided.</p>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript/MAXScript-DotNet-Value.html#explicit-conversion\' title=\'\'>MAXScript / DotNet Value Conversions</a></p>\n\
<p>A new method was added to allow the <strong>explicit conversion of MAXScript values to DotNet values</strong>, specifically to facilitate the creation of DotNet Arrays from MAXScript arrays.</p>\n\
<div class=\'section\'><a id=\"file-and-directory-security-methods\"></a><h3 id=\"file-and-directory-security-methods\">File and Directory Security Methods</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/External-Files-Access/External-File-Methods.html\' title=\'\'>External File Methods</a></p>\n\
<p>Two new functions, <span class=\'code\'>getFileSecurityInfo()</span> and <span class=\'code\'>isDirectoryWriteable()</span> have been added to test the security attributes and accessibility of files and directories.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Miscellaneous-Functions/Executing-External-Commands.html\' title=\'\'>Executing External Commands</a></p>\n\
<p>The existing hiddenDOSCommand() method has been updated to work correctly without specifying the optional start path argument. In previous releases, it failed if the start path argument was omitted. In addition, a new optional argument to provide access to the return code of the DOS Command via a by-reference variable has been added.</p>\n\
<div class=\'section\'><a id=\"node-common-methods\"></a><h3 id=\"node-common-methods\">Node Common Methods</h3></div>\n\
<p>Node Common Methods-GroupMethods</p>\n\
<p>Two new functions, <span class=\'code\'>attachNodesToGroup()</span> and <span class=\'code\'>detachNodesFromGroup()</span> have been added to MAXScript to mirror the Main Menu &gt; Group &gt; Attach and Detach operations.</p>\n\
<div class=\'section\'><a id=\"create-panel---object-creation\"></a><h3 id=\"create-panel---object-creation\">Create Panel - Object Creation</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Create-Panel.html\' title=\'\'>isCreatingObjectMethod</a></p>\n\
<p>The method will now return false if the argument is undefined to be consistent with the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Create-Panel.html\' title=\'\'>OkToCreate()</a> method.</p>\n\
<div class=\'section\'><a id=\"custom-bitmap-compositing\"></a><h3 id=\"custom-bitmap-compositing\">Custom Bitmap Compositing</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>pasteBitmap</a></p>\n\
<p>The existing function has been enhanced to support a custom MAXScript function to composite two images into one. The function will be passed the colors and positions of the two pixels and returns the resulting pixel color. It will be called internally once per every pair of pixels that have to be combined and is faster than using <span class=\'code\'>getPixels()</span> and <span class=\'code\'>setPixels()</span> inside MAXScript FOR loops.</p>\n\
<div class=\'section\'><a id=\"maxscript-user-interface-controls\"></a><h3 id=\"maxscript-user-interface-controls\">MAXScript User Interface Controls</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Angle-UI-element.html\' title=\'\'>Angle</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbox-UI-Control.html\' title=\'\'>Checkbox</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Combobox-UI-Control.html\' title=\'\'>Combobox</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Curve-Control.html\' title=\'\'>Curve Control</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Dropdownlist-UI-Control.html\' title=\'\'>Dropdownlist</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/hyperlink.html\' title=\'\'>HyperLink</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Listbox-UI-Control.html\' title=\'\'>Listbox</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/multilistbox.html\' title=\'\'>MultiListBox</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/ProgressBar-UI-Control.html\' title=\'\'>ProgressBar</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Radiobuttons-UI-Controls.html\' title=\'\'>Radiobuttons</a></p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\' title=\'\'>Slider</a></p>\n\
<p>New <span class=\'code\'>on rightClick do()</span> handler added to the existing User Interface controls.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Spinner-UI-Control.html\' title=\'\'>Spinner</a></p>\n\
<p>New <span class=\'code\'>tooltip</span> construction parameter and property added to the existing Spinner User Interface control.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Slider-UI-Control.html\' title=\'\'>Slider</a></p>\n\
<p>New <span class=\'code\'>tooltip</span> construction parameter and property added to the existing Slider User Interface control.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts.html\' title=\'\'>MacroScriptautoUndoEnabledParameter</a></p>\n\
<p>New <span class=\'code\'>autoUndoEnabled</span> construction parameter added to the existing MacroScript constructor to allow the disabling of automatic Undo record generation for the whole MacroScript body.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-Clauses.html\' title=\'\'>Group User Interface Item</a></p>\n\
<p>User Interface controls&#39; Event Handlers can now be included inside the body of a User Interface Group. Previously, including Event Handlers in Groups caused a Syntax Error.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Image-Buttons.html\' title=\'\'>Image Buttons</a></p>\n\
<p>A new optional 9 th element is now supported by the images: construction parameter and property of buttons, checkbuttons, mapbuttons and materialbuttons to control the use of the Windows Color Theme.</p>\n\
<div class=\'section\'><a id=\"startup-script-loading-order-improvements\"></a><h3 id=\"startup-script-loading-order-improvements\">Startup Script Loading Order Improvements</h3></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\' title=\'\'>Startup Scripts</a></p>\n\
<p>The loading order of startup scripts (especially those loaded from the \\Startup folder) has been improved to allow #preFileOpen callback events to use code evaluated from the \\Startup folder when loading a .MAX file via command line launching or drag-and-drop onto the <strong>3ds Max</strong> desktop shortcut icon.</p>\n\
</object>      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";