var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>MAXScript Language Improvements in 3ds Max 9</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>MAXScript Language Improvements in 3ds Max 9</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"maxscript-language-improvements-in-3ds-max-9\"></a></div>\n\
<p>The following is a description of internal changes and &quot;tweaks&quot; to the MAXScript language in <strong>3ds Max 9</strong>. Other than the &quot;What is new...&quot; topic, these changes do not implement new objects, classes, methods or interfaces, but change the way MAXScript works internally. Usually these changes either improve performance or simplify programming.</p>\n\
<div class=\'section\'><a id=\"bit-values-and-operations\"></a><h2 id=\"bit-values-and-operations\">64 bit Values and Operations</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\' title=\'\'>64 Bit Values - Double, Integer64, IntegerPtr</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>Three new Number value classes</strong> have been added to MAXScript: <strong>Double, Integer64</strong> and <strong>IntegerPtr</strong>.They support all operations operating on Float and Integer values documented in the <a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/Number-Values.html\' title=\'\'>Number Values</a> topic.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Basic-Data-Values/64-Bit-Values-Double-Integer64.html\' title=\'\'>is64bitApplication Method</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A <strong>new method</strong> has been added to MAXScript to determine whether it is running in a 32 bit or a 64 bit build.</p>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-B57EA575-DCDE-42F5-9D30-88E3EB41F350.html#64-bit-operation-methods-in-3ds-max-9-and-higher\' title=\'\'>BitMethodsFor Double and Integer64Conversion</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Two <strong>new methods</strong> have been added to the bit struct in MAXScript to convert explicitly between Double and Integer64 values: <span class=\'code\'>bit.doubleAsInt64()</span> and <span class=\'code\'>bit.int64AsDouble().</span></p>\n\
<div class=\'section\'><a id=\"dotnet-controls-classes-objects-and-methods\"></a><h2 id=\"dotnet-controls-classes-objects-and-methods\">DotNet Controls, Classes, Objects and Methods</h2></div>\n\
<p><a href=\'#!/url=./developer/Interaction-with-Other/DotNet-In-MAXScript.html\' title=\'\'>DotNet In MAXScript</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Not all ActiveX controls have been compiled for the 64 bit versions of Microsoft Windows. Various areas of the <strong>3ds Max</strong> User Interface rely on ActiveX controls like TreeView and ListView. To provide an alternative implementation of these and other controls, <strong>3ds Max 9</strong> adds access to DotNet Classes, Objects, Methods and Controls. These can be used in both 32-bit and 64-bit builds of <strong>3ds Max</strong>.</p>\n\
<div class=\'section\'><a id=\"maxscript-editor-options\"></a><h2 id=\"maxscript-editor-options\">MAXScript Editor Options</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/Accessing-MAXScript/The-MAXScript-Editor-Windows.html\' title=\'\'>The MAXScript Editor Windows</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The newsy stem global variable <strong>editorShowPath</strong> controls whether the MAXScript Editor will display the full path of the edited script (true, default in <strong>3ds Max 9</strong>), or only the file name (false, the only mode prior to <strong>3ds Max 9</strong>)in the title bar.Changing the value will update the open MAXScript editor windows.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> When doing an Open or Save As from an editor window, and there is a filename associated with the editor window, the file open/save dialog will open to the filename&#39;s path. When doing an Open, Save, or Save As from an editor window without a filename, or from Listener or the main max window, the last directory specified in a MAXScript script file open/save dialog will be used (unless the user cancelled out of the dialog).</p>\n\
<div class=\'section\'><a id=\"maxscript-source-filename-and-file-offset-access\"></a><h2 id=\"maxscript-source-filename-and-file-offset-access\">MAXScript Source Filename and File Offset Access</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/MAXScript-Source-Filename-Access.html\' title=\'\'>MAXScript Source Filename Access</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>A new method was added</strong> to allow MAXScript code to query the source file is has been run from: <span class=\'code\'>getSourceFileName().</span></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <span class=\'code\'>The new method getSourceFileOffSet()</span> returnsthecharacter position in the source script file, &#39;undefined&#39; if not called from a source script file.</p>\n\
<div class=\'section\'><a id=\"escape-behavior\"></a><h2 id=\"escape-behavior\">Escape Behavior</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Aborting-Execution-with-the-ESC.html\' title=\'\'>Aborting Execution with the ESC Key</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The system global variable <strong>escapeEnable</strong> has been changed to default to false. It used to default to true in versions prior to <strong>3ds Max 9</strong>.</p>\n\
<div class=\'section\'><a id=\"deep-copy-arrays\"></a><h2 id=\"deep-copy-arrays\">Deep Copy Arrays</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/Array-Values.html\' title=\'\'>Array Values</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New method <span class=\'code\'>deepCopy()</span> has been implemented for Array Values. It creates a copy of the array including copies of all its elements and supports nested arrays.</p>\n\
<div class=\'section\'><a id=\"formatted-print\"></a><h2 id=\"formatted-print\">Formatted Print</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/formattedprint.html\' title=\'\'>FormattedPrint</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A <strong>new method</strong> introduced in <strong>3ds Max 9</strong>, previously available in the Avguard DLX Extensions, which can be used to control the format of numerical values.</p>\n\
<div class=\'section\'><a id=\"heap-and-memory-management\"></a><h2 id=\"heap-and-memory-management\">Heap and Memory Management</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Variables-Assignment-and-Scope/Memory-Allocation-and-Garbage.html\' title=\'\'>Memory Allocation and Garbage Collection</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <strong>HeapSize</strong> and the <strong>HeapFree</strong> <a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\' title=\'\'>MAXScript System Global variables</a> have been changed from Integer to <strong>Integer64</strong> to accommodate the increased memory address space of 64bit systems.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The initial heap size is now limited to 512MB. If the initial heap size is still too high, and the specified memory block cannot be allocated, the initial heap size is recursively decreased by 10% until the memory block can be allocated. If a 1MB memory block cannot be allocated, an assert is triggered and the <strong>3ds Max</strong> session is terminated (if the system cannot allocate 1MB at startup, something is very wrong). Otherwise, a message is displayed in the status panel stating that the requested heap size was automatically decreased, and gives the actual heap size allocated.</p>\n\
<p>A test was added to ensure that the initial heap size is at least the absolute minumum required by MXS - 12 bytes.</p>\n\
<p>Code was added so that as new values are allocated, the heap size is automatically increased if necessary (requested memory size not available in the heap after performing a full garbage collection). The first attempted increase is the maximum of 50* the requested size or 512KB. If this allocation fails, a series of allocation attempts is made with decreasing allocation sizes, with the last one being the maximum of the requested size or 256KB. If this final allocation attempt fails, a runtime error is thrown. Otherwise, a message is displayed in the status panel stating that the requested heap size was automatically increased, and gives the new heap size.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>A new</strong> <span class=\'code\'>heapCheck()</span> <strong>method</strong> added to MAXScript. This method is for internal debugging. It can be called by tools to perform a minimal consistency check of the Heap.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Reserved-Keywords-Symbols/MAXScript-System-Globals.html\' title=\'\'>MAXScript System Globals</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The MAXScript stack size was increased from 1024000 to 2048000 bytes. The MAXScript System Global variable <span class=\'code\'>stackSize</span> will now return the new size, but the stack size cannot be effectively changed - setting the variable to higher values will do nothing.</p>\n\
<div class=\'section\'><a id=\"user-interface-controls\"></a><h2 id=\"user-interface-controls\">User Interface Controls</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A new <span class=\'code\'>.tooltip</span> property has been added to <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Button-UI-Control.html\' title=\'\'>Button</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Checkbutton-UI-Control.html\' title=\'\'>Checkbutton</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Mapbutton-UI-Control.html\' title=\'\'>Mapbutton</a>, <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Materialbutton-UI-Control.html\' title=\'\'>Materialbutton</a> and <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Rollout-User-Interface-Controls-3/Pickbutton-UI-Control.html\' title=\'\'>Pickbutton</a> UI controls. The property can now be both get and set via MAXScript. In version prior to <strong>3ds Max 9</strong>, <span class=\'code\'>tooltip:</span> was only a construction parameter.</p>\n\
<div class=\'section\'><a id=\"create-panel\"></a><h2 id=\"create-panel\">Create Panel</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Command-Panels/Create-Panel.html\' title=\'\'>Create Panel</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The previously undocumented method <span class=\'code\'>is CreatingObject()</span> returns true if any object is being created in the Create panel when called without arguments. Previously, it required exactly one parameter.</p>\n\
<div class=\'section\'><a id=\"callbacks\"></a><h2 id=\"callbacks\">Callbacks</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New callbacks related to Named Selection Sets were added to the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callbacks Mechanism</a>, in a new Named Selection Sets Notifications section.</p>\n\
<p><span class=\'code\'>#NamedSelSetCreated</span> , calling <span class=\'code\'>callbacks.notificationParam()</span> returns the new name</p>\n\
<p><span class=\'code\'>#NamedSelSetDeleted</span> , calling <span class=\'code\'>callbacks.notificationParam()</span> returns the name of the deleted selections set.</p>\n\
<p><span class=\'code\'>#NamedSelSetRenamed</span> , calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array containing the old name and new name.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New callback related to Modify Panel Sub-Object Level was added to the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callbacks Mechanism</a> in the existing Modifier Panel Notifications section.</p>\n\
<p><span class=\'code\'>#ModPanelSubObjectLevelChanged</span> , calling <span class=\'code\'>callbacks.notificationParam()</span> returns an array containing the new SO level number and the old SO level number.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> New callbacks related to resetting the Direct3D device (for example when switching between <strong>3ds Max</strong> and other applications, screensavers etc.) were added to the <a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\' title=\'\'>General Event Callbacks Mechanism</a> in the new Direct3D Notifications section.</p>\n\
<p><span class=\'code\'>#D3DPreDeviceReset</span></p>\n\
<p><span class=\'code\'>#D3DPostDeviceReset</span></p>\n\
<div class=\'section\'><a id=\"maxscript-debugger\"></a><h2 id=\"maxscript-debugger\">MAXScript Debugger</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/M/Interface-MXSDebugger.html\' title=\'\'>Interface: MXSDebugger</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> An option was added to the MAXScript Debugger to clear the output message window when a break occurs.</p>\n\
<p>The option was added in the MAXScript options dialog as a simple checkbox, is saved / loaded in the INI file and is also exposed via the MXSDebugger interface.</p>\n\
<p>Previously when using the Debugger, any output that was already in the output message window was retained when a new break occured. Thus when a new stack dump was put into the output window, it could become confusing to users, where the new dump started, and where the old dump ended. This fix simply clears the output window, and scrolls to the top of the output window.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> A horizontal line above each stack level dump was added to the output formatting during a Debugger stack dump to help seperate the different stack levels.</p>\n\
<div class=\'section\'><a id=\"icon-bitmaps\"></a><h2 id=\"icon-bitmaps\">Icon Bitmaps</h2></div>\n\
<p><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-colorMan.html\' title=\'\'>New Colorman Interface Methods</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following methods were added to the Colorman Interface: <span class=\'code\'>colorman.reInitIcons()</span> and <span class=\'code\'>colorman.resolveIconFolder().</span> These methods can be used to reload add icon files and to resolve a file name using the icon paths.</p>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Defining-Macro-Scripts/Creating-Icon-Bitmap-Files.html\' title=\'\'>Creating Icon Bitmap Files</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> CUI icon files (*_16i.bmp, *_16a.bmp, *_24i.bmp, *_24a.bmp) are loaded first from the user icon directory, then the max system icon directory, and then &lt;3dsmax.exe&gt;\\ui\\icons. If a file set is present in multiple directories, the version in the first directory is used.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The icon filename specified as an argument to loadPicture, the filename in images arrays for UI items, and the filename for the bitmap UI item no longer needs to specify a path to the icon folder. The icon filename will be searched for in the multiple directories- see above link for details.</p>\n\
<div class=\'section\'><a id=\"materials-and-material-libraries\"></a><h2 id=\"materials-and-material-libraries\">Materials and Material Libraries</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Two <a href=\'#!/url=./developer/MAXScript-Language-Reference/Collections/Collection-Types/MaterialLibrary-Values.html\' title=\'\'>new methods</a><strong>added</strong> to allow the loading and saving of a material library as a temporary (as opposed to current) library - <span class=\'code\'>loadTempMaterialLibrary()</span> and <span class=\'code\'>saveTempMaterialLibrary()</span></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The method <span class=\'code\'>loadMaterialLibrary()</span> was fixed to also search the material library path.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Wrapping of MtlBaseLib instances was not occurring properly.</p>\n\
<div class=\'codeBlock\'><pre>refs.dependents a[1]\n\
#(#materialLibrary())\n\
--previously would return something like:\n\
RefTarg:MtlBaseLib\n\
\n\
</pre></div><div class=\'section\'><a id=\"new-user-directories-for-least-privileged-access\"></a><h2 id=\"new-user-directories-for-least-privileged-access\">New User Directories For &quot;Least Privileged&quot; Access</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <strong>userMacroScripts</strong> system pathbecomes a second macroscript load location. Duplicate scripts found in this location take precedence over those found in exe\\macroscript.Additional details:</p>\n\
<ul>\n\
<li><p>Macroscript files auto-generated from MAXScript files are placed in this folder.</p></li>\n\
<li><p>Macroscript files auto-generated from dragging script text to a toolbar will be placed in this folder.</p></li>\n\
<li><p>If a user right-clicks to Edit the Macroscript, and the macroscript was in the default macroscript directory, the script editor filename will be changed to point the file to the userMacroscripts directory. A dialog will be displayed warning that the script editor filename path was changed. If the userMacroscripts and max system macroscript directory are the same, no dialog will be displayed.</p></li>\n\
</ul>\n\
<p>The user Macros directory can be set to the max macros directory to retain existing behavior.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <strong>userStartupScripts</strong> is a user location for placing scripts that are run at startup.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new <strong>temp</strong>system directory provides a safe location to write a temporary file. No special cleanup is done for this directory, this variable is only provided to avoid ambiguity with regards to where a client should write a temp file. Previously, plugins could write to anywhere, including the max root, C:\\temp, or a location specified by the TMP environment variable. Most of these locations (except perhaps the last) would be invalid under Vista. The temp directory will directed to a safe-write location.</p>\n\
<div class=\'section\'><a id=\"folder-search-order\"></a><h2 id=\"folder-search-order\">Folder Search Order</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\' title=\'\'>Startup Scripts</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Startup scripts in the <strong>3ds Max</strong> system startup scripts directory are run first, and then the Startup scripts in the user startup scripts directory are run, providing that the user startup scripts directory is different than the max system startup scripts directory. The startup.ms file is searched for in the following order:</p>\n\
<ul>\n\
<li><p>The user scripts directory</p></li>\n\
<li><p>The user startup scripts directory</p></li>\n\
<li><p>The max system scripts directory</p></li>\n\
<li><p>The max system startup scripts directory</p></li>\n\
<li><p>The 3DS executable main directory</p></li>\n\
<li><p>The Windows NT 32-bit system directory (system32)</p></li>\n\
<li><p>The Windows 16-bit system directory (system)</p></li>\n\
<li><p>The Windows directory</p></li>\n\
<li><p>The directories that are listed in the PATH environment variable</p></li>\n\
</ul>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The filename specified as an argument to <span class=\'code\'>openFile(), encryptScript(), include()</span> and <span class=\'code\'>editScript()</span> will now also besearched for in the user scripts directory.</p>\n\
<div class=\'section\'><a id=\"symbolic-pathnames\"></a><h2 id=\"symbolic-pathnames\">Symbolic Pathnames</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Tools-and-Interaction/File-Access/3ds-Max-System-Directories/Symbolic-Pathnames.html\' title=\'\'>Symbolic Pathnames</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following <strong>new symbolic pathnames</strong> have been added to MAXScript:</p>\n\
<div class=\'codeBlock\'><pre>  \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                   \n\
                     $exports  $help  $expressions  $previews  $maxstart  $vpost  $drivers  $autoback  $marketDefaults  $icons  $renderOutput  $animation  $archives  $photometrics  $renderAssets  $userScripts  $userMacros  $userStartupScripts  $userIcons  $maxData  $maxSysIcons\n\
</pre></div><p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <span class=\'code\'>$maps</span> and <span class=\'code\'>$plugins</span> symbolic pathnames can now also specify an index, and the indexed directory will be used.</p>\n\
<blockquote>\n\
<p><strong>FOR EXAMPLE</strong></p>\n\
<p>``` &quot;$maps[2]\\mybitmap.tga&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/What-was-New-in-MAXScript-in-3ds-15/GUID-705ADA79-8521-448A-A7A3-68117AA8A973.html#symbolicpaths-struct\' title=\'\'>SymbolicPaths Struct</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> <strong>The new symbolicPaths Struct</strong> exposes advanced methods for accessing system symbolic paths and managing user-defined symbolic paths.</p>\n\
<div class=\'section\'><a id=\"compare-bitmaps\"></a><h2 id=\"compare-bitmaps\">Compare Bitmaps</h2></div>\n\
<p><a href=\'#!/url=./developer/MAXScript-Language-Reference/Values/Bitmap-Values/Bitmap-Values-1.html\' title=\'\'>compareBitmaps() method</a></p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The new compareBitmaps() method returns true if the two bitmaps provided as arguments compare as the same, false if not.</p>\n\
<div class=\'section\'><a id=\"misc.-fixes\"></a><h2 id=\"misc.-fixes\">Misc. Fixes</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> Exception reports which had the word &#39;+ve&#39; instead of &#39;positive&#39; since 3ds Max R2 have been fixed.</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The <strong>out-of range error message</strong> for Function Published Interfaces range checking was changed from:</p>\n\
<p>-- Runtime error: Parameter value out of range: 100</p>\n\
<p>to:</p>\n\
<p>-- Runtime error: Parameter value out of range: &lt; 1 or &gt; 99: 100</p>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The MAXScript inspection methods have been modified to return &#39;printable&#39; names - these are names with punctuation replaced with &#39;_&#39;. Accessor methods have been modified to also test against the printable names. Existing scripts wills till run, as the &quot;raw&quot; names are tested for resolution first, then the printable names.</p>\n\
<div class=\'section\'><a id=\"methods-changes-from-const-primitive-to-const-generic\"></a><h2 id=\"methods-changes-from-const-primitive-to-const-generic\">Methods changes from const Primitive to const Generic:</h2></div>\n\
<p><img src=\'developer/images/GUID-21C87158-BBA7-4B63-B8F7-CB9BA17CA2CA-low.gif\' title=\'\'> The following methods now inherit from the const Generic instead of const Primitive. <span class=\'code\'>acos(), asin(), atan(), atan2(), ceil(), cos(), cosh(), floor(), getInterface(), getInterfaces(), log(), log10(), mod(), pow(), showMethods(), sin(), sinh(), sqrt(), tan(), tanh().</span></p>\n\
<p>This change was made for internal SDK organization reasons and should have no influence in performance or functionality.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";