var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>What Was New in MAXScript in 3ds Max 2021 and Updates</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>What Was New in MAXScript in 3ds Max 2021 and Updates</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"what-was-new-in-maxscript-in-3ds-max-2021-and-updates\"></a></div>\n\
<p>This topic will give you a quick overview of the MAXScript language changes and improvements in <strong>3ds Max 2021</strong> and updates. For details on each feature, please follow the links to the respective documentation pages.</p>\n\
<div class=\'section\'><a id=\"new-in-maxscript-in-3ds-max-2021.3-update\"></a><h2 id=\"new-in-maxscript-in-3ds-max-2021.3-update\"><img src=\'developer/What-is-New-in-MAXScript/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in MAXScript in 3ds Max 2021.3 Update</h2></div>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Startup Script Loading</strong></td>\n\
<td align=\"left\">The way <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/MAXScript-Introduction/General-MAXScript-Topics/Startup-Scripts.html\' title=\'\'>Startup Scripts</a> are loaded has changed. Scripts that have the hidden or system file attribute set, or are in a hidden or system folder (other than %LocalAppData% and %ProgramData%) are no longer loaded on startup.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>MAXScript Heap Size</strong></td>\n\
<td align=\"left\">The initial MAXScript heap size allocation is increased from 15 MB to 100 MB, which can improve performance when the Ribbon is open. See <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-DF09BF99-2106-408D-9965-60436B853D76.html\' title=\'\'>Memory Allocation and Garbage Collection</a> for more information.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Viewport Bloom Settings</strong></td>\n\
<td align=\"left\">Bloom settings are now exposed and documented in the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interface-Documentation/N-O/Interface-NitrousGraphicsManager.html\' title=\'\'><span class=\'code\'>ViewportViewSettingImpl</span></a> interface.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Quicksilver Renderer</strong></td>\n\
<td align=\"left\">New exposure for Reflection and Bloom settings are covered under <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-00E1A3D2-590E-4B2A-8019-C9FFD7D983E6.html\' title=\'\'>Quicksilver_Hardware_Renderer</a>.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Subdivide Modifiers</strong></td>\n\
<td align=\"left\">The Subdivide modifier has three new remeshing algorithms, and this functionality is now exposed in the <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-19072A8A-A29F-4BFA-8CAA-B0108482C8DD.html\' title=\'\'>Subdivide:Modifier</a> and <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-97FE2F5D-FC3F-4350-BA43-54009A8CF2F9.html\' title=\'\'>subdivideSpacewarpModifier</a> classes.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>PBR Importer</strong></td>\n\
<td align=\"left\">New <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-A0C77528-FBE6-4BD2-B1B5-A3690D4344D1.html\' title=\'\'>PBRImporter</a> interface exposes some of the functionality of the PBR Importer feature.</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Callback information</strong></td>\n\
<td align=\"left\">The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-C1F6495F-5831-4FC8-A00C-667C5F2EAE36.html#inspecting-callbacks\' title=\'\'><span class=\'code\'>callbacks.show()</span></a> function now indicates when a callback definition is loaded from a scene file with <span class=\'code\'>SceneFileEmebedded:true|false</span></td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"new-in-maxscript-in-3ds-max-2021.2-update\"></a><h2 id=\"new-in-maxscript-in-3ds-max-2021.2-update\"><img src=\'developer/What-is-New-in-MAXScript/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in MAXScript in 3ds Max 2021.2 Update</h2></div>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Spline Chamfer Modifier</strong></td>\n\
<td align=\"left\">The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-D00A65C6-679C-470D-8AA5-DF27964188FF.html\' title=\'\'>Spline_Chamfer : Modifier</a> exposes the properties of the new spline chamfer modifier feature.</td>\n\
</tr>\n\
<tr class=\"even\">\n\
<td align=\"left\"><strong>Script execution function</strong></td>\n\
<td align=\"left\">The <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-86D82FCE-B88F-4487-9B34-B6222EDA1C71.html#executescriptfile\' title=\'\'>executeScriptFile()</a> function provides a way to execute a script file and return any error messages it might generate</td>\n\
</tr>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><strong>Previously Undocumented Items</strong></td>\n\
<td align=\"left\">• <span class=\'code\'>autosave.BailoutEnabled()</span> and <span class=\'code\'>autosave.autoBackupNow()</span> are now documented in <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-B5405D51-E4D7-4448-9588-8D06B8735783.html\' title=\'\'>Interface: autosave</a>. <br> • Several missing properties, including <span class=\'code\'>ShadedRenderMode</span>, are now documented under <a href=\'#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-34892DB6-E840-4F52-9175-30332799B7B1.html\' title=\'\'>Interface: NitrousGraphicsManager</a>. The topic has also been reorganized to reflect the updated UI.</td>\n\
</tr>\n\
</table>\n\
<div class=\'section\'><a id=\"new-in-maxscript-in-3ds-max-2021.1-update\"></a><h2 id=\"new-in-maxscript-in-3ds-max-2021.1-update\"><img src=\'developer/What-is-New-in-MAXScript/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in MAXScript in 3ds Max 2021.1 Update</h2></div>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col>\n\
<col>\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Callback Management</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
New functions allow you to enable or disable some callback types:<a name=\"UL_9F8F58AB09B14026AC8F7278F752D1A4\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Time-Change-Callback-Mechanism.html\">Time change callbacks</a></span>: <span class=\"code\" translate=\"no\">timeCallbacksEnabled()</span>, <span class=\"code\" translate=\"no\">enableTimeCallbacks()</span>, <span class=\"code\" translate=\"no\">disableTimeCallbacks()</span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/Viewport-Redraw-Callback.html\">Viewport redraw callbacks</a></span>: <span class=\"code\" translate=\"no\">redrawViewsCallbacksEnabled()</span>, <span class=\"code\" translate=\"no\">enableRedrawViewsCallbacks()</span>, <span class=\"code\" translate=\"no\">disableRedrawViewsCallbacks()</span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Selection filter callbacks</a></span>: <span class=\"code\" translate=\"no\">selectFilterCallbacksEnabled()</span>, <span class=\"code\" translate=\"no\">enableSelectFilterCallbacks()</span>, <span class=\"code\" translate=\"no\">disableSelectFilterCallbacks()</span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Display filter callbacks:</a></span><span class=\"code\" translate=\"no\">displayFilterCallbacksEnabled()</span>, <span class=\"code\" translate=\"no\">enableDisplayFilterCallbacks()</span>, <span class=\"code\" translate=\"no\">disableDisplayFilterCallbacks()</span>\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Bake To Texture</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture : UtilityPlugin</a></span> interface has new members to support additional features:\n\
</p>\n\
<a name=\"UL_C12F8C5AD65043FA96BB32BB6CD4FD3C\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">alwaysSkipExistingFiles</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">getOutputTo()</span>/ <span class=\"code\" translate=\"no\">setOutputTo()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">getNewMaterial()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">getTargetMaterialSlots()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">clearShellKeepBaked()</span> / <span class=\"code\" translate=\"no\">clearShellKeepOriginal()</span>\n\
</li>\n\
</ul>\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTextureMap</a></span> interface has new members:\n\
</p>\n\
<a name=\"UL_A69F8DDCD21243FABD4B0873769CF0D6\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">UDIMEnabled</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">UDIMFilePattern</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">getTargetMapSlot()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">setTargetMapSlot()</span>\n\
</li>\n\
</ul>\n\
<p class=\"table-body\">\n\
The callback that can be registered with <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/UtilityPlugin-Classes/BakeToTexture-UtilityPlugin.html\">BakeToTexture.bake()</a></span> is now called after every successful baked file is saved, now that the Bake To Texture feature supports formats with multiple files (such as animated maps or UDIM tiles).\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Default Parameter Management</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
A new interface allows you to define defaults for parameters: <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/C-D/Interface-DefaultParamInterface.html\">DefaultParamInterface</a></span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Controlling UI Focus and Foreground</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setFocus()</a></span> function can now take a rollout&#39;s HWND property.\n\
</p>\n\
<p class=\"table-body\">\n\
A new <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Rollout-User-Interface-Controls/Setting-Focus-on-User-Interface.html\">setForegroundWindow()</a></span> function is similar to <span class=\"code\" translate=\"no\">setFocus()</span>, but also brings the specified UI component to the foreground.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">New Assert Functions</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
New <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Introduction/The-MAXScript-Debugger/Assert-Functions.html\">assert functions</a></span> are provided for debugging: <span class=\"code\" translate=\"no\">assert_array_equal()</span>, <span class=\"code\" translate=\"no\">assert_matchpattern()</span>, and <span class=\"code\" translate=\"no\">assert_bitarray_equal()</span>. The new <span class=\"code\" translate=\"no\">assert_float_equal()</span> is identical to <span class=\"code\" translate=\"no\">assert_float()</span>, but has a more meaningful name.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">New createPreview() option</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a></span> function has a new <em class=\"strong\">useMPCamEffect</em> option that enables the display of multipass camera effects in the animation preview.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">New FBX Importer option</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The new &quot;PostSamplingKeyReducer&quot; option for the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/FBX-Import-and-Export-Dialog/FBX-Import-Dialog-Access.html\">FBX Importer</a></span> controls whether animation keys are reduced post-conversion.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">BigMatrix row values</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The value of a BigMatrix row can now be set directly to an array of float values.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Previously Undocumented Items</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"code\" translate=\"no\">registerDisplayFilterCallback()</span> function is now documented under <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Filters/Adding-Selection-and-Display.html\">Adding Selection and Display Filters</a></span>\n\
</p>\n\
<p class=\"table-body\">\n\
These functions for displaying registered callbacks are now documented:<a name=\"UL_EDB6B43D81294319863708A0A159C382\"></a>\n\
</p>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">showregisteredTimeCallbacks()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">showregisteredSelectFilterCallbacks()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">showregisteredDisplayFilterCallbacks()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">showregisteredRedrawViewsCallbacks()</span>\n\
</li>\n\
</ul>\n\
<p>\n\
</p>\n\
<p class=\"table-body\">\n\
The dspSpaceWarps option for the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview()</a></span> function is now documented.\n\
</p>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
<div class=\'section\'><a id=\"new-in-maxscript-in-3ds-max-2021\"></a><h2 id=\"new-in-maxscript-in-3ds-max-2021\"><img src=\'developer/What-is-New-in-MAXScript/images/GUID-756A4DD2-B53E-4716-9098-4BD1F8FEEE66-low.png\' title=\'\'>New in MAXScript in 3ds Max 2021</h2></div>\n\
<table cellpadding=\"0\" cellspacing=\"0\" class=\"not-ruled\">\n\
<colgroup>\n\
<col>\n\
<col>\n\
</colgroup>\n\
<tbody>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Bake to Texture Support</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/\">BakeToTexture : UtilityClass</a></span> exposes the functionality of the new Bake to Texture feature.\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">MAXScript Editor Python Support</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
When in Python language mode, the MAXScript Editor now inserts four spaces instead of a tab character when you type Tab. This complies with <a href=\"https://www.python.org/dev/peps/pep-0008/#indentation\" target=\"_blank\">PEP-0008</a>\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Plugin Package Manager Additions</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/P-Q/Interface-PluginPackageManager.html\">PluginPackageManager</a></span> interface has new methods to return information about Scene Converter, OSL, and AMG paths:\n\
</p>\n\
<a name=\"UL_EABC2EF9C756476790DA8AA08785CD36\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">GetSceneConverterFoldersCount()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">GetSceneConverterFolderFullPath()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">GetOSLFoldersCount()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">GetOSLFolderFullPath()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">GetAMGFoldersCount()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">GetAMGFolderFullPath()</span>\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Callbacks Changes</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Change-Handlers-and-Callbacks/General-Event-Callback-Mechanism.html\">callbacks.addScript()</a></span> method can now take a function as the second parameter. Previously this had to be a String, StringStream, or filename.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Weighted Normals Modifier</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The new Weighted Normals modifier is exposed in the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Surface-Modifiers/Weighted_Normals-Modifier.html\">Weighted_Normals : Modifier</a></span> class.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">ATF-based Importers</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Autodesk Translation Framework (ATF) based importer plug-ins have some extra features exposed to MAXScript, <span class=\"code\" translate=\"no\">.ImportHiddenObjects</span> and <span class=\"code\" translate=\"no\">.PreserveLayers</span>. This applies to:\n\
</p>\n\
<a name=\"UL_886F19B8A5BF4291A8CDE765471D3E23\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Alias_importer.html\">ATF_Alias_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V4_importer.html\">ATF_CATIA_V4_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_CATIA_V5_importer.html\">ATF_CATIA_V5_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_IGES_importer-ImporterPlugin.html\">ATF_IGES_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_JT_importer-ImporterPlugin.html\">ATF_JT_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_ProE_importer-ImporterPlugin.html\">ATF_ProE_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_SKETCHUP_Import.html\">ATF_SKETCHUP_Import</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_Solidworks_importer.html\">ATF_Solidworks_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_STEP_importer-ImporterPlugin.html\">ATF_STEP_importer</a></span>\n\
</li>\n\
<li>\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Import-and-Export-Filters/ATF_UG_NX_importer.html\">ATF_UG_NX_importer</a></span>\n\
</li>\n\
</ul>\n\
<p class=\"table-body\">\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Scripted Plug-ins</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Plug-ins/Scripted-Plug-in-Clauses.html\">Scripted plug-in parameters</a></span> can now take an optional <span class=\"code\" translate=\"no\">localizedName</span> string, which is used (instead of the parameter name) when the parameter is displayed on a UI.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Rollout Visibility</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Creating-MAXScript-Tools/Scripted-Utilities-and-Rollouts/Utility-and-Rollout-Properties.html\">Rollouts</a></span> have a new <span class=\"code\" translate=\"no\">visible</span> property that controls whether they are visible when displayed in a dialog.\n\
</p>\n\
<p class=\"table-body\">\n\
<span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-DB36699E-7589-4C38-97C2-A04F093C6789.html#parameter-type-convenience-functions\">Two new utility functions</a></span> allow you to convert parameter type name values to their corresponding enum integer representation from the C++ SDK, and vice versa: <span class=\"code\" translate=\"no\">ParamTypeToTypeName()</span> and <span class=\"code\" translate=\"no\">TypeNameToParamType()</span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">For Loop Index Variables</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Language-Reference/Controlling-Program-Flow/For-Loop.html\">for loop</a></span> now can take optional index arguments to handle filtered and unfiltered list operation.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">SME Material Library Methods</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Several new methods have been added to the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/S/Interface-SME.html\">SME interface</a></span> to expose functionality for working with material libraries:\n\
</p>\n\
<a name=\"UL_E41BF1FD9BEB4B98AF1082C9470F493D\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">OpenMtlLib()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">HasMtlLib()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">IsMtlLibModified()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">SaveMtlLib()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">SaveMtlLibAs()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">CloseMtlLib()</span>\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">edit_poly Modifier Chamfer Enhancements</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Chamfer improvements to the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Modifier-MAXWrapper-and/Modifier-and-SpacewarpModifier/Modifiers/Mesh-Editing/Edit_Poly-Modifier.html\">edit_poly modfier</a></span> are exposed in new properties:\n\
</p>\n\
<a name=\"UL_3E20B71EF4AD43BA9CAFB6ED2AB7BFCE\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">edgeChamferMiteringType</span> (which replaces the now obsolete <span class=\"code\" translate=\"no\">edgeChamferType</span> and <span class=\"code\" translate=\"no\">edgeChamferQuadIntersections</span>)\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">chamferVertexDepth</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">chamferVertexSegments</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">chamferVertexSmooth</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">chamferVertexSmoothThreshold</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">chamferVertexSmoothType</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">edgeChamferDepth</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">edgeChamferEndBias</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">edgeChamferMiteringType</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">edgeChamferRadialBias</span>\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Max Memory Heap Usage</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The new <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-CAC36F27-CB51-4C9F-B265-167F636C9A4D.html#memory-usage-and-max-process-info-\">sysinfo.getMAXHeapUsed()</a></span> function returns the amount of heap memory 3ds Max is using.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Scripted Custom Attribute Loading Callbacks</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
New functions have been added to the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-0A1E08F8-A8C5-4737-AA6F-39194AD16559.html#scene-loading-callbacks-for-custom-attributes\">custAttributes</a></span> struct to help manage callbacks that can now be registered to alter definitions as they are loaded from a scene file:\n\
</p>\n\
<a name=\"UL_194EC334B73F4A39A50D3488118D9011\"></a>\n\
<ul>\n\
<li>\n\
<span class=\"code\" translate=\"no\">custAttributes.registerDefLoadCallback()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">custAttributes.unRegisterDefLoadCallback()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">custAttributes.unRegisterAllDefLoadCallbacks()</span>\n\
</li>\n\
<li>\n\
<span class=\"code\" translate=\"no\">custAttributes.showregisteredDefLoadCallbacks()</span>\n\
</li>\n\
</ul>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Documentation Changes</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The active segment normalized time literal format has not been supported for several releases, and has been removed from the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Language-Reference/Values/Time-Data-Values/Time-Values.html\">Time Values</a></span> and <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Language-Reference/Names-Literal-Constants-and/Literal-Constants/Time-Literals.html\">Time Literals</a></span> topics.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-odd-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Deprecated and Removed Items</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
The <span class=\"code\" translate=\"no\">&lt;ViewportViewSettingImpl&gt;.DefaultLightsFollowCamera</span> property is removed from the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/3ds-Max-Objects-and-Interfaces/Interfaces/Core-Interfaces/Core-Interfaces-Documentation/N-O/Interface-NitrousGraphicsManager.html\">NitrousGraphicsManager interface</a></span>.\n\
</p>\n\
</td>\n\
</tr>\n\
<tr class=\"not-ruled-even-row\">\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
<em class=\"strong\">Previously Undocumented Items</em>\n\
</p>\n\
</td>\n\
<td class=\"table-body\">\n\
<p class=\"table-body\">\n\
Functions in the custAttributes struct used to manage how scripted custom attribute definitions are managed when there is a conflict with a loaded or merged scene are now documented under <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/What-was-New-in-MAXScript-in/GUID-0A1E08F8-A8C5-4737-AA6F-39194AD16559.html#handling-scripted-custom-attribute-definition-conflicts\">Handling Scripted Custom Attribute Definition Conflicts</a></span>\n\
</p>\n\
<p class=\"table-body\">\n\
The <span class=\"code\" translate=\"no\">dspFrameNums</span> keyword argument has been added to the <span class=\"char_link\"><a href=\"#!/url=./developer/What-is-New-in-MAXScript/MAXScript-Tools-and-Interaction/Interacting-with-the-3ds-Max/Viewports/createPreview-Method.html\">createPreview() method</a></span>.\n\
</p>\n\
</td>\n\
</tr>\n\
</tbody>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";