var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Interface: PViewItem</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Interface: PViewItem</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"interface-pviewitem\"></a></div>\n\
<p><strong>Methods:</strong></p>\n\
<div class=\'codeBlock\'><pre>&lt;integer&gt;&lt;PViewItem&gt;.numPViewParamBlocks()   \n\
</pre></div><p>Returns the number of Particle View ParameterBlocks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;maxObject&gt;&lt;PViewItem&gt;.getPViewParamBlock &lt;index&gt;index   \n\
</pre></div><p>Returns the indexed Particle View ParameterBlocks.</p>\n\
<div class=\'codeBlock\'><pre>&lt;boolean&gt;&lt;PViewItem&gt;.hasComments &lt;node&gt;actionNode \n\
</pre></div><p>Returns <strong>true</strong> when the supplied action node has comments.</p>\n\
<div class=\'codeBlock\'><pre>&lt;string&gt;&lt;PViewItem&gt;.getComments &lt;node&gt;actionNode \n\
</pre></div><p>Returns the comment of the specified action node as string.</p>\n\
<div class=\'codeBlock\'><pre>&lt;void&gt;&lt;PViewItem&gt;.setComments &lt;node&gt;actionNode &lt;string&gt;comments \n\
</pre></div><p>Sets the comment of the specified action node to the supplied string.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLES AND RESULTS:</strong></p>\n\
<p>``` ParticleFlow.openParticleView() --open Particle View to see results ev = Event() --create an empty event --&gt; $Event:Event 002 @ [0.000000,0.000000,0.000000] particleFlow.beginEdit() --Disable auto-event-encapsulation --&gt; OK bt = birth() --A Birth Action! --&gt; $Birth:Birth 001 @ [0.000000,0.000000,0.000000] particleFlow.endEdit() --Enable auto-event-encapsulation --&gt; OK ev.appendAction bt --Insert the Birth in the Event --&gt; true ev.numPViewParamBlocks() --Check the number of PBlocks --&gt; 0 ev.hasComments bt --Check for comments - none --&gt; false ev.setComments bt &quot;Happy Birthday!&quot; --Set a comment... --&gt; OK ev.getComments bt --...and read it back --&gt; &quot;Happy Birthday!&quot;</p>\n\
<p>```</p>\n\
</blockquote>\n\
<p><strong>This Interface is available in:</strong></p>\n\
<table class=\'ruled\'>\n\
<tr class=\"odd\">\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Age_Test-Helper.html\' title=\'\'>Age_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth-Helper.html\' title=\'\'>Birth : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Group-Helper.html\' title=\'\'>Birth_Group : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/BirthGrid-Helper.html\' title=\'\'>BirthGrid : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/Birth_Script-Helper.html\' title=\'\'>Birth_Script : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/BirthStream-Helper.html\' title=\'\'>BirthStream : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Cache_Disk-Helper.html\' title=\'\'>Cache_Disk : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Cache_Selective-Helper.html\' title=\'\'>Cache_Selective : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Camera_Culling-Helper.html\' title=\'\'>Camera_Culling : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Camera_IMBlur-Helper.html\' title=\'\'>Camera_IMBlur : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Collision_Spawn-Helper.html\' title=\'\'>Collision_Spawn : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Icon-Helper.html\' title=\'\'>Data_Icon : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Operator-Helper.html\' title=\'\'>Data_Operator : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Data-Operators/Data_Test-Helper.html\' title=\'\'>Data_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Birth-and-Death/DeleteParticles-Helper.html\' title=\'\'>DeleteParticles : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/displayParticles-Helper.html\' title=\'\'>displayParticles : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Event-Helper.html\' title=\'\'>Event : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Find_Target-Helper.html\' title=\'\'>Find_Target : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Force-Helper.html\' title=\'\'>Force : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Go_To_Rotation-Helper.html\' title=\'\'>Go_To_Rotation : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Keep_Apart-Helper.html\' title=\'\'>Keep_Apart : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/mapping-Helper.html\' title=\'\'>mapping : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Dynamic-Helper.html\' title=\'\'>Material_Dynamic : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Frequency-Helper.html\' title=\'\'>Material_Frequency : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Material-and-Mapping/Material_Static-Helper.html\' title=\'\'>Material_Static : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Buoyancy-Helper.html\' title=\'\'>mP_Buoyancy : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Collision-Helper.html\' title=\'\'>mP_Collision : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Drag-Helper.html\' title=\'\'>mP_Drag : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Force-Helper.html\' title=\'\'>mP_Force : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Glue-Helper.html\' title=\'\'>mP_Glue : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_InterCollision-helper.html\' title=\'\'>mP_InterCollision : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Shape-Helper.html\' title=\'\'>mP_Shape : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Solvent-Helper.html\' title=\'\'>mP_Solvent : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/mParticles-Operators/mP_Switch-Helper.html\' title=\'\'>mP_Switch : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/Notes-Helper.html\' title=\'\'>Notes : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Sources/PF_Source-GeometryClass.html\' title=\'\'>PF_Source : GeometryClass</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/Position_Icon-Helper.html\' title=\'\'>Position_Icon : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/Position_Object-Helper.html\' title=\'\'>Position_Object : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Meta-Operators/renderParticles-Helper.html\' title=\'\'>renderParticles : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/rotation-Helper.html\' title=\'\'>rotation : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/scaleParticles-Helper.html\' title=\'\'>scaleParticles : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Scale_Test-Helper.html\' title=\'\'>Scale_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Script_Test-Helper.html\' title=\'\'>Script_Test : Helper</a></td>\n\
<td align=\"left\"><a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Other/Script_Operator-Helper.html\' title=\'\'>Script_Operator : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Send_Out-Helper.html\' title=\'\'>Send_Out : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/shapeStandard-Helper.html\' title=\'\'>shapeStandard : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/Shape_Facing-Helper.html\' title=\'\'>Shape_Facing : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/Shape_Instance-Helper.html\' title=\'\'>Shape_Instance : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Shape/Shape_Mark-Helper.html\' title=\'\'>Shape_Mark : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Spawn-Helper.html\' title=\'\'>Spawn : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Speed-Helper.html\' title=\'\'>speed : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Speed_Test-Helper.html\' title=\'\'>Speed_Test : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Speed/Speed_By_Surface-Helper.html\' title=\'\'>Speed_By_Surface : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Operators/Transforms/Spin-Helper.html\' title=\'\'>Spin : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Selected-Helper.html\' title=\'\'>Split_Selected : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Source-Helper.html\' title=\'\'>Split_Source : Helper</a><br> <a href=\'#!/url=./developer/3ds-Max-Objects-and-Interfaces/MAXScript-Extensions/MAXScript-Extensions-for/Particle-Flow-Classes/Tests/Split_Amount-Helper.html\' title=\'\'>Split_Amount : Helper</a></td>\n\
</tr>\n\
</table>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";