var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>World Space Modifiers - Validity Methods</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>World Space Modifiers - Validity Methods</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"world-space-modifiers---validity-methods\"></a></div>\n\
<p>The following method can be used to determine whether a Space Warp can be applied to a given object.</p>\n\
<p>This method is available in <strong>3ds Max 2008</strong> and higher.</p>\n\
<div class=\'codeBlock\'><pre>&lt; Boolean&gt;IsSpaceWarpValid &lt;Scene Object&gt;object &lt;Space warp&gt;warp\n\
</pre></div><p>Returns true if it is possible to add the given space warp to the specified scene object, false otherwise.</p>\n\
<p><span class=\'code\'>object</span> &amp;endash; Any scene object that you want to apply theSpaceWarp too.</p>\n\
<p><span class=\'code\'>warp</span> &amp;endash; AnySpaceWarpobject instance.</p>\n\
<blockquote>\n\
<p><strong>EXAMPLE USAGE:</strong></p>\n\
<p>``` ( local b = box() local p = parray() local o = omnilight() for class in SpacewarpObject.classes do( if (class.creatable) then ( local inst = class() for obj in #(b,p,o) do ( if (IsSpaceWarpValid obj inst) then format &quot;+% can be applied to %\\n&quot; class obj else format &quot;-% CANNOT be applied to %\\n&quot; class obj )--end obj loop )--end if creatable )--end class loop )--end script</p>\n\
<p>```</p>\n\
<p><strong>RESULT:</strong></p>\n\
<p>``` +SpaceBend can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceBend can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceBend CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SpaceTaper can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceTaper can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceTaper CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Spaceripple can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Spaceripple can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Spaceripple CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Spacewave can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Spacewave can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Spacewave CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SpaceTwist can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceTwist can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceTwist CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SpaceStretch can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceStretch can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceStretch CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +gravity can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +gravity can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -gravity CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Wind can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Wind CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Spacedisplace can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Spacedisplace can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Spacedisplace CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Deflector can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Deflector can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Deflector CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Bomb can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] -Bomb CANNOT be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Bomb CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +PDynaFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +PDynaFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -PDynaFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Vortex can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Vortex can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Vortex CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +UOmniFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +UOmniFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -UOmniFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +UDeflector can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +UDeflector can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -UDeflector CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +PushSpaceWarp can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +PushSpaceWarp can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -PushSpaceWarp CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +ConformSpaceWarp can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +ConformSpaceWarp can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -ConformSpaceWarp CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SDynaFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SDynaFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SDynaFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Drag can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Drag can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Drag CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +WaterSpaceWarp can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +WaterSpaceWarp can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -WaterSpaceWarp CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +PBomb can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +PBomb can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -PBomb CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +POmniFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +POmniFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -POmniFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Motor can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Motor can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Motor CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SOmniFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SOmniFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SOmniFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SpaceFFDBox can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceFFDBox can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceFFDBox CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +UDynaFlect can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +UDynaFlect can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -UDynaFlect CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SDeflector can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SDeflector can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SDeflector CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SpaceSkew can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceSkew can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceSkew CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Vector_Field can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Vector_Field can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Vector_Field CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +Path_Follow can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +Path_Follow can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -Path_Follow CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SpaceNoise can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceNoise can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceNoise CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] +SpaceFFDCyl can be applied to $Box:Box04 @ [0.000000,0.000000,0.000000] +SpaceFFDCyl can be applied to $PArray:PArray03 @ [0.000000,0.000000,0.000000] -SpaceFFDCyl CANNOT be applied to $Omni_Light:Omni03 @ [0.000000,0.000000,0.000000] OK</p>\n\
<p>```</p>\n\
</blockquote>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";