var topic = "<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head><meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"><meta http-equiv=\"Content-Style-Type\" content=\"text/css\"><meta name=\"generator\" content=\"pandoc\"><meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"><script type=\"text/javascript\" src=\"../../../../scripts/utils/adsk.redirect.js\"></script>\n\
      <title>Using DotNet Forms To Create MAXScript User Interfaces</title>\n\
   <meta name=\"topic-subtype\" content=\"MAXScript\"></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><style type=\"text/css\">code{white-space: pre;}</style>\n\
      <div>\n\
         <div class=\"head\">\n\
            <h1>Using DotNet Forms To Create MAXScript User Interfaces</h1>\n\
         </div>\n\
\n\
<div class=\'section\'><a id=\"using-dotnet-forms-to-create-maxscript-user-interfaces\"></a></div>\n\
<p>DotNet controls cannot only be placed inside <strong>3ds Max</strong> Dialogs and Rollouts, but they can also be used to generate user interfaces implemented completely using DotNet Forms.</p>\n\
<p>In the following example, a DotNet Button is created and assigned to a DotNet Form including a custom function declared as an event handler. Finally, the Form is displayed as a dialog by calling its .show() method.</p>\n\
<blockquote>\n\
<p><strong>SCRIPT</strong></p>\n\
<p>``` ( fn whenButtonIsPressed a b = ( format &quot;Pressed from a DotNet Button\\n&quot; format &quot;Argument a (Form): &lt;%&gt; \\n&quot; (classof a) format &quot;Properties:\\n&quot; showproperties a format &quot;Methods:\\n&quot; showmethods a format &quot;Events:\\n&quot; showevents a format &quot;\\nArgument b (Button): &lt;%&gt; \\n&quot; (classof b) format &quot;Properties:\\n&quot; showproperties b format &quot;Methods:\\n&quot; showmethods a format &quot;Events:\\n&quot; showevents a ) --Create a DotNet Button mButton = dotNetObject &quot;System.Windows.Forms.Button&quot; mButton.text = &quot;BIG DotNet Button&quot; mButton.size = dotNetObject &quot;System.Drawing.Size&quot; 160 160 mButton.location = dotNetObject &quot;System.Drawing.Point&quot; 60 60 --Create a DotNet Form hForm = dotNetObject &quot;System.Windows.Forms.Form&quot; hForm.controls.add mButton --add the Button to the Form hForm.topmost = true --Add an Event Handler for the click event: dotNet.addEventHandler mButton &quot;click&quot; whenButtonIsPressed hForm.show() --show the Form with the Button )</p>\n\
<p>```</p>\n\
</blockquote>\n\
<div class=\'figure\'><img src=\'developer/images/GUID-6E0A20E3-7334-4513-8D6C-3CB5B25B2734-low.gif\' title=\'\'></div>\n\
<blockquote>\n\
<p><strong>Output Of The Event Handler When Button Is Pressed:</strong></p>\n\
<p>``` Pressed from a DotNet Button Argument a (Form): <dotnetobject> Properties: .AccessibilityObject : <system.windows.forms.accessibleobject>, read-only .AccessibleDefaultActionDescription : <system.string> .AccessibleDescription : <system.string> .AccessibleName : <system.string> .AccessibleRole : <system.windows.forms.accessiblerole> .AllowDrop : <system.boolean> .Anchor : <system.windows.forms.anchorstyles> .AutoEllipsis : <system.boolean> .AutoScrollOffset : <system.drawing.point> .AutoSize : <system.boolean> .AutoSizeMode : <system.windows.forms.autosizemode> .BackColor : <system.drawing.color> .BackgroundImage : <system.drawing.image> .BackgroundImageLayout : <system.windows.forms.imagelayout> .BindingContext : <system.windows.forms.bindingcontext> .Bottom : <system.int32>, read-only .Bounds : <system.drawing.rectangle> .CanFocus : <system.boolean>, read-only .CanSelect : <system.boolean>, read-only .Capture : <system.boolean> .CausesValidation : <system.boolean> .CheckForIllegalCrossThreadCalls : <system.boolean>, static .ClientRectangle : <system.drawing.rectangle>, read-only .ClientSize : <system.drawing.size> .CompanyName : <system.string>, read-only .Container : <system.componentmodel.icontainer>, read-only .ContainsFocus : <system.boolean>, read-only .ContextMenu : <system.windows.forms.contextmenu> .ContextMenuStrip : <system.windows.forms.contextmenustrip> .Controls : <system.windows.forms.control+controlcollection>, read-only .Created : <system.boolean>, read-only .Cursor : <system.windows.forms.cursor> .DataBindings : <system.windows.forms.controlbindingscollection>, read-only .DefaultBackColor : <system.drawing.color>, read-only, static .DefaultFont : <system.drawing.font>, read-only, static .DefaultForeColor : <system.drawing.color>, read-only, static .DialogResult : <system.windows.forms.dialogresult> .DisplayRectangle : <system.drawing.rectangle>, read-only .Disposing : <system.boolean>, read-only .Dock : <system.windows.forms.dockstyle> .Enabled : <system.boolean> .FlatAppearance : <system.windows.forms.flatbuttonappearance>, read-only .FlatStyle : <system.windows.forms.flatstyle> .Focused : <system.boolean>, read-only .Font : <system.drawing.font> .ForeColor : <system.drawing.color> .Handle : <system.intptr>, read-only .HasChildren : <system.boolean>, read-only .Height : <system.int32> .Image : <system.drawing.image> .ImageAlign : <system.drawing.contentalignment> .ImageIndex : <system.int32> .ImageKey : <system.string> .ImageList : <system.windows.forms.imagelist> .ImeMode : <system.windows.forms.imemode> .InvokeRequired : <system.boolean>, read-only .IsAccessible : <system.boolean> .IsDisposed : <system.boolean>, read-only .IsHandleCreated : <system.boolean>, read-only .IsMirrored : <system.boolean>, read-only .LayoutEngine : <system.windows.forms.layout.layoutengine>, read-only .Left : <system.int32> .Location : <system.drawing.point> .Margin : <system.windows.forms.padding> .MaximumSize : <system.drawing.size> .MinimumSize : <system.drawing.size> .ModifierKeys : <system.windows.forms.keys>, read-only, static .MouseButtons : <system.windows.forms.mousebuttons>, read-only, static .MousePosition : <system.drawing.point>, read-only, static .Name : <system.string> .Padding : <system.windows.forms.padding> .Parent : <system.windows.forms.control> .PreferredSize : <system.drawing.size>, read-only .ProductName : <system.string>, read-only .ProductVersion : <system.string>, read-only .RecreatingHandle : <system.boolean>, read-only .Region : <system.drawing.region> .Right : <system.int32>, read-only .RightToLeft : <system.windows.forms.righttoleft> .Site : <system.componentmodel.isite> .Size : <system.drawing.size> .TabIndex : <system.int32> .TabStop : <system.boolean> .Tag : <system.object> .Text : <system.string> .TextAlign : <system.drawing.contentalignment> .TextImageRelation : <system.windows.forms.textimagerelation> .Top : <system.int32> .TopLevelControl : <system.windows.forms.control>, read-only .UseCompatibleTextRendering : <system.boolean> .UseMnemonic : <system.boolean> .UseVisualStyleBackColor : <system.boolean> .UseWaitCursor : <system.boolean> .Visible : <system.boolean> .Width : <system.int32> .WindowTarget : <system.windows.forms.iwindowtarget> Methods: .<system.iasyncresult>BeginInvoke <system.delegate>method .<system.iasyncresult>BeginInvoke <system.delegate>method <system.object[]>args .BringToFront() .<system.boolean>Contains <system.windows.forms.control>ctl .CreateControl() .<system.drawing.graphics>CreateGraphics() .<system.runtime.remoting.objref>CreateObjRef <system.type>requestedType .Dispose() .<system.windows.forms.dragdropeffects>DoDragDrop <system.object>data <system.windows.forms.dragdropeffects>allowedEffects .DrawToBitmap <system.drawing.bitmap>bitmap <system.drawing.rectangle>targetBounds .<system.object>EndInvoke <system.iasyncresult>asyncResult .<system.boolean>Equals <system.object>obj .[static]<system.boolean>Equals <system.object>objA <system.object>objB .<system.windows.forms.form>FindForm() .<system.boolean>Focus() .[static]<system.windows.forms.control>FromChildHandle <system.intptr>handle .[static]<system.windows.forms.control>FromHandle <system.intptr>handle .<system.windows.forms.control>GetChildAtPoint <system.drawing.point>pt .<system.windows.forms.control>GetChildAtPoint <system.drawing.point>pt <system.windows.forms.getchildatpointskip>skipValue .<system.windows.forms.icontainercontrol>GetContainerControl() .<system.int32>GetHashCode() .<system.object>GetLifetimeService() .<system.windows.forms.control>GetNextControl <system.windows.forms.control>ctl <system.boolean>forward .<system.drawing.size>GetPreferredSize <system.drawing.size>proposedSize .<system.type>GetType() .Hide() .<system.object>InitializeLifetimeService() .Invalidate() .Invalidate <system.drawing.rectangle>rc .Invalidate <system.drawing.region>region .Invalidate <system.boolean>invalidateChildren .Invalidate <system.drawing.region>region <system.boolean>invalidateChildren .Invalidate <system.drawing.rectangle>rc <system.boolean>invalidateChildren .<system.object>Invoke <system.delegate>method .<system.object>Invoke <system.delegate>method <system.object[]>args .[static]<system.boolean>IsKeyLocked <system.windows.forms.keys>keyVal .[static]<system.boolean>IsMnemonic <system.char>charCode <system.string>text .NotifyDefault <system.boolean>value .PerformClick() .PerformLayout() .PerformLayout <system.windows.forms.control>affectedControl <system.string>affectedProperty .<system.drawing.point>PointToClient <system.drawing.point>p .<system.drawing.point>PointToScreen <system.drawing.point>p .<system.windows.forms.preprocesscontrolstate>PreProcessControlMessage <system.windows.forms.message&>msg .<system.boolean>PreProcessMessage <system.windows.forms.message&>msg .<system.drawing.rectangle>RectangleToClient <system.drawing.rectangle>r .<system.drawing.rectangle>RectangleToScreen <system.drawing.rectangle>r .[static]<system.boolean>ReferenceEquals <system.object>objA <system.object>objB .Refresh() .ResetBackColor() .ResetBindings() .ResetCursor() .ResetFont() .ResetForeColor() .ResetImeMode() .ResetRightToLeft() .ResetText() .ResumeLayout() .ResumeLayout <system.boolean>performLayout .Scale <system.single>ratio .Scale <system.drawing.sizef>factor .Scale <system.single>dx <system.single>dy .Select() .<system.boolean>SelectNextControl <system.windows.forms.control>ctl <system.boolean>forward <system.boolean>tabStopOnly <system.boolean>nested <system.boolean>wrap .SendToBack() .SetBounds <system.int32>x <system.int32>y <system.int32>width <system.int32>height .SetBounds <system.int32>x <system.int32>y <system.int32>width <system.int32>height <system.windows.forms.boundsspecified>specified .Show() .SuspendLayout() .<system.string>ToString() .Update() Events: on <control_name> AutoSizeChanged <system.eventargs>e do ( ... ) on <control_name> BackColorChanged <system.eventargs>e do ( ... ) on <control_name> BackgroundImageChanged <system.eventargs>e do ( ... ) on <control_name> BackgroundImageLayoutChanged <system.eventargs>e do ( ... ) on <control_name> BindingContextChanged <system.eventargs>e do ( ... ) on <control_name> CausesValidationChanged <system.eventargs>e do ( ... ) on <control_name> ChangeUICues <system.windows.forms.uicueseventargs>e do ( ... ) on <control_name> Click <system.eventargs>e do ( ... ) on <control_name> ClientSizeChanged <system.eventargs>e do ( ... ) on <control_name> ContextMenuChanged <system.eventargs>e do ( ... ) on <control_name> ContextMenuStripChanged <system.eventargs>e do ( ... ) on <control_name> ControlAdded <system.windows.forms.controleventargs>e do ( ... ) on <control_name> ControlRemoved <system.windows.forms.controleventargs>e do ( ... ) on <control_name> CursorChanged <system.eventargs>e do ( ... ) on <control_name> Disposed <system.eventargs>e do ( ... ) on <control_name> DockChanged <system.eventargs>e do ( ... ) on <control_name> DoubleClick <system.eventargs>e do ( ... ) on <control_name> DragDrop <system.windows.forms.drageventargs>e do ( ... ) on <control_name> DragEnter <system.windows.forms.drageventargs>e do ( ... ) on <control_name> DragLeave <system.eventargs>e do ( ... ) on <control_name> DragOver <system.windows.forms.drageventargs>e do ( ... ) on <control_name> EnabledChanged <system.eventargs>e do ( ... ) on <control_name> Enter <system.eventargs>e do ( ... ) on <control_name> FontChanged <system.eventargs>e do ( ... ) on <control_name> ForeColorChanged <system.eventargs>e do ( ... ) on <control_name> GiveFeedback <system.windows.forms.givefeedbackeventargs>e do ( ... ) on <control_name> GotFocus <system.eventargs>e do ( ... ) on <control_name> HandleCreated <system.eventargs>e do ( ... ) on <control_name> HandleDestroyed <system.eventargs>e do ( ... ) on <control_name> HelpRequested <system.windows.forms.helpeventargs>hlpevent do ( ... ) on <control_name> ImeModeChanged <system.eventargs>e do ( ... ) on <control_name> Invalidated <system.windows.forms.invalidateeventargs>e do ( ... ) on <control_name> KeyDown <system.windows.forms.keyeventargs>e do ( ... ) on <control_name> KeyPress <system.windows.forms.keypresseventargs>e do ( ... ) on <control_name> KeyUp <system.windows.forms.keyeventargs>e do ( ... ) on <control_name> Layout <system.windows.forms.layouteventargs>e do ( ... ) on <control_name> Leave <system.eventargs>e do ( ... ) on <control_name> LocationChanged <system.eventargs>e do ( ... ) on <control_name> LostFocus <system.eventargs>e do ( ... ) on <control_name> MarginChanged <system.eventargs>e do ( ... ) on <control_name> MouseCaptureChanged <system.eventargs>e do ( ... ) on <control_name> MouseClick <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseDoubleClick <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseDown <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseEnter <system.eventargs>e do ( ... ) on <control_name> MouseHover <system.eventargs>e do ( ... ) on <control_name> MouseLeave <system.eventargs>e do ( ... ) on <control_name> MouseMove <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseUp <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseWheel <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> Move <system.eventargs>e do ( ... ) on <control_name> PaddingChanged <system.eventargs>e do ( ... ) on <control_name> Paint <system.windows.forms.painteventargs>e do ( ... ) on <control_name> ParentChanged <system.eventargs>e do ( ... ) on <control_name> PreviewKeyDown <system.windows.forms.previewkeydowneventargs>e do ( ... ) on <control_name> QueryAccessibilityHelp <system.windows.forms.queryaccessibilityhelpeventargs>e do ( ... ) on <control_name> QueryContinueDrag <system.windows.forms.querycontinuedrageventargs>e do ( ... ) on <control_name> RegionChanged <system.eventargs>e do ( ... ) on <control_name> Resize <system.eventargs>e do ( ... ) on <control_name> RightToLeftChanged <system.eventargs>e do ( ... ) on <control_name> SizeChanged <system.eventargs>e do ( ... ) on <control_name> StyleChanged <system.eventargs>e do ( ... ) on <control_name> SystemColorsChanged <system.eventargs>e do ( ... ) on <control_name> TabIndexChanged <system.eventargs>e do ( ... ) on <control_name> TabStopChanged <system.eventargs>e do ( ... ) on <control_name> TextChanged <system.eventargs>e do ( ... ) on <control_name> Validated <system.eventargs>e do ( ... ) on <control_name> Validating <system.componentmodel.canceleventargs>e do ( ... ) on <control_name> VisibleChanged <system.eventargs>e do ( ... ) Argument b (Button): <dotnetobject> Properties: .Button : <system.windows.forms.mousebuttons>, read-only .Clicks : <system.int32>, read-only .Delta : <system.int32>, read-only .Location : <system.drawing.point>, read-only .X : <system.int32>, read-only .Y : <system.int32>, read-only .Empty : <system.eventargs>, read-only, static Methods: .<system.iasyncresult>BeginInvoke <system.delegate>method .<system.iasyncresult>BeginInvoke <system.delegate>method <system.object[]>args .BringToFront() .<system.boolean>Contains <system.windows.forms.control>ctl .CreateControl() .<system.drawing.graphics>CreateGraphics() .<system.runtime.remoting.objref>CreateObjRef <system.type>requestedType .Dispose() .<system.windows.forms.dragdropeffects>DoDragDrop <system.object>data <system.windows.forms.dragdropeffects>allowedEffects .DrawToBitmap <system.drawing.bitmap>bitmap <system.drawing.rectangle>targetBounds .<system.object>EndInvoke <system.iasyncresult>asyncResult .<system.boolean>Equals <system.object>obj .[static]<system.boolean>Equals <system.object>objA <system.object>objB .<system.windows.forms.form>FindForm() .<system.boolean>Focus() .[static]<system.windows.forms.control>FromChildHandle <system.intptr>handle .[static]<system.windows.forms.control>FromHandle <system.intptr>handle .<system.windows.forms.control>GetChildAtPoint <system.drawing.point>pt .<system.windows.forms.control>GetChildAtPoint <system.drawing.point>pt <system.windows.forms.getchildatpointskip>skipValue .<system.windows.forms.icontainercontrol>GetContainerControl() .<system.int32>GetHashCode() .<system.object>GetLifetimeService() .<system.windows.forms.control>GetNextControl <system.windows.forms.control>ctl <system.boolean>forward .<system.drawing.size>GetPreferredSize <system.drawing.size>proposedSize .<system.type>GetType() .Hide() .<system.object>InitializeLifetimeService() .Invalidate() .Invalidate <system.drawing.rectangle>rc .Invalidate <system.drawing.region>region .Invalidate <system.boolean>invalidateChildren .Invalidate <system.drawing.region>region <system.boolean>invalidateChildren .Invalidate <system.drawing.rectangle>rc <system.boolean>invalidateChildren .<system.object>Invoke <system.delegate>method .<system.object>Invoke <system.delegate>method <system.object[]>args .[static]<system.boolean>IsKeyLocked <system.windows.forms.keys>keyVal .[static]<system.boolean>IsMnemonic <system.char>charCode <system.string>text .NotifyDefault <system.boolean>value .PerformClick() .PerformLayout() .PerformLayout <system.windows.forms.control>affectedControl <system.string>affectedProperty .<system.drawing.point>PointToClient <system.drawing.point>p .<system.drawing.point>PointToScreen <system.drawing.point>p .<system.windows.forms.preprocesscontrolstate>PreProcessControlMessage <system.windows.forms.message&>msg .<system.boolean>PreProcessMessage <system.windows.forms.message&>msg .<system.drawing.rectangle>RectangleToClient <system.drawing.rectangle>r .<system.drawing.rectangle>RectangleToScreen <system.drawing.rectangle>r .[static]<system.boolean>ReferenceEquals <system.object>objA <system.object>objB .Refresh() .ResetBackColor() .ResetBindings() .ResetCursor() .ResetFont() .ResetForeColor() .ResetImeMode() .ResetRightToLeft() .ResetText() .ResumeLayout() .ResumeLayout <system.boolean>performLayout .Scale <system.single>ratio .Scale <system.drawing.sizef>factor .Scale <system.single>dx <system.single>dy .Select() .<system.boolean>SelectNextControl <system.windows.forms.control>ctl <system.boolean>forward <system.boolean>tabStopOnly <system.boolean>nested <system.boolean>wrap .SendToBack() .SetBounds <system.int32>x <system.int32>y <system.int32>width <system.int32>height .SetBounds <system.int32>x <system.int32>y <system.int32>width <system.int32>height <system.windows.forms.boundsspecified>specified .Show() .SuspendLayout() .<system.string>ToString() .Update() Events: on <control_name> AutoSizeChanged <system.eventargs>e do ( ... ) on <control_name> BackColorChanged <system.eventargs>e do ( ... ) on <control_name> BackgroundImageChanged <system.eventargs>e do ( ... ) on <control_name> BackgroundImageLayoutChanged <system.eventargs>e do ( ... ) on <control_name> BindingContextChanged <system.eventargs>e do ( ... ) on <control_name> CausesValidationChanged <system.eventargs>e do ( ... ) on <control_name> ChangeUICues <system.windows.forms.uicueseventargs>e do ( ... ) on <control_name> Click <system.eventargs>e do ( ... ) on <control_name> ClientSizeChanged <system.eventargs>e do ( ... ) on <control_name> ContextMenuChanged <system.eventargs>e do ( ... ) on <control_name> ContextMenuStripChanged <system.eventargs>e do ( ... ) on <control_name> ControlAdded <system.windows.forms.controleventargs>e do ( ... ) on <control_name> ControlRemoved <system.windows.forms.controleventargs>e do ( ... ) on <control_name> CursorChanged <system.eventargs>e do ( ... ) on <control_name> Disposed <system.eventargs>e do ( ... ) on <control_name> DockChanged <system.eventargs>e do ( ... ) on <control_name> DoubleClick <system.eventargs>e do ( ... ) on <control_name> DragDrop <system.windows.forms.drageventargs>e do ( ... ) on <control_name> DragEnter <system.windows.forms.drageventargs>e do ( ... ) on <control_name> DragLeave <system.eventargs>e do ( ... ) on <control_name> DragOver <system.windows.forms.drageventargs>e do ( ... ) on <control_name> EnabledChanged <system.eventargs>e do ( ... ) on <control_name> Enter <system.eventargs>e do ( ... ) on <control_name> FontChanged <system.eventargs>e do ( ... ) on <control_name> ForeColorChanged <system.eventargs>e do ( ... ) on <control_name> GiveFeedback <system.windows.forms.givefeedbackeventargs>e do ( ... ) on <control_name> GotFocus <system.eventargs>e do ( ... ) on <control_name> HandleCreated <system.eventargs>e do ( ... ) on <control_name> HandleDestroyed <system.eventargs>e do ( ... ) on <control_name> HelpRequested <system.windows.forms.helpeventargs>hlpevent do ( ... ) on <control_name> ImeModeChanged <system.eventargs>e do ( ... ) on <control_name> Invalidated <system.windows.forms.invalidateeventargs>e do ( ... ) on <control_name> KeyDown <system.windows.forms.keyeventargs>e do ( ... ) on <control_name> KeyPress <system.windows.forms.keypresseventargs>e do ( ... ) on <control_name> KeyUp <system.windows.forms.keyeventargs>e do ( ... ) on <control_name> Layout <system.windows.forms.layouteventargs>e do ( ... ) on <control_name> Leave <system.eventargs>e do ( ... ) on <control_name> LocationChanged <system.eventargs>e do ( ... ) on <control_name> LostFocus <system.eventargs>e do ( ... ) on <control_name> MarginChanged <system.eventargs>e do ( ... ) on <control_name> MouseCaptureChanged <system.eventargs>e do ( ... ) on <control_name> MouseClick <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseDoubleClick <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseDown <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseEnter <system.eventargs>e do ( ... ) on <control_name> MouseHover <system.eventargs>e do ( ... ) on <control_name> MouseLeave <system.eventargs>e do ( ... ) on <control_name> MouseMove <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseUp <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> MouseWheel <system.windows.forms.mouseeventargs>e do ( ... ) on <control_name> Move <system.eventargs>e do ( ... ) on <control_name> PaddingChanged <system.eventargs>e do ( ... ) on <control_name> Paint <system.windows.forms.painteventargs>e do ( ... ) on <control_name> ParentChanged <system.eventargs>e do ( ... ) on <control_name> PreviewKeyDown <system.windows.forms.previewkeydowneventargs>e do ( ... ) on <control_name> QueryAccessibilityHelp <system.windows.forms.queryaccessibilityhelpeventargs>e do ( ... ) on <control_name> QueryContinueDrag <system.windows.forms.querycontinuedrageventargs>e do ( ... ) on <control_name> RegionChanged <system.eventargs>e do ( ... ) on <control_name> Resize <system.eventargs>e do ( ... ) on <control_name> RightToLeftChanged <system.eventargs>e do ( ... ) on <control_name> SizeChanged <system.eventargs>e do ( ... ) on <control_name> StyleChanged <system.eventargs>e do ( ... ) on <control_name> SystemColorsChanged <system.eventargs>e do ( ... ) on <control_name> TabIndexChanged <system.eventargs>e do ( ... ) on <control_name> TabStopChanged <system.eventargs>e do ( ... ) on <control_name> TextChanged <system.eventargs>e do ( ... ) on <control_name> Validated <system.eventargs>e do ( ... ) on <control_name> Validating <system.componentmodel.canceleventargs>e do ( ... ) on <control_name> VisibleChanged <system.eventargs>e do ( ... )<p>\n\
<p>```</p>\n\
</system.eventargs></control_name></system.componentmodel.canceleventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.querycontinuedrageventargs></control_name></system.windows.forms.queryaccessibilityhelpeventargs></control_name></system.windows.forms.previewkeydowneventargs></control_name></system.eventargs></control_name></system.windows.forms.painteventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.layouteventargs></control_name></system.windows.forms.keyeventargs></control_name></system.windows.forms.keypresseventargs></control_name></system.windows.forms.keyeventargs></control_name></system.windows.forms.invalidateeventargs></control_name></system.eventargs></control_name></system.windows.forms.helpeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.givefeedbackeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.drageventargs></control_name></system.eventargs></control_name></system.windows.forms.drageventargs></control_name></system.windows.forms.drageventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.controleventargs></control_name></system.windows.forms.controleventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.uicueseventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.string></system.windows.forms.boundsspecified></system.int32></system.int32></system.int32></system.int32></system.int32></system.int32></system.int32></system.int32></system.boolean></system.boolean></system.boolean></system.boolean></system.windows.forms.control></system.boolean></system.single></system.single></system.drawing.sizef></system.single></system.boolean></system.object></system.object></system.boolean></system.drawing.rectangle></system.drawing.rectangle></system.drawing.rectangle></system.drawing.rectangle></system.windows.forms.message&></system.boolean></system.windows.forms.message&></system.windows.forms.preprocesscontrolstate></system.drawing.point></system.drawing.point></system.drawing.point></system.drawing.point></system.string></system.windows.forms.control></system.boolean></system.string></system.char></system.boolean></system.windows.forms.keys></system.boolean></system.object[]></system.delegate></system.object></system.delegate></system.object></system.boolean></system.drawing.rectangle></system.boolean></system.drawing.region></system.boolean></system.drawing.region></system.drawing.rectangle></system.object></system.type></system.drawing.size></system.drawing.size></system.boolean></system.windows.forms.control></system.windows.forms.control></system.object></system.int32></system.windows.forms.icontainercontrol></system.windows.forms.getchildatpointskip></system.drawing.point></system.windows.forms.control></system.drawing.point></system.windows.forms.control></system.intptr></system.windows.forms.control></system.intptr></system.windows.forms.control></system.boolean></system.windows.forms.form></system.object></system.object></system.boolean></system.object></system.boolean></system.iasyncresult></system.object></system.drawing.rectangle></system.drawing.bitmap></system.windows.forms.dragdropeffects></system.object></system.windows.forms.dragdropeffects></system.type></system.runtime.remoting.objref></system.drawing.graphics></system.windows.forms.control></system.boolean></system.object[]></system.delegate></system.iasyncresult></system.delegate></system.iasyncresult></system.eventargs></system.int32></system.int32></system.drawing.point></system.int32></system.int32></system.windows.forms.mousebuttons></dotnetobject></system.eventargs></control_name></system.componentmodel.canceleventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.querycontinuedrageventargs></control_name></system.windows.forms.queryaccessibilityhelpeventargs></control_name></system.windows.forms.previewkeydowneventargs></control_name></system.eventargs></control_name></system.windows.forms.painteventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.windows.forms.mouseeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.layouteventargs></control_name></system.windows.forms.keyeventargs></control_name></system.windows.forms.keypresseventargs></control_name></system.windows.forms.keyeventargs></control_name></system.windows.forms.invalidateeventargs></control_name></system.eventargs></control_name></system.windows.forms.helpeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.givefeedbackeventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.drageventargs></control_name></system.eventargs></control_name></system.windows.forms.drageventargs></control_name></system.windows.forms.drageventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.controleventargs></control_name></system.windows.forms.controleventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.windows.forms.uicueseventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.eventargs></control_name></system.string></system.windows.forms.boundsspecified></system.int32></system.int32></system.int32></system.int32></system.int32></system.int32></system.int32></system.int32></system.boolean></system.boolean></system.boolean></system.boolean></system.windows.forms.control></system.boolean></system.single></system.single></system.drawing.sizef></system.single></system.boolean></system.object></system.object></system.boolean></system.drawing.rectangle></system.drawing.rectangle></system.drawing.rectangle></system.drawing.rectangle></system.windows.forms.message&></system.boolean></system.windows.forms.message&></system.windows.forms.preprocesscontrolstate></system.drawing.point></system.drawing.point></system.drawing.point></system.drawing.point></system.string></system.windows.forms.control></system.boolean></system.string></system.char></system.boolean></system.windows.forms.keys></system.boolean></system.object[]></system.delegate></system.object></system.delegate></system.object></system.boolean></system.drawing.rectangle></system.boolean></system.drawing.region></system.boolean></system.drawing.region></system.drawing.rectangle></system.object></system.type></system.drawing.size></system.drawing.size></system.boolean></system.windows.forms.control></system.windows.forms.control></system.object></system.int32></system.windows.forms.icontainercontrol></system.windows.forms.getchildatpointskip></system.drawing.point></system.windows.forms.control></system.drawing.point></system.windows.forms.control></system.intptr></system.windows.forms.control></system.intptr></system.windows.forms.control></system.boolean></system.windows.forms.form></system.object></system.object></system.boolean></system.object></system.boolean></system.iasyncresult></system.object></system.drawing.rectangle></system.drawing.bitmap></system.windows.forms.dragdropeffects></system.object></system.windows.forms.dragdropeffects></system.type></system.runtime.remoting.objref></system.drawing.graphics></system.windows.forms.control></system.boolean></system.object[]></system.delegate></system.iasyncresult></system.delegate></system.iasyncresult></system.windows.forms.iwindowtarget></system.int32></system.boolean></system.boolean></system.boolean></system.boolean></system.boolean></system.windows.forms.control></system.int32></system.windows.forms.textimagerelation></system.drawing.contentalignment></system.string></system.object></system.boolean></system.int32></system.drawing.size></system.componentmodel.isite></system.windows.forms.righttoleft></system.int32></system.drawing.region></system.boolean></system.string></system.string></system.drawing.size></system.windows.forms.control></system.windows.forms.padding></system.string></system.drawing.point></system.windows.forms.mousebuttons></system.windows.forms.keys></system.drawing.size></system.drawing.size></system.windows.forms.padding></system.drawing.point></system.int32></system.windows.forms.layout.layoutengine></system.boolean></system.boolean></system.boolean></system.boolean></system.boolean></system.windows.forms.imemode></system.windows.forms.imagelist></system.string></system.int32></system.drawing.contentalignment></system.drawing.image></system.int32></system.boolean></system.intptr></system.drawing.color></system.drawing.font></system.boolean></system.windows.forms.flatstyle></system.windows.forms.flatbuttonappearance></system.boolean></system.windows.forms.dockstyle></system.boolean></system.drawing.rectangle></system.windows.forms.dialogresult></system.drawing.color></system.drawing.font></system.drawing.color></system.windows.forms.controlbindingscollection></system.windows.forms.cursor></system.boolean></system.windows.forms.control+controlcollection></system.windows.forms.contextmenustrip></system.windows.forms.contextmenu></system.boolean></system.componentmodel.icontainer></system.string></system.drawing.size></system.drawing.rectangle></system.boolean></system.boolean></system.boolean></system.boolean></system.boolean></system.drawing.rectangle></system.int32></system.windows.forms.bindingcontext></system.windows.forms.imagelayout></system.drawing.image></system.drawing.color></system.windows.forms.autosizemode></system.boolean></system.drawing.point></system.boolean></system.windows.forms.anchorstyles></system.boolean></system.windows.forms.accessiblerole></system.string></system.string></system.string></system.windows.forms.accessibleobject></dotnetobject></blockquote>\n\
<p>Using this output, you can easily see what Properties, Methods, and Events are available for each control and implement additional functionality to extend the script, change the appearance and behaviour of the DotNet controls, and so on.</p>\n\
      <div class=\"footer-block\"><a href=\"../html/ac.cmtdialog.htm\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div></div>\n\
   </div></body>\n\
</html>\n\
";